# `datadog_dashboard`

Refer to the Terraform Registory for docs: [`datadog_dashboard`](https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard).

# `dashboard` Submodule <a name="`dashboard` Submodule" id="@cdktf/provider-datadog.dashboard"></a>

## Constructs <a name="Constructs" id="Constructs"></a>

### Dashboard <a name="Dashboard" id="@cdktf/provider-datadog.dashboard.Dashboard"></a>

Represents a {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard datadog_dashboard}.

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.Dashboard.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboard(scope Construct, id *string, config DashboardConfig) Dashboard
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.scope">scope</a></code> | <code>github.com/aws/constructs-go/constructs/v10.Construct</code> | The scope in which to define this construct. |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.id">id</a></code> | <code>*string</code> | The scoped construct ID. |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.config">config</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardConfig">DashboardConfig</a></code> | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="scope" id="@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.scope"></a>

- *Type:* github.com/aws/constructs-go/constructs/v10.Construct

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="id" id="@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.id"></a>

- *Type:* *string

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="config" id="@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.config"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardConfig">DashboardConfig</a>

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.toString">ToString</a></code> | Returns a string representation of this construct. |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.addOverride">AddOverride</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.overrideLogicalId">OverrideLogicalId</a></code> | Overrides the auto-generated logical ID with a specific ID. |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.resetOverrideLogicalId">ResetOverrideLogicalId</a></code> | Resets a previously passed logical Id to use the auto-generated logical id again. |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.toMetadata">ToMetadata</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.toTerraform">ToTerraform</a></code> | Adds this resource to the terraform JSON output. |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.putTemplateVariable">PutTemplateVariable</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.putTemplateVariablePreset">PutTemplateVariablePreset</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.putWidget">PutWidget</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.resetDashboardLists">ResetDashboardLists</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.resetDescription">ResetDescription</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.resetId">ResetId</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.resetIsReadOnly">ResetIsReadOnly</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.resetNotifyList">ResetNotifyList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.resetReflowType">ResetReflowType</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.resetRestrictedRoles">ResetRestrictedRoles</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.resetTemplateVariable">ResetTemplateVariable</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.resetTemplateVariablePreset">ResetTemplateVariablePreset</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.resetUrl">ResetUrl</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.resetWidget">ResetWidget</a></code> | *No description.* |

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.Dashboard.toString"></a>

```go
func ToString() *string
```

Returns a string representation of this construct.

##### `AddOverride` <a name="AddOverride" id="@cdktf/provider-datadog.dashboard.Dashboard.addOverride"></a>

```go
func AddOverride(path *string, value interface{})
```

###### `path`<sup>Required</sup> <a name="path" id="@cdktf/provider-datadog.dashboard.Dashboard.addOverride.parameter.path"></a>

- *Type:* *string

---

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.Dashboard.addOverride.parameter.value"></a>

- *Type:* interface{}

---

##### `OverrideLogicalId` <a name="OverrideLogicalId" id="@cdktf/provider-datadog.dashboard.Dashboard.overrideLogicalId"></a>

```go
func OverrideLogicalId(newLogicalId *string)
```

Overrides the auto-generated logical ID with a specific ID.

###### `newLogicalId`<sup>Required</sup> <a name="newLogicalId" id="@cdktf/provider-datadog.dashboard.Dashboard.overrideLogicalId.parameter.newLogicalId"></a>

- *Type:* *string

The new logical ID to use for this stack element.

---

##### `ResetOverrideLogicalId` <a name="ResetOverrideLogicalId" id="@cdktf/provider-datadog.dashboard.Dashboard.resetOverrideLogicalId"></a>

```go
func ResetOverrideLogicalId()
```

Resets a previously passed logical Id to use the auto-generated logical id again.

##### `ToMetadata` <a name="ToMetadata" id="@cdktf/provider-datadog.dashboard.Dashboard.toMetadata"></a>

```go
func ToMetadata() interface{}
```

##### `ToTerraform` <a name="ToTerraform" id="@cdktf/provider-datadog.dashboard.Dashboard.toTerraform"></a>

```go
func ToTerraform() interface{}
```

Adds this resource to the terraform JSON output.

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.Dashboard.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.Dashboard.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.Dashboard.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.Dashboard.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.Dashboard.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.Dashboard.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.Dashboard.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.Dashboard.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.Dashboard.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.Dashboard.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.Dashboard.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.Dashboard.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.Dashboard.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.Dashboard.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.Dashboard.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.Dashboard.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.Dashboard.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.Dashboard.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.Dashboard.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.Dashboard.interpolationForAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `PutTemplateVariable` <a name="PutTemplateVariable" id="@cdktf/provider-datadog.dashboard.Dashboard.putTemplateVariable"></a>

```go
func PutTemplateVariable(value interface{})
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.Dashboard.putTemplateVariable.parameter.value"></a>

- *Type:* interface{}

---

##### `PutTemplateVariablePreset` <a name="PutTemplateVariablePreset" id="@cdktf/provider-datadog.dashboard.Dashboard.putTemplateVariablePreset"></a>

```go
func PutTemplateVariablePreset(value interface{})
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.Dashboard.putTemplateVariablePreset.parameter.value"></a>

- *Type:* interface{}

---

##### `PutWidget` <a name="PutWidget" id="@cdktf/provider-datadog.dashboard.Dashboard.putWidget"></a>

```go
func PutWidget(value interface{})
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.Dashboard.putWidget.parameter.value"></a>

- *Type:* interface{}

---

##### `ResetDashboardLists` <a name="ResetDashboardLists" id="@cdktf/provider-datadog.dashboard.Dashboard.resetDashboardLists"></a>

```go
func ResetDashboardLists()
```

##### `ResetDescription` <a name="ResetDescription" id="@cdktf/provider-datadog.dashboard.Dashboard.resetDescription"></a>

```go
func ResetDescription()
```

##### `ResetId` <a name="ResetId" id="@cdktf/provider-datadog.dashboard.Dashboard.resetId"></a>

```go
func ResetId()
```

##### `ResetIsReadOnly` <a name="ResetIsReadOnly" id="@cdktf/provider-datadog.dashboard.Dashboard.resetIsReadOnly"></a>

```go
func ResetIsReadOnly()
```

##### `ResetNotifyList` <a name="ResetNotifyList" id="@cdktf/provider-datadog.dashboard.Dashboard.resetNotifyList"></a>

```go
func ResetNotifyList()
```

##### `ResetReflowType` <a name="ResetReflowType" id="@cdktf/provider-datadog.dashboard.Dashboard.resetReflowType"></a>

```go
func ResetReflowType()
```

##### `ResetRestrictedRoles` <a name="ResetRestrictedRoles" id="@cdktf/provider-datadog.dashboard.Dashboard.resetRestrictedRoles"></a>

```go
func ResetRestrictedRoles()
```

##### `ResetTemplateVariable` <a name="ResetTemplateVariable" id="@cdktf/provider-datadog.dashboard.Dashboard.resetTemplateVariable"></a>

```go
func ResetTemplateVariable()
```

##### `ResetTemplateVariablePreset` <a name="ResetTemplateVariablePreset" id="@cdktf/provider-datadog.dashboard.Dashboard.resetTemplateVariablePreset"></a>

```go
func ResetTemplateVariablePreset()
```

##### `ResetUrl` <a name="ResetUrl" id="@cdktf/provider-datadog.dashboard.Dashboard.resetUrl"></a>

```go
func ResetUrl()
```

##### `ResetWidget` <a name="ResetWidget" id="@cdktf/provider-datadog.dashboard.Dashboard.resetWidget"></a>

```go
func ResetWidget()
```

#### Static Functions <a name="Static Functions" id="Static Functions"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.isConstruct">IsConstruct</a></code> | Checks if `x` is a construct. |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.isTerraformElement">IsTerraformElement</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.isTerraformResource">IsTerraformResource</a></code> | *No description.* |

---

##### `IsConstruct` <a name="IsConstruct" id="@cdktf/provider-datadog.dashboard.Dashboard.isConstruct"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.Dashboard_IsConstruct(x interface{}) *bool
```

Checks if `x` is a construct.

Use this method instead of `instanceof` to properly detect `Construct`
instances, even when the construct library is symlinked.

Explanation: in JavaScript, multiple copies of the `constructs` library on
disk are seen as independent, completely different libraries. As a
consequence, the class `Construct` in each copy of the `constructs` library
is seen as a different class, and an instance of one class will not test as
`instanceof` the other class. `npm install` will not create installations
like this, but users may manually symlink construct libraries together or
use a monorepo tool: in those cases, multiple copies of the `constructs`
library can be accidentally installed, and `instanceof` will behave
unpredictably. It is safest to avoid using `instanceof`, and using
this type-testing method instead.

###### `x`<sup>Required</sup> <a name="x" id="@cdktf/provider-datadog.dashboard.Dashboard.isConstruct.parameter.x"></a>

- *Type:* interface{}

Any object.

---

##### `IsTerraformElement` <a name="IsTerraformElement" id="@cdktf/provider-datadog.dashboard.Dashboard.isTerraformElement"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.Dashboard_IsTerraformElement(x interface{}) *bool
```

###### `x`<sup>Required</sup> <a name="x" id="@cdktf/provider-datadog.dashboard.Dashboard.isTerraformElement.parameter.x"></a>

- *Type:* interface{}

---

##### `IsTerraformResource` <a name="IsTerraformResource" id="@cdktf/provider-datadog.dashboard.Dashboard.isTerraformResource"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.Dashboard_IsTerraformResource(x interface{}) *bool
```

###### `x`<sup>Required</sup> <a name="x" id="@cdktf/provider-datadog.dashboard.Dashboard.isTerraformResource.parameter.x"></a>

- *Type:* interface{}

---

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.node">Node</a></code> | <code>github.com/aws/constructs-go/constructs/v10.Node</code> | The tree node. |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.cdktfStack">CdktfStack</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.TerraformStack</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.friendlyUniqueId">FriendlyUniqueId</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.terraformMetaArguments">TerraformMetaArguments</a></code> | <code>*map[string]interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.terraformResourceType">TerraformResourceType</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.terraformGeneratorMetadata">TerraformGeneratorMetadata</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.TerraformProviderGeneratorMetadata</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.connection">Connection</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.count">Count</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.dependsOn">DependsOn</a></code> | <code>*[]*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.forEach">ForEach</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.ITerraformIterator</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.lifecycle">Lifecycle</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.TerraformResourceLifecycle</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.provider">Provider</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.TerraformProvider</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.provisioners">Provisioners</a></code> | <code>*[]interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.dashboardListsRemoved">DashboardListsRemoved</a></code> | <code>*[]*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.templateVariable">TemplateVariable</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList">DashboardTemplateVariableList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.templateVariablePreset">TemplateVariablePreset</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList">DashboardTemplateVariablePresetList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.widget">Widget</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetList">DashboardWidgetList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.dashboardListsInput">DashboardListsInput</a></code> | <code>*[]*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.descriptionInput">DescriptionInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.idInput">IdInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.isReadOnlyInput">IsReadOnlyInput</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.layoutTypeInput">LayoutTypeInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.notifyListInput">NotifyListInput</a></code> | <code>*[]*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.reflowTypeInput">ReflowTypeInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.restrictedRolesInput">RestrictedRolesInput</a></code> | <code>*[]*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.templateVariableInput">TemplateVariableInput</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.templateVariablePresetInput">TemplateVariablePresetInput</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.titleInput">TitleInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.urlInput">UrlInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.widgetInput">WidgetInput</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.dashboardLists">DashboardLists</a></code> | <code>*[]*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.description">Description</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.id">Id</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.isReadOnly">IsReadOnly</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.layoutType">LayoutType</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.notifyList">NotifyList</a></code> | <code>*[]*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.reflowType">ReflowType</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.restrictedRoles">RestrictedRoles</a></code> | <code>*[]*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.title">Title</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.url">Url</a></code> | <code>*string</code> | *No description.* |

---

##### `Node`<sup>Required</sup> <a name="Node" id="@cdktf/provider-datadog.dashboard.Dashboard.property.node"></a>

```go
func Node() Node
```

- *Type:* github.com/aws/constructs-go/constructs/v10.Node

The tree node.

---

##### `CdktfStack`<sup>Required</sup> <a name="CdktfStack" id="@cdktf/provider-datadog.dashboard.Dashboard.property.cdktfStack"></a>

```go
func CdktfStack() TerraformStack
```

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.TerraformStack

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.Dashboard.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `FriendlyUniqueId`<sup>Required</sup> <a name="FriendlyUniqueId" id="@cdktf/provider-datadog.dashboard.Dashboard.property.friendlyUniqueId"></a>

```go
func FriendlyUniqueId() *string
```

- *Type:* *string

---

##### `TerraformMetaArguments`<sup>Required</sup> <a name="TerraformMetaArguments" id="@cdktf/provider-datadog.dashboard.Dashboard.property.terraformMetaArguments"></a>

```go
func TerraformMetaArguments() *map[string]interface{}
```

- *Type:* *map[string]interface{}

---

##### `TerraformResourceType`<sup>Required</sup> <a name="TerraformResourceType" id="@cdktf/provider-datadog.dashboard.Dashboard.property.terraformResourceType"></a>

```go
func TerraformResourceType() *string
```

- *Type:* *string

---

##### `TerraformGeneratorMetadata`<sup>Optional</sup> <a name="TerraformGeneratorMetadata" id="@cdktf/provider-datadog.dashboard.Dashboard.property.terraformGeneratorMetadata"></a>

```go
func TerraformGeneratorMetadata() TerraformProviderGeneratorMetadata
```

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.TerraformProviderGeneratorMetadata

---

##### `Connection`<sup>Optional</sup> <a name="Connection" id="@cdktf/provider-datadog.dashboard.Dashboard.property.connection"></a>

```go
func Connection() interface{}
```

- *Type:* interface{}

---

##### `Count`<sup>Optional</sup> <a name="Count" id="@cdktf/provider-datadog.dashboard.Dashboard.property.count"></a>

```go
func Count() interface{}
```

- *Type:* interface{}

---

##### `DependsOn`<sup>Optional</sup> <a name="DependsOn" id="@cdktf/provider-datadog.dashboard.Dashboard.property.dependsOn"></a>

```go
func DependsOn() *[]*string
```

- *Type:* *[]*string

---

##### `ForEach`<sup>Optional</sup> <a name="ForEach" id="@cdktf/provider-datadog.dashboard.Dashboard.property.forEach"></a>

```go
func ForEach() ITerraformIterator
```

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.ITerraformIterator

---

##### `Lifecycle`<sup>Optional</sup> <a name="Lifecycle" id="@cdktf/provider-datadog.dashboard.Dashboard.property.lifecycle"></a>

```go
func Lifecycle() TerraformResourceLifecycle
```

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.TerraformResourceLifecycle

---

##### `Provider`<sup>Optional</sup> <a name="Provider" id="@cdktf/provider-datadog.dashboard.Dashboard.property.provider"></a>

```go
func Provider() TerraformProvider
```

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.TerraformProvider

---

##### `Provisioners`<sup>Optional</sup> <a name="Provisioners" id="@cdktf/provider-datadog.dashboard.Dashboard.property.provisioners"></a>

```go
func Provisioners() *[]interface{}
```

- *Type:* *[]interface{}

---

##### `DashboardListsRemoved`<sup>Required</sup> <a name="DashboardListsRemoved" id="@cdktf/provider-datadog.dashboard.Dashboard.property.dashboardListsRemoved"></a>

```go
func DashboardListsRemoved() *[]*f64
```

- *Type:* *[]*f64

---

##### `TemplateVariable`<sup>Required</sup> <a name="TemplateVariable" id="@cdktf/provider-datadog.dashboard.Dashboard.property.templateVariable"></a>

```go
func TemplateVariable() DashboardTemplateVariableList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList">DashboardTemplateVariableList</a>

---

##### `TemplateVariablePreset`<sup>Required</sup> <a name="TemplateVariablePreset" id="@cdktf/provider-datadog.dashboard.Dashboard.property.templateVariablePreset"></a>

```go
func TemplateVariablePreset() DashboardTemplateVariablePresetList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList">DashboardTemplateVariablePresetList</a>

---

##### `Widget`<sup>Required</sup> <a name="Widget" id="@cdktf/provider-datadog.dashboard.Dashboard.property.widget"></a>

```go
func Widget() DashboardWidgetList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetList">DashboardWidgetList</a>

---

##### `DashboardListsInput`<sup>Optional</sup> <a name="DashboardListsInput" id="@cdktf/provider-datadog.dashboard.Dashboard.property.dashboardListsInput"></a>

```go
func DashboardListsInput() *[]*f64
```

- *Type:* *[]*f64

---

##### `DescriptionInput`<sup>Optional</sup> <a name="DescriptionInput" id="@cdktf/provider-datadog.dashboard.Dashboard.property.descriptionInput"></a>

```go
func DescriptionInput() *string
```

- *Type:* *string

---

##### `IdInput`<sup>Optional</sup> <a name="IdInput" id="@cdktf/provider-datadog.dashboard.Dashboard.property.idInput"></a>

```go
func IdInput() *string
```

- *Type:* *string

---

##### `IsReadOnlyInput`<sup>Optional</sup> <a name="IsReadOnlyInput" id="@cdktf/provider-datadog.dashboard.Dashboard.property.isReadOnlyInput"></a>

```go
func IsReadOnlyInput() interface{}
```

- *Type:* interface{}

---

##### `LayoutTypeInput`<sup>Optional</sup> <a name="LayoutTypeInput" id="@cdktf/provider-datadog.dashboard.Dashboard.property.layoutTypeInput"></a>

```go
func LayoutTypeInput() *string
```

- *Type:* *string

---

##### `NotifyListInput`<sup>Optional</sup> <a name="NotifyListInput" id="@cdktf/provider-datadog.dashboard.Dashboard.property.notifyListInput"></a>

```go
func NotifyListInput() *[]*string
```

- *Type:* *[]*string

---

##### `ReflowTypeInput`<sup>Optional</sup> <a name="ReflowTypeInput" id="@cdktf/provider-datadog.dashboard.Dashboard.property.reflowTypeInput"></a>

```go
func ReflowTypeInput() *string
```

- *Type:* *string

---

##### `RestrictedRolesInput`<sup>Optional</sup> <a name="RestrictedRolesInput" id="@cdktf/provider-datadog.dashboard.Dashboard.property.restrictedRolesInput"></a>

```go
func RestrictedRolesInput() *[]*string
```

- *Type:* *[]*string

---

##### `TemplateVariableInput`<sup>Optional</sup> <a name="TemplateVariableInput" id="@cdktf/provider-datadog.dashboard.Dashboard.property.templateVariableInput"></a>

```go
func TemplateVariableInput() interface{}
```

- *Type:* interface{}

---

##### `TemplateVariablePresetInput`<sup>Optional</sup> <a name="TemplateVariablePresetInput" id="@cdktf/provider-datadog.dashboard.Dashboard.property.templateVariablePresetInput"></a>

```go
func TemplateVariablePresetInput() interface{}
```

- *Type:* interface{}

---

##### `TitleInput`<sup>Optional</sup> <a name="TitleInput" id="@cdktf/provider-datadog.dashboard.Dashboard.property.titleInput"></a>

```go
func TitleInput() *string
```

- *Type:* *string

---

##### `UrlInput`<sup>Optional</sup> <a name="UrlInput" id="@cdktf/provider-datadog.dashboard.Dashboard.property.urlInput"></a>

```go
func UrlInput() *string
```

- *Type:* *string

---

##### `WidgetInput`<sup>Optional</sup> <a name="WidgetInput" id="@cdktf/provider-datadog.dashboard.Dashboard.property.widgetInput"></a>

```go
func WidgetInput() interface{}
```

- *Type:* interface{}

---

##### `DashboardLists`<sup>Required</sup> <a name="DashboardLists" id="@cdktf/provider-datadog.dashboard.Dashboard.property.dashboardLists"></a>

```go
func DashboardLists() *[]*f64
```

- *Type:* *[]*f64

---

##### `Description`<sup>Required</sup> <a name="Description" id="@cdktf/provider-datadog.dashboard.Dashboard.property.description"></a>

```go
func Description() *string
```

- *Type:* *string

---

##### `Id`<sup>Required</sup> <a name="Id" id="@cdktf/provider-datadog.dashboard.Dashboard.property.id"></a>

```go
func Id() *string
```

- *Type:* *string

---

##### `IsReadOnly`<sup>Required</sup> <a name="IsReadOnly" id="@cdktf/provider-datadog.dashboard.Dashboard.property.isReadOnly"></a>

```go
func IsReadOnly() interface{}
```

- *Type:* interface{}

---

##### `LayoutType`<sup>Required</sup> <a name="LayoutType" id="@cdktf/provider-datadog.dashboard.Dashboard.property.layoutType"></a>

```go
func LayoutType() *string
```

- *Type:* *string

---

##### `NotifyList`<sup>Required</sup> <a name="NotifyList" id="@cdktf/provider-datadog.dashboard.Dashboard.property.notifyList"></a>

```go
func NotifyList() *[]*string
```

- *Type:* *[]*string

---

##### `ReflowType`<sup>Required</sup> <a name="ReflowType" id="@cdktf/provider-datadog.dashboard.Dashboard.property.reflowType"></a>

```go
func ReflowType() *string
```

- *Type:* *string

---

##### `RestrictedRoles`<sup>Required</sup> <a name="RestrictedRoles" id="@cdktf/provider-datadog.dashboard.Dashboard.property.restrictedRoles"></a>

```go
func RestrictedRoles() *[]*string
```

- *Type:* *[]*string

---

##### `Title`<sup>Required</sup> <a name="Title" id="@cdktf/provider-datadog.dashboard.Dashboard.property.title"></a>

```go
func Title() *string
```

- *Type:* *string

---

##### `Url`<sup>Required</sup> <a name="Url" id="@cdktf/provider-datadog.dashboard.Dashboard.property.url"></a>

```go
func Url() *string
```

- *Type:* *string

---

#### Constants <a name="Constants" id="Constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.tfResourceType">TfResourceType</a></code> | <code>*string</code> | *No description.* |

---

##### `TfResourceType`<sup>Required</sup> <a name="TfResourceType" id="@cdktf/provider-datadog.dashboard.Dashboard.property.tfResourceType"></a>

```go
func TfResourceType() *string
```

- *Type:* *string

---

## Structs <a name="Structs" id="Structs"></a>

### DashboardConfig <a name="DashboardConfig" id="@cdktf/provider-datadog.dashboard.DashboardConfig"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardConfig.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardConfig {
	Connection: interface{},
	Count: interface{},
	DependsOn: *[]github.com/hashicorp/terraform-cdk-go/cdktf.ITerraformDependable,
	ForEach: github.com/hashicorp/terraform-cdk-go/cdktf.ITerraformIterator,
	Lifecycle: github.com/hashicorp/terraform-cdk-go/cdktf.TerraformResourceLifecycle,
	Provider: github.com/hashicorp/terraform-cdk-go/cdktf.TerraformProvider,
	Provisioners: *[]interface{},
	LayoutType: *string,
	Title: *string,
	DashboardLists: *[]*f64,
	Description: *string,
	Id: *string,
	IsReadOnly: interface{},
	NotifyList: *[]*string,
	ReflowType: *string,
	RestrictedRoles: *[]*string,
	TemplateVariable: interface{},
	TemplateVariablePreset: interface{},
	Url: *string,
	Widget: interface{},
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardConfig.property.connection">Connection</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardConfig.property.count">Count</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardConfig.property.dependsOn">DependsOn</a></code> | <code>*[]github.com/hashicorp/terraform-cdk-go/cdktf.ITerraformDependable</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardConfig.property.forEach">ForEach</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.ITerraformIterator</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardConfig.property.lifecycle">Lifecycle</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.TerraformResourceLifecycle</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardConfig.property.provider">Provider</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.TerraformProvider</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardConfig.property.provisioners">Provisioners</a></code> | <code>*[]interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardConfig.property.layoutType">LayoutType</a></code> | <code>*string</code> | The layout type of the dashboard. Valid values are `ordered`, `free`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardConfig.property.title">Title</a></code> | <code>*string</code> | The title of the dashboard. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardConfig.property.dashboardLists">DashboardLists</a></code> | <code>*[]*f64</code> | A list of dashboard lists this dashboard belongs to. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardConfig.property.description">Description</a></code> | <code>*string</code> | The description of the dashboard. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardConfig.property.id">Id</a></code> | <code>*string</code> | Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#id Dashboard#id}. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardConfig.property.isReadOnly">IsReadOnly</a></code> | <code>interface{}</code> | Whether this dashboard is read-only. **Deprecated.** Prefer using `restricted_roles` to define which roles are required to edit the dashboard. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardConfig.property.notifyList">NotifyList</a></code> | <code>*[]*string</code> | The list of handles for the users to notify when changes are made to this dashboard. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardConfig.property.reflowType">ReflowType</a></code> | <code>*string</code> | The reflow type of a new dashboard layout. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardConfig.property.restrictedRoles">RestrictedRoles</a></code> | <code>*[]*string</code> | UUIDs of roles whose associated users are authorized to edit the dashboard. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardConfig.property.templateVariable">TemplateVariable</a></code> | <code>interface{}</code> | template_variable block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardConfig.property.templateVariablePreset">TemplateVariablePreset</a></code> | <code>interface{}</code> | template_variable_preset block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardConfig.property.url">Url</a></code> | <code>*string</code> | The URL of the dashboard. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardConfig.property.widget">Widget</a></code> | <code>interface{}</code> | widget block. |

---

##### `Connection`<sup>Optional</sup> <a name="Connection" id="@cdktf/provider-datadog.dashboard.DashboardConfig.property.connection"></a>

```go
Connection interface{}
```

- *Type:* interface{}

---

##### `Count`<sup>Optional</sup> <a name="Count" id="@cdktf/provider-datadog.dashboard.DashboardConfig.property.count"></a>

```go
Count interface{}
```

- *Type:* interface{}

---

##### `DependsOn`<sup>Optional</sup> <a name="DependsOn" id="@cdktf/provider-datadog.dashboard.DashboardConfig.property.dependsOn"></a>

```go
DependsOn *[]ITerraformDependable
```

- *Type:* *[]github.com/hashicorp/terraform-cdk-go/cdktf.ITerraformDependable

---

##### `ForEach`<sup>Optional</sup> <a name="ForEach" id="@cdktf/provider-datadog.dashboard.DashboardConfig.property.forEach"></a>

```go
ForEach ITerraformIterator
```

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.ITerraformIterator

---

##### `Lifecycle`<sup>Optional</sup> <a name="Lifecycle" id="@cdktf/provider-datadog.dashboard.DashboardConfig.property.lifecycle"></a>

```go
Lifecycle TerraformResourceLifecycle
```

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.TerraformResourceLifecycle

---

##### `Provider`<sup>Optional</sup> <a name="Provider" id="@cdktf/provider-datadog.dashboard.DashboardConfig.property.provider"></a>

```go
Provider TerraformProvider
```

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.TerraformProvider

---

##### `Provisioners`<sup>Optional</sup> <a name="Provisioners" id="@cdktf/provider-datadog.dashboard.DashboardConfig.property.provisioners"></a>

```go
Provisioners *[]interface{}
```

- *Type:* *[]interface{}

---

##### `LayoutType`<sup>Required</sup> <a name="LayoutType" id="@cdktf/provider-datadog.dashboard.DashboardConfig.property.layoutType"></a>

```go
LayoutType *string
```

- *Type:* *string

The layout type of the dashboard. Valid values are `ordered`, `free`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#layout_type Dashboard#layout_type}

---

##### `Title`<sup>Required</sup> <a name="Title" id="@cdktf/provider-datadog.dashboard.DashboardConfig.property.title"></a>

```go
Title *string
```

- *Type:* *string

The title of the dashboard.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `DashboardLists`<sup>Optional</sup> <a name="DashboardLists" id="@cdktf/provider-datadog.dashboard.DashboardConfig.property.dashboardLists"></a>

```go
DashboardLists *[]*f64
```

- *Type:* *[]*f64

A list of dashboard lists this dashboard belongs to.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#dashboard_lists Dashboard#dashboard_lists}

---

##### `Description`<sup>Optional</sup> <a name="Description" id="@cdktf/provider-datadog.dashboard.DashboardConfig.property.description"></a>

```go
Description *string
```

- *Type:* *string

The description of the dashboard.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#description Dashboard#description}

---

##### `Id`<sup>Optional</sup> <a name="Id" id="@cdktf/provider-datadog.dashboard.DashboardConfig.property.id"></a>

```go
Id *string
```

- *Type:* *string

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#id Dashboard#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2.
If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `IsReadOnly`<sup>Optional</sup> <a name="IsReadOnly" id="@cdktf/provider-datadog.dashboard.DashboardConfig.property.isReadOnly"></a>

```go
IsReadOnly interface{}
```

- *Type:* interface{}

Whether this dashboard is read-only. **Deprecated.** Prefer using `restricted_roles` to define which roles are required to edit the dashboard.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_read_only Dashboard#is_read_only}

---

##### `NotifyList`<sup>Optional</sup> <a name="NotifyList" id="@cdktf/provider-datadog.dashboard.DashboardConfig.property.notifyList"></a>

```go
NotifyList *[]*string
```

- *Type:* *[]*string

The list of handles for the users to notify when changes are made to this dashboard.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#notify_list Dashboard#notify_list}

---

##### `ReflowType`<sup>Optional</sup> <a name="ReflowType" id="@cdktf/provider-datadog.dashboard.DashboardConfig.property.reflowType"></a>

```go
ReflowType *string
```

- *Type:* *string

The reflow type of a new dashboard layout.

Set this only when layout type is `ordered`. If set to `fixed`, the dashboard expects all widgets to have a layout, and if it's set to `auto`, widgets should not have layouts. Valid values are `auto`, `fixed`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#reflow_type Dashboard#reflow_type}

---

##### `RestrictedRoles`<sup>Optional</sup> <a name="RestrictedRoles" id="@cdktf/provider-datadog.dashboard.DashboardConfig.property.restrictedRoles"></a>

```go
RestrictedRoles *[]*string
```

- *Type:* *[]*string

UUIDs of roles whose associated users are authorized to edit the dashboard.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#restricted_roles Dashboard#restricted_roles}

---

##### `TemplateVariable`<sup>Optional</sup> <a name="TemplateVariable" id="@cdktf/provider-datadog.dashboard.DashboardConfig.property.templateVariable"></a>

```go
TemplateVariable interface{}
```

- *Type:* interface{}

template_variable block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#template_variable Dashboard#template_variable}

---

##### `TemplateVariablePreset`<sup>Optional</sup> <a name="TemplateVariablePreset" id="@cdktf/provider-datadog.dashboard.DashboardConfig.property.templateVariablePreset"></a>

```go
TemplateVariablePreset interface{}
```

- *Type:* interface{}

template_variable_preset block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#template_variable_preset Dashboard#template_variable_preset}

---

##### `Url`<sup>Optional</sup> <a name="Url" id="@cdktf/provider-datadog.dashboard.DashboardConfig.property.url"></a>

```go
Url *string
```

- *Type:* *string

The URL of the dashboard.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#url Dashboard#url}

---

##### `Widget`<sup>Optional</sup> <a name="Widget" id="@cdktf/provider-datadog.dashboard.DashboardConfig.property.widget"></a>

```go
Widget interface{}
```

- *Type:* interface{}

widget block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#widget Dashboard#widget}

---

### DashboardTemplateVariable <a name="DashboardTemplateVariable" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariable"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariable.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardTemplateVariable {
	Name: *string,
	AvailableValues: *[]*string,
	Default: *string,
	Defaults: *[]*string,
	Prefix: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariable.property.name">Name</a></code> | <code>*string</code> | The name of the variable. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariable.property.availableValues">AvailableValues</a></code> | <code>*[]*string</code> | The list of values that the template variable drop-down is be limited to. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariable.property.default">Default</a></code> | <code>*string</code> | The default value for the template variable on dashboard load. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariable.property.defaults">Defaults</a></code> | <code>*[]*string</code> | One or many default values for template variables on load. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariable.property.prefix">Prefix</a></code> | <code>*string</code> | The tag prefix associated with the variable. Only tags with this prefix appear in the variable dropdown. |

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariable.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of the variable.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `AvailableValues`<sup>Optional</sup> <a name="AvailableValues" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariable.property.availableValues"></a>

```go
AvailableValues *[]*string
```

- *Type:* *[]*string

The list of values that the template variable drop-down is be limited to.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#available_values Dashboard#available_values}

---

##### `Default`<sup>Optional</sup> <a name="Default" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariable.property.default"></a>

```go
Default *string
```

- *Type:* *string

The default value for the template variable on dashboard load.

Cannot be used in conjunction with `defaults`. **Deprecated.** Use `defaults` instead.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#default Dashboard#default}

---

##### `Defaults`<sup>Optional</sup> <a name="Defaults" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariable.property.defaults"></a>

```go
Defaults *[]*string
```

- *Type:* *[]*string

One or many default values for template variables on load.

If more than one default is specified, they will be unioned together with `OR`. Cannot be used in conjunction with `default`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#defaults Dashboard#defaults}

---

##### `Prefix`<sup>Optional</sup> <a name="Prefix" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariable.property.prefix"></a>

```go
Prefix *string
```

- *Type:* *string

The tag prefix associated with the variable. Only tags with this prefix appear in the variable dropdown.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#prefix Dashboard#prefix}

---

### DashboardTemplateVariablePreset <a name="DashboardTemplateVariablePreset" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePreset"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePreset.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardTemplateVariablePreset {
	Name: *string,
	TemplateVariable: interface{},
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePreset.property.name">Name</a></code> | <code>*string</code> | The name of the preset. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePreset.property.templateVariable">TemplateVariable</a></code> | <code>interface{}</code> | template_variable block. |

---

##### `Name`<sup>Optional</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePreset.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of the preset.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `TemplateVariable`<sup>Optional</sup> <a name="TemplateVariable" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePreset.property.templateVariable"></a>

```go
TemplateVariable interface{}
```

- *Type:* interface{}

template_variable block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#template_variable Dashboard#template_variable}

---

### DashboardTemplateVariablePresetTemplateVariable <a name="DashboardTemplateVariablePresetTemplateVariable" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariable"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariable.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardTemplateVariablePresetTemplateVariable {
	Name: *string,
	Value: *string,
	Values: *[]*string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariable.property.name">Name</a></code> | <code>*string</code> | The name of the template variable. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariable.property.value">Value</a></code> | <code>*string</code> | The value that should be assumed by the template variable in this preset. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariable.property.values">Values</a></code> | <code>*[]*string</code> | One or many template variable values within the saved view, which will be unioned together using `OR` if more than one is specified. |

---

##### `Name`<sup>Optional</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariable.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of the template variable.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `Value`<sup>Optional</sup> <a name="Value" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariable.property.value"></a>

```go
Value *string
```

- *Type:* *string

The value that should be assumed by the template variable in this preset.

Cannot be used in conjunction with `values`. **Deprecated.** Use `values` instead.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `Values`<sup>Optional</sup> <a name="Values" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariable.property.values"></a>

```go
Values *[]*string
```

- *Type:* *[]*string

One or many template variable values within the saved view, which will be unioned together using `OR` if more than one is specified.

Cannot be used in conjunction with `value`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#values Dashboard#values}

---

### DashboardWidget <a name="DashboardWidget" id="@cdktf/provider-datadog.dashboard.DashboardWidget"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidget.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidget {
	AlertGraphDefinition: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetAlertGraphDefinition,
	AlertValueDefinition: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetAlertValueDefinition,
	ChangeDefinition: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetChangeDefinition,
	CheckStatusDefinition: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetCheckStatusDefinition,
	DistributionDefinition: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetDistributionDefinition,
	EventStreamDefinition: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetEventStreamDefinition,
	EventTimelineDefinition: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetEventTimelineDefinition,
	FreeTextDefinition: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetFreeTextDefinition,
	GeomapDefinition: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGeomapDefinition,
	GroupDefinition: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinition,
	HeatmapDefinition: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetHeatmapDefinition,
	HostmapDefinition: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetHostmapDefinition,
	IframeDefinition: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetIframeDefinition,
	ImageDefinition: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetImageDefinition,
	ListStreamDefinition: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetListStreamDefinition,
	LogStreamDefinition: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetLogStreamDefinition,
	ManageStatusDefinition: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetManageStatusDefinition,
	NoteDefinition: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetNoteDefinition,
	QueryTableDefinition: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetQueryTableDefinition,
	QueryValueDefinition: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetQueryValueDefinition,
	RunWorkflowDefinition: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetRunWorkflowDefinition,
	ScatterplotDefinition: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetScatterplotDefinition,
	ServiceLevelObjectiveDefinition: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetServiceLevelObjectiveDefinition,
	ServicemapDefinition: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetServicemapDefinition,
	SloListDefinition: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetSloListDefinition,
	SunburstDefinition: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetSunburstDefinition,
	TimeseriesDefinition: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetTimeseriesDefinition,
	ToplistDefinition: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetToplistDefinition,
	TopologyMapDefinition: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetTopologyMapDefinition,
	TraceServiceDefinition: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetTraceServiceDefinition,
	TreemapDefinition: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetTreemapDefinition,
	WidgetLayout: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetWidgetLayout,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.alertGraphDefinition">AlertGraphDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinition">DashboardWidgetAlertGraphDefinition</a></code> | alert_graph_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.alertValueDefinition">AlertValueDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinition">DashboardWidgetAlertValueDefinition</a></code> | alert_value_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.changeDefinition">ChangeDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinition">DashboardWidgetChangeDefinition</a></code> | change_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.checkStatusDefinition">CheckStatusDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition">DashboardWidgetCheckStatusDefinition</a></code> | check_status_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.distributionDefinition">DistributionDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinition">DashboardWidgetDistributionDefinition</a></code> | distribution_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.eventStreamDefinition">EventStreamDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinition">DashboardWidgetEventStreamDefinition</a></code> | event_stream_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.eventTimelineDefinition">EventTimelineDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinition">DashboardWidgetEventTimelineDefinition</a></code> | event_timeline_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.freeTextDefinition">FreeTextDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinition">DashboardWidgetFreeTextDefinition</a></code> | free_text_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.geomapDefinition">GeomapDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition">DashboardWidgetGeomapDefinition</a></code> | geomap_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.groupDefinition">GroupDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinition">DashboardWidgetGroupDefinition</a></code> | group_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.heatmapDefinition">HeatmapDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition">DashboardWidgetHeatmapDefinition</a></code> | heatmap_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.hostmapDefinition">HostmapDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition">DashboardWidgetHostmapDefinition</a></code> | hostmap_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.iframeDefinition">IframeDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetIframeDefinition">DashboardWidgetIframeDefinition</a></code> | iframe_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.imageDefinition">ImageDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetImageDefinition">DashboardWidgetImageDefinition</a></code> | image_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.listStreamDefinition">ListStreamDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinition">DashboardWidgetListStreamDefinition</a></code> | list_stream_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.logStreamDefinition">LogStreamDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition">DashboardWidgetLogStreamDefinition</a></code> | log_stream_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.manageStatusDefinition">ManageStatusDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition">DashboardWidgetManageStatusDefinition</a></code> | manage_status_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.noteDefinition">NoteDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition">DashboardWidgetNoteDefinition</a></code> | note_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.queryTableDefinition">QueryTableDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinition">DashboardWidgetQueryTableDefinition</a></code> | query_table_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.queryValueDefinition">QueryValueDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition">DashboardWidgetQueryValueDefinition</a></code> | query_value_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.runWorkflowDefinition">RunWorkflowDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinition">DashboardWidgetRunWorkflowDefinition</a></code> | run_workflow_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.scatterplotDefinition">ScatterplotDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition">DashboardWidgetScatterplotDefinition</a></code> | scatterplot_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.serviceLevelObjectiveDefinition">ServiceLevelObjectiveDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition">DashboardWidgetServiceLevelObjectiveDefinition</a></code> | service_level_objective_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.servicemapDefinition">ServicemapDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinition">DashboardWidgetServicemapDefinition</a></code> | servicemap_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.sloListDefinition">SloListDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinition">DashboardWidgetSloListDefinition</a></code> | slo_list_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.sunburstDefinition">SunburstDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition">DashboardWidgetSunburstDefinition</a></code> | sunburst_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.timeseriesDefinition">TimeseriesDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition">DashboardWidgetTimeseriesDefinition</a></code> | timeseries_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.toplistDefinition">ToplistDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinition">DashboardWidgetToplistDefinition</a></code> | toplist_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.topologyMapDefinition">TopologyMapDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinition">DashboardWidgetTopologyMapDefinition</a></code> | topology_map_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.traceServiceDefinition">TraceServiceDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition">DashboardWidgetTraceServiceDefinition</a></code> | trace_service_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.treemapDefinition">TreemapDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinition">DashboardWidgetTreemapDefinition</a></code> | treemap_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.widgetLayout">WidgetLayout</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetWidgetLayout">DashboardWidgetWidgetLayout</a></code> | widget_layout block. |

---

##### `AlertGraphDefinition`<sup>Optional</sup> <a name="AlertGraphDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.alertGraphDefinition"></a>

```go
AlertGraphDefinition DashboardWidgetAlertGraphDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinition">DashboardWidgetAlertGraphDefinition</a>

alert_graph_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alert_graph_definition Dashboard#alert_graph_definition}

---

##### `AlertValueDefinition`<sup>Optional</sup> <a name="AlertValueDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.alertValueDefinition"></a>

```go
AlertValueDefinition DashboardWidgetAlertValueDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinition">DashboardWidgetAlertValueDefinition</a>

alert_value_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alert_value_definition Dashboard#alert_value_definition}

---

##### `ChangeDefinition`<sup>Optional</sup> <a name="ChangeDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.changeDefinition"></a>

```go
ChangeDefinition DashboardWidgetChangeDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinition">DashboardWidgetChangeDefinition</a>

change_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#change_definition Dashboard#change_definition}

---

##### `CheckStatusDefinition`<sup>Optional</sup> <a name="CheckStatusDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.checkStatusDefinition"></a>

```go
CheckStatusDefinition DashboardWidgetCheckStatusDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition">DashboardWidgetCheckStatusDefinition</a>

check_status_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#check_status_definition Dashboard#check_status_definition}

---

##### `DistributionDefinition`<sup>Optional</sup> <a name="DistributionDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.distributionDefinition"></a>

```go
DistributionDefinition DashboardWidgetDistributionDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinition">DashboardWidgetDistributionDefinition</a>

distribution_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#distribution_definition Dashboard#distribution_definition}

---

##### `EventStreamDefinition`<sup>Optional</sup> <a name="EventStreamDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.eventStreamDefinition"></a>

```go
EventStreamDefinition DashboardWidgetEventStreamDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinition">DashboardWidgetEventStreamDefinition</a>

event_stream_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_stream_definition Dashboard#event_stream_definition}

---

##### `EventTimelineDefinition`<sup>Optional</sup> <a name="EventTimelineDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.eventTimelineDefinition"></a>

```go
EventTimelineDefinition DashboardWidgetEventTimelineDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinition">DashboardWidgetEventTimelineDefinition</a>

event_timeline_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_timeline_definition Dashboard#event_timeline_definition}

---

##### `FreeTextDefinition`<sup>Optional</sup> <a name="FreeTextDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.freeTextDefinition"></a>

```go
FreeTextDefinition DashboardWidgetFreeTextDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinition">DashboardWidgetFreeTextDefinition</a>

free_text_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#free_text_definition Dashboard#free_text_definition}

---

##### `GeomapDefinition`<sup>Optional</sup> <a name="GeomapDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.geomapDefinition"></a>

```go
GeomapDefinition DashboardWidgetGeomapDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition">DashboardWidgetGeomapDefinition</a>

geomap_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#geomap_definition Dashboard#geomap_definition}

---

##### `GroupDefinition`<sup>Optional</sup> <a name="GroupDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.groupDefinition"></a>

```go
GroupDefinition DashboardWidgetGroupDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinition">DashboardWidgetGroupDefinition</a>

group_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_definition Dashboard#group_definition}

---

##### `HeatmapDefinition`<sup>Optional</sup> <a name="HeatmapDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.heatmapDefinition"></a>

```go
HeatmapDefinition DashboardWidgetHeatmapDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition">DashboardWidgetHeatmapDefinition</a>

heatmap_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#heatmap_definition Dashboard#heatmap_definition}

---

##### `HostmapDefinition`<sup>Optional</sup> <a name="HostmapDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.hostmapDefinition"></a>

```go
HostmapDefinition DashboardWidgetHostmapDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition">DashboardWidgetHostmapDefinition</a>

hostmap_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hostmap_definition Dashboard#hostmap_definition}

---

##### `IframeDefinition`<sup>Optional</sup> <a name="IframeDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.iframeDefinition"></a>

```go
IframeDefinition DashboardWidgetIframeDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetIframeDefinition">DashboardWidgetIframeDefinition</a>

iframe_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#iframe_definition Dashboard#iframe_definition}

---

##### `ImageDefinition`<sup>Optional</sup> <a name="ImageDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.imageDefinition"></a>

```go
ImageDefinition DashboardWidgetImageDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetImageDefinition">DashboardWidgetImageDefinition</a>

image_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_definition Dashboard#image_definition}

---

##### `ListStreamDefinition`<sup>Optional</sup> <a name="ListStreamDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.listStreamDefinition"></a>

```go
ListStreamDefinition DashboardWidgetListStreamDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinition">DashboardWidgetListStreamDefinition</a>

list_stream_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#list_stream_definition Dashboard#list_stream_definition}

---

##### `LogStreamDefinition`<sup>Optional</sup> <a name="LogStreamDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.logStreamDefinition"></a>

```go
LogStreamDefinition DashboardWidgetLogStreamDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition">DashboardWidgetLogStreamDefinition</a>

log_stream_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_stream_definition Dashboard#log_stream_definition}

---

##### `ManageStatusDefinition`<sup>Optional</sup> <a name="ManageStatusDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.manageStatusDefinition"></a>

```go
ManageStatusDefinition DashboardWidgetManageStatusDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition">DashboardWidgetManageStatusDefinition</a>

manage_status_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#manage_status_definition Dashboard#manage_status_definition}

---

##### `NoteDefinition`<sup>Optional</sup> <a name="NoteDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.noteDefinition"></a>

```go
NoteDefinition DashboardWidgetNoteDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition">DashboardWidgetNoteDefinition</a>

note_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#note_definition Dashboard#note_definition}

---

##### `QueryTableDefinition`<sup>Optional</sup> <a name="QueryTableDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.queryTableDefinition"></a>

```go
QueryTableDefinition DashboardWidgetQueryTableDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinition">DashboardWidgetQueryTableDefinition</a>

query_table_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query_table_definition Dashboard#query_table_definition}

---

##### `QueryValueDefinition`<sup>Optional</sup> <a name="QueryValueDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.queryValueDefinition"></a>

```go
QueryValueDefinition DashboardWidgetQueryValueDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition">DashboardWidgetQueryValueDefinition</a>

query_value_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query_value_definition Dashboard#query_value_definition}

---

##### `RunWorkflowDefinition`<sup>Optional</sup> <a name="RunWorkflowDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.runWorkflowDefinition"></a>

```go
RunWorkflowDefinition DashboardWidgetRunWorkflowDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinition">DashboardWidgetRunWorkflowDefinition</a>

run_workflow_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#run_workflow_definition Dashboard#run_workflow_definition}

---

##### `ScatterplotDefinition`<sup>Optional</sup> <a name="ScatterplotDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.scatterplotDefinition"></a>

```go
ScatterplotDefinition DashboardWidgetScatterplotDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition">DashboardWidgetScatterplotDefinition</a>

scatterplot_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#scatterplot_definition Dashboard#scatterplot_definition}

---

##### `ServiceLevelObjectiveDefinition`<sup>Optional</sup> <a name="ServiceLevelObjectiveDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.serviceLevelObjectiveDefinition"></a>

```go
ServiceLevelObjectiveDefinition DashboardWidgetServiceLevelObjectiveDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition">DashboardWidgetServiceLevelObjectiveDefinition</a>

service_level_objective_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service_level_objective_definition Dashboard#service_level_objective_definition}

---

##### `ServicemapDefinition`<sup>Optional</sup> <a name="ServicemapDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.servicemapDefinition"></a>

```go
ServicemapDefinition DashboardWidgetServicemapDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinition">DashboardWidgetServicemapDefinition</a>

servicemap_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#servicemap_definition Dashboard#servicemap_definition}

---

##### `SloListDefinition`<sup>Optional</sup> <a name="SloListDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.sloListDefinition"></a>

```go
SloListDefinition DashboardWidgetSloListDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinition">DashboardWidgetSloListDefinition</a>

slo_list_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#slo_list_definition Dashboard#slo_list_definition}

---

##### `SunburstDefinition`<sup>Optional</sup> <a name="SunburstDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.sunburstDefinition"></a>

```go
SunburstDefinition DashboardWidgetSunburstDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition">DashboardWidgetSunburstDefinition</a>

sunburst_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sunburst_definition Dashboard#sunburst_definition}

---

##### `TimeseriesDefinition`<sup>Optional</sup> <a name="TimeseriesDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.timeseriesDefinition"></a>

```go
TimeseriesDefinition DashboardWidgetTimeseriesDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition">DashboardWidgetTimeseriesDefinition</a>

timeseries_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeseries_definition Dashboard#timeseries_definition}

---

##### `ToplistDefinition`<sup>Optional</sup> <a name="ToplistDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.toplistDefinition"></a>

```go
ToplistDefinition DashboardWidgetToplistDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinition">DashboardWidgetToplistDefinition</a>

toplist_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#toplist_definition Dashboard#toplist_definition}

---

##### `TopologyMapDefinition`<sup>Optional</sup> <a name="TopologyMapDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.topologyMapDefinition"></a>

```go
TopologyMapDefinition DashboardWidgetTopologyMapDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinition">DashboardWidgetTopologyMapDefinition</a>

topology_map_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#topology_map_definition Dashboard#topology_map_definition}

---

##### `TraceServiceDefinition`<sup>Optional</sup> <a name="TraceServiceDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.traceServiceDefinition"></a>

```go
TraceServiceDefinition DashboardWidgetTraceServiceDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition">DashboardWidgetTraceServiceDefinition</a>

trace_service_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#trace_service_definition Dashboard#trace_service_definition}

---

##### `TreemapDefinition`<sup>Optional</sup> <a name="TreemapDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.treemapDefinition"></a>

```go
TreemapDefinition DashboardWidgetTreemapDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinition">DashboardWidgetTreemapDefinition</a>

treemap_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#treemap_definition Dashboard#treemap_definition}

---

##### `WidgetLayout`<sup>Optional</sup> <a name="WidgetLayout" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.widgetLayout"></a>

```go
WidgetLayout DashboardWidgetWidgetLayout
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetWidgetLayout">DashboardWidgetWidgetLayout</a>

widget_layout block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#widget_layout Dashboard#widget_layout}

---

### DashboardWidgetAlertGraphDefinition <a name="DashboardWidgetAlertGraphDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinition.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetAlertGraphDefinition {
	AlertId: *string,
	VizType: *string,
	LiveSpan: *string,
	Title: *string,
	TitleAlign: *string,
	TitleSize: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinition.property.alertId">AlertId</a></code> | <code>*string</code> | The ID of the monitor used by the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinition.property.vizType">VizType</a></code> | <code>*string</code> | Type of visualization to use when displaying the widget. Valid values are `timeseries`, `toplist`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinition.property.liveSpan">LiveSpan</a></code> | <code>*string</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinition.property.title">Title</a></code> | <code>*string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinition.property.titleAlign">TitleAlign</a></code> | <code>*string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinition.property.titleSize">TitleSize</a></code> | <code>*string</code> | The size of the widget's title (defaults to 16). |

---

##### `AlertId`<sup>Required</sup> <a name="AlertId" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinition.property.alertId"></a>

```go
AlertId *string
```

- *Type:* *string

The ID of the monitor used by the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alert_id Dashboard#alert_id}

---

##### `VizType`<sup>Required</sup> <a name="VizType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinition.property.vizType"></a>

```go
VizType *string
```

- *Type:* *string

Type of visualization to use when displaying the widget. Valid values are `timeseries`, `toplist`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#viz_type Dashboard#viz_type}

---

##### `LiveSpan`<sup>Optional</sup> <a name="LiveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinition.property.liveSpan"></a>

```go
LiveSpan *string
```

- *Type:* *string

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `Title`<sup>Optional</sup> <a name="Title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinition.property.title"></a>

```go
Title *string
```

- *Type:* *string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `TitleAlign`<sup>Optional</sup> <a name="TitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinition.property.titleAlign"></a>

```go
TitleAlign *string
```

- *Type:* *string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `TitleSize`<sup>Optional</sup> <a name="TitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinition.property.titleSize"></a>

```go
TitleSize *string
```

- *Type:* *string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetAlertValueDefinition <a name="DashboardWidgetAlertValueDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinition.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetAlertValueDefinition {
	AlertId: *string,
	Precision: *f64,
	TextAlign: *string,
	Title: *string,
	TitleAlign: *string,
	TitleSize: *string,
	Unit: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinition.property.alertId">AlertId</a></code> | <code>*string</code> | The ID of the monitor used by the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinition.property.precision">Precision</a></code> | <code>*f64</code> | The precision to use when displaying the value. Use `*` for maximum precision. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinition.property.textAlign">TextAlign</a></code> | <code>*string</code> | The alignment of the text in the widget. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinition.property.title">Title</a></code> | <code>*string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinition.property.titleAlign">TitleAlign</a></code> | <code>*string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinition.property.titleSize">TitleSize</a></code> | <code>*string</code> | The size of the widget's title (defaults to 16). |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinition.property.unit">Unit</a></code> | <code>*string</code> | The unit for the value displayed in the widget. |

---

##### `AlertId`<sup>Required</sup> <a name="AlertId" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinition.property.alertId"></a>

```go
AlertId *string
```

- *Type:* *string

The ID of the monitor used by the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alert_id Dashboard#alert_id}

---

##### `Precision`<sup>Optional</sup> <a name="Precision" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinition.property.precision"></a>

```go
Precision *f64
```

- *Type:* *f64

The precision to use when displaying the value. Use `*` for maximum precision.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#precision Dashboard#precision}

---

##### `TextAlign`<sup>Optional</sup> <a name="TextAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinition.property.textAlign"></a>

```go
TextAlign *string
```

- *Type:* *string

The alignment of the text in the widget. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_align Dashboard#text_align}

---

##### `Title`<sup>Optional</sup> <a name="Title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinition.property.title"></a>

```go
Title *string
```

- *Type:* *string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `TitleAlign`<sup>Optional</sup> <a name="TitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinition.property.titleAlign"></a>

```go
TitleAlign *string
```

- *Type:* *string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `TitleSize`<sup>Optional</sup> <a name="TitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinition.property.titleSize"></a>

```go
TitleSize *string
```

- *Type:* *string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

##### `Unit`<sup>Optional</sup> <a name="Unit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinition.property.unit"></a>

```go
Unit *string
```

- *Type:* *string

The unit for the value displayed in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#unit Dashboard#unit}

---

### DashboardWidgetChangeDefinition <a name="DashboardWidgetChangeDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinition.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetChangeDefinition {
	CustomLink: interface{},
	LiveSpan: *string,
	Request: interface{},
	Title: *string,
	TitleAlign: *string,
	TitleSize: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinition.property.customLink">CustomLink</a></code> | <code>interface{}</code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinition.property.liveSpan">LiveSpan</a></code> | <code>*string</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinition.property.request">Request</a></code> | <code>interface{}</code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinition.property.title">Title</a></code> | <code>*string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinition.property.titleAlign">TitleAlign</a></code> | <code>*string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinition.property.titleSize">TitleSize</a></code> | <code>*string</code> | The size of the widget's title (defaults to 16). |

---

##### `CustomLink`<sup>Optional</sup> <a name="CustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinition.property.customLink"></a>

```go
CustomLink interface{}
```

- *Type:* interface{}

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `LiveSpan`<sup>Optional</sup> <a name="LiveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinition.property.liveSpan"></a>

```go
LiveSpan *string
```

- *Type:* *string

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `Request`<sup>Optional</sup> <a name="Request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinition.property.request"></a>

```go
Request interface{}
```

- *Type:* interface{}

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `Title`<sup>Optional</sup> <a name="Title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinition.property.title"></a>

```go
Title *string
```

- *Type:* *string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `TitleAlign`<sup>Optional</sup> <a name="TitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinition.property.titleAlign"></a>

```go
TitleAlign *string
```

- *Type:* *string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `TitleSize`<sup>Optional</sup> <a name="TitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinition.property.titleSize"></a>

```go
TitleSize *string
```

- *Type:* *string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetChangeDefinitionCustomLink <a name="DashboardWidgetChangeDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLink.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetChangeDefinitionCustomLink {
	IsHidden: interface{},
	Label: *string,
	Link: *string,
	OverrideLabel: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLink.property.isHidden">IsHidden</a></code> | <code>interface{}</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLink.property.label">Label</a></code> | <code>*string</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLink.property.link">Link</a></code> | <code>*string</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLink.property.overrideLabel">OverrideLabel</a></code> | <code>*string</code> | The label ID that refers to a context menu link item. |

---

##### `IsHidden`<sup>Optional</sup> <a name="IsHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLink.property.isHidden"></a>

```go
IsHidden interface{}
```

- *Type:* interface{}

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `Label`<sup>Optional</sup> <a name="Label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLink.property.label"></a>

```go
Label *string
```

- *Type:* *string

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `Link`<sup>Optional</sup> <a name="Link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLink.property.link"></a>

```go
Link *string
```

- *Type:* *string

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `OverrideLabel`<sup>Optional</sup> <a name="OverrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLink.property.overrideLabel"></a>

```go
OverrideLabel *string
```

- *Type:* *string

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetChangeDefinitionRequest <a name="DashboardWidgetChangeDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetChangeDefinitionRequest {
	ApmQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetChangeDefinitionRequestApmQuery,
	ChangeType: *string,
	CompareTo: *string,
	Formula: interface{},
	IncreaseGood: interface{},
	LogQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetChangeDefinitionRequestLogQuery,
	OrderBy: *string,
	OrderDir: *string,
	ProcessQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetChangeDefinitionRequestProcessQuery,
	Q: *string,
	Query: interface{},
	RumQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetChangeDefinitionRequestRumQuery,
	SecurityQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQuery,
	ShowPresent: interface{},
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.apmQuery">ApmQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQuery">DashboardWidgetChangeDefinitionRequestApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.changeType">ChangeType</a></code> | <code>*string</code> | Whether to show absolute or relative change. Valid values are `absolute`, `relative`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.compareTo">CompareTo</a></code> | <code>*string</code> | Choose from when to compare current data to. Valid values are `hour_before`, `day_before`, `week_before`, `month_before`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.formula">Formula</a></code> | <code>interface{}</code> | formula block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.increaseGood">IncreaseGood</a></code> | <code>interface{}</code> | A Boolean indicating whether an increase in the value is good (displayed in green) or not (displayed in red). |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.logQuery">LogQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQuery">DashboardWidgetChangeDefinitionRequestLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.orderBy">OrderBy</a></code> | <code>*string</code> | What to order by. Valid values are `change`, `name`, `present`, `past`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.orderDir">OrderDir</a></code> | <code>*string</code> | Widget sorting method. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.processQuery">ProcessQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQuery">DashboardWidgetChangeDefinitionRequestProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.q">Q</a></code> | <code>*string</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.query">Query</a></code> | <code>interface{}</code> | query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.rumQuery">RumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQuery">DashboardWidgetChangeDefinitionRequestRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.securityQuery">SecurityQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQuery">DashboardWidgetChangeDefinitionRequestSecurityQuery</a></code> | security_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.showPresent">ShowPresent</a></code> | <code>interface{}</code> | If set to `true`, displays the current value. |

---

##### `ApmQuery`<sup>Optional</sup> <a name="ApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.apmQuery"></a>

```go
ApmQuery DashboardWidgetChangeDefinitionRequestApmQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQuery">DashboardWidgetChangeDefinitionRequestApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `ChangeType`<sup>Optional</sup> <a name="ChangeType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.changeType"></a>

```go
ChangeType *string
```

- *Type:* *string

Whether to show absolute or relative change. Valid values are `absolute`, `relative`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#change_type Dashboard#change_type}

---

##### `CompareTo`<sup>Optional</sup> <a name="CompareTo" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.compareTo"></a>

```go
CompareTo *string
```

- *Type:* *string

Choose from when to compare current data to. Valid values are `hour_before`, `day_before`, `week_before`, `month_before`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compare_to Dashboard#compare_to}

---

##### `Formula`<sup>Optional</sup> <a name="Formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.formula"></a>

```go
Formula interface{}
```

- *Type:* interface{}

formula block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula Dashboard#formula}

---

##### `IncreaseGood`<sup>Optional</sup> <a name="IncreaseGood" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.increaseGood"></a>

```go
IncreaseGood interface{}
```

- *Type:* interface{}

A Boolean indicating whether an increase in the value is good (displayed in green) or not (displayed in red).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#increase_good Dashboard#increase_good}

---

##### `LogQuery`<sup>Optional</sup> <a name="LogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.logQuery"></a>

```go
LogQuery DashboardWidgetChangeDefinitionRequestLogQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQuery">DashboardWidgetChangeDefinitionRequestLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `OrderBy`<sup>Optional</sup> <a name="OrderBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.orderBy"></a>

```go
OrderBy *string
```

- *Type:* *string

What to order by. Valid values are `change`, `name`, `present`, `past`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order_by Dashboard#order_by}

---

##### `OrderDir`<sup>Optional</sup> <a name="OrderDir" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.orderDir"></a>

```go
OrderDir *string
```

- *Type:* *string

Widget sorting method. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order_dir Dashboard#order_dir}

---

##### `ProcessQuery`<sup>Optional</sup> <a name="ProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.processQuery"></a>

```go
ProcessQuery DashboardWidgetChangeDefinitionRequestProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQuery">DashboardWidgetChangeDefinitionRequestProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `Q`<sup>Optional</sup> <a name="Q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.q"></a>

```go
Q *string
```

- *Type:* *string

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `Query`<sup>Optional</sup> <a name="Query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.query"></a>

```go
Query interface{}
```

- *Type:* interface{}

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `RumQuery`<sup>Optional</sup> <a name="RumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.rumQuery"></a>

```go
RumQuery DashboardWidgetChangeDefinitionRequestRumQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQuery">DashboardWidgetChangeDefinitionRequestRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `SecurityQuery`<sup>Optional</sup> <a name="SecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.securityQuery"></a>

```go
SecurityQuery DashboardWidgetChangeDefinitionRequestSecurityQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQuery">DashboardWidgetChangeDefinitionRequestSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

##### `ShowPresent`<sup>Optional</sup> <a name="ShowPresent" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.showPresent"></a>

```go
ShowPresent interface{}
```

- *Type:* interface{}

If set to `true`, displays the current value.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_present Dashboard#show_present}

---

### DashboardWidgetChangeDefinitionRequestApmQuery <a name="DashboardWidgetChangeDefinitionRequestApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetChangeDefinitionRequestApmQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery">DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery">DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery <a name="DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetChangeDefinitionRequestApmQueryGroupBy <a name="DashboardWidgetChangeDefinitionRequestApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery <a name="DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute <a name="DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetChangeDefinitionRequestFormula <a name="DashboardWidgetChangeDefinitionRequestFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormula"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormula.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetChangeDefinitionRequestFormula {
	FormulaExpression: *string,
	Alias: *string,
	CellDisplayMode: *string,
	ConditionalFormats: interface{},
	Limit: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimit,
	Style: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyle,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormula.property.formulaExpression">FormulaExpression</a></code> | <code>*string</code> | A string expression built from queries, formulas, and functions. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormula.property.alias">Alias</a></code> | <code>*string</code> | An expression alias. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormula.property.cellDisplayMode">CellDisplayMode</a></code> | <code>*string</code> | A list of display modes for each table cell. Valid values are `number`, `bar`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormula.property.conditionalFormats">ConditionalFormats</a></code> | <code>interface{}</code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormula.property.limit">Limit</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimit">DashboardWidgetChangeDefinitionRequestFormulaLimit</a></code> | limit block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormula.property.style">Style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyle">DashboardWidgetChangeDefinitionRequestFormulaStyle</a></code> | style block. |

---

##### `FormulaExpression`<sup>Required</sup> <a name="FormulaExpression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormula.property.formulaExpression"></a>

```go
FormulaExpression *string
```

- *Type:* *string

A string expression built from queries, formulas, and functions.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula_expression Dashboard#formula_expression}

---

##### `Alias`<sup>Optional</sup> <a name="Alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormula.property.alias"></a>

```go
Alias *string
```

- *Type:* *string

An expression alias.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `CellDisplayMode`<sup>Optional</sup> <a name="CellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormula.property.cellDisplayMode"></a>

```go
CellDisplayMode *string
```

- *Type:* *string

A list of display modes for each table cell. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `ConditionalFormats`<sup>Optional</sup> <a name="ConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormula.property.conditionalFormats"></a>

```go
ConditionalFormats interface{}
```

- *Type:* interface{}

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormula.property.limit"></a>

```go
Limit DashboardWidgetChangeDefinitionRequestFormulaLimit
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimit">DashboardWidgetChangeDefinitionRequestFormulaLimit</a>

limit block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `Style`<sup>Optional</sup> <a name="Style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormula.property.style"></a>

```go
Style DashboardWidgetChangeDefinitionRequestFormulaStyle
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyle">DashboardWidgetChangeDefinitionRequestFormulaStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats <a name="DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats {
	Comparator: *string,
	Palette: *string,
	Value: *f64,
	CustomBgColor: *string,
	CustomFgColor: *string,
	HideValue: interface{},
	ImageUrl: *string,
	Metric: *string,
	Timeframe: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats.property.comparator">Comparator</a></code> | <code>*string</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats.property.palette">Palette</a></code> | <code>*string</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats.property.value">Value</a></code> | <code>*f64</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats.property.customBgColor">CustomBgColor</a></code> | <code>*string</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats.property.customFgColor">CustomFgColor</a></code> | <code>*string</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats.property.hideValue">HideValue</a></code> | <code>interface{}</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats.property.imageUrl">ImageUrl</a></code> | <code>*string</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats.property.metric">Metric</a></code> | <code>*string</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats.property.timeframe">Timeframe</a></code> | <code>*string</code> | Defines the displayed timeframe. |

---

##### `Comparator`<sup>Required</sup> <a name="Comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats.property.comparator"></a>

```go
Comparator *string
```

- *Type:* *string

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `Palette`<sup>Required</sup> <a name="Palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats.property.palette"></a>

```go
Palette *string
```

- *Type:* *string

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `Value`<sup>Required</sup> <a name="Value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats.property.value"></a>

```go
Value *f64
```

- *Type:* *f64

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `CustomBgColor`<sup>Optional</sup> <a name="CustomBgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats.property.customBgColor"></a>

```go
CustomBgColor *string
```

- *Type:* *string

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `CustomFgColor`<sup>Optional</sup> <a name="CustomFgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats.property.customFgColor"></a>

```go
CustomFgColor *string
```

- *Type:* *string

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `HideValue`<sup>Optional</sup> <a name="HideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats.property.hideValue"></a>

```go
HideValue interface{}
```

- *Type:* interface{}

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `ImageUrl`<sup>Optional</sup> <a name="ImageUrl" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats.property.imageUrl"></a>

```go
ImageUrl *string
```

- *Type:* *string

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `Metric`<sup>Optional</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `Timeframe`<sup>Optional</sup> <a name="Timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats.property.timeframe"></a>

```go
Timeframe *string
```

- *Type:* *string

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetChangeDefinitionRequestFormulaLimit <a name="DashboardWidgetChangeDefinitionRequestFormulaLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimit"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimit.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimit {
	Count: *f64,
	Order: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimit.property.count">Count</a></code> | <code>*f64</code> | The number of results to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimit.property.order">Order</a></code> | <code>*string</code> | The direction of the sort. Valid values are `asc`, `desc`. |

---

##### `Count`<sup>Optional</sup> <a name="Count" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimit.property.count"></a>

```go
Count *f64
```

- *Type:* *f64

The number of results to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#count Dashboard#count}

---

##### `Order`<sup>Optional</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimit.property.order"></a>

```go
Order *string
```

- *Type:* *string

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetChangeDefinitionRequestFormulaStyle <a name="DashboardWidgetChangeDefinitionRequestFormulaStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyle.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyle {
	Palette: *string,
	PaletteIndex: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyle.property.palette">Palette</a></code> | <code>*string</code> | The color palette used to display the formula. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyle.property.paletteIndex">PaletteIndex</a></code> | <code>*f64</code> | Index specifying which color to use within the palette. |

---

##### `Palette`<sup>Optional</sup> <a name="Palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyle.property.palette"></a>

```go
Palette *string
```

- *Type:* *string

The color palette used to display the formula.

A guide to the available color palettes can be found at https://docs.datadoghq.com/dashboards/guide/widget_colors

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `PaletteIndex`<sup>Optional</sup> <a name="PaletteIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyle.property.paletteIndex"></a>

```go
PaletteIndex *f64
```

- *Type:* *f64

Index specifying which color to use within the palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette_index Dashboard#palette_index}

---

### DashboardWidgetChangeDefinitionRequestLogQuery <a name="DashboardWidgetChangeDefinitionRequestLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetChangeDefinitionRequestLogQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery">DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery">DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery <a name="DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetChangeDefinitionRequestLogQueryGroupBy <a name="DashboardWidgetChangeDefinitionRequestLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery <a name="DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute <a name="DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetChangeDefinitionRequestProcessQuery <a name="DashboardWidgetChangeDefinitionRequestProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetChangeDefinitionRequestProcessQuery {
	Metric: *string,
	FilterBy: *[]*string,
	Limit: *f64,
	SearchBy: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQuery.property.metric">Metric</a></code> | <code>*string</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQuery.property.filterBy">FilterBy</a></code> | <code>*[]*string</code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQuery.property.limit">Limit</a></code> | <code>*f64</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQuery.property.searchBy">SearchBy</a></code> | <code>*string</code> | Your chosen search term. |

---

##### `Metric`<sup>Required</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQuery.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `FilterBy`<sup>Optional</sup> <a name="FilterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQuery.property.filterBy"></a>

```go
FilterBy *[]*string
```

- *Type:* *[]*string

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQuery.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SearchBy`<sup>Optional</sup> <a name="SearchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQuery.property.searchBy"></a>

```go
SearchBy *string
```

- *Type:* *string

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetChangeDefinitionRequestQuery <a name="DashboardWidgetChangeDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetChangeDefinitionRequestQuery {
	ApmDependencyStatsQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery,
	ApmResourceStatsQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery,
	EventQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery,
	MetricQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQuery,
	ProcessQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQuery.property.apmDependencyStatsQuery">ApmDependencyStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery</a></code> | apm_dependency_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQuery.property.apmResourceStatsQuery">ApmResourceStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery</a></code> | apm_resource_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQuery.property.eventQuery">EventQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery">DashboardWidgetChangeDefinitionRequestQueryEventQuery</a></code> | event_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQuery.property.metricQuery">MetricQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQuery">DashboardWidgetChangeDefinitionRequestQueryMetricQuery</a></code> | metric_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQuery.property.processQuery">ProcessQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery">DashboardWidgetChangeDefinitionRequestQueryProcessQuery</a></code> | process_query block. |

---

##### `ApmDependencyStatsQuery`<sup>Optional</sup> <a name="ApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQuery.property.apmDependencyStatsQuery"></a>

```go
ApmDependencyStatsQuery DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery</a>

apm_dependency_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_dependency_stats_query Dashboard#apm_dependency_stats_query}

---

##### `ApmResourceStatsQuery`<sup>Optional</sup> <a name="ApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQuery.property.apmResourceStatsQuery"></a>

```go
ApmResourceStatsQuery DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery</a>

apm_resource_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_resource_stats_query Dashboard#apm_resource_stats_query}

---

##### `EventQuery`<sup>Optional</sup> <a name="EventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQuery.property.eventQuery"></a>

```go
EventQuery DashboardWidgetChangeDefinitionRequestQueryEventQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery">DashboardWidgetChangeDefinitionRequestQueryEventQuery</a>

event_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_query Dashboard#event_query}

---

##### `MetricQuery`<sup>Optional</sup> <a name="MetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQuery.property.metricQuery"></a>

```go
MetricQuery DashboardWidgetChangeDefinitionRequestQueryMetricQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQuery">DashboardWidgetChangeDefinitionRequestQueryMetricQuery</a>

metric_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric_query Dashboard#metric_query}

---

##### `ProcessQuery`<sup>Optional</sup> <a name="ProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQuery.property.processQuery"></a>

```go
ProcessQuery DashboardWidgetChangeDefinitionRequestQueryProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery">DashboardWidgetChangeDefinitionRequestQueryProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

### DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery <a name="DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery {
	DataSource: *string,
	Env: *string,
	Name: *string,
	OperationName: *string,
	ResourceName: *string,
	Service: *string,
	Stat: *string,
	IsUpstream: interface{},
	PrimaryTagName: *string,
	PrimaryTagValue: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.env">Env</a></code> | <code>*string</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.name">Name</a></code> | <code>*string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.operationName">OperationName</a></code> | <code>*string</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName">ResourceName</a></code> | <code>*string</code> | APM resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.service">Service</a></code> | <code>*string</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.stat">Stat</a></code> | <code>*string</code> | APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream">IsUpstream</a></code> | <code>interface{}</code> | Determines whether stats for upstream or downstream dependencies should be queried. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName">PrimaryTagName</a></code> | <code>*string</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue">PrimaryTagValue</a></code> | <code>*string</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `Env`<sup>Required</sup> <a name="Env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.env"></a>

```go
Env *string
```

- *Type:* *string

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `OperationName`<sup>Required</sup> <a name="OperationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.operationName"></a>

```go
OperationName *string
```

- *Type:* *string

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `ResourceName`<sup>Required</sup> <a name="ResourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName"></a>

```go
ResourceName *string
```

- *Type:* *string

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

##### `Service`<sup>Required</sup> <a name="Service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.service"></a>

```go
Service *string
```

- *Type:* *string

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `Stat`<sup>Required</sup> <a name="Stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.stat"></a>

```go
Stat *string
```

- *Type:* *string

APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `IsUpstream`<sup>Optional</sup> <a name="IsUpstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream"></a>

```go
IsUpstream interface{}
```

- *Type:* interface{}

Determines whether stats for upstream or downstream dependencies should be queried.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_upstream Dashboard#is_upstream}

---

##### `PrimaryTagName`<sup>Optional</sup> <a name="PrimaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName"></a>

```go
PrimaryTagName *string
```

- *Type:* *string

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `PrimaryTagValue`<sup>Optional</sup> <a name="PrimaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue"></a>

```go
PrimaryTagValue *string
```

- *Type:* *string

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

### DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery <a name="DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery {
	DataSource: *string,
	Env: *string,
	Name: *string,
	Service: *string,
	Stat: *string,
	GroupBy: *[]*string,
	OperationName: *string,
	PrimaryTagName: *string,
	PrimaryTagValue: *string,
	ResourceName: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.env">Env</a></code> | <code>*string</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.name">Name</a></code> | <code>*string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.service">Service</a></code> | <code>*string</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.stat">Stat</a></code> | <code>*string</code> | APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.groupBy">GroupBy</a></code> | <code>*[]*string</code> | Array of fields to group results by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.operationName">OperationName</a></code> | <code>*string</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName">PrimaryTagName</a></code> | <code>*string</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue">PrimaryTagValue</a></code> | <code>*string</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.resourceName">ResourceName</a></code> | <code>*string</code> | APM resource. |

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `Env`<sup>Required</sup> <a name="Env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.env"></a>

```go
Env *string
```

- *Type:* *string

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `Service`<sup>Required</sup> <a name="Service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.service"></a>

```go
Service *string
```

- *Type:* *string

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `Stat`<sup>Required</sup> <a name="Stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.stat"></a>

```go
Stat *string
```

- *Type:* *string

APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.groupBy"></a>

```go
GroupBy *[]*string
```

- *Type:* *[]*string

Array of fields to group results by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `OperationName`<sup>Optional</sup> <a name="OperationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.operationName"></a>

```go
OperationName *string
```

- *Type:* *string

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `PrimaryTagName`<sup>Optional</sup> <a name="PrimaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName"></a>

```go
PrimaryTagName *string
```

- *Type:* *string

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `PrimaryTagValue`<sup>Optional</sup> <a name="PrimaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue"></a>

```go
PrimaryTagValue *string
```

- *Type:* *string

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

##### `ResourceName`<sup>Optional</sup> <a name="ResourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.resourceName"></a>

```go
ResourceName *string
```

- *Type:* *string

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

### DashboardWidgetChangeDefinitionRequestQueryEventQuery <a name="DashboardWidgetChangeDefinitionRequestQueryEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery {
	Compute: interface{},
	DataSource: *string,
	Name: *string,
	GroupBy: interface{},
	Indexes: *[]*string,
	Search: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch,
	Storage: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery.property.compute">Compute</a></code> | <code>interface{}</code> | compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for event platform-based queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery.property.name">Name</a></code> | <code>*string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery.property.indexes">Indexes</a></code> | <code>*[]*string</code> | An array of index names to query in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery.property.search">Search</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch">DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch</a></code> | search block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery.property.storage">Storage</a></code> | <code>*string</code> | Storage location (private beta). |

---

##### `Compute`<sup>Required</sup> <a name="Compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery.property.compute"></a>

```go
Compute interface{}
```

- *Type:* interface{}

compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute Dashboard#compute}

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for event platform-based queries.

Valid values are `logs`, `spans`, `network`, `rum`, `security_signals`, `profiles`, `audit`, `events`, `ci_tests`, `ci_pipelines`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `Indexes`<sup>Optional</sup> <a name="Indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery.property.indexes"></a>

```go
Indexes *[]*string
```

- *Type:* *[]*string

An array of index names to query in the stream.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `Search`<sup>Optional</sup> <a name="Search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery.property.search"></a>

```go
Search DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch">DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch</a>

search block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search Dashboard#search}

---

##### `Storage`<sup>Optional</sup> <a name="Storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery.property.storage"></a>

```go
Storage *string
```

- *Type:* *string

Storage location (private beta).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#storage Dashboard#storage}

---

### DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute <a name="DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute {
	Aggregation: *string,
	Interval: *f64,
	Metric: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation methods for event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute.property.interval">Interval</a></code> | <code>*f64</code> | A time interval in milliseconds. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute.property.metric">Metric</a></code> | <code>*string</code> | The measurable attribute to compute. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation methods for event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

A time interval in milliseconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

##### `Metric`<sup>Optional</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

The measurable attribute to compute.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

### DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy <a name="DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	Sort: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The event facet. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The number of groups to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy.property.sort">Sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort</a></code> | sort block. |

---

##### `Facet`<sup>Required</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The event facet.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The number of groups to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `Sort`<sup>Optional</sup> <a name="Sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy.property.sort"></a>

```go
Sort DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort</a>

sort block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

### DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort <a name="DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort {
	Aggregation: *string,
	Metric: *string,
	Order: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation methods for the event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort.property.metric">Metric</a></code> | <code>*string</code> | The metric used for sorting group by results. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort.property.order">Order</a></code> | <code>*string</code> | Direction of sort. Valid values are `asc`, `desc`. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation methods for the event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Metric`<sup>Optional</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

The metric used for sorting group by results.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `Order`<sup>Optional</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort.property.order"></a>

```go
Order *string
```

- *Type:* *string

Direction of sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch <a name="DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch {
	Query: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch.property.query">Query</a></code> | <code>*string</code> | The events search string. |

---

##### `Query`<sup>Required</sup> <a name="Query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch.property.query"></a>

```go
Query *string
```

- *Type:* *string

The events search string.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetChangeDefinitionRequestQueryMetricQuery <a name="DashboardWidgetChangeDefinitionRequestQueryMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQuery {
	Name: *string,
	Query: *string,
	Aggregator: *string,
	DataSource: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQuery.property.name">Name</a></code> | <code>*string</code> | The name of the query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQuery.property.query">Query</a></code> | <code>*string</code> | The metrics query definition. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQuery.property.aggregator">Aggregator</a></code> | <code>*string</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for metrics queries. |

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of the query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `Query`<sup>Required</sup> <a name="Query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQuery.property.query"></a>

```go
Query *string
```

- *Type:* *string

The metrics query definition.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `Aggregator`<sup>Optional</sup> <a name="Aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQuery.property.aggregator"></a>

```go
Aggregator *string
```

- *Type:* *string

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `DataSource`<sup>Optional</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for metrics queries.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

### DashboardWidgetChangeDefinitionRequestQueryProcessQuery <a name="DashboardWidgetChangeDefinitionRequestQueryProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery {
	DataSource: *string,
	Metric: *string,
	Name: *string,
	Aggregator: *string,
	IsNormalizedCpu: interface{},
	Limit: *f64,
	Sort: *string,
	TagFilters: *[]*string,
	TextFilter: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for process queries. Valid values are `process`, `container`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery.property.metric">Metric</a></code> | <code>*string</code> | The process metric name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery.property.name">Name</a></code> | <code>*string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery.property.aggregator">Aggregator</a></code> | <code>*string</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery.property.isNormalizedCpu">IsNormalizedCpu</a></code> | <code>interface{}</code> | Whether to normalize the CPU percentages. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery.property.limit">Limit</a></code> | <code>*f64</code> | The number of hits to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery.property.sort">Sort</a></code> | <code>*string</code> | The direction of the sort. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery.property.tagFilters">TagFilters</a></code> | <code>*[]*string</code> | An array of tags to filter by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery.property.textFilter">TextFilter</a></code> | <code>*string</code> | The text to use as a filter. |

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for process queries. Valid values are `process`, `container`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `Metric`<sup>Required</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

The process metric name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `Aggregator`<sup>Optional</sup> <a name="Aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery.property.aggregator"></a>

```go
Aggregator *string
```

- *Type:* *string

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `IsNormalizedCpu`<sup>Optional</sup> <a name="IsNormalizedCpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery.property.isNormalizedCpu"></a>

```go
IsNormalizedCpu interface{}
```

- *Type:* interface{}

Whether to normalize the CPU percentages.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_normalized_cpu Dashboard#is_normalized_cpu}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The number of hits to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `Sort`<sup>Optional</sup> <a name="Sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery.property.sort"></a>

```go
Sort *string
```

- *Type:* *string

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `TagFilters`<sup>Optional</sup> <a name="TagFilters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery.property.tagFilters"></a>

```go
TagFilters *[]*string
```

- *Type:* *[]*string

An array of tags to filter by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tag_filters Dashboard#tag_filters}

---

##### `TextFilter`<sup>Optional</sup> <a name="TextFilter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery.property.textFilter"></a>

```go
TextFilter *string
```

- *Type:* *string

The text to use as a filter.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_filter Dashboard#text_filter}

---

### DashboardWidgetChangeDefinitionRequestRumQuery <a name="DashboardWidgetChangeDefinitionRequestRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetChangeDefinitionRequestRumQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery">DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery">DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery <a name="DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetChangeDefinitionRequestRumQueryGroupBy <a name="DashboardWidgetChangeDefinitionRequestRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery <a name="DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute <a name="DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetChangeDefinitionRequestSecurityQuery <a name="DashboardWidgetChangeDefinitionRequestSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetChangeDefinitionRequestSecurityQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery <a name="DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy <a name="DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery <a name="DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute <a name="DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetCheckStatusDefinition <a name="DashboardWidgetCheckStatusDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetCheckStatusDefinition {
	Check: *string,
	Grouping: *string,
	Group: *string,
	GroupBy: *[]*string,
	LiveSpan: *string,
	Tags: *[]*string,
	Title: *string,
	TitleAlign: *string,
	TitleSize: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition.property.check">Check</a></code> | <code>*string</code> | The check to use in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition.property.grouping">Grouping</a></code> | <code>*string</code> | The kind of grouping to use. Valid values are `check`, `cluster`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition.property.group">Group</a></code> | <code>*string</code> | The check group to use in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition.property.groupBy">GroupBy</a></code> | <code>*[]*string</code> | When `grouping = "cluster"`, indicates a list of tags to use for grouping. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition.property.liveSpan">LiveSpan</a></code> | <code>*string</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition.property.tags">Tags</a></code> | <code>*[]*string</code> | A list of tags to use in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition.property.title">Title</a></code> | <code>*string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition.property.titleAlign">TitleAlign</a></code> | <code>*string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition.property.titleSize">TitleSize</a></code> | <code>*string</code> | The size of the widget's title (defaults to 16). |

---

##### `Check`<sup>Required</sup> <a name="Check" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition.property.check"></a>

```go
Check *string
```

- *Type:* *string

The check to use in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#check Dashboard#check}

---

##### `Grouping`<sup>Required</sup> <a name="Grouping" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition.property.grouping"></a>

```go
Grouping *string
```

- *Type:* *string

The kind of grouping to use. Valid values are `check`, `cluster`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#grouping Dashboard#grouping}

---

##### `Group`<sup>Optional</sup> <a name="Group" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition.property.group"></a>

```go
Group *string
```

- *Type:* *string

The check group to use in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group Dashboard#group}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition.property.groupBy"></a>

```go
GroupBy *[]*string
```

- *Type:* *[]*string

When `grouping = "cluster"`, indicates a list of tags to use for grouping.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `LiveSpan`<sup>Optional</sup> <a name="LiveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition.property.liveSpan"></a>

```go
LiveSpan *string
```

- *Type:* *string

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `Tags`<sup>Optional</sup> <a name="Tags" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition.property.tags"></a>

```go
Tags *[]*string
```

- *Type:* *[]*string

A list of tags to use in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tags Dashboard#tags}

---

##### `Title`<sup>Optional</sup> <a name="Title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition.property.title"></a>

```go
Title *string
```

- *Type:* *string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `TitleAlign`<sup>Optional</sup> <a name="TitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition.property.titleAlign"></a>

```go
TitleAlign *string
```

- *Type:* *string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `TitleSize`<sup>Optional</sup> <a name="TitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition.property.titleSize"></a>

```go
TitleSize *string
```

- *Type:* *string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetDistributionDefinition <a name="DashboardWidgetDistributionDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinition.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetDistributionDefinition {
	LegendSize: *string,
	LiveSpan: *string,
	Request: interface{},
	ShowLegend: interface{},
	Title: *string,
	TitleAlign: *string,
	TitleSize: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinition.property.legendSize">LegendSize</a></code> | <code>*string</code> | The size of the legend displayed in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinition.property.liveSpan">LiveSpan</a></code> | <code>*string</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinition.property.request">Request</a></code> | <code>interface{}</code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinition.property.showLegend">ShowLegend</a></code> | <code>interface{}</code> | Whether or not to show the legend on this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinition.property.title">Title</a></code> | <code>*string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinition.property.titleAlign">TitleAlign</a></code> | <code>*string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinition.property.titleSize">TitleSize</a></code> | <code>*string</code> | The size of the widget's title (defaults to 16). |

---

##### `LegendSize`<sup>Optional</sup> <a name="LegendSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinition.property.legendSize"></a>

```go
LegendSize *string
```

- *Type:* *string

The size of the legend displayed in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#legend_size Dashboard#legend_size}

---

##### `LiveSpan`<sup>Optional</sup> <a name="LiveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinition.property.liveSpan"></a>

```go
LiveSpan *string
```

- *Type:* *string

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `Request`<sup>Optional</sup> <a name="Request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinition.property.request"></a>

```go
Request interface{}
```

- *Type:* interface{}

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `ShowLegend`<sup>Optional</sup> <a name="ShowLegend" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinition.property.showLegend"></a>

```go
ShowLegend interface{}
```

- *Type:* interface{}

Whether or not to show the legend on this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_legend Dashboard#show_legend}

---

##### `Title`<sup>Optional</sup> <a name="Title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinition.property.title"></a>

```go
Title *string
```

- *Type:* *string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `TitleAlign`<sup>Optional</sup> <a name="TitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinition.property.titleAlign"></a>

```go
TitleAlign *string
```

- *Type:* *string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `TitleSize`<sup>Optional</sup> <a name="TitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinition.property.titleSize"></a>

```go
TitleSize *string
```

- *Type:* *string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetDistributionDefinitionRequest <a name="DashboardWidgetDistributionDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetDistributionDefinitionRequest {
	ApmQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetDistributionDefinitionRequestApmQuery,
	ApmStatsQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery,
	LogQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetDistributionDefinitionRequestLogQuery,
	ProcessQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQuery,
	Q: *string,
	RumQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetDistributionDefinitionRequestRumQuery,
	SecurityQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQuery,
	Style: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetDistributionDefinitionRequestStyle,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest.property.apmQuery">ApmQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQuery">DashboardWidgetDistributionDefinitionRequestApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest.property.apmStatsQuery">ApmStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery">DashboardWidgetDistributionDefinitionRequestApmStatsQuery</a></code> | apm_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest.property.logQuery">LogQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQuery">DashboardWidgetDistributionDefinitionRequestLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest.property.processQuery">ProcessQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQuery">DashboardWidgetDistributionDefinitionRequestProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest.property.q">Q</a></code> | <code>*string</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest.property.rumQuery">RumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQuery">DashboardWidgetDistributionDefinitionRequestRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest.property.securityQuery">SecurityQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQuery">DashboardWidgetDistributionDefinitionRequestSecurityQuery</a></code> | security_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest.property.style">Style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyle">DashboardWidgetDistributionDefinitionRequestStyle</a></code> | style block. |

---

##### `ApmQuery`<sup>Optional</sup> <a name="ApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest.property.apmQuery"></a>

```go
ApmQuery DashboardWidgetDistributionDefinitionRequestApmQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQuery">DashboardWidgetDistributionDefinitionRequestApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `ApmStatsQuery`<sup>Optional</sup> <a name="ApmStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest.property.apmStatsQuery"></a>

```go
ApmStatsQuery DashboardWidgetDistributionDefinitionRequestApmStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery">DashboardWidgetDistributionDefinitionRequestApmStatsQuery</a>

apm_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_stats_query Dashboard#apm_stats_query}

---

##### `LogQuery`<sup>Optional</sup> <a name="LogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest.property.logQuery"></a>

```go
LogQuery DashboardWidgetDistributionDefinitionRequestLogQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQuery">DashboardWidgetDistributionDefinitionRequestLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `ProcessQuery`<sup>Optional</sup> <a name="ProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest.property.processQuery"></a>

```go
ProcessQuery DashboardWidgetDistributionDefinitionRequestProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQuery">DashboardWidgetDistributionDefinitionRequestProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `Q`<sup>Optional</sup> <a name="Q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest.property.q"></a>

```go
Q *string
```

- *Type:* *string

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `RumQuery`<sup>Optional</sup> <a name="RumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest.property.rumQuery"></a>

```go
RumQuery DashboardWidgetDistributionDefinitionRequestRumQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQuery">DashboardWidgetDistributionDefinitionRequestRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `SecurityQuery`<sup>Optional</sup> <a name="SecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest.property.securityQuery"></a>

```go
SecurityQuery DashboardWidgetDistributionDefinitionRequestSecurityQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQuery">DashboardWidgetDistributionDefinitionRequestSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

##### `Style`<sup>Optional</sup> <a name="Style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest.property.style"></a>

```go
Style DashboardWidgetDistributionDefinitionRequestStyle
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyle">DashboardWidgetDistributionDefinitionRequestStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetDistributionDefinitionRequestApmQuery <a name="DashboardWidgetDistributionDefinitionRequestApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetDistributionDefinitionRequestApmQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery <a name="DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy <a name="DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery <a name="DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute <a name="DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetDistributionDefinitionRequestApmStatsQuery <a name="DashboardWidgetDistributionDefinitionRequestApmStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery {
	Env: *string,
	Name: *string,
	PrimaryTag: *string,
	RowType: *string,
	Service: *string,
	Columns: interface{},
	Resource: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery.property.env">Env</a></code> | <code>*string</code> | The environment name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery.property.name">Name</a></code> | <code>*string</code> | The operation name associated with the service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery.property.primaryTag">PrimaryTag</a></code> | <code>*string</code> | The organization's host group name and value. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery.property.rowType">RowType</a></code> | <code>*string</code> | The level of detail for the request. Valid values are `service`, `resource`, `span`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery.property.service">Service</a></code> | <code>*string</code> | The service name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery.property.columns">Columns</a></code> | <code>interface{}</code> | columns block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery.property.resource">Resource</a></code> | <code>*string</code> | The resource name. |

---

##### `Env`<sup>Required</sup> <a name="Env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery.property.env"></a>

```go
Env *string
```

- *Type:* *string

The environment name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The operation name associated with the service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `PrimaryTag`<sup>Required</sup> <a name="PrimaryTag" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery.property.primaryTag"></a>

```go
PrimaryTag *string
```

- *Type:* *string

The organization's host group name and value.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag Dashboard#primary_tag}

---

##### `RowType`<sup>Required</sup> <a name="RowType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery.property.rowType"></a>

```go
RowType *string
```

- *Type:* *string

The level of detail for the request. Valid values are `service`, `resource`, `span`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#row_type Dashboard#row_type}

---

##### `Service`<sup>Required</sup> <a name="Service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery.property.service"></a>

```go
Service *string
```

- *Type:* *string

The service name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `Columns`<sup>Optional</sup> <a name="Columns" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery.property.columns"></a>

```go
Columns interface{}
```

- *Type:* interface{}

columns block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#columns Dashboard#columns}

---

##### `Resource`<sup>Optional</sup> <a name="Resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery.property.resource"></a>

```go
Resource *string
```

- *Type:* *string

The resource name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource Dashboard#resource}

---

### DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns <a name="DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns {
	Name: *string,
	Alias: *string,
	CellDisplayMode: *string,
	Order: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns.property.name">Name</a></code> | <code>*string</code> | The column name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns.property.alias">Alias</a></code> | <code>*string</code> | A user-assigned alias for the column. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns.property.cellDisplayMode">CellDisplayMode</a></code> | <code>*string</code> | A list of display modes for each table cell. Valid values are `number`, `bar`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns.property.name"></a>

```go
Name *string
```

- *Type:* *string

The column name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `Alias`<sup>Optional</sup> <a name="Alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns.property.alias"></a>

```go
Alias *string
```

- *Type:* *string

A user-assigned alias for the column.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `CellDisplayMode`<sup>Optional</sup> <a name="CellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns.property.cellDisplayMode"></a>

```go
CellDisplayMode *string
```

- *Type:* *string

A list of display modes for each table cell. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `Order`<sup>Optional</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetDistributionDefinitionRequestLogQuery <a name="DashboardWidgetDistributionDefinitionRequestLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetDistributionDefinitionRequestLogQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery <a name="DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy <a name="DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery <a name="DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute <a name="DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetDistributionDefinitionRequestProcessQuery <a name="DashboardWidgetDistributionDefinitionRequestProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetDistributionDefinitionRequestProcessQuery {
	Metric: *string,
	FilterBy: *[]*string,
	Limit: *f64,
	SearchBy: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQuery.property.metric">Metric</a></code> | <code>*string</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQuery.property.filterBy">FilterBy</a></code> | <code>*[]*string</code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQuery.property.limit">Limit</a></code> | <code>*f64</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQuery.property.searchBy">SearchBy</a></code> | <code>*string</code> | Your chosen search term. |

---

##### `Metric`<sup>Required</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQuery.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `FilterBy`<sup>Optional</sup> <a name="FilterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQuery.property.filterBy"></a>

```go
FilterBy *[]*string
```

- *Type:* *[]*string

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQuery.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SearchBy`<sup>Optional</sup> <a name="SearchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQuery.property.searchBy"></a>

```go
SearchBy *string
```

- *Type:* *string

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetDistributionDefinitionRequestRumQuery <a name="DashboardWidgetDistributionDefinitionRequestRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetDistributionDefinitionRequestRumQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery <a name="DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy <a name="DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery <a name="DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute <a name="DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetDistributionDefinitionRequestSecurityQuery <a name="DashboardWidgetDistributionDefinitionRequestSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery <a name="DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy <a name="DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery <a name="DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute <a name="DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetDistributionDefinitionRequestStyle <a name="DashboardWidgetDistributionDefinitionRequestStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyle.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetDistributionDefinitionRequestStyle {
	Palette: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyle.property.palette">Palette</a></code> | <code>*string</code> | A color palette to apply to the widget. The available options are available at: https://docs.datadoghq.com/dashboards/widgets/timeseries/#appearance. |

---

##### `Palette`<sup>Optional</sup> <a name="Palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyle.property.palette"></a>

```go
Palette *string
```

- *Type:* *string

A color palette to apply to the widget. The available options are available at: https://docs.datadoghq.com/dashboards/widgets/timeseries/#appearance.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

### DashboardWidgetEventStreamDefinition <a name="DashboardWidgetEventStreamDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinition.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetEventStreamDefinition {
	Query: *string,
	EventSize: *string,
	LiveSpan: *string,
	TagsExecution: *string,
	Title: *string,
	TitleAlign: *string,
	TitleSize: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinition.property.query">Query</a></code> | <code>*string</code> | The query to use in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinition.property.eventSize">EventSize</a></code> | <code>*string</code> | The size to use to display an event. Valid values are `s`, `l`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinition.property.liveSpan">LiveSpan</a></code> | <code>*string</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinition.property.tagsExecution">TagsExecution</a></code> | <code>*string</code> | The execution method for multi-value filters, options: `and` or `or`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinition.property.title">Title</a></code> | <code>*string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinition.property.titleAlign">TitleAlign</a></code> | <code>*string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinition.property.titleSize">TitleSize</a></code> | <code>*string</code> | The size of the widget's title (defaults to 16). |

---

##### `Query`<sup>Required</sup> <a name="Query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinition.property.query"></a>

```go
Query *string
```

- *Type:* *string

The query to use in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `EventSize`<sup>Optional</sup> <a name="EventSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinition.property.eventSize"></a>

```go
EventSize *string
```

- *Type:* *string

The size to use to display an event. Valid values are `s`, `l`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_size Dashboard#event_size}

---

##### `LiveSpan`<sup>Optional</sup> <a name="LiveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinition.property.liveSpan"></a>

```go
LiveSpan *string
```

- *Type:* *string

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `TagsExecution`<sup>Optional</sup> <a name="TagsExecution" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinition.property.tagsExecution"></a>

```go
TagsExecution *string
```

- *Type:* *string

The execution method for multi-value filters, options: `and` or `or`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tags_execution Dashboard#tags_execution}

---

##### `Title`<sup>Optional</sup> <a name="Title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinition.property.title"></a>

```go
Title *string
```

- *Type:* *string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `TitleAlign`<sup>Optional</sup> <a name="TitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinition.property.titleAlign"></a>

```go
TitleAlign *string
```

- *Type:* *string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `TitleSize`<sup>Optional</sup> <a name="TitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinition.property.titleSize"></a>

```go
TitleSize *string
```

- *Type:* *string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetEventTimelineDefinition <a name="DashboardWidgetEventTimelineDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinition.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetEventTimelineDefinition {
	Query: *string,
	LiveSpan: *string,
	TagsExecution: *string,
	Title: *string,
	TitleAlign: *string,
	TitleSize: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinition.property.query">Query</a></code> | <code>*string</code> | The query to use in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinition.property.liveSpan">LiveSpan</a></code> | <code>*string</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinition.property.tagsExecution">TagsExecution</a></code> | <code>*string</code> | The execution method for multi-value filters, options: `and` or `or`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinition.property.title">Title</a></code> | <code>*string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinition.property.titleAlign">TitleAlign</a></code> | <code>*string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinition.property.titleSize">TitleSize</a></code> | <code>*string</code> | The size of the widget's title (defaults to 16). |

---

##### `Query`<sup>Required</sup> <a name="Query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinition.property.query"></a>

```go
Query *string
```

- *Type:* *string

The query to use in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `LiveSpan`<sup>Optional</sup> <a name="LiveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinition.property.liveSpan"></a>

```go
LiveSpan *string
```

- *Type:* *string

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `TagsExecution`<sup>Optional</sup> <a name="TagsExecution" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinition.property.tagsExecution"></a>

```go
TagsExecution *string
```

- *Type:* *string

The execution method for multi-value filters, options: `and` or `or`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tags_execution Dashboard#tags_execution}

---

##### `Title`<sup>Optional</sup> <a name="Title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinition.property.title"></a>

```go
Title *string
```

- *Type:* *string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `TitleAlign`<sup>Optional</sup> <a name="TitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinition.property.titleAlign"></a>

```go
TitleAlign *string
```

- *Type:* *string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `TitleSize`<sup>Optional</sup> <a name="TitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinition.property.titleSize"></a>

```go
TitleSize *string
```

- *Type:* *string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetFreeTextDefinition <a name="DashboardWidgetFreeTextDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinition.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetFreeTextDefinition {
	Text: *string,
	Color: *string,
	FontSize: *string,
	TextAlign: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinition.property.text">Text</a></code> | <code>*string</code> | The text to display in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinition.property.color">Color</a></code> | <code>*string</code> | The color of the text in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinition.property.fontSize">FontSize</a></code> | <code>*string</code> | The size of the text in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinition.property.textAlign">TextAlign</a></code> | <code>*string</code> | The alignment of the text in the widget. Valid values are `center`, `left`, `right`. |

---

##### `Text`<sup>Required</sup> <a name="Text" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinition.property.text"></a>

```go
Text *string
```

- *Type:* *string

The text to display in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text Dashboard#text}

---

##### `Color`<sup>Optional</sup> <a name="Color" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinition.property.color"></a>

```go
Color *string
```

- *Type:* *string

The color of the text in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#color Dashboard#color}

---

##### `FontSize`<sup>Optional</sup> <a name="FontSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinition.property.fontSize"></a>

```go
FontSize *string
```

- *Type:* *string

The size of the text in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#font_size Dashboard#font_size}

---

##### `TextAlign`<sup>Optional</sup> <a name="TextAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinition.property.textAlign"></a>

```go
TextAlign *string
```

- *Type:* *string

The alignment of the text in the widget. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_align Dashboard#text_align}

---

### DashboardWidgetGeomapDefinition <a name="DashboardWidgetGeomapDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGeomapDefinition {
	View: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGeomapDefinitionView,
	CustomLink: interface{},
	LiveSpan: *string,
	Request: interface{},
	Style: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGeomapDefinitionStyle,
	Title: *string,
	TitleAlign: *string,
	TitleSize: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition.property.view">View</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionView">DashboardWidgetGeomapDefinitionView</a></code> | view block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition.property.customLink">CustomLink</a></code> | <code>interface{}</code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition.property.liveSpan">LiveSpan</a></code> | <code>*string</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition.property.request">Request</a></code> | <code>interface{}</code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition.property.style">Style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyle">DashboardWidgetGeomapDefinitionStyle</a></code> | style block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition.property.title">Title</a></code> | <code>*string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition.property.titleAlign">TitleAlign</a></code> | <code>*string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition.property.titleSize">TitleSize</a></code> | <code>*string</code> | The size of the widget's title (defaults to 16). |

---

##### `View`<sup>Required</sup> <a name="View" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition.property.view"></a>

```go
View DashboardWidgetGeomapDefinitionView
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionView">DashboardWidgetGeomapDefinitionView</a>

view block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#view Dashboard#view}

---

##### `CustomLink`<sup>Optional</sup> <a name="CustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition.property.customLink"></a>

```go
CustomLink interface{}
```

- *Type:* interface{}

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `LiveSpan`<sup>Optional</sup> <a name="LiveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition.property.liveSpan"></a>

```go
LiveSpan *string
```

- *Type:* *string

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `Request`<sup>Optional</sup> <a name="Request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition.property.request"></a>

```go
Request interface{}
```

- *Type:* interface{}

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `Style`<sup>Optional</sup> <a name="Style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition.property.style"></a>

```go
Style DashboardWidgetGeomapDefinitionStyle
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyle">DashboardWidgetGeomapDefinitionStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

##### `Title`<sup>Optional</sup> <a name="Title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition.property.title"></a>

```go
Title *string
```

- *Type:* *string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `TitleAlign`<sup>Optional</sup> <a name="TitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition.property.titleAlign"></a>

```go
TitleAlign *string
```

- *Type:* *string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `TitleSize`<sup>Optional</sup> <a name="TitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition.property.titleSize"></a>

```go
TitleSize *string
```

- *Type:* *string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGeomapDefinitionCustomLink <a name="DashboardWidgetGeomapDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLink.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGeomapDefinitionCustomLink {
	IsHidden: interface{},
	Label: *string,
	Link: *string,
	OverrideLabel: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLink.property.isHidden">IsHidden</a></code> | <code>interface{}</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLink.property.label">Label</a></code> | <code>*string</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLink.property.link">Link</a></code> | <code>*string</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLink.property.overrideLabel">OverrideLabel</a></code> | <code>*string</code> | The label ID that refers to a context menu link item. |

---

##### `IsHidden`<sup>Optional</sup> <a name="IsHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLink.property.isHidden"></a>

```go
IsHidden interface{}
```

- *Type:* interface{}

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `Label`<sup>Optional</sup> <a name="Label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLink.property.label"></a>

```go
Label *string
```

- *Type:* *string

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `Link`<sup>Optional</sup> <a name="Link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLink.property.link"></a>

```go
Link *string
```

- *Type:* *string

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `OverrideLabel`<sup>Optional</sup> <a name="OverrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLink.property.overrideLabel"></a>

```go
OverrideLabel *string
```

- *Type:* *string

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetGeomapDefinitionRequest <a name="DashboardWidgetGeomapDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequest.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGeomapDefinitionRequest {
	Formula: interface{},
	LogQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGeomapDefinitionRequestLogQuery,
	Q: *string,
	Query: interface{},
	RumQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGeomapDefinitionRequestRumQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequest.property.formula">Formula</a></code> | <code>interface{}</code> | formula block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequest.property.logQuery">LogQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQuery">DashboardWidgetGeomapDefinitionRequestLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequest.property.q">Q</a></code> | <code>*string</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequest.property.query">Query</a></code> | <code>interface{}</code> | query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequest.property.rumQuery">RumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQuery">DashboardWidgetGeomapDefinitionRequestRumQuery</a></code> | rum_query block. |

---

##### `Formula`<sup>Optional</sup> <a name="Formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequest.property.formula"></a>

```go
Formula interface{}
```

- *Type:* interface{}

formula block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula Dashboard#formula}

---

##### `LogQuery`<sup>Optional</sup> <a name="LogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequest.property.logQuery"></a>

```go
LogQuery DashboardWidgetGeomapDefinitionRequestLogQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQuery">DashboardWidgetGeomapDefinitionRequestLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `Q`<sup>Optional</sup> <a name="Q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequest.property.q"></a>

```go
Q *string
```

- *Type:* *string

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `Query`<sup>Optional</sup> <a name="Query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequest.property.query"></a>

```go
Query interface{}
```

- *Type:* interface{}

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `RumQuery`<sup>Optional</sup> <a name="RumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequest.property.rumQuery"></a>

```go
RumQuery DashboardWidgetGeomapDefinitionRequestRumQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQuery">DashboardWidgetGeomapDefinitionRequestRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

### DashboardWidgetGeomapDefinitionRequestFormula <a name="DashboardWidgetGeomapDefinitionRequestFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormula"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormula.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGeomapDefinitionRequestFormula {
	FormulaExpression: *string,
	Alias: *string,
	CellDisplayMode: *string,
	ConditionalFormats: interface{},
	Limit: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimit,
	Style: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyle,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormula.property.formulaExpression">FormulaExpression</a></code> | <code>*string</code> | A string expression built from queries, formulas, and functions. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormula.property.alias">Alias</a></code> | <code>*string</code> | An expression alias. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormula.property.cellDisplayMode">CellDisplayMode</a></code> | <code>*string</code> | A list of display modes for each table cell. Valid values are `number`, `bar`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormula.property.conditionalFormats">ConditionalFormats</a></code> | <code>interface{}</code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormula.property.limit">Limit</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimit">DashboardWidgetGeomapDefinitionRequestFormulaLimit</a></code> | limit block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormula.property.style">Style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyle">DashboardWidgetGeomapDefinitionRequestFormulaStyle</a></code> | style block. |

---

##### `FormulaExpression`<sup>Required</sup> <a name="FormulaExpression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormula.property.formulaExpression"></a>

```go
FormulaExpression *string
```

- *Type:* *string

A string expression built from queries, formulas, and functions.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula_expression Dashboard#formula_expression}

---

##### `Alias`<sup>Optional</sup> <a name="Alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormula.property.alias"></a>

```go
Alias *string
```

- *Type:* *string

An expression alias.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `CellDisplayMode`<sup>Optional</sup> <a name="CellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormula.property.cellDisplayMode"></a>

```go
CellDisplayMode *string
```

- *Type:* *string

A list of display modes for each table cell. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `ConditionalFormats`<sup>Optional</sup> <a name="ConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormula.property.conditionalFormats"></a>

```go
ConditionalFormats interface{}
```

- *Type:* interface{}

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormula.property.limit"></a>

```go
Limit DashboardWidgetGeomapDefinitionRequestFormulaLimit
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimit">DashboardWidgetGeomapDefinitionRequestFormulaLimit</a>

limit block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `Style`<sup>Optional</sup> <a name="Style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormula.property.style"></a>

```go
Style DashboardWidgetGeomapDefinitionRequestFormulaStyle
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyle">DashboardWidgetGeomapDefinitionRequestFormulaStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats <a name="DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats {
	Comparator: *string,
	Palette: *string,
	Value: *f64,
	CustomBgColor: *string,
	CustomFgColor: *string,
	HideValue: interface{},
	ImageUrl: *string,
	Metric: *string,
	Timeframe: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.comparator">Comparator</a></code> | <code>*string</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.palette">Palette</a></code> | <code>*string</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.value">Value</a></code> | <code>*f64</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.customBgColor">CustomBgColor</a></code> | <code>*string</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.customFgColor">CustomFgColor</a></code> | <code>*string</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.hideValue">HideValue</a></code> | <code>interface{}</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.imageUrl">ImageUrl</a></code> | <code>*string</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.metric">Metric</a></code> | <code>*string</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.timeframe">Timeframe</a></code> | <code>*string</code> | Defines the displayed timeframe. |

---

##### `Comparator`<sup>Required</sup> <a name="Comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.comparator"></a>

```go
Comparator *string
```

- *Type:* *string

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `Palette`<sup>Required</sup> <a name="Palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.palette"></a>

```go
Palette *string
```

- *Type:* *string

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `Value`<sup>Required</sup> <a name="Value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.value"></a>

```go
Value *f64
```

- *Type:* *f64

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `CustomBgColor`<sup>Optional</sup> <a name="CustomBgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.customBgColor"></a>

```go
CustomBgColor *string
```

- *Type:* *string

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `CustomFgColor`<sup>Optional</sup> <a name="CustomFgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.customFgColor"></a>

```go
CustomFgColor *string
```

- *Type:* *string

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `HideValue`<sup>Optional</sup> <a name="HideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.hideValue"></a>

```go
HideValue interface{}
```

- *Type:* interface{}

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `ImageUrl`<sup>Optional</sup> <a name="ImageUrl" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.imageUrl"></a>

```go
ImageUrl *string
```

- *Type:* *string

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `Metric`<sup>Optional</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `Timeframe`<sup>Optional</sup> <a name="Timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.timeframe"></a>

```go
Timeframe *string
```

- *Type:* *string

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetGeomapDefinitionRequestFormulaLimit <a name="DashboardWidgetGeomapDefinitionRequestFormulaLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimit"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimit.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimit {
	Count: *f64,
	Order: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimit.property.count">Count</a></code> | <code>*f64</code> | The number of results to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimit.property.order">Order</a></code> | <code>*string</code> | The direction of the sort. Valid values are `asc`, `desc`. |

---

##### `Count`<sup>Optional</sup> <a name="Count" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimit.property.count"></a>

```go
Count *f64
```

- *Type:* *f64

The number of results to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#count Dashboard#count}

---

##### `Order`<sup>Optional</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimit.property.order"></a>

```go
Order *string
```

- *Type:* *string

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGeomapDefinitionRequestFormulaStyle <a name="DashboardWidgetGeomapDefinitionRequestFormulaStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyle.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyle {
	Palette: *string,
	PaletteIndex: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyle.property.palette">Palette</a></code> | <code>*string</code> | The color palette used to display the formula. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyle.property.paletteIndex">PaletteIndex</a></code> | <code>*f64</code> | Index specifying which color to use within the palette. |

---

##### `Palette`<sup>Optional</sup> <a name="Palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyle.property.palette"></a>

```go
Palette *string
```

- *Type:* *string

The color palette used to display the formula.

A guide to the available color palettes can be found at https://docs.datadoghq.com/dashboards/guide/widget_colors

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `PaletteIndex`<sup>Optional</sup> <a name="PaletteIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyle.property.paletteIndex"></a>

```go
PaletteIndex *f64
```

- *Type:* *f64

Index specifying which color to use within the palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette_index Dashboard#palette_index}

---

### DashboardWidgetGeomapDefinitionRequestLogQuery <a name="DashboardWidgetGeomapDefinitionRequestLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGeomapDefinitionRequestLogQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery">DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery">DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery <a name="DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy <a name="DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery <a name="DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute <a name="DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGeomapDefinitionRequestQuery <a name="DashboardWidgetGeomapDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGeomapDefinitionRequestQuery {
	ApmDependencyStatsQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery,
	ApmResourceStatsQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery,
	EventQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery,
	MetricQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQuery,
	ProcessQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQuery.property.apmDependencyStatsQuery">ApmDependencyStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery</a></code> | apm_dependency_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQuery.property.apmResourceStatsQuery">ApmResourceStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery</a></code> | apm_resource_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQuery.property.eventQuery">EventQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery">DashboardWidgetGeomapDefinitionRequestQueryEventQuery</a></code> | event_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQuery.property.metricQuery">MetricQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQuery">DashboardWidgetGeomapDefinitionRequestQueryMetricQuery</a></code> | metric_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQuery.property.processQuery">ProcessQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery">DashboardWidgetGeomapDefinitionRequestQueryProcessQuery</a></code> | process_query block. |

---

##### `ApmDependencyStatsQuery`<sup>Optional</sup> <a name="ApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQuery.property.apmDependencyStatsQuery"></a>

```go
ApmDependencyStatsQuery DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery</a>

apm_dependency_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_dependency_stats_query Dashboard#apm_dependency_stats_query}

---

##### `ApmResourceStatsQuery`<sup>Optional</sup> <a name="ApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQuery.property.apmResourceStatsQuery"></a>

```go
ApmResourceStatsQuery DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery</a>

apm_resource_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_resource_stats_query Dashboard#apm_resource_stats_query}

---

##### `EventQuery`<sup>Optional</sup> <a name="EventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQuery.property.eventQuery"></a>

```go
EventQuery DashboardWidgetGeomapDefinitionRequestQueryEventQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery">DashboardWidgetGeomapDefinitionRequestQueryEventQuery</a>

event_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_query Dashboard#event_query}

---

##### `MetricQuery`<sup>Optional</sup> <a name="MetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQuery.property.metricQuery"></a>

```go
MetricQuery DashboardWidgetGeomapDefinitionRequestQueryMetricQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQuery">DashboardWidgetGeomapDefinitionRequestQueryMetricQuery</a>

metric_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric_query Dashboard#metric_query}

---

##### `ProcessQuery`<sup>Optional</sup> <a name="ProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQuery.property.processQuery"></a>

```go
ProcessQuery DashboardWidgetGeomapDefinitionRequestQueryProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery">DashboardWidgetGeomapDefinitionRequestQueryProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

### DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery <a name="DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery {
	DataSource: *string,
	Env: *string,
	Name: *string,
	OperationName: *string,
	ResourceName: *string,
	Service: *string,
	Stat: *string,
	IsUpstream: interface{},
	PrimaryTagName: *string,
	PrimaryTagValue: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.env">Env</a></code> | <code>*string</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.name">Name</a></code> | <code>*string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.operationName">OperationName</a></code> | <code>*string</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName">ResourceName</a></code> | <code>*string</code> | APM resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.service">Service</a></code> | <code>*string</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.stat">Stat</a></code> | <code>*string</code> | APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream">IsUpstream</a></code> | <code>interface{}</code> | Determines whether stats for upstream or downstream dependencies should be queried. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName">PrimaryTagName</a></code> | <code>*string</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue">PrimaryTagValue</a></code> | <code>*string</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `Env`<sup>Required</sup> <a name="Env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.env"></a>

```go
Env *string
```

- *Type:* *string

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `OperationName`<sup>Required</sup> <a name="OperationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.operationName"></a>

```go
OperationName *string
```

- *Type:* *string

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `ResourceName`<sup>Required</sup> <a name="ResourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName"></a>

```go
ResourceName *string
```

- *Type:* *string

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

##### `Service`<sup>Required</sup> <a name="Service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.service"></a>

```go
Service *string
```

- *Type:* *string

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `Stat`<sup>Required</sup> <a name="Stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.stat"></a>

```go
Stat *string
```

- *Type:* *string

APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `IsUpstream`<sup>Optional</sup> <a name="IsUpstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream"></a>

```go
IsUpstream interface{}
```

- *Type:* interface{}

Determines whether stats for upstream or downstream dependencies should be queried.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_upstream Dashboard#is_upstream}

---

##### `PrimaryTagName`<sup>Optional</sup> <a name="PrimaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName"></a>

```go
PrimaryTagName *string
```

- *Type:* *string

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `PrimaryTagValue`<sup>Optional</sup> <a name="PrimaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue"></a>

```go
PrimaryTagValue *string
```

- *Type:* *string

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

### DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery <a name="DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery {
	DataSource: *string,
	Env: *string,
	Name: *string,
	Service: *string,
	Stat: *string,
	GroupBy: *[]*string,
	OperationName: *string,
	PrimaryTagName: *string,
	PrimaryTagValue: *string,
	ResourceName: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.env">Env</a></code> | <code>*string</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.name">Name</a></code> | <code>*string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.service">Service</a></code> | <code>*string</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.stat">Stat</a></code> | <code>*string</code> | APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.groupBy">GroupBy</a></code> | <code>*[]*string</code> | Array of fields to group results by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.operationName">OperationName</a></code> | <code>*string</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName">PrimaryTagName</a></code> | <code>*string</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue">PrimaryTagValue</a></code> | <code>*string</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.resourceName">ResourceName</a></code> | <code>*string</code> | APM resource. |

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `Env`<sup>Required</sup> <a name="Env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.env"></a>

```go
Env *string
```

- *Type:* *string

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `Service`<sup>Required</sup> <a name="Service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.service"></a>

```go
Service *string
```

- *Type:* *string

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `Stat`<sup>Required</sup> <a name="Stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.stat"></a>

```go
Stat *string
```

- *Type:* *string

APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.groupBy"></a>

```go
GroupBy *[]*string
```

- *Type:* *[]*string

Array of fields to group results by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `OperationName`<sup>Optional</sup> <a name="OperationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.operationName"></a>

```go
OperationName *string
```

- *Type:* *string

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `PrimaryTagName`<sup>Optional</sup> <a name="PrimaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName"></a>

```go
PrimaryTagName *string
```

- *Type:* *string

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `PrimaryTagValue`<sup>Optional</sup> <a name="PrimaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue"></a>

```go
PrimaryTagValue *string
```

- *Type:* *string

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

##### `ResourceName`<sup>Optional</sup> <a name="ResourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.resourceName"></a>

```go
ResourceName *string
```

- *Type:* *string

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

### DashboardWidgetGeomapDefinitionRequestQueryEventQuery <a name="DashboardWidgetGeomapDefinitionRequestQueryEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery {
	Compute: interface{},
	DataSource: *string,
	Name: *string,
	GroupBy: interface{},
	Indexes: *[]*string,
	Search: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch,
	Storage: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery.property.compute">Compute</a></code> | <code>interface{}</code> | compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for event platform-based queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery.property.name">Name</a></code> | <code>*string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery.property.indexes">Indexes</a></code> | <code>*[]*string</code> | An array of index names to query in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery.property.search">Search</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch">DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch</a></code> | search block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery.property.storage">Storage</a></code> | <code>*string</code> | Storage location (private beta). |

---

##### `Compute`<sup>Required</sup> <a name="Compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery.property.compute"></a>

```go
Compute interface{}
```

- *Type:* interface{}

compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute Dashboard#compute}

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for event platform-based queries.

Valid values are `logs`, `spans`, `network`, `rum`, `security_signals`, `profiles`, `audit`, `events`, `ci_tests`, `ci_pipelines`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `Indexes`<sup>Optional</sup> <a name="Indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery.property.indexes"></a>

```go
Indexes *[]*string
```

- *Type:* *[]*string

An array of index names to query in the stream.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `Search`<sup>Optional</sup> <a name="Search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery.property.search"></a>

```go
Search DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch">DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch</a>

search block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search Dashboard#search}

---

##### `Storage`<sup>Optional</sup> <a name="Storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery.property.storage"></a>

```go
Storage *string
```

- *Type:* *string

Storage location (private beta).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#storage Dashboard#storage}

---

### DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute <a name="DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute {
	Aggregation: *string,
	Interval: *f64,
	Metric: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation methods for event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute.property.interval">Interval</a></code> | <code>*f64</code> | A time interval in milliseconds. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute.property.metric">Metric</a></code> | <code>*string</code> | The measurable attribute to compute. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation methods for event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

A time interval in milliseconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

##### `Metric`<sup>Optional</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

The measurable attribute to compute.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

### DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy <a name="DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	Sort: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The event facet. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The number of groups to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy.property.sort">Sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort</a></code> | sort block. |

---

##### `Facet`<sup>Required</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The event facet.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The number of groups to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `Sort`<sup>Optional</sup> <a name="Sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy.property.sort"></a>

```go
Sort DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort</a>

sort block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

### DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort <a name="DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort {
	Aggregation: *string,
	Metric: *string,
	Order: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation methods for the event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort.property.metric">Metric</a></code> | <code>*string</code> | The metric used for sorting group by results. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort.property.order">Order</a></code> | <code>*string</code> | Direction of sort. Valid values are `asc`, `desc`. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation methods for the event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Metric`<sup>Optional</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

The metric used for sorting group by results.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `Order`<sup>Optional</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort.property.order"></a>

```go
Order *string
```

- *Type:* *string

Direction of sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch <a name="DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch {
	Query: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch.property.query">Query</a></code> | <code>*string</code> | The events search string. |

---

##### `Query`<sup>Required</sup> <a name="Query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch.property.query"></a>

```go
Query *string
```

- *Type:* *string

The events search string.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetGeomapDefinitionRequestQueryMetricQuery <a name="DashboardWidgetGeomapDefinitionRequestQueryMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQuery {
	Name: *string,
	Query: *string,
	Aggregator: *string,
	DataSource: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQuery.property.name">Name</a></code> | <code>*string</code> | The name of the query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQuery.property.query">Query</a></code> | <code>*string</code> | The metrics query definition. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQuery.property.aggregator">Aggregator</a></code> | <code>*string</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for metrics queries. |

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of the query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `Query`<sup>Required</sup> <a name="Query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQuery.property.query"></a>

```go
Query *string
```

- *Type:* *string

The metrics query definition.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `Aggregator`<sup>Optional</sup> <a name="Aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQuery.property.aggregator"></a>

```go
Aggregator *string
```

- *Type:* *string

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `DataSource`<sup>Optional</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for metrics queries.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

### DashboardWidgetGeomapDefinitionRequestQueryProcessQuery <a name="DashboardWidgetGeomapDefinitionRequestQueryProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery {
	DataSource: *string,
	Metric: *string,
	Name: *string,
	Aggregator: *string,
	IsNormalizedCpu: interface{},
	Limit: *f64,
	Sort: *string,
	TagFilters: *[]*string,
	TextFilter: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for process queries. Valid values are `process`, `container`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery.property.metric">Metric</a></code> | <code>*string</code> | The process metric name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery.property.name">Name</a></code> | <code>*string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery.property.aggregator">Aggregator</a></code> | <code>*string</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery.property.isNormalizedCpu">IsNormalizedCpu</a></code> | <code>interface{}</code> | Whether to normalize the CPU percentages. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery.property.limit">Limit</a></code> | <code>*f64</code> | The number of hits to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery.property.sort">Sort</a></code> | <code>*string</code> | The direction of the sort. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery.property.tagFilters">TagFilters</a></code> | <code>*[]*string</code> | An array of tags to filter by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery.property.textFilter">TextFilter</a></code> | <code>*string</code> | The text to use as a filter. |

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for process queries. Valid values are `process`, `container`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `Metric`<sup>Required</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

The process metric name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `Aggregator`<sup>Optional</sup> <a name="Aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery.property.aggregator"></a>

```go
Aggregator *string
```

- *Type:* *string

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `IsNormalizedCpu`<sup>Optional</sup> <a name="IsNormalizedCpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery.property.isNormalizedCpu"></a>

```go
IsNormalizedCpu interface{}
```

- *Type:* interface{}

Whether to normalize the CPU percentages.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_normalized_cpu Dashboard#is_normalized_cpu}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The number of hits to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `Sort`<sup>Optional</sup> <a name="Sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery.property.sort"></a>

```go
Sort *string
```

- *Type:* *string

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `TagFilters`<sup>Optional</sup> <a name="TagFilters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery.property.tagFilters"></a>

```go
TagFilters *[]*string
```

- *Type:* *[]*string

An array of tags to filter by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tag_filters Dashboard#tag_filters}

---

##### `TextFilter`<sup>Optional</sup> <a name="TextFilter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery.property.textFilter"></a>

```go
TextFilter *string
```

- *Type:* *string

The text to use as a filter.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_filter Dashboard#text_filter}

---

### DashboardWidgetGeomapDefinitionRequestRumQuery <a name="DashboardWidgetGeomapDefinitionRequestRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGeomapDefinitionRequestRumQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery">DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery">DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery <a name="DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy <a name="DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery <a name="DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute <a name="DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGeomapDefinitionStyle <a name="DashboardWidgetGeomapDefinitionStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyle.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGeomapDefinitionStyle {
	Palette: *string,
	PaletteFlip: interface{},
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyle.property.palette">Palette</a></code> | <code>*string</code> | The color palette to apply to the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyle.property.paletteFlip">PaletteFlip</a></code> | <code>interface{}</code> | A Boolean indicating whether to flip the palette tones. |

---

##### `Palette`<sup>Required</sup> <a name="Palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyle.property.palette"></a>

```go
Palette *string
```

- *Type:* *string

The color palette to apply to the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `PaletteFlip`<sup>Required</sup> <a name="PaletteFlip" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyle.property.paletteFlip"></a>

```go
PaletteFlip interface{}
```

- *Type:* interface{}

A Boolean indicating whether to flip the palette tones.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette_flip Dashboard#palette_flip}

---

### DashboardWidgetGeomapDefinitionView <a name="DashboardWidgetGeomapDefinitionView" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionView"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionView.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGeomapDefinitionView {
	Focus: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionView.property.focus">Focus</a></code> | <code>*string</code> | The two-letter ISO code of a country to focus the map on (or `WORLD`). |

---

##### `Focus`<sup>Required</sup> <a name="Focus" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionView.property.focus"></a>

```go
Focus *string
```

- *Type:* *string

The two-letter ISO code of a country to focus the map on (or `WORLD`).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#focus Dashboard#focus}

---

### DashboardWidgetGroupDefinition <a name="DashboardWidgetGroupDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinition.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinition {
	LayoutType: *string,
	BackgroundColor: *string,
	BannerImg: *string,
	ShowTitle: interface{},
	Title: *string,
	Widget: interface{},
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinition.property.layoutType">LayoutType</a></code> | <code>*string</code> | The layout type of the group. Valid values are `ordered`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinition.property.backgroundColor">BackgroundColor</a></code> | <code>*string</code> | The background color of the group title, options: `vivid_blue`, `vivid_purple`, `vivid_pink`, `vivid_orange`, `vivid_yellow`, `vivid_green`, `blue`, `purple`, `pink`, `orange`, `yellow`, `green`, `gray` or `white`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinition.property.bannerImg">BannerImg</a></code> | <code>*string</code> | The image URL to display as a banner for the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinition.property.showTitle">ShowTitle</a></code> | <code>interface{}</code> | Whether to show the title or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinition.property.title">Title</a></code> | <code>*string</code> | The title of the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinition.property.widget">Widget</a></code> | <code>interface{}</code> | widget block. |

---

##### `LayoutType`<sup>Required</sup> <a name="LayoutType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinition.property.layoutType"></a>

```go
LayoutType *string
```

- *Type:* *string

The layout type of the group. Valid values are `ordered`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#layout_type Dashboard#layout_type}

---

##### `BackgroundColor`<sup>Optional</sup> <a name="BackgroundColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinition.property.backgroundColor"></a>

```go
BackgroundColor *string
```

- *Type:* *string

The background color of the group title, options: `vivid_blue`, `vivid_purple`, `vivid_pink`, `vivid_orange`, `vivid_yellow`, `vivid_green`, `blue`, `purple`, `pink`, `orange`, `yellow`, `green`, `gray` or `white`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#background_color Dashboard#background_color}

---

##### `BannerImg`<sup>Optional</sup> <a name="BannerImg" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinition.property.bannerImg"></a>

```go
BannerImg *string
```

- *Type:* *string

The image URL to display as a banner for the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#banner_img Dashboard#banner_img}

---

##### `ShowTitle`<sup>Optional</sup> <a name="ShowTitle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinition.property.showTitle"></a>

```go
ShowTitle interface{}
```

- *Type:* interface{}

Whether to show the title or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_title Dashboard#show_title}

---

##### `Title`<sup>Optional</sup> <a name="Title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinition.property.title"></a>

```go
Title *string
```

- *Type:* *string

The title of the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `Widget`<sup>Optional</sup> <a name="Widget" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinition.property.widget"></a>

```go
Widget interface{}
```

- *Type:* interface{}

widget block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#widget Dashboard#widget}

---

### DashboardWidgetGroupDefinitionWidget <a name="DashboardWidgetGroupDefinitionWidget" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidget {
	AlertGraphDefinition: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition,
	AlertValueDefinition: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinition,
	ChangeDefinition: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinition,
	CheckStatusDefinition: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition,
	DistributionDefinition: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinition,
	EventStreamDefinition: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetEventStreamDefinition,
	EventTimelineDefinition: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition,
	FreeTextDefinition: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetFreeTextDefinition,
	GeomapDefinition: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinition,
	HeatmapDefinition: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition,
	HostmapDefinition: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition,
	IframeDefinition: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetIframeDefinition,
	ImageDefinition: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetImageDefinition,
	ListStreamDefinition: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinition,
	LogStreamDefinition: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition,
	ManageStatusDefinition: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition,
	NoteDefinition: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition,
	QueryTableDefinition: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinition,
	QueryValueDefinition: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition,
	RunWorkflowDefinition: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition,
	ScatterplotDefinition: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition,
	ServiceLevelObjectiveDefinition: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition,
	ServicemapDefinition: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinition,
	SloListDefinition: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinition,
	SunburstDefinition: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition,
	TimeseriesDefinition: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition,
	ToplistDefinition: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinition,
	TopologyMapDefinition: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinition,
	TraceServiceDefinition: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition,
	TreemapDefinition: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinition,
	WidgetLayout: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetWidgetLayout,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.alertGraphDefinition">AlertGraphDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition">DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition</a></code> | alert_graph_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.alertValueDefinition">AlertValueDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinition">DashboardWidgetGroupDefinitionWidgetAlertValueDefinition</a></code> | alert_value_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.changeDefinition">ChangeDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinition">DashboardWidgetGroupDefinitionWidgetChangeDefinition</a></code> | change_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.checkStatusDefinition">CheckStatusDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition">DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition</a></code> | check_status_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.distributionDefinition">DistributionDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinition">DashboardWidgetGroupDefinitionWidgetDistributionDefinition</a></code> | distribution_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.eventStreamDefinition">EventStreamDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventStreamDefinition">DashboardWidgetGroupDefinitionWidgetEventStreamDefinition</a></code> | event_stream_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.eventTimelineDefinition">EventTimelineDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition">DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition</a></code> | event_timeline_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.freeTextDefinition">FreeTextDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetFreeTextDefinition">DashboardWidgetGroupDefinitionWidgetFreeTextDefinition</a></code> | free_text_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.geomapDefinition">GeomapDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinition">DashboardWidgetGroupDefinitionWidgetGeomapDefinition</a></code> | geomap_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.heatmapDefinition">HeatmapDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition">DashboardWidgetGroupDefinitionWidgetHeatmapDefinition</a></code> | heatmap_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.hostmapDefinition">HostmapDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition">DashboardWidgetGroupDefinitionWidgetHostmapDefinition</a></code> | hostmap_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.iframeDefinition">IframeDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetIframeDefinition">DashboardWidgetGroupDefinitionWidgetIframeDefinition</a></code> | iframe_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.imageDefinition">ImageDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetImageDefinition">DashboardWidgetGroupDefinitionWidgetImageDefinition</a></code> | image_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.listStreamDefinition">ListStreamDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinition">DashboardWidgetGroupDefinitionWidgetListStreamDefinition</a></code> | list_stream_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.logStreamDefinition">LogStreamDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition">DashboardWidgetGroupDefinitionWidgetLogStreamDefinition</a></code> | log_stream_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.manageStatusDefinition">ManageStatusDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition">DashboardWidgetGroupDefinitionWidgetManageStatusDefinition</a></code> | manage_status_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.noteDefinition">NoteDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition">DashboardWidgetGroupDefinitionWidgetNoteDefinition</a></code> | note_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.queryTableDefinition">QueryTableDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinition">DashboardWidgetGroupDefinitionWidgetQueryTableDefinition</a></code> | query_table_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.queryValueDefinition">QueryValueDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition">DashboardWidgetGroupDefinitionWidgetQueryValueDefinition</a></code> | query_value_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.runWorkflowDefinition">RunWorkflowDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition">DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition</a></code> | run_workflow_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.scatterplotDefinition">ScatterplotDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition">DashboardWidgetGroupDefinitionWidgetScatterplotDefinition</a></code> | scatterplot_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.serviceLevelObjectiveDefinition">ServiceLevelObjectiveDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition">DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition</a></code> | service_level_objective_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.servicemapDefinition">ServicemapDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinition">DashboardWidgetGroupDefinitionWidgetServicemapDefinition</a></code> | servicemap_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.sloListDefinition">SloListDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinition">DashboardWidgetGroupDefinitionWidgetSloListDefinition</a></code> | slo_list_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.sunburstDefinition">SunburstDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition">DashboardWidgetGroupDefinitionWidgetSunburstDefinition</a></code> | sunburst_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.timeseriesDefinition">TimeseriesDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition</a></code> | timeseries_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.toplistDefinition">ToplistDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinition">DashboardWidgetGroupDefinitionWidgetToplistDefinition</a></code> | toplist_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.topologyMapDefinition">TopologyMapDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinition">DashboardWidgetGroupDefinitionWidgetTopologyMapDefinition</a></code> | topology_map_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.traceServiceDefinition">TraceServiceDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition">DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition</a></code> | trace_service_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.treemapDefinition">TreemapDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinition">DashboardWidgetGroupDefinitionWidgetTreemapDefinition</a></code> | treemap_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.widgetLayout">WidgetLayout</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetWidgetLayout">DashboardWidgetGroupDefinitionWidgetWidgetLayout</a></code> | widget_layout block. |

---

##### `AlertGraphDefinition`<sup>Optional</sup> <a name="AlertGraphDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.alertGraphDefinition"></a>

```go
AlertGraphDefinition DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition">DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition</a>

alert_graph_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alert_graph_definition Dashboard#alert_graph_definition}

---

##### `AlertValueDefinition`<sup>Optional</sup> <a name="AlertValueDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.alertValueDefinition"></a>

```go
AlertValueDefinition DashboardWidgetGroupDefinitionWidgetAlertValueDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinition">DashboardWidgetGroupDefinitionWidgetAlertValueDefinition</a>

alert_value_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alert_value_definition Dashboard#alert_value_definition}

---

##### `ChangeDefinition`<sup>Optional</sup> <a name="ChangeDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.changeDefinition"></a>

```go
ChangeDefinition DashboardWidgetGroupDefinitionWidgetChangeDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinition">DashboardWidgetGroupDefinitionWidgetChangeDefinition</a>

change_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#change_definition Dashboard#change_definition}

---

##### `CheckStatusDefinition`<sup>Optional</sup> <a name="CheckStatusDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.checkStatusDefinition"></a>

```go
CheckStatusDefinition DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition">DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition</a>

check_status_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#check_status_definition Dashboard#check_status_definition}

---

##### `DistributionDefinition`<sup>Optional</sup> <a name="DistributionDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.distributionDefinition"></a>

```go
DistributionDefinition DashboardWidgetGroupDefinitionWidgetDistributionDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinition">DashboardWidgetGroupDefinitionWidgetDistributionDefinition</a>

distribution_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#distribution_definition Dashboard#distribution_definition}

---

##### `EventStreamDefinition`<sup>Optional</sup> <a name="EventStreamDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.eventStreamDefinition"></a>

```go
EventStreamDefinition DashboardWidgetGroupDefinitionWidgetEventStreamDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventStreamDefinition">DashboardWidgetGroupDefinitionWidgetEventStreamDefinition</a>

event_stream_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_stream_definition Dashboard#event_stream_definition}

---

##### `EventTimelineDefinition`<sup>Optional</sup> <a name="EventTimelineDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.eventTimelineDefinition"></a>

```go
EventTimelineDefinition DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition">DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition</a>

event_timeline_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_timeline_definition Dashboard#event_timeline_definition}

---

##### `FreeTextDefinition`<sup>Optional</sup> <a name="FreeTextDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.freeTextDefinition"></a>

```go
FreeTextDefinition DashboardWidgetGroupDefinitionWidgetFreeTextDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetFreeTextDefinition">DashboardWidgetGroupDefinitionWidgetFreeTextDefinition</a>

free_text_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#free_text_definition Dashboard#free_text_definition}

---

##### `GeomapDefinition`<sup>Optional</sup> <a name="GeomapDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.geomapDefinition"></a>

```go
GeomapDefinition DashboardWidgetGroupDefinitionWidgetGeomapDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinition">DashboardWidgetGroupDefinitionWidgetGeomapDefinition</a>

geomap_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#geomap_definition Dashboard#geomap_definition}

---

##### `HeatmapDefinition`<sup>Optional</sup> <a name="HeatmapDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.heatmapDefinition"></a>

```go
HeatmapDefinition DashboardWidgetGroupDefinitionWidgetHeatmapDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition">DashboardWidgetGroupDefinitionWidgetHeatmapDefinition</a>

heatmap_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#heatmap_definition Dashboard#heatmap_definition}

---

##### `HostmapDefinition`<sup>Optional</sup> <a name="HostmapDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.hostmapDefinition"></a>

```go
HostmapDefinition DashboardWidgetGroupDefinitionWidgetHostmapDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition">DashboardWidgetGroupDefinitionWidgetHostmapDefinition</a>

hostmap_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hostmap_definition Dashboard#hostmap_definition}

---

##### `IframeDefinition`<sup>Optional</sup> <a name="IframeDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.iframeDefinition"></a>

```go
IframeDefinition DashboardWidgetGroupDefinitionWidgetIframeDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetIframeDefinition">DashboardWidgetGroupDefinitionWidgetIframeDefinition</a>

iframe_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#iframe_definition Dashboard#iframe_definition}

---

##### `ImageDefinition`<sup>Optional</sup> <a name="ImageDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.imageDefinition"></a>

```go
ImageDefinition DashboardWidgetGroupDefinitionWidgetImageDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetImageDefinition">DashboardWidgetGroupDefinitionWidgetImageDefinition</a>

image_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_definition Dashboard#image_definition}

---

##### `ListStreamDefinition`<sup>Optional</sup> <a name="ListStreamDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.listStreamDefinition"></a>

```go
ListStreamDefinition DashboardWidgetGroupDefinitionWidgetListStreamDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinition">DashboardWidgetGroupDefinitionWidgetListStreamDefinition</a>

list_stream_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#list_stream_definition Dashboard#list_stream_definition}

---

##### `LogStreamDefinition`<sup>Optional</sup> <a name="LogStreamDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.logStreamDefinition"></a>

```go
LogStreamDefinition DashboardWidgetGroupDefinitionWidgetLogStreamDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition">DashboardWidgetGroupDefinitionWidgetLogStreamDefinition</a>

log_stream_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_stream_definition Dashboard#log_stream_definition}

---

##### `ManageStatusDefinition`<sup>Optional</sup> <a name="ManageStatusDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.manageStatusDefinition"></a>

```go
ManageStatusDefinition DashboardWidgetGroupDefinitionWidgetManageStatusDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition">DashboardWidgetGroupDefinitionWidgetManageStatusDefinition</a>

manage_status_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#manage_status_definition Dashboard#manage_status_definition}

---

##### `NoteDefinition`<sup>Optional</sup> <a name="NoteDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.noteDefinition"></a>

```go
NoteDefinition DashboardWidgetGroupDefinitionWidgetNoteDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition">DashboardWidgetGroupDefinitionWidgetNoteDefinition</a>

note_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#note_definition Dashboard#note_definition}

---

##### `QueryTableDefinition`<sup>Optional</sup> <a name="QueryTableDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.queryTableDefinition"></a>

```go
QueryTableDefinition DashboardWidgetGroupDefinitionWidgetQueryTableDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinition">DashboardWidgetGroupDefinitionWidgetQueryTableDefinition</a>

query_table_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query_table_definition Dashboard#query_table_definition}

---

##### `QueryValueDefinition`<sup>Optional</sup> <a name="QueryValueDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.queryValueDefinition"></a>

```go
QueryValueDefinition DashboardWidgetGroupDefinitionWidgetQueryValueDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition">DashboardWidgetGroupDefinitionWidgetQueryValueDefinition</a>

query_value_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query_value_definition Dashboard#query_value_definition}

---

##### `RunWorkflowDefinition`<sup>Optional</sup> <a name="RunWorkflowDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.runWorkflowDefinition"></a>

```go
RunWorkflowDefinition DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition">DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition</a>

run_workflow_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#run_workflow_definition Dashboard#run_workflow_definition}

---

##### `ScatterplotDefinition`<sup>Optional</sup> <a name="ScatterplotDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.scatterplotDefinition"></a>

```go
ScatterplotDefinition DashboardWidgetGroupDefinitionWidgetScatterplotDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition">DashboardWidgetGroupDefinitionWidgetScatterplotDefinition</a>

scatterplot_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#scatterplot_definition Dashboard#scatterplot_definition}

---

##### `ServiceLevelObjectiveDefinition`<sup>Optional</sup> <a name="ServiceLevelObjectiveDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.serviceLevelObjectiveDefinition"></a>

```go
ServiceLevelObjectiveDefinition DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition">DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition</a>

service_level_objective_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service_level_objective_definition Dashboard#service_level_objective_definition}

---

##### `ServicemapDefinition`<sup>Optional</sup> <a name="ServicemapDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.servicemapDefinition"></a>

```go
ServicemapDefinition DashboardWidgetGroupDefinitionWidgetServicemapDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinition">DashboardWidgetGroupDefinitionWidgetServicemapDefinition</a>

servicemap_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#servicemap_definition Dashboard#servicemap_definition}

---

##### `SloListDefinition`<sup>Optional</sup> <a name="SloListDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.sloListDefinition"></a>

```go
SloListDefinition DashboardWidgetGroupDefinitionWidgetSloListDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinition">DashboardWidgetGroupDefinitionWidgetSloListDefinition</a>

slo_list_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#slo_list_definition Dashboard#slo_list_definition}

---

##### `SunburstDefinition`<sup>Optional</sup> <a name="SunburstDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.sunburstDefinition"></a>

```go
SunburstDefinition DashboardWidgetGroupDefinitionWidgetSunburstDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition">DashboardWidgetGroupDefinitionWidgetSunburstDefinition</a>

sunburst_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sunburst_definition Dashboard#sunburst_definition}

---

##### `TimeseriesDefinition`<sup>Optional</sup> <a name="TimeseriesDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.timeseriesDefinition"></a>

```go
TimeseriesDefinition DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition</a>

timeseries_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeseries_definition Dashboard#timeseries_definition}

---

##### `ToplistDefinition`<sup>Optional</sup> <a name="ToplistDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.toplistDefinition"></a>

```go
ToplistDefinition DashboardWidgetGroupDefinitionWidgetToplistDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinition">DashboardWidgetGroupDefinitionWidgetToplistDefinition</a>

toplist_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#toplist_definition Dashboard#toplist_definition}

---

##### `TopologyMapDefinition`<sup>Optional</sup> <a name="TopologyMapDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.topologyMapDefinition"></a>

```go
TopologyMapDefinition DashboardWidgetGroupDefinitionWidgetTopologyMapDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinition">DashboardWidgetGroupDefinitionWidgetTopologyMapDefinition</a>

topology_map_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#topology_map_definition Dashboard#topology_map_definition}

---

##### `TraceServiceDefinition`<sup>Optional</sup> <a name="TraceServiceDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.traceServiceDefinition"></a>

```go
TraceServiceDefinition DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition">DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition</a>

trace_service_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#trace_service_definition Dashboard#trace_service_definition}

---

##### `TreemapDefinition`<sup>Optional</sup> <a name="TreemapDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.treemapDefinition"></a>

```go
TreemapDefinition DashboardWidgetGroupDefinitionWidgetTreemapDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinition">DashboardWidgetGroupDefinitionWidgetTreemapDefinition</a>

treemap_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#treemap_definition Dashboard#treemap_definition}

---

##### `WidgetLayout`<sup>Optional</sup> <a name="WidgetLayout" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.widgetLayout"></a>

```go
WidgetLayout DashboardWidgetGroupDefinitionWidgetWidgetLayout
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetWidgetLayout">DashboardWidgetGroupDefinitionWidgetWidgetLayout</a>

widget_layout block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#widget_layout Dashboard#widget_layout}

---

### DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition <a name="DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition {
	AlertId: *string,
	VizType: *string,
	LiveSpan: *string,
	Title: *string,
	TitleAlign: *string,
	TitleSize: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition.property.alertId">AlertId</a></code> | <code>*string</code> | The ID of the monitor used by the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition.property.vizType">VizType</a></code> | <code>*string</code> | Type of visualization to use when displaying the widget. Valid values are `timeseries`, `toplist`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition.property.liveSpan">LiveSpan</a></code> | <code>*string</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition.property.title">Title</a></code> | <code>*string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition.property.titleAlign">TitleAlign</a></code> | <code>*string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition.property.titleSize">TitleSize</a></code> | <code>*string</code> | The size of the widget's title (defaults to 16). |

---

##### `AlertId`<sup>Required</sup> <a name="AlertId" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition.property.alertId"></a>

```go
AlertId *string
```

- *Type:* *string

The ID of the monitor used by the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alert_id Dashboard#alert_id}

---

##### `VizType`<sup>Required</sup> <a name="VizType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition.property.vizType"></a>

```go
VizType *string
```

- *Type:* *string

Type of visualization to use when displaying the widget. Valid values are `timeseries`, `toplist`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#viz_type Dashboard#viz_type}

---

##### `LiveSpan`<sup>Optional</sup> <a name="LiveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition.property.liveSpan"></a>

```go
LiveSpan *string
```

- *Type:* *string

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `Title`<sup>Optional</sup> <a name="Title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition.property.title"></a>

```go
Title *string
```

- *Type:* *string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `TitleAlign`<sup>Optional</sup> <a name="TitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition.property.titleAlign"></a>

```go
TitleAlign *string
```

- *Type:* *string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `TitleSize`<sup>Optional</sup> <a name="TitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition.property.titleSize"></a>

```go
TitleSize *string
```

- *Type:* *string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGroupDefinitionWidgetAlertValueDefinition <a name="DashboardWidgetGroupDefinitionWidgetAlertValueDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinition.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinition {
	AlertId: *string,
	Precision: *f64,
	TextAlign: *string,
	Title: *string,
	TitleAlign: *string,
	TitleSize: *string,
	Unit: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinition.property.alertId">AlertId</a></code> | <code>*string</code> | The ID of the monitor used by the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinition.property.precision">Precision</a></code> | <code>*f64</code> | The precision to use when displaying the value. Use `*` for maximum precision. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinition.property.textAlign">TextAlign</a></code> | <code>*string</code> | The alignment of the text in the widget. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinition.property.title">Title</a></code> | <code>*string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinition.property.titleAlign">TitleAlign</a></code> | <code>*string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinition.property.titleSize">TitleSize</a></code> | <code>*string</code> | The size of the widget's title (defaults to 16). |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinition.property.unit">Unit</a></code> | <code>*string</code> | The unit for the value displayed in the widget. |

---

##### `AlertId`<sup>Required</sup> <a name="AlertId" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinition.property.alertId"></a>

```go
AlertId *string
```

- *Type:* *string

The ID of the monitor used by the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alert_id Dashboard#alert_id}

---

##### `Precision`<sup>Optional</sup> <a name="Precision" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinition.property.precision"></a>

```go
Precision *f64
```

- *Type:* *f64

The precision to use when displaying the value. Use `*` for maximum precision.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#precision Dashboard#precision}

---

##### `TextAlign`<sup>Optional</sup> <a name="TextAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinition.property.textAlign"></a>

```go
TextAlign *string
```

- *Type:* *string

The alignment of the text in the widget. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_align Dashboard#text_align}

---

##### `Title`<sup>Optional</sup> <a name="Title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinition.property.title"></a>

```go
Title *string
```

- *Type:* *string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `TitleAlign`<sup>Optional</sup> <a name="TitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinition.property.titleAlign"></a>

```go
TitleAlign *string
```

- *Type:* *string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `TitleSize`<sup>Optional</sup> <a name="TitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinition.property.titleSize"></a>

```go
TitleSize *string
```

- *Type:* *string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

##### `Unit`<sup>Optional</sup> <a name="Unit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinition.property.unit"></a>

```go
Unit *string
```

- *Type:* *string

The unit for the value displayed in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#unit Dashboard#unit}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinition <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinition.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinition {
	CustomLink: interface{},
	LiveSpan: *string,
	Request: interface{},
	Title: *string,
	TitleAlign: *string,
	TitleSize: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinition.property.customLink">CustomLink</a></code> | <code>interface{}</code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinition.property.liveSpan">LiveSpan</a></code> | <code>*string</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinition.property.request">Request</a></code> | <code>interface{}</code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinition.property.title">Title</a></code> | <code>*string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinition.property.titleAlign">TitleAlign</a></code> | <code>*string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinition.property.titleSize">TitleSize</a></code> | <code>*string</code> | The size of the widget's title (defaults to 16). |

---

##### `CustomLink`<sup>Optional</sup> <a name="CustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinition.property.customLink"></a>

```go
CustomLink interface{}
```

- *Type:* interface{}

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `LiveSpan`<sup>Optional</sup> <a name="LiveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinition.property.liveSpan"></a>

```go
LiveSpan *string
```

- *Type:* *string

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `Request`<sup>Optional</sup> <a name="Request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinition.property.request"></a>

```go
Request interface{}
```

- *Type:* interface{}

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `Title`<sup>Optional</sup> <a name="Title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinition.property.title"></a>

```go
Title *string
```

- *Type:* *string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `TitleAlign`<sup>Optional</sup> <a name="TitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinition.property.titleAlign"></a>

```go
TitleAlign *string
```

- *Type:* *string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `TitleSize`<sup>Optional</sup> <a name="TitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinition.property.titleSize"></a>

```go
TitleSize *string
```

- *Type:* *string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink {
	IsHidden: interface{},
	Label: *string,
	Link: *string,
	OverrideLabel: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink.property.isHidden">IsHidden</a></code> | <code>interface{}</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink.property.label">Label</a></code> | <code>*string</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink.property.link">Link</a></code> | <code>*string</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink.property.overrideLabel">OverrideLabel</a></code> | <code>*string</code> | The label ID that refers to a context menu link item. |

---

##### `IsHidden`<sup>Optional</sup> <a name="IsHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink.property.isHidden"></a>

```go
IsHidden interface{}
```

- *Type:* interface{}

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `Label`<sup>Optional</sup> <a name="Label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink.property.label"></a>

```go
Label *string
```

- *Type:* *string

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `Link`<sup>Optional</sup> <a name="Link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink.property.link"></a>

```go
Link *string
```

- *Type:* *string

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `OverrideLabel`<sup>Optional</sup> <a name="OverrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink.property.overrideLabel"></a>

```go
OverrideLabel *string
```

- *Type:* *string

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest {
	ApmQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery,
	ChangeType: *string,
	CompareTo: *string,
	Formula: interface{},
	IncreaseGood: interface{},
	LogQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery,
	OrderBy: *string,
	OrderDir: *string,
	ProcessQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery,
	Q: *string,
	Query: interface{},
	RumQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery,
	SecurityQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery,
	ShowPresent: interface{},
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.apmQuery">ApmQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.changeType">ChangeType</a></code> | <code>*string</code> | Whether to show absolute or relative change. Valid values are `absolute`, `relative`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.compareTo">CompareTo</a></code> | <code>*string</code> | Choose from when to compare current data to. Valid values are `hour_before`, `day_before`, `week_before`, `month_before`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.formula">Formula</a></code> | <code>interface{}</code> | formula block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.increaseGood">IncreaseGood</a></code> | <code>interface{}</code> | A Boolean indicating whether an increase in the value is good (displayed in green) or not (displayed in red). |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.logQuery">LogQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.orderBy">OrderBy</a></code> | <code>*string</code> | What to order by. Valid values are `change`, `name`, `present`, `past`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.orderDir">OrderDir</a></code> | <code>*string</code> | Widget sorting method. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.processQuery">ProcessQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.q">Q</a></code> | <code>*string</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.query">Query</a></code> | <code>interface{}</code> | query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.rumQuery">RumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.securityQuery">SecurityQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery</a></code> | security_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.showPresent">ShowPresent</a></code> | <code>interface{}</code> | If set to `true`, displays the current value. |

---

##### `ApmQuery`<sup>Optional</sup> <a name="ApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.apmQuery"></a>

```go
ApmQuery DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `ChangeType`<sup>Optional</sup> <a name="ChangeType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.changeType"></a>

```go
ChangeType *string
```

- *Type:* *string

Whether to show absolute or relative change. Valid values are `absolute`, `relative`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#change_type Dashboard#change_type}

---

##### `CompareTo`<sup>Optional</sup> <a name="CompareTo" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.compareTo"></a>

```go
CompareTo *string
```

- *Type:* *string

Choose from when to compare current data to. Valid values are `hour_before`, `day_before`, `week_before`, `month_before`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compare_to Dashboard#compare_to}

---

##### `Formula`<sup>Optional</sup> <a name="Formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.formula"></a>

```go
Formula interface{}
```

- *Type:* interface{}

formula block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula Dashboard#formula}

---

##### `IncreaseGood`<sup>Optional</sup> <a name="IncreaseGood" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.increaseGood"></a>

```go
IncreaseGood interface{}
```

- *Type:* interface{}

A Boolean indicating whether an increase in the value is good (displayed in green) or not (displayed in red).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#increase_good Dashboard#increase_good}

---

##### `LogQuery`<sup>Optional</sup> <a name="LogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.logQuery"></a>

```go
LogQuery DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `OrderBy`<sup>Optional</sup> <a name="OrderBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.orderBy"></a>

```go
OrderBy *string
```

- *Type:* *string

What to order by. Valid values are `change`, `name`, `present`, `past`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order_by Dashboard#order_by}

---

##### `OrderDir`<sup>Optional</sup> <a name="OrderDir" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.orderDir"></a>

```go
OrderDir *string
```

- *Type:* *string

Widget sorting method. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order_dir Dashboard#order_dir}

---

##### `ProcessQuery`<sup>Optional</sup> <a name="ProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.processQuery"></a>

```go
ProcessQuery DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `Q`<sup>Optional</sup> <a name="Q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.q"></a>

```go
Q *string
```

- *Type:* *string

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `Query`<sup>Optional</sup> <a name="Query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.query"></a>

```go
Query interface{}
```

- *Type:* interface{}

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `RumQuery`<sup>Optional</sup> <a name="RumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.rumQuery"></a>

```go
RumQuery DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `SecurityQuery`<sup>Optional</sup> <a name="SecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.securityQuery"></a>

```go
SecurityQuery DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

##### `ShowPresent`<sup>Optional</sup> <a name="ShowPresent" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.showPresent"></a>

```go
ShowPresent interface{}
```

- *Type:* interface{}

If set to `true`, displays the current value.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_present Dashboard#show_present}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula {
	FormulaExpression: *string,
	Alias: *string,
	CellDisplayMode: *string,
	ConditionalFormats: interface{},
	Limit: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit,
	Style: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula.property.formulaExpression">FormulaExpression</a></code> | <code>*string</code> | A string expression built from queries, formulas, and functions. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula.property.alias">Alias</a></code> | <code>*string</code> | An expression alias. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula.property.cellDisplayMode">CellDisplayMode</a></code> | <code>*string</code> | A list of display modes for each table cell. Valid values are `number`, `bar`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula.property.conditionalFormats">ConditionalFormats</a></code> | <code>interface{}</code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula.property.limit">Limit</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit</a></code> | limit block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula.property.style">Style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle</a></code> | style block. |

---

##### `FormulaExpression`<sup>Required</sup> <a name="FormulaExpression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula.property.formulaExpression"></a>

```go
FormulaExpression *string
```

- *Type:* *string

A string expression built from queries, formulas, and functions.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula_expression Dashboard#formula_expression}

---

##### `Alias`<sup>Optional</sup> <a name="Alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula.property.alias"></a>

```go
Alias *string
```

- *Type:* *string

An expression alias.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `CellDisplayMode`<sup>Optional</sup> <a name="CellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula.property.cellDisplayMode"></a>

```go
CellDisplayMode *string
```

- *Type:* *string

A list of display modes for each table cell. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `ConditionalFormats`<sup>Optional</sup> <a name="ConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula.property.conditionalFormats"></a>

```go
ConditionalFormats interface{}
```

- *Type:* interface{}

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula.property.limit"></a>

```go
Limit DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit</a>

limit block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `Style`<sup>Optional</sup> <a name="Style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula.property.style"></a>

```go
Style DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats {
	Comparator: *string,
	Palette: *string,
	Value: *f64,
	CustomBgColor: *string,
	CustomFgColor: *string,
	HideValue: interface{},
	ImageUrl: *string,
	Metric: *string,
	Timeframe: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats.property.comparator">Comparator</a></code> | <code>*string</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats.property.palette">Palette</a></code> | <code>*string</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats.property.value">Value</a></code> | <code>*f64</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats.property.customBgColor">CustomBgColor</a></code> | <code>*string</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats.property.customFgColor">CustomFgColor</a></code> | <code>*string</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats.property.hideValue">HideValue</a></code> | <code>interface{}</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats.property.imageUrl">ImageUrl</a></code> | <code>*string</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats.property.metric">Metric</a></code> | <code>*string</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats.property.timeframe">Timeframe</a></code> | <code>*string</code> | Defines the displayed timeframe. |

---

##### `Comparator`<sup>Required</sup> <a name="Comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats.property.comparator"></a>

```go
Comparator *string
```

- *Type:* *string

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `Palette`<sup>Required</sup> <a name="Palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats.property.palette"></a>

```go
Palette *string
```

- *Type:* *string

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `Value`<sup>Required</sup> <a name="Value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats.property.value"></a>

```go
Value *f64
```

- *Type:* *f64

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `CustomBgColor`<sup>Optional</sup> <a name="CustomBgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats.property.customBgColor"></a>

```go
CustomBgColor *string
```

- *Type:* *string

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `CustomFgColor`<sup>Optional</sup> <a name="CustomFgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats.property.customFgColor"></a>

```go
CustomFgColor *string
```

- *Type:* *string

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `HideValue`<sup>Optional</sup> <a name="HideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats.property.hideValue"></a>

```go
HideValue interface{}
```

- *Type:* interface{}

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `ImageUrl`<sup>Optional</sup> <a name="ImageUrl" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats.property.imageUrl"></a>

```go
ImageUrl *string
```

- *Type:* *string

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `Metric`<sup>Optional</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `Timeframe`<sup>Optional</sup> <a name="Timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats.property.timeframe"></a>

```go
Timeframe *string
```

- *Type:* *string

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit {
	Count: *f64,
	Order: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit.property.count">Count</a></code> | <code>*f64</code> | The number of results to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit.property.order">Order</a></code> | <code>*string</code> | The direction of the sort. Valid values are `asc`, `desc`. |

---

##### `Count`<sup>Optional</sup> <a name="Count" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit.property.count"></a>

```go
Count *f64
```

- *Type:* *f64

The number of results to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#count Dashboard#count}

---

##### `Order`<sup>Optional</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit.property.order"></a>

```go
Order *string
```

- *Type:* *string

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle {
	Palette: *string,
	PaletteIndex: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle.property.palette">Palette</a></code> | <code>*string</code> | The color palette used to display the formula. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle.property.paletteIndex">PaletteIndex</a></code> | <code>*f64</code> | Index specifying which color to use within the palette. |

---

##### `Palette`<sup>Optional</sup> <a name="Palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle.property.palette"></a>

```go
Palette *string
```

- *Type:* *string

The color palette used to display the formula.

A guide to the available color palettes can be found at https://docs.datadoghq.com/dashboards/guide/widget_colors

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `PaletteIndex`<sup>Optional</sup> <a name="PaletteIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle.property.paletteIndex"></a>

```go
PaletteIndex *f64
```

- *Type:* *f64

Index specifying which color to use within the palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette_index Dashboard#palette_index}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery {
	Metric: *string,
	FilterBy: *[]*string,
	Limit: *f64,
	SearchBy: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery.property.metric">Metric</a></code> | <code>*string</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery.property.filterBy">FilterBy</a></code> | <code>*[]*string</code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery.property.limit">Limit</a></code> | <code>*f64</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery.property.searchBy">SearchBy</a></code> | <code>*string</code> | Your chosen search term. |

---

##### `Metric`<sup>Required</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `FilterBy`<sup>Optional</sup> <a name="FilterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery.property.filterBy"></a>

```go
FilterBy *[]*string
```

- *Type:* *[]*string

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SearchBy`<sup>Optional</sup> <a name="SearchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery.property.searchBy"></a>

```go
SearchBy *string
```

- *Type:* *string

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery {
	ApmDependencyStatsQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery,
	ApmResourceStatsQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery,
	EventQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery,
	MetricQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery,
	ProcessQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery.property.apmDependencyStatsQuery">ApmDependencyStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery</a></code> | apm_dependency_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery.property.apmResourceStatsQuery">ApmResourceStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery</a></code> | apm_resource_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery.property.eventQuery">EventQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery</a></code> | event_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery.property.metricQuery">MetricQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery</a></code> | metric_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery.property.processQuery">ProcessQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery</a></code> | process_query block. |

---

##### `ApmDependencyStatsQuery`<sup>Optional</sup> <a name="ApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery.property.apmDependencyStatsQuery"></a>

```go
ApmDependencyStatsQuery DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery</a>

apm_dependency_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_dependency_stats_query Dashboard#apm_dependency_stats_query}

---

##### `ApmResourceStatsQuery`<sup>Optional</sup> <a name="ApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery.property.apmResourceStatsQuery"></a>

```go
ApmResourceStatsQuery DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery</a>

apm_resource_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_resource_stats_query Dashboard#apm_resource_stats_query}

---

##### `EventQuery`<sup>Optional</sup> <a name="EventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery.property.eventQuery"></a>

```go
EventQuery DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery</a>

event_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_query Dashboard#event_query}

---

##### `MetricQuery`<sup>Optional</sup> <a name="MetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery.property.metricQuery"></a>

```go
MetricQuery DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery</a>

metric_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric_query Dashboard#metric_query}

---

##### `ProcessQuery`<sup>Optional</sup> <a name="ProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery.property.processQuery"></a>

```go
ProcessQuery DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery {
	DataSource: *string,
	Env: *string,
	Name: *string,
	OperationName: *string,
	ResourceName: *string,
	Service: *string,
	Stat: *string,
	IsUpstream: interface{},
	PrimaryTagName: *string,
	PrimaryTagValue: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.env">Env</a></code> | <code>*string</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.name">Name</a></code> | <code>*string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.operationName">OperationName</a></code> | <code>*string</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName">ResourceName</a></code> | <code>*string</code> | APM resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.service">Service</a></code> | <code>*string</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.stat">Stat</a></code> | <code>*string</code> | APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream">IsUpstream</a></code> | <code>interface{}</code> | Determines whether stats for upstream or downstream dependencies should be queried. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName">PrimaryTagName</a></code> | <code>*string</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue">PrimaryTagValue</a></code> | <code>*string</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `Env`<sup>Required</sup> <a name="Env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.env"></a>

```go
Env *string
```

- *Type:* *string

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `OperationName`<sup>Required</sup> <a name="OperationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.operationName"></a>

```go
OperationName *string
```

- *Type:* *string

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `ResourceName`<sup>Required</sup> <a name="ResourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName"></a>

```go
ResourceName *string
```

- *Type:* *string

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

##### `Service`<sup>Required</sup> <a name="Service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.service"></a>

```go
Service *string
```

- *Type:* *string

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `Stat`<sup>Required</sup> <a name="Stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.stat"></a>

```go
Stat *string
```

- *Type:* *string

APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `IsUpstream`<sup>Optional</sup> <a name="IsUpstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream"></a>

```go
IsUpstream interface{}
```

- *Type:* interface{}

Determines whether stats for upstream or downstream dependencies should be queried.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_upstream Dashboard#is_upstream}

---

##### `PrimaryTagName`<sup>Optional</sup> <a name="PrimaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName"></a>

```go
PrimaryTagName *string
```

- *Type:* *string

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `PrimaryTagValue`<sup>Optional</sup> <a name="PrimaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue"></a>

```go
PrimaryTagValue *string
```

- *Type:* *string

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery {
	DataSource: *string,
	Env: *string,
	Name: *string,
	Service: *string,
	Stat: *string,
	GroupBy: *[]*string,
	OperationName: *string,
	PrimaryTagName: *string,
	PrimaryTagValue: *string,
	ResourceName: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.env">Env</a></code> | <code>*string</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.name">Name</a></code> | <code>*string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.service">Service</a></code> | <code>*string</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.stat">Stat</a></code> | <code>*string</code> | APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.groupBy">GroupBy</a></code> | <code>*[]*string</code> | Array of fields to group results by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.operationName">OperationName</a></code> | <code>*string</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName">PrimaryTagName</a></code> | <code>*string</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue">PrimaryTagValue</a></code> | <code>*string</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.resourceName">ResourceName</a></code> | <code>*string</code> | APM resource. |

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `Env`<sup>Required</sup> <a name="Env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.env"></a>

```go
Env *string
```

- *Type:* *string

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `Service`<sup>Required</sup> <a name="Service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.service"></a>

```go
Service *string
```

- *Type:* *string

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `Stat`<sup>Required</sup> <a name="Stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.stat"></a>

```go
Stat *string
```

- *Type:* *string

APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.groupBy"></a>

```go
GroupBy *[]*string
```

- *Type:* *[]*string

Array of fields to group results by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `OperationName`<sup>Optional</sup> <a name="OperationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.operationName"></a>

```go
OperationName *string
```

- *Type:* *string

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `PrimaryTagName`<sup>Optional</sup> <a name="PrimaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName"></a>

```go
PrimaryTagName *string
```

- *Type:* *string

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `PrimaryTagValue`<sup>Optional</sup> <a name="PrimaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue"></a>

```go
PrimaryTagValue *string
```

- *Type:* *string

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

##### `ResourceName`<sup>Optional</sup> <a name="ResourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.resourceName"></a>

```go
ResourceName *string
```

- *Type:* *string

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery {
	Compute: interface{},
	DataSource: *string,
	Name: *string,
	GroupBy: interface{},
	Indexes: *[]*string,
	Search: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch,
	Storage: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery.property.compute">Compute</a></code> | <code>interface{}</code> | compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for event platform-based queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery.property.name">Name</a></code> | <code>*string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery.property.indexes">Indexes</a></code> | <code>*[]*string</code> | An array of index names to query in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery.property.search">Search</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch</a></code> | search block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery.property.storage">Storage</a></code> | <code>*string</code> | Storage location (private beta). |

---

##### `Compute`<sup>Required</sup> <a name="Compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery.property.compute"></a>

```go
Compute interface{}
```

- *Type:* interface{}

compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute Dashboard#compute}

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for event platform-based queries.

Valid values are `logs`, `spans`, `network`, `rum`, `security_signals`, `profiles`, `audit`, `events`, `ci_tests`, `ci_pipelines`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `Indexes`<sup>Optional</sup> <a name="Indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery.property.indexes"></a>

```go
Indexes *[]*string
```

- *Type:* *[]*string

An array of index names to query in the stream.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `Search`<sup>Optional</sup> <a name="Search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery.property.search"></a>

```go
Search DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch</a>

search block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search Dashboard#search}

---

##### `Storage`<sup>Optional</sup> <a name="Storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery.property.storage"></a>

```go
Storage *string
```

- *Type:* *string

Storage location (private beta).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#storage Dashboard#storage}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute {
	Aggregation: *string,
	Interval: *f64,
	Metric: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation methods for event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute.property.interval">Interval</a></code> | <code>*f64</code> | A time interval in milliseconds. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute.property.metric">Metric</a></code> | <code>*string</code> | The measurable attribute to compute. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation methods for event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

A time interval in milliseconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

##### `Metric`<sup>Optional</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

The measurable attribute to compute.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	Sort: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The event facet. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The number of groups to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy.property.sort">Sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort</a></code> | sort block. |

---

##### `Facet`<sup>Required</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The event facet.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The number of groups to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `Sort`<sup>Optional</sup> <a name="Sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy.property.sort"></a>

```go
Sort DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort</a>

sort block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort {
	Aggregation: *string,
	Metric: *string,
	Order: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation methods for the event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort.property.metric">Metric</a></code> | <code>*string</code> | The metric used for sorting group by results. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort.property.order">Order</a></code> | <code>*string</code> | Direction of sort. Valid values are `asc`, `desc`. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation methods for the event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Metric`<sup>Optional</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

The metric used for sorting group by results.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `Order`<sup>Optional</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort.property.order"></a>

```go
Order *string
```

- *Type:* *string

Direction of sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch {
	Query: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch.property.query">Query</a></code> | <code>*string</code> | The events search string. |

---

##### `Query`<sup>Required</sup> <a name="Query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch.property.query"></a>

```go
Query *string
```

- *Type:* *string

The events search string.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery {
	Name: *string,
	Query: *string,
	Aggregator: *string,
	DataSource: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery.property.name">Name</a></code> | <code>*string</code> | The name of the query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery.property.query">Query</a></code> | <code>*string</code> | The metrics query definition. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery.property.aggregator">Aggregator</a></code> | <code>*string</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for metrics queries. |

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of the query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `Query`<sup>Required</sup> <a name="Query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery.property.query"></a>

```go
Query *string
```

- *Type:* *string

The metrics query definition.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `Aggregator`<sup>Optional</sup> <a name="Aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery.property.aggregator"></a>

```go
Aggregator *string
```

- *Type:* *string

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `DataSource`<sup>Optional</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for metrics queries.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery {
	DataSource: *string,
	Metric: *string,
	Name: *string,
	Aggregator: *string,
	IsNormalizedCpu: interface{},
	Limit: *f64,
	Sort: *string,
	TagFilters: *[]*string,
	TextFilter: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for process queries. Valid values are `process`, `container`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery.property.metric">Metric</a></code> | <code>*string</code> | The process metric name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery.property.name">Name</a></code> | <code>*string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery.property.aggregator">Aggregator</a></code> | <code>*string</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery.property.isNormalizedCpu">IsNormalizedCpu</a></code> | <code>interface{}</code> | Whether to normalize the CPU percentages. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery.property.limit">Limit</a></code> | <code>*f64</code> | The number of hits to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery.property.sort">Sort</a></code> | <code>*string</code> | The direction of the sort. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery.property.tagFilters">TagFilters</a></code> | <code>*[]*string</code> | An array of tags to filter by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery.property.textFilter">TextFilter</a></code> | <code>*string</code> | The text to use as a filter. |

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for process queries. Valid values are `process`, `container`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `Metric`<sup>Required</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

The process metric name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `Aggregator`<sup>Optional</sup> <a name="Aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery.property.aggregator"></a>

```go
Aggregator *string
```

- *Type:* *string

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `IsNormalizedCpu`<sup>Optional</sup> <a name="IsNormalizedCpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery.property.isNormalizedCpu"></a>

```go
IsNormalizedCpu interface{}
```

- *Type:* interface{}

Whether to normalize the CPU percentages.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_normalized_cpu Dashboard#is_normalized_cpu}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The number of hits to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `Sort`<sup>Optional</sup> <a name="Sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery.property.sort"></a>

```go
Sort *string
```

- *Type:* *string

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `TagFilters`<sup>Optional</sup> <a name="TagFilters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery.property.tagFilters"></a>

```go
TagFilters *[]*string
```

- *Type:* *[]*string

An array of tags to filter by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tag_filters Dashboard#tag_filters}

---

##### `TextFilter`<sup>Optional</sup> <a name="TextFilter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery.property.textFilter"></a>

```go
TextFilter *string
```

- *Type:* *string

The text to use as a filter.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_filter Dashboard#text_filter}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition <a name="DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition {
	Check: *string,
	Grouping: *string,
	Group: *string,
	GroupBy: *[]*string,
	LiveSpan: *string,
	Tags: *[]*string,
	Title: *string,
	TitleAlign: *string,
	TitleSize: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition.property.check">Check</a></code> | <code>*string</code> | The check to use in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition.property.grouping">Grouping</a></code> | <code>*string</code> | The kind of grouping to use. Valid values are `check`, `cluster`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition.property.group">Group</a></code> | <code>*string</code> | The check group to use in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition.property.groupBy">GroupBy</a></code> | <code>*[]*string</code> | When `grouping = "cluster"`, indicates a list of tags to use for grouping. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition.property.liveSpan">LiveSpan</a></code> | <code>*string</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition.property.tags">Tags</a></code> | <code>*[]*string</code> | A list of tags to use in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition.property.title">Title</a></code> | <code>*string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition.property.titleAlign">TitleAlign</a></code> | <code>*string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition.property.titleSize">TitleSize</a></code> | <code>*string</code> | The size of the widget's title (defaults to 16). |

---

##### `Check`<sup>Required</sup> <a name="Check" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition.property.check"></a>

```go
Check *string
```

- *Type:* *string

The check to use in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#check Dashboard#check}

---

##### `Grouping`<sup>Required</sup> <a name="Grouping" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition.property.grouping"></a>

```go
Grouping *string
```

- *Type:* *string

The kind of grouping to use. Valid values are `check`, `cluster`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#grouping Dashboard#grouping}

---

##### `Group`<sup>Optional</sup> <a name="Group" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition.property.group"></a>

```go
Group *string
```

- *Type:* *string

The check group to use in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group Dashboard#group}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition.property.groupBy"></a>

```go
GroupBy *[]*string
```

- *Type:* *[]*string

When `grouping = "cluster"`, indicates a list of tags to use for grouping.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `LiveSpan`<sup>Optional</sup> <a name="LiveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition.property.liveSpan"></a>

```go
LiveSpan *string
```

- *Type:* *string

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `Tags`<sup>Optional</sup> <a name="Tags" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition.property.tags"></a>

```go
Tags *[]*string
```

- *Type:* *[]*string

A list of tags to use in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tags Dashboard#tags}

---

##### `Title`<sup>Optional</sup> <a name="Title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition.property.title"></a>

```go
Title *string
```

- *Type:* *string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `TitleAlign`<sup>Optional</sup> <a name="TitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition.property.titleAlign"></a>

```go
TitleAlign *string
```

- *Type:* *string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `TitleSize`<sup>Optional</sup> <a name="TitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition.property.titleSize"></a>

```go
TitleSize *string
```

- *Type:* *string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinition <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinition.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinition {
	LegendSize: *string,
	LiveSpan: *string,
	Request: interface{},
	ShowLegend: interface{},
	Title: *string,
	TitleAlign: *string,
	TitleSize: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinition.property.legendSize">LegendSize</a></code> | <code>*string</code> | The size of the legend displayed in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinition.property.liveSpan">LiveSpan</a></code> | <code>*string</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinition.property.request">Request</a></code> | <code>interface{}</code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinition.property.showLegend">ShowLegend</a></code> | <code>interface{}</code> | Whether or not to show the legend on this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinition.property.title">Title</a></code> | <code>*string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinition.property.titleAlign">TitleAlign</a></code> | <code>*string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinition.property.titleSize">TitleSize</a></code> | <code>*string</code> | The size of the widget's title (defaults to 16). |

---

##### `LegendSize`<sup>Optional</sup> <a name="LegendSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinition.property.legendSize"></a>

```go
LegendSize *string
```

- *Type:* *string

The size of the legend displayed in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#legend_size Dashboard#legend_size}

---

##### `LiveSpan`<sup>Optional</sup> <a name="LiveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinition.property.liveSpan"></a>

```go
LiveSpan *string
```

- *Type:* *string

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `Request`<sup>Optional</sup> <a name="Request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinition.property.request"></a>

```go
Request interface{}
```

- *Type:* interface{}

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `ShowLegend`<sup>Optional</sup> <a name="ShowLegend" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinition.property.showLegend"></a>

```go
ShowLegend interface{}
```

- *Type:* interface{}

Whether or not to show the legend on this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_legend Dashboard#show_legend}

---

##### `Title`<sup>Optional</sup> <a name="Title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinition.property.title"></a>

```go
Title *string
```

- *Type:* *string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `TitleAlign`<sup>Optional</sup> <a name="TitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinition.property.titleAlign"></a>

```go
TitleAlign *string
```

- *Type:* *string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `TitleSize`<sup>Optional</sup> <a name="TitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinition.property.titleSize"></a>

```go
TitleSize *string
```

- *Type:* *string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest {
	ApmQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQuery,
	ApmStatsQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery,
	LogQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQuery,
	ProcessQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestProcessQuery,
	Q: *string,
	RumQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQuery,
	SecurityQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQuery,
	Style: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestStyle,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest.property.apmQuery">ApmQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest.property.apmStatsQuery">ApmStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery</a></code> | apm_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest.property.logQuery">LogQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest.property.processQuery">ProcessQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestProcessQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest.property.q">Q</a></code> | <code>*string</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest.property.rumQuery">RumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest.property.securityQuery">SecurityQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQuery</a></code> | security_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest.property.style">Style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestStyle">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestStyle</a></code> | style block. |

---

##### `ApmQuery`<sup>Optional</sup> <a name="ApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest.property.apmQuery"></a>

```go
ApmQuery DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `ApmStatsQuery`<sup>Optional</sup> <a name="ApmStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest.property.apmStatsQuery"></a>

```go
ApmStatsQuery DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery</a>

apm_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_stats_query Dashboard#apm_stats_query}

---

##### `LogQuery`<sup>Optional</sup> <a name="LogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest.property.logQuery"></a>

```go
LogQuery DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `ProcessQuery`<sup>Optional</sup> <a name="ProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest.property.processQuery"></a>

```go
ProcessQuery DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestProcessQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `Q`<sup>Optional</sup> <a name="Q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest.property.q"></a>

```go
Q *string
```

- *Type:* *string

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `RumQuery`<sup>Optional</sup> <a name="RumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest.property.rumQuery"></a>

```go
RumQuery DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `SecurityQuery`<sup>Optional</sup> <a name="SecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest.property.securityQuery"></a>

```go
SecurityQuery DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

##### `Style`<sup>Optional</sup> <a name="Style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest.property.style"></a>

```go
Style DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestStyle
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestStyle">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQuery <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery {
	Env: *string,
	Name: *string,
	PrimaryTag: *string,
	RowType: *string,
	Service: *string,
	Columns: interface{},
	Resource: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery.property.env">Env</a></code> | <code>*string</code> | The environment name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery.property.name">Name</a></code> | <code>*string</code> | The operation name associated with the service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery.property.primaryTag">PrimaryTag</a></code> | <code>*string</code> | The organization's host group name and value. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery.property.rowType">RowType</a></code> | <code>*string</code> | The level of detail for the request. Valid values are `service`, `resource`, `span`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery.property.service">Service</a></code> | <code>*string</code> | The service name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery.property.columns">Columns</a></code> | <code>interface{}</code> | columns block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery.property.resource">Resource</a></code> | <code>*string</code> | The resource name. |

---

##### `Env`<sup>Required</sup> <a name="Env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery.property.env"></a>

```go
Env *string
```

- *Type:* *string

The environment name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The operation name associated with the service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `PrimaryTag`<sup>Required</sup> <a name="PrimaryTag" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery.property.primaryTag"></a>

```go
PrimaryTag *string
```

- *Type:* *string

The organization's host group name and value.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag Dashboard#primary_tag}

---

##### `RowType`<sup>Required</sup> <a name="RowType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery.property.rowType"></a>

```go
RowType *string
```

- *Type:* *string

The level of detail for the request. Valid values are `service`, `resource`, `span`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#row_type Dashboard#row_type}

---

##### `Service`<sup>Required</sup> <a name="Service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery.property.service"></a>

```go
Service *string
```

- *Type:* *string

The service name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `Columns`<sup>Optional</sup> <a name="Columns" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery.property.columns"></a>

```go
Columns interface{}
```

- *Type:* interface{}

columns block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#columns Dashboard#columns}

---

##### `Resource`<sup>Optional</sup> <a name="Resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery.property.resource"></a>

```go
Resource *string
```

- *Type:* *string

The resource name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource Dashboard#resource}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQueryColumns <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQueryColumns" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQueryColumns"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQueryColumns.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQueryColumns {
	Name: *string,
	Alias: *string,
	CellDisplayMode: *string,
	Order: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQueryColumns.property.name">Name</a></code> | <code>*string</code> | The column name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQueryColumns.property.alias">Alias</a></code> | <code>*string</code> | A user-assigned alias for the column. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQueryColumns.property.cellDisplayMode">CellDisplayMode</a></code> | <code>*string</code> | A list of display modes for each table cell. Valid values are `number`, `bar`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQueryColumns.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQueryColumns.property.name"></a>

```go
Name *string
```

- *Type:* *string

The column name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `Alias`<sup>Optional</sup> <a name="Alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQueryColumns.property.alias"></a>

```go
Alias *string
```

- *Type:* *string

A user-assigned alias for the column.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `CellDisplayMode`<sup>Optional</sup> <a name="CellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQueryColumns.property.cellDisplayMode"></a>

```go
CellDisplayMode *string
```

- *Type:* *string

A list of display modes for each table cell. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `Order`<sup>Optional</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQueryColumns.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQuery <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestProcessQuery <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestProcessQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestProcessQuery {
	Metric: *string,
	FilterBy: *[]*string,
	Limit: *f64,
	SearchBy: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestProcessQuery.property.metric">Metric</a></code> | <code>*string</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestProcessQuery.property.filterBy">FilterBy</a></code> | <code>*[]*string</code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestProcessQuery.property.limit">Limit</a></code> | <code>*f64</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestProcessQuery.property.searchBy">SearchBy</a></code> | <code>*string</code> | Your chosen search term. |

---

##### `Metric`<sup>Required</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestProcessQuery.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `FilterBy`<sup>Optional</sup> <a name="FilterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestProcessQuery.property.filterBy"></a>

```go
FilterBy *[]*string
```

- *Type:* *[]*string

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestProcessQuery.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SearchBy`<sup>Optional</sup> <a name="SearchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestProcessQuery.property.searchBy"></a>

```go
SearchBy *string
```

- *Type:* *string

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQuery <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQuery <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestStyle <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestStyle.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestStyle {
	Palette: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestStyle.property.palette">Palette</a></code> | <code>*string</code> | A color palette to apply to the widget. The available options are available at: https://docs.datadoghq.com/dashboards/widgets/timeseries/#appearance. |

---

##### `Palette`<sup>Optional</sup> <a name="Palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestStyle.property.palette"></a>

```go
Palette *string
```

- *Type:* *string

A color palette to apply to the widget. The available options are available at: https://docs.datadoghq.com/dashboards/widgets/timeseries/#appearance.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

### DashboardWidgetGroupDefinitionWidgetEventStreamDefinition <a name="DashboardWidgetGroupDefinitionWidgetEventStreamDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventStreamDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventStreamDefinition.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetEventStreamDefinition {
	Query: *string,
	EventSize: *string,
	LiveSpan: *string,
	TagsExecution: *string,
	Title: *string,
	TitleAlign: *string,
	TitleSize: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventStreamDefinition.property.query">Query</a></code> | <code>*string</code> | The query to use in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventStreamDefinition.property.eventSize">EventSize</a></code> | <code>*string</code> | The size to use to display an event. Valid values are `s`, `l`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventStreamDefinition.property.liveSpan">LiveSpan</a></code> | <code>*string</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventStreamDefinition.property.tagsExecution">TagsExecution</a></code> | <code>*string</code> | The execution method for multi-value filters, options: `and` or `or`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventStreamDefinition.property.title">Title</a></code> | <code>*string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventStreamDefinition.property.titleAlign">TitleAlign</a></code> | <code>*string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventStreamDefinition.property.titleSize">TitleSize</a></code> | <code>*string</code> | The size of the widget's title (defaults to 16). |

---

##### `Query`<sup>Required</sup> <a name="Query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventStreamDefinition.property.query"></a>

```go
Query *string
```

- *Type:* *string

The query to use in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `EventSize`<sup>Optional</sup> <a name="EventSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventStreamDefinition.property.eventSize"></a>

```go
EventSize *string
```

- *Type:* *string

The size to use to display an event. Valid values are `s`, `l`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_size Dashboard#event_size}

---

##### `LiveSpan`<sup>Optional</sup> <a name="LiveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventStreamDefinition.property.liveSpan"></a>

```go
LiveSpan *string
```

- *Type:* *string

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `TagsExecution`<sup>Optional</sup> <a name="TagsExecution" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventStreamDefinition.property.tagsExecution"></a>

```go
TagsExecution *string
```

- *Type:* *string

The execution method for multi-value filters, options: `and` or `or`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tags_execution Dashboard#tags_execution}

---

##### `Title`<sup>Optional</sup> <a name="Title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventStreamDefinition.property.title"></a>

```go
Title *string
```

- *Type:* *string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `TitleAlign`<sup>Optional</sup> <a name="TitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventStreamDefinition.property.titleAlign"></a>

```go
TitleAlign *string
```

- *Type:* *string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `TitleSize`<sup>Optional</sup> <a name="TitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventStreamDefinition.property.titleSize"></a>

```go
TitleSize *string
```

- *Type:* *string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition <a name="DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition {
	Query: *string,
	LiveSpan: *string,
	TagsExecution: *string,
	Title: *string,
	TitleAlign: *string,
	TitleSize: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition.property.query">Query</a></code> | <code>*string</code> | The query to use in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition.property.liveSpan">LiveSpan</a></code> | <code>*string</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition.property.tagsExecution">TagsExecution</a></code> | <code>*string</code> | The execution method for multi-value filters, options: `and` or `or`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition.property.title">Title</a></code> | <code>*string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition.property.titleAlign">TitleAlign</a></code> | <code>*string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition.property.titleSize">TitleSize</a></code> | <code>*string</code> | The size of the widget's title (defaults to 16). |

---

##### `Query`<sup>Required</sup> <a name="Query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition.property.query"></a>

```go
Query *string
```

- *Type:* *string

The query to use in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `LiveSpan`<sup>Optional</sup> <a name="LiveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition.property.liveSpan"></a>

```go
LiveSpan *string
```

- *Type:* *string

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `TagsExecution`<sup>Optional</sup> <a name="TagsExecution" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition.property.tagsExecution"></a>

```go
TagsExecution *string
```

- *Type:* *string

The execution method for multi-value filters, options: `and` or `or`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tags_execution Dashboard#tags_execution}

---

##### `Title`<sup>Optional</sup> <a name="Title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition.property.title"></a>

```go
Title *string
```

- *Type:* *string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `TitleAlign`<sup>Optional</sup> <a name="TitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition.property.titleAlign"></a>

```go
TitleAlign *string
```

- *Type:* *string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `TitleSize`<sup>Optional</sup> <a name="TitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition.property.titleSize"></a>

```go
TitleSize *string
```

- *Type:* *string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGroupDefinitionWidgetFreeTextDefinition <a name="DashboardWidgetGroupDefinitionWidgetFreeTextDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetFreeTextDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetFreeTextDefinition.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetFreeTextDefinition {
	Text: *string,
	Color: *string,
	FontSize: *string,
	TextAlign: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetFreeTextDefinition.property.text">Text</a></code> | <code>*string</code> | The text to display in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetFreeTextDefinition.property.color">Color</a></code> | <code>*string</code> | The color of the text in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetFreeTextDefinition.property.fontSize">FontSize</a></code> | <code>*string</code> | The size of the text in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetFreeTextDefinition.property.textAlign">TextAlign</a></code> | <code>*string</code> | The alignment of the text in the widget. Valid values are `center`, `left`, `right`. |

---

##### `Text`<sup>Required</sup> <a name="Text" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetFreeTextDefinition.property.text"></a>

```go
Text *string
```

- *Type:* *string

The text to display in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text Dashboard#text}

---

##### `Color`<sup>Optional</sup> <a name="Color" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetFreeTextDefinition.property.color"></a>

```go
Color *string
```

- *Type:* *string

The color of the text in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#color Dashboard#color}

---

##### `FontSize`<sup>Optional</sup> <a name="FontSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetFreeTextDefinition.property.fontSize"></a>

```go
FontSize *string
```

- *Type:* *string

The size of the text in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#font_size Dashboard#font_size}

---

##### `TextAlign`<sup>Optional</sup> <a name="TextAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetFreeTextDefinition.property.textAlign"></a>

```go
TextAlign *string
```

- *Type:* *string

The alignment of the text in the widget. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_align Dashboard#text_align}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinition <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinition.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinition {
	View: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionView,
	CustomLink: interface{},
	LiveSpan: *string,
	Request: interface{},
	Style: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionStyle,
	Title: *string,
	TitleAlign: *string,
	TitleSize: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinition.property.view">View</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionView">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionView</a></code> | view block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinition.property.customLink">CustomLink</a></code> | <code>interface{}</code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinition.property.liveSpan">LiveSpan</a></code> | <code>*string</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinition.property.request">Request</a></code> | <code>interface{}</code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinition.property.style">Style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionStyle">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionStyle</a></code> | style block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinition.property.title">Title</a></code> | <code>*string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinition.property.titleAlign">TitleAlign</a></code> | <code>*string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinition.property.titleSize">TitleSize</a></code> | <code>*string</code> | The size of the widget's title (defaults to 16). |

---

##### `View`<sup>Required</sup> <a name="View" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinition.property.view"></a>

```go
View DashboardWidgetGroupDefinitionWidgetGeomapDefinitionView
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionView">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionView</a>

view block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#view Dashboard#view}

---

##### `CustomLink`<sup>Optional</sup> <a name="CustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinition.property.customLink"></a>

```go
CustomLink interface{}
```

- *Type:* interface{}

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `LiveSpan`<sup>Optional</sup> <a name="LiveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinition.property.liveSpan"></a>

```go
LiveSpan *string
```

- *Type:* *string

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `Request`<sup>Optional</sup> <a name="Request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinition.property.request"></a>

```go
Request interface{}
```

- *Type:* interface{}

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `Style`<sup>Optional</sup> <a name="Style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinition.property.style"></a>

```go
Style DashboardWidgetGroupDefinitionWidgetGeomapDefinitionStyle
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionStyle">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

##### `Title`<sup>Optional</sup> <a name="Title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinition.property.title"></a>

```go
Title *string
```

- *Type:* *string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `TitleAlign`<sup>Optional</sup> <a name="TitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinition.property.titleAlign"></a>

```go
TitleAlign *string
```

- *Type:* *string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `TitleSize`<sup>Optional</sup> <a name="TitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinition.property.titleSize"></a>

```go
TitleSize *string
```

- *Type:* *string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionCustomLink <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionCustomLink.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionCustomLink {
	IsHidden: interface{},
	Label: *string,
	Link: *string,
	OverrideLabel: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionCustomLink.property.isHidden">IsHidden</a></code> | <code>interface{}</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionCustomLink.property.label">Label</a></code> | <code>*string</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionCustomLink.property.link">Link</a></code> | <code>*string</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionCustomLink.property.overrideLabel">OverrideLabel</a></code> | <code>*string</code> | The label ID that refers to a context menu link item. |

---

##### `IsHidden`<sup>Optional</sup> <a name="IsHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionCustomLink.property.isHidden"></a>

```go
IsHidden interface{}
```

- *Type:* interface{}

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `Label`<sup>Optional</sup> <a name="Label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionCustomLink.property.label"></a>

```go
Label *string
```

- *Type:* *string

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `Link`<sup>Optional</sup> <a name="Link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionCustomLink.property.link"></a>

```go
Link *string
```

- *Type:* *string

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `OverrideLabel`<sup>Optional</sup> <a name="OverrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionCustomLink.property.overrideLabel"></a>

```go
OverrideLabel *string
```

- *Type:* *string

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequest <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequest.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequest {
	Formula: interface{},
	LogQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQuery,
	Q: *string,
	Query: interface{},
	RumQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequest.property.formula">Formula</a></code> | <code>interface{}</code> | formula block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequest.property.logQuery">LogQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequest.property.q">Q</a></code> | <code>*string</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequest.property.query">Query</a></code> | <code>interface{}</code> | query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequest.property.rumQuery">RumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQuery</a></code> | rum_query block. |

---

##### `Formula`<sup>Optional</sup> <a name="Formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequest.property.formula"></a>

```go
Formula interface{}
```

- *Type:* interface{}

formula block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula Dashboard#formula}

---

##### `LogQuery`<sup>Optional</sup> <a name="LogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequest.property.logQuery"></a>

```go
LogQuery DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `Q`<sup>Optional</sup> <a name="Q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequest.property.q"></a>

```go
Q *string
```

- *Type:* *string

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `Query`<sup>Optional</sup> <a name="Query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequest.property.query"></a>

```go
Query interface{}
```

- *Type:* interface{}

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `RumQuery`<sup>Optional</sup> <a name="RumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequest.property.rumQuery"></a>

```go
RumQuery DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormula <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormula"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormula.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormula {
	FormulaExpression: *string,
	Alias: *string,
	CellDisplayMode: *string,
	ConditionalFormats: interface{},
	Limit: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaLimit,
	Style: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaStyle,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormula.property.formulaExpression">FormulaExpression</a></code> | <code>*string</code> | A string expression built from queries, formulas, and functions. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormula.property.alias">Alias</a></code> | <code>*string</code> | An expression alias. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormula.property.cellDisplayMode">CellDisplayMode</a></code> | <code>*string</code> | A list of display modes for each table cell. Valid values are `number`, `bar`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormula.property.conditionalFormats">ConditionalFormats</a></code> | <code>interface{}</code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormula.property.limit">Limit</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaLimit">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaLimit</a></code> | limit block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormula.property.style">Style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaStyle">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaStyle</a></code> | style block. |

---

##### `FormulaExpression`<sup>Required</sup> <a name="FormulaExpression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormula.property.formulaExpression"></a>

```go
FormulaExpression *string
```

- *Type:* *string

A string expression built from queries, formulas, and functions.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula_expression Dashboard#formula_expression}

---

##### `Alias`<sup>Optional</sup> <a name="Alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormula.property.alias"></a>

```go
Alias *string
```

- *Type:* *string

An expression alias.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `CellDisplayMode`<sup>Optional</sup> <a name="CellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormula.property.cellDisplayMode"></a>

```go
CellDisplayMode *string
```

- *Type:* *string

A list of display modes for each table cell. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `ConditionalFormats`<sup>Optional</sup> <a name="ConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormula.property.conditionalFormats"></a>

```go
ConditionalFormats interface{}
```

- *Type:* interface{}

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormula.property.limit"></a>

```go
Limit DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaLimit
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaLimit">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaLimit</a>

limit block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `Style`<sup>Optional</sup> <a name="Style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormula.property.style"></a>

```go
Style DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaStyle
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaStyle">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats {
	Comparator: *string,
	Palette: *string,
	Value: *f64,
	CustomBgColor: *string,
	CustomFgColor: *string,
	HideValue: interface{},
	ImageUrl: *string,
	Metric: *string,
	Timeframe: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.comparator">Comparator</a></code> | <code>*string</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.palette">Palette</a></code> | <code>*string</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.value">Value</a></code> | <code>*f64</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.customBgColor">CustomBgColor</a></code> | <code>*string</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.customFgColor">CustomFgColor</a></code> | <code>*string</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.hideValue">HideValue</a></code> | <code>interface{}</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.imageUrl">ImageUrl</a></code> | <code>*string</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.metric">Metric</a></code> | <code>*string</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.timeframe">Timeframe</a></code> | <code>*string</code> | Defines the displayed timeframe. |

---

##### `Comparator`<sup>Required</sup> <a name="Comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.comparator"></a>

```go
Comparator *string
```

- *Type:* *string

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `Palette`<sup>Required</sup> <a name="Palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.palette"></a>

```go
Palette *string
```

- *Type:* *string

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `Value`<sup>Required</sup> <a name="Value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.value"></a>

```go
Value *f64
```

- *Type:* *f64

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `CustomBgColor`<sup>Optional</sup> <a name="CustomBgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.customBgColor"></a>

```go
CustomBgColor *string
```

- *Type:* *string

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `CustomFgColor`<sup>Optional</sup> <a name="CustomFgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.customFgColor"></a>

```go
CustomFgColor *string
```

- *Type:* *string

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `HideValue`<sup>Optional</sup> <a name="HideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.hideValue"></a>

```go
HideValue interface{}
```

- *Type:* interface{}

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `ImageUrl`<sup>Optional</sup> <a name="ImageUrl" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.imageUrl"></a>

```go
ImageUrl *string
```

- *Type:* *string

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `Metric`<sup>Optional</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `Timeframe`<sup>Optional</sup> <a name="Timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.timeframe"></a>

```go
Timeframe *string
```

- *Type:* *string

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaLimit <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaLimit"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaLimit.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaLimit {
	Count: *f64,
	Order: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaLimit.property.count">Count</a></code> | <code>*f64</code> | The number of results to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaLimit.property.order">Order</a></code> | <code>*string</code> | The direction of the sort. Valid values are `asc`, `desc`. |

---

##### `Count`<sup>Optional</sup> <a name="Count" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaLimit.property.count"></a>

```go
Count *f64
```

- *Type:* *f64

The number of results to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#count Dashboard#count}

---

##### `Order`<sup>Optional</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaLimit.property.order"></a>

```go
Order *string
```

- *Type:* *string

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaStyle <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaStyle.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaStyle {
	Palette: *string,
	PaletteIndex: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaStyle.property.palette">Palette</a></code> | <code>*string</code> | The color palette used to display the formula. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaStyle.property.paletteIndex">PaletteIndex</a></code> | <code>*f64</code> | Index specifying which color to use within the palette. |

---

##### `Palette`<sup>Optional</sup> <a name="Palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaStyle.property.palette"></a>

```go
Palette *string
```

- *Type:* *string

The color palette used to display the formula.

A guide to the available color palettes can be found at https://docs.datadoghq.com/dashboards/guide/widget_colors

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `PaletteIndex`<sup>Optional</sup> <a name="PaletteIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaStyle.property.paletteIndex"></a>

```go
PaletteIndex *f64
```

- *Type:* *f64

Index specifying which color to use within the palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette_index Dashboard#palette_index}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQuery <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQuery <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQuery {
	ApmDependencyStatsQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery,
	ApmResourceStatsQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery,
	EventQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery,
	MetricQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryMetricQuery,
	ProcessQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQuery.property.apmDependencyStatsQuery">ApmDependencyStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery</a></code> | apm_dependency_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQuery.property.apmResourceStatsQuery">ApmResourceStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery</a></code> | apm_resource_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQuery.property.eventQuery">EventQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery</a></code> | event_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQuery.property.metricQuery">MetricQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryMetricQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryMetricQuery</a></code> | metric_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQuery.property.processQuery">ProcessQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery</a></code> | process_query block. |

---

##### `ApmDependencyStatsQuery`<sup>Optional</sup> <a name="ApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQuery.property.apmDependencyStatsQuery"></a>

```go
ApmDependencyStatsQuery DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery</a>

apm_dependency_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_dependency_stats_query Dashboard#apm_dependency_stats_query}

---

##### `ApmResourceStatsQuery`<sup>Optional</sup> <a name="ApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQuery.property.apmResourceStatsQuery"></a>

```go
ApmResourceStatsQuery DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery</a>

apm_resource_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_resource_stats_query Dashboard#apm_resource_stats_query}

---

##### `EventQuery`<sup>Optional</sup> <a name="EventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQuery.property.eventQuery"></a>

```go
EventQuery DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery</a>

event_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_query Dashboard#event_query}

---

##### `MetricQuery`<sup>Optional</sup> <a name="MetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQuery.property.metricQuery"></a>

```go
MetricQuery DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryMetricQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryMetricQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryMetricQuery</a>

metric_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric_query Dashboard#metric_query}

---

##### `ProcessQuery`<sup>Optional</sup> <a name="ProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQuery.property.processQuery"></a>

```go
ProcessQuery DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery {
	DataSource: *string,
	Env: *string,
	Name: *string,
	OperationName: *string,
	ResourceName: *string,
	Service: *string,
	Stat: *string,
	IsUpstream: interface{},
	PrimaryTagName: *string,
	PrimaryTagValue: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.env">Env</a></code> | <code>*string</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.name">Name</a></code> | <code>*string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.operationName">OperationName</a></code> | <code>*string</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName">ResourceName</a></code> | <code>*string</code> | APM resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.service">Service</a></code> | <code>*string</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.stat">Stat</a></code> | <code>*string</code> | APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream">IsUpstream</a></code> | <code>interface{}</code> | Determines whether stats for upstream or downstream dependencies should be queried. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName">PrimaryTagName</a></code> | <code>*string</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue">PrimaryTagValue</a></code> | <code>*string</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `Env`<sup>Required</sup> <a name="Env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.env"></a>

```go
Env *string
```

- *Type:* *string

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `OperationName`<sup>Required</sup> <a name="OperationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.operationName"></a>

```go
OperationName *string
```

- *Type:* *string

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `ResourceName`<sup>Required</sup> <a name="ResourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName"></a>

```go
ResourceName *string
```

- *Type:* *string

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

##### `Service`<sup>Required</sup> <a name="Service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.service"></a>

```go
Service *string
```

- *Type:* *string

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `Stat`<sup>Required</sup> <a name="Stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.stat"></a>

```go
Stat *string
```

- *Type:* *string

APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `IsUpstream`<sup>Optional</sup> <a name="IsUpstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream"></a>

```go
IsUpstream interface{}
```

- *Type:* interface{}

Determines whether stats for upstream or downstream dependencies should be queried.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_upstream Dashboard#is_upstream}

---

##### `PrimaryTagName`<sup>Optional</sup> <a name="PrimaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName"></a>

```go
PrimaryTagName *string
```

- *Type:* *string

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `PrimaryTagValue`<sup>Optional</sup> <a name="PrimaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue"></a>

```go
PrimaryTagValue *string
```

- *Type:* *string

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery {
	DataSource: *string,
	Env: *string,
	Name: *string,
	Service: *string,
	Stat: *string,
	GroupBy: *[]*string,
	OperationName: *string,
	PrimaryTagName: *string,
	PrimaryTagValue: *string,
	ResourceName: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.env">Env</a></code> | <code>*string</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.name">Name</a></code> | <code>*string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.service">Service</a></code> | <code>*string</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.stat">Stat</a></code> | <code>*string</code> | APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.groupBy">GroupBy</a></code> | <code>*[]*string</code> | Array of fields to group results by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.operationName">OperationName</a></code> | <code>*string</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName">PrimaryTagName</a></code> | <code>*string</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue">PrimaryTagValue</a></code> | <code>*string</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.resourceName">ResourceName</a></code> | <code>*string</code> | APM resource. |

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `Env`<sup>Required</sup> <a name="Env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.env"></a>

```go
Env *string
```

- *Type:* *string

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `Service`<sup>Required</sup> <a name="Service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.service"></a>

```go
Service *string
```

- *Type:* *string

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `Stat`<sup>Required</sup> <a name="Stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.stat"></a>

```go
Stat *string
```

- *Type:* *string

APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.groupBy"></a>

```go
GroupBy *[]*string
```

- *Type:* *[]*string

Array of fields to group results by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `OperationName`<sup>Optional</sup> <a name="OperationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.operationName"></a>

```go
OperationName *string
```

- *Type:* *string

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `PrimaryTagName`<sup>Optional</sup> <a name="PrimaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName"></a>

```go
PrimaryTagName *string
```

- *Type:* *string

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `PrimaryTagValue`<sup>Optional</sup> <a name="PrimaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue"></a>

```go
PrimaryTagValue *string
```

- *Type:* *string

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

##### `ResourceName`<sup>Optional</sup> <a name="ResourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.resourceName"></a>

```go
ResourceName *string
```

- *Type:* *string

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery {
	Compute: interface{},
	DataSource: *string,
	Name: *string,
	GroupBy: interface{},
	Indexes: *[]*string,
	Search: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuerySearch,
	Storage: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery.property.compute">Compute</a></code> | <code>interface{}</code> | compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for event platform-based queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery.property.name">Name</a></code> | <code>*string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery.property.indexes">Indexes</a></code> | <code>*[]*string</code> | An array of index names to query in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery.property.search">Search</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuerySearch</a></code> | search block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery.property.storage">Storage</a></code> | <code>*string</code> | Storage location (private beta). |

---

##### `Compute`<sup>Required</sup> <a name="Compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery.property.compute"></a>

```go
Compute interface{}
```

- *Type:* interface{}

compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute Dashboard#compute}

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for event platform-based queries.

Valid values are `logs`, `spans`, `network`, `rum`, `security_signals`, `profiles`, `audit`, `events`, `ci_tests`, `ci_pipelines`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `Indexes`<sup>Optional</sup> <a name="Indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery.property.indexes"></a>

```go
Indexes *[]*string
```

- *Type:* *[]*string

An array of index names to query in the stream.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `Search`<sup>Optional</sup> <a name="Search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery.property.search"></a>

```go
Search DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuerySearch
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuerySearch</a>

search block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search Dashboard#search}

---

##### `Storage`<sup>Optional</sup> <a name="Storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery.property.storage"></a>

```go
Storage *string
```

- *Type:* *string

Storage location (private beta).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#storage Dashboard#storage}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryCompute <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryCompute {
	Aggregation: *string,
	Interval: *f64,
	Metric: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation methods for event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryCompute.property.interval">Interval</a></code> | <code>*f64</code> | A time interval in milliseconds. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryCompute.property.metric">Metric</a></code> | <code>*string</code> | The measurable attribute to compute. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation methods for event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

A time interval in milliseconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

##### `Metric`<sup>Optional</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryCompute.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

The measurable attribute to compute.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	Sort: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The event facet. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The number of groups to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBy.property.sort">Sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort</a></code> | sort block. |

---

##### `Facet`<sup>Required</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The event facet.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The number of groups to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `Sort`<sup>Optional</sup> <a name="Sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBy.property.sort"></a>

```go
Sort DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort</a>

sort block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort {
	Aggregation: *string,
	Metric: *string,
	Order: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation methods for the event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort.property.metric">Metric</a></code> | <code>*string</code> | The metric used for sorting group by results. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort.property.order">Order</a></code> | <code>*string</code> | Direction of sort. Valid values are `asc`, `desc`. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation methods for the event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Metric`<sup>Optional</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

The metric used for sorting group by results.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `Order`<sup>Optional</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort.property.order"></a>

```go
Order *string
```

- *Type:* *string

Direction of sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuerySearch <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuerySearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuerySearch"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuerySearch.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuerySearch {
	Query: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuerySearch.property.query">Query</a></code> | <code>*string</code> | The events search string. |

---

##### `Query`<sup>Required</sup> <a name="Query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuerySearch.property.query"></a>

```go
Query *string
```

- *Type:* *string

The events search string.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryMetricQuery <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryMetricQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryMetricQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryMetricQuery {
	Name: *string,
	Query: *string,
	Aggregator: *string,
	DataSource: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryMetricQuery.property.name">Name</a></code> | <code>*string</code> | The name of the query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryMetricQuery.property.query">Query</a></code> | <code>*string</code> | The metrics query definition. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryMetricQuery.property.aggregator">Aggregator</a></code> | <code>*string</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryMetricQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for metrics queries. |

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryMetricQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of the query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `Query`<sup>Required</sup> <a name="Query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryMetricQuery.property.query"></a>

```go
Query *string
```

- *Type:* *string

The metrics query definition.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `Aggregator`<sup>Optional</sup> <a name="Aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryMetricQuery.property.aggregator"></a>

```go
Aggregator *string
```

- *Type:* *string

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `DataSource`<sup>Optional</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryMetricQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for metrics queries.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery {
	DataSource: *string,
	Metric: *string,
	Name: *string,
	Aggregator: *string,
	IsNormalizedCpu: interface{},
	Limit: *f64,
	Sort: *string,
	TagFilters: *[]*string,
	TextFilter: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for process queries. Valid values are `process`, `container`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery.property.metric">Metric</a></code> | <code>*string</code> | The process metric name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery.property.name">Name</a></code> | <code>*string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery.property.aggregator">Aggregator</a></code> | <code>*string</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery.property.isNormalizedCpu">IsNormalizedCpu</a></code> | <code>interface{}</code> | Whether to normalize the CPU percentages. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery.property.limit">Limit</a></code> | <code>*f64</code> | The number of hits to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery.property.sort">Sort</a></code> | <code>*string</code> | The direction of the sort. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery.property.tagFilters">TagFilters</a></code> | <code>*[]*string</code> | An array of tags to filter by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery.property.textFilter">TextFilter</a></code> | <code>*string</code> | The text to use as a filter. |

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for process queries. Valid values are `process`, `container`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `Metric`<sup>Required</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

The process metric name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `Aggregator`<sup>Optional</sup> <a name="Aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery.property.aggregator"></a>

```go
Aggregator *string
```

- *Type:* *string

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `IsNormalizedCpu`<sup>Optional</sup> <a name="IsNormalizedCpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery.property.isNormalizedCpu"></a>

```go
IsNormalizedCpu interface{}
```

- *Type:* interface{}

Whether to normalize the CPU percentages.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_normalized_cpu Dashboard#is_normalized_cpu}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The number of hits to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `Sort`<sup>Optional</sup> <a name="Sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery.property.sort"></a>

```go
Sort *string
```

- *Type:* *string

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `TagFilters`<sup>Optional</sup> <a name="TagFilters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery.property.tagFilters"></a>

```go
TagFilters *[]*string
```

- *Type:* *[]*string

An array of tags to filter by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tag_filters Dashboard#tag_filters}

---

##### `TextFilter`<sup>Optional</sup> <a name="TextFilter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery.property.textFilter"></a>

```go
TextFilter *string
```

- *Type:* *string

The text to use as a filter.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_filter Dashboard#text_filter}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQuery <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionStyle <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionStyle.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionStyle {
	Palette: *string,
	PaletteFlip: interface{},
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionStyle.property.palette">Palette</a></code> | <code>*string</code> | The color palette to apply to the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionStyle.property.paletteFlip">PaletteFlip</a></code> | <code>interface{}</code> | A Boolean indicating whether to flip the palette tones. |

---

##### `Palette`<sup>Required</sup> <a name="Palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionStyle.property.palette"></a>

```go
Palette *string
```

- *Type:* *string

The color palette to apply to the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `PaletteFlip`<sup>Required</sup> <a name="PaletteFlip" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionStyle.property.paletteFlip"></a>

```go
PaletteFlip interface{}
```

- *Type:* interface{}

A Boolean indicating whether to flip the palette tones.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette_flip Dashboard#palette_flip}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionView <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionView" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionView"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionView.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionView {
	Focus: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionView.property.focus">Focus</a></code> | <code>*string</code> | The two-letter ISO code of a country to focus the map on (or `WORLD`). |

---

##### `Focus`<sup>Required</sup> <a name="Focus" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionView.property.focus"></a>

```go
Focus *string
```

- *Type:* *string

The two-letter ISO code of a country to focus the map on (or `WORLD`).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#focus Dashboard#focus}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinition <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition {
	CustomLink: interface{},
	Event: interface{},
	LegendSize: *string,
	LiveSpan: *string,
	Request: interface{},
	ShowLegend: interface{},
	Title: *string,
	TitleAlign: *string,
	TitleSize: *string,
	Yaxis: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionYaxis,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition.property.customLink">CustomLink</a></code> | <code>interface{}</code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition.property.event">Event</a></code> | <code>interface{}</code> | event block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition.property.legendSize">LegendSize</a></code> | <code>*string</code> | The size of the legend displayed in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition.property.liveSpan">LiveSpan</a></code> | <code>*string</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition.property.request">Request</a></code> | <code>interface{}</code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition.property.showLegend">ShowLegend</a></code> | <code>interface{}</code> | Whether or not to show the legend on this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition.property.title">Title</a></code> | <code>*string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition.property.titleAlign">TitleAlign</a></code> | <code>*string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition.property.titleSize">TitleSize</a></code> | <code>*string</code> | The size of the widget's title (defaults to 16). |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition.property.yaxis">Yaxis</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionYaxis">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionYaxis</a></code> | yaxis block. |

---

##### `CustomLink`<sup>Optional</sup> <a name="CustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition.property.customLink"></a>

```go
CustomLink interface{}
```

- *Type:* interface{}

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `Event`<sup>Optional</sup> <a name="Event" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition.property.event"></a>

```go
Event interface{}
```

- *Type:* interface{}

event block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event Dashboard#event}

---

##### `LegendSize`<sup>Optional</sup> <a name="LegendSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition.property.legendSize"></a>

```go
LegendSize *string
```

- *Type:* *string

The size of the legend displayed in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#legend_size Dashboard#legend_size}

---

##### `LiveSpan`<sup>Optional</sup> <a name="LiveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition.property.liveSpan"></a>

```go
LiveSpan *string
```

- *Type:* *string

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `Request`<sup>Optional</sup> <a name="Request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition.property.request"></a>

```go
Request interface{}
```

- *Type:* interface{}

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `ShowLegend`<sup>Optional</sup> <a name="ShowLegend" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition.property.showLegend"></a>

```go
ShowLegend interface{}
```

- *Type:* interface{}

Whether or not to show the legend on this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_legend Dashboard#show_legend}

---

##### `Title`<sup>Optional</sup> <a name="Title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition.property.title"></a>

```go
Title *string
```

- *Type:* *string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `TitleAlign`<sup>Optional</sup> <a name="TitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition.property.titleAlign"></a>

```go
TitleAlign *string
```

- *Type:* *string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `TitleSize`<sup>Optional</sup> <a name="TitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition.property.titleSize"></a>

```go
TitleSize *string
```

- *Type:* *string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

##### `Yaxis`<sup>Optional</sup> <a name="Yaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition.property.yaxis"></a>

```go
Yaxis DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionYaxis
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionYaxis">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionYaxis</a>

yaxis block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#yaxis Dashboard#yaxis}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionCustomLink <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionCustomLink.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionCustomLink {
	IsHidden: interface{},
	Label: *string,
	Link: *string,
	OverrideLabel: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionCustomLink.property.isHidden">IsHidden</a></code> | <code>interface{}</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionCustomLink.property.label">Label</a></code> | <code>*string</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionCustomLink.property.link">Link</a></code> | <code>*string</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionCustomLink.property.overrideLabel">OverrideLabel</a></code> | <code>*string</code> | The label ID that refers to a context menu link item. |

---

##### `IsHidden`<sup>Optional</sup> <a name="IsHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionCustomLink.property.isHidden"></a>

```go
IsHidden interface{}
```

- *Type:* interface{}

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `Label`<sup>Optional</sup> <a name="Label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionCustomLink.property.label"></a>

```go
Label *string
```

- *Type:* *string

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `Link`<sup>Optional</sup> <a name="Link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionCustomLink.property.link"></a>

```go
Link *string
```

- *Type:* *string

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `OverrideLabel`<sup>Optional</sup> <a name="OverrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionCustomLink.property.overrideLabel"></a>

```go
OverrideLabel *string
```

- *Type:* *string

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionEvent <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionEvent" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionEvent"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionEvent.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionEvent {
	Q: *string,
	TagsExecution: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionEvent.property.q">Q</a></code> | <code>*string</code> | The event query to use in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionEvent.property.tagsExecution">TagsExecution</a></code> | <code>*string</code> | The execution method for multi-value filters. |

---

##### `Q`<sup>Required</sup> <a name="Q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionEvent.property.q"></a>

```go
Q *string
```

- *Type:* *string

The event query to use in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `TagsExecution`<sup>Optional</sup> <a name="TagsExecution" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionEvent.property.tagsExecution"></a>

```go
TagsExecution *string
```

- *Type:* *string

The execution method for multi-value filters.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tags_execution Dashboard#tags_execution}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest {
	ApmQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQuery,
	LogQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQuery,
	ProcessQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestProcessQuery,
	Q: *string,
	RumQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQuery,
	SecurityQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQuery,
	Style: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestStyle,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest.property.apmQuery">ApmQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest.property.logQuery">LogQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest.property.processQuery">ProcessQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestProcessQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest.property.q">Q</a></code> | <code>*string</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest.property.rumQuery">RumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest.property.securityQuery">SecurityQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQuery</a></code> | security_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest.property.style">Style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestStyle">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestStyle</a></code> | style block. |

---

##### `ApmQuery`<sup>Optional</sup> <a name="ApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest.property.apmQuery"></a>

```go
ApmQuery DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `LogQuery`<sup>Optional</sup> <a name="LogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest.property.logQuery"></a>

```go
LogQuery DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `ProcessQuery`<sup>Optional</sup> <a name="ProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest.property.processQuery"></a>

```go
ProcessQuery DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestProcessQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `Q`<sup>Optional</sup> <a name="Q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest.property.q"></a>

```go
Q *string
```

- *Type:* *string

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `RumQuery`<sup>Optional</sup> <a name="RumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest.property.rumQuery"></a>

```go
RumQuery DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `SecurityQuery`<sup>Optional</sup> <a name="SecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest.property.securityQuery"></a>

```go
SecurityQuery DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

##### `Style`<sup>Optional</sup> <a name="Style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest.property.style"></a>

```go
Style DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestStyle
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestStyle">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQuery <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQuery <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestProcessQuery <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestProcessQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestProcessQuery {
	Metric: *string,
	FilterBy: *[]*string,
	Limit: *f64,
	SearchBy: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestProcessQuery.property.metric">Metric</a></code> | <code>*string</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestProcessQuery.property.filterBy">FilterBy</a></code> | <code>*[]*string</code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestProcessQuery.property.limit">Limit</a></code> | <code>*f64</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestProcessQuery.property.searchBy">SearchBy</a></code> | <code>*string</code> | Your chosen search term. |

---

##### `Metric`<sup>Required</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestProcessQuery.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `FilterBy`<sup>Optional</sup> <a name="FilterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestProcessQuery.property.filterBy"></a>

```go
FilterBy *[]*string
```

- *Type:* *[]*string

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestProcessQuery.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SearchBy`<sup>Optional</sup> <a name="SearchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestProcessQuery.property.searchBy"></a>

```go
SearchBy *string
```

- *Type:* *string

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQuery <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQuery <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestStyle <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestStyle.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestStyle {
	Palette: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestStyle.property.palette">Palette</a></code> | <code>*string</code> | A color palette to apply to the widget. The available options are available at: https://docs.datadoghq.com/dashboards/widgets/timeseries/#appearance. |

---

##### `Palette`<sup>Optional</sup> <a name="Palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestStyle.property.palette"></a>

```go
Palette *string
```

- *Type:* *string

A color palette to apply to the widget. The available options are available at: https://docs.datadoghq.com/dashboards/widgets/timeseries/#appearance.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionYaxis <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionYaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionYaxis"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionYaxis.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionYaxis {
	IncludeZero: interface{},
	Label: *string,
	Max: *string,
	Min: *string,
	Scale: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionYaxis.property.includeZero">IncludeZero</a></code> | <code>interface{}</code> | Always include zero or fit the axis to the data range. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionYaxis.property.label">Label</a></code> | <code>*string</code> | The label of the axis to display on the graph. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionYaxis.property.max">Max</a></code> | <code>*string</code> | Specify the maximum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionYaxis.property.min">Min</a></code> | <code>*string</code> | Specify the minimum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionYaxis.property.scale">Scale</a></code> | <code>*string</code> | Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`. |

---

##### `IncludeZero`<sup>Optional</sup> <a name="IncludeZero" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionYaxis.property.includeZero"></a>

```go
IncludeZero interface{}
```

- *Type:* interface{}

Always include zero or fit the axis to the data range.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#include_zero Dashboard#include_zero}

---

##### `Label`<sup>Optional</sup> <a name="Label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionYaxis.property.label"></a>

```go
Label *string
```

- *Type:* *string

The label of the axis to display on the graph.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `Max`<sup>Optional</sup> <a name="Max" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionYaxis.property.max"></a>

```go
Max *string
```

- *Type:* *string

Specify the maximum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#max Dashboard#max}

---

##### `Min`<sup>Optional</sup> <a name="Min" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionYaxis.property.min"></a>

```go
Min *string
```

- *Type:* *string

Specify the minimum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#min Dashboard#min}

---

##### `Scale`<sup>Optional</sup> <a name="Scale" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionYaxis.property.scale"></a>

```go
Scale *string
```

- *Type:* *string

Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#scale Dashboard#scale}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinition <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition {
	CustomLink: interface{},
	Group: *[]*string,
	NodeType: *string,
	NoGroupHosts: interface{},
	NoMetricHosts: interface{},
	Request: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequest,
	Scope: *[]*string,
	Style: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionStyle,
	Title: *string,
	TitleAlign: *string,
	TitleSize: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.customLink">CustomLink</a></code> | <code>interface{}</code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.group">Group</a></code> | <code>*[]*string</code> | The list of tags to group nodes by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.nodeType">NodeType</a></code> | <code>*string</code> | The type of node used. Valid values are `host`, `container`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.noGroupHosts">NoGroupHosts</a></code> | <code>interface{}</code> | A Boolean indicating whether to show ungrouped nodes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.noMetricHosts">NoMetricHosts</a></code> | <code>interface{}</code> | A Boolean indicating whether to show nodes with no metrics. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.request">Request</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequest">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequest</a></code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.scope">Scope</a></code> | <code>*[]*string</code> | The list of tags to filter nodes by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.style">Style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionStyle">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionStyle</a></code> | style block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.title">Title</a></code> | <code>*string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.titleAlign">TitleAlign</a></code> | <code>*string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.titleSize">TitleSize</a></code> | <code>*string</code> | The size of the widget's title (defaults to 16). |

---

##### `CustomLink`<sup>Optional</sup> <a name="CustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.customLink"></a>

```go
CustomLink interface{}
```

- *Type:* interface{}

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `Group`<sup>Optional</sup> <a name="Group" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.group"></a>

```go
Group *[]*string
```

- *Type:* *[]*string

The list of tags to group nodes by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group Dashboard#group}

---

##### `NodeType`<sup>Optional</sup> <a name="NodeType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.nodeType"></a>

```go
NodeType *string
```

- *Type:* *string

The type of node used. Valid values are `host`, `container`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#node_type Dashboard#node_type}

---

##### `NoGroupHosts`<sup>Optional</sup> <a name="NoGroupHosts" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.noGroupHosts"></a>

```go
NoGroupHosts interface{}
```

- *Type:* interface{}

A Boolean indicating whether to show ungrouped nodes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#no_group_hosts Dashboard#no_group_hosts}

---

##### `NoMetricHosts`<sup>Optional</sup> <a name="NoMetricHosts" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.noMetricHosts"></a>

```go
NoMetricHosts interface{}
```

- *Type:* interface{}

A Boolean indicating whether to show nodes with no metrics.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#no_metric_hosts Dashboard#no_metric_hosts}

---

##### `Request`<sup>Optional</sup> <a name="Request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.request"></a>

```go
Request DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequest
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequest">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequest</a>

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `Scope`<sup>Optional</sup> <a name="Scope" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.scope"></a>

```go
Scope *[]*string
```

- *Type:* *[]*string

The list of tags to filter nodes by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#scope Dashboard#scope}

---

##### `Style`<sup>Optional</sup> <a name="Style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.style"></a>

```go
Style DashboardWidgetGroupDefinitionWidgetHostmapDefinitionStyle
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionStyle">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

##### `Title`<sup>Optional</sup> <a name="Title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.title"></a>

```go
Title *string
```

- *Type:* *string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `TitleAlign`<sup>Optional</sup> <a name="TitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.titleAlign"></a>

```go
TitleAlign *string
```

- *Type:* *string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `TitleSize`<sup>Optional</sup> <a name="TitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.titleSize"></a>

```go
TitleSize *string
```

- *Type:* *string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionCustomLink <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionCustomLink.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionCustomLink {
	IsHidden: interface{},
	Label: *string,
	Link: *string,
	OverrideLabel: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionCustomLink.property.isHidden">IsHidden</a></code> | <code>interface{}</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionCustomLink.property.label">Label</a></code> | <code>*string</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionCustomLink.property.link">Link</a></code> | <code>*string</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionCustomLink.property.overrideLabel">OverrideLabel</a></code> | <code>*string</code> | The label ID that refers to a context menu link item. |

---

##### `IsHidden`<sup>Optional</sup> <a name="IsHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionCustomLink.property.isHidden"></a>

```go
IsHidden interface{}
```

- *Type:* interface{}

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `Label`<sup>Optional</sup> <a name="Label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionCustomLink.property.label"></a>

```go
Label *string
```

- *Type:* *string

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `Link`<sup>Optional</sup> <a name="Link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionCustomLink.property.link"></a>

```go
Link *string
```

- *Type:* *string

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `OverrideLabel`<sup>Optional</sup> <a name="OverrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionCustomLink.property.overrideLabel"></a>

```go
OverrideLabel *string
```

- *Type:* *string

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequest <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequest.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequest {
	Fill: interface{},
	Size: interface{},
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequest.property.fill">Fill</a></code> | <code>interface{}</code> | fill block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequest.property.size">Size</a></code> | <code>interface{}</code> | size block. |

---

##### `Fill`<sup>Optional</sup> <a name="Fill" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequest.property.fill"></a>

```go
Fill interface{}
```

- *Type:* interface{}

fill block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#fill Dashboard#fill}

---

##### `Size`<sup>Optional</sup> <a name="Size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequest.property.size"></a>

```go
Size interface{}
```

- *Type:* interface{}

size block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#size Dashboard#size}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFill <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFill" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFill"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFill.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFill {
	ApmQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQuery,
	LogQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQuery,
	ProcessQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillProcessQuery,
	Q: *string,
	RumQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQuery,
	SecurityQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFill.property.apmQuery">ApmQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFill.property.logQuery">LogQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFill.property.processQuery">ProcessQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillProcessQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFill.property.q">Q</a></code> | <code>*string</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFill.property.rumQuery">RumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFill.property.securityQuery">SecurityQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQuery</a></code> | security_query block. |

---

##### `ApmQuery`<sup>Optional</sup> <a name="ApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFill.property.apmQuery"></a>

```go
ApmQuery DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `LogQuery`<sup>Optional</sup> <a name="LogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFill.property.logQuery"></a>

```go
LogQuery DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `ProcessQuery`<sup>Optional</sup> <a name="ProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFill.property.processQuery"></a>

```go
ProcessQuery DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillProcessQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `Q`<sup>Optional</sup> <a name="Q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFill.property.q"></a>

```go
Q *string
```

- *Type:* *string

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `RumQuery`<sup>Optional</sup> <a name="RumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFill.property.rumQuery"></a>

```go
RumQuery DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `SecurityQuery`<sup>Optional</sup> <a name="SecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFill.property.securityQuery"></a>

```go
SecurityQuery DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillProcessQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillProcessQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillProcessQuery {
	Metric: *string,
	FilterBy: *[]*string,
	Limit: *f64,
	SearchBy: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillProcessQuery.property.metric">Metric</a></code> | <code>*string</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillProcessQuery.property.filterBy">FilterBy</a></code> | <code>*[]*string</code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillProcessQuery.property.limit">Limit</a></code> | <code>*f64</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillProcessQuery.property.searchBy">SearchBy</a></code> | <code>*string</code> | Your chosen search term. |

---

##### `Metric`<sup>Required</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillProcessQuery.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `FilterBy`<sup>Optional</sup> <a name="FilterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillProcessQuery.property.filterBy"></a>

```go
FilterBy *[]*string
```

- *Type:* *[]*string

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillProcessQuery.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SearchBy`<sup>Optional</sup> <a name="SearchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillProcessQuery.property.searchBy"></a>

```go
SearchBy *string
```

- *Type:* *string

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSize <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSize"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSize.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSize {
	ApmQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQuery,
	LogQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQuery,
	ProcessQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeProcessQuery,
	Q: *string,
	RumQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQuery,
	SecurityQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSize.property.apmQuery">ApmQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSize.property.logQuery">LogQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSize.property.processQuery">ProcessQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeProcessQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSize.property.q">Q</a></code> | <code>*string</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSize.property.rumQuery">RumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSize.property.securityQuery">SecurityQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQuery</a></code> | security_query block. |

---

##### `ApmQuery`<sup>Optional</sup> <a name="ApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSize.property.apmQuery"></a>

```go
ApmQuery DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `LogQuery`<sup>Optional</sup> <a name="LogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSize.property.logQuery"></a>

```go
LogQuery DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `ProcessQuery`<sup>Optional</sup> <a name="ProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSize.property.processQuery"></a>

```go
ProcessQuery DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeProcessQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `Q`<sup>Optional</sup> <a name="Q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSize.property.q"></a>

```go
Q *string
```

- *Type:* *string

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `RumQuery`<sup>Optional</sup> <a name="RumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSize.property.rumQuery"></a>

```go
RumQuery DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `SecurityQuery`<sup>Optional</sup> <a name="SecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSize.property.securityQuery"></a>

```go
SecurityQuery DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeProcessQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeProcessQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeProcessQuery {
	Metric: *string,
	FilterBy: *[]*string,
	Limit: *f64,
	SearchBy: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeProcessQuery.property.metric">Metric</a></code> | <code>*string</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeProcessQuery.property.filterBy">FilterBy</a></code> | <code>*[]*string</code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeProcessQuery.property.limit">Limit</a></code> | <code>*f64</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeProcessQuery.property.searchBy">SearchBy</a></code> | <code>*string</code> | Your chosen search term. |

---

##### `Metric`<sup>Required</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeProcessQuery.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `FilterBy`<sup>Optional</sup> <a name="FilterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeProcessQuery.property.filterBy"></a>

```go
FilterBy *[]*string
```

- *Type:* *[]*string

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeProcessQuery.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SearchBy`<sup>Optional</sup> <a name="SearchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeProcessQuery.property.searchBy"></a>

```go
SearchBy *string
```

- *Type:* *string

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionStyle <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionStyle.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionStyle {
	FillMax: *string,
	FillMin: *string,
	Palette: *string,
	PaletteFlip: interface{},
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionStyle.property.fillMax">FillMax</a></code> | <code>*string</code> | The max value to use to color the map. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionStyle.property.fillMin">FillMin</a></code> | <code>*string</code> | The min value to use to color the map. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionStyle.property.palette">Palette</a></code> | <code>*string</code> | A color palette to apply to the widget. The available options are available at: https://docs.datadoghq.com/dashboards/widgets/timeseries/#appearance. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionStyle.property.paletteFlip">PaletteFlip</a></code> | <code>interface{}</code> | A Boolean indicating whether to flip the palette tones. |

---

##### `FillMax`<sup>Optional</sup> <a name="FillMax" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionStyle.property.fillMax"></a>

```go
FillMax *string
```

- *Type:* *string

The max value to use to color the map.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#fill_max Dashboard#fill_max}

---

##### `FillMin`<sup>Optional</sup> <a name="FillMin" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionStyle.property.fillMin"></a>

```go
FillMin *string
```

- *Type:* *string

The min value to use to color the map.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#fill_min Dashboard#fill_min}

---

##### `Palette`<sup>Optional</sup> <a name="Palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionStyle.property.palette"></a>

```go
Palette *string
```

- *Type:* *string

A color palette to apply to the widget. The available options are available at: https://docs.datadoghq.com/dashboards/widgets/timeseries/#appearance.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `PaletteFlip`<sup>Optional</sup> <a name="PaletteFlip" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionStyle.property.paletteFlip"></a>

```go
PaletteFlip interface{}
```

- *Type:* interface{}

A Boolean indicating whether to flip the palette tones.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette_flip Dashboard#palette_flip}

---

### DashboardWidgetGroupDefinitionWidgetIframeDefinition <a name="DashboardWidgetGroupDefinitionWidgetIframeDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetIframeDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetIframeDefinition.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetIframeDefinition {
	Url: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetIframeDefinition.property.url">Url</a></code> | <code>*string</code> | The URL to use as a data source for the widget. |

---

##### `Url`<sup>Required</sup> <a name="Url" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetIframeDefinition.property.url"></a>

```go
Url *string
```

- *Type:* *string

The URL to use as a data source for the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#url Dashboard#url}

---

### DashboardWidgetGroupDefinitionWidgetImageDefinition <a name="DashboardWidgetGroupDefinitionWidgetImageDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetImageDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetImageDefinition.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetImageDefinition {
	Url: *string,
	HasBackground: interface{},
	HasBorder: interface{},
	HorizontalAlign: *string,
	Margin: *string,
	Sizing: *string,
	UrlDarkTheme: *string,
	VerticalAlign: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetImageDefinition.property.url">Url</a></code> | <code>*string</code> | The URL to use as a data source for the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetImageDefinition.property.hasBackground">HasBackground</a></code> | <code>interface{}</code> | Whether to display a background or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetImageDefinition.property.hasBorder">HasBorder</a></code> | <code>interface{}</code> | Whether to display a border or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetImageDefinition.property.horizontalAlign">HorizontalAlign</a></code> | <code>*string</code> | The horizontal alignment for the widget. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetImageDefinition.property.margin">Margin</a></code> | <code>*string</code> | The margins to use around the image. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetImageDefinition.property.sizing">Sizing</a></code> | <code>*string</code> | The preferred method to adapt the dimensions of the image. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetImageDefinition.property.urlDarkTheme">UrlDarkTheme</a></code> | <code>*string</code> | The URL in dark mode to use as a data source for the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetImageDefinition.property.verticalAlign">VerticalAlign</a></code> | <code>*string</code> | The vertical alignment for the widget. Valid values are `center`, `top`, `bottom`. |

---

##### `Url`<sup>Required</sup> <a name="Url" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetImageDefinition.property.url"></a>

```go
Url *string
```

- *Type:* *string

The URL to use as a data source for the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#url Dashboard#url}

---

##### `HasBackground`<sup>Optional</sup> <a name="HasBackground" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetImageDefinition.property.hasBackground"></a>

```go
HasBackground interface{}
```

- *Type:* interface{}

Whether to display a background or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#has_background Dashboard#has_background}

---

##### `HasBorder`<sup>Optional</sup> <a name="HasBorder" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetImageDefinition.property.hasBorder"></a>

```go
HasBorder interface{}
```

- *Type:* interface{}

Whether to display a border or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#has_border Dashboard#has_border}

---

##### `HorizontalAlign`<sup>Optional</sup> <a name="HorizontalAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetImageDefinition.property.horizontalAlign"></a>

```go
HorizontalAlign *string
```

- *Type:* *string

The horizontal alignment for the widget. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#horizontal_align Dashboard#horizontal_align}

---

##### `Margin`<sup>Optional</sup> <a name="Margin" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetImageDefinition.property.margin"></a>

```go
Margin *string
```

- *Type:* *string

The margins to use around the image.

Note: `small` and `large` values are deprecated. Valid values are `sm`, `md`, `lg`, `small`, `large`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#margin Dashboard#margin}

---

##### `Sizing`<sup>Optional</sup> <a name="Sizing" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetImageDefinition.property.sizing"></a>

```go
Sizing *string
```

- *Type:* *string

The preferred method to adapt the dimensions of the image.

The values are based on the image `object-fit` CSS properties. Note: `zoom`, `fit` and `center` values are deprecated. Valid values are `fill`, `contain`, `cover`, `none`, `scale-down`, `zoom`, `fit`, `center`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sizing Dashboard#sizing}

---

##### `UrlDarkTheme`<sup>Optional</sup> <a name="UrlDarkTheme" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetImageDefinition.property.urlDarkTheme"></a>

```go
UrlDarkTheme *string
```

- *Type:* *string

The URL in dark mode to use as a data source for the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#url_dark_theme Dashboard#url_dark_theme}

---

##### `VerticalAlign`<sup>Optional</sup> <a name="VerticalAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetImageDefinition.property.verticalAlign"></a>

```go
VerticalAlign *string
```

- *Type:* *string

The vertical alignment for the widget. Valid values are `center`, `top`, `bottom`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#vertical_align Dashboard#vertical_align}

---

### DashboardWidgetGroupDefinitionWidgetListStreamDefinition <a name="DashboardWidgetGroupDefinitionWidgetListStreamDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinition.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinition {
	Request: interface{},
	Title: *string,
	TitleAlign: *string,
	TitleSize: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinition.property.request">Request</a></code> | <code>interface{}</code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinition.property.title">Title</a></code> | <code>*string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinition.property.titleAlign">TitleAlign</a></code> | <code>*string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinition.property.titleSize">TitleSize</a></code> | <code>*string</code> | The size of the widget's title. Default is 16. |

---

##### `Request`<sup>Required</sup> <a name="Request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinition.property.request"></a>

```go
Request interface{}
```

- *Type:* interface{}

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `Title`<sup>Optional</sup> <a name="Title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinition.property.title"></a>

```go
Title *string
```

- *Type:* *string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `TitleAlign`<sup>Optional</sup> <a name="TitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinition.property.titleAlign"></a>

```go
TitleAlign *string
```

- *Type:* *string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `TitleSize`<sup>Optional</sup> <a name="TitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinition.property.titleSize"></a>

```go
TitleSize *string
```

- *Type:* *string

The size of the widget's title. Default is 16.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequest <a name="DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequest.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequest {
	Columns: interface{},
	Query: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestQuery,
	ResponseFormat: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequest.property.columns">Columns</a></code> | <code>interface{}</code> | columns block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequest.property.query">Query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestQuery">DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestQuery</a></code> | query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequest.property.responseFormat">ResponseFormat</a></code> | <code>*string</code> | Widget response format. Valid values are `event_list`. |

---

##### `Columns`<sup>Required</sup> <a name="Columns" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequest.property.columns"></a>

```go
Columns interface{}
```

- *Type:* interface{}

columns block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#columns Dashboard#columns}

---

##### `Query`<sup>Required</sup> <a name="Query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequest.property.query"></a>

```go
Query DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestQuery">DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestQuery</a>

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `ResponseFormat`<sup>Required</sup> <a name="ResponseFormat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequest.property.responseFormat"></a>

```go
ResponseFormat *string
```

- *Type:* *string

Widget response format. Valid values are `event_list`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#response_format Dashboard#response_format}

---

### DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestColumns <a name="DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestColumns" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestColumns"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestColumns.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestColumns {
	Field: *string,
	Width: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestColumns.property.field">Field</a></code> | <code>*string</code> | Widget column field. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestColumns.property.width">Width</a></code> | <code>*string</code> | Widget column width. Valid values are `auto`, `compact`, `full`. |

---

##### `Field`<sup>Required</sup> <a name="Field" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestColumns.property.field"></a>

```go
Field *string
```

- *Type:* *string

Widget column field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#field Dashboard#field}

---

##### `Width`<sup>Required</sup> <a name="Width" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestColumns.property.width"></a>

```go
Width *string
```

- *Type:* *string

Widget column width. Valid values are `auto`, `compact`, `full`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#width Dashboard#width}

---

### DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestQuery <a name="DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestQuery {
	DataSource: *string,
	EventSize: *string,
	Indexes: *[]*string,
	QueryString: *string,
	Storage: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | Source from which to query items to display in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestQuery.property.eventSize">EventSize</a></code> | <code>*string</code> | Size of events displayed in widget. Required if `data_source` is `event_stream`. Valid values are `s`, `l`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestQuery.property.indexes">Indexes</a></code> | <code>*[]*string</code> | List of indexes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestQuery.property.queryString">QueryString</a></code> | <code>*string</code> | Widget query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestQuery.property.storage">Storage</a></code> | <code>*string</code> | Storage location (private beta). |

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

Source from which to query items to display in the stream.

Valid values are `logs_stream`, `audit_stream`, `ci_pipeline_stream`, `ci_test_stream`, `rum_issue_stream`, `apm_issue_stream`, `logs_issue_stream`, `logs_pattern_stream`, `logs_transaction_stream`, `event_stream`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `EventSize`<sup>Optional</sup> <a name="EventSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestQuery.property.eventSize"></a>

```go
EventSize *string
```

- *Type:* *string

Size of events displayed in widget. Required if `data_source` is `event_stream`. Valid values are `s`, `l`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_size Dashboard#event_size}

---

##### `Indexes`<sup>Optional</sup> <a name="Indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestQuery.property.indexes"></a>

```go
Indexes *[]*string
```

- *Type:* *[]*string

List of indexes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `QueryString`<sup>Optional</sup> <a name="QueryString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestQuery.property.queryString"></a>

```go
QueryString *string
```

- *Type:* *string

Widget query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query_string Dashboard#query_string}

---

##### `Storage`<sup>Optional</sup> <a name="Storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestQuery.property.storage"></a>

```go
Storage *string
```

- *Type:* *string

Storage location (private beta).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#storage Dashboard#storage}

---

### DashboardWidgetGroupDefinitionWidgetLogStreamDefinition <a name="DashboardWidgetGroupDefinitionWidgetLogStreamDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition {
	Columns: *[]*string,
	Indexes: *[]*string,
	LiveSpan: *string,
	MessageDisplay: *string,
	Query: *string,
	ShowDateColumn: interface{},
	ShowMessageColumn: interface{},
	Sort: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinitionSort,
	Title: *string,
	TitleAlign: *string,
	TitleSize: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.columns">Columns</a></code> | <code>*[]*string</code> | Stringified list of columns to use, for example: `["column1","column2","column3"]`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.indexes">Indexes</a></code> | <code>*[]*string</code> | An array of index names to query in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.liveSpan">LiveSpan</a></code> | <code>*string</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.messageDisplay">MessageDisplay</a></code> | <code>*string</code> | The number of log lines to display. Valid values are `inline`, `expanded-md`, `expanded-lg`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.query">Query</a></code> | <code>*string</code> | The query to use in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.showDateColumn">ShowDateColumn</a></code> | <code>interface{}</code> | If the date column should be displayed. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.showMessageColumn">ShowMessageColumn</a></code> | <code>interface{}</code> | If the message column should be displayed. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.sort">Sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinitionSort">DashboardWidgetGroupDefinitionWidgetLogStreamDefinitionSort</a></code> | sort block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.title">Title</a></code> | <code>*string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.titleAlign">TitleAlign</a></code> | <code>*string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.titleSize">TitleSize</a></code> | <code>*string</code> | The size of the widget's title (defaults to 16). |

---

##### `Columns`<sup>Optional</sup> <a name="Columns" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.columns"></a>

```go
Columns *[]*string
```

- *Type:* *[]*string

Stringified list of columns to use, for example: `["column1","column2","column3"]`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#columns Dashboard#columns}

---

##### `Indexes`<sup>Optional</sup> <a name="Indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.indexes"></a>

```go
Indexes *[]*string
```

- *Type:* *[]*string

An array of index names to query in the stream.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `LiveSpan`<sup>Optional</sup> <a name="LiveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.liveSpan"></a>

```go
LiveSpan *string
```

- *Type:* *string

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `MessageDisplay`<sup>Optional</sup> <a name="MessageDisplay" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.messageDisplay"></a>

```go
MessageDisplay *string
```

- *Type:* *string

The number of log lines to display. Valid values are `inline`, `expanded-md`, `expanded-lg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#message_display Dashboard#message_display}

---

##### `Query`<sup>Optional</sup> <a name="Query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.query"></a>

```go
Query *string
```

- *Type:* *string

The query to use in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `ShowDateColumn`<sup>Optional</sup> <a name="ShowDateColumn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.showDateColumn"></a>

```go
ShowDateColumn interface{}
```

- *Type:* interface{}

If the date column should be displayed.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_date_column Dashboard#show_date_column}

---

##### `ShowMessageColumn`<sup>Optional</sup> <a name="ShowMessageColumn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.showMessageColumn"></a>

```go
ShowMessageColumn interface{}
```

- *Type:* interface{}

If the message column should be displayed.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_message_column Dashboard#show_message_column}

---

##### `Sort`<sup>Optional</sup> <a name="Sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.sort"></a>

```go
Sort DashboardWidgetGroupDefinitionWidgetLogStreamDefinitionSort
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinitionSort">DashboardWidgetGroupDefinitionWidgetLogStreamDefinitionSort</a>

sort block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `Title`<sup>Optional</sup> <a name="Title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.title"></a>

```go
Title *string
```

- *Type:* *string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `TitleAlign`<sup>Optional</sup> <a name="TitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.titleAlign"></a>

```go
TitleAlign *string
```

- *Type:* *string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `TitleSize`<sup>Optional</sup> <a name="TitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.titleSize"></a>

```go
TitleSize *string
```

- *Type:* *string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGroupDefinitionWidgetLogStreamDefinitionSort <a name="DashboardWidgetGroupDefinitionWidgetLogStreamDefinitionSort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinitionSort"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinitionSort.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinitionSort {
	Column: *string,
	Order: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinitionSort.property.column">Column</a></code> | <code>*string</code> | The facet path for the column. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinitionSort.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |

---

##### `Column`<sup>Required</sup> <a name="Column" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinitionSort.property.column"></a>

```go
Column *string
```

- *Type:* *string

The facet path for the column.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#column Dashboard#column}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinitionSort.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGroupDefinitionWidgetManageStatusDefinition <a name="DashboardWidgetGroupDefinitionWidgetManageStatusDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition {
	Query: *string,
	ColorPreference: *string,
	DisplayFormat: *string,
	HideZeroCounts: interface{},
	ShowLastTriggered: interface{},
	ShowPriority: interface{},
	Sort: *string,
	SummaryType: *string,
	Title: *string,
	TitleAlign: *string,
	TitleSize: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.query">Query</a></code> | <code>*string</code> | The query to use in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.colorPreference">ColorPreference</a></code> | <code>*string</code> | Whether to colorize text or background. Valid values are `background`, `text`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.displayFormat">DisplayFormat</a></code> | <code>*string</code> | The display setting to use. Valid values are `counts`, `countsAndList`, `list`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.hideZeroCounts">HideZeroCounts</a></code> | <code>interface{}</code> | A Boolean indicating whether to hide empty categories. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.showLastTriggered">ShowLastTriggered</a></code> | <code>interface{}</code> | A Boolean indicating whether to show when monitors/groups last triggered. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.showPriority">ShowPriority</a></code> | <code>interface{}</code> | Whether to show the priorities column. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.sort">Sort</a></code> | <code>*string</code> | The method to sort the monitors. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.summaryType">SummaryType</a></code> | <code>*string</code> | The summary type to use. Valid values are `monitors`, `groups`, `combined`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.title">Title</a></code> | <code>*string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.titleAlign">TitleAlign</a></code> | <code>*string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.titleSize">TitleSize</a></code> | <code>*string</code> | The size of the widget's title (defaults to 16). |

---

##### `Query`<sup>Required</sup> <a name="Query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.query"></a>

```go
Query *string
```

- *Type:* *string

The query to use in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `ColorPreference`<sup>Optional</sup> <a name="ColorPreference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.colorPreference"></a>

```go
ColorPreference *string
```

- *Type:* *string

Whether to colorize text or background. Valid values are `background`, `text`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#color_preference Dashboard#color_preference}

---

##### `DisplayFormat`<sup>Optional</sup> <a name="DisplayFormat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.displayFormat"></a>

```go
DisplayFormat *string
```

- *Type:* *string

The display setting to use. Valid values are `counts`, `countsAndList`, `list`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#display_format Dashboard#display_format}

---

##### `HideZeroCounts`<sup>Optional</sup> <a name="HideZeroCounts" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.hideZeroCounts"></a>

```go
HideZeroCounts interface{}
```

- *Type:* interface{}

A Boolean indicating whether to hide empty categories.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_zero_counts Dashboard#hide_zero_counts}

---

##### `ShowLastTriggered`<sup>Optional</sup> <a name="ShowLastTriggered" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.showLastTriggered"></a>

```go
ShowLastTriggered interface{}
```

- *Type:* interface{}

A Boolean indicating whether to show when monitors/groups last triggered.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_last_triggered Dashboard#show_last_triggered}

---

##### `ShowPriority`<sup>Optional</sup> <a name="ShowPriority" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.showPriority"></a>

```go
ShowPriority interface{}
```

- *Type:* interface{}

Whether to show the priorities column.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_priority Dashboard#show_priority}

---

##### `Sort`<sup>Optional</sup> <a name="Sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.sort"></a>

```go
Sort *string
```

- *Type:* *string

The method to sort the monitors.

Valid values are `name`, `group`, `status`, `tags`, `triggered`, `group,asc`, `group,desc`, `name,asc`, `name,desc`, `status,asc`, `status,desc`, `tags,asc`, `tags,desc`, `triggered,asc`, `triggered,desc`, `priority,asc`, `priority,desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `SummaryType`<sup>Optional</sup> <a name="SummaryType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.summaryType"></a>

```go
SummaryType *string
```

- *Type:* *string

The summary type to use. Valid values are `monitors`, `groups`, `combined`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#summary_type Dashboard#summary_type}

---

##### `Title`<sup>Optional</sup> <a name="Title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.title"></a>

```go
Title *string
```

- *Type:* *string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `TitleAlign`<sup>Optional</sup> <a name="TitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.titleAlign"></a>

```go
TitleAlign *string
```

- *Type:* *string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `TitleSize`<sup>Optional</sup> <a name="TitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.titleSize"></a>

```go
TitleSize *string
```

- *Type:* *string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGroupDefinitionWidgetNoteDefinition <a name="DashboardWidgetGroupDefinitionWidgetNoteDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition {
	Content: *string,
	BackgroundColor: *string,
	FontSize: *string,
	HasPadding: interface{},
	ShowTick: interface{},
	TextAlign: *string,
	TickEdge: *string,
	TickPos: *string,
	VerticalAlign: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition.property.content">Content</a></code> | <code>*string</code> | The content of the note. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition.property.backgroundColor">BackgroundColor</a></code> | <code>*string</code> | The background color of the note. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition.property.fontSize">FontSize</a></code> | <code>*string</code> | The size of the text. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition.property.hasPadding">HasPadding</a></code> | <code>interface{}</code> | Whether to add padding or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition.property.showTick">ShowTick</a></code> | <code>interface{}</code> | Whether to show a tick or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition.property.textAlign">TextAlign</a></code> | <code>*string</code> | The alignment of the widget's text. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition.property.tickEdge">TickEdge</a></code> | <code>*string</code> | When `tick = true`, a string indicating on which side of the widget the tick should be displayed. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition.property.tickPos">TickPos</a></code> | <code>*string</code> | When `tick = true`, a string with a percent sign indicating the position of the tick, for example: `tick_pos = "50%"` is centered alignment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition.property.verticalAlign">VerticalAlign</a></code> | <code>*string</code> | The vertical alignment for the widget. Valid values are `center`, `top`, `bottom`. |

---

##### `Content`<sup>Required</sup> <a name="Content" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition.property.content"></a>

```go
Content *string
```

- *Type:* *string

The content of the note.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#content Dashboard#content}

---

##### `BackgroundColor`<sup>Optional</sup> <a name="BackgroundColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition.property.backgroundColor"></a>

```go
BackgroundColor *string
```

- *Type:* *string

The background color of the note.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#background_color Dashboard#background_color}

---

##### `FontSize`<sup>Optional</sup> <a name="FontSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition.property.fontSize"></a>

```go
FontSize *string
```

- *Type:* *string

The size of the text.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#font_size Dashboard#font_size}

---

##### `HasPadding`<sup>Optional</sup> <a name="HasPadding" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition.property.hasPadding"></a>

```go
HasPadding interface{}
```

- *Type:* interface{}

Whether to add padding or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#has_padding Dashboard#has_padding}

---

##### `ShowTick`<sup>Optional</sup> <a name="ShowTick" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition.property.showTick"></a>

```go
ShowTick interface{}
```

- *Type:* interface{}

Whether to show a tick or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_tick Dashboard#show_tick}

---

##### `TextAlign`<sup>Optional</sup> <a name="TextAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition.property.textAlign"></a>

```go
TextAlign *string
```

- *Type:* *string

The alignment of the widget's text. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_align Dashboard#text_align}

---

##### `TickEdge`<sup>Optional</sup> <a name="TickEdge" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition.property.tickEdge"></a>

```go
TickEdge *string
```

- *Type:* *string

When `tick = true`, a string indicating on which side of the widget the tick should be displayed.

Valid values are `bottom`, `left`, `right`, `top`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tick_edge Dashboard#tick_edge}

---

##### `TickPos`<sup>Optional</sup> <a name="TickPos" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition.property.tickPos"></a>

```go
TickPos *string
```

- *Type:* *string

When `tick = true`, a string with a percent sign indicating the position of the tick, for example: `tick_pos = "50%"` is centered alignment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tick_pos Dashboard#tick_pos}

---

##### `VerticalAlign`<sup>Optional</sup> <a name="VerticalAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition.property.verticalAlign"></a>

```go
VerticalAlign *string
```

- *Type:* *string

The vertical alignment for the widget. Valid values are `center`, `top`, `bottom`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#vertical_align Dashboard#vertical_align}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinition <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinition.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinition {
	CustomLink: interface{},
	HasSearchBar: *string,
	LiveSpan: *string,
	Request: interface{},
	Title: *string,
	TitleAlign: *string,
	TitleSize: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinition.property.customLink">CustomLink</a></code> | <code>interface{}</code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinition.property.hasSearchBar">HasSearchBar</a></code> | <code>*string</code> | Controls the display of the search bar. Valid values are `always`, `never`, `auto`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinition.property.liveSpan">LiveSpan</a></code> | <code>*string</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinition.property.request">Request</a></code> | <code>interface{}</code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinition.property.title">Title</a></code> | <code>*string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinition.property.titleAlign">TitleAlign</a></code> | <code>*string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinition.property.titleSize">TitleSize</a></code> | <code>*string</code> | The size of the widget's title (defaults to 16). |

---

##### `CustomLink`<sup>Optional</sup> <a name="CustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinition.property.customLink"></a>

```go
CustomLink interface{}
```

- *Type:* interface{}

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `HasSearchBar`<sup>Optional</sup> <a name="HasSearchBar" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinition.property.hasSearchBar"></a>

```go
HasSearchBar *string
```

- *Type:* *string

Controls the display of the search bar. Valid values are `always`, `never`, `auto`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#has_search_bar Dashboard#has_search_bar}

---

##### `LiveSpan`<sup>Optional</sup> <a name="LiveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinition.property.liveSpan"></a>

```go
LiveSpan *string
```

- *Type:* *string

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `Request`<sup>Optional</sup> <a name="Request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinition.property.request"></a>

```go
Request interface{}
```

- *Type:* interface{}

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `Title`<sup>Optional</sup> <a name="Title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinition.property.title"></a>

```go
Title *string
```

- *Type:* *string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `TitleAlign`<sup>Optional</sup> <a name="TitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinition.property.titleAlign"></a>

```go
TitleAlign *string
```

- *Type:* *string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `TitleSize`<sup>Optional</sup> <a name="TitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinition.property.titleSize"></a>

```go
TitleSize *string
```

- *Type:* *string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionCustomLink <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionCustomLink.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionCustomLink {
	IsHidden: interface{},
	Label: *string,
	Link: *string,
	OverrideLabel: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionCustomLink.property.isHidden">IsHidden</a></code> | <code>interface{}</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionCustomLink.property.label">Label</a></code> | <code>*string</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionCustomLink.property.link">Link</a></code> | <code>*string</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionCustomLink.property.overrideLabel">OverrideLabel</a></code> | <code>*string</code> | The label ID that refers to a context menu link item. |

---

##### `IsHidden`<sup>Optional</sup> <a name="IsHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionCustomLink.property.isHidden"></a>

```go
IsHidden interface{}
```

- *Type:* interface{}

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `Label`<sup>Optional</sup> <a name="Label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionCustomLink.property.label"></a>

```go
Label *string
```

- *Type:* *string

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `Link`<sup>Optional</sup> <a name="Link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionCustomLink.property.link"></a>

```go
Link *string
```

- *Type:* *string

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `OverrideLabel`<sup>Optional</sup> <a name="OverrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionCustomLink.property.overrideLabel"></a>

```go
OverrideLabel *string
```

- *Type:* *string

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest {
	Aggregator: *string,
	Alias: *string,
	ApmQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQuery,
	ApmStatsQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery,
	CellDisplayMode: *[]*string,
	ConditionalFormats: interface{},
	Formula: interface{},
	Limit: *f64,
	LogQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQuery,
	Order: *string,
	ProcessQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestProcessQuery,
	Q: *string,
	Query: interface{},
	RumQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQuery,
	SecurityQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.aggregator">Aggregator</a></code> | <code>*string</code> | The aggregator to use for time aggregation. Valid values are `avg`, `last`, `max`, `min`, `sum`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.alias">Alias</a></code> | <code>*string</code> | The alias for the column name (defaults to metric name). |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.apmQuery">ApmQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.apmStatsQuery">ApmStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery</a></code> | apm_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.cellDisplayMode">CellDisplayMode</a></code> | <code>*[]*string</code> | A list of display modes for each table cell. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.conditionalFormats">ConditionalFormats</a></code> | <code>interface{}</code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.formula">Formula</a></code> | <code>interface{}</code> | formula block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.limit">Limit</a></code> | <code>*f64</code> | The number of lines to show in the table. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.logQuery">LogQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.order">Order</a></code> | <code>*string</code> | The sort order for the rows. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.processQuery">ProcessQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestProcessQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.q">Q</a></code> | <code>*string</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.query">Query</a></code> | <code>interface{}</code> | query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.rumQuery">RumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.securityQuery">SecurityQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQuery</a></code> | security_query block. |

---

##### `Aggregator`<sup>Optional</sup> <a name="Aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.aggregator"></a>

```go
Aggregator *string
```

- *Type:* *string

The aggregator to use for time aggregation. Valid values are `avg`, `last`, `max`, `min`, `sum`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `Alias`<sup>Optional</sup> <a name="Alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.alias"></a>

```go
Alias *string
```

- *Type:* *string

The alias for the column name (defaults to metric name).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `ApmQuery`<sup>Optional</sup> <a name="ApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.apmQuery"></a>

```go
ApmQuery DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `ApmStatsQuery`<sup>Optional</sup> <a name="ApmStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.apmStatsQuery"></a>

```go
ApmStatsQuery DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery</a>

apm_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_stats_query Dashboard#apm_stats_query}

---

##### `CellDisplayMode`<sup>Optional</sup> <a name="CellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.cellDisplayMode"></a>

```go
CellDisplayMode *[]*string
```

- *Type:* *[]*string

A list of display modes for each table cell.

List items one of `number`, `bar`. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `ConditionalFormats`<sup>Optional</sup> <a name="ConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.conditionalFormats"></a>

```go
ConditionalFormats interface{}
```

- *Type:* interface{}

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `Formula`<sup>Optional</sup> <a name="Formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.formula"></a>

```go
Formula interface{}
```

- *Type:* interface{}

formula block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula Dashboard#formula}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The number of lines to show in the table.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `LogQuery`<sup>Optional</sup> <a name="LogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.logQuery"></a>

```go
LogQuery DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `Order`<sup>Optional</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.order"></a>

```go
Order *string
```

- *Type:* *string

The sort order for the rows. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `ProcessQuery`<sup>Optional</sup> <a name="ProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.processQuery"></a>

```go
ProcessQuery DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestProcessQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `Q`<sup>Optional</sup> <a name="Q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.q"></a>

```go
Q *string
```

- *Type:* *string

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `Query`<sup>Optional</sup> <a name="Query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.query"></a>

```go
Query interface{}
```

- *Type:* interface{}

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `RumQuery`<sup>Optional</sup> <a name="RumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.rumQuery"></a>

```go
RumQuery DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `SecurityQuery`<sup>Optional</sup> <a name="SecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.securityQuery"></a>

```go
SecurityQuery DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery {
	Env: *string,
	Name: *string,
	PrimaryTag: *string,
	RowType: *string,
	Service: *string,
	Columns: interface{},
	Resource: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery.property.env">Env</a></code> | <code>*string</code> | The environment name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery.property.name">Name</a></code> | <code>*string</code> | The operation name associated with the service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery.property.primaryTag">PrimaryTag</a></code> | <code>*string</code> | The organization's host group name and value. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery.property.rowType">RowType</a></code> | <code>*string</code> | The level of detail for the request. Valid values are `service`, `resource`, `span`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery.property.service">Service</a></code> | <code>*string</code> | The service name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery.property.columns">Columns</a></code> | <code>interface{}</code> | columns block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery.property.resource">Resource</a></code> | <code>*string</code> | The resource name. |

---

##### `Env`<sup>Required</sup> <a name="Env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery.property.env"></a>

```go
Env *string
```

- *Type:* *string

The environment name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The operation name associated with the service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `PrimaryTag`<sup>Required</sup> <a name="PrimaryTag" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery.property.primaryTag"></a>

```go
PrimaryTag *string
```

- *Type:* *string

The organization's host group name and value.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag Dashboard#primary_tag}

---

##### `RowType`<sup>Required</sup> <a name="RowType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery.property.rowType"></a>

```go
RowType *string
```

- *Type:* *string

The level of detail for the request. Valid values are `service`, `resource`, `span`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#row_type Dashboard#row_type}

---

##### `Service`<sup>Required</sup> <a name="Service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery.property.service"></a>

```go
Service *string
```

- *Type:* *string

The service name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `Columns`<sup>Optional</sup> <a name="Columns" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery.property.columns"></a>

```go
Columns interface{}
```

- *Type:* interface{}

columns block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#columns Dashboard#columns}

---

##### `Resource`<sup>Optional</sup> <a name="Resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery.property.resource"></a>

```go
Resource *string
```

- *Type:* *string

The resource name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource Dashboard#resource}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQueryColumns <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQueryColumns" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQueryColumns"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQueryColumns.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQueryColumns {
	Name: *string,
	Alias: *string,
	CellDisplayMode: *string,
	Order: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQueryColumns.property.name">Name</a></code> | <code>*string</code> | The column name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQueryColumns.property.alias">Alias</a></code> | <code>*string</code> | A user-assigned alias for the column. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQueryColumns.property.cellDisplayMode">CellDisplayMode</a></code> | <code>*string</code> | A list of display modes for each table cell. Valid values are `number`, `bar`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQueryColumns.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQueryColumns.property.name"></a>

```go
Name *string
```

- *Type:* *string

The column name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `Alias`<sup>Optional</sup> <a name="Alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQueryColumns.property.alias"></a>

```go
Alias *string
```

- *Type:* *string

A user-assigned alias for the column.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `CellDisplayMode`<sup>Optional</sup> <a name="CellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQueryColumns.property.cellDisplayMode"></a>

```go
CellDisplayMode *string
```

- *Type:* *string

A list of display modes for each table cell. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `Order`<sup>Optional</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQueryColumns.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats {
	Comparator: *string,
	Palette: *string,
	Value: *f64,
	CustomBgColor: *string,
	CustomFgColor: *string,
	HideValue: interface{},
	ImageUrl: *string,
	Metric: *string,
	Timeframe: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats.property.comparator">Comparator</a></code> | <code>*string</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats.property.palette">Palette</a></code> | <code>*string</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats.property.value">Value</a></code> | <code>*f64</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats.property.customBgColor">CustomBgColor</a></code> | <code>*string</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats.property.customFgColor">CustomFgColor</a></code> | <code>*string</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats.property.hideValue">HideValue</a></code> | <code>interface{}</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats.property.imageUrl">ImageUrl</a></code> | <code>*string</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats.property.metric">Metric</a></code> | <code>*string</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats.property.timeframe">Timeframe</a></code> | <code>*string</code> | Defines the displayed timeframe. |

---

##### `Comparator`<sup>Required</sup> <a name="Comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats.property.comparator"></a>

```go
Comparator *string
```

- *Type:* *string

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `Palette`<sup>Required</sup> <a name="Palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats.property.palette"></a>

```go
Palette *string
```

- *Type:* *string

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `Value`<sup>Required</sup> <a name="Value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats.property.value"></a>

```go
Value *f64
```

- *Type:* *f64

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `CustomBgColor`<sup>Optional</sup> <a name="CustomBgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats.property.customBgColor"></a>

```go
CustomBgColor *string
```

- *Type:* *string

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `CustomFgColor`<sup>Optional</sup> <a name="CustomFgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats.property.customFgColor"></a>

```go
CustomFgColor *string
```

- *Type:* *string

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `HideValue`<sup>Optional</sup> <a name="HideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats.property.hideValue"></a>

```go
HideValue interface{}
```

- *Type:* interface{}

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `ImageUrl`<sup>Optional</sup> <a name="ImageUrl" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats.property.imageUrl"></a>

```go
ImageUrl *string
```

- *Type:* *string

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `Metric`<sup>Optional</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `Timeframe`<sup>Optional</sup> <a name="Timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats.property.timeframe"></a>

```go
Timeframe *string
```

- *Type:* *string

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormula <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormula"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormula.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormula {
	FormulaExpression: *string,
	Alias: *string,
	CellDisplayMode: *string,
	ConditionalFormats: interface{},
	Limit: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaLimit,
	Style: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaStyle,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormula.property.formulaExpression">FormulaExpression</a></code> | <code>*string</code> | A string expression built from queries, formulas, and functions. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormula.property.alias">Alias</a></code> | <code>*string</code> | An expression alias. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormula.property.cellDisplayMode">CellDisplayMode</a></code> | <code>*string</code> | A list of display modes for each table cell. Valid values are `number`, `bar`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormula.property.conditionalFormats">ConditionalFormats</a></code> | <code>interface{}</code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormula.property.limit">Limit</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaLimit">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaLimit</a></code> | limit block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormula.property.style">Style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaStyle">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaStyle</a></code> | style block. |

---

##### `FormulaExpression`<sup>Required</sup> <a name="FormulaExpression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormula.property.formulaExpression"></a>

```go
FormulaExpression *string
```

- *Type:* *string

A string expression built from queries, formulas, and functions.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula_expression Dashboard#formula_expression}

---

##### `Alias`<sup>Optional</sup> <a name="Alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormula.property.alias"></a>

```go
Alias *string
```

- *Type:* *string

An expression alias.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `CellDisplayMode`<sup>Optional</sup> <a name="CellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormula.property.cellDisplayMode"></a>

```go
CellDisplayMode *string
```

- *Type:* *string

A list of display modes for each table cell. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `ConditionalFormats`<sup>Optional</sup> <a name="ConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormula.property.conditionalFormats"></a>

```go
ConditionalFormats interface{}
```

- *Type:* interface{}

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormula.property.limit"></a>

```go
Limit DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaLimit
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaLimit">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaLimit</a>

limit block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `Style`<sup>Optional</sup> <a name="Style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormula.property.style"></a>

```go
Style DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaStyle
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaStyle">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats {
	Comparator: *string,
	Palette: *string,
	Value: *f64,
	CustomBgColor: *string,
	CustomFgColor: *string,
	HideValue: interface{},
	ImageUrl: *string,
	Metric: *string,
	Timeframe: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.comparator">Comparator</a></code> | <code>*string</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.palette">Palette</a></code> | <code>*string</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.value">Value</a></code> | <code>*f64</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.customBgColor">CustomBgColor</a></code> | <code>*string</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.customFgColor">CustomFgColor</a></code> | <code>*string</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.hideValue">HideValue</a></code> | <code>interface{}</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.imageUrl">ImageUrl</a></code> | <code>*string</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.metric">Metric</a></code> | <code>*string</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.timeframe">Timeframe</a></code> | <code>*string</code> | Defines the displayed timeframe. |

---

##### `Comparator`<sup>Required</sup> <a name="Comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.comparator"></a>

```go
Comparator *string
```

- *Type:* *string

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `Palette`<sup>Required</sup> <a name="Palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.palette"></a>

```go
Palette *string
```

- *Type:* *string

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `Value`<sup>Required</sup> <a name="Value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.value"></a>

```go
Value *f64
```

- *Type:* *f64

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `CustomBgColor`<sup>Optional</sup> <a name="CustomBgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.customBgColor"></a>

```go
CustomBgColor *string
```

- *Type:* *string

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `CustomFgColor`<sup>Optional</sup> <a name="CustomFgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.customFgColor"></a>

```go
CustomFgColor *string
```

- *Type:* *string

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `HideValue`<sup>Optional</sup> <a name="HideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.hideValue"></a>

```go
HideValue interface{}
```

- *Type:* interface{}

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `ImageUrl`<sup>Optional</sup> <a name="ImageUrl" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.imageUrl"></a>

```go
ImageUrl *string
```

- *Type:* *string

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `Metric`<sup>Optional</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `Timeframe`<sup>Optional</sup> <a name="Timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.timeframe"></a>

```go
Timeframe *string
```

- *Type:* *string

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaLimit <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaLimit"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaLimit.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaLimit {
	Count: *f64,
	Order: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaLimit.property.count">Count</a></code> | <code>*f64</code> | The number of results to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaLimit.property.order">Order</a></code> | <code>*string</code> | The direction of the sort. Valid values are `asc`, `desc`. |

---

##### `Count`<sup>Optional</sup> <a name="Count" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaLimit.property.count"></a>

```go
Count *f64
```

- *Type:* *f64

The number of results to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#count Dashboard#count}

---

##### `Order`<sup>Optional</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaLimit.property.order"></a>

```go
Order *string
```

- *Type:* *string

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaStyle <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaStyle.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaStyle {
	Palette: *string,
	PaletteIndex: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaStyle.property.palette">Palette</a></code> | <code>*string</code> | The color palette used to display the formula. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaStyle.property.paletteIndex">PaletteIndex</a></code> | <code>*f64</code> | Index specifying which color to use within the palette. |

---

##### `Palette`<sup>Optional</sup> <a name="Palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaStyle.property.palette"></a>

```go
Palette *string
```

- *Type:* *string

The color palette used to display the formula.

A guide to the available color palettes can be found at https://docs.datadoghq.com/dashboards/guide/widget_colors

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `PaletteIndex`<sup>Optional</sup> <a name="PaletteIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaStyle.property.paletteIndex"></a>

```go
PaletteIndex *f64
```

- *Type:* *f64

Index specifying which color to use within the palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette_index Dashboard#palette_index}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestProcessQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestProcessQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestProcessQuery {
	Metric: *string,
	FilterBy: *[]*string,
	Limit: *f64,
	SearchBy: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestProcessQuery.property.metric">Metric</a></code> | <code>*string</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestProcessQuery.property.filterBy">FilterBy</a></code> | <code>*[]*string</code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestProcessQuery.property.limit">Limit</a></code> | <code>*f64</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestProcessQuery.property.searchBy">SearchBy</a></code> | <code>*string</code> | Your chosen search term. |

---

##### `Metric`<sup>Required</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestProcessQuery.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `FilterBy`<sup>Optional</sup> <a name="FilterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestProcessQuery.property.filterBy"></a>

```go
FilterBy *[]*string
```

- *Type:* *[]*string

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestProcessQuery.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SearchBy`<sup>Optional</sup> <a name="SearchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestProcessQuery.property.searchBy"></a>

```go
SearchBy *string
```

- *Type:* *string

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQuery {
	ApmDependencyStatsQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery,
	ApmResourceStatsQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery,
	EventQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery,
	MetricQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryMetricQuery,
	ProcessQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQuery.property.apmDependencyStatsQuery">ApmDependencyStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery</a></code> | apm_dependency_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQuery.property.apmResourceStatsQuery">ApmResourceStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery</a></code> | apm_resource_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQuery.property.eventQuery">EventQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery</a></code> | event_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQuery.property.metricQuery">MetricQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryMetricQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryMetricQuery</a></code> | metric_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQuery.property.processQuery">ProcessQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery</a></code> | process_query block. |

---

##### `ApmDependencyStatsQuery`<sup>Optional</sup> <a name="ApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQuery.property.apmDependencyStatsQuery"></a>

```go
ApmDependencyStatsQuery DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery</a>

apm_dependency_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_dependency_stats_query Dashboard#apm_dependency_stats_query}

---

##### `ApmResourceStatsQuery`<sup>Optional</sup> <a name="ApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQuery.property.apmResourceStatsQuery"></a>

```go
ApmResourceStatsQuery DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery</a>

apm_resource_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_resource_stats_query Dashboard#apm_resource_stats_query}

---

##### `EventQuery`<sup>Optional</sup> <a name="EventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQuery.property.eventQuery"></a>

```go
EventQuery DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery</a>

event_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_query Dashboard#event_query}

---

##### `MetricQuery`<sup>Optional</sup> <a name="MetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQuery.property.metricQuery"></a>

```go
MetricQuery DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryMetricQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryMetricQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryMetricQuery</a>

metric_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric_query Dashboard#metric_query}

---

##### `ProcessQuery`<sup>Optional</sup> <a name="ProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQuery.property.processQuery"></a>

```go
ProcessQuery DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery {
	DataSource: *string,
	Env: *string,
	Name: *string,
	OperationName: *string,
	ResourceName: *string,
	Service: *string,
	Stat: *string,
	IsUpstream: interface{},
	PrimaryTagName: *string,
	PrimaryTagValue: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.env">Env</a></code> | <code>*string</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.name">Name</a></code> | <code>*string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.operationName">OperationName</a></code> | <code>*string</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName">ResourceName</a></code> | <code>*string</code> | APM resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.service">Service</a></code> | <code>*string</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.stat">Stat</a></code> | <code>*string</code> | APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream">IsUpstream</a></code> | <code>interface{}</code> | Determines whether stats for upstream or downstream dependencies should be queried. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName">PrimaryTagName</a></code> | <code>*string</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue">PrimaryTagValue</a></code> | <code>*string</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `Env`<sup>Required</sup> <a name="Env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.env"></a>

```go
Env *string
```

- *Type:* *string

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `OperationName`<sup>Required</sup> <a name="OperationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.operationName"></a>

```go
OperationName *string
```

- *Type:* *string

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `ResourceName`<sup>Required</sup> <a name="ResourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName"></a>

```go
ResourceName *string
```

- *Type:* *string

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

##### `Service`<sup>Required</sup> <a name="Service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.service"></a>

```go
Service *string
```

- *Type:* *string

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `Stat`<sup>Required</sup> <a name="Stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.stat"></a>

```go
Stat *string
```

- *Type:* *string

APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `IsUpstream`<sup>Optional</sup> <a name="IsUpstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream"></a>

```go
IsUpstream interface{}
```

- *Type:* interface{}

Determines whether stats for upstream or downstream dependencies should be queried.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_upstream Dashboard#is_upstream}

---

##### `PrimaryTagName`<sup>Optional</sup> <a name="PrimaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName"></a>

```go
PrimaryTagName *string
```

- *Type:* *string

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `PrimaryTagValue`<sup>Optional</sup> <a name="PrimaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue"></a>

```go
PrimaryTagValue *string
```

- *Type:* *string

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery {
	DataSource: *string,
	Env: *string,
	Name: *string,
	Service: *string,
	Stat: *string,
	GroupBy: *[]*string,
	OperationName: *string,
	PrimaryTagName: *string,
	PrimaryTagValue: *string,
	ResourceName: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.env">Env</a></code> | <code>*string</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.name">Name</a></code> | <code>*string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.service">Service</a></code> | <code>*string</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.stat">Stat</a></code> | <code>*string</code> | APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.groupBy">GroupBy</a></code> | <code>*[]*string</code> | Array of fields to group results by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.operationName">OperationName</a></code> | <code>*string</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName">PrimaryTagName</a></code> | <code>*string</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue">PrimaryTagValue</a></code> | <code>*string</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.resourceName">ResourceName</a></code> | <code>*string</code> | APM resource. |

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `Env`<sup>Required</sup> <a name="Env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.env"></a>

```go
Env *string
```

- *Type:* *string

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `Service`<sup>Required</sup> <a name="Service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.service"></a>

```go
Service *string
```

- *Type:* *string

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `Stat`<sup>Required</sup> <a name="Stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.stat"></a>

```go
Stat *string
```

- *Type:* *string

APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.groupBy"></a>

```go
GroupBy *[]*string
```

- *Type:* *[]*string

Array of fields to group results by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `OperationName`<sup>Optional</sup> <a name="OperationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.operationName"></a>

```go
OperationName *string
```

- *Type:* *string

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `PrimaryTagName`<sup>Optional</sup> <a name="PrimaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName"></a>

```go
PrimaryTagName *string
```

- *Type:* *string

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `PrimaryTagValue`<sup>Optional</sup> <a name="PrimaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue"></a>

```go
PrimaryTagValue *string
```

- *Type:* *string

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

##### `ResourceName`<sup>Optional</sup> <a name="ResourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.resourceName"></a>

```go
ResourceName *string
```

- *Type:* *string

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery {
	Compute: interface{},
	DataSource: *string,
	Name: *string,
	GroupBy: interface{},
	Indexes: *[]*string,
	Search: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuerySearch,
	Storage: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery.property.compute">Compute</a></code> | <code>interface{}</code> | compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for event platform-based queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery.property.name">Name</a></code> | <code>*string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery.property.indexes">Indexes</a></code> | <code>*[]*string</code> | An array of index names to query in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery.property.search">Search</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuerySearch</a></code> | search block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery.property.storage">Storage</a></code> | <code>*string</code> | Storage location (private beta). |

---

##### `Compute`<sup>Required</sup> <a name="Compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery.property.compute"></a>

```go
Compute interface{}
```

- *Type:* interface{}

compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute Dashboard#compute}

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for event platform-based queries.

Valid values are `logs`, `spans`, `network`, `rum`, `security_signals`, `profiles`, `audit`, `events`, `ci_tests`, `ci_pipelines`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `Indexes`<sup>Optional</sup> <a name="Indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery.property.indexes"></a>

```go
Indexes *[]*string
```

- *Type:* *[]*string

An array of index names to query in the stream.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `Search`<sup>Optional</sup> <a name="Search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery.property.search"></a>

```go
Search DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuerySearch
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuerySearch</a>

search block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search Dashboard#search}

---

##### `Storage`<sup>Optional</sup> <a name="Storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery.property.storage"></a>

```go
Storage *string
```

- *Type:* *string

Storage location (private beta).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#storage Dashboard#storage}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryCompute <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryCompute {
	Aggregation: *string,
	Interval: *f64,
	Metric: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation methods for event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryCompute.property.interval">Interval</a></code> | <code>*f64</code> | A time interval in milliseconds. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryCompute.property.metric">Metric</a></code> | <code>*string</code> | The measurable attribute to compute. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation methods for event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

A time interval in milliseconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

##### `Metric`<sup>Optional</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryCompute.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

The measurable attribute to compute.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	Sort: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The event facet. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The number of groups to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy.property.sort">Sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort</a></code> | sort block. |

---

##### `Facet`<sup>Required</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The event facet.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The number of groups to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `Sort`<sup>Optional</sup> <a name="Sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy.property.sort"></a>

```go
Sort DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort</a>

sort block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort {
	Aggregation: *string,
	Metric: *string,
	Order: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation methods for the event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort.property.metric">Metric</a></code> | <code>*string</code> | The metric used for sorting group by results. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort.property.order">Order</a></code> | <code>*string</code> | Direction of sort. Valid values are `asc`, `desc`. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation methods for the event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Metric`<sup>Optional</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

The metric used for sorting group by results.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `Order`<sup>Optional</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort.property.order"></a>

```go
Order *string
```

- *Type:* *string

Direction of sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuerySearch <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuerySearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuerySearch"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuerySearch.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuerySearch {
	Query: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuerySearch.property.query">Query</a></code> | <code>*string</code> | The events search string. |

---

##### `Query`<sup>Required</sup> <a name="Query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuerySearch.property.query"></a>

```go
Query *string
```

- *Type:* *string

The events search string.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryMetricQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryMetricQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryMetricQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryMetricQuery {
	Name: *string,
	Query: *string,
	Aggregator: *string,
	DataSource: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryMetricQuery.property.name">Name</a></code> | <code>*string</code> | The name of the query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryMetricQuery.property.query">Query</a></code> | <code>*string</code> | The metrics query definition. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryMetricQuery.property.aggregator">Aggregator</a></code> | <code>*string</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryMetricQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for metrics queries. |

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryMetricQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of the query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `Query`<sup>Required</sup> <a name="Query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryMetricQuery.property.query"></a>

```go
Query *string
```

- *Type:* *string

The metrics query definition.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `Aggregator`<sup>Optional</sup> <a name="Aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryMetricQuery.property.aggregator"></a>

```go
Aggregator *string
```

- *Type:* *string

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `DataSource`<sup>Optional</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryMetricQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for metrics queries.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery {
	DataSource: *string,
	Metric: *string,
	Name: *string,
	Aggregator: *string,
	IsNormalizedCpu: interface{},
	Limit: *f64,
	Sort: *string,
	TagFilters: *[]*string,
	TextFilter: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for process queries. Valid values are `process`, `container`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery.property.metric">Metric</a></code> | <code>*string</code> | The process metric name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery.property.name">Name</a></code> | <code>*string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery.property.aggregator">Aggregator</a></code> | <code>*string</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery.property.isNormalizedCpu">IsNormalizedCpu</a></code> | <code>interface{}</code> | Whether to normalize the CPU percentages. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery.property.limit">Limit</a></code> | <code>*f64</code> | The number of hits to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery.property.sort">Sort</a></code> | <code>*string</code> | The direction of the sort. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery.property.tagFilters">TagFilters</a></code> | <code>*[]*string</code> | An array of tags to filter by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery.property.textFilter">TextFilter</a></code> | <code>*string</code> | The text to use as a filter. |

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for process queries. Valid values are `process`, `container`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `Metric`<sup>Required</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

The process metric name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `Aggregator`<sup>Optional</sup> <a name="Aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery.property.aggregator"></a>

```go
Aggregator *string
```

- *Type:* *string

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `IsNormalizedCpu`<sup>Optional</sup> <a name="IsNormalizedCpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery.property.isNormalizedCpu"></a>

```go
IsNormalizedCpu interface{}
```

- *Type:* interface{}

Whether to normalize the CPU percentages.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_normalized_cpu Dashboard#is_normalized_cpu}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The number of hits to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `Sort`<sup>Optional</sup> <a name="Sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery.property.sort"></a>

```go
Sort *string
```

- *Type:* *string

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `TagFilters`<sup>Optional</sup> <a name="TagFilters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery.property.tagFilters"></a>

```go
TagFilters *[]*string
```

- *Type:* *[]*string

An array of tags to filter by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tag_filters Dashboard#tag_filters}

---

##### `TextFilter`<sup>Optional</sup> <a name="TextFilter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery.property.textFilter"></a>

```go
TextFilter *string
```

- *Type:* *string

The text to use as a filter.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_filter Dashboard#text_filter}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinition <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition {
	Autoscale: interface{},
	CustomLink: interface{},
	CustomUnit: *string,
	LiveSpan: *string,
	Precision: *f64,
	Request: interface{},
	TextAlign: *string,
	TimeseriesBackground: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackground,
	Title: *string,
	TitleAlign: *string,
	TitleSize: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.autoscale">Autoscale</a></code> | <code>interface{}</code> | A Boolean indicating whether to automatically scale the tile. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.customLink">CustomLink</a></code> | <code>interface{}</code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.customUnit">CustomUnit</a></code> | <code>*string</code> | The unit for the value displayed in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.liveSpan">LiveSpan</a></code> | <code>*string</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.precision">Precision</a></code> | <code>*f64</code> | The precision to use when displaying the tile. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.request">Request</a></code> | <code>interface{}</code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.textAlign">TextAlign</a></code> | <code>*string</code> | The alignment of the widget's text. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.timeseriesBackground">TimeseriesBackground</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackground">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackground</a></code> | timeseries_background block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.title">Title</a></code> | <code>*string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.titleAlign">TitleAlign</a></code> | <code>*string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.titleSize">TitleSize</a></code> | <code>*string</code> | The size of the widget's title (defaults to 16). |

---

##### `Autoscale`<sup>Optional</sup> <a name="Autoscale" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.autoscale"></a>

```go
Autoscale interface{}
```

- *Type:* interface{}

A Boolean indicating whether to automatically scale the tile.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#autoscale Dashboard#autoscale}

---

##### `CustomLink`<sup>Optional</sup> <a name="CustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.customLink"></a>

```go
CustomLink interface{}
```

- *Type:* interface{}

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `CustomUnit`<sup>Optional</sup> <a name="CustomUnit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.customUnit"></a>

```go
CustomUnit *string
```

- *Type:* *string

The unit for the value displayed in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_unit Dashboard#custom_unit}

---

##### `LiveSpan`<sup>Optional</sup> <a name="LiveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.liveSpan"></a>

```go
LiveSpan *string
```

- *Type:* *string

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `Precision`<sup>Optional</sup> <a name="Precision" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.precision"></a>

```go
Precision *f64
```

- *Type:* *f64

The precision to use when displaying the tile.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#precision Dashboard#precision}

---

##### `Request`<sup>Optional</sup> <a name="Request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.request"></a>

```go
Request interface{}
```

- *Type:* interface{}

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `TextAlign`<sup>Optional</sup> <a name="TextAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.textAlign"></a>

```go
TextAlign *string
```

- *Type:* *string

The alignment of the widget's text. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_align Dashboard#text_align}

---

##### `TimeseriesBackground`<sup>Optional</sup> <a name="TimeseriesBackground" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.timeseriesBackground"></a>

```go
TimeseriesBackground DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackground
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackground">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackground</a>

timeseries_background block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeseries_background Dashboard#timeseries_background}

---

##### `Title`<sup>Optional</sup> <a name="Title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.title"></a>

```go
Title *string
```

- *Type:* *string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `TitleAlign`<sup>Optional</sup> <a name="TitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.titleAlign"></a>

```go
TitleAlign *string
```

- *Type:* *string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `TitleSize`<sup>Optional</sup> <a name="TitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.titleSize"></a>

```go
TitleSize *string
```

- *Type:* *string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionCustomLink <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionCustomLink.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionCustomLink {
	IsHidden: interface{},
	Label: *string,
	Link: *string,
	OverrideLabel: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionCustomLink.property.isHidden">IsHidden</a></code> | <code>interface{}</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionCustomLink.property.label">Label</a></code> | <code>*string</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionCustomLink.property.link">Link</a></code> | <code>*string</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionCustomLink.property.overrideLabel">OverrideLabel</a></code> | <code>*string</code> | The label ID that refers to a context menu link item. |

---

##### `IsHidden`<sup>Optional</sup> <a name="IsHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionCustomLink.property.isHidden"></a>

```go
IsHidden interface{}
```

- *Type:* interface{}

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `Label`<sup>Optional</sup> <a name="Label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionCustomLink.property.label"></a>

```go
Label *string
```

- *Type:* *string

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `Link`<sup>Optional</sup> <a name="Link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionCustomLink.property.link"></a>

```go
Link *string
```

- *Type:* *string

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `OverrideLabel`<sup>Optional</sup> <a name="OverrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionCustomLink.property.overrideLabel"></a>

```go
OverrideLabel *string
```

- *Type:* *string

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest {
	Aggregator: *string,
	ApmQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQuery,
	AuditQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQuery,
	ConditionalFormats: interface{},
	Formula: interface{},
	LogQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQuery,
	ProcessQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestProcessQuery,
	Q: *string,
	Query: interface{},
	RumQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQuery,
	SecurityQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.aggregator">Aggregator</a></code> | <code>*string</code> | The aggregator to use for time aggregation. Valid values are `avg`, `last`, `max`, `min`, `sum`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.apmQuery">ApmQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.auditQuery">AuditQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQuery</a></code> | audit_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.conditionalFormats">ConditionalFormats</a></code> | <code>interface{}</code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.formula">Formula</a></code> | <code>interface{}</code> | formula block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.logQuery">LogQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.processQuery">ProcessQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestProcessQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.q">Q</a></code> | <code>*string</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.query">Query</a></code> | <code>interface{}</code> | query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.rumQuery">RumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.securityQuery">SecurityQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQuery</a></code> | security_query block. |

---

##### `Aggregator`<sup>Optional</sup> <a name="Aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.aggregator"></a>

```go
Aggregator *string
```

- *Type:* *string

The aggregator to use for time aggregation. Valid values are `avg`, `last`, `max`, `min`, `sum`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `ApmQuery`<sup>Optional</sup> <a name="ApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.apmQuery"></a>

```go
ApmQuery DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `AuditQuery`<sup>Optional</sup> <a name="AuditQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.auditQuery"></a>

```go
AuditQuery DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQuery</a>

audit_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#audit_query Dashboard#audit_query}

---

##### `ConditionalFormats`<sup>Optional</sup> <a name="ConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.conditionalFormats"></a>

```go
ConditionalFormats interface{}
```

- *Type:* interface{}

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `Formula`<sup>Optional</sup> <a name="Formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.formula"></a>

```go
Formula interface{}
```

- *Type:* interface{}

formula block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula Dashboard#formula}

---

##### `LogQuery`<sup>Optional</sup> <a name="LogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.logQuery"></a>

```go
LogQuery DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `ProcessQuery`<sup>Optional</sup> <a name="ProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.processQuery"></a>

```go
ProcessQuery DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestProcessQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `Q`<sup>Optional</sup> <a name="Q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.q"></a>

```go
Q *string
```

- *Type:* *string

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `Query`<sup>Optional</sup> <a name="Query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.query"></a>

```go
Query interface{}
```

- *Type:* interface{}

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `RumQuery`<sup>Optional</sup> <a name="RumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.rumQuery"></a>

```go
RumQuery DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `SecurityQuery`<sup>Optional</sup> <a name="SecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.securityQuery"></a>

```go
SecurityQuery DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats {
	Comparator: *string,
	Palette: *string,
	Value: *f64,
	CustomBgColor: *string,
	CustomFgColor: *string,
	HideValue: interface{},
	ImageUrl: *string,
	Metric: *string,
	Timeframe: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats.property.comparator">Comparator</a></code> | <code>*string</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats.property.palette">Palette</a></code> | <code>*string</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats.property.value">Value</a></code> | <code>*f64</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats.property.customBgColor">CustomBgColor</a></code> | <code>*string</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats.property.customFgColor">CustomFgColor</a></code> | <code>*string</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats.property.hideValue">HideValue</a></code> | <code>interface{}</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats.property.imageUrl">ImageUrl</a></code> | <code>*string</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats.property.metric">Metric</a></code> | <code>*string</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats.property.timeframe">Timeframe</a></code> | <code>*string</code> | Defines the displayed timeframe. |

---

##### `Comparator`<sup>Required</sup> <a name="Comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats.property.comparator"></a>

```go
Comparator *string
```

- *Type:* *string

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `Palette`<sup>Required</sup> <a name="Palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats.property.palette"></a>

```go
Palette *string
```

- *Type:* *string

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `Value`<sup>Required</sup> <a name="Value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats.property.value"></a>

```go
Value *f64
```

- *Type:* *f64

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `CustomBgColor`<sup>Optional</sup> <a name="CustomBgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats.property.customBgColor"></a>

```go
CustomBgColor *string
```

- *Type:* *string

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `CustomFgColor`<sup>Optional</sup> <a name="CustomFgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats.property.customFgColor"></a>

```go
CustomFgColor *string
```

- *Type:* *string

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `HideValue`<sup>Optional</sup> <a name="HideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats.property.hideValue"></a>

```go
HideValue interface{}
```

- *Type:* interface{}

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `ImageUrl`<sup>Optional</sup> <a name="ImageUrl" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats.property.imageUrl"></a>

```go
ImageUrl *string
```

- *Type:* *string

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `Metric`<sup>Optional</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `Timeframe`<sup>Optional</sup> <a name="Timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats.property.timeframe"></a>

```go
Timeframe *string
```

- *Type:* *string

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormula <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormula"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormula.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormula {
	FormulaExpression: *string,
	Alias: *string,
	CellDisplayMode: *string,
	ConditionalFormats: interface{},
	Limit: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaLimit,
	Style: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaStyle,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormula.property.formulaExpression">FormulaExpression</a></code> | <code>*string</code> | A string expression built from queries, formulas, and functions. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormula.property.alias">Alias</a></code> | <code>*string</code> | An expression alias. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormula.property.cellDisplayMode">CellDisplayMode</a></code> | <code>*string</code> | A list of display modes for each table cell. Valid values are `number`, `bar`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormula.property.conditionalFormats">ConditionalFormats</a></code> | <code>interface{}</code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormula.property.limit">Limit</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaLimit">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaLimit</a></code> | limit block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormula.property.style">Style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaStyle">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaStyle</a></code> | style block. |

---

##### `FormulaExpression`<sup>Required</sup> <a name="FormulaExpression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormula.property.formulaExpression"></a>

```go
FormulaExpression *string
```

- *Type:* *string

A string expression built from queries, formulas, and functions.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula_expression Dashboard#formula_expression}

---

##### `Alias`<sup>Optional</sup> <a name="Alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormula.property.alias"></a>

```go
Alias *string
```

- *Type:* *string

An expression alias.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `CellDisplayMode`<sup>Optional</sup> <a name="CellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormula.property.cellDisplayMode"></a>

```go
CellDisplayMode *string
```

- *Type:* *string

A list of display modes for each table cell. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `ConditionalFormats`<sup>Optional</sup> <a name="ConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormula.property.conditionalFormats"></a>

```go
ConditionalFormats interface{}
```

- *Type:* interface{}

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormula.property.limit"></a>

```go
Limit DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaLimit
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaLimit">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaLimit</a>

limit block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `Style`<sup>Optional</sup> <a name="Style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormula.property.style"></a>

```go
Style DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaStyle
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaStyle">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats {
	Comparator: *string,
	Palette: *string,
	Value: *f64,
	CustomBgColor: *string,
	CustomFgColor: *string,
	HideValue: interface{},
	ImageUrl: *string,
	Metric: *string,
	Timeframe: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.comparator">Comparator</a></code> | <code>*string</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.palette">Palette</a></code> | <code>*string</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.value">Value</a></code> | <code>*f64</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.customBgColor">CustomBgColor</a></code> | <code>*string</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.customFgColor">CustomFgColor</a></code> | <code>*string</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.hideValue">HideValue</a></code> | <code>interface{}</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.imageUrl">ImageUrl</a></code> | <code>*string</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.metric">Metric</a></code> | <code>*string</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.timeframe">Timeframe</a></code> | <code>*string</code> | Defines the displayed timeframe. |

---

##### `Comparator`<sup>Required</sup> <a name="Comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.comparator"></a>

```go
Comparator *string
```

- *Type:* *string

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `Palette`<sup>Required</sup> <a name="Palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.palette"></a>

```go
Palette *string
```

- *Type:* *string

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `Value`<sup>Required</sup> <a name="Value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.value"></a>

```go
Value *f64
```

- *Type:* *f64

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `CustomBgColor`<sup>Optional</sup> <a name="CustomBgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.customBgColor"></a>

```go
CustomBgColor *string
```

- *Type:* *string

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `CustomFgColor`<sup>Optional</sup> <a name="CustomFgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.customFgColor"></a>

```go
CustomFgColor *string
```

- *Type:* *string

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `HideValue`<sup>Optional</sup> <a name="HideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.hideValue"></a>

```go
HideValue interface{}
```

- *Type:* interface{}

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `ImageUrl`<sup>Optional</sup> <a name="ImageUrl" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.imageUrl"></a>

```go
ImageUrl *string
```

- *Type:* *string

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `Metric`<sup>Optional</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `Timeframe`<sup>Optional</sup> <a name="Timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.timeframe"></a>

```go
Timeframe *string
```

- *Type:* *string

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaLimit <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaLimit"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaLimit.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaLimit {
	Count: *f64,
	Order: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaLimit.property.count">Count</a></code> | <code>*f64</code> | The number of results to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaLimit.property.order">Order</a></code> | <code>*string</code> | The direction of the sort. Valid values are `asc`, `desc`. |

---

##### `Count`<sup>Optional</sup> <a name="Count" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaLimit.property.count"></a>

```go
Count *f64
```

- *Type:* *f64

The number of results to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#count Dashboard#count}

---

##### `Order`<sup>Optional</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaLimit.property.order"></a>

```go
Order *string
```

- *Type:* *string

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaStyle <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaStyle.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaStyle {
	Palette: *string,
	PaletteIndex: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaStyle.property.palette">Palette</a></code> | <code>*string</code> | The color palette used to display the formula. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaStyle.property.paletteIndex">PaletteIndex</a></code> | <code>*f64</code> | Index specifying which color to use within the palette. |

---

##### `Palette`<sup>Optional</sup> <a name="Palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaStyle.property.palette"></a>

```go
Palette *string
```

- *Type:* *string

The color palette used to display the formula.

A guide to the available color palettes can be found at https://docs.datadoghq.com/dashboards/guide/widget_colors

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `PaletteIndex`<sup>Optional</sup> <a name="PaletteIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaStyle.property.paletteIndex"></a>

```go
PaletteIndex *f64
```

- *Type:* *f64

Index specifying which color to use within the palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette_index Dashboard#palette_index}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestProcessQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestProcessQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestProcessQuery {
	Metric: *string,
	FilterBy: *[]*string,
	Limit: *f64,
	SearchBy: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestProcessQuery.property.metric">Metric</a></code> | <code>*string</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestProcessQuery.property.filterBy">FilterBy</a></code> | <code>*[]*string</code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestProcessQuery.property.limit">Limit</a></code> | <code>*f64</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestProcessQuery.property.searchBy">SearchBy</a></code> | <code>*string</code> | Your chosen search term. |

---

##### `Metric`<sup>Required</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestProcessQuery.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `FilterBy`<sup>Optional</sup> <a name="FilterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestProcessQuery.property.filterBy"></a>

```go
FilterBy *[]*string
```

- *Type:* *[]*string

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestProcessQuery.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SearchBy`<sup>Optional</sup> <a name="SearchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestProcessQuery.property.searchBy"></a>

```go
SearchBy *string
```

- *Type:* *string

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQuery {
	ApmDependencyStatsQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery,
	ApmResourceStatsQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery,
	EventQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery,
	MetricQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryMetricQuery,
	ProcessQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQuery.property.apmDependencyStatsQuery">ApmDependencyStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery</a></code> | apm_dependency_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQuery.property.apmResourceStatsQuery">ApmResourceStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery</a></code> | apm_resource_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQuery.property.eventQuery">EventQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery</a></code> | event_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQuery.property.metricQuery">MetricQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryMetricQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryMetricQuery</a></code> | metric_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQuery.property.processQuery">ProcessQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery</a></code> | process_query block. |

---

##### `ApmDependencyStatsQuery`<sup>Optional</sup> <a name="ApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQuery.property.apmDependencyStatsQuery"></a>

```go
ApmDependencyStatsQuery DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery</a>

apm_dependency_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_dependency_stats_query Dashboard#apm_dependency_stats_query}

---

##### `ApmResourceStatsQuery`<sup>Optional</sup> <a name="ApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQuery.property.apmResourceStatsQuery"></a>

```go
ApmResourceStatsQuery DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery</a>

apm_resource_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_resource_stats_query Dashboard#apm_resource_stats_query}

---

##### `EventQuery`<sup>Optional</sup> <a name="EventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQuery.property.eventQuery"></a>

```go
EventQuery DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery</a>

event_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_query Dashboard#event_query}

---

##### `MetricQuery`<sup>Optional</sup> <a name="MetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQuery.property.metricQuery"></a>

```go
MetricQuery DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryMetricQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryMetricQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryMetricQuery</a>

metric_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric_query Dashboard#metric_query}

---

##### `ProcessQuery`<sup>Optional</sup> <a name="ProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQuery.property.processQuery"></a>

```go
ProcessQuery DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery {
	DataSource: *string,
	Env: *string,
	Name: *string,
	OperationName: *string,
	ResourceName: *string,
	Service: *string,
	Stat: *string,
	IsUpstream: interface{},
	PrimaryTagName: *string,
	PrimaryTagValue: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.env">Env</a></code> | <code>*string</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.name">Name</a></code> | <code>*string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.operationName">OperationName</a></code> | <code>*string</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName">ResourceName</a></code> | <code>*string</code> | APM resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.service">Service</a></code> | <code>*string</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.stat">Stat</a></code> | <code>*string</code> | APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream">IsUpstream</a></code> | <code>interface{}</code> | Determines whether stats for upstream or downstream dependencies should be queried. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName">PrimaryTagName</a></code> | <code>*string</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue">PrimaryTagValue</a></code> | <code>*string</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `Env`<sup>Required</sup> <a name="Env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.env"></a>

```go
Env *string
```

- *Type:* *string

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `OperationName`<sup>Required</sup> <a name="OperationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.operationName"></a>

```go
OperationName *string
```

- *Type:* *string

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `ResourceName`<sup>Required</sup> <a name="ResourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName"></a>

```go
ResourceName *string
```

- *Type:* *string

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

##### `Service`<sup>Required</sup> <a name="Service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.service"></a>

```go
Service *string
```

- *Type:* *string

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `Stat`<sup>Required</sup> <a name="Stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.stat"></a>

```go
Stat *string
```

- *Type:* *string

APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `IsUpstream`<sup>Optional</sup> <a name="IsUpstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream"></a>

```go
IsUpstream interface{}
```

- *Type:* interface{}

Determines whether stats for upstream or downstream dependencies should be queried.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_upstream Dashboard#is_upstream}

---

##### `PrimaryTagName`<sup>Optional</sup> <a name="PrimaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName"></a>

```go
PrimaryTagName *string
```

- *Type:* *string

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `PrimaryTagValue`<sup>Optional</sup> <a name="PrimaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue"></a>

```go
PrimaryTagValue *string
```

- *Type:* *string

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery {
	DataSource: *string,
	Env: *string,
	Name: *string,
	Service: *string,
	Stat: *string,
	GroupBy: *[]*string,
	OperationName: *string,
	PrimaryTagName: *string,
	PrimaryTagValue: *string,
	ResourceName: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.env">Env</a></code> | <code>*string</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.name">Name</a></code> | <code>*string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.service">Service</a></code> | <code>*string</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.stat">Stat</a></code> | <code>*string</code> | APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.groupBy">GroupBy</a></code> | <code>*[]*string</code> | Array of fields to group results by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.operationName">OperationName</a></code> | <code>*string</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName">PrimaryTagName</a></code> | <code>*string</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue">PrimaryTagValue</a></code> | <code>*string</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.resourceName">ResourceName</a></code> | <code>*string</code> | APM resource. |

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `Env`<sup>Required</sup> <a name="Env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.env"></a>

```go
Env *string
```

- *Type:* *string

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `Service`<sup>Required</sup> <a name="Service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.service"></a>

```go
Service *string
```

- *Type:* *string

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `Stat`<sup>Required</sup> <a name="Stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.stat"></a>

```go
Stat *string
```

- *Type:* *string

APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.groupBy"></a>

```go
GroupBy *[]*string
```

- *Type:* *[]*string

Array of fields to group results by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `OperationName`<sup>Optional</sup> <a name="OperationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.operationName"></a>

```go
OperationName *string
```

- *Type:* *string

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `PrimaryTagName`<sup>Optional</sup> <a name="PrimaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName"></a>

```go
PrimaryTagName *string
```

- *Type:* *string

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `PrimaryTagValue`<sup>Optional</sup> <a name="PrimaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue"></a>

```go
PrimaryTagValue *string
```

- *Type:* *string

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

##### `ResourceName`<sup>Optional</sup> <a name="ResourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.resourceName"></a>

```go
ResourceName *string
```

- *Type:* *string

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery {
	Compute: interface{},
	DataSource: *string,
	Name: *string,
	GroupBy: interface{},
	Indexes: *[]*string,
	Search: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuerySearch,
	Storage: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery.property.compute">Compute</a></code> | <code>interface{}</code> | compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for event platform-based queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery.property.name">Name</a></code> | <code>*string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery.property.indexes">Indexes</a></code> | <code>*[]*string</code> | An array of index names to query in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery.property.search">Search</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuerySearch</a></code> | search block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery.property.storage">Storage</a></code> | <code>*string</code> | Storage location (private beta). |

---

##### `Compute`<sup>Required</sup> <a name="Compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery.property.compute"></a>

```go
Compute interface{}
```

- *Type:* interface{}

compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute Dashboard#compute}

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for event platform-based queries.

Valid values are `logs`, `spans`, `network`, `rum`, `security_signals`, `profiles`, `audit`, `events`, `ci_tests`, `ci_pipelines`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `Indexes`<sup>Optional</sup> <a name="Indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery.property.indexes"></a>

```go
Indexes *[]*string
```

- *Type:* *[]*string

An array of index names to query in the stream.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `Search`<sup>Optional</sup> <a name="Search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery.property.search"></a>

```go
Search DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuerySearch
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuerySearch</a>

search block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search Dashboard#search}

---

##### `Storage`<sup>Optional</sup> <a name="Storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery.property.storage"></a>

```go
Storage *string
```

- *Type:* *string

Storage location (private beta).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#storage Dashboard#storage}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryCompute <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryCompute {
	Aggregation: *string,
	Interval: *f64,
	Metric: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation methods for event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryCompute.property.interval">Interval</a></code> | <code>*f64</code> | A time interval in milliseconds. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryCompute.property.metric">Metric</a></code> | <code>*string</code> | The measurable attribute to compute. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation methods for event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

A time interval in milliseconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

##### `Metric`<sup>Optional</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryCompute.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

The measurable attribute to compute.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	Sort: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The event facet. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The number of groups to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy.property.sort">Sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort</a></code> | sort block. |

---

##### `Facet`<sup>Required</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The event facet.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The number of groups to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `Sort`<sup>Optional</sup> <a name="Sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy.property.sort"></a>

```go
Sort DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort</a>

sort block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort {
	Aggregation: *string,
	Metric: *string,
	Order: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation methods for the event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort.property.metric">Metric</a></code> | <code>*string</code> | The metric used for sorting group by results. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort.property.order">Order</a></code> | <code>*string</code> | Direction of sort. Valid values are `asc`, `desc`. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation methods for the event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Metric`<sup>Optional</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

The metric used for sorting group by results.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `Order`<sup>Optional</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort.property.order"></a>

```go
Order *string
```

- *Type:* *string

Direction of sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuerySearch <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuerySearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuerySearch"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuerySearch.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuerySearch {
	Query: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuerySearch.property.query">Query</a></code> | <code>*string</code> | The events search string. |

---

##### `Query`<sup>Required</sup> <a name="Query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuerySearch.property.query"></a>

```go
Query *string
```

- *Type:* *string

The events search string.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryMetricQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryMetricQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryMetricQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryMetricQuery {
	Name: *string,
	Query: *string,
	Aggregator: *string,
	DataSource: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryMetricQuery.property.name">Name</a></code> | <code>*string</code> | The name of the query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryMetricQuery.property.query">Query</a></code> | <code>*string</code> | The metrics query definition. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryMetricQuery.property.aggregator">Aggregator</a></code> | <code>*string</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryMetricQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for metrics queries. |

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryMetricQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of the query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `Query`<sup>Required</sup> <a name="Query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryMetricQuery.property.query"></a>

```go
Query *string
```

- *Type:* *string

The metrics query definition.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `Aggregator`<sup>Optional</sup> <a name="Aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryMetricQuery.property.aggregator"></a>

```go
Aggregator *string
```

- *Type:* *string

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `DataSource`<sup>Optional</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryMetricQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for metrics queries.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery {
	DataSource: *string,
	Metric: *string,
	Name: *string,
	Aggregator: *string,
	IsNormalizedCpu: interface{},
	Limit: *f64,
	Sort: *string,
	TagFilters: *[]*string,
	TextFilter: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for process queries. Valid values are `process`, `container`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery.property.metric">Metric</a></code> | <code>*string</code> | The process metric name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery.property.name">Name</a></code> | <code>*string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery.property.aggregator">Aggregator</a></code> | <code>*string</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery.property.isNormalizedCpu">IsNormalizedCpu</a></code> | <code>interface{}</code> | Whether to normalize the CPU percentages. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery.property.limit">Limit</a></code> | <code>*f64</code> | The number of hits to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery.property.sort">Sort</a></code> | <code>*string</code> | The direction of the sort. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery.property.tagFilters">TagFilters</a></code> | <code>*[]*string</code> | An array of tags to filter by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery.property.textFilter">TextFilter</a></code> | <code>*string</code> | The text to use as a filter. |

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for process queries. Valid values are `process`, `container`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `Metric`<sup>Required</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

The process metric name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `Aggregator`<sup>Optional</sup> <a name="Aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery.property.aggregator"></a>

```go
Aggregator *string
```

- *Type:* *string

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `IsNormalizedCpu`<sup>Optional</sup> <a name="IsNormalizedCpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery.property.isNormalizedCpu"></a>

```go
IsNormalizedCpu interface{}
```

- *Type:* interface{}

Whether to normalize the CPU percentages.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_normalized_cpu Dashboard#is_normalized_cpu}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The number of hits to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `Sort`<sup>Optional</sup> <a name="Sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery.property.sort"></a>

```go
Sort *string
```

- *Type:* *string

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `TagFilters`<sup>Optional</sup> <a name="TagFilters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery.property.tagFilters"></a>

```go
TagFilters *[]*string
```

- *Type:* *[]*string

An array of tags to filter by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tag_filters Dashboard#tag_filters}

---

##### `TextFilter`<sup>Optional</sup> <a name="TextFilter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery.property.textFilter"></a>

```go
TextFilter *string
```

- *Type:* *string

The text to use as a filter.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_filter Dashboard#text_filter}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackground <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackground" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackground"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackground.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackground {
	Type: *string,
	Yaxis: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackgroundYaxis,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackground.property.type">Type</a></code> | <code>*string</code> | Whether the Timeseries is made using an area or bars. Valid values are `bars`, `area`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackground.property.yaxis">Yaxis</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackgroundYaxis">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackgroundYaxis</a></code> | yaxis block. |

---

##### `Type`<sup>Required</sup> <a name="Type" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackground.property.type"></a>

```go
Type *string
```

- *Type:* *string

Whether the Timeseries is made using an area or bars. Valid values are `bars`, `area`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#type Dashboard#type}

---

##### `Yaxis`<sup>Optional</sup> <a name="Yaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackground.property.yaxis"></a>

```go
Yaxis DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackgroundYaxis
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackgroundYaxis">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackgroundYaxis</a>

yaxis block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#yaxis Dashboard#yaxis}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackgroundYaxis <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackgroundYaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackgroundYaxis"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackgroundYaxis {
	IncludeZero: interface{},
	Label: *string,
	Max: *string,
	Min: *string,
	Scale: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.property.includeZero">IncludeZero</a></code> | <code>interface{}</code> | Always include zero or fit the axis to the data range. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.property.label">Label</a></code> | <code>*string</code> | The label of the axis to display on the graph. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.property.max">Max</a></code> | <code>*string</code> | Specify the maximum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.property.min">Min</a></code> | <code>*string</code> | Specify the minimum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.property.scale">Scale</a></code> | <code>*string</code> | Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`. |

---

##### `IncludeZero`<sup>Optional</sup> <a name="IncludeZero" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.property.includeZero"></a>

```go
IncludeZero interface{}
```

- *Type:* interface{}

Always include zero or fit the axis to the data range.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#include_zero Dashboard#include_zero}

---

##### `Label`<sup>Optional</sup> <a name="Label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.property.label"></a>

```go
Label *string
```

- *Type:* *string

The label of the axis to display on the graph.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `Max`<sup>Optional</sup> <a name="Max" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.property.max"></a>

```go
Max *string
```

- *Type:* *string

Specify the maximum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#max Dashboard#max}

---

##### `Min`<sup>Optional</sup> <a name="Min" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.property.min"></a>

```go
Min *string
```

- *Type:* *string

Specify the minimum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#min Dashboard#min}

---

##### `Scale`<sup>Optional</sup> <a name="Scale" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.property.scale"></a>

```go
Scale *string
```

- *Type:* *string

Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#scale Dashboard#scale}

---

### DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition <a name="DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition {
	WorkflowId: *string,
	CustomLink: interface{},
	Input: interface{},
	LiveSpan: *string,
	Title: *string,
	TitleAlign: *string,
	TitleSize: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition.property.workflowId">WorkflowId</a></code> | <code>*string</code> | Workflow ID. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition.property.customLink">CustomLink</a></code> | <code>interface{}</code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition.property.input">Input</a></code> | <code>interface{}</code> | input block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition.property.liveSpan">LiveSpan</a></code> | <code>*string</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition.property.title">Title</a></code> | <code>*string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition.property.titleAlign">TitleAlign</a></code> | <code>*string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition.property.titleSize">TitleSize</a></code> | <code>*string</code> | The size of the widget's title (defaults to 16). |

---

##### `WorkflowId`<sup>Required</sup> <a name="WorkflowId" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition.property.workflowId"></a>

```go
WorkflowId *string
```

- *Type:* *string

Workflow ID.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#workflow_id Dashboard#workflow_id}

---

##### `CustomLink`<sup>Optional</sup> <a name="CustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition.property.customLink"></a>

```go
CustomLink interface{}
```

- *Type:* interface{}

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `Input`<sup>Optional</sup> <a name="Input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition.property.input"></a>

```go
Input interface{}
```

- *Type:* interface{}

input block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#input Dashboard#input}

---

##### `LiveSpan`<sup>Optional</sup> <a name="LiveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition.property.liveSpan"></a>

```go
LiveSpan *string
```

- *Type:* *string

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `Title`<sup>Optional</sup> <a name="Title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition.property.title"></a>

```go
Title *string
```

- *Type:* *string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `TitleAlign`<sup>Optional</sup> <a name="TitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition.property.titleAlign"></a>

```go
TitleAlign *string
```

- *Type:* *string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `TitleSize`<sup>Optional</sup> <a name="TitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition.property.titleSize"></a>

```go
TitleSize *string
```

- *Type:* *string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionCustomLink <a name="DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionCustomLink.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionCustomLink {
	IsHidden: interface{},
	Label: *string,
	Link: *string,
	OverrideLabel: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionCustomLink.property.isHidden">IsHidden</a></code> | <code>interface{}</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionCustomLink.property.label">Label</a></code> | <code>*string</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionCustomLink.property.link">Link</a></code> | <code>*string</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionCustomLink.property.overrideLabel">OverrideLabel</a></code> | <code>*string</code> | The label ID that refers to a context menu link item. |

---

##### `IsHidden`<sup>Optional</sup> <a name="IsHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionCustomLink.property.isHidden"></a>

```go
IsHidden interface{}
```

- *Type:* interface{}

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `Label`<sup>Optional</sup> <a name="Label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionCustomLink.property.label"></a>

```go
Label *string
```

- *Type:* *string

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `Link`<sup>Optional</sup> <a name="Link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionCustomLink.property.link"></a>

```go
Link *string
```

- *Type:* *string

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `OverrideLabel`<sup>Optional</sup> <a name="OverrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionCustomLink.property.overrideLabel"></a>

```go
OverrideLabel *string
```

- *Type:* *string

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionInput <a name="DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionInput"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionInput.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionInput {
	Name: *string,
	Value: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionInput.property.name">Name</a></code> | <code>*string</code> | Name of the workflow input. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionInput.property.value">Value</a></code> | <code>*string</code> | Dashboard template variable. Can be suffixed with `.value` or `.key`. |

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionInput.property.name"></a>

```go
Name *string
```

- *Type:* *string

Name of the workflow input.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `Value`<sup>Required</sup> <a name="Value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionInput.property.value"></a>

```go
Value *string
```

- *Type:* *string

Dashboard template variable. Can be suffixed with `.value` or `.key`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinition <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition {
	ColorByGroups: *[]*string,
	CustomLink: interface{},
	LiveSpan: *string,
	Request: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequest,
	Title: *string,
	TitleAlign: *string,
	TitleSize: *string,
	Xaxis: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionXaxis,
	Yaxis: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionYaxis,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition.property.colorByGroups">ColorByGroups</a></code> | <code>*[]*string</code> | List of groups used for colors. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition.property.customLink">CustomLink</a></code> | <code>interface{}</code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition.property.liveSpan">LiveSpan</a></code> | <code>*string</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition.property.request">Request</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequest">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequest</a></code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition.property.title">Title</a></code> | <code>*string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition.property.titleAlign">TitleAlign</a></code> | <code>*string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition.property.titleSize">TitleSize</a></code> | <code>*string</code> | The size of the widget's title (defaults to 16). |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition.property.xaxis">Xaxis</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionXaxis">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionXaxis</a></code> | xaxis block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition.property.yaxis">Yaxis</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionYaxis">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionYaxis</a></code> | yaxis block. |

---

##### `ColorByGroups`<sup>Optional</sup> <a name="ColorByGroups" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition.property.colorByGroups"></a>

```go
ColorByGroups *[]*string
```

- *Type:* *[]*string

List of groups used for colors.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#color_by_groups Dashboard#color_by_groups}

---

##### `CustomLink`<sup>Optional</sup> <a name="CustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition.property.customLink"></a>

```go
CustomLink interface{}
```

- *Type:* interface{}

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `LiveSpan`<sup>Optional</sup> <a name="LiveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition.property.liveSpan"></a>

```go
LiveSpan *string
```

- *Type:* *string

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `Request`<sup>Optional</sup> <a name="Request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition.property.request"></a>

```go
Request DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequest
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequest">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequest</a>

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `Title`<sup>Optional</sup> <a name="Title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition.property.title"></a>

```go
Title *string
```

- *Type:* *string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `TitleAlign`<sup>Optional</sup> <a name="TitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition.property.titleAlign"></a>

```go
TitleAlign *string
```

- *Type:* *string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `TitleSize`<sup>Optional</sup> <a name="TitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition.property.titleSize"></a>

```go
TitleSize *string
```

- *Type:* *string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

##### `Xaxis`<sup>Optional</sup> <a name="Xaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition.property.xaxis"></a>

```go
Xaxis DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionXaxis
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionXaxis">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionXaxis</a>

xaxis block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#xaxis Dashboard#xaxis}

---

##### `Yaxis`<sup>Optional</sup> <a name="Yaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition.property.yaxis"></a>

```go
Yaxis DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionYaxis
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionYaxis">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionYaxis</a>

yaxis block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#yaxis Dashboard#yaxis}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionCustomLink <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionCustomLink.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionCustomLink {
	IsHidden: interface{},
	Label: *string,
	Link: *string,
	OverrideLabel: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionCustomLink.property.isHidden">IsHidden</a></code> | <code>interface{}</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionCustomLink.property.label">Label</a></code> | <code>*string</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionCustomLink.property.link">Link</a></code> | <code>*string</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionCustomLink.property.overrideLabel">OverrideLabel</a></code> | <code>*string</code> | The label ID that refers to a context menu link item. |

---

##### `IsHidden`<sup>Optional</sup> <a name="IsHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionCustomLink.property.isHidden"></a>

```go
IsHidden interface{}
```

- *Type:* interface{}

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `Label`<sup>Optional</sup> <a name="Label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionCustomLink.property.label"></a>

```go
Label *string
```

- *Type:* *string

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `Link`<sup>Optional</sup> <a name="Link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionCustomLink.property.link"></a>

```go
Link *string
```

- *Type:* *string

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `OverrideLabel`<sup>Optional</sup> <a name="OverrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionCustomLink.property.overrideLabel"></a>

```go
OverrideLabel *string
```

- *Type:* *string

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequest <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequest.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequest {
	ScatterplotTable: interface{},
	X: interface{},
	Y: interface{},
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequest.property.scatterplotTable">ScatterplotTable</a></code> | <code>interface{}</code> | scatterplot_table block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequest.property.x">X</a></code> | <code>interface{}</code> | x block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequest.property.y">Y</a></code> | <code>interface{}</code> | y block. |

---

##### `ScatterplotTable`<sup>Optional</sup> <a name="ScatterplotTable" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequest.property.scatterplotTable"></a>

```go
ScatterplotTable interface{}
```

- *Type:* interface{}

scatterplot_table block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#scatterplot_table Dashboard#scatterplot_table}

---

##### `X`<sup>Optional</sup> <a name="X" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequest.property.x"></a>

```go
X interface{}
```

- *Type:* interface{}

x block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#x Dashboard#x}

---

##### `Y`<sup>Optional</sup> <a name="Y" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequest.property.y"></a>

```go
Y interface{}
```

- *Type:* interface{}

y block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#y Dashboard#y}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTable <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTable" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTable"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTable.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTable {
	Formula: interface{},
	Query: interface{},
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTable.property.formula">Formula</a></code> | <code>interface{}</code> | formula block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTable.property.query">Query</a></code> | <code>interface{}</code> | query block. |

---

##### `Formula`<sup>Optional</sup> <a name="Formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTable.property.formula"></a>

```go
Formula interface{}
```

- *Type:* interface{}

formula block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula Dashboard#formula}

---

##### `Query`<sup>Optional</sup> <a name="Query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTable.property.query"></a>

```go
Query interface{}
```

- *Type:* interface{}

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableFormula <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableFormula"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableFormula.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableFormula {
	Dimension: *string,
	FormulaExpression: *string,
	Alias: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableFormula.property.dimension">Dimension</a></code> | <code>*string</code> | Dimension of the Scatterplot. Valid values are `x`, `y`, `radius`, `color`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableFormula.property.formulaExpression">FormulaExpression</a></code> | <code>*string</code> | A string expression built from queries, formulas, and functions. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableFormula.property.alias">Alias</a></code> | <code>*string</code> | An expression alias. |

---

##### `Dimension`<sup>Required</sup> <a name="Dimension" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableFormula.property.dimension"></a>

```go
Dimension *string
```

- *Type:* *string

Dimension of the Scatterplot. Valid values are `x`, `y`, `radius`, `color`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#dimension Dashboard#dimension}

---

##### `FormulaExpression`<sup>Required</sup> <a name="FormulaExpression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableFormula.property.formulaExpression"></a>

```go
FormulaExpression *string
```

- *Type:* *string

A string expression built from queries, formulas, and functions.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula_expression Dashboard#formula_expression}

---

##### `Alias`<sup>Optional</sup> <a name="Alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableFormula.property.alias"></a>

```go
Alias *string
```

- *Type:* *string

An expression alias.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQuery {
	ApmDependencyStatsQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery,
	ApmResourceStatsQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery,
	EventQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery,
	MetricQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery,
	ProcessQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQuery.property.apmDependencyStatsQuery">ApmDependencyStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery</a></code> | apm_dependency_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQuery.property.apmResourceStatsQuery">ApmResourceStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery</a></code> | apm_resource_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQuery.property.eventQuery">EventQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery</a></code> | event_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQuery.property.metricQuery">MetricQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery</a></code> | metric_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQuery.property.processQuery">ProcessQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery</a></code> | process_query block. |

---

##### `ApmDependencyStatsQuery`<sup>Optional</sup> <a name="ApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQuery.property.apmDependencyStatsQuery"></a>

```go
ApmDependencyStatsQuery DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery</a>

apm_dependency_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_dependency_stats_query Dashboard#apm_dependency_stats_query}

---

##### `ApmResourceStatsQuery`<sup>Optional</sup> <a name="ApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQuery.property.apmResourceStatsQuery"></a>

```go
ApmResourceStatsQuery DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery</a>

apm_resource_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_resource_stats_query Dashboard#apm_resource_stats_query}

---

##### `EventQuery`<sup>Optional</sup> <a name="EventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQuery.property.eventQuery"></a>

```go
EventQuery DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery</a>

event_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_query Dashboard#event_query}

---

##### `MetricQuery`<sup>Optional</sup> <a name="MetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQuery.property.metricQuery"></a>

```go
MetricQuery DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery</a>

metric_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric_query Dashboard#metric_query}

---

##### `ProcessQuery`<sup>Optional</sup> <a name="ProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQuery.property.processQuery"></a>

```go
ProcessQuery DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery {
	DataSource: *string,
	Env: *string,
	Name: *string,
	OperationName: *string,
	ResourceName: *string,
	Service: *string,
	Stat: *string,
	IsUpstream: interface{},
	PrimaryTagName: *string,
	PrimaryTagValue: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.env">Env</a></code> | <code>*string</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.name">Name</a></code> | <code>*string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.operationName">OperationName</a></code> | <code>*string</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.resourceName">ResourceName</a></code> | <code>*string</code> | APM resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.service">Service</a></code> | <code>*string</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.stat">Stat</a></code> | <code>*string</code> | APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.isUpstream">IsUpstream</a></code> | <code>interface{}</code> | Determines whether stats for upstream or downstream dependencies should be queried. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.primaryTagName">PrimaryTagName</a></code> | <code>*string</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.primaryTagValue">PrimaryTagValue</a></code> | <code>*string</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `Env`<sup>Required</sup> <a name="Env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.env"></a>

```go
Env *string
```

- *Type:* *string

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `OperationName`<sup>Required</sup> <a name="OperationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.operationName"></a>

```go
OperationName *string
```

- *Type:* *string

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `ResourceName`<sup>Required</sup> <a name="ResourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.resourceName"></a>

```go
ResourceName *string
```

- *Type:* *string

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

##### `Service`<sup>Required</sup> <a name="Service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.service"></a>

```go
Service *string
```

- *Type:* *string

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `Stat`<sup>Required</sup> <a name="Stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.stat"></a>

```go
Stat *string
```

- *Type:* *string

APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `IsUpstream`<sup>Optional</sup> <a name="IsUpstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.isUpstream"></a>

```go
IsUpstream interface{}
```

- *Type:* interface{}

Determines whether stats for upstream or downstream dependencies should be queried.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_upstream Dashboard#is_upstream}

---

##### `PrimaryTagName`<sup>Optional</sup> <a name="PrimaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.primaryTagName"></a>

```go
PrimaryTagName *string
```

- *Type:* *string

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `PrimaryTagValue`<sup>Optional</sup> <a name="PrimaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.primaryTagValue"></a>

```go
PrimaryTagValue *string
```

- *Type:* *string

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery {
	DataSource: *string,
	Env: *string,
	Name: *string,
	Service: *string,
	Stat: *string,
	GroupBy: *[]*string,
	OperationName: *string,
	PrimaryTagName: *string,
	PrimaryTagValue: *string,
	ResourceName: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.env">Env</a></code> | <code>*string</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.name">Name</a></code> | <code>*string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.service">Service</a></code> | <code>*string</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.stat">Stat</a></code> | <code>*string</code> | APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.groupBy">GroupBy</a></code> | <code>*[]*string</code> | Array of fields to group results by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.operationName">OperationName</a></code> | <code>*string</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.primaryTagName">PrimaryTagName</a></code> | <code>*string</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.primaryTagValue">PrimaryTagValue</a></code> | <code>*string</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.resourceName">ResourceName</a></code> | <code>*string</code> | APM resource. |

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `Env`<sup>Required</sup> <a name="Env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.env"></a>

```go
Env *string
```

- *Type:* *string

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `Service`<sup>Required</sup> <a name="Service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.service"></a>

```go
Service *string
```

- *Type:* *string

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `Stat`<sup>Required</sup> <a name="Stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.stat"></a>

```go
Stat *string
```

- *Type:* *string

APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.groupBy"></a>

```go
GroupBy *[]*string
```

- *Type:* *[]*string

Array of fields to group results by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `OperationName`<sup>Optional</sup> <a name="OperationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.operationName"></a>

```go
OperationName *string
```

- *Type:* *string

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `PrimaryTagName`<sup>Optional</sup> <a name="PrimaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.primaryTagName"></a>

```go
PrimaryTagName *string
```

- *Type:* *string

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `PrimaryTagValue`<sup>Optional</sup> <a name="PrimaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.primaryTagValue"></a>

```go
PrimaryTagValue *string
```

- *Type:* *string

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

##### `ResourceName`<sup>Optional</sup> <a name="ResourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.resourceName"></a>

```go
ResourceName *string
```

- *Type:* *string

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery {
	Compute: interface{},
	DataSource: *string,
	Name: *string,
	GroupBy: interface{},
	Indexes: *[]*string,
	Search: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch,
	Storage: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.compute">Compute</a></code> | <code>interface{}</code> | compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for event platform-based queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.name">Name</a></code> | <code>*string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.indexes">Indexes</a></code> | <code>*[]*string</code> | An array of index names to query in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.search">Search</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch</a></code> | search block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.storage">Storage</a></code> | <code>*string</code> | Storage location (private beta). |

---

##### `Compute`<sup>Required</sup> <a name="Compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.compute"></a>

```go
Compute interface{}
```

- *Type:* interface{}

compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute Dashboard#compute}

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for event platform-based queries.

Valid values are `logs`, `spans`, `network`, `rum`, `security_signals`, `profiles`, `audit`, `events`, `ci_tests`, `ci_pipelines`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `Indexes`<sup>Optional</sup> <a name="Indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.indexes"></a>

```go
Indexes *[]*string
```

- *Type:* *[]*string

An array of index names to query in the stream.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `Search`<sup>Optional</sup> <a name="Search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.search"></a>

```go
Search DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch</a>

search block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search Dashboard#search}

---

##### `Storage`<sup>Optional</sup> <a name="Storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.storage"></a>

```go
Storage *string
```

- *Type:* *string

Storage location (private beta).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#storage Dashboard#storage}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute {
	Aggregation: *string,
	Interval: *f64,
	Metric: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation methods for event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute.property.interval">Interval</a></code> | <code>*f64</code> | A time interval in milliseconds. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute.property.metric">Metric</a></code> | <code>*string</code> | The measurable attribute to compute. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation methods for event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

A time interval in milliseconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

##### `Metric`<sup>Optional</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

The measurable attribute to compute.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	Sort: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The event facet. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The number of groups to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy.property.sort">Sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort</a></code> | sort block. |

---

##### `Facet`<sup>Required</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The event facet.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The number of groups to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `Sort`<sup>Optional</sup> <a name="Sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy.property.sort"></a>

```go
Sort DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort</a>

sort block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort {
	Aggregation: *string,
	Metric: *string,
	Order: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation methods for the event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort.property.metric">Metric</a></code> | <code>*string</code> | The metric used for sorting group by results. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort.property.order">Order</a></code> | <code>*string</code> | Direction of sort. Valid values are `asc`, `desc`. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation methods for the event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Metric`<sup>Optional</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

The metric used for sorting group by results.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `Order`<sup>Optional</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort.property.order"></a>

```go
Order *string
```

- *Type:* *string

Direction of sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch {
	Query: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch.property.query">Query</a></code> | <code>*string</code> | The events search string. |

---

##### `Query`<sup>Required</sup> <a name="Query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch.property.query"></a>

```go
Query *string
```

- *Type:* *string

The events search string.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery {
	Name: *string,
	Query: *string,
	Aggregator: *string,
	DataSource: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery.property.name">Name</a></code> | <code>*string</code> | The name of the query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery.property.query">Query</a></code> | <code>*string</code> | The metrics query definition. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery.property.aggregator">Aggregator</a></code> | <code>*string</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for metrics queries. |

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of the query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `Query`<sup>Required</sup> <a name="Query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery.property.query"></a>

```go
Query *string
```

- *Type:* *string

The metrics query definition.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `Aggregator`<sup>Optional</sup> <a name="Aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery.property.aggregator"></a>

```go
Aggregator *string
```

- *Type:* *string

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `DataSource`<sup>Optional</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for metrics queries.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery {
	DataSource: *string,
	Metric: *string,
	Name: *string,
	Aggregator: *string,
	IsNormalizedCpu: interface{},
	Limit: *f64,
	Sort: *string,
	TagFilters: *[]*string,
	TextFilter: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for process queries. Valid values are `process`, `container`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.metric">Metric</a></code> | <code>*string</code> | The process metric name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.name">Name</a></code> | <code>*string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.aggregator">Aggregator</a></code> | <code>*string</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.isNormalizedCpu">IsNormalizedCpu</a></code> | <code>interface{}</code> | Whether to normalize the CPU percentages. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.limit">Limit</a></code> | <code>*f64</code> | The number of hits to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.sort">Sort</a></code> | <code>*string</code> | The direction of the sort. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.tagFilters">TagFilters</a></code> | <code>*[]*string</code> | An array of tags to filter by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.textFilter">TextFilter</a></code> | <code>*string</code> | The text to use as a filter. |

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for process queries. Valid values are `process`, `container`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `Metric`<sup>Required</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

The process metric name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `Aggregator`<sup>Optional</sup> <a name="Aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.aggregator"></a>

```go
Aggregator *string
```

- *Type:* *string

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `IsNormalizedCpu`<sup>Optional</sup> <a name="IsNormalizedCpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.isNormalizedCpu"></a>

```go
IsNormalizedCpu interface{}
```

- *Type:* interface{}

Whether to normalize the CPU percentages.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_normalized_cpu Dashboard#is_normalized_cpu}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The number of hits to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `Sort`<sup>Optional</sup> <a name="Sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.sort"></a>

```go
Sort *string
```

- *Type:* *string

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `TagFilters`<sup>Optional</sup> <a name="TagFilters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.tagFilters"></a>

```go
TagFilters *[]*string
```

- *Type:* *[]*string

An array of tags to filter by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tag_filters Dashboard#tag_filters}

---

##### `TextFilter`<sup>Optional</sup> <a name="TextFilter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.textFilter"></a>

```go
TextFilter *string
```

- *Type:* *string

The text to use as a filter.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_filter Dashboard#text_filter}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX {
	Aggregator: *string,
	ApmQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQuery,
	LogQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQuery,
	ProcessQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXProcessQuery,
	Q: *string,
	RumQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQuery,
	SecurityQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX.property.aggregator">Aggregator</a></code> | <code>*string</code> | Aggregator used for the request. Valid values are `avg`, `last`, `max`, `min`, `sum`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX.property.apmQuery">ApmQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX.property.logQuery">LogQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX.property.processQuery">ProcessQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXProcessQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX.property.q">Q</a></code> | <code>*string</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX.property.rumQuery">RumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX.property.securityQuery">SecurityQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQuery</a></code> | security_query block. |

---

##### `Aggregator`<sup>Optional</sup> <a name="Aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX.property.aggregator"></a>

```go
Aggregator *string
```

- *Type:* *string

Aggregator used for the request. Valid values are `avg`, `last`, `max`, `min`, `sum`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `ApmQuery`<sup>Optional</sup> <a name="ApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX.property.apmQuery"></a>

```go
ApmQuery DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `LogQuery`<sup>Optional</sup> <a name="LogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX.property.logQuery"></a>

```go
LogQuery DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `ProcessQuery`<sup>Optional</sup> <a name="ProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX.property.processQuery"></a>

```go
ProcessQuery DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXProcessQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `Q`<sup>Optional</sup> <a name="Q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX.property.q"></a>

```go
Q *string
```

- *Type:* *string

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `RumQuery`<sup>Optional</sup> <a name="RumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX.property.rumQuery"></a>

```go
RumQuery DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `SecurityQuery`<sup>Optional</sup> <a name="SecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX.property.securityQuery"></a>

```go
SecurityQuery DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXProcessQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXProcessQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXProcessQuery {
	Metric: *string,
	FilterBy: *[]*string,
	Limit: *f64,
	SearchBy: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXProcessQuery.property.metric">Metric</a></code> | <code>*string</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXProcessQuery.property.filterBy">FilterBy</a></code> | <code>*[]*string</code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXProcessQuery.property.limit">Limit</a></code> | <code>*f64</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXProcessQuery.property.searchBy">SearchBy</a></code> | <code>*string</code> | Your chosen search term. |

---

##### `Metric`<sup>Required</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXProcessQuery.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `FilterBy`<sup>Optional</sup> <a name="FilterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXProcessQuery.property.filterBy"></a>

```go
FilterBy *[]*string
```

- *Type:* *[]*string

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXProcessQuery.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SearchBy`<sup>Optional</sup> <a name="SearchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXProcessQuery.property.searchBy"></a>

```go
SearchBy *string
```

- *Type:* *string

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY {
	Aggregator: *string,
	ApmQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQuery,
	LogQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQuery,
	ProcessQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYProcessQuery,
	Q: *string,
	RumQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQuery,
	SecurityQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY.property.aggregator">Aggregator</a></code> | <code>*string</code> | Aggregator used for the request. Valid values are `avg`, `last`, `max`, `min`, `sum`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY.property.apmQuery">ApmQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY.property.logQuery">LogQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY.property.processQuery">ProcessQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYProcessQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY.property.q">Q</a></code> | <code>*string</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY.property.rumQuery">RumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY.property.securityQuery">SecurityQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQuery</a></code> | security_query block. |

---

##### `Aggregator`<sup>Optional</sup> <a name="Aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY.property.aggregator"></a>

```go
Aggregator *string
```

- *Type:* *string

Aggregator used for the request. Valid values are `avg`, `last`, `max`, `min`, `sum`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `ApmQuery`<sup>Optional</sup> <a name="ApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY.property.apmQuery"></a>

```go
ApmQuery DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `LogQuery`<sup>Optional</sup> <a name="LogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY.property.logQuery"></a>

```go
LogQuery DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `ProcessQuery`<sup>Optional</sup> <a name="ProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY.property.processQuery"></a>

```go
ProcessQuery DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYProcessQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `Q`<sup>Optional</sup> <a name="Q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY.property.q"></a>

```go
Q *string
```

- *Type:* *string

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `RumQuery`<sup>Optional</sup> <a name="RumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY.property.rumQuery"></a>

```go
RumQuery DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `SecurityQuery`<sup>Optional</sup> <a name="SecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY.property.securityQuery"></a>

```go
SecurityQuery DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYProcessQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYProcessQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYProcessQuery {
	Metric: *string,
	FilterBy: *[]*string,
	Limit: *f64,
	SearchBy: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYProcessQuery.property.metric">Metric</a></code> | <code>*string</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYProcessQuery.property.filterBy">FilterBy</a></code> | <code>*[]*string</code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYProcessQuery.property.limit">Limit</a></code> | <code>*f64</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYProcessQuery.property.searchBy">SearchBy</a></code> | <code>*string</code> | Your chosen search term. |

---

##### `Metric`<sup>Required</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYProcessQuery.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `FilterBy`<sup>Optional</sup> <a name="FilterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYProcessQuery.property.filterBy"></a>

```go
FilterBy *[]*string
```

- *Type:* *[]*string

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYProcessQuery.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SearchBy`<sup>Optional</sup> <a name="SearchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYProcessQuery.property.searchBy"></a>

```go
SearchBy *string
```

- *Type:* *string

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionXaxis <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionXaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionXaxis"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionXaxis.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionXaxis {
	IncludeZero: interface{},
	Label: *string,
	Max: *string,
	Min: *string,
	Scale: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionXaxis.property.includeZero">IncludeZero</a></code> | <code>interface{}</code> | Always include zero or fit the axis to the data range. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionXaxis.property.label">Label</a></code> | <code>*string</code> | The label of the axis to display on the graph. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionXaxis.property.max">Max</a></code> | <code>*string</code> | Specify the maximum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionXaxis.property.min">Min</a></code> | <code>*string</code> | Specify the minimum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionXaxis.property.scale">Scale</a></code> | <code>*string</code> | Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`. |

---

##### `IncludeZero`<sup>Optional</sup> <a name="IncludeZero" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionXaxis.property.includeZero"></a>

```go
IncludeZero interface{}
```

- *Type:* interface{}

Always include zero or fit the axis to the data range.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#include_zero Dashboard#include_zero}

---

##### `Label`<sup>Optional</sup> <a name="Label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionXaxis.property.label"></a>

```go
Label *string
```

- *Type:* *string

The label of the axis to display on the graph.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `Max`<sup>Optional</sup> <a name="Max" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionXaxis.property.max"></a>

```go
Max *string
```

- *Type:* *string

Specify the maximum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#max Dashboard#max}

---

##### `Min`<sup>Optional</sup> <a name="Min" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionXaxis.property.min"></a>

```go
Min *string
```

- *Type:* *string

Specify the minimum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#min Dashboard#min}

---

##### `Scale`<sup>Optional</sup> <a name="Scale" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionXaxis.property.scale"></a>

```go
Scale *string
```

- *Type:* *string

Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#scale Dashboard#scale}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionYaxis <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionYaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionYaxis"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionYaxis.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionYaxis {
	IncludeZero: interface{},
	Label: *string,
	Max: *string,
	Min: *string,
	Scale: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionYaxis.property.includeZero">IncludeZero</a></code> | <code>interface{}</code> | Always include zero or fit the axis to the data range. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionYaxis.property.label">Label</a></code> | <code>*string</code> | The label of the axis to display on the graph. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionYaxis.property.max">Max</a></code> | <code>*string</code> | Specify the maximum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionYaxis.property.min">Min</a></code> | <code>*string</code> | Specify the minimum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionYaxis.property.scale">Scale</a></code> | <code>*string</code> | Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`. |

---

##### `IncludeZero`<sup>Optional</sup> <a name="IncludeZero" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionYaxis.property.includeZero"></a>

```go
IncludeZero interface{}
```

- *Type:* interface{}

Always include zero or fit the axis to the data range.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#include_zero Dashboard#include_zero}

---

##### `Label`<sup>Optional</sup> <a name="Label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionYaxis.property.label"></a>

```go
Label *string
```

- *Type:* *string

The label of the axis to display on the graph.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `Max`<sup>Optional</sup> <a name="Max" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionYaxis.property.max"></a>

```go
Max *string
```

- *Type:* *string

Specify the maximum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#max Dashboard#max}

---

##### `Min`<sup>Optional</sup> <a name="Min" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionYaxis.property.min"></a>

```go
Min *string
```

- *Type:* *string

Specify the minimum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#min Dashboard#min}

---

##### `Scale`<sup>Optional</sup> <a name="Scale" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionYaxis.property.scale"></a>

```go
Scale *string
```

- *Type:* *string

Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#scale Dashboard#scale}

---

### DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition <a name="DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition {
	SloId: *string,
	TimeWindows: *[]*string,
	ViewMode: *string,
	ViewType: *string,
	GlobalTimeTarget: *string,
	ShowErrorBudget: interface{},
	Title: *string,
	TitleAlign: *string,
	TitleSize: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition.property.sloId">SloId</a></code> | <code>*string</code> | The ID of the service level objective used by the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition.property.timeWindows">TimeWindows</a></code> | <code>*[]*string</code> | A list of time windows to display in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition.property.viewMode">ViewMode</a></code> | <code>*string</code> | The view mode for the widget. Valid values are `overall`, `component`, `both`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition.property.viewType">ViewType</a></code> | <code>*string</code> | The type of view to use when displaying the widget. Only `detail` is supported. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition.property.globalTimeTarget">GlobalTimeTarget</a></code> | <code>*string</code> | The global time target of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition.property.showErrorBudget">ShowErrorBudget</a></code> | <code>interface{}</code> | Whether to show the error budget or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition.property.title">Title</a></code> | <code>*string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition.property.titleAlign">TitleAlign</a></code> | <code>*string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition.property.titleSize">TitleSize</a></code> | <code>*string</code> | The size of the widget's title (defaults to 16). |

---

##### `SloId`<sup>Required</sup> <a name="SloId" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition.property.sloId"></a>

```go
SloId *string
```

- *Type:* *string

The ID of the service level objective used by the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#slo_id Dashboard#slo_id}

---

##### `TimeWindows`<sup>Required</sup> <a name="TimeWindows" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition.property.timeWindows"></a>

```go
TimeWindows *[]*string
```

- *Type:* *[]*string

A list of time windows to display in the widget.

Valid values are `7d`, `30d`, `90d`, `week_to_date`, `previous_week`, `month_to_date`, `previous_month`, `global_time`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#time_windows Dashboard#time_windows}

---

##### `ViewMode`<sup>Required</sup> <a name="ViewMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition.property.viewMode"></a>

```go
ViewMode *string
```

- *Type:* *string

The view mode for the widget. Valid values are `overall`, `component`, `both`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#view_mode Dashboard#view_mode}

---

##### `ViewType`<sup>Required</sup> <a name="ViewType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition.property.viewType"></a>

```go
ViewType *string
```

- *Type:* *string

The type of view to use when displaying the widget. Only `detail` is supported.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#view_type Dashboard#view_type}

---

##### `GlobalTimeTarget`<sup>Optional</sup> <a name="GlobalTimeTarget" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition.property.globalTimeTarget"></a>

```go
GlobalTimeTarget *string
```

- *Type:* *string

The global time target of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#global_time_target Dashboard#global_time_target}

---

##### `ShowErrorBudget`<sup>Optional</sup> <a name="ShowErrorBudget" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition.property.showErrorBudget"></a>

```go
ShowErrorBudget interface{}
```

- *Type:* interface{}

Whether to show the error budget or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_error_budget Dashboard#show_error_budget}

---

##### `Title`<sup>Optional</sup> <a name="Title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition.property.title"></a>

```go
Title *string
```

- *Type:* *string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `TitleAlign`<sup>Optional</sup> <a name="TitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition.property.titleAlign"></a>

```go
TitleAlign *string
```

- *Type:* *string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `TitleSize`<sup>Optional</sup> <a name="TitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition.property.titleSize"></a>

```go
TitleSize *string
```

- *Type:* *string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGroupDefinitionWidgetServicemapDefinition <a name="DashboardWidgetGroupDefinitionWidgetServicemapDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinition.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinition {
	Filters: *[]*string,
	Service: *string,
	CustomLink: interface{},
	Title: *string,
	TitleAlign: *string,
	TitleSize: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinition.property.filters">Filters</a></code> | <code>*[]*string</code> | Your environment and primary tag (or `*` if enabled for your account). |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinition.property.service">Service</a></code> | <code>*string</code> | The ID of the service to map. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinition.property.customLink">CustomLink</a></code> | <code>interface{}</code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinition.property.title">Title</a></code> | <code>*string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinition.property.titleAlign">TitleAlign</a></code> | <code>*string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinition.property.titleSize">TitleSize</a></code> | <code>*string</code> | The size of the widget's title (defaults to 16). |

---

##### `Filters`<sup>Required</sup> <a name="Filters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinition.property.filters"></a>

```go
Filters *[]*string
```

- *Type:* *[]*string

Your environment and primary tag (or `*` if enabled for your account).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filters Dashboard#filters}

---

##### `Service`<sup>Required</sup> <a name="Service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinition.property.service"></a>

```go
Service *string
```

- *Type:* *string

The ID of the service to map.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `CustomLink`<sup>Optional</sup> <a name="CustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinition.property.customLink"></a>

```go
CustomLink interface{}
```

- *Type:* interface{}

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `Title`<sup>Optional</sup> <a name="Title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinition.property.title"></a>

```go
Title *string
```

- *Type:* *string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `TitleAlign`<sup>Optional</sup> <a name="TitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinition.property.titleAlign"></a>

```go
TitleAlign *string
```

- *Type:* *string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `TitleSize`<sup>Optional</sup> <a name="TitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinition.property.titleSize"></a>

```go
TitleSize *string
```

- *Type:* *string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGroupDefinitionWidgetServicemapDefinitionCustomLink <a name="DashboardWidgetGroupDefinitionWidgetServicemapDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinitionCustomLink.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinitionCustomLink {
	IsHidden: interface{},
	Label: *string,
	Link: *string,
	OverrideLabel: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinitionCustomLink.property.isHidden">IsHidden</a></code> | <code>interface{}</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinitionCustomLink.property.label">Label</a></code> | <code>*string</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinitionCustomLink.property.link">Link</a></code> | <code>*string</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinitionCustomLink.property.overrideLabel">OverrideLabel</a></code> | <code>*string</code> | The label ID that refers to a context menu link item. |

---

##### `IsHidden`<sup>Optional</sup> <a name="IsHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinitionCustomLink.property.isHidden"></a>

```go
IsHidden interface{}
```

- *Type:* interface{}

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `Label`<sup>Optional</sup> <a name="Label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinitionCustomLink.property.label"></a>

```go
Label *string
```

- *Type:* *string

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `Link`<sup>Optional</sup> <a name="Link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinitionCustomLink.property.link"></a>

```go
Link *string
```

- *Type:* *string

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `OverrideLabel`<sup>Optional</sup> <a name="OverrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinitionCustomLink.property.overrideLabel"></a>

```go
OverrideLabel *string
```

- *Type:* *string

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetGroupDefinitionWidgetSloListDefinition <a name="DashboardWidgetGroupDefinitionWidgetSloListDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinition.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinition {
	Request: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequest,
	Title: *string,
	TitleAlign: *string,
	TitleSize: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinition.property.request">Request</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequest">DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequest</a></code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinition.property.title">Title</a></code> | <code>*string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinition.property.titleAlign">TitleAlign</a></code> | <code>*string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinition.property.titleSize">TitleSize</a></code> | <code>*string</code> | The size of the widget's title (defaults to 16). |

---

##### `Request`<sup>Required</sup> <a name="Request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinition.property.request"></a>

```go
Request DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequest
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequest">DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequest</a>

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `Title`<sup>Optional</sup> <a name="Title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinition.property.title"></a>

```go
Title *string
```

- *Type:* *string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `TitleAlign`<sup>Optional</sup> <a name="TitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinition.property.titleAlign"></a>

```go
TitleAlign *string
```

- *Type:* *string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `TitleSize`<sup>Optional</sup> <a name="TitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinition.property.titleSize"></a>

```go
TitleSize *string
```

- *Type:* *string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequest <a name="DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequest.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequest {
	Query: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequestQuery,
	RequestType: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequest.property.query">Query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequestQuery">DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequestQuery</a></code> | query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequest.property.requestType">RequestType</a></code> | <code>*string</code> | The request type for the SLO List request. Valid values are `slo_list`. |

---

##### `Query`<sup>Required</sup> <a name="Query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequest.property.query"></a>

```go
Query DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequestQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequestQuery">DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequestQuery</a>

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `RequestType`<sup>Required</sup> <a name="RequestType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequest.property.requestType"></a>

```go
RequestType *string
```

- *Type:* *string

The request type for the SLO List request. Valid values are `slo_list`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request_type Dashboard#request_type}

---

### DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequestQuery <a name="DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequestQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequestQuery {
	QueryString: *string,
	Limit: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequestQuery.property.queryString">QueryString</a></code> | <code>*string</code> | Widget query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequestQuery.property.limit">Limit</a></code> | <code>*f64</code> | Maximum number of results to display in the table. |

---

##### `QueryString`<sup>Required</sup> <a name="QueryString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequestQuery.property.queryString"></a>

```go
QueryString *string
```

- *Type:* *string

Widget query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query_string Dashboard#query_string}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequestQuery.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

Maximum number of results to display in the table.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinition <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition {
	CustomLink: interface{},
	HideTotal: interface{},
	LegendInline: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendInline,
	LegendTable: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendTable,
	LiveSpan: *string,
	Request: interface{},
	Title: *string,
	TitleAlign: *string,
	TitleSize: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition.property.customLink">CustomLink</a></code> | <code>interface{}</code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition.property.hideTotal">HideTotal</a></code> | <code>interface{}</code> | Whether or not to show the total value in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition.property.legendInline">LegendInline</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendInline">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendInline</a></code> | legend_inline block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition.property.legendTable">LegendTable</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendTable">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendTable</a></code> | legend_table block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition.property.liveSpan">LiveSpan</a></code> | <code>*string</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition.property.request">Request</a></code> | <code>interface{}</code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition.property.title">Title</a></code> | <code>*string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition.property.titleAlign">TitleAlign</a></code> | <code>*string</code> | The alignment of the widget's title. One of `left`, `center`, or `right`. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition.property.titleSize">TitleSize</a></code> | <code>*string</code> | The size of the widget's title. Default is 16. |

---

##### `CustomLink`<sup>Optional</sup> <a name="CustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition.property.customLink"></a>

```go
CustomLink interface{}
```

- *Type:* interface{}

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `HideTotal`<sup>Optional</sup> <a name="HideTotal" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition.property.hideTotal"></a>

```go
HideTotal interface{}
```

- *Type:* interface{}

Whether or not to show the total value in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_total Dashboard#hide_total}

---

##### `LegendInline`<sup>Optional</sup> <a name="LegendInline" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition.property.legendInline"></a>

```go
LegendInline DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendInline
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendInline">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendInline</a>

legend_inline block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#legend_inline Dashboard#legend_inline}

---

##### `LegendTable`<sup>Optional</sup> <a name="LegendTable" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition.property.legendTable"></a>

```go
LegendTable DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendTable
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendTable">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendTable</a>

legend_table block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#legend_table Dashboard#legend_table}

---

##### `LiveSpan`<sup>Optional</sup> <a name="LiveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition.property.liveSpan"></a>

```go
LiveSpan *string
```

- *Type:* *string

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `Request`<sup>Optional</sup> <a name="Request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition.property.request"></a>

```go
Request interface{}
```

- *Type:* interface{}

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `Title`<sup>Optional</sup> <a name="Title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition.property.title"></a>

```go
Title *string
```

- *Type:* *string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `TitleAlign`<sup>Optional</sup> <a name="TitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition.property.titleAlign"></a>

```go
TitleAlign *string
```

- *Type:* *string

The alignment of the widget's title. One of `left`, `center`, or `right`. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `TitleSize`<sup>Optional</sup> <a name="TitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition.property.titleSize"></a>

```go
TitleSize *string
```

- *Type:* *string

The size of the widget's title. Default is 16.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionCustomLink <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionCustomLink.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionCustomLink {
	IsHidden: interface{},
	Label: *string,
	Link: *string,
	OverrideLabel: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionCustomLink.property.isHidden">IsHidden</a></code> | <code>interface{}</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionCustomLink.property.label">Label</a></code> | <code>*string</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionCustomLink.property.link">Link</a></code> | <code>*string</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionCustomLink.property.overrideLabel">OverrideLabel</a></code> | <code>*string</code> | The label ID that refers to a context menu link item. |

---

##### `IsHidden`<sup>Optional</sup> <a name="IsHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionCustomLink.property.isHidden"></a>

```go
IsHidden interface{}
```

- *Type:* interface{}

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `Label`<sup>Optional</sup> <a name="Label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionCustomLink.property.label"></a>

```go
Label *string
```

- *Type:* *string

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `Link`<sup>Optional</sup> <a name="Link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionCustomLink.property.link"></a>

```go
Link *string
```

- *Type:* *string

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `OverrideLabel`<sup>Optional</sup> <a name="OverrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionCustomLink.property.overrideLabel"></a>

```go
OverrideLabel *string
```

- *Type:* *string

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendInline <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendInline" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendInline"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendInline.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendInline {
	Type: *string,
	HidePercent: interface{},
	HideValue: interface{},
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendInline.property.type">Type</a></code> | <code>*string</code> | The type of legend (inline or automatic). Valid values are `inline`, `automatic`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendInline.property.hidePercent">HidePercent</a></code> | <code>interface{}</code> | Whether to hide the percentages of the groups. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendInline.property.hideValue">HideValue</a></code> | <code>interface{}</code> | Whether to hide the values of the groups. |

---

##### `Type`<sup>Required</sup> <a name="Type" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendInline.property.type"></a>

```go
Type *string
```

- *Type:* *string

The type of legend (inline or automatic). Valid values are `inline`, `automatic`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#type Dashboard#type}

---

##### `HidePercent`<sup>Optional</sup> <a name="HidePercent" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendInline.property.hidePercent"></a>

```go
HidePercent interface{}
```

- *Type:* interface{}

Whether to hide the percentages of the groups.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_percent Dashboard#hide_percent}

---

##### `HideValue`<sup>Optional</sup> <a name="HideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendInline.property.hideValue"></a>

```go
HideValue interface{}
```

- *Type:* interface{}

Whether to hide the values of the groups.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendTable <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendTable" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendTable"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendTable.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendTable {
	Type: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendTable.property.type">Type</a></code> | <code>*string</code> | The type of legend (table or none). Valid values are `table`, `none`. |

---

##### `Type`<sup>Required</sup> <a name="Type" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendTable.property.type"></a>

```go
Type *string
```

- *Type:* *string

The type of legend (table or none). Valid values are `table`, `none`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#type Dashboard#type}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest {
	ApmQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQuery,
	AuditQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQuery,
	Formula: interface{},
	LogQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQuery,
	NetworkQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQuery,
	ProcessQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestProcessQuery,
	Q: *string,
	Query: interface{},
	RumQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQuery,
	SecurityQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest.property.apmQuery">ApmQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest.property.auditQuery">AuditQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQuery</a></code> | audit_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest.property.formula">Formula</a></code> | <code>interface{}</code> | formula block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest.property.logQuery">LogQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest.property.networkQuery">NetworkQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQuery</a></code> | network_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest.property.processQuery">ProcessQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestProcessQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest.property.q">Q</a></code> | <code>*string</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest.property.query">Query</a></code> | <code>interface{}</code> | query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest.property.rumQuery">RumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest.property.securityQuery">SecurityQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQuery</a></code> | security_query block. |

---

##### `ApmQuery`<sup>Optional</sup> <a name="ApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest.property.apmQuery"></a>

```go
ApmQuery DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `AuditQuery`<sup>Optional</sup> <a name="AuditQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest.property.auditQuery"></a>

```go
AuditQuery DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQuery</a>

audit_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#audit_query Dashboard#audit_query}

---

##### `Formula`<sup>Optional</sup> <a name="Formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest.property.formula"></a>

```go
Formula interface{}
```

- *Type:* interface{}

formula block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula Dashboard#formula}

---

##### `LogQuery`<sup>Optional</sup> <a name="LogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest.property.logQuery"></a>

```go
LogQuery DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `NetworkQuery`<sup>Optional</sup> <a name="NetworkQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest.property.networkQuery"></a>

```go
NetworkQuery DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQuery</a>

network_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#network_query Dashboard#network_query}

---

##### `ProcessQuery`<sup>Optional</sup> <a name="ProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest.property.processQuery"></a>

```go
ProcessQuery DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestProcessQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `Q`<sup>Optional</sup> <a name="Q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest.property.q"></a>

```go
Q *string
```

- *Type:* *string

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `Query`<sup>Optional</sup> <a name="Query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest.property.query"></a>

```go
Query interface{}
```

- *Type:* interface{}

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `RumQuery`<sup>Optional</sup> <a name="RumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest.property.rumQuery"></a>

```go
RumQuery DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `SecurityQuery`<sup>Optional</sup> <a name="SecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest.property.securityQuery"></a>

```go
SecurityQuery DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormula <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormula"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormula.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormula {
	FormulaExpression: *string,
	Alias: *string,
	CellDisplayMode: *string,
	ConditionalFormats: interface{},
	Limit: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaLimit,
	Style: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaStyle,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormula.property.formulaExpression">FormulaExpression</a></code> | <code>*string</code> | A string expression built from queries, formulas, and functions. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormula.property.alias">Alias</a></code> | <code>*string</code> | An expression alias. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormula.property.cellDisplayMode">CellDisplayMode</a></code> | <code>*string</code> | A list of display modes for each table cell. Valid values are `number`, `bar`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormula.property.conditionalFormats">ConditionalFormats</a></code> | <code>interface{}</code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormula.property.limit">Limit</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaLimit">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaLimit</a></code> | limit block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormula.property.style">Style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaStyle">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaStyle</a></code> | style block. |

---

##### `FormulaExpression`<sup>Required</sup> <a name="FormulaExpression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormula.property.formulaExpression"></a>

```go
FormulaExpression *string
```

- *Type:* *string

A string expression built from queries, formulas, and functions.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula_expression Dashboard#formula_expression}

---

##### `Alias`<sup>Optional</sup> <a name="Alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormula.property.alias"></a>

```go
Alias *string
```

- *Type:* *string

An expression alias.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `CellDisplayMode`<sup>Optional</sup> <a name="CellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormula.property.cellDisplayMode"></a>

```go
CellDisplayMode *string
```

- *Type:* *string

A list of display modes for each table cell. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `ConditionalFormats`<sup>Optional</sup> <a name="ConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormula.property.conditionalFormats"></a>

```go
ConditionalFormats interface{}
```

- *Type:* interface{}

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormula.property.limit"></a>

```go
Limit DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaLimit
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaLimit">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaLimit</a>

limit block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `Style`<sup>Optional</sup> <a name="Style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormula.property.style"></a>

```go
Style DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaStyle
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaStyle">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats {
	Comparator: *string,
	Palette: *string,
	Value: *f64,
	CustomBgColor: *string,
	CustomFgColor: *string,
	HideValue: interface{},
	ImageUrl: *string,
	Metric: *string,
	Timeframe: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.comparator">Comparator</a></code> | <code>*string</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.palette">Palette</a></code> | <code>*string</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.value">Value</a></code> | <code>*f64</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.customBgColor">CustomBgColor</a></code> | <code>*string</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.customFgColor">CustomFgColor</a></code> | <code>*string</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.hideValue">HideValue</a></code> | <code>interface{}</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.imageUrl">ImageUrl</a></code> | <code>*string</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.metric">Metric</a></code> | <code>*string</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.timeframe">Timeframe</a></code> | <code>*string</code> | Defines the displayed timeframe. |

---

##### `Comparator`<sup>Required</sup> <a name="Comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.comparator"></a>

```go
Comparator *string
```

- *Type:* *string

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `Palette`<sup>Required</sup> <a name="Palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.palette"></a>

```go
Palette *string
```

- *Type:* *string

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `Value`<sup>Required</sup> <a name="Value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.value"></a>

```go
Value *f64
```

- *Type:* *f64

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `CustomBgColor`<sup>Optional</sup> <a name="CustomBgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.customBgColor"></a>

```go
CustomBgColor *string
```

- *Type:* *string

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `CustomFgColor`<sup>Optional</sup> <a name="CustomFgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.customFgColor"></a>

```go
CustomFgColor *string
```

- *Type:* *string

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `HideValue`<sup>Optional</sup> <a name="HideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.hideValue"></a>

```go
HideValue interface{}
```

- *Type:* interface{}

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `ImageUrl`<sup>Optional</sup> <a name="ImageUrl" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.imageUrl"></a>

```go
ImageUrl *string
```

- *Type:* *string

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `Metric`<sup>Optional</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `Timeframe`<sup>Optional</sup> <a name="Timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.timeframe"></a>

```go
Timeframe *string
```

- *Type:* *string

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaLimit <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaLimit"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaLimit.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaLimit {
	Count: *f64,
	Order: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaLimit.property.count">Count</a></code> | <code>*f64</code> | The number of results to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaLimit.property.order">Order</a></code> | <code>*string</code> | The direction of the sort. Valid values are `asc`, `desc`. |

---

##### `Count`<sup>Optional</sup> <a name="Count" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaLimit.property.count"></a>

```go
Count *f64
```

- *Type:* *f64

The number of results to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#count Dashboard#count}

---

##### `Order`<sup>Optional</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaLimit.property.order"></a>

```go
Order *string
```

- *Type:* *string

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaStyle <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaStyle.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaStyle {
	Palette: *string,
	PaletteIndex: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaStyle.property.palette">Palette</a></code> | <code>*string</code> | The color palette used to display the formula. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaStyle.property.paletteIndex">PaletteIndex</a></code> | <code>*f64</code> | Index specifying which color to use within the palette. |

---

##### `Palette`<sup>Optional</sup> <a name="Palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaStyle.property.palette"></a>

```go
Palette *string
```

- *Type:* *string

The color palette used to display the formula.

A guide to the available color palettes can be found at https://docs.datadoghq.com/dashboards/guide/widget_colors

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `PaletteIndex`<sup>Optional</sup> <a name="PaletteIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaStyle.property.paletteIndex"></a>

```go
PaletteIndex *f64
```

- *Type:* *f64

Index specifying which color to use within the palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette_index Dashboard#palette_index}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestProcessQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestProcessQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestProcessQuery {
	Metric: *string,
	FilterBy: *[]*string,
	Limit: *f64,
	SearchBy: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestProcessQuery.property.metric">Metric</a></code> | <code>*string</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestProcessQuery.property.filterBy">FilterBy</a></code> | <code>*[]*string</code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestProcessQuery.property.limit">Limit</a></code> | <code>*f64</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestProcessQuery.property.searchBy">SearchBy</a></code> | <code>*string</code> | Your chosen search term. |

---

##### `Metric`<sup>Required</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestProcessQuery.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `FilterBy`<sup>Optional</sup> <a name="FilterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestProcessQuery.property.filterBy"></a>

```go
FilterBy *[]*string
```

- *Type:* *[]*string

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestProcessQuery.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SearchBy`<sup>Optional</sup> <a name="SearchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestProcessQuery.property.searchBy"></a>

```go
SearchBy *string
```

- *Type:* *string

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQuery {
	ApmDependencyStatsQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery,
	ApmResourceStatsQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery,
	EventQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery,
	MetricQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryMetricQuery,
	ProcessQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQuery.property.apmDependencyStatsQuery">ApmDependencyStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery</a></code> | apm_dependency_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQuery.property.apmResourceStatsQuery">ApmResourceStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery</a></code> | apm_resource_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQuery.property.eventQuery">EventQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery</a></code> | event_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQuery.property.metricQuery">MetricQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryMetricQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryMetricQuery</a></code> | metric_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQuery.property.processQuery">ProcessQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery</a></code> | process_query block. |

---

##### `ApmDependencyStatsQuery`<sup>Optional</sup> <a name="ApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQuery.property.apmDependencyStatsQuery"></a>

```go
ApmDependencyStatsQuery DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery</a>

apm_dependency_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_dependency_stats_query Dashboard#apm_dependency_stats_query}

---

##### `ApmResourceStatsQuery`<sup>Optional</sup> <a name="ApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQuery.property.apmResourceStatsQuery"></a>

```go
ApmResourceStatsQuery DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery</a>

apm_resource_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_resource_stats_query Dashboard#apm_resource_stats_query}

---

##### `EventQuery`<sup>Optional</sup> <a name="EventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQuery.property.eventQuery"></a>

```go
EventQuery DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery</a>

event_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_query Dashboard#event_query}

---

##### `MetricQuery`<sup>Optional</sup> <a name="MetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQuery.property.metricQuery"></a>

```go
MetricQuery DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryMetricQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryMetricQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryMetricQuery</a>

metric_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric_query Dashboard#metric_query}

---

##### `ProcessQuery`<sup>Optional</sup> <a name="ProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQuery.property.processQuery"></a>

```go
ProcessQuery DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery {
	DataSource: *string,
	Env: *string,
	Name: *string,
	OperationName: *string,
	ResourceName: *string,
	Service: *string,
	Stat: *string,
	IsUpstream: interface{},
	PrimaryTagName: *string,
	PrimaryTagValue: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.env">Env</a></code> | <code>*string</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.name">Name</a></code> | <code>*string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.operationName">OperationName</a></code> | <code>*string</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName">ResourceName</a></code> | <code>*string</code> | APM resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.service">Service</a></code> | <code>*string</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.stat">Stat</a></code> | <code>*string</code> | APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream">IsUpstream</a></code> | <code>interface{}</code> | Determines whether stats for upstream or downstream dependencies should be queried. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName">PrimaryTagName</a></code> | <code>*string</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue">PrimaryTagValue</a></code> | <code>*string</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `Env`<sup>Required</sup> <a name="Env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.env"></a>

```go
Env *string
```

- *Type:* *string

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `OperationName`<sup>Required</sup> <a name="OperationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.operationName"></a>

```go
OperationName *string
```

- *Type:* *string

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `ResourceName`<sup>Required</sup> <a name="ResourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName"></a>

```go
ResourceName *string
```

- *Type:* *string

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

##### `Service`<sup>Required</sup> <a name="Service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.service"></a>

```go
Service *string
```

- *Type:* *string

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `Stat`<sup>Required</sup> <a name="Stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.stat"></a>

```go
Stat *string
```

- *Type:* *string

APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `IsUpstream`<sup>Optional</sup> <a name="IsUpstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream"></a>

```go
IsUpstream interface{}
```

- *Type:* interface{}

Determines whether stats for upstream or downstream dependencies should be queried.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_upstream Dashboard#is_upstream}

---

##### `PrimaryTagName`<sup>Optional</sup> <a name="PrimaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName"></a>

```go
PrimaryTagName *string
```

- *Type:* *string

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `PrimaryTagValue`<sup>Optional</sup> <a name="PrimaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue"></a>

```go
PrimaryTagValue *string
```

- *Type:* *string

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery {
	DataSource: *string,
	Env: *string,
	Name: *string,
	Service: *string,
	Stat: *string,
	GroupBy: *[]*string,
	OperationName: *string,
	PrimaryTagName: *string,
	PrimaryTagValue: *string,
	ResourceName: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.env">Env</a></code> | <code>*string</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.name">Name</a></code> | <code>*string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.service">Service</a></code> | <code>*string</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.stat">Stat</a></code> | <code>*string</code> | APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.groupBy">GroupBy</a></code> | <code>*[]*string</code> | Array of fields to group results by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.operationName">OperationName</a></code> | <code>*string</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName">PrimaryTagName</a></code> | <code>*string</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue">PrimaryTagValue</a></code> | <code>*string</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.resourceName">ResourceName</a></code> | <code>*string</code> | APM resource. |

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `Env`<sup>Required</sup> <a name="Env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.env"></a>

```go
Env *string
```

- *Type:* *string

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `Service`<sup>Required</sup> <a name="Service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.service"></a>

```go
Service *string
```

- *Type:* *string

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `Stat`<sup>Required</sup> <a name="Stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.stat"></a>

```go
Stat *string
```

- *Type:* *string

APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.groupBy"></a>

```go
GroupBy *[]*string
```

- *Type:* *[]*string

Array of fields to group results by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `OperationName`<sup>Optional</sup> <a name="OperationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.operationName"></a>

```go
OperationName *string
```

- *Type:* *string

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `PrimaryTagName`<sup>Optional</sup> <a name="PrimaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName"></a>

```go
PrimaryTagName *string
```

- *Type:* *string

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `PrimaryTagValue`<sup>Optional</sup> <a name="PrimaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue"></a>

```go
PrimaryTagValue *string
```

- *Type:* *string

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

##### `ResourceName`<sup>Optional</sup> <a name="ResourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.resourceName"></a>

```go
ResourceName *string
```

- *Type:* *string

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery {
	Compute: interface{},
	DataSource: *string,
	Name: *string,
	GroupBy: interface{},
	Indexes: *[]*string,
	Search: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuerySearch,
	Storage: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery.property.compute">Compute</a></code> | <code>interface{}</code> | compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for event platform-based queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery.property.name">Name</a></code> | <code>*string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery.property.indexes">Indexes</a></code> | <code>*[]*string</code> | An array of index names to query in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery.property.search">Search</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuerySearch</a></code> | search block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery.property.storage">Storage</a></code> | <code>*string</code> | Storage location (private beta). |

---

##### `Compute`<sup>Required</sup> <a name="Compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery.property.compute"></a>

```go
Compute interface{}
```

- *Type:* interface{}

compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute Dashboard#compute}

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for event platform-based queries.

Valid values are `logs`, `spans`, `network`, `rum`, `security_signals`, `profiles`, `audit`, `events`, `ci_tests`, `ci_pipelines`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `Indexes`<sup>Optional</sup> <a name="Indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery.property.indexes"></a>

```go
Indexes *[]*string
```

- *Type:* *[]*string

An array of index names to query in the stream.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `Search`<sup>Optional</sup> <a name="Search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery.property.search"></a>

```go
Search DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuerySearch
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuerySearch</a>

search block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search Dashboard#search}

---

##### `Storage`<sup>Optional</sup> <a name="Storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery.property.storage"></a>

```go
Storage *string
```

- *Type:* *string

Storage location (private beta).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#storage Dashboard#storage}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryCompute <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryCompute {
	Aggregation: *string,
	Interval: *f64,
	Metric: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation methods for event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryCompute.property.interval">Interval</a></code> | <code>*f64</code> | A time interval in milliseconds. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryCompute.property.metric">Metric</a></code> | <code>*string</code> | The measurable attribute to compute. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation methods for event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

A time interval in milliseconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

##### `Metric`<sup>Optional</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryCompute.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

The measurable attribute to compute.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	Sort: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The event facet. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The number of groups to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBy.property.sort">Sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort</a></code> | sort block. |

---

##### `Facet`<sup>Required</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The event facet.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The number of groups to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `Sort`<sup>Optional</sup> <a name="Sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBy.property.sort"></a>

```go
Sort DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort</a>

sort block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort {
	Aggregation: *string,
	Metric: *string,
	Order: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation methods for the event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort.property.metric">Metric</a></code> | <code>*string</code> | The metric used for sorting group by results. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort.property.order">Order</a></code> | <code>*string</code> | Direction of sort. Valid values are `asc`, `desc`. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation methods for the event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Metric`<sup>Optional</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

The metric used for sorting group by results.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `Order`<sup>Optional</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort.property.order"></a>

```go
Order *string
```

- *Type:* *string

Direction of sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuerySearch <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuerySearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuerySearch"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuerySearch.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuerySearch {
	Query: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuerySearch.property.query">Query</a></code> | <code>*string</code> | The events search string. |

---

##### `Query`<sup>Required</sup> <a name="Query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuerySearch.property.query"></a>

```go
Query *string
```

- *Type:* *string

The events search string.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryMetricQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryMetricQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryMetricQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryMetricQuery {
	Name: *string,
	Query: *string,
	Aggregator: *string,
	DataSource: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryMetricQuery.property.name">Name</a></code> | <code>*string</code> | The name of the query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryMetricQuery.property.query">Query</a></code> | <code>*string</code> | The metrics query definition. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryMetricQuery.property.aggregator">Aggregator</a></code> | <code>*string</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryMetricQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for metrics queries. |

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryMetricQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of the query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `Query`<sup>Required</sup> <a name="Query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryMetricQuery.property.query"></a>

```go
Query *string
```

- *Type:* *string

The metrics query definition.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `Aggregator`<sup>Optional</sup> <a name="Aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryMetricQuery.property.aggregator"></a>

```go
Aggregator *string
```

- *Type:* *string

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `DataSource`<sup>Optional</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryMetricQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for metrics queries.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery {
	DataSource: *string,
	Metric: *string,
	Name: *string,
	Aggregator: *string,
	IsNormalizedCpu: interface{},
	Limit: *f64,
	Sort: *string,
	TagFilters: *[]*string,
	TextFilter: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for process queries. Valid values are `process`, `container`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery.property.metric">Metric</a></code> | <code>*string</code> | The process metric name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery.property.name">Name</a></code> | <code>*string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery.property.aggregator">Aggregator</a></code> | <code>*string</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery.property.isNormalizedCpu">IsNormalizedCpu</a></code> | <code>interface{}</code> | Whether to normalize the CPU percentages. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery.property.limit">Limit</a></code> | <code>*f64</code> | The number of hits to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery.property.sort">Sort</a></code> | <code>*string</code> | The direction of the sort. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery.property.tagFilters">TagFilters</a></code> | <code>*[]*string</code> | An array of tags to filter by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery.property.textFilter">TextFilter</a></code> | <code>*string</code> | The text to use as a filter. |

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for process queries. Valid values are `process`, `container`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `Metric`<sup>Required</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

The process metric name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `Aggregator`<sup>Optional</sup> <a name="Aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery.property.aggregator"></a>

```go
Aggregator *string
```

- *Type:* *string

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `IsNormalizedCpu`<sup>Optional</sup> <a name="IsNormalizedCpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery.property.isNormalizedCpu"></a>

```go
IsNormalizedCpu interface{}
```

- *Type:* interface{}

Whether to normalize the CPU percentages.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_normalized_cpu Dashboard#is_normalized_cpu}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The number of hits to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `Sort`<sup>Optional</sup> <a name="Sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery.property.sort"></a>

```go
Sort *string
```

- *Type:* *string

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `TagFilters`<sup>Optional</sup> <a name="TagFilters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery.property.tagFilters"></a>

```go
TagFilters *[]*string
```

- *Type:* *[]*string

An array of tags to filter by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tag_filters Dashboard#tag_filters}

---

##### `TextFilter`<sup>Optional</sup> <a name="TextFilter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery.property.textFilter"></a>

```go
TextFilter *string
```

- *Type:* *string

The text to use as a filter.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_filter Dashboard#text_filter}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition {
	CustomLink: interface{},
	Event: interface{},
	LegendColumns: *[]*string,
	LegendLayout: *string,
	LegendSize: *string,
	LiveSpan: *string,
	Marker: interface{},
	Request: interface{},
	RightYaxis: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRightYaxis,
	ShowLegend: interface{},
	Title: *string,
	TitleAlign: *string,
	TitleSize: *string,
	Yaxis: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionYaxis,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.customLink">CustomLink</a></code> | <code>interface{}</code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.event">Event</a></code> | <code>interface{}</code> | event block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.legendColumns">LegendColumns</a></code> | <code>*[]*string</code> | A list of columns to display in the legend. Valid values are `value`, `avg`, `sum`, `min`, `max`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.legendLayout">LegendLayout</a></code> | <code>*string</code> | The layout of the legend displayed in the widget. Valid values are `auto`, `horizontal`, `vertical`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.legendSize">LegendSize</a></code> | <code>*string</code> | The size of the legend displayed in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.liveSpan">LiveSpan</a></code> | <code>*string</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.marker">Marker</a></code> | <code>interface{}</code> | marker block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.request">Request</a></code> | <code>interface{}</code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.rightYaxis">RightYaxis</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRightYaxis">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRightYaxis</a></code> | right_yaxis block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.showLegend">ShowLegend</a></code> | <code>interface{}</code> | Whether or not to show the legend on this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.title">Title</a></code> | <code>*string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.titleAlign">TitleAlign</a></code> | <code>*string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.titleSize">TitleSize</a></code> | <code>*string</code> | The size of the widget's title (defaults to 16). |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.yaxis">Yaxis</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionYaxis">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionYaxis</a></code> | yaxis block. |

---

##### `CustomLink`<sup>Optional</sup> <a name="CustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.customLink"></a>

```go
CustomLink interface{}
```

- *Type:* interface{}

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `Event`<sup>Optional</sup> <a name="Event" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.event"></a>

```go
Event interface{}
```

- *Type:* interface{}

event block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event Dashboard#event}

---

##### `LegendColumns`<sup>Optional</sup> <a name="LegendColumns" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.legendColumns"></a>

```go
LegendColumns *[]*string
```

- *Type:* *[]*string

A list of columns to display in the legend. Valid values are `value`, `avg`, `sum`, `min`, `max`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#legend_columns Dashboard#legend_columns}

---

##### `LegendLayout`<sup>Optional</sup> <a name="LegendLayout" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.legendLayout"></a>

```go
LegendLayout *string
```

- *Type:* *string

The layout of the legend displayed in the widget. Valid values are `auto`, `horizontal`, `vertical`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#legend_layout Dashboard#legend_layout}

---

##### `LegendSize`<sup>Optional</sup> <a name="LegendSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.legendSize"></a>

```go
LegendSize *string
```

- *Type:* *string

The size of the legend displayed in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#legend_size Dashboard#legend_size}

---

##### `LiveSpan`<sup>Optional</sup> <a name="LiveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.liveSpan"></a>

```go
LiveSpan *string
```

- *Type:* *string

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `Marker`<sup>Optional</sup> <a name="Marker" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.marker"></a>

```go
Marker interface{}
```

- *Type:* interface{}

marker block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#marker Dashboard#marker}

---

##### `Request`<sup>Optional</sup> <a name="Request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.request"></a>

```go
Request interface{}
```

- *Type:* interface{}

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `RightYaxis`<sup>Optional</sup> <a name="RightYaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.rightYaxis"></a>

```go
RightYaxis DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRightYaxis
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRightYaxis">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRightYaxis</a>

right_yaxis block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#right_yaxis Dashboard#right_yaxis}

---

##### `ShowLegend`<sup>Optional</sup> <a name="ShowLegend" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.showLegend"></a>

```go
ShowLegend interface{}
```

- *Type:* interface{}

Whether or not to show the legend on this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_legend Dashboard#show_legend}

---

##### `Title`<sup>Optional</sup> <a name="Title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.title"></a>

```go
Title *string
```

- *Type:* *string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `TitleAlign`<sup>Optional</sup> <a name="TitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.titleAlign"></a>

```go
TitleAlign *string
```

- *Type:* *string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `TitleSize`<sup>Optional</sup> <a name="TitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.titleSize"></a>

```go
TitleSize *string
```

- *Type:* *string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

##### `Yaxis`<sup>Optional</sup> <a name="Yaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.yaxis"></a>

```go
Yaxis DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionYaxis
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionYaxis">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionYaxis</a>

yaxis block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#yaxis Dashboard#yaxis}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionCustomLink <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionCustomLink.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionCustomLink {
	IsHidden: interface{},
	Label: *string,
	Link: *string,
	OverrideLabel: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionCustomLink.property.isHidden">IsHidden</a></code> | <code>interface{}</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionCustomLink.property.label">Label</a></code> | <code>*string</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionCustomLink.property.link">Link</a></code> | <code>*string</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionCustomLink.property.overrideLabel">OverrideLabel</a></code> | <code>*string</code> | The label ID that refers to a context menu link item. |

---

##### `IsHidden`<sup>Optional</sup> <a name="IsHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionCustomLink.property.isHidden"></a>

```go
IsHidden interface{}
```

- *Type:* interface{}

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `Label`<sup>Optional</sup> <a name="Label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionCustomLink.property.label"></a>

```go
Label *string
```

- *Type:* *string

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `Link`<sup>Optional</sup> <a name="Link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionCustomLink.property.link"></a>

```go
Link *string
```

- *Type:* *string

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `OverrideLabel`<sup>Optional</sup> <a name="OverrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionCustomLink.property.overrideLabel"></a>

```go
OverrideLabel *string
```

- *Type:* *string

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionEvent <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionEvent" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionEvent"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionEvent.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionEvent {
	Q: *string,
	TagsExecution: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionEvent.property.q">Q</a></code> | <code>*string</code> | The event query to use in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionEvent.property.tagsExecution">TagsExecution</a></code> | <code>*string</code> | The execution method for multi-value filters. |

---

##### `Q`<sup>Required</sup> <a name="Q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionEvent.property.q"></a>

```go
Q *string
```

- *Type:* *string

The event query to use in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `TagsExecution`<sup>Optional</sup> <a name="TagsExecution" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionEvent.property.tagsExecution"></a>

```go
TagsExecution *string
```

- *Type:* *string

The execution method for multi-value filters.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tags_execution Dashboard#tags_execution}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionMarker <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionMarker" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionMarker"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionMarker.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionMarker {
	Value: *string,
	DisplayType: *string,
	Label: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionMarker.property.value">Value</a></code> | <code>*string</code> | A mathematical expression describing the marker, for example: `y > 1`, `-5 < y < 0`, `y = 19`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionMarker.property.displayType">DisplayType</a></code> | <code>*string</code> | How the marker lines are displayed, options are one of {`error`, `warning`, `info`, `ok`} combined with one of {`dashed`, `solid`, `bold`}. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionMarker.property.label">Label</a></code> | <code>*string</code> | A label for the line or range. |

---

##### `Value`<sup>Required</sup> <a name="Value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionMarker.property.value"></a>

```go
Value *string
```

- *Type:* *string

A mathematical expression describing the marker, for example: `y > 1`, `-5 < y < 0`, `y = 19`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `DisplayType`<sup>Optional</sup> <a name="DisplayType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionMarker.property.displayType"></a>

```go
DisplayType *string
```

- *Type:* *string

How the marker lines are displayed, options are one of {`error`, `warning`, `info`, `ok`} combined with one of {`dashed`, `solid`, `bold`}.

Example: `error dashed`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#display_type Dashboard#display_type}

---

##### `Label`<sup>Optional</sup> <a name="Label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionMarker.property.label"></a>

```go
Label *string
```

- *Type:* *string

A label for the line or range.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest {
	ApmQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQuery,
	AuditQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQuery,
	DisplayType: *string,
	Formula: interface{},
	LogQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQuery,
	Metadata: interface{},
	NetworkQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQuery,
	OnRightYaxis: interface{},
	ProcessQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestProcessQuery,
	Q: *string,
	Query: interface{},
	RumQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQuery,
	SecurityQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQuery,
	Style: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestStyle,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.apmQuery">ApmQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.auditQuery">AuditQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQuery</a></code> | audit_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.displayType">DisplayType</a></code> | <code>*string</code> | How to display the marker lines. Valid values are `area`, `bars`, `line`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.formula">Formula</a></code> | <code>interface{}</code> | formula block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.logQuery">LogQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.metadata">Metadata</a></code> | <code>interface{}</code> | metadata block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.networkQuery">NetworkQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQuery</a></code> | network_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.onRightYaxis">OnRightYaxis</a></code> | <code>interface{}</code> | A Boolean indicating whether the request uses the right or left Y-Axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.processQuery">ProcessQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestProcessQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.q">Q</a></code> | <code>*string</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.query">Query</a></code> | <code>interface{}</code> | query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.rumQuery">RumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.securityQuery">SecurityQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQuery</a></code> | security_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.style">Style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestStyle">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestStyle</a></code> | style block. |

---

##### `ApmQuery`<sup>Optional</sup> <a name="ApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.apmQuery"></a>

```go
ApmQuery DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `AuditQuery`<sup>Optional</sup> <a name="AuditQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.auditQuery"></a>

```go
AuditQuery DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQuery</a>

audit_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#audit_query Dashboard#audit_query}

---

##### `DisplayType`<sup>Optional</sup> <a name="DisplayType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.displayType"></a>

```go
DisplayType *string
```

- *Type:* *string

How to display the marker lines. Valid values are `area`, `bars`, `line`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#display_type Dashboard#display_type}

---

##### `Formula`<sup>Optional</sup> <a name="Formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.formula"></a>

```go
Formula interface{}
```

- *Type:* interface{}

formula block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula Dashboard#formula}

---

##### `LogQuery`<sup>Optional</sup> <a name="LogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.logQuery"></a>

```go
LogQuery DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `Metadata`<sup>Optional</sup> <a name="Metadata" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.metadata"></a>

```go
Metadata interface{}
```

- *Type:* interface{}

metadata block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metadata Dashboard#metadata}

---

##### `NetworkQuery`<sup>Optional</sup> <a name="NetworkQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.networkQuery"></a>

```go
NetworkQuery DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQuery</a>

network_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#network_query Dashboard#network_query}

---

##### `OnRightYaxis`<sup>Optional</sup> <a name="OnRightYaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.onRightYaxis"></a>

```go
OnRightYaxis interface{}
```

- *Type:* interface{}

A Boolean indicating whether the request uses the right or left Y-Axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#on_right_yaxis Dashboard#on_right_yaxis}

---

##### `ProcessQuery`<sup>Optional</sup> <a name="ProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.processQuery"></a>

```go
ProcessQuery DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestProcessQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `Q`<sup>Optional</sup> <a name="Q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.q"></a>

```go
Q *string
```

- *Type:* *string

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `Query`<sup>Optional</sup> <a name="Query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.query"></a>

```go
Query interface{}
```

- *Type:* interface{}

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `RumQuery`<sup>Optional</sup> <a name="RumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.rumQuery"></a>

```go
RumQuery DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `SecurityQuery`<sup>Optional</sup> <a name="SecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.securityQuery"></a>

```go
SecurityQuery DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

##### `Style`<sup>Optional</sup> <a name="Style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.style"></a>

```go
Style DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestStyle
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestStyle">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormula <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormula"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormula.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormula {
	FormulaExpression: *string,
	Alias: *string,
	CellDisplayMode: *string,
	ConditionalFormats: interface{},
	Limit: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaLimit,
	Style: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaStyle,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormula.property.formulaExpression">FormulaExpression</a></code> | <code>*string</code> | A string expression built from queries, formulas, and functions. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormula.property.alias">Alias</a></code> | <code>*string</code> | An expression alias. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormula.property.cellDisplayMode">CellDisplayMode</a></code> | <code>*string</code> | A list of display modes for each table cell. Valid values are `number`, `bar`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormula.property.conditionalFormats">ConditionalFormats</a></code> | <code>interface{}</code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormula.property.limit">Limit</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaLimit">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaLimit</a></code> | limit block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormula.property.style">Style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaStyle">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaStyle</a></code> | style block. |

---

##### `FormulaExpression`<sup>Required</sup> <a name="FormulaExpression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormula.property.formulaExpression"></a>

```go
FormulaExpression *string
```

- *Type:* *string

A string expression built from queries, formulas, and functions.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula_expression Dashboard#formula_expression}

---

##### `Alias`<sup>Optional</sup> <a name="Alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormula.property.alias"></a>

```go
Alias *string
```

- *Type:* *string

An expression alias.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `CellDisplayMode`<sup>Optional</sup> <a name="CellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormula.property.cellDisplayMode"></a>

```go
CellDisplayMode *string
```

- *Type:* *string

A list of display modes for each table cell. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `ConditionalFormats`<sup>Optional</sup> <a name="ConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormula.property.conditionalFormats"></a>

```go
ConditionalFormats interface{}
```

- *Type:* interface{}

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormula.property.limit"></a>

```go
Limit DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaLimit
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaLimit">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaLimit</a>

limit block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `Style`<sup>Optional</sup> <a name="Style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormula.property.style"></a>

```go
Style DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaStyle
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaStyle">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats {
	Comparator: *string,
	Palette: *string,
	Value: *f64,
	CustomBgColor: *string,
	CustomFgColor: *string,
	HideValue: interface{},
	ImageUrl: *string,
	Metric: *string,
	Timeframe: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.comparator">Comparator</a></code> | <code>*string</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.palette">Palette</a></code> | <code>*string</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.value">Value</a></code> | <code>*f64</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.customBgColor">CustomBgColor</a></code> | <code>*string</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.customFgColor">CustomFgColor</a></code> | <code>*string</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.hideValue">HideValue</a></code> | <code>interface{}</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.imageUrl">ImageUrl</a></code> | <code>*string</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.metric">Metric</a></code> | <code>*string</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.timeframe">Timeframe</a></code> | <code>*string</code> | Defines the displayed timeframe. |

---

##### `Comparator`<sup>Required</sup> <a name="Comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.comparator"></a>

```go
Comparator *string
```

- *Type:* *string

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `Palette`<sup>Required</sup> <a name="Palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.palette"></a>

```go
Palette *string
```

- *Type:* *string

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `Value`<sup>Required</sup> <a name="Value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.value"></a>

```go
Value *f64
```

- *Type:* *f64

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `CustomBgColor`<sup>Optional</sup> <a name="CustomBgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.customBgColor"></a>

```go
CustomBgColor *string
```

- *Type:* *string

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `CustomFgColor`<sup>Optional</sup> <a name="CustomFgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.customFgColor"></a>

```go
CustomFgColor *string
```

- *Type:* *string

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `HideValue`<sup>Optional</sup> <a name="HideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.hideValue"></a>

```go
HideValue interface{}
```

- *Type:* interface{}

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `ImageUrl`<sup>Optional</sup> <a name="ImageUrl" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.imageUrl"></a>

```go
ImageUrl *string
```

- *Type:* *string

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `Metric`<sup>Optional</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `Timeframe`<sup>Optional</sup> <a name="Timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.timeframe"></a>

```go
Timeframe *string
```

- *Type:* *string

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaLimit <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaLimit"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaLimit.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaLimit {
	Count: *f64,
	Order: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaLimit.property.count">Count</a></code> | <code>*f64</code> | The number of results to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaLimit.property.order">Order</a></code> | <code>*string</code> | The direction of the sort. Valid values are `asc`, `desc`. |

---

##### `Count`<sup>Optional</sup> <a name="Count" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaLimit.property.count"></a>

```go
Count *f64
```

- *Type:* *f64

The number of results to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#count Dashboard#count}

---

##### `Order`<sup>Optional</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaLimit.property.order"></a>

```go
Order *string
```

- *Type:* *string

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaStyle <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaStyle.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaStyle {
	Palette: *string,
	PaletteIndex: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaStyle.property.palette">Palette</a></code> | <code>*string</code> | The color palette used to display the formula. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaStyle.property.paletteIndex">PaletteIndex</a></code> | <code>*f64</code> | Index specifying which color to use within the palette. |

---

##### `Palette`<sup>Optional</sup> <a name="Palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaStyle.property.palette"></a>

```go
Palette *string
```

- *Type:* *string

The color palette used to display the formula.

A guide to the available color palettes can be found at https://docs.datadoghq.com/dashboards/guide/widget_colors

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `PaletteIndex`<sup>Optional</sup> <a name="PaletteIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaStyle.property.paletteIndex"></a>

```go
PaletteIndex *f64
```

- *Type:* *f64

Index specifying which color to use within the palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette_index Dashboard#palette_index}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestMetadata <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestMetadata" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestMetadata"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestMetadata.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestMetadata {
	Expression: *string,
	AliasName: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestMetadata.property.expression">Expression</a></code> | <code>*string</code> | The expression name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestMetadata.property.aliasName">AliasName</a></code> | <code>*string</code> | The expression alias. |

---

##### `Expression`<sup>Required</sup> <a name="Expression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestMetadata.property.expression"></a>

```go
Expression *string
```

- *Type:* *string

The expression name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#expression Dashboard#expression}

---

##### `AliasName`<sup>Optional</sup> <a name="AliasName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestMetadata.property.aliasName"></a>

```go
AliasName *string
```

- *Type:* *string

The expression alias.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias_name Dashboard#alias_name}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestProcessQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestProcessQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestProcessQuery {
	Metric: *string,
	FilterBy: *[]*string,
	Limit: *f64,
	SearchBy: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestProcessQuery.property.metric">Metric</a></code> | <code>*string</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestProcessQuery.property.filterBy">FilterBy</a></code> | <code>*[]*string</code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestProcessQuery.property.limit">Limit</a></code> | <code>*f64</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestProcessQuery.property.searchBy">SearchBy</a></code> | <code>*string</code> | Your chosen search term. |

---

##### `Metric`<sup>Required</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestProcessQuery.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `FilterBy`<sup>Optional</sup> <a name="FilterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestProcessQuery.property.filterBy"></a>

```go
FilterBy *[]*string
```

- *Type:* *[]*string

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestProcessQuery.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SearchBy`<sup>Optional</sup> <a name="SearchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestProcessQuery.property.searchBy"></a>

```go
SearchBy *string
```

- *Type:* *string

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQuery {
	ApmDependencyStatsQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery,
	ApmResourceStatsQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery,
	EventQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery,
	MetricQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryMetricQuery,
	ProcessQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQuery.property.apmDependencyStatsQuery">ApmDependencyStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery</a></code> | apm_dependency_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQuery.property.apmResourceStatsQuery">ApmResourceStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery</a></code> | apm_resource_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQuery.property.eventQuery">EventQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery</a></code> | event_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQuery.property.metricQuery">MetricQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryMetricQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryMetricQuery</a></code> | metric_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQuery.property.processQuery">ProcessQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery</a></code> | process_query block. |

---

##### `ApmDependencyStatsQuery`<sup>Optional</sup> <a name="ApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQuery.property.apmDependencyStatsQuery"></a>

```go
ApmDependencyStatsQuery DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery</a>

apm_dependency_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_dependency_stats_query Dashboard#apm_dependency_stats_query}

---

##### `ApmResourceStatsQuery`<sup>Optional</sup> <a name="ApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQuery.property.apmResourceStatsQuery"></a>

```go
ApmResourceStatsQuery DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery</a>

apm_resource_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_resource_stats_query Dashboard#apm_resource_stats_query}

---

##### `EventQuery`<sup>Optional</sup> <a name="EventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQuery.property.eventQuery"></a>

```go
EventQuery DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery</a>

event_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_query Dashboard#event_query}

---

##### `MetricQuery`<sup>Optional</sup> <a name="MetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQuery.property.metricQuery"></a>

```go
MetricQuery DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryMetricQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryMetricQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryMetricQuery</a>

metric_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric_query Dashboard#metric_query}

---

##### `ProcessQuery`<sup>Optional</sup> <a name="ProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQuery.property.processQuery"></a>

```go
ProcessQuery DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery {
	DataSource: *string,
	Env: *string,
	Name: *string,
	OperationName: *string,
	ResourceName: *string,
	Service: *string,
	Stat: *string,
	IsUpstream: interface{},
	PrimaryTagName: *string,
	PrimaryTagValue: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.env">Env</a></code> | <code>*string</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.name">Name</a></code> | <code>*string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.operationName">OperationName</a></code> | <code>*string</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName">ResourceName</a></code> | <code>*string</code> | APM resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.service">Service</a></code> | <code>*string</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.stat">Stat</a></code> | <code>*string</code> | APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream">IsUpstream</a></code> | <code>interface{}</code> | Determines whether stats for upstream or downstream dependencies should be queried. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName">PrimaryTagName</a></code> | <code>*string</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue">PrimaryTagValue</a></code> | <code>*string</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `Env`<sup>Required</sup> <a name="Env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.env"></a>

```go
Env *string
```

- *Type:* *string

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `OperationName`<sup>Required</sup> <a name="OperationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.operationName"></a>

```go
OperationName *string
```

- *Type:* *string

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `ResourceName`<sup>Required</sup> <a name="ResourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName"></a>

```go
ResourceName *string
```

- *Type:* *string

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

##### `Service`<sup>Required</sup> <a name="Service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.service"></a>

```go
Service *string
```

- *Type:* *string

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `Stat`<sup>Required</sup> <a name="Stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.stat"></a>

```go
Stat *string
```

- *Type:* *string

APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `IsUpstream`<sup>Optional</sup> <a name="IsUpstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream"></a>

```go
IsUpstream interface{}
```

- *Type:* interface{}

Determines whether stats for upstream or downstream dependencies should be queried.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_upstream Dashboard#is_upstream}

---

##### `PrimaryTagName`<sup>Optional</sup> <a name="PrimaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName"></a>

```go
PrimaryTagName *string
```

- *Type:* *string

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `PrimaryTagValue`<sup>Optional</sup> <a name="PrimaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue"></a>

```go
PrimaryTagValue *string
```

- *Type:* *string

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery {
	DataSource: *string,
	Env: *string,
	Name: *string,
	Service: *string,
	Stat: *string,
	GroupBy: *[]*string,
	OperationName: *string,
	PrimaryTagName: *string,
	PrimaryTagValue: *string,
	ResourceName: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.env">Env</a></code> | <code>*string</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.name">Name</a></code> | <code>*string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.service">Service</a></code> | <code>*string</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.stat">Stat</a></code> | <code>*string</code> | APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.groupBy">GroupBy</a></code> | <code>*[]*string</code> | Array of fields to group results by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.operationName">OperationName</a></code> | <code>*string</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName">PrimaryTagName</a></code> | <code>*string</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue">PrimaryTagValue</a></code> | <code>*string</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.resourceName">ResourceName</a></code> | <code>*string</code> | APM resource. |

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `Env`<sup>Required</sup> <a name="Env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.env"></a>

```go
Env *string
```

- *Type:* *string

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `Service`<sup>Required</sup> <a name="Service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.service"></a>

```go
Service *string
```

- *Type:* *string

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `Stat`<sup>Required</sup> <a name="Stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.stat"></a>

```go
Stat *string
```

- *Type:* *string

APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.groupBy"></a>

```go
GroupBy *[]*string
```

- *Type:* *[]*string

Array of fields to group results by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `OperationName`<sup>Optional</sup> <a name="OperationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.operationName"></a>

```go
OperationName *string
```

- *Type:* *string

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `PrimaryTagName`<sup>Optional</sup> <a name="PrimaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName"></a>

```go
PrimaryTagName *string
```

- *Type:* *string

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `PrimaryTagValue`<sup>Optional</sup> <a name="PrimaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue"></a>

```go
PrimaryTagValue *string
```

- *Type:* *string

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

##### `ResourceName`<sup>Optional</sup> <a name="ResourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.resourceName"></a>

```go
ResourceName *string
```

- *Type:* *string

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery {
	Compute: interface{},
	DataSource: *string,
	Name: *string,
	GroupBy: interface{},
	Indexes: *[]*string,
	Search: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuerySearch,
	Storage: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery.property.compute">Compute</a></code> | <code>interface{}</code> | compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for event platform-based queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery.property.name">Name</a></code> | <code>*string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery.property.indexes">Indexes</a></code> | <code>*[]*string</code> | An array of index names to query in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery.property.search">Search</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuerySearch</a></code> | search block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery.property.storage">Storage</a></code> | <code>*string</code> | Storage location (private beta). |

---

##### `Compute`<sup>Required</sup> <a name="Compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery.property.compute"></a>

```go
Compute interface{}
```

- *Type:* interface{}

compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute Dashboard#compute}

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for event platform-based queries.

Valid values are `logs`, `spans`, `network`, `rum`, `security_signals`, `profiles`, `audit`, `events`, `ci_tests`, `ci_pipelines`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `Indexes`<sup>Optional</sup> <a name="Indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery.property.indexes"></a>

```go
Indexes *[]*string
```

- *Type:* *[]*string

An array of index names to query in the stream.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `Search`<sup>Optional</sup> <a name="Search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery.property.search"></a>

```go
Search DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuerySearch
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuerySearch</a>

search block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search Dashboard#search}

---

##### `Storage`<sup>Optional</sup> <a name="Storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery.property.storage"></a>

```go
Storage *string
```

- *Type:* *string

Storage location (private beta).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#storage Dashboard#storage}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryCompute <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryCompute {
	Aggregation: *string,
	Interval: *f64,
	Metric: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation methods for event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryCompute.property.interval">Interval</a></code> | <code>*f64</code> | A time interval in milliseconds. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryCompute.property.metric">Metric</a></code> | <code>*string</code> | The measurable attribute to compute. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation methods for event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

A time interval in milliseconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

##### `Metric`<sup>Optional</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryCompute.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

The measurable attribute to compute.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	Sort: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The event facet. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The number of groups to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy.property.sort">Sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort</a></code> | sort block. |

---

##### `Facet`<sup>Required</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The event facet.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The number of groups to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `Sort`<sup>Optional</sup> <a name="Sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy.property.sort"></a>

```go
Sort DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort</a>

sort block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort {
	Aggregation: *string,
	Metric: *string,
	Order: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation methods for the event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort.property.metric">Metric</a></code> | <code>*string</code> | The metric used for sorting group by results. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort.property.order">Order</a></code> | <code>*string</code> | Direction of sort. Valid values are `asc`, `desc`. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation methods for the event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Metric`<sup>Optional</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

The metric used for sorting group by results.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `Order`<sup>Optional</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort.property.order"></a>

```go
Order *string
```

- *Type:* *string

Direction of sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuerySearch <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuerySearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuerySearch"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuerySearch.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuerySearch {
	Query: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuerySearch.property.query">Query</a></code> | <code>*string</code> | The events search string. |

---

##### `Query`<sup>Required</sup> <a name="Query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuerySearch.property.query"></a>

```go
Query *string
```

- *Type:* *string

The events search string.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryMetricQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryMetricQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryMetricQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryMetricQuery {
	Name: *string,
	Query: *string,
	Aggregator: *string,
	DataSource: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryMetricQuery.property.name">Name</a></code> | <code>*string</code> | The name of the query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryMetricQuery.property.query">Query</a></code> | <code>*string</code> | The metrics query definition. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryMetricQuery.property.aggregator">Aggregator</a></code> | <code>*string</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryMetricQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for metrics queries. |

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryMetricQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of the query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `Query`<sup>Required</sup> <a name="Query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryMetricQuery.property.query"></a>

```go
Query *string
```

- *Type:* *string

The metrics query definition.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `Aggregator`<sup>Optional</sup> <a name="Aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryMetricQuery.property.aggregator"></a>

```go
Aggregator *string
```

- *Type:* *string

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `DataSource`<sup>Optional</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryMetricQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for metrics queries.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery {
	DataSource: *string,
	Metric: *string,
	Name: *string,
	Aggregator: *string,
	IsNormalizedCpu: interface{},
	Limit: *f64,
	Sort: *string,
	TagFilters: *[]*string,
	TextFilter: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for process queries. Valid values are `process`, `container`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.metric">Metric</a></code> | <code>*string</code> | The process metric name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.name">Name</a></code> | <code>*string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.aggregator">Aggregator</a></code> | <code>*string</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.isNormalizedCpu">IsNormalizedCpu</a></code> | <code>interface{}</code> | Whether to normalize the CPU percentages. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.limit">Limit</a></code> | <code>*f64</code> | The number of hits to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.sort">Sort</a></code> | <code>*string</code> | The direction of the sort. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.tagFilters">TagFilters</a></code> | <code>*[]*string</code> | An array of tags to filter by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.textFilter">TextFilter</a></code> | <code>*string</code> | The text to use as a filter. |

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for process queries. Valid values are `process`, `container`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `Metric`<sup>Required</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

The process metric name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `Aggregator`<sup>Optional</sup> <a name="Aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.aggregator"></a>

```go
Aggregator *string
```

- *Type:* *string

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `IsNormalizedCpu`<sup>Optional</sup> <a name="IsNormalizedCpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.isNormalizedCpu"></a>

```go
IsNormalizedCpu interface{}
```

- *Type:* interface{}

Whether to normalize the CPU percentages.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_normalized_cpu Dashboard#is_normalized_cpu}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The number of hits to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `Sort`<sup>Optional</sup> <a name="Sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.sort"></a>

```go
Sort *string
```

- *Type:* *string

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `TagFilters`<sup>Optional</sup> <a name="TagFilters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.tagFilters"></a>

```go
TagFilters *[]*string
```

- *Type:* *[]*string

An array of tags to filter by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tag_filters Dashboard#tag_filters}

---

##### `TextFilter`<sup>Optional</sup> <a name="TextFilter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.textFilter"></a>

```go
TextFilter *string
```

- *Type:* *string

The text to use as a filter.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_filter Dashboard#text_filter}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestStyle <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestStyle.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestStyle {
	LineType: *string,
	LineWidth: *string,
	Palette: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestStyle.property.lineType">LineType</a></code> | <code>*string</code> | The type of lines displayed. Valid values are `dashed`, `dotted`, `solid`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestStyle.property.lineWidth">LineWidth</a></code> | <code>*string</code> | The width of line displayed. Valid values are `normal`, `thick`, `thin`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestStyle.property.palette">Palette</a></code> | <code>*string</code> | A color palette to apply to the widget. The available options are available at: https://docs.datadoghq.com/dashboards/widgets/timeseries/#appearance. |

---

##### `LineType`<sup>Optional</sup> <a name="LineType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestStyle.property.lineType"></a>

```go
LineType *string
```

- *Type:* *string

The type of lines displayed. Valid values are `dashed`, `dotted`, `solid`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#line_type Dashboard#line_type}

---

##### `LineWidth`<sup>Optional</sup> <a name="LineWidth" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestStyle.property.lineWidth"></a>

```go
LineWidth *string
```

- *Type:* *string

The width of line displayed. Valid values are `normal`, `thick`, `thin`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#line_width Dashboard#line_width}

---

##### `Palette`<sup>Optional</sup> <a name="Palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestStyle.property.palette"></a>

```go
Palette *string
```

- *Type:* *string

A color palette to apply to the widget. The available options are available at: https://docs.datadoghq.com/dashboards/widgets/timeseries/#appearance.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRightYaxis <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRightYaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRightYaxis"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRightYaxis.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRightYaxis {
	IncludeZero: interface{},
	Label: *string,
	Max: *string,
	Min: *string,
	Scale: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRightYaxis.property.includeZero">IncludeZero</a></code> | <code>interface{}</code> | Always include zero or fit the axis to the data range. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRightYaxis.property.label">Label</a></code> | <code>*string</code> | The label of the axis to display on the graph. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRightYaxis.property.max">Max</a></code> | <code>*string</code> | Specify the maximum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRightYaxis.property.min">Min</a></code> | <code>*string</code> | Specify the minimum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRightYaxis.property.scale">Scale</a></code> | <code>*string</code> | Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`. |

---

##### `IncludeZero`<sup>Optional</sup> <a name="IncludeZero" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRightYaxis.property.includeZero"></a>

```go
IncludeZero interface{}
```

- *Type:* interface{}

Always include zero or fit the axis to the data range.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#include_zero Dashboard#include_zero}

---

##### `Label`<sup>Optional</sup> <a name="Label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRightYaxis.property.label"></a>

```go
Label *string
```

- *Type:* *string

The label of the axis to display on the graph.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `Max`<sup>Optional</sup> <a name="Max" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRightYaxis.property.max"></a>

```go
Max *string
```

- *Type:* *string

Specify the maximum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#max Dashboard#max}

---

##### `Min`<sup>Optional</sup> <a name="Min" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRightYaxis.property.min"></a>

```go
Min *string
```

- *Type:* *string

Specify the minimum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#min Dashboard#min}

---

##### `Scale`<sup>Optional</sup> <a name="Scale" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRightYaxis.property.scale"></a>

```go
Scale *string
```

- *Type:* *string

Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#scale Dashboard#scale}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionYaxis <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionYaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionYaxis"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionYaxis.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionYaxis {
	IncludeZero: interface{},
	Label: *string,
	Max: *string,
	Min: *string,
	Scale: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionYaxis.property.includeZero">IncludeZero</a></code> | <code>interface{}</code> | Always include zero or fit the axis to the data range. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionYaxis.property.label">Label</a></code> | <code>*string</code> | The label of the axis to display on the graph. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionYaxis.property.max">Max</a></code> | <code>*string</code> | Specify the maximum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionYaxis.property.min">Min</a></code> | <code>*string</code> | Specify the minimum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionYaxis.property.scale">Scale</a></code> | <code>*string</code> | Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`. |

---

##### `IncludeZero`<sup>Optional</sup> <a name="IncludeZero" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionYaxis.property.includeZero"></a>

```go
IncludeZero interface{}
```

- *Type:* interface{}

Always include zero or fit the axis to the data range.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#include_zero Dashboard#include_zero}

---

##### `Label`<sup>Optional</sup> <a name="Label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionYaxis.property.label"></a>

```go
Label *string
```

- *Type:* *string

The label of the axis to display on the graph.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `Max`<sup>Optional</sup> <a name="Max" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionYaxis.property.max"></a>

```go
Max *string
```

- *Type:* *string

Specify the maximum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#max Dashboard#max}

---

##### `Min`<sup>Optional</sup> <a name="Min" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionYaxis.property.min"></a>

```go
Min *string
```

- *Type:* *string

Specify the minimum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#min Dashboard#min}

---

##### `Scale`<sup>Optional</sup> <a name="Scale" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionYaxis.property.scale"></a>

```go
Scale *string
```

- *Type:* *string

Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#scale Dashboard#scale}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinition <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinition.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinition {
	CustomLink: interface{},
	LiveSpan: *string,
	Request: interface{},
	Title: *string,
	TitleAlign: *string,
	TitleSize: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinition.property.customLink">CustomLink</a></code> | <code>interface{}</code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinition.property.liveSpan">LiveSpan</a></code> | <code>*string</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinition.property.request">Request</a></code> | <code>interface{}</code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinition.property.title">Title</a></code> | <code>*string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinition.property.titleAlign">TitleAlign</a></code> | <code>*string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinition.property.titleSize">TitleSize</a></code> | <code>*string</code> | The size of the widget's title (defaults to 16). |

---

##### `CustomLink`<sup>Optional</sup> <a name="CustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinition.property.customLink"></a>

```go
CustomLink interface{}
```

- *Type:* interface{}

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `LiveSpan`<sup>Optional</sup> <a name="LiveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinition.property.liveSpan"></a>

```go
LiveSpan *string
```

- *Type:* *string

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `Request`<sup>Optional</sup> <a name="Request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinition.property.request"></a>

```go
Request interface{}
```

- *Type:* interface{}

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `Title`<sup>Optional</sup> <a name="Title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinition.property.title"></a>

```go
Title *string
```

- *Type:* *string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `TitleAlign`<sup>Optional</sup> <a name="TitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinition.property.titleAlign"></a>

```go
TitleAlign *string
```

- *Type:* *string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `TitleSize`<sup>Optional</sup> <a name="TitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinition.property.titleSize"></a>

```go
TitleSize *string
```

- *Type:* *string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionCustomLink <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionCustomLink.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionCustomLink {
	IsHidden: interface{},
	Label: *string,
	Link: *string,
	OverrideLabel: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionCustomLink.property.isHidden">IsHidden</a></code> | <code>interface{}</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionCustomLink.property.label">Label</a></code> | <code>*string</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionCustomLink.property.link">Link</a></code> | <code>*string</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionCustomLink.property.overrideLabel">OverrideLabel</a></code> | <code>*string</code> | The label ID that refers to a context menu link item. |

---

##### `IsHidden`<sup>Optional</sup> <a name="IsHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionCustomLink.property.isHidden"></a>

```go
IsHidden interface{}
```

- *Type:* interface{}

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `Label`<sup>Optional</sup> <a name="Label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionCustomLink.property.label"></a>

```go
Label *string
```

- *Type:* *string

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `Link`<sup>Optional</sup> <a name="Link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionCustomLink.property.link"></a>

```go
Link *string
```

- *Type:* *string

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `OverrideLabel`<sup>Optional</sup> <a name="OverrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionCustomLink.property.overrideLabel"></a>

```go
OverrideLabel *string
```

- *Type:* *string

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest {
	ApmQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQuery,
	AuditQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQuery,
	ConditionalFormats: interface{},
	Formula: interface{},
	LogQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQuery,
	ProcessQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestProcessQuery,
	Q: *string,
	Query: interface{},
	RumQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQuery,
	SecurityQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQuery,
	Style: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestStyle,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.apmQuery">ApmQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.auditQuery">AuditQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQuery</a></code> | audit_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.conditionalFormats">ConditionalFormats</a></code> | <code>interface{}</code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.formula">Formula</a></code> | <code>interface{}</code> | formula block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.logQuery">LogQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.processQuery">ProcessQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestProcessQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.q">Q</a></code> | <code>*string</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.query">Query</a></code> | <code>interface{}</code> | query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.rumQuery">RumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.securityQuery">SecurityQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQuery</a></code> | security_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.style">Style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestStyle">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestStyle</a></code> | style block. |

---

##### `ApmQuery`<sup>Optional</sup> <a name="ApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.apmQuery"></a>

```go
ApmQuery DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `AuditQuery`<sup>Optional</sup> <a name="AuditQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.auditQuery"></a>

```go
AuditQuery DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQuery</a>

audit_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#audit_query Dashboard#audit_query}

---

##### `ConditionalFormats`<sup>Optional</sup> <a name="ConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.conditionalFormats"></a>

```go
ConditionalFormats interface{}
```

- *Type:* interface{}

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `Formula`<sup>Optional</sup> <a name="Formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.formula"></a>

```go
Formula interface{}
```

- *Type:* interface{}

formula block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula Dashboard#formula}

---

##### `LogQuery`<sup>Optional</sup> <a name="LogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.logQuery"></a>

```go
LogQuery DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `ProcessQuery`<sup>Optional</sup> <a name="ProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.processQuery"></a>

```go
ProcessQuery DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestProcessQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `Q`<sup>Optional</sup> <a name="Q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.q"></a>

```go
Q *string
```

- *Type:* *string

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `Query`<sup>Optional</sup> <a name="Query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.query"></a>

```go
Query interface{}
```

- *Type:* interface{}

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `RumQuery`<sup>Optional</sup> <a name="RumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.rumQuery"></a>

```go
RumQuery DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `SecurityQuery`<sup>Optional</sup> <a name="SecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.securityQuery"></a>

```go
SecurityQuery DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

##### `Style`<sup>Optional</sup> <a name="Style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.style"></a>

```go
Style DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestStyle
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestStyle">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats {
	Comparator: *string,
	Palette: *string,
	Value: *f64,
	CustomBgColor: *string,
	CustomFgColor: *string,
	HideValue: interface{},
	ImageUrl: *string,
	Metric: *string,
	Timeframe: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats.property.comparator">Comparator</a></code> | <code>*string</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats.property.palette">Palette</a></code> | <code>*string</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats.property.value">Value</a></code> | <code>*f64</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats.property.customBgColor">CustomBgColor</a></code> | <code>*string</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats.property.customFgColor">CustomFgColor</a></code> | <code>*string</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats.property.hideValue">HideValue</a></code> | <code>interface{}</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats.property.imageUrl">ImageUrl</a></code> | <code>*string</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats.property.metric">Metric</a></code> | <code>*string</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats.property.timeframe">Timeframe</a></code> | <code>*string</code> | Defines the displayed timeframe. |

---

##### `Comparator`<sup>Required</sup> <a name="Comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats.property.comparator"></a>

```go
Comparator *string
```

- *Type:* *string

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `Palette`<sup>Required</sup> <a name="Palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats.property.palette"></a>

```go
Palette *string
```

- *Type:* *string

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `Value`<sup>Required</sup> <a name="Value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats.property.value"></a>

```go
Value *f64
```

- *Type:* *f64

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `CustomBgColor`<sup>Optional</sup> <a name="CustomBgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats.property.customBgColor"></a>

```go
CustomBgColor *string
```

- *Type:* *string

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `CustomFgColor`<sup>Optional</sup> <a name="CustomFgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats.property.customFgColor"></a>

```go
CustomFgColor *string
```

- *Type:* *string

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `HideValue`<sup>Optional</sup> <a name="HideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats.property.hideValue"></a>

```go
HideValue interface{}
```

- *Type:* interface{}

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `ImageUrl`<sup>Optional</sup> <a name="ImageUrl" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats.property.imageUrl"></a>

```go
ImageUrl *string
```

- *Type:* *string

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `Metric`<sup>Optional</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `Timeframe`<sup>Optional</sup> <a name="Timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats.property.timeframe"></a>

```go
Timeframe *string
```

- *Type:* *string

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormula <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormula"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormula.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormula {
	FormulaExpression: *string,
	Alias: *string,
	CellDisplayMode: *string,
	ConditionalFormats: interface{},
	Limit: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaLimit,
	Style: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaStyle,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormula.property.formulaExpression">FormulaExpression</a></code> | <code>*string</code> | A string expression built from queries, formulas, and functions. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormula.property.alias">Alias</a></code> | <code>*string</code> | An expression alias. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormula.property.cellDisplayMode">CellDisplayMode</a></code> | <code>*string</code> | A list of display modes for each table cell. Valid values are `number`, `bar`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormula.property.conditionalFormats">ConditionalFormats</a></code> | <code>interface{}</code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormula.property.limit">Limit</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaLimit">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaLimit</a></code> | limit block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormula.property.style">Style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaStyle">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaStyle</a></code> | style block. |

---

##### `FormulaExpression`<sup>Required</sup> <a name="FormulaExpression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormula.property.formulaExpression"></a>

```go
FormulaExpression *string
```

- *Type:* *string

A string expression built from queries, formulas, and functions.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula_expression Dashboard#formula_expression}

---

##### `Alias`<sup>Optional</sup> <a name="Alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormula.property.alias"></a>

```go
Alias *string
```

- *Type:* *string

An expression alias.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `CellDisplayMode`<sup>Optional</sup> <a name="CellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormula.property.cellDisplayMode"></a>

```go
CellDisplayMode *string
```

- *Type:* *string

A list of display modes for each table cell. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `ConditionalFormats`<sup>Optional</sup> <a name="ConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormula.property.conditionalFormats"></a>

```go
ConditionalFormats interface{}
```

- *Type:* interface{}

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormula.property.limit"></a>

```go
Limit DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaLimit
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaLimit">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaLimit</a>

limit block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `Style`<sup>Optional</sup> <a name="Style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormula.property.style"></a>

```go
Style DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaStyle
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaStyle">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats {
	Comparator: *string,
	Palette: *string,
	Value: *f64,
	CustomBgColor: *string,
	CustomFgColor: *string,
	HideValue: interface{},
	ImageUrl: *string,
	Metric: *string,
	Timeframe: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats.property.comparator">Comparator</a></code> | <code>*string</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats.property.palette">Palette</a></code> | <code>*string</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats.property.value">Value</a></code> | <code>*f64</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats.property.customBgColor">CustomBgColor</a></code> | <code>*string</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats.property.customFgColor">CustomFgColor</a></code> | <code>*string</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats.property.hideValue">HideValue</a></code> | <code>interface{}</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats.property.imageUrl">ImageUrl</a></code> | <code>*string</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats.property.metric">Metric</a></code> | <code>*string</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats.property.timeframe">Timeframe</a></code> | <code>*string</code> | Defines the displayed timeframe. |

---

##### `Comparator`<sup>Required</sup> <a name="Comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats.property.comparator"></a>

```go
Comparator *string
```

- *Type:* *string

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `Palette`<sup>Required</sup> <a name="Palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats.property.palette"></a>

```go
Palette *string
```

- *Type:* *string

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `Value`<sup>Required</sup> <a name="Value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats.property.value"></a>

```go
Value *f64
```

- *Type:* *f64

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `CustomBgColor`<sup>Optional</sup> <a name="CustomBgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats.property.customBgColor"></a>

```go
CustomBgColor *string
```

- *Type:* *string

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `CustomFgColor`<sup>Optional</sup> <a name="CustomFgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats.property.customFgColor"></a>

```go
CustomFgColor *string
```

- *Type:* *string

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `HideValue`<sup>Optional</sup> <a name="HideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats.property.hideValue"></a>

```go
HideValue interface{}
```

- *Type:* interface{}

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `ImageUrl`<sup>Optional</sup> <a name="ImageUrl" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats.property.imageUrl"></a>

```go
ImageUrl *string
```

- *Type:* *string

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `Metric`<sup>Optional</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `Timeframe`<sup>Optional</sup> <a name="Timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats.property.timeframe"></a>

```go
Timeframe *string
```

- *Type:* *string

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaLimit <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaLimit"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaLimit.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaLimit {
	Count: *f64,
	Order: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaLimit.property.count">Count</a></code> | <code>*f64</code> | The number of results to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaLimit.property.order">Order</a></code> | <code>*string</code> | The direction of the sort. Valid values are `asc`, `desc`. |

---

##### `Count`<sup>Optional</sup> <a name="Count" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaLimit.property.count"></a>

```go
Count *f64
```

- *Type:* *f64

The number of results to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#count Dashboard#count}

---

##### `Order`<sup>Optional</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaLimit.property.order"></a>

```go
Order *string
```

- *Type:* *string

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaStyle <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaStyle.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaStyle {
	Palette: *string,
	PaletteIndex: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaStyle.property.palette">Palette</a></code> | <code>*string</code> | The color palette used to display the formula. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaStyle.property.paletteIndex">PaletteIndex</a></code> | <code>*f64</code> | Index specifying which color to use within the palette. |

---

##### `Palette`<sup>Optional</sup> <a name="Palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaStyle.property.palette"></a>

```go
Palette *string
```

- *Type:* *string

The color palette used to display the formula.

A guide to the available color palettes can be found at https://docs.datadoghq.com/dashboards/guide/widget_colors

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `PaletteIndex`<sup>Optional</sup> <a name="PaletteIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaStyle.property.paletteIndex"></a>

```go
PaletteIndex *f64
```

- *Type:* *f64

Index specifying which color to use within the palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette_index Dashboard#palette_index}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestProcessQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestProcessQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestProcessQuery {
	Metric: *string,
	FilterBy: *[]*string,
	Limit: *f64,
	SearchBy: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestProcessQuery.property.metric">Metric</a></code> | <code>*string</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestProcessQuery.property.filterBy">FilterBy</a></code> | <code>*[]*string</code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestProcessQuery.property.limit">Limit</a></code> | <code>*f64</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestProcessQuery.property.searchBy">SearchBy</a></code> | <code>*string</code> | Your chosen search term. |

---

##### `Metric`<sup>Required</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestProcessQuery.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `FilterBy`<sup>Optional</sup> <a name="FilterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestProcessQuery.property.filterBy"></a>

```go
FilterBy *[]*string
```

- *Type:* *[]*string

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestProcessQuery.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SearchBy`<sup>Optional</sup> <a name="SearchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestProcessQuery.property.searchBy"></a>

```go
SearchBy *string
```

- *Type:* *string

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQuery {
	ApmDependencyStatsQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery,
	ApmResourceStatsQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery,
	EventQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery,
	MetricQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryMetricQuery,
	ProcessQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQuery.property.apmDependencyStatsQuery">ApmDependencyStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery</a></code> | apm_dependency_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQuery.property.apmResourceStatsQuery">ApmResourceStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery</a></code> | apm_resource_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQuery.property.eventQuery">EventQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery</a></code> | event_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQuery.property.metricQuery">MetricQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryMetricQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryMetricQuery</a></code> | metric_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQuery.property.processQuery">ProcessQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery</a></code> | process_query block. |

---

##### `ApmDependencyStatsQuery`<sup>Optional</sup> <a name="ApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQuery.property.apmDependencyStatsQuery"></a>

```go
ApmDependencyStatsQuery DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery</a>

apm_dependency_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_dependency_stats_query Dashboard#apm_dependency_stats_query}

---

##### `ApmResourceStatsQuery`<sup>Optional</sup> <a name="ApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQuery.property.apmResourceStatsQuery"></a>

```go
ApmResourceStatsQuery DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery</a>

apm_resource_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_resource_stats_query Dashboard#apm_resource_stats_query}

---

##### `EventQuery`<sup>Optional</sup> <a name="EventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQuery.property.eventQuery"></a>

```go
EventQuery DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery</a>

event_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_query Dashboard#event_query}

---

##### `MetricQuery`<sup>Optional</sup> <a name="MetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQuery.property.metricQuery"></a>

```go
MetricQuery DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryMetricQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryMetricQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryMetricQuery</a>

metric_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric_query Dashboard#metric_query}

---

##### `ProcessQuery`<sup>Optional</sup> <a name="ProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQuery.property.processQuery"></a>

```go
ProcessQuery DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery {
	DataSource: *string,
	Env: *string,
	Name: *string,
	OperationName: *string,
	ResourceName: *string,
	Service: *string,
	Stat: *string,
	IsUpstream: interface{},
	PrimaryTagName: *string,
	PrimaryTagValue: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.env">Env</a></code> | <code>*string</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.name">Name</a></code> | <code>*string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.operationName">OperationName</a></code> | <code>*string</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName">ResourceName</a></code> | <code>*string</code> | APM resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.service">Service</a></code> | <code>*string</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.stat">Stat</a></code> | <code>*string</code> | APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream">IsUpstream</a></code> | <code>interface{}</code> | Determines whether stats for upstream or downstream dependencies should be queried. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName">PrimaryTagName</a></code> | <code>*string</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue">PrimaryTagValue</a></code> | <code>*string</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `Env`<sup>Required</sup> <a name="Env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.env"></a>

```go
Env *string
```

- *Type:* *string

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `OperationName`<sup>Required</sup> <a name="OperationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.operationName"></a>

```go
OperationName *string
```

- *Type:* *string

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `ResourceName`<sup>Required</sup> <a name="ResourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName"></a>

```go
ResourceName *string
```

- *Type:* *string

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

##### `Service`<sup>Required</sup> <a name="Service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.service"></a>

```go
Service *string
```

- *Type:* *string

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `Stat`<sup>Required</sup> <a name="Stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.stat"></a>

```go
Stat *string
```

- *Type:* *string

APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `IsUpstream`<sup>Optional</sup> <a name="IsUpstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream"></a>

```go
IsUpstream interface{}
```

- *Type:* interface{}

Determines whether stats for upstream or downstream dependencies should be queried.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_upstream Dashboard#is_upstream}

---

##### `PrimaryTagName`<sup>Optional</sup> <a name="PrimaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName"></a>

```go
PrimaryTagName *string
```

- *Type:* *string

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `PrimaryTagValue`<sup>Optional</sup> <a name="PrimaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue"></a>

```go
PrimaryTagValue *string
```

- *Type:* *string

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery {
	DataSource: *string,
	Env: *string,
	Name: *string,
	Service: *string,
	Stat: *string,
	GroupBy: *[]*string,
	OperationName: *string,
	PrimaryTagName: *string,
	PrimaryTagValue: *string,
	ResourceName: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.env">Env</a></code> | <code>*string</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.name">Name</a></code> | <code>*string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.service">Service</a></code> | <code>*string</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.stat">Stat</a></code> | <code>*string</code> | APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.groupBy">GroupBy</a></code> | <code>*[]*string</code> | Array of fields to group results by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.operationName">OperationName</a></code> | <code>*string</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName">PrimaryTagName</a></code> | <code>*string</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue">PrimaryTagValue</a></code> | <code>*string</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.resourceName">ResourceName</a></code> | <code>*string</code> | APM resource. |

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `Env`<sup>Required</sup> <a name="Env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.env"></a>

```go
Env *string
```

- *Type:* *string

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `Service`<sup>Required</sup> <a name="Service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.service"></a>

```go
Service *string
```

- *Type:* *string

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `Stat`<sup>Required</sup> <a name="Stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.stat"></a>

```go
Stat *string
```

- *Type:* *string

APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.groupBy"></a>

```go
GroupBy *[]*string
```

- *Type:* *[]*string

Array of fields to group results by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `OperationName`<sup>Optional</sup> <a name="OperationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.operationName"></a>

```go
OperationName *string
```

- *Type:* *string

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `PrimaryTagName`<sup>Optional</sup> <a name="PrimaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName"></a>

```go
PrimaryTagName *string
```

- *Type:* *string

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `PrimaryTagValue`<sup>Optional</sup> <a name="PrimaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue"></a>

```go
PrimaryTagValue *string
```

- *Type:* *string

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

##### `ResourceName`<sup>Optional</sup> <a name="ResourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.resourceName"></a>

```go
ResourceName *string
```

- *Type:* *string

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery {
	Compute: interface{},
	DataSource: *string,
	Name: *string,
	GroupBy: interface{},
	Indexes: *[]*string,
	Search: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuerySearch,
	Storage: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery.property.compute">Compute</a></code> | <code>interface{}</code> | compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for event platform-based queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery.property.name">Name</a></code> | <code>*string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery.property.indexes">Indexes</a></code> | <code>*[]*string</code> | An array of index names to query in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery.property.search">Search</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuerySearch</a></code> | search block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery.property.storage">Storage</a></code> | <code>*string</code> | Storage location (private beta). |

---

##### `Compute`<sup>Required</sup> <a name="Compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery.property.compute"></a>

```go
Compute interface{}
```

- *Type:* interface{}

compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute Dashboard#compute}

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for event platform-based queries.

Valid values are `logs`, `spans`, `network`, `rum`, `security_signals`, `profiles`, `audit`, `events`, `ci_tests`, `ci_pipelines`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `Indexes`<sup>Optional</sup> <a name="Indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery.property.indexes"></a>

```go
Indexes *[]*string
```

- *Type:* *[]*string

An array of index names to query in the stream.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `Search`<sup>Optional</sup> <a name="Search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery.property.search"></a>

```go
Search DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuerySearch
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuerySearch</a>

search block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search Dashboard#search}

---

##### `Storage`<sup>Optional</sup> <a name="Storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery.property.storage"></a>

```go
Storage *string
```

- *Type:* *string

Storage location (private beta).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#storage Dashboard#storage}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryCompute <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryCompute {
	Aggregation: *string,
	Interval: *f64,
	Metric: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation methods for event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryCompute.property.interval">Interval</a></code> | <code>*f64</code> | A time interval in milliseconds. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryCompute.property.metric">Metric</a></code> | <code>*string</code> | The measurable attribute to compute. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation methods for event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

A time interval in milliseconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

##### `Metric`<sup>Optional</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryCompute.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

The measurable attribute to compute.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	Sort: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBySort,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The event facet. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The number of groups to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBy.property.sort">Sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBySort</a></code> | sort block. |

---

##### `Facet`<sup>Required</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The event facet.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The number of groups to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `Sort`<sup>Optional</sup> <a name="Sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBy.property.sort"></a>

```go
Sort DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBySort
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBySort</a>

sort block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBySort <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBySort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBySort"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBySort.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBySort {
	Aggregation: *string,
	Metric: *string,
	Order: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBySort.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation methods for the event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBySort.property.metric">Metric</a></code> | <code>*string</code> | The metric used for sorting group by results. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBySort.property.order">Order</a></code> | <code>*string</code> | Direction of sort. Valid values are `asc`, `desc`. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBySort.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation methods for the event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Metric`<sup>Optional</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBySort.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

The metric used for sorting group by results.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `Order`<sup>Optional</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBySort.property.order"></a>

```go
Order *string
```

- *Type:* *string

Direction of sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuerySearch <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuerySearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuerySearch"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuerySearch.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuerySearch {
	Query: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuerySearch.property.query">Query</a></code> | <code>*string</code> | The events search string. |

---

##### `Query`<sup>Required</sup> <a name="Query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuerySearch.property.query"></a>

```go
Query *string
```

- *Type:* *string

The events search string.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryMetricQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryMetricQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryMetricQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryMetricQuery {
	Name: *string,
	Query: *string,
	Aggregator: *string,
	DataSource: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryMetricQuery.property.name">Name</a></code> | <code>*string</code> | The name of the query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryMetricQuery.property.query">Query</a></code> | <code>*string</code> | The metrics query definition. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryMetricQuery.property.aggregator">Aggregator</a></code> | <code>*string</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryMetricQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for metrics queries. |

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryMetricQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of the query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `Query`<sup>Required</sup> <a name="Query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryMetricQuery.property.query"></a>

```go
Query *string
```

- *Type:* *string

The metrics query definition.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `Aggregator`<sup>Optional</sup> <a name="Aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryMetricQuery.property.aggregator"></a>

```go
Aggregator *string
```

- *Type:* *string

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `DataSource`<sup>Optional</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryMetricQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for metrics queries.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery {
	DataSource: *string,
	Metric: *string,
	Name: *string,
	Aggregator: *string,
	IsNormalizedCpu: interface{},
	Limit: *f64,
	Sort: *string,
	TagFilters: *[]*string,
	TextFilter: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for process queries. Valid values are `process`, `container`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery.property.metric">Metric</a></code> | <code>*string</code> | The process metric name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery.property.name">Name</a></code> | <code>*string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery.property.aggregator">Aggregator</a></code> | <code>*string</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery.property.isNormalizedCpu">IsNormalizedCpu</a></code> | <code>interface{}</code> | Whether to normalize the CPU percentages. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery.property.limit">Limit</a></code> | <code>*f64</code> | The number of hits to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery.property.sort">Sort</a></code> | <code>*string</code> | The direction of the sort. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery.property.tagFilters">TagFilters</a></code> | <code>*[]*string</code> | An array of tags to filter by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery.property.textFilter">TextFilter</a></code> | <code>*string</code> | The text to use as a filter. |

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for process queries. Valid values are `process`, `container`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `Metric`<sup>Required</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

The process metric name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `Aggregator`<sup>Optional</sup> <a name="Aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery.property.aggregator"></a>

```go
Aggregator *string
```

- *Type:* *string

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `IsNormalizedCpu`<sup>Optional</sup> <a name="IsNormalizedCpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery.property.isNormalizedCpu"></a>

```go
IsNormalizedCpu interface{}
```

- *Type:* interface{}

Whether to normalize the CPU percentages.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_normalized_cpu Dashboard#is_normalized_cpu}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The number of hits to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `Sort`<sup>Optional</sup> <a name="Sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery.property.sort"></a>

```go
Sort *string
```

- *Type:* *string

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `TagFilters`<sup>Optional</sup> <a name="TagFilters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery.property.tagFilters"></a>

```go
TagFilters *[]*string
```

- *Type:* *[]*string

An array of tags to filter by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tag_filters Dashboard#tag_filters}

---

##### `TextFilter`<sup>Optional</sup> <a name="TextFilter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery.property.textFilter"></a>

```go
TextFilter *string
```

- *Type:* *string

The text to use as a filter.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_filter Dashboard#text_filter}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestStyle <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestStyle.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestStyle {
	Palette: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestStyle.property.palette">Palette</a></code> | <code>*string</code> | A color palette to apply to the widget. The available options are available at: https://docs.datadoghq.com/dashboards/widgets/timeseries/#appearance. |

---

##### `Palette`<sup>Optional</sup> <a name="Palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestStyle.property.palette"></a>

```go
Palette *string
```

- *Type:* *string

A color palette to apply to the widget. The available options are available at: https://docs.datadoghq.com/dashboards/widgets/timeseries/#appearance.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

### DashboardWidgetGroupDefinitionWidgetTopologyMapDefinition <a name="DashboardWidgetGroupDefinitionWidgetTopologyMapDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinition.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinition {
	CustomLink: interface{},
	Request: interface{},
	Title: *string,
	TitleAlign: *string,
	TitleSize: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinition.property.customLink">CustomLink</a></code> | <code>interface{}</code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinition.property.request">Request</a></code> | <code>interface{}</code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinition.property.title">Title</a></code> | <code>*string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinition.property.titleAlign">TitleAlign</a></code> | <code>*string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinition.property.titleSize">TitleSize</a></code> | <code>*string</code> | The size of the widget's title (defaults to 16). |

---

##### `CustomLink`<sup>Optional</sup> <a name="CustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinition.property.customLink"></a>

```go
CustomLink interface{}
```

- *Type:* interface{}

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `Request`<sup>Optional</sup> <a name="Request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinition.property.request"></a>

```go
Request interface{}
```

- *Type:* interface{}

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `Title`<sup>Optional</sup> <a name="Title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinition.property.title"></a>

```go
Title *string
```

- *Type:* *string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `TitleAlign`<sup>Optional</sup> <a name="TitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinition.property.titleAlign"></a>

```go
TitleAlign *string
```

- *Type:* *string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `TitleSize`<sup>Optional</sup> <a name="TitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinition.property.titleSize"></a>

```go
TitleSize *string
```

- *Type:* *string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionCustomLink <a name="DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionCustomLink.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionCustomLink {
	IsHidden: interface{},
	Label: *string,
	Link: *string,
	OverrideLabel: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionCustomLink.property.isHidden">IsHidden</a></code> | <code>interface{}</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionCustomLink.property.label">Label</a></code> | <code>*string</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionCustomLink.property.link">Link</a></code> | <code>*string</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionCustomLink.property.overrideLabel">OverrideLabel</a></code> | <code>*string</code> | The label ID that refers to a context menu link item. |

---

##### `IsHidden`<sup>Optional</sup> <a name="IsHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionCustomLink.property.isHidden"></a>

```go
IsHidden interface{}
```

- *Type:* interface{}

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `Label`<sup>Optional</sup> <a name="Label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionCustomLink.property.label"></a>

```go
Label *string
```

- *Type:* *string

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `Link`<sup>Optional</sup> <a name="Link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionCustomLink.property.link"></a>

```go
Link *string
```

- *Type:* *string

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `OverrideLabel`<sup>Optional</sup> <a name="OverrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionCustomLink.property.overrideLabel"></a>

```go
OverrideLabel *string
```

- *Type:* *string

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequest <a name="DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequest.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequest {
	Query: interface{},
	RequestType: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequest.property.query">Query</a></code> | <code>interface{}</code> | query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequest.property.requestType">RequestType</a></code> | <code>*string</code> | The request type for the Topology request ('topology'). Valid values are `topology`. |

---

##### `Query`<sup>Required</sup> <a name="Query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequest.property.query"></a>

```go
Query interface{}
```

- *Type:* interface{}

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `RequestType`<sup>Required</sup> <a name="RequestType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequest.property.requestType"></a>

```go
RequestType *string
```

- *Type:* *string

The request type for the Topology request ('topology'). Valid values are `topology`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request_type Dashboard#request_type}

---

### DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequestQuery <a name="DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequestQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequestQuery {
	DataSource: *string,
	Filters: *[]*string,
	Service: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequestQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for the Topology request ('service_map' or 'data_streams'). Valid values are `data_streams`, `service_map`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequestQuery.property.filters">Filters</a></code> | <code>*[]*string</code> | Your environment and primary tag (or `*` if enabled for your account). |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequestQuery.property.service">Service</a></code> | <code>*string</code> | The ID of the service to map. |

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequestQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for the Topology request ('service_map' or 'data_streams'). Valid values are `data_streams`, `service_map`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `Filters`<sup>Required</sup> <a name="Filters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequestQuery.property.filters"></a>

```go
Filters *[]*string
```

- *Type:* *[]*string

Your environment and primary tag (or `*` if enabled for your account).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filters Dashboard#filters}

---

##### `Service`<sup>Required</sup> <a name="Service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequestQuery.property.service"></a>

```go
Service *string
```

- *Type:* *string

The ID of the service to map.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

### DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition <a name="DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition {
	Env: *string,
	Service: *string,
	SpanName: *string,
	DisplayFormat: *string,
	LiveSpan: *string,
	ShowBreakdown: interface{},
	ShowDistribution: interface{},
	ShowErrors: interface{},
	ShowHits: interface{},
	ShowLatency: interface{},
	ShowResourceList: interface{},
	SizeFormat: *string,
	Title: *string,
	TitleAlign: *string,
	TitleSize: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.env">Env</a></code> | <code>*string</code> | APM environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.service">Service</a></code> | <code>*string</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.spanName">SpanName</a></code> | <code>*string</code> | APM span name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.displayFormat">DisplayFormat</a></code> | <code>*string</code> | The number of columns to display. Valid values are `one_column`, `two_column`, `three_column`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.liveSpan">LiveSpan</a></code> | <code>*string</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.showBreakdown">ShowBreakdown</a></code> | <code>interface{}</code> | Whether to show the latency breakdown or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.showDistribution">ShowDistribution</a></code> | <code>interface{}</code> | Whether to show the latency distribution or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.showErrors">ShowErrors</a></code> | <code>interface{}</code> | Whether to show the error metrics or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.showHits">ShowHits</a></code> | <code>interface{}</code> | Whether to show the hits metrics or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.showLatency">ShowLatency</a></code> | <code>interface{}</code> | Whether to show the latency metrics or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.showResourceList">ShowResourceList</a></code> | <code>interface{}</code> | Whether to show the resource list or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.sizeFormat">SizeFormat</a></code> | <code>*string</code> | The size of the widget. Valid values are `small`, `medium`, `large`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.title">Title</a></code> | <code>*string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.titleAlign">TitleAlign</a></code> | <code>*string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.titleSize">TitleSize</a></code> | <code>*string</code> | The size of the widget's title (defaults to 16). |

---

##### `Env`<sup>Required</sup> <a name="Env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.env"></a>

```go
Env *string
```

- *Type:* *string

APM environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `Service`<sup>Required</sup> <a name="Service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.service"></a>

```go
Service *string
```

- *Type:* *string

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `SpanName`<sup>Required</sup> <a name="SpanName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.spanName"></a>

```go
SpanName *string
```

- *Type:* *string

APM span name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#span_name Dashboard#span_name}

---

##### `DisplayFormat`<sup>Optional</sup> <a name="DisplayFormat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.displayFormat"></a>

```go
DisplayFormat *string
```

- *Type:* *string

The number of columns to display. Valid values are `one_column`, `two_column`, `three_column`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#display_format Dashboard#display_format}

---

##### `LiveSpan`<sup>Optional</sup> <a name="LiveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.liveSpan"></a>

```go
LiveSpan *string
```

- *Type:* *string

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `ShowBreakdown`<sup>Optional</sup> <a name="ShowBreakdown" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.showBreakdown"></a>

```go
ShowBreakdown interface{}
```

- *Type:* interface{}

Whether to show the latency breakdown or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_breakdown Dashboard#show_breakdown}

---

##### `ShowDistribution`<sup>Optional</sup> <a name="ShowDistribution" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.showDistribution"></a>

```go
ShowDistribution interface{}
```

- *Type:* interface{}

Whether to show the latency distribution or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_distribution Dashboard#show_distribution}

---

##### `ShowErrors`<sup>Optional</sup> <a name="ShowErrors" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.showErrors"></a>

```go
ShowErrors interface{}
```

- *Type:* interface{}

Whether to show the error metrics or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_errors Dashboard#show_errors}

---

##### `ShowHits`<sup>Optional</sup> <a name="ShowHits" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.showHits"></a>

```go
ShowHits interface{}
```

- *Type:* interface{}

Whether to show the hits metrics or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_hits Dashboard#show_hits}

---

##### `ShowLatency`<sup>Optional</sup> <a name="ShowLatency" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.showLatency"></a>

```go
ShowLatency interface{}
```

- *Type:* interface{}

Whether to show the latency metrics or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_latency Dashboard#show_latency}

---

##### `ShowResourceList`<sup>Optional</sup> <a name="ShowResourceList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.showResourceList"></a>

```go
ShowResourceList interface{}
```

- *Type:* interface{}

Whether to show the resource list or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_resource_list Dashboard#show_resource_list}

---

##### `SizeFormat`<sup>Optional</sup> <a name="SizeFormat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.sizeFormat"></a>

```go
SizeFormat *string
```

- *Type:* *string

The size of the widget. Valid values are `small`, `medium`, `large`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#size_format Dashboard#size_format}

---

##### `Title`<sup>Optional</sup> <a name="Title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.title"></a>

```go
Title *string
```

- *Type:* *string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `TitleAlign`<sup>Optional</sup> <a name="TitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.titleAlign"></a>

```go
TitleAlign *string
```

- *Type:* *string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `TitleSize`<sup>Optional</sup> <a name="TitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.titleSize"></a>

```go
TitleSize *string
```

- *Type:* *string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGroupDefinitionWidgetTreemapDefinition <a name="DashboardWidgetGroupDefinitionWidgetTreemapDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinition.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinition {
	Request: interface{},
	Title: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinition.property.request">Request</a></code> | <code>interface{}</code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinition.property.title">Title</a></code> | <code>*string</code> | The title of the widget. |

---

##### `Request`<sup>Optional</sup> <a name="Request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinition.property.request"></a>

```go
Request interface{}
```

- *Type:* interface{}

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `Title`<sup>Optional</sup> <a name="Title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinition.property.title"></a>

```go
Title *string
```

- *Type:* *string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

### DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequest <a name="DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequest.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequest {
	Formula: interface{},
	Query: interface{},
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequest.property.formula">Formula</a></code> | <code>interface{}</code> | formula block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequest.property.query">Query</a></code> | <code>interface{}</code> | query block. |

---

##### `Formula`<sup>Optional</sup> <a name="Formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequest.property.formula"></a>

```go
Formula interface{}
```

- *Type:* interface{}

formula block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula Dashboard#formula}

---

##### `Query`<sup>Optional</sup> <a name="Query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequest.property.query"></a>

```go
Query interface{}
```

- *Type:* interface{}

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormula <a name="DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormula"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormula.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormula {
	FormulaExpression: *string,
	Alias: *string,
	CellDisplayMode: *string,
	ConditionalFormats: interface{},
	Limit: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaLimit,
	Style: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaStyle,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormula.property.formulaExpression">FormulaExpression</a></code> | <code>*string</code> | A string expression built from queries, formulas, and functions. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormula.property.alias">Alias</a></code> | <code>*string</code> | An expression alias. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormula.property.cellDisplayMode">CellDisplayMode</a></code> | <code>*string</code> | A list of display modes for each table cell. Valid values are `number`, `bar`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormula.property.conditionalFormats">ConditionalFormats</a></code> | <code>interface{}</code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormula.property.limit">Limit</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaLimit">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaLimit</a></code> | limit block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormula.property.style">Style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaStyle">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaStyle</a></code> | style block. |

---

##### `FormulaExpression`<sup>Required</sup> <a name="FormulaExpression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormula.property.formulaExpression"></a>

```go
FormulaExpression *string
```

- *Type:* *string

A string expression built from queries, formulas, and functions.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula_expression Dashboard#formula_expression}

---

##### `Alias`<sup>Optional</sup> <a name="Alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormula.property.alias"></a>

```go
Alias *string
```

- *Type:* *string

An expression alias.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `CellDisplayMode`<sup>Optional</sup> <a name="CellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormula.property.cellDisplayMode"></a>

```go
CellDisplayMode *string
```

- *Type:* *string

A list of display modes for each table cell. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `ConditionalFormats`<sup>Optional</sup> <a name="ConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormula.property.conditionalFormats"></a>

```go
ConditionalFormats interface{}
```

- *Type:* interface{}

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormula.property.limit"></a>

```go
Limit DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaLimit
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaLimit">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaLimit</a>

limit block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `Style`<sup>Optional</sup> <a name="Style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormula.property.style"></a>

```go
Style DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaStyle
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaStyle">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats <a name="DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats {
	Comparator: *string,
	Palette: *string,
	Value: *f64,
	CustomBgColor: *string,
	CustomFgColor: *string,
	HideValue: interface{},
	ImageUrl: *string,
	Metric: *string,
	Timeframe: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.comparator">Comparator</a></code> | <code>*string</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.palette">Palette</a></code> | <code>*string</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.value">Value</a></code> | <code>*f64</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.customBgColor">CustomBgColor</a></code> | <code>*string</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.customFgColor">CustomFgColor</a></code> | <code>*string</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.hideValue">HideValue</a></code> | <code>interface{}</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.imageUrl">ImageUrl</a></code> | <code>*string</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.metric">Metric</a></code> | <code>*string</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.timeframe">Timeframe</a></code> | <code>*string</code> | Defines the displayed timeframe. |

---

##### `Comparator`<sup>Required</sup> <a name="Comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.comparator"></a>

```go
Comparator *string
```

- *Type:* *string

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `Palette`<sup>Required</sup> <a name="Palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.palette"></a>

```go
Palette *string
```

- *Type:* *string

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `Value`<sup>Required</sup> <a name="Value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.value"></a>

```go
Value *f64
```

- *Type:* *f64

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `CustomBgColor`<sup>Optional</sup> <a name="CustomBgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.customBgColor"></a>

```go
CustomBgColor *string
```

- *Type:* *string

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `CustomFgColor`<sup>Optional</sup> <a name="CustomFgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.customFgColor"></a>

```go
CustomFgColor *string
```

- *Type:* *string

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `HideValue`<sup>Optional</sup> <a name="HideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.hideValue"></a>

```go
HideValue interface{}
```

- *Type:* interface{}

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `ImageUrl`<sup>Optional</sup> <a name="ImageUrl" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.imageUrl"></a>

```go
ImageUrl *string
```

- *Type:* *string

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `Metric`<sup>Optional</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `Timeframe`<sup>Optional</sup> <a name="Timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.timeframe"></a>

```go
Timeframe *string
```

- *Type:* *string

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaLimit <a name="DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaLimit"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaLimit.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaLimit {
	Count: *f64,
	Order: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaLimit.property.count">Count</a></code> | <code>*f64</code> | The number of results to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaLimit.property.order">Order</a></code> | <code>*string</code> | The direction of the sort. Valid values are `asc`, `desc`. |

---

##### `Count`<sup>Optional</sup> <a name="Count" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaLimit.property.count"></a>

```go
Count *f64
```

- *Type:* *f64

The number of results to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#count Dashboard#count}

---

##### `Order`<sup>Optional</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaLimit.property.order"></a>

```go
Order *string
```

- *Type:* *string

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaStyle <a name="DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaStyle.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaStyle {
	Palette: *string,
	PaletteIndex: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaStyle.property.palette">Palette</a></code> | <code>*string</code> | The color palette used to display the formula. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaStyle.property.paletteIndex">PaletteIndex</a></code> | <code>*f64</code> | Index specifying which color to use within the palette. |

---

##### `Palette`<sup>Optional</sup> <a name="Palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaStyle.property.palette"></a>

```go
Palette *string
```

- *Type:* *string

The color palette used to display the formula.

A guide to the available color palettes can be found at https://docs.datadoghq.com/dashboards/guide/widget_colors

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `PaletteIndex`<sup>Optional</sup> <a name="PaletteIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaStyle.property.paletteIndex"></a>

```go
PaletteIndex *f64
```

- *Type:* *f64

Index specifying which color to use within the palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette_index Dashboard#palette_index}

---

### DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQuery <a name="DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQuery {
	ApmDependencyStatsQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery,
	ApmResourceStatsQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery,
	EventQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery,
	MetricQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryMetricQuery,
	ProcessQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQuery.property.apmDependencyStatsQuery">ApmDependencyStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery</a></code> | apm_dependency_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQuery.property.apmResourceStatsQuery">ApmResourceStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery</a></code> | apm_resource_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQuery.property.eventQuery">EventQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery</a></code> | event_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQuery.property.metricQuery">MetricQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryMetricQuery">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryMetricQuery</a></code> | metric_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQuery.property.processQuery">ProcessQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery</a></code> | process_query block. |

---

##### `ApmDependencyStatsQuery`<sup>Optional</sup> <a name="ApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQuery.property.apmDependencyStatsQuery"></a>

```go
ApmDependencyStatsQuery DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery</a>

apm_dependency_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_dependency_stats_query Dashboard#apm_dependency_stats_query}

---

##### `ApmResourceStatsQuery`<sup>Optional</sup> <a name="ApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQuery.property.apmResourceStatsQuery"></a>

```go
ApmResourceStatsQuery DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery</a>

apm_resource_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_resource_stats_query Dashboard#apm_resource_stats_query}

---

##### `EventQuery`<sup>Optional</sup> <a name="EventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQuery.property.eventQuery"></a>

```go
EventQuery DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery</a>

event_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_query Dashboard#event_query}

---

##### `MetricQuery`<sup>Optional</sup> <a name="MetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQuery.property.metricQuery"></a>

```go
MetricQuery DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryMetricQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryMetricQuery">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryMetricQuery</a>

metric_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric_query Dashboard#metric_query}

---

##### `ProcessQuery`<sup>Optional</sup> <a name="ProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQuery.property.processQuery"></a>

```go
ProcessQuery DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

### DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery <a name="DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery {
	DataSource: *string,
	Env: *string,
	Name: *string,
	OperationName: *string,
	ResourceName: *string,
	Service: *string,
	Stat: *string,
	IsUpstream: interface{},
	PrimaryTagName: *string,
	PrimaryTagValue: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.env">Env</a></code> | <code>*string</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.name">Name</a></code> | <code>*string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.operationName">OperationName</a></code> | <code>*string</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName">ResourceName</a></code> | <code>*string</code> | APM resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.service">Service</a></code> | <code>*string</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.stat">Stat</a></code> | <code>*string</code> | APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream">IsUpstream</a></code> | <code>interface{}</code> | Determines whether stats for upstream or downstream dependencies should be queried. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName">PrimaryTagName</a></code> | <code>*string</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue">PrimaryTagValue</a></code> | <code>*string</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `Env`<sup>Required</sup> <a name="Env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.env"></a>

```go
Env *string
```

- *Type:* *string

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `OperationName`<sup>Required</sup> <a name="OperationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.operationName"></a>

```go
OperationName *string
```

- *Type:* *string

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `ResourceName`<sup>Required</sup> <a name="ResourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName"></a>

```go
ResourceName *string
```

- *Type:* *string

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

##### `Service`<sup>Required</sup> <a name="Service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.service"></a>

```go
Service *string
```

- *Type:* *string

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `Stat`<sup>Required</sup> <a name="Stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.stat"></a>

```go
Stat *string
```

- *Type:* *string

APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `IsUpstream`<sup>Optional</sup> <a name="IsUpstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream"></a>

```go
IsUpstream interface{}
```

- *Type:* interface{}

Determines whether stats for upstream or downstream dependencies should be queried.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_upstream Dashboard#is_upstream}

---

##### `PrimaryTagName`<sup>Optional</sup> <a name="PrimaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName"></a>

```go
PrimaryTagName *string
```

- *Type:* *string

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `PrimaryTagValue`<sup>Optional</sup> <a name="PrimaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue"></a>

```go
PrimaryTagValue *string
```

- *Type:* *string

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

### DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery <a name="DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery {
	DataSource: *string,
	Env: *string,
	Name: *string,
	Service: *string,
	Stat: *string,
	GroupBy: *[]*string,
	OperationName: *string,
	PrimaryTagName: *string,
	PrimaryTagValue: *string,
	ResourceName: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.env">Env</a></code> | <code>*string</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.name">Name</a></code> | <code>*string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.service">Service</a></code> | <code>*string</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.stat">Stat</a></code> | <code>*string</code> | APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.groupBy">GroupBy</a></code> | <code>*[]*string</code> | Array of fields to group results by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.operationName">OperationName</a></code> | <code>*string</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName">PrimaryTagName</a></code> | <code>*string</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue">PrimaryTagValue</a></code> | <code>*string</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.resourceName">ResourceName</a></code> | <code>*string</code> | APM resource. |

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `Env`<sup>Required</sup> <a name="Env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.env"></a>

```go
Env *string
```

- *Type:* *string

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `Service`<sup>Required</sup> <a name="Service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.service"></a>

```go
Service *string
```

- *Type:* *string

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `Stat`<sup>Required</sup> <a name="Stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.stat"></a>

```go
Stat *string
```

- *Type:* *string

APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.groupBy"></a>

```go
GroupBy *[]*string
```

- *Type:* *[]*string

Array of fields to group results by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `OperationName`<sup>Optional</sup> <a name="OperationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.operationName"></a>

```go
OperationName *string
```

- *Type:* *string

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `PrimaryTagName`<sup>Optional</sup> <a name="PrimaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName"></a>

```go
PrimaryTagName *string
```

- *Type:* *string

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `PrimaryTagValue`<sup>Optional</sup> <a name="PrimaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue"></a>

```go
PrimaryTagValue *string
```

- *Type:* *string

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

##### `ResourceName`<sup>Optional</sup> <a name="ResourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.resourceName"></a>

```go
ResourceName *string
```

- *Type:* *string

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

### DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery <a name="DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery {
	Compute: interface{},
	DataSource: *string,
	Name: *string,
	GroupBy: interface{},
	Indexes: *[]*string,
	Search: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuerySearch,
	Storage: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery.property.compute">Compute</a></code> | <code>interface{}</code> | compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for event platform-based queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery.property.name">Name</a></code> | <code>*string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery.property.indexes">Indexes</a></code> | <code>*[]*string</code> | An array of index names to query in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery.property.search">Search</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuerySearch</a></code> | search block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery.property.storage">Storage</a></code> | <code>*string</code> | Storage location (private beta). |

---

##### `Compute`<sup>Required</sup> <a name="Compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery.property.compute"></a>

```go
Compute interface{}
```

- *Type:* interface{}

compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute Dashboard#compute}

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for event platform-based queries.

Valid values are `logs`, `spans`, `network`, `rum`, `security_signals`, `profiles`, `audit`, `events`, `ci_tests`, `ci_pipelines`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `Indexes`<sup>Optional</sup> <a name="Indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery.property.indexes"></a>

```go
Indexes *[]*string
```

- *Type:* *[]*string

An array of index names to query in the stream.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `Search`<sup>Optional</sup> <a name="Search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery.property.search"></a>

```go
Search DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuerySearch
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuerySearch</a>

search block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search Dashboard#search}

---

##### `Storage`<sup>Optional</sup> <a name="Storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery.property.storage"></a>

```go
Storage *string
```

- *Type:* *string

Storage location (private beta).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#storage Dashboard#storage}

---

### DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryCompute <a name="DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryCompute {
	Aggregation: *string,
	Interval: *f64,
	Metric: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation methods for event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryCompute.property.interval">Interval</a></code> | <code>*f64</code> | A time interval in milliseconds. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryCompute.property.metric">Metric</a></code> | <code>*string</code> | The measurable attribute to compute. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation methods for event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

A time interval in milliseconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

##### `Metric`<sup>Optional</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryCompute.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

The measurable attribute to compute.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

### DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	Sort: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The event facet. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The number of groups to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBy.property.sort">Sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort</a></code> | sort block. |

---

##### `Facet`<sup>Required</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The event facet.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The number of groups to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `Sort`<sup>Optional</sup> <a name="Sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBy.property.sort"></a>

```go
Sort DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort</a>

sort block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

### DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort <a name="DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort {
	Aggregation: *string,
	Metric: *string,
	Order: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation methods for the event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort.property.metric">Metric</a></code> | <code>*string</code> | The metric used for sorting group by results. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort.property.order">Order</a></code> | <code>*string</code> | Direction of sort. Valid values are `asc`, `desc`. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation methods for the event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Metric`<sup>Optional</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

The metric used for sorting group by results.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `Order`<sup>Optional</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort.property.order"></a>

```go
Order *string
```

- *Type:* *string

Direction of sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuerySearch <a name="DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuerySearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuerySearch"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuerySearch.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuerySearch {
	Query: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuerySearch.property.query">Query</a></code> | <code>*string</code> | The events search string. |

---

##### `Query`<sup>Required</sup> <a name="Query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuerySearch.property.query"></a>

```go
Query *string
```

- *Type:* *string

The events search string.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryMetricQuery <a name="DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryMetricQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryMetricQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryMetricQuery {
	Name: *string,
	Query: *string,
	Aggregator: *string,
	DataSource: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryMetricQuery.property.name">Name</a></code> | <code>*string</code> | The name of the query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryMetricQuery.property.query">Query</a></code> | <code>*string</code> | The metrics query definition. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryMetricQuery.property.aggregator">Aggregator</a></code> | <code>*string</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryMetricQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for metrics queries. |

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryMetricQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of the query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `Query`<sup>Required</sup> <a name="Query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryMetricQuery.property.query"></a>

```go
Query *string
```

- *Type:* *string

The metrics query definition.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `Aggregator`<sup>Optional</sup> <a name="Aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryMetricQuery.property.aggregator"></a>

```go
Aggregator *string
```

- *Type:* *string

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `DataSource`<sup>Optional</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryMetricQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for metrics queries.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

### DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery <a name="DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery {
	DataSource: *string,
	Metric: *string,
	Name: *string,
	Aggregator: *string,
	IsNormalizedCpu: interface{},
	Limit: *f64,
	Sort: *string,
	TagFilters: *[]*string,
	TextFilter: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for process queries. Valid values are `process`, `container`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery.property.metric">Metric</a></code> | <code>*string</code> | The process metric name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery.property.name">Name</a></code> | <code>*string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery.property.aggregator">Aggregator</a></code> | <code>*string</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery.property.isNormalizedCpu">IsNormalizedCpu</a></code> | <code>interface{}</code> | Whether to normalize the CPU percentages. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery.property.limit">Limit</a></code> | <code>*f64</code> | The number of hits to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery.property.sort">Sort</a></code> | <code>*string</code> | The direction of the sort. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery.property.tagFilters">TagFilters</a></code> | <code>*[]*string</code> | An array of tags to filter by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery.property.textFilter">TextFilter</a></code> | <code>*string</code> | The text to use as a filter. |

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for process queries. Valid values are `process`, `container`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `Metric`<sup>Required</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

The process metric name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `Aggregator`<sup>Optional</sup> <a name="Aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery.property.aggregator"></a>

```go
Aggregator *string
```

- *Type:* *string

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `IsNormalizedCpu`<sup>Optional</sup> <a name="IsNormalizedCpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery.property.isNormalizedCpu"></a>

```go
IsNormalizedCpu interface{}
```

- *Type:* interface{}

Whether to normalize the CPU percentages.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_normalized_cpu Dashboard#is_normalized_cpu}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The number of hits to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `Sort`<sup>Optional</sup> <a name="Sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery.property.sort"></a>

```go
Sort *string
```

- *Type:* *string

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `TagFilters`<sup>Optional</sup> <a name="TagFilters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery.property.tagFilters"></a>

```go
TagFilters *[]*string
```

- *Type:* *[]*string

An array of tags to filter by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tag_filters Dashboard#tag_filters}

---

##### `TextFilter`<sup>Optional</sup> <a name="TextFilter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery.property.textFilter"></a>

```go
TextFilter *string
```

- *Type:* *string

The text to use as a filter.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_filter Dashboard#text_filter}

---

### DashboardWidgetGroupDefinitionWidgetWidgetLayout <a name="DashboardWidgetGroupDefinitionWidgetWidgetLayout" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetWidgetLayout"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetWidgetLayout.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetGroupDefinitionWidgetWidgetLayout {
	Height: *f64,
	Width: *f64,
	X: *f64,
	Y: *f64,
	IsColumnBreak: interface{},
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetWidgetLayout.property.height">Height</a></code> | <code>*f64</code> | The height of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetWidgetLayout.property.width">Width</a></code> | <code>*f64</code> | The width of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetWidgetLayout.property.x">X</a></code> | <code>*f64</code> | The position of the widget on the x (horizontal) axis. Should be greater than or equal to 0. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetWidgetLayout.property.y">Y</a></code> | <code>*f64</code> | The position of the widget on the y (vertical) axis. Should be greater than or equal to 0. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetWidgetLayout.property.isColumnBreak">IsColumnBreak</a></code> | <code>interface{}</code> | Whether the widget should be the first one on the second column in high density or not. |

---

##### `Height`<sup>Required</sup> <a name="Height" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetWidgetLayout.property.height"></a>

```go
Height *f64
```

- *Type:* *f64

The height of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#height Dashboard#height}

---

##### `Width`<sup>Required</sup> <a name="Width" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetWidgetLayout.property.width"></a>

```go
Width *f64
```

- *Type:* *f64

The width of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#width Dashboard#width}

---

##### `X`<sup>Required</sup> <a name="X" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetWidgetLayout.property.x"></a>

```go
X *f64
```

- *Type:* *f64

The position of the widget on the x (horizontal) axis. Should be greater than or equal to 0.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#x Dashboard#x}

---

##### `Y`<sup>Required</sup> <a name="Y" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetWidgetLayout.property.y"></a>

```go
Y *f64
```

- *Type:* *f64

The position of the widget on the y (vertical) axis. Should be greater than or equal to 0.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#y Dashboard#y}

---

##### `IsColumnBreak`<sup>Optional</sup> <a name="IsColumnBreak" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetWidgetLayout.property.isColumnBreak"></a>

```go
IsColumnBreak interface{}
```

- *Type:* interface{}

Whether the widget should be the first one on the second column in high density or not.

Only for the new dashboard layout and only one widget in the dashboard should have this property set to `true`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_column_break Dashboard#is_column_break}

---

### DashboardWidgetHeatmapDefinition <a name="DashboardWidgetHeatmapDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetHeatmapDefinition {
	CustomLink: interface{},
	Event: interface{},
	LegendSize: *string,
	LiveSpan: *string,
	Request: interface{},
	ShowLegend: interface{},
	Title: *string,
	TitleAlign: *string,
	TitleSize: *string,
	Yaxis: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetHeatmapDefinitionYaxis,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition.property.customLink">CustomLink</a></code> | <code>interface{}</code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition.property.event">Event</a></code> | <code>interface{}</code> | event block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition.property.legendSize">LegendSize</a></code> | <code>*string</code> | The size of the legend displayed in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition.property.liveSpan">LiveSpan</a></code> | <code>*string</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition.property.request">Request</a></code> | <code>interface{}</code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition.property.showLegend">ShowLegend</a></code> | <code>interface{}</code> | Whether or not to show the legend on this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition.property.title">Title</a></code> | <code>*string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition.property.titleAlign">TitleAlign</a></code> | <code>*string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition.property.titleSize">TitleSize</a></code> | <code>*string</code> | The size of the widget's title (defaults to 16). |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition.property.yaxis">Yaxis</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionYaxis">DashboardWidgetHeatmapDefinitionYaxis</a></code> | yaxis block. |

---

##### `CustomLink`<sup>Optional</sup> <a name="CustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition.property.customLink"></a>

```go
CustomLink interface{}
```

- *Type:* interface{}

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `Event`<sup>Optional</sup> <a name="Event" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition.property.event"></a>

```go
Event interface{}
```

- *Type:* interface{}

event block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event Dashboard#event}

---

##### `LegendSize`<sup>Optional</sup> <a name="LegendSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition.property.legendSize"></a>

```go
LegendSize *string
```

- *Type:* *string

The size of the legend displayed in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#legend_size Dashboard#legend_size}

---

##### `LiveSpan`<sup>Optional</sup> <a name="LiveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition.property.liveSpan"></a>

```go
LiveSpan *string
```

- *Type:* *string

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `Request`<sup>Optional</sup> <a name="Request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition.property.request"></a>

```go
Request interface{}
```

- *Type:* interface{}

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `ShowLegend`<sup>Optional</sup> <a name="ShowLegend" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition.property.showLegend"></a>

```go
ShowLegend interface{}
```

- *Type:* interface{}

Whether or not to show the legend on this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_legend Dashboard#show_legend}

---

##### `Title`<sup>Optional</sup> <a name="Title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition.property.title"></a>

```go
Title *string
```

- *Type:* *string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `TitleAlign`<sup>Optional</sup> <a name="TitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition.property.titleAlign"></a>

```go
TitleAlign *string
```

- *Type:* *string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `TitleSize`<sup>Optional</sup> <a name="TitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition.property.titleSize"></a>

```go
TitleSize *string
```

- *Type:* *string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

##### `Yaxis`<sup>Optional</sup> <a name="Yaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition.property.yaxis"></a>

```go
Yaxis DashboardWidgetHeatmapDefinitionYaxis
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionYaxis">DashboardWidgetHeatmapDefinitionYaxis</a>

yaxis block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#yaxis Dashboard#yaxis}

---

### DashboardWidgetHeatmapDefinitionCustomLink <a name="DashboardWidgetHeatmapDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionCustomLink.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetHeatmapDefinitionCustomLink {
	IsHidden: interface{},
	Label: *string,
	Link: *string,
	OverrideLabel: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionCustomLink.property.isHidden">IsHidden</a></code> | <code>interface{}</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionCustomLink.property.label">Label</a></code> | <code>*string</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionCustomLink.property.link">Link</a></code> | <code>*string</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionCustomLink.property.overrideLabel">OverrideLabel</a></code> | <code>*string</code> | The label ID that refers to a context menu link item. |

---

##### `IsHidden`<sup>Optional</sup> <a name="IsHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionCustomLink.property.isHidden"></a>

```go
IsHidden interface{}
```

- *Type:* interface{}

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `Label`<sup>Optional</sup> <a name="Label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionCustomLink.property.label"></a>

```go
Label *string
```

- *Type:* *string

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `Link`<sup>Optional</sup> <a name="Link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionCustomLink.property.link"></a>

```go
Link *string
```

- *Type:* *string

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `OverrideLabel`<sup>Optional</sup> <a name="OverrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionCustomLink.property.overrideLabel"></a>

```go
OverrideLabel *string
```

- *Type:* *string

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetHeatmapDefinitionEvent <a name="DashboardWidgetHeatmapDefinitionEvent" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionEvent"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionEvent.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetHeatmapDefinitionEvent {
	Q: *string,
	TagsExecution: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionEvent.property.q">Q</a></code> | <code>*string</code> | The event query to use in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionEvent.property.tagsExecution">TagsExecution</a></code> | <code>*string</code> | The execution method for multi-value filters. |

---

##### `Q`<sup>Required</sup> <a name="Q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionEvent.property.q"></a>

```go
Q *string
```

- *Type:* *string

The event query to use in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `TagsExecution`<sup>Optional</sup> <a name="TagsExecution" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionEvent.property.tagsExecution"></a>

```go
TagsExecution *string
```

- *Type:* *string

The execution method for multi-value filters.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tags_execution Dashboard#tags_execution}

---

### DashboardWidgetHeatmapDefinitionRequest <a name="DashboardWidgetHeatmapDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequest.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetHeatmapDefinitionRequest {
	ApmQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQuery,
	LogQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQuery,
	ProcessQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetHeatmapDefinitionRequestProcessQuery,
	Q: *string,
	RumQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQuery,
	SecurityQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQuery,
	Style: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetHeatmapDefinitionRequestStyle,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequest.property.apmQuery">ApmQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQuery">DashboardWidgetHeatmapDefinitionRequestApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequest.property.logQuery">LogQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQuery">DashboardWidgetHeatmapDefinitionRequestLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequest.property.processQuery">ProcessQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestProcessQuery">DashboardWidgetHeatmapDefinitionRequestProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequest.property.q">Q</a></code> | <code>*string</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequest.property.rumQuery">RumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQuery">DashboardWidgetHeatmapDefinitionRequestRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequest.property.securityQuery">SecurityQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQuery">DashboardWidgetHeatmapDefinitionRequestSecurityQuery</a></code> | security_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequest.property.style">Style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestStyle">DashboardWidgetHeatmapDefinitionRequestStyle</a></code> | style block. |

---

##### `ApmQuery`<sup>Optional</sup> <a name="ApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequest.property.apmQuery"></a>

```go
ApmQuery DashboardWidgetHeatmapDefinitionRequestApmQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQuery">DashboardWidgetHeatmapDefinitionRequestApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `LogQuery`<sup>Optional</sup> <a name="LogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequest.property.logQuery"></a>

```go
LogQuery DashboardWidgetHeatmapDefinitionRequestLogQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQuery">DashboardWidgetHeatmapDefinitionRequestLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `ProcessQuery`<sup>Optional</sup> <a name="ProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequest.property.processQuery"></a>

```go
ProcessQuery DashboardWidgetHeatmapDefinitionRequestProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestProcessQuery">DashboardWidgetHeatmapDefinitionRequestProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `Q`<sup>Optional</sup> <a name="Q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequest.property.q"></a>

```go
Q *string
```

- *Type:* *string

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `RumQuery`<sup>Optional</sup> <a name="RumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequest.property.rumQuery"></a>

```go
RumQuery DashboardWidgetHeatmapDefinitionRequestRumQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQuery">DashboardWidgetHeatmapDefinitionRequestRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `SecurityQuery`<sup>Optional</sup> <a name="SecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequest.property.securityQuery"></a>

```go
SecurityQuery DashboardWidgetHeatmapDefinitionRequestSecurityQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQuery">DashboardWidgetHeatmapDefinitionRequestSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

##### `Style`<sup>Optional</sup> <a name="Style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequest.property.style"></a>

```go
Style DashboardWidgetHeatmapDefinitionRequestStyle
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestStyle">DashboardWidgetHeatmapDefinitionRequestStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetHeatmapDefinitionRequestApmQuery <a name="DashboardWidgetHeatmapDefinitionRequestApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetHeatmapDefinitionRequestApmQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryComputeQuery">DashboardWidgetHeatmapDefinitionRequestApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetHeatmapDefinitionRequestApmQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryComputeQuery">DashboardWidgetHeatmapDefinitionRequestApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetHeatmapDefinitionRequestApmQueryComputeQuery <a name="DashboardWidgetHeatmapDefinitionRequestApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBy <a name="DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery <a name="DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetHeatmapDefinitionRequestApmQueryMultiCompute <a name="DashboardWidgetHeatmapDefinitionRequestApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHeatmapDefinitionRequestLogQuery <a name="DashboardWidgetHeatmapDefinitionRequestLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetHeatmapDefinitionRequestLogQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryComputeQuery">DashboardWidgetHeatmapDefinitionRequestLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetHeatmapDefinitionRequestLogQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryComputeQuery">DashboardWidgetHeatmapDefinitionRequestLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetHeatmapDefinitionRequestLogQueryComputeQuery <a name="DashboardWidgetHeatmapDefinitionRequestLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBy <a name="DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery <a name="DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetHeatmapDefinitionRequestLogQueryMultiCompute <a name="DashboardWidgetHeatmapDefinitionRequestLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHeatmapDefinitionRequestProcessQuery <a name="DashboardWidgetHeatmapDefinitionRequestProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestProcessQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetHeatmapDefinitionRequestProcessQuery {
	Metric: *string,
	FilterBy: *[]*string,
	Limit: *f64,
	SearchBy: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestProcessQuery.property.metric">Metric</a></code> | <code>*string</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestProcessQuery.property.filterBy">FilterBy</a></code> | <code>*[]*string</code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestProcessQuery.property.limit">Limit</a></code> | <code>*f64</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestProcessQuery.property.searchBy">SearchBy</a></code> | <code>*string</code> | Your chosen search term. |

---

##### `Metric`<sup>Required</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestProcessQuery.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `FilterBy`<sup>Optional</sup> <a name="FilterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestProcessQuery.property.filterBy"></a>

```go
FilterBy *[]*string
```

- *Type:* *[]*string

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestProcessQuery.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SearchBy`<sup>Optional</sup> <a name="SearchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestProcessQuery.property.searchBy"></a>

```go
SearchBy *string
```

- *Type:* *string

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetHeatmapDefinitionRequestRumQuery <a name="DashboardWidgetHeatmapDefinitionRequestRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetHeatmapDefinitionRequestRumQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryComputeQuery">DashboardWidgetHeatmapDefinitionRequestRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetHeatmapDefinitionRequestRumQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryComputeQuery">DashboardWidgetHeatmapDefinitionRequestRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetHeatmapDefinitionRequestRumQueryComputeQuery <a name="DashboardWidgetHeatmapDefinitionRequestRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBy <a name="DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery <a name="DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetHeatmapDefinitionRequestRumQueryMultiCompute <a name="DashboardWidgetHeatmapDefinitionRequestRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHeatmapDefinitionRequestSecurityQuery <a name="DashboardWidgetHeatmapDefinitionRequestSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery <a name="DashboardWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBy <a name="DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery <a name="DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute <a name="DashboardWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHeatmapDefinitionRequestStyle <a name="DashboardWidgetHeatmapDefinitionRequestStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestStyle.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetHeatmapDefinitionRequestStyle {
	Palette: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestStyle.property.palette">Palette</a></code> | <code>*string</code> | A color palette to apply to the widget. The available options are available at: https://docs.datadoghq.com/dashboards/widgets/timeseries/#appearance. |

---

##### `Palette`<sup>Optional</sup> <a name="Palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestStyle.property.palette"></a>

```go
Palette *string
```

- *Type:* *string

A color palette to apply to the widget. The available options are available at: https://docs.datadoghq.com/dashboards/widgets/timeseries/#appearance.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

### DashboardWidgetHeatmapDefinitionYaxis <a name="DashboardWidgetHeatmapDefinitionYaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionYaxis"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionYaxis.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetHeatmapDefinitionYaxis {
	IncludeZero: interface{},
	Label: *string,
	Max: *string,
	Min: *string,
	Scale: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionYaxis.property.includeZero">IncludeZero</a></code> | <code>interface{}</code> | Always include zero or fit the axis to the data range. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionYaxis.property.label">Label</a></code> | <code>*string</code> | The label of the axis to display on the graph. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionYaxis.property.max">Max</a></code> | <code>*string</code> | Specify the maximum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionYaxis.property.min">Min</a></code> | <code>*string</code> | Specify the minimum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionYaxis.property.scale">Scale</a></code> | <code>*string</code> | Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`. |

---

##### `IncludeZero`<sup>Optional</sup> <a name="IncludeZero" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionYaxis.property.includeZero"></a>

```go
IncludeZero interface{}
```

- *Type:* interface{}

Always include zero or fit the axis to the data range.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#include_zero Dashboard#include_zero}

---

##### `Label`<sup>Optional</sup> <a name="Label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionYaxis.property.label"></a>

```go
Label *string
```

- *Type:* *string

The label of the axis to display on the graph.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `Max`<sup>Optional</sup> <a name="Max" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionYaxis.property.max"></a>

```go
Max *string
```

- *Type:* *string

Specify the maximum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#max Dashboard#max}

---

##### `Min`<sup>Optional</sup> <a name="Min" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionYaxis.property.min"></a>

```go
Min *string
```

- *Type:* *string

Specify the minimum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#min Dashboard#min}

---

##### `Scale`<sup>Optional</sup> <a name="Scale" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionYaxis.property.scale"></a>

```go
Scale *string
```

- *Type:* *string

Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#scale Dashboard#scale}

---

### DashboardWidgetHostmapDefinition <a name="DashboardWidgetHostmapDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetHostmapDefinition {
	CustomLink: interface{},
	Group: *[]*string,
	NodeType: *string,
	NoGroupHosts: interface{},
	NoMetricHosts: interface{},
	Request: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetHostmapDefinitionRequest,
	Scope: *[]*string,
	Style: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetHostmapDefinitionStyle,
	Title: *string,
	TitleAlign: *string,
	TitleSize: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.customLink">CustomLink</a></code> | <code>interface{}</code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.group">Group</a></code> | <code>*[]*string</code> | The list of tags to group nodes by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.nodeType">NodeType</a></code> | <code>*string</code> | The type of node used. Valid values are `host`, `container`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.noGroupHosts">NoGroupHosts</a></code> | <code>interface{}</code> | A Boolean indicating whether to show ungrouped nodes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.noMetricHosts">NoMetricHosts</a></code> | <code>interface{}</code> | A Boolean indicating whether to show nodes with no metrics. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.request">Request</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequest">DashboardWidgetHostmapDefinitionRequest</a></code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.scope">Scope</a></code> | <code>*[]*string</code> | The list of tags to filter nodes by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.style">Style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionStyle">DashboardWidgetHostmapDefinitionStyle</a></code> | style block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.title">Title</a></code> | <code>*string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.titleAlign">TitleAlign</a></code> | <code>*string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.titleSize">TitleSize</a></code> | <code>*string</code> | The size of the widget's title (defaults to 16). |

---

##### `CustomLink`<sup>Optional</sup> <a name="CustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.customLink"></a>

```go
CustomLink interface{}
```

- *Type:* interface{}

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `Group`<sup>Optional</sup> <a name="Group" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.group"></a>

```go
Group *[]*string
```

- *Type:* *[]*string

The list of tags to group nodes by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group Dashboard#group}

---

##### `NodeType`<sup>Optional</sup> <a name="NodeType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.nodeType"></a>

```go
NodeType *string
```

- *Type:* *string

The type of node used. Valid values are `host`, `container`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#node_type Dashboard#node_type}

---

##### `NoGroupHosts`<sup>Optional</sup> <a name="NoGroupHosts" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.noGroupHosts"></a>

```go
NoGroupHosts interface{}
```

- *Type:* interface{}

A Boolean indicating whether to show ungrouped nodes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#no_group_hosts Dashboard#no_group_hosts}

---

##### `NoMetricHosts`<sup>Optional</sup> <a name="NoMetricHosts" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.noMetricHosts"></a>

```go
NoMetricHosts interface{}
```

- *Type:* interface{}

A Boolean indicating whether to show nodes with no metrics.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#no_metric_hosts Dashboard#no_metric_hosts}

---

##### `Request`<sup>Optional</sup> <a name="Request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.request"></a>

```go
Request DashboardWidgetHostmapDefinitionRequest
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequest">DashboardWidgetHostmapDefinitionRequest</a>

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `Scope`<sup>Optional</sup> <a name="Scope" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.scope"></a>

```go
Scope *[]*string
```

- *Type:* *[]*string

The list of tags to filter nodes by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#scope Dashboard#scope}

---

##### `Style`<sup>Optional</sup> <a name="Style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.style"></a>

```go
Style DashboardWidgetHostmapDefinitionStyle
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionStyle">DashboardWidgetHostmapDefinitionStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

##### `Title`<sup>Optional</sup> <a name="Title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.title"></a>

```go
Title *string
```

- *Type:* *string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `TitleAlign`<sup>Optional</sup> <a name="TitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.titleAlign"></a>

```go
TitleAlign *string
```

- *Type:* *string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `TitleSize`<sup>Optional</sup> <a name="TitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.titleSize"></a>

```go
TitleSize *string
```

- *Type:* *string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetHostmapDefinitionCustomLink <a name="DashboardWidgetHostmapDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionCustomLink.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetHostmapDefinitionCustomLink {
	IsHidden: interface{},
	Label: *string,
	Link: *string,
	OverrideLabel: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionCustomLink.property.isHidden">IsHidden</a></code> | <code>interface{}</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionCustomLink.property.label">Label</a></code> | <code>*string</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionCustomLink.property.link">Link</a></code> | <code>*string</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionCustomLink.property.overrideLabel">OverrideLabel</a></code> | <code>*string</code> | The label ID that refers to a context menu link item. |

---

##### `IsHidden`<sup>Optional</sup> <a name="IsHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionCustomLink.property.isHidden"></a>

```go
IsHidden interface{}
```

- *Type:* interface{}

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `Label`<sup>Optional</sup> <a name="Label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionCustomLink.property.label"></a>

```go
Label *string
```

- *Type:* *string

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `Link`<sup>Optional</sup> <a name="Link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionCustomLink.property.link"></a>

```go
Link *string
```

- *Type:* *string

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `OverrideLabel`<sup>Optional</sup> <a name="OverrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionCustomLink.property.overrideLabel"></a>

```go
OverrideLabel *string
```

- *Type:* *string

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetHostmapDefinitionRequest <a name="DashboardWidgetHostmapDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequest.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetHostmapDefinitionRequest {
	Fill: interface{},
	Size: interface{},
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequest.property.fill">Fill</a></code> | <code>interface{}</code> | fill block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequest.property.size">Size</a></code> | <code>interface{}</code> | size block. |

---

##### `Fill`<sup>Optional</sup> <a name="Fill" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequest.property.fill"></a>

```go
Fill interface{}
```

- *Type:* interface{}

fill block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#fill Dashboard#fill}

---

##### `Size`<sup>Optional</sup> <a name="Size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequest.property.size"></a>

```go
Size interface{}
```

- *Type:* interface{}

size block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#size Dashboard#size}

---

### DashboardWidgetHostmapDefinitionRequestFill <a name="DashboardWidgetHostmapDefinitionRequestFill" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFill"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFill.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetHostmapDefinitionRequestFill {
	ApmQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQuery,
	LogQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQuery,
	ProcessQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetHostmapDefinitionRequestFillProcessQuery,
	Q: *string,
	RumQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQuery,
	SecurityQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFill.property.apmQuery">ApmQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQuery">DashboardWidgetHostmapDefinitionRequestFillApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFill.property.logQuery">LogQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQuery">DashboardWidgetHostmapDefinitionRequestFillLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFill.property.processQuery">ProcessQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillProcessQuery">DashboardWidgetHostmapDefinitionRequestFillProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFill.property.q">Q</a></code> | <code>*string</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFill.property.rumQuery">RumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQuery">DashboardWidgetHostmapDefinitionRequestFillRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFill.property.securityQuery">SecurityQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQuery">DashboardWidgetHostmapDefinitionRequestFillSecurityQuery</a></code> | security_query block. |

---

##### `ApmQuery`<sup>Optional</sup> <a name="ApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFill.property.apmQuery"></a>

```go
ApmQuery DashboardWidgetHostmapDefinitionRequestFillApmQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQuery">DashboardWidgetHostmapDefinitionRequestFillApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `LogQuery`<sup>Optional</sup> <a name="LogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFill.property.logQuery"></a>

```go
LogQuery DashboardWidgetHostmapDefinitionRequestFillLogQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQuery">DashboardWidgetHostmapDefinitionRequestFillLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `ProcessQuery`<sup>Optional</sup> <a name="ProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFill.property.processQuery"></a>

```go
ProcessQuery DashboardWidgetHostmapDefinitionRequestFillProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillProcessQuery">DashboardWidgetHostmapDefinitionRequestFillProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `Q`<sup>Optional</sup> <a name="Q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFill.property.q"></a>

```go
Q *string
```

- *Type:* *string

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `RumQuery`<sup>Optional</sup> <a name="RumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFill.property.rumQuery"></a>

```go
RumQuery DashboardWidgetHostmapDefinitionRequestFillRumQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQuery">DashboardWidgetHostmapDefinitionRequestFillRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `SecurityQuery`<sup>Optional</sup> <a name="SecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFill.property.securityQuery"></a>

```go
SecurityQuery DashboardWidgetHostmapDefinitionRequestFillSecurityQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQuery">DashboardWidgetHostmapDefinitionRequestFillSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

### DashboardWidgetHostmapDefinitionRequestFillApmQuery <a name="DashboardWidgetHostmapDefinitionRequestFillApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryComputeQuery">DashboardWidgetHostmapDefinitionRequestFillApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetHostmapDefinitionRequestFillApmQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryComputeQuery">DashboardWidgetHostmapDefinitionRequestFillApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetHostmapDefinitionRequestFillApmQueryComputeQuery <a name="DashboardWidgetHostmapDefinitionRequestFillApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBy <a name="DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery">DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery">DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery <a name="DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetHostmapDefinitionRequestFillApmQueryMultiCompute <a name="DashboardWidgetHostmapDefinitionRequestFillApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHostmapDefinitionRequestFillLogQuery <a name="DashboardWidgetHostmapDefinitionRequestFillLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryComputeQuery">DashboardWidgetHostmapDefinitionRequestFillLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetHostmapDefinitionRequestFillLogQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryComputeQuery">DashboardWidgetHostmapDefinitionRequestFillLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetHostmapDefinitionRequestFillLogQueryComputeQuery <a name="DashboardWidgetHostmapDefinitionRequestFillLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBy <a name="DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery">DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery">DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery <a name="DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetHostmapDefinitionRequestFillLogQueryMultiCompute <a name="DashboardWidgetHostmapDefinitionRequestFillLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHostmapDefinitionRequestFillProcessQuery <a name="DashboardWidgetHostmapDefinitionRequestFillProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillProcessQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetHostmapDefinitionRequestFillProcessQuery {
	Metric: *string,
	FilterBy: *[]*string,
	Limit: *f64,
	SearchBy: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillProcessQuery.property.metric">Metric</a></code> | <code>*string</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillProcessQuery.property.filterBy">FilterBy</a></code> | <code>*[]*string</code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillProcessQuery.property.limit">Limit</a></code> | <code>*f64</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillProcessQuery.property.searchBy">SearchBy</a></code> | <code>*string</code> | Your chosen search term. |

---

##### `Metric`<sup>Required</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillProcessQuery.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `FilterBy`<sup>Optional</sup> <a name="FilterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillProcessQuery.property.filterBy"></a>

```go
FilterBy *[]*string
```

- *Type:* *[]*string

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillProcessQuery.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SearchBy`<sup>Optional</sup> <a name="SearchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillProcessQuery.property.searchBy"></a>

```go
SearchBy *string
```

- *Type:* *string

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetHostmapDefinitionRequestFillRumQuery <a name="DashboardWidgetHostmapDefinitionRequestFillRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryComputeQuery">DashboardWidgetHostmapDefinitionRequestFillRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetHostmapDefinitionRequestFillRumQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryComputeQuery">DashboardWidgetHostmapDefinitionRequestFillRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetHostmapDefinitionRequestFillRumQueryComputeQuery <a name="DashboardWidgetHostmapDefinitionRequestFillRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBy <a name="DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery">DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery">DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery <a name="DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetHostmapDefinitionRequestFillRumQueryMultiCompute <a name="DashboardWidgetHostmapDefinitionRequestFillRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHostmapDefinitionRequestFillSecurityQuery <a name="DashboardWidgetHostmapDefinitionRequestFillSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery">DashboardWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery">DashboardWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery <a name="DashboardWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy <a name="DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery">DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery">DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery <a name="DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute <a name="DashboardWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHostmapDefinitionRequestSize <a name="DashboardWidgetHostmapDefinitionRequestSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSize"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSize.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetHostmapDefinitionRequestSize {
	ApmQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQuery,
	LogQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQuery,
	ProcessQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetHostmapDefinitionRequestSizeProcessQuery,
	Q: *string,
	RumQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQuery,
	SecurityQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSize.property.apmQuery">ApmQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQuery">DashboardWidgetHostmapDefinitionRequestSizeApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSize.property.logQuery">LogQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQuery">DashboardWidgetHostmapDefinitionRequestSizeLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSize.property.processQuery">ProcessQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeProcessQuery">DashboardWidgetHostmapDefinitionRequestSizeProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSize.property.q">Q</a></code> | <code>*string</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSize.property.rumQuery">RumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQuery">DashboardWidgetHostmapDefinitionRequestSizeRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSize.property.securityQuery">SecurityQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQuery">DashboardWidgetHostmapDefinitionRequestSizeSecurityQuery</a></code> | security_query block. |

---

##### `ApmQuery`<sup>Optional</sup> <a name="ApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSize.property.apmQuery"></a>

```go
ApmQuery DashboardWidgetHostmapDefinitionRequestSizeApmQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQuery">DashboardWidgetHostmapDefinitionRequestSizeApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `LogQuery`<sup>Optional</sup> <a name="LogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSize.property.logQuery"></a>

```go
LogQuery DashboardWidgetHostmapDefinitionRequestSizeLogQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQuery">DashboardWidgetHostmapDefinitionRequestSizeLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `ProcessQuery`<sup>Optional</sup> <a name="ProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSize.property.processQuery"></a>

```go
ProcessQuery DashboardWidgetHostmapDefinitionRequestSizeProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeProcessQuery">DashboardWidgetHostmapDefinitionRequestSizeProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `Q`<sup>Optional</sup> <a name="Q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSize.property.q"></a>

```go
Q *string
```

- *Type:* *string

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `RumQuery`<sup>Optional</sup> <a name="RumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSize.property.rumQuery"></a>

```go
RumQuery DashboardWidgetHostmapDefinitionRequestSizeRumQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQuery">DashboardWidgetHostmapDefinitionRequestSizeRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `SecurityQuery`<sup>Optional</sup> <a name="SecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSize.property.securityQuery"></a>

```go
SecurityQuery DashboardWidgetHostmapDefinitionRequestSizeSecurityQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQuery">DashboardWidgetHostmapDefinitionRequestSizeSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

### DashboardWidgetHostmapDefinitionRequestSizeApmQuery <a name="DashboardWidgetHostmapDefinitionRequestSizeApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery">DashboardWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery">DashboardWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery <a name="DashboardWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBy <a name="DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery">DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery">DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery <a name="DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute <a name="DashboardWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHostmapDefinitionRequestSizeLogQuery <a name="DashboardWidgetHostmapDefinitionRequestSizeLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery">DashboardWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery">DashboardWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery <a name="DashboardWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBy <a name="DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery">DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery">DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery <a name="DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute <a name="DashboardWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHostmapDefinitionRequestSizeProcessQuery <a name="DashboardWidgetHostmapDefinitionRequestSizeProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeProcessQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetHostmapDefinitionRequestSizeProcessQuery {
	Metric: *string,
	FilterBy: *[]*string,
	Limit: *f64,
	SearchBy: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeProcessQuery.property.metric">Metric</a></code> | <code>*string</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeProcessQuery.property.filterBy">FilterBy</a></code> | <code>*[]*string</code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeProcessQuery.property.limit">Limit</a></code> | <code>*f64</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeProcessQuery.property.searchBy">SearchBy</a></code> | <code>*string</code> | Your chosen search term. |

---

##### `Metric`<sup>Required</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeProcessQuery.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `FilterBy`<sup>Optional</sup> <a name="FilterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeProcessQuery.property.filterBy"></a>

```go
FilterBy *[]*string
```

- *Type:* *[]*string

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeProcessQuery.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SearchBy`<sup>Optional</sup> <a name="SearchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeProcessQuery.property.searchBy"></a>

```go
SearchBy *string
```

- *Type:* *string

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetHostmapDefinitionRequestSizeRumQuery <a name="DashboardWidgetHostmapDefinitionRequestSizeRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery">DashboardWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery">DashboardWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery <a name="DashboardWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBy <a name="DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery">DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery">DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery <a name="DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute <a name="DashboardWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHostmapDefinitionRequestSizeSecurityQuery <a name="DashboardWidgetHostmapDefinitionRequestSizeSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery">DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery">DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery <a name="DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy <a name="DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery">DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery">DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery <a name="DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute <a name="DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHostmapDefinitionStyle <a name="DashboardWidgetHostmapDefinitionStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionStyle.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetHostmapDefinitionStyle {
	FillMax: *string,
	FillMin: *string,
	Palette: *string,
	PaletteFlip: interface{},
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionStyle.property.fillMax">FillMax</a></code> | <code>*string</code> | The max value to use to color the map. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionStyle.property.fillMin">FillMin</a></code> | <code>*string</code> | The min value to use to color the map. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionStyle.property.palette">Palette</a></code> | <code>*string</code> | A color palette to apply to the widget. The available options are available at: https://docs.datadoghq.com/dashboards/widgets/timeseries/#appearance. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionStyle.property.paletteFlip">PaletteFlip</a></code> | <code>interface{}</code> | A Boolean indicating whether to flip the palette tones. |

---

##### `FillMax`<sup>Optional</sup> <a name="FillMax" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionStyle.property.fillMax"></a>

```go
FillMax *string
```

- *Type:* *string

The max value to use to color the map.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#fill_max Dashboard#fill_max}

---

##### `FillMin`<sup>Optional</sup> <a name="FillMin" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionStyle.property.fillMin"></a>

```go
FillMin *string
```

- *Type:* *string

The min value to use to color the map.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#fill_min Dashboard#fill_min}

---

##### `Palette`<sup>Optional</sup> <a name="Palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionStyle.property.palette"></a>

```go
Palette *string
```

- *Type:* *string

A color palette to apply to the widget. The available options are available at: https://docs.datadoghq.com/dashboards/widgets/timeseries/#appearance.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `PaletteFlip`<sup>Optional</sup> <a name="PaletteFlip" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionStyle.property.paletteFlip"></a>

```go
PaletteFlip interface{}
```

- *Type:* interface{}

A Boolean indicating whether to flip the palette tones.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette_flip Dashboard#palette_flip}

---

### DashboardWidgetIframeDefinition <a name="DashboardWidgetIframeDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetIframeDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetIframeDefinition.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetIframeDefinition {
	Url: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetIframeDefinition.property.url">Url</a></code> | <code>*string</code> | The URL to use as a data source for the widget. |

---

##### `Url`<sup>Required</sup> <a name="Url" id="@cdktf/provider-datadog.dashboard.DashboardWidgetIframeDefinition.property.url"></a>

```go
Url *string
```

- *Type:* *string

The URL to use as a data source for the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#url Dashboard#url}

---

### DashboardWidgetImageDefinition <a name="DashboardWidgetImageDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetImageDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetImageDefinition.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetImageDefinition {
	Url: *string,
	HasBackground: interface{},
	HasBorder: interface{},
	HorizontalAlign: *string,
	Margin: *string,
	Sizing: *string,
	UrlDarkTheme: *string,
	VerticalAlign: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetImageDefinition.property.url">Url</a></code> | <code>*string</code> | The URL to use as a data source for the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetImageDefinition.property.hasBackground">HasBackground</a></code> | <code>interface{}</code> | Whether to display a background or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetImageDefinition.property.hasBorder">HasBorder</a></code> | <code>interface{}</code> | Whether to display a border or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetImageDefinition.property.horizontalAlign">HorizontalAlign</a></code> | <code>*string</code> | The horizontal alignment for the widget. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetImageDefinition.property.margin">Margin</a></code> | <code>*string</code> | The margins to use around the image. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetImageDefinition.property.sizing">Sizing</a></code> | <code>*string</code> | The preferred method to adapt the dimensions of the image. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetImageDefinition.property.urlDarkTheme">UrlDarkTheme</a></code> | <code>*string</code> | The URL in dark mode to use as a data source for the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetImageDefinition.property.verticalAlign">VerticalAlign</a></code> | <code>*string</code> | The vertical alignment for the widget. Valid values are `center`, `top`, `bottom`. |

---

##### `Url`<sup>Required</sup> <a name="Url" id="@cdktf/provider-datadog.dashboard.DashboardWidgetImageDefinition.property.url"></a>

```go
Url *string
```

- *Type:* *string

The URL to use as a data source for the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#url Dashboard#url}

---

##### `HasBackground`<sup>Optional</sup> <a name="HasBackground" id="@cdktf/provider-datadog.dashboard.DashboardWidgetImageDefinition.property.hasBackground"></a>

```go
HasBackground interface{}
```

- *Type:* interface{}

Whether to display a background or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#has_background Dashboard#has_background}

---

##### `HasBorder`<sup>Optional</sup> <a name="HasBorder" id="@cdktf/provider-datadog.dashboard.DashboardWidgetImageDefinition.property.hasBorder"></a>

```go
HasBorder interface{}
```

- *Type:* interface{}

Whether to display a border or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#has_border Dashboard#has_border}

---

##### `HorizontalAlign`<sup>Optional</sup> <a name="HorizontalAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetImageDefinition.property.horizontalAlign"></a>

```go
HorizontalAlign *string
```

- *Type:* *string

The horizontal alignment for the widget. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#horizontal_align Dashboard#horizontal_align}

---

##### `Margin`<sup>Optional</sup> <a name="Margin" id="@cdktf/provider-datadog.dashboard.DashboardWidgetImageDefinition.property.margin"></a>

```go
Margin *string
```

- *Type:* *string

The margins to use around the image.

Note: `small` and `large` values are deprecated. Valid values are `sm`, `md`, `lg`, `small`, `large`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#margin Dashboard#margin}

---

##### `Sizing`<sup>Optional</sup> <a name="Sizing" id="@cdktf/provider-datadog.dashboard.DashboardWidgetImageDefinition.property.sizing"></a>

```go
Sizing *string
```

- *Type:* *string

The preferred method to adapt the dimensions of the image.

The values are based on the image `object-fit` CSS properties. Note: `zoom`, `fit` and `center` values are deprecated. Valid values are `fill`, `contain`, `cover`, `none`, `scale-down`, `zoom`, `fit`, `center`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sizing Dashboard#sizing}

---

##### `UrlDarkTheme`<sup>Optional</sup> <a name="UrlDarkTheme" id="@cdktf/provider-datadog.dashboard.DashboardWidgetImageDefinition.property.urlDarkTheme"></a>

```go
UrlDarkTheme *string
```

- *Type:* *string

The URL in dark mode to use as a data source for the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#url_dark_theme Dashboard#url_dark_theme}

---

##### `VerticalAlign`<sup>Optional</sup> <a name="VerticalAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetImageDefinition.property.verticalAlign"></a>

```go
VerticalAlign *string
```

- *Type:* *string

The vertical alignment for the widget. Valid values are `center`, `top`, `bottom`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#vertical_align Dashboard#vertical_align}

---

### DashboardWidgetListStreamDefinition <a name="DashboardWidgetListStreamDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinition.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetListStreamDefinition {
	Request: interface{},
	Title: *string,
	TitleAlign: *string,
	TitleSize: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinition.property.request">Request</a></code> | <code>interface{}</code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinition.property.title">Title</a></code> | <code>*string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinition.property.titleAlign">TitleAlign</a></code> | <code>*string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinition.property.titleSize">TitleSize</a></code> | <code>*string</code> | The size of the widget's title. Default is 16. |

---

##### `Request`<sup>Required</sup> <a name="Request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinition.property.request"></a>

```go
Request interface{}
```

- *Type:* interface{}

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `Title`<sup>Optional</sup> <a name="Title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinition.property.title"></a>

```go
Title *string
```

- *Type:* *string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `TitleAlign`<sup>Optional</sup> <a name="TitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinition.property.titleAlign"></a>

```go
TitleAlign *string
```

- *Type:* *string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `TitleSize`<sup>Optional</sup> <a name="TitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinition.property.titleSize"></a>

```go
TitleSize *string
```

- *Type:* *string

The size of the widget's title. Default is 16.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetListStreamDefinitionRequest <a name="DashboardWidgetListStreamDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequest.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetListStreamDefinitionRequest {
	Columns: interface{},
	Query: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetListStreamDefinitionRequestQuery,
	ResponseFormat: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequest.property.columns">Columns</a></code> | <code>interface{}</code> | columns block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequest.property.query">Query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequestQuery">DashboardWidgetListStreamDefinitionRequestQuery</a></code> | query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequest.property.responseFormat">ResponseFormat</a></code> | <code>*string</code> | Widget response format. Valid values are `event_list`. |

---

##### `Columns`<sup>Required</sup> <a name="Columns" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequest.property.columns"></a>

```go
Columns interface{}
```

- *Type:* interface{}

columns block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#columns Dashboard#columns}

---

##### `Query`<sup>Required</sup> <a name="Query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequest.property.query"></a>

```go
Query DashboardWidgetListStreamDefinitionRequestQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequestQuery">DashboardWidgetListStreamDefinitionRequestQuery</a>

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `ResponseFormat`<sup>Required</sup> <a name="ResponseFormat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequest.property.responseFormat"></a>

```go
ResponseFormat *string
```

- *Type:* *string

Widget response format. Valid values are `event_list`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#response_format Dashboard#response_format}

---

### DashboardWidgetListStreamDefinitionRequestColumns <a name="DashboardWidgetListStreamDefinitionRequestColumns" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequestColumns"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequestColumns.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetListStreamDefinitionRequestColumns {
	Field: *string,
	Width: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequestColumns.property.field">Field</a></code> | <code>*string</code> | Widget column field. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequestColumns.property.width">Width</a></code> | <code>*string</code> | Widget column width. Valid values are `auto`, `compact`, `full`. |

---

##### `Field`<sup>Required</sup> <a name="Field" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequestColumns.property.field"></a>

```go
Field *string
```

- *Type:* *string

Widget column field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#field Dashboard#field}

---

##### `Width`<sup>Required</sup> <a name="Width" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequestColumns.property.width"></a>

```go
Width *string
```

- *Type:* *string

Widget column width. Valid values are `auto`, `compact`, `full`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#width Dashboard#width}

---

### DashboardWidgetListStreamDefinitionRequestQuery <a name="DashboardWidgetListStreamDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequestQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetListStreamDefinitionRequestQuery {
	DataSource: *string,
	EventSize: *string,
	Indexes: *[]*string,
	QueryString: *string,
	Storage: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequestQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | Source from which to query items to display in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequestQuery.property.eventSize">EventSize</a></code> | <code>*string</code> | Size of events displayed in widget. Required if `data_source` is `event_stream`. Valid values are `s`, `l`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequestQuery.property.indexes">Indexes</a></code> | <code>*[]*string</code> | List of indexes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequestQuery.property.queryString">QueryString</a></code> | <code>*string</code> | Widget query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequestQuery.property.storage">Storage</a></code> | <code>*string</code> | Storage location (private beta). |

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequestQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

Source from which to query items to display in the stream.

Valid values are `logs_stream`, `audit_stream`, `ci_pipeline_stream`, `ci_test_stream`, `rum_issue_stream`, `apm_issue_stream`, `logs_issue_stream`, `logs_pattern_stream`, `logs_transaction_stream`, `event_stream`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `EventSize`<sup>Optional</sup> <a name="EventSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequestQuery.property.eventSize"></a>

```go
EventSize *string
```

- *Type:* *string

Size of events displayed in widget. Required if `data_source` is `event_stream`. Valid values are `s`, `l`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_size Dashboard#event_size}

---

##### `Indexes`<sup>Optional</sup> <a name="Indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequestQuery.property.indexes"></a>

```go
Indexes *[]*string
```

- *Type:* *[]*string

List of indexes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `QueryString`<sup>Optional</sup> <a name="QueryString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequestQuery.property.queryString"></a>

```go
QueryString *string
```

- *Type:* *string

Widget query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query_string Dashboard#query_string}

---

##### `Storage`<sup>Optional</sup> <a name="Storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequestQuery.property.storage"></a>

```go
Storage *string
```

- *Type:* *string

Storage location (private beta).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#storage Dashboard#storage}

---

### DashboardWidgetLogStreamDefinition <a name="DashboardWidgetLogStreamDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetLogStreamDefinition {
	Columns: *[]*string,
	Indexes: *[]*string,
	LiveSpan: *string,
	MessageDisplay: *string,
	Query: *string,
	ShowDateColumn: interface{},
	ShowMessageColumn: interface{},
	Sort: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetLogStreamDefinitionSort,
	Title: *string,
	TitleAlign: *string,
	TitleSize: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.columns">Columns</a></code> | <code>*[]*string</code> | Stringified list of columns to use, for example: `["column1","column2","column3"]`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.indexes">Indexes</a></code> | <code>*[]*string</code> | An array of index names to query in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.liveSpan">LiveSpan</a></code> | <code>*string</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.messageDisplay">MessageDisplay</a></code> | <code>*string</code> | The number of log lines to display. Valid values are `inline`, `expanded-md`, `expanded-lg`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.query">Query</a></code> | <code>*string</code> | The query to use in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.showDateColumn">ShowDateColumn</a></code> | <code>interface{}</code> | If the date column should be displayed. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.showMessageColumn">ShowMessageColumn</a></code> | <code>interface{}</code> | If the message column should be displayed. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.sort">Sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinitionSort">DashboardWidgetLogStreamDefinitionSort</a></code> | sort block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.title">Title</a></code> | <code>*string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.titleAlign">TitleAlign</a></code> | <code>*string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.titleSize">TitleSize</a></code> | <code>*string</code> | The size of the widget's title (defaults to 16). |

---

##### `Columns`<sup>Optional</sup> <a name="Columns" id="@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.columns"></a>

```go
Columns *[]*string
```

- *Type:* *[]*string

Stringified list of columns to use, for example: `["column1","column2","column3"]`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#columns Dashboard#columns}

---

##### `Indexes`<sup>Optional</sup> <a name="Indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.indexes"></a>

```go
Indexes *[]*string
```

- *Type:* *[]*string

An array of index names to query in the stream.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `LiveSpan`<sup>Optional</sup> <a name="LiveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.liveSpan"></a>

```go
LiveSpan *string
```

- *Type:* *string

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `MessageDisplay`<sup>Optional</sup> <a name="MessageDisplay" id="@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.messageDisplay"></a>

```go
MessageDisplay *string
```

- *Type:* *string

The number of log lines to display. Valid values are `inline`, `expanded-md`, `expanded-lg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#message_display Dashboard#message_display}

---

##### `Query`<sup>Optional</sup> <a name="Query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.query"></a>

```go
Query *string
```

- *Type:* *string

The query to use in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `ShowDateColumn`<sup>Optional</sup> <a name="ShowDateColumn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.showDateColumn"></a>

```go
ShowDateColumn interface{}
```

- *Type:* interface{}

If the date column should be displayed.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_date_column Dashboard#show_date_column}

---

##### `ShowMessageColumn`<sup>Optional</sup> <a name="ShowMessageColumn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.showMessageColumn"></a>

```go
ShowMessageColumn interface{}
```

- *Type:* interface{}

If the message column should be displayed.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_message_column Dashboard#show_message_column}

---

##### `Sort`<sup>Optional</sup> <a name="Sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.sort"></a>

```go
Sort DashboardWidgetLogStreamDefinitionSort
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinitionSort">DashboardWidgetLogStreamDefinitionSort</a>

sort block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `Title`<sup>Optional</sup> <a name="Title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.title"></a>

```go
Title *string
```

- *Type:* *string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `TitleAlign`<sup>Optional</sup> <a name="TitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.titleAlign"></a>

```go
TitleAlign *string
```

- *Type:* *string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `TitleSize`<sup>Optional</sup> <a name="TitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.titleSize"></a>

```go
TitleSize *string
```

- *Type:* *string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetLogStreamDefinitionSort <a name="DashboardWidgetLogStreamDefinitionSort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinitionSort"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinitionSort.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetLogStreamDefinitionSort {
	Column: *string,
	Order: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinitionSort.property.column">Column</a></code> | <code>*string</code> | The facet path for the column. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinitionSort.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |

---

##### `Column`<sup>Required</sup> <a name="Column" id="@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinitionSort.property.column"></a>

```go
Column *string
```

- *Type:* *string

The facet path for the column.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#column Dashboard#column}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinitionSort.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetManageStatusDefinition <a name="DashboardWidgetManageStatusDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetManageStatusDefinition {
	Query: *string,
	ColorPreference: *string,
	DisplayFormat: *string,
	HideZeroCounts: interface{},
	ShowLastTriggered: interface{},
	ShowPriority: interface{},
	Sort: *string,
	SummaryType: *string,
	Title: *string,
	TitleAlign: *string,
	TitleSize: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.query">Query</a></code> | <code>*string</code> | The query to use in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.colorPreference">ColorPreference</a></code> | <code>*string</code> | Whether to colorize text or background. Valid values are `background`, `text`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.displayFormat">DisplayFormat</a></code> | <code>*string</code> | The display setting to use. Valid values are `counts`, `countsAndList`, `list`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.hideZeroCounts">HideZeroCounts</a></code> | <code>interface{}</code> | A Boolean indicating whether to hide empty categories. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.showLastTriggered">ShowLastTriggered</a></code> | <code>interface{}</code> | A Boolean indicating whether to show when monitors/groups last triggered. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.showPriority">ShowPriority</a></code> | <code>interface{}</code> | Whether to show the priorities column. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.sort">Sort</a></code> | <code>*string</code> | The method to sort the monitors. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.summaryType">SummaryType</a></code> | <code>*string</code> | The summary type to use. Valid values are `monitors`, `groups`, `combined`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.title">Title</a></code> | <code>*string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.titleAlign">TitleAlign</a></code> | <code>*string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.titleSize">TitleSize</a></code> | <code>*string</code> | The size of the widget's title (defaults to 16). |

---

##### `Query`<sup>Required</sup> <a name="Query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.query"></a>

```go
Query *string
```

- *Type:* *string

The query to use in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `ColorPreference`<sup>Optional</sup> <a name="ColorPreference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.colorPreference"></a>

```go
ColorPreference *string
```

- *Type:* *string

Whether to colorize text or background. Valid values are `background`, `text`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#color_preference Dashboard#color_preference}

---

##### `DisplayFormat`<sup>Optional</sup> <a name="DisplayFormat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.displayFormat"></a>

```go
DisplayFormat *string
```

- *Type:* *string

The display setting to use. Valid values are `counts`, `countsAndList`, `list`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#display_format Dashboard#display_format}

---

##### `HideZeroCounts`<sup>Optional</sup> <a name="HideZeroCounts" id="@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.hideZeroCounts"></a>

```go
HideZeroCounts interface{}
```

- *Type:* interface{}

A Boolean indicating whether to hide empty categories.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_zero_counts Dashboard#hide_zero_counts}

---

##### `ShowLastTriggered`<sup>Optional</sup> <a name="ShowLastTriggered" id="@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.showLastTriggered"></a>

```go
ShowLastTriggered interface{}
```

- *Type:* interface{}

A Boolean indicating whether to show when monitors/groups last triggered.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_last_triggered Dashboard#show_last_triggered}

---

##### `ShowPriority`<sup>Optional</sup> <a name="ShowPriority" id="@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.showPriority"></a>

```go
ShowPriority interface{}
```

- *Type:* interface{}

Whether to show the priorities column.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_priority Dashboard#show_priority}

---

##### `Sort`<sup>Optional</sup> <a name="Sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.sort"></a>

```go
Sort *string
```

- *Type:* *string

The method to sort the monitors.

Valid values are `name`, `group`, `status`, `tags`, `triggered`, `group,asc`, `group,desc`, `name,asc`, `name,desc`, `status,asc`, `status,desc`, `tags,asc`, `tags,desc`, `triggered,asc`, `triggered,desc`, `priority,asc`, `priority,desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `SummaryType`<sup>Optional</sup> <a name="SummaryType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.summaryType"></a>

```go
SummaryType *string
```

- *Type:* *string

The summary type to use. Valid values are `monitors`, `groups`, `combined`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#summary_type Dashboard#summary_type}

---

##### `Title`<sup>Optional</sup> <a name="Title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.title"></a>

```go
Title *string
```

- *Type:* *string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `TitleAlign`<sup>Optional</sup> <a name="TitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.titleAlign"></a>

```go
TitleAlign *string
```

- *Type:* *string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `TitleSize`<sup>Optional</sup> <a name="TitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.titleSize"></a>

```go
TitleSize *string
```

- *Type:* *string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetNoteDefinition <a name="DashboardWidgetNoteDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetNoteDefinition {
	Content: *string,
	BackgroundColor: *string,
	FontSize: *string,
	HasPadding: interface{},
	ShowTick: interface{},
	TextAlign: *string,
	TickEdge: *string,
	TickPos: *string,
	VerticalAlign: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition.property.content">Content</a></code> | <code>*string</code> | The content of the note. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition.property.backgroundColor">BackgroundColor</a></code> | <code>*string</code> | The background color of the note. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition.property.fontSize">FontSize</a></code> | <code>*string</code> | The size of the text. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition.property.hasPadding">HasPadding</a></code> | <code>interface{}</code> | Whether to add padding or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition.property.showTick">ShowTick</a></code> | <code>interface{}</code> | Whether to show a tick or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition.property.textAlign">TextAlign</a></code> | <code>*string</code> | The alignment of the widget's text. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition.property.tickEdge">TickEdge</a></code> | <code>*string</code> | When `tick = true`, a string indicating on which side of the widget the tick should be displayed. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition.property.tickPos">TickPos</a></code> | <code>*string</code> | When `tick = true`, a string with a percent sign indicating the position of the tick, for example: `tick_pos = "50%"` is centered alignment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition.property.verticalAlign">VerticalAlign</a></code> | <code>*string</code> | The vertical alignment for the widget. Valid values are `center`, `top`, `bottom`. |

---

##### `Content`<sup>Required</sup> <a name="Content" id="@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition.property.content"></a>

```go
Content *string
```

- *Type:* *string

The content of the note.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#content Dashboard#content}

---

##### `BackgroundColor`<sup>Optional</sup> <a name="BackgroundColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition.property.backgroundColor"></a>

```go
BackgroundColor *string
```

- *Type:* *string

The background color of the note.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#background_color Dashboard#background_color}

---

##### `FontSize`<sup>Optional</sup> <a name="FontSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition.property.fontSize"></a>

```go
FontSize *string
```

- *Type:* *string

The size of the text.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#font_size Dashboard#font_size}

---

##### `HasPadding`<sup>Optional</sup> <a name="HasPadding" id="@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition.property.hasPadding"></a>

```go
HasPadding interface{}
```

- *Type:* interface{}

Whether to add padding or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#has_padding Dashboard#has_padding}

---

##### `ShowTick`<sup>Optional</sup> <a name="ShowTick" id="@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition.property.showTick"></a>

```go
ShowTick interface{}
```

- *Type:* interface{}

Whether to show a tick or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_tick Dashboard#show_tick}

---

##### `TextAlign`<sup>Optional</sup> <a name="TextAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition.property.textAlign"></a>

```go
TextAlign *string
```

- *Type:* *string

The alignment of the widget's text. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_align Dashboard#text_align}

---

##### `TickEdge`<sup>Optional</sup> <a name="TickEdge" id="@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition.property.tickEdge"></a>

```go
TickEdge *string
```

- *Type:* *string

When `tick = true`, a string indicating on which side of the widget the tick should be displayed.

Valid values are `bottom`, `left`, `right`, `top`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tick_edge Dashboard#tick_edge}

---

##### `TickPos`<sup>Optional</sup> <a name="TickPos" id="@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition.property.tickPos"></a>

```go
TickPos *string
```

- *Type:* *string

When `tick = true`, a string with a percent sign indicating the position of the tick, for example: `tick_pos = "50%"` is centered alignment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tick_pos Dashboard#tick_pos}

---

##### `VerticalAlign`<sup>Optional</sup> <a name="VerticalAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition.property.verticalAlign"></a>

```go
VerticalAlign *string
```

- *Type:* *string

The vertical alignment for the widget. Valid values are `center`, `top`, `bottom`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#vertical_align Dashboard#vertical_align}

---

### DashboardWidgetQueryTableDefinition <a name="DashboardWidgetQueryTableDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinition.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryTableDefinition {
	CustomLink: interface{},
	HasSearchBar: *string,
	LiveSpan: *string,
	Request: interface{},
	Title: *string,
	TitleAlign: *string,
	TitleSize: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinition.property.customLink">CustomLink</a></code> | <code>interface{}</code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinition.property.hasSearchBar">HasSearchBar</a></code> | <code>*string</code> | Controls the display of the search bar. Valid values are `always`, `never`, `auto`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinition.property.liveSpan">LiveSpan</a></code> | <code>*string</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinition.property.request">Request</a></code> | <code>interface{}</code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinition.property.title">Title</a></code> | <code>*string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinition.property.titleAlign">TitleAlign</a></code> | <code>*string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinition.property.titleSize">TitleSize</a></code> | <code>*string</code> | The size of the widget's title (defaults to 16). |

---

##### `CustomLink`<sup>Optional</sup> <a name="CustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinition.property.customLink"></a>

```go
CustomLink interface{}
```

- *Type:* interface{}

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `HasSearchBar`<sup>Optional</sup> <a name="HasSearchBar" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinition.property.hasSearchBar"></a>

```go
HasSearchBar *string
```

- *Type:* *string

Controls the display of the search bar. Valid values are `always`, `never`, `auto`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#has_search_bar Dashboard#has_search_bar}

---

##### `LiveSpan`<sup>Optional</sup> <a name="LiveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinition.property.liveSpan"></a>

```go
LiveSpan *string
```

- *Type:* *string

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `Request`<sup>Optional</sup> <a name="Request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinition.property.request"></a>

```go
Request interface{}
```

- *Type:* interface{}

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `Title`<sup>Optional</sup> <a name="Title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinition.property.title"></a>

```go
Title *string
```

- *Type:* *string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `TitleAlign`<sup>Optional</sup> <a name="TitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinition.property.titleAlign"></a>

```go
TitleAlign *string
```

- *Type:* *string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `TitleSize`<sup>Optional</sup> <a name="TitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinition.property.titleSize"></a>

```go
TitleSize *string
```

- *Type:* *string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetQueryTableDefinitionCustomLink <a name="DashboardWidgetQueryTableDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionCustomLink.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryTableDefinitionCustomLink {
	IsHidden: interface{},
	Label: *string,
	Link: *string,
	OverrideLabel: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionCustomLink.property.isHidden">IsHidden</a></code> | <code>interface{}</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionCustomLink.property.label">Label</a></code> | <code>*string</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionCustomLink.property.link">Link</a></code> | <code>*string</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionCustomLink.property.overrideLabel">OverrideLabel</a></code> | <code>*string</code> | The label ID that refers to a context menu link item. |

---

##### `IsHidden`<sup>Optional</sup> <a name="IsHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionCustomLink.property.isHidden"></a>

```go
IsHidden interface{}
```

- *Type:* interface{}

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `Label`<sup>Optional</sup> <a name="Label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionCustomLink.property.label"></a>

```go
Label *string
```

- *Type:* *string

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `Link`<sup>Optional</sup> <a name="Link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionCustomLink.property.link"></a>

```go
Link *string
```

- *Type:* *string

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `OverrideLabel`<sup>Optional</sup> <a name="OverrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionCustomLink.property.overrideLabel"></a>

```go
OverrideLabel *string
```

- *Type:* *string

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetQueryTableDefinitionRequest <a name="DashboardWidgetQueryTableDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryTableDefinitionRequest {
	Aggregator: *string,
	Alias: *string,
	ApmQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQuery,
	ApmStatsQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQuery,
	CellDisplayMode: *[]*string,
	ConditionalFormats: interface{},
	Formula: interface{},
	Limit: *f64,
	LogQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQuery,
	Order: *string,
	ProcessQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetQueryTableDefinitionRequestProcessQuery,
	Q: *string,
	Query: interface{},
	RumQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQuery,
	SecurityQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.aggregator">Aggregator</a></code> | <code>*string</code> | The aggregator to use for time aggregation. Valid values are `avg`, `last`, `max`, `min`, `sum`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.alias">Alias</a></code> | <code>*string</code> | The alias for the column name (defaults to metric name). |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.apmQuery">ApmQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQuery">DashboardWidgetQueryTableDefinitionRequestApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.apmStatsQuery">ApmStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQuery">DashboardWidgetQueryTableDefinitionRequestApmStatsQuery</a></code> | apm_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.cellDisplayMode">CellDisplayMode</a></code> | <code>*[]*string</code> | A list of display modes for each table cell. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.conditionalFormats">ConditionalFormats</a></code> | <code>interface{}</code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.formula">Formula</a></code> | <code>interface{}</code> | formula block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.limit">Limit</a></code> | <code>*f64</code> | The number of lines to show in the table. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.logQuery">LogQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQuery">DashboardWidgetQueryTableDefinitionRequestLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.order">Order</a></code> | <code>*string</code> | The sort order for the rows. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.processQuery">ProcessQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestProcessQuery">DashboardWidgetQueryTableDefinitionRequestProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.q">Q</a></code> | <code>*string</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.query">Query</a></code> | <code>interface{}</code> | query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.rumQuery">RumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQuery">DashboardWidgetQueryTableDefinitionRequestRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.securityQuery">SecurityQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQuery">DashboardWidgetQueryTableDefinitionRequestSecurityQuery</a></code> | security_query block. |

---

##### `Aggregator`<sup>Optional</sup> <a name="Aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.aggregator"></a>

```go
Aggregator *string
```

- *Type:* *string

The aggregator to use for time aggregation. Valid values are `avg`, `last`, `max`, `min`, `sum`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `Alias`<sup>Optional</sup> <a name="Alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.alias"></a>

```go
Alias *string
```

- *Type:* *string

The alias for the column name (defaults to metric name).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `ApmQuery`<sup>Optional</sup> <a name="ApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.apmQuery"></a>

```go
ApmQuery DashboardWidgetQueryTableDefinitionRequestApmQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQuery">DashboardWidgetQueryTableDefinitionRequestApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `ApmStatsQuery`<sup>Optional</sup> <a name="ApmStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.apmStatsQuery"></a>

```go
ApmStatsQuery DashboardWidgetQueryTableDefinitionRequestApmStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQuery">DashboardWidgetQueryTableDefinitionRequestApmStatsQuery</a>

apm_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_stats_query Dashboard#apm_stats_query}

---

##### `CellDisplayMode`<sup>Optional</sup> <a name="CellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.cellDisplayMode"></a>

```go
CellDisplayMode *[]*string
```

- *Type:* *[]*string

A list of display modes for each table cell.

List items one of `number`, `bar`. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `ConditionalFormats`<sup>Optional</sup> <a name="ConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.conditionalFormats"></a>

```go
ConditionalFormats interface{}
```

- *Type:* interface{}

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `Formula`<sup>Optional</sup> <a name="Formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.formula"></a>

```go
Formula interface{}
```

- *Type:* interface{}

formula block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula Dashboard#formula}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The number of lines to show in the table.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `LogQuery`<sup>Optional</sup> <a name="LogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.logQuery"></a>

```go
LogQuery DashboardWidgetQueryTableDefinitionRequestLogQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQuery">DashboardWidgetQueryTableDefinitionRequestLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `Order`<sup>Optional</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.order"></a>

```go
Order *string
```

- *Type:* *string

The sort order for the rows. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `ProcessQuery`<sup>Optional</sup> <a name="ProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.processQuery"></a>

```go
ProcessQuery DashboardWidgetQueryTableDefinitionRequestProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestProcessQuery">DashboardWidgetQueryTableDefinitionRequestProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `Q`<sup>Optional</sup> <a name="Q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.q"></a>

```go
Q *string
```

- *Type:* *string

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `Query`<sup>Optional</sup> <a name="Query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.query"></a>

```go
Query interface{}
```

- *Type:* interface{}

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `RumQuery`<sup>Optional</sup> <a name="RumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.rumQuery"></a>

```go
RumQuery DashboardWidgetQueryTableDefinitionRequestRumQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQuery">DashboardWidgetQueryTableDefinitionRequestRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `SecurityQuery`<sup>Optional</sup> <a name="SecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.securityQuery"></a>

```go
SecurityQuery DashboardWidgetQueryTableDefinitionRequestSecurityQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQuery">DashboardWidgetQueryTableDefinitionRequestSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

### DashboardWidgetQueryTableDefinitionRequestApmQuery <a name="DashboardWidgetQueryTableDefinitionRequestApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryTableDefinitionRequestApmQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryComputeQuery">DashboardWidgetQueryTableDefinitionRequestApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetQueryTableDefinitionRequestApmQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryComputeQuery">DashboardWidgetQueryTableDefinitionRequestApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetQueryTableDefinitionRequestApmQueryComputeQuery <a name="DashboardWidgetQueryTableDefinitionRequestApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBy <a name="DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery <a name="DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetQueryTableDefinitionRequestApmQueryMultiCompute <a name="DashboardWidgetQueryTableDefinitionRequestApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetQueryTableDefinitionRequestApmStatsQuery <a name="DashboardWidgetQueryTableDefinitionRequestApmStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQuery {
	Env: *string,
	Name: *string,
	PrimaryTag: *string,
	RowType: *string,
	Service: *string,
	Columns: interface{},
	Resource: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQuery.property.env">Env</a></code> | <code>*string</code> | The environment name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQuery.property.name">Name</a></code> | <code>*string</code> | The operation name associated with the service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQuery.property.primaryTag">PrimaryTag</a></code> | <code>*string</code> | The organization's host group name and value. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQuery.property.rowType">RowType</a></code> | <code>*string</code> | The level of detail for the request. Valid values are `service`, `resource`, `span`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQuery.property.service">Service</a></code> | <code>*string</code> | The service name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQuery.property.columns">Columns</a></code> | <code>interface{}</code> | columns block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQuery.property.resource">Resource</a></code> | <code>*string</code> | The resource name. |

---

##### `Env`<sup>Required</sup> <a name="Env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQuery.property.env"></a>

```go
Env *string
```

- *Type:* *string

The environment name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The operation name associated with the service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `PrimaryTag`<sup>Required</sup> <a name="PrimaryTag" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQuery.property.primaryTag"></a>

```go
PrimaryTag *string
```

- *Type:* *string

The organization's host group name and value.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag Dashboard#primary_tag}

---

##### `RowType`<sup>Required</sup> <a name="RowType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQuery.property.rowType"></a>

```go
RowType *string
```

- *Type:* *string

The level of detail for the request. Valid values are `service`, `resource`, `span`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#row_type Dashboard#row_type}

---

##### `Service`<sup>Required</sup> <a name="Service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQuery.property.service"></a>

```go
Service *string
```

- *Type:* *string

The service name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `Columns`<sup>Optional</sup> <a name="Columns" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQuery.property.columns"></a>

```go
Columns interface{}
```

- *Type:* interface{}

columns block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#columns Dashboard#columns}

---

##### `Resource`<sup>Optional</sup> <a name="Resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQuery.property.resource"></a>

```go
Resource *string
```

- *Type:* *string

The resource name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource Dashboard#resource}

---

### DashboardWidgetQueryTableDefinitionRequestApmStatsQueryColumns <a name="DashboardWidgetQueryTableDefinitionRequestApmStatsQueryColumns" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQueryColumns"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQueryColumns.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQueryColumns {
	Name: *string,
	Alias: *string,
	CellDisplayMode: *string,
	Order: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQueryColumns.property.name">Name</a></code> | <code>*string</code> | The column name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQueryColumns.property.alias">Alias</a></code> | <code>*string</code> | A user-assigned alias for the column. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQueryColumns.property.cellDisplayMode">CellDisplayMode</a></code> | <code>*string</code> | A list of display modes for each table cell. Valid values are `number`, `bar`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQueryColumns.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQueryColumns.property.name"></a>

```go
Name *string
```

- *Type:* *string

The column name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `Alias`<sup>Optional</sup> <a name="Alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQueryColumns.property.alias"></a>

```go
Alias *string
```

- *Type:* *string

A user-assigned alias for the column.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `CellDisplayMode`<sup>Optional</sup> <a name="CellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQueryColumns.property.cellDisplayMode"></a>

```go
CellDisplayMode *string
```

- *Type:* *string

A list of display modes for each table cell. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `Order`<sup>Optional</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQueryColumns.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetQueryTableDefinitionRequestConditionalFormats <a name="DashboardWidgetQueryTableDefinitionRequestConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats {
	Comparator: *string,
	Palette: *string,
	Value: *f64,
	CustomBgColor: *string,
	CustomFgColor: *string,
	HideValue: interface{},
	ImageUrl: *string,
	Metric: *string,
	Timeframe: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats.property.comparator">Comparator</a></code> | <code>*string</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats.property.palette">Palette</a></code> | <code>*string</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats.property.value">Value</a></code> | <code>*f64</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats.property.customBgColor">CustomBgColor</a></code> | <code>*string</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats.property.customFgColor">CustomFgColor</a></code> | <code>*string</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats.property.hideValue">HideValue</a></code> | <code>interface{}</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats.property.imageUrl">ImageUrl</a></code> | <code>*string</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats.property.metric">Metric</a></code> | <code>*string</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats.property.timeframe">Timeframe</a></code> | <code>*string</code> | Defines the displayed timeframe. |

---

##### `Comparator`<sup>Required</sup> <a name="Comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats.property.comparator"></a>

```go
Comparator *string
```

- *Type:* *string

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `Palette`<sup>Required</sup> <a name="Palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats.property.palette"></a>

```go
Palette *string
```

- *Type:* *string

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `Value`<sup>Required</sup> <a name="Value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats.property.value"></a>

```go
Value *f64
```

- *Type:* *f64

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `CustomBgColor`<sup>Optional</sup> <a name="CustomBgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats.property.customBgColor"></a>

```go
CustomBgColor *string
```

- *Type:* *string

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `CustomFgColor`<sup>Optional</sup> <a name="CustomFgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats.property.customFgColor"></a>

```go
CustomFgColor *string
```

- *Type:* *string

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `HideValue`<sup>Optional</sup> <a name="HideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats.property.hideValue"></a>

```go
HideValue interface{}
```

- *Type:* interface{}

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `ImageUrl`<sup>Optional</sup> <a name="ImageUrl" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats.property.imageUrl"></a>

```go
ImageUrl *string
```

- *Type:* *string

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `Metric`<sup>Optional</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `Timeframe`<sup>Optional</sup> <a name="Timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats.property.timeframe"></a>

```go
Timeframe *string
```

- *Type:* *string

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetQueryTableDefinitionRequestFormula <a name="DashboardWidgetQueryTableDefinitionRequestFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormula"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormula.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryTableDefinitionRequestFormula {
	FormulaExpression: *string,
	Alias: *string,
	CellDisplayMode: *string,
	ConditionalFormats: interface{},
	Limit: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaLimit,
	Style: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaStyle,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormula.property.formulaExpression">FormulaExpression</a></code> | <code>*string</code> | A string expression built from queries, formulas, and functions. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormula.property.alias">Alias</a></code> | <code>*string</code> | An expression alias. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormula.property.cellDisplayMode">CellDisplayMode</a></code> | <code>*string</code> | A list of display modes for each table cell. Valid values are `number`, `bar`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormula.property.conditionalFormats">ConditionalFormats</a></code> | <code>interface{}</code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormula.property.limit">Limit</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaLimit">DashboardWidgetQueryTableDefinitionRequestFormulaLimit</a></code> | limit block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormula.property.style">Style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaStyle">DashboardWidgetQueryTableDefinitionRequestFormulaStyle</a></code> | style block. |

---

##### `FormulaExpression`<sup>Required</sup> <a name="FormulaExpression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormula.property.formulaExpression"></a>

```go
FormulaExpression *string
```

- *Type:* *string

A string expression built from queries, formulas, and functions.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula_expression Dashboard#formula_expression}

---

##### `Alias`<sup>Optional</sup> <a name="Alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormula.property.alias"></a>

```go
Alias *string
```

- *Type:* *string

An expression alias.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `CellDisplayMode`<sup>Optional</sup> <a name="CellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormula.property.cellDisplayMode"></a>

```go
CellDisplayMode *string
```

- *Type:* *string

A list of display modes for each table cell. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `ConditionalFormats`<sup>Optional</sup> <a name="ConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormula.property.conditionalFormats"></a>

```go
ConditionalFormats interface{}
```

- *Type:* interface{}

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormula.property.limit"></a>

```go
Limit DashboardWidgetQueryTableDefinitionRequestFormulaLimit
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaLimit">DashboardWidgetQueryTableDefinitionRequestFormulaLimit</a>

limit block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `Style`<sup>Optional</sup> <a name="Style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormula.property.style"></a>

```go
Style DashboardWidgetQueryTableDefinitionRequestFormulaStyle
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaStyle">DashboardWidgetQueryTableDefinitionRequestFormulaStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats <a name="DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats {
	Comparator: *string,
	Palette: *string,
	Value: *f64,
	CustomBgColor: *string,
	CustomFgColor: *string,
	HideValue: interface{},
	ImageUrl: *string,
	Metric: *string,
	Timeframe: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.comparator">Comparator</a></code> | <code>*string</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.palette">Palette</a></code> | <code>*string</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.value">Value</a></code> | <code>*f64</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.customBgColor">CustomBgColor</a></code> | <code>*string</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.customFgColor">CustomFgColor</a></code> | <code>*string</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.hideValue">HideValue</a></code> | <code>interface{}</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.imageUrl">ImageUrl</a></code> | <code>*string</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.metric">Metric</a></code> | <code>*string</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.timeframe">Timeframe</a></code> | <code>*string</code> | Defines the displayed timeframe. |

---

##### `Comparator`<sup>Required</sup> <a name="Comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.comparator"></a>

```go
Comparator *string
```

- *Type:* *string

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `Palette`<sup>Required</sup> <a name="Palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.palette"></a>

```go
Palette *string
```

- *Type:* *string

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `Value`<sup>Required</sup> <a name="Value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.value"></a>

```go
Value *f64
```

- *Type:* *f64

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `CustomBgColor`<sup>Optional</sup> <a name="CustomBgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.customBgColor"></a>

```go
CustomBgColor *string
```

- *Type:* *string

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `CustomFgColor`<sup>Optional</sup> <a name="CustomFgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.customFgColor"></a>

```go
CustomFgColor *string
```

- *Type:* *string

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `HideValue`<sup>Optional</sup> <a name="HideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.hideValue"></a>

```go
HideValue interface{}
```

- *Type:* interface{}

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `ImageUrl`<sup>Optional</sup> <a name="ImageUrl" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.imageUrl"></a>

```go
ImageUrl *string
```

- *Type:* *string

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `Metric`<sup>Optional</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `Timeframe`<sup>Optional</sup> <a name="Timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.timeframe"></a>

```go
Timeframe *string
```

- *Type:* *string

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetQueryTableDefinitionRequestFormulaLimit <a name="DashboardWidgetQueryTableDefinitionRequestFormulaLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaLimit"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaLimit.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaLimit {
	Count: *f64,
	Order: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaLimit.property.count">Count</a></code> | <code>*f64</code> | The number of results to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaLimit.property.order">Order</a></code> | <code>*string</code> | The direction of the sort. Valid values are `asc`, `desc`. |

---

##### `Count`<sup>Optional</sup> <a name="Count" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaLimit.property.count"></a>

```go
Count *f64
```

- *Type:* *f64

The number of results to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#count Dashboard#count}

---

##### `Order`<sup>Optional</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaLimit.property.order"></a>

```go
Order *string
```

- *Type:* *string

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetQueryTableDefinitionRequestFormulaStyle <a name="DashboardWidgetQueryTableDefinitionRequestFormulaStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaStyle.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaStyle {
	Palette: *string,
	PaletteIndex: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaStyle.property.palette">Palette</a></code> | <code>*string</code> | The color palette used to display the formula. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaStyle.property.paletteIndex">PaletteIndex</a></code> | <code>*f64</code> | Index specifying which color to use within the palette. |

---

##### `Palette`<sup>Optional</sup> <a name="Palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaStyle.property.palette"></a>

```go
Palette *string
```

- *Type:* *string

The color palette used to display the formula.

A guide to the available color palettes can be found at https://docs.datadoghq.com/dashboards/guide/widget_colors

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `PaletteIndex`<sup>Optional</sup> <a name="PaletteIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaStyle.property.paletteIndex"></a>

```go
PaletteIndex *f64
```

- *Type:* *f64

Index specifying which color to use within the palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette_index Dashboard#palette_index}

---

### DashboardWidgetQueryTableDefinitionRequestLogQuery <a name="DashboardWidgetQueryTableDefinitionRequestLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryTableDefinitionRequestLogQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryComputeQuery">DashboardWidgetQueryTableDefinitionRequestLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetQueryTableDefinitionRequestLogQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryComputeQuery">DashboardWidgetQueryTableDefinitionRequestLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetQueryTableDefinitionRequestLogQueryComputeQuery <a name="DashboardWidgetQueryTableDefinitionRequestLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBy <a name="DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery <a name="DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetQueryTableDefinitionRequestLogQueryMultiCompute <a name="DashboardWidgetQueryTableDefinitionRequestLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetQueryTableDefinitionRequestProcessQuery <a name="DashboardWidgetQueryTableDefinitionRequestProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestProcessQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryTableDefinitionRequestProcessQuery {
	Metric: *string,
	FilterBy: *[]*string,
	Limit: *f64,
	SearchBy: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestProcessQuery.property.metric">Metric</a></code> | <code>*string</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestProcessQuery.property.filterBy">FilterBy</a></code> | <code>*[]*string</code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestProcessQuery.property.limit">Limit</a></code> | <code>*f64</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestProcessQuery.property.searchBy">SearchBy</a></code> | <code>*string</code> | Your chosen search term. |

---

##### `Metric`<sup>Required</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestProcessQuery.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `FilterBy`<sup>Optional</sup> <a name="FilterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestProcessQuery.property.filterBy"></a>

```go
FilterBy *[]*string
```

- *Type:* *[]*string

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestProcessQuery.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SearchBy`<sup>Optional</sup> <a name="SearchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestProcessQuery.property.searchBy"></a>

```go
SearchBy *string
```

- *Type:* *string

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetQueryTableDefinitionRequestQuery <a name="DashboardWidgetQueryTableDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryTableDefinitionRequestQuery {
	ApmDependencyStatsQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery,
	ApmResourceStatsQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery,
	EventQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuery,
	MetricQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryMetricQuery,
	ProcessQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQuery.property.apmDependencyStatsQuery">ApmDependencyStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery</a></code> | apm_dependency_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQuery.property.apmResourceStatsQuery">ApmResourceStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery</a></code> | apm_resource_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQuery.property.eventQuery">EventQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuery">DashboardWidgetQueryTableDefinitionRequestQueryEventQuery</a></code> | event_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQuery.property.metricQuery">MetricQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryMetricQuery">DashboardWidgetQueryTableDefinitionRequestQueryMetricQuery</a></code> | metric_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQuery.property.processQuery">ProcessQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery">DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery</a></code> | process_query block. |

---

##### `ApmDependencyStatsQuery`<sup>Optional</sup> <a name="ApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQuery.property.apmDependencyStatsQuery"></a>

```go
ApmDependencyStatsQuery DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery</a>

apm_dependency_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_dependency_stats_query Dashboard#apm_dependency_stats_query}

---

##### `ApmResourceStatsQuery`<sup>Optional</sup> <a name="ApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQuery.property.apmResourceStatsQuery"></a>

```go
ApmResourceStatsQuery DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery</a>

apm_resource_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_resource_stats_query Dashboard#apm_resource_stats_query}

---

##### `EventQuery`<sup>Optional</sup> <a name="EventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQuery.property.eventQuery"></a>

```go
EventQuery DashboardWidgetQueryTableDefinitionRequestQueryEventQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuery">DashboardWidgetQueryTableDefinitionRequestQueryEventQuery</a>

event_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_query Dashboard#event_query}

---

##### `MetricQuery`<sup>Optional</sup> <a name="MetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQuery.property.metricQuery"></a>

```go
MetricQuery DashboardWidgetQueryTableDefinitionRequestQueryMetricQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryMetricQuery">DashboardWidgetQueryTableDefinitionRequestQueryMetricQuery</a>

metric_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric_query Dashboard#metric_query}

---

##### `ProcessQuery`<sup>Optional</sup> <a name="ProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQuery.property.processQuery"></a>

```go
ProcessQuery DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery">DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

### DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery <a name="DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery {
	DataSource: *string,
	Env: *string,
	Name: *string,
	OperationName: *string,
	ResourceName: *string,
	Service: *string,
	Stat: *string,
	IsUpstream: interface{},
	PrimaryTagName: *string,
	PrimaryTagValue: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.env">Env</a></code> | <code>*string</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.name">Name</a></code> | <code>*string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.operationName">OperationName</a></code> | <code>*string</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName">ResourceName</a></code> | <code>*string</code> | APM resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.service">Service</a></code> | <code>*string</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.stat">Stat</a></code> | <code>*string</code> | APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream">IsUpstream</a></code> | <code>interface{}</code> | Determines whether stats for upstream or downstream dependencies should be queried. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName">PrimaryTagName</a></code> | <code>*string</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue">PrimaryTagValue</a></code> | <code>*string</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `Env`<sup>Required</sup> <a name="Env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.env"></a>

```go
Env *string
```

- *Type:* *string

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `OperationName`<sup>Required</sup> <a name="OperationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.operationName"></a>

```go
OperationName *string
```

- *Type:* *string

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `ResourceName`<sup>Required</sup> <a name="ResourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName"></a>

```go
ResourceName *string
```

- *Type:* *string

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

##### `Service`<sup>Required</sup> <a name="Service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.service"></a>

```go
Service *string
```

- *Type:* *string

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `Stat`<sup>Required</sup> <a name="Stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.stat"></a>

```go
Stat *string
```

- *Type:* *string

APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `IsUpstream`<sup>Optional</sup> <a name="IsUpstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream"></a>

```go
IsUpstream interface{}
```

- *Type:* interface{}

Determines whether stats for upstream or downstream dependencies should be queried.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_upstream Dashboard#is_upstream}

---

##### `PrimaryTagName`<sup>Optional</sup> <a name="PrimaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName"></a>

```go
PrimaryTagName *string
```

- *Type:* *string

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `PrimaryTagValue`<sup>Optional</sup> <a name="PrimaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue"></a>

```go
PrimaryTagValue *string
```

- *Type:* *string

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

### DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery <a name="DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery {
	DataSource: *string,
	Env: *string,
	Name: *string,
	Service: *string,
	Stat: *string,
	GroupBy: *[]*string,
	OperationName: *string,
	PrimaryTagName: *string,
	PrimaryTagValue: *string,
	ResourceName: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.env">Env</a></code> | <code>*string</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.name">Name</a></code> | <code>*string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.service">Service</a></code> | <code>*string</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.stat">Stat</a></code> | <code>*string</code> | APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.groupBy">GroupBy</a></code> | <code>*[]*string</code> | Array of fields to group results by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.operationName">OperationName</a></code> | <code>*string</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName">PrimaryTagName</a></code> | <code>*string</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue">PrimaryTagValue</a></code> | <code>*string</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.resourceName">ResourceName</a></code> | <code>*string</code> | APM resource. |

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `Env`<sup>Required</sup> <a name="Env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.env"></a>

```go
Env *string
```

- *Type:* *string

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `Service`<sup>Required</sup> <a name="Service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.service"></a>

```go
Service *string
```

- *Type:* *string

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `Stat`<sup>Required</sup> <a name="Stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.stat"></a>

```go
Stat *string
```

- *Type:* *string

APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.groupBy"></a>

```go
GroupBy *[]*string
```

- *Type:* *[]*string

Array of fields to group results by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `OperationName`<sup>Optional</sup> <a name="OperationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.operationName"></a>

```go
OperationName *string
```

- *Type:* *string

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `PrimaryTagName`<sup>Optional</sup> <a name="PrimaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName"></a>

```go
PrimaryTagName *string
```

- *Type:* *string

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `PrimaryTagValue`<sup>Optional</sup> <a name="PrimaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue"></a>

```go
PrimaryTagValue *string
```

- *Type:* *string

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

##### `ResourceName`<sup>Optional</sup> <a name="ResourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.resourceName"></a>

```go
ResourceName *string
```

- *Type:* *string

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

### DashboardWidgetQueryTableDefinitionRequestQueryEventQuery <a name="DashboardWidgetQueryTableDefinitionRequestQueryEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuery {
	Compute: interface{},
	DataSource: *string,
	Name: *string,
	GroupBy: interface{},
	Indexes: *[]*string,
	Search: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuerySearch,
	Storage: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuery.property.compute">Compute</a></code> | <code>interface{}</code> | compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for event platform-based queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuery.property.name">Name</a></code> | <code>*string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuery.property.indexes">Indexes</a></code> | <code>*[]*string</code> | An array of index names to query in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuery.property.search">Search</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuerySearch">DashboardWidgetQueryTableDefinitionRequestQueryEventQuerySearch</a></code> | search block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuery.property.storage">Storage</a></code> | <code>*string</code> | Storage location (private beta). |

---

##### `Compute`<sup>Required</sup> <a name="Compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuery.property.compute"></a>

```go
Compute interface{}
```

- *Type:* interface{}

compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute Dashboard#compute}

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for event platform-based queries.

Valid values are `logs`, `spans`, `network`, `rum`, `security_signals`, `profiles`, `audit`, `events`, `ci_tests`, `ci_pipelines`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `Indexes`<sup>Optional</sup> <a name="Indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuery.property.indexes"></a>

```go
Indexes *[]*string
```

- *Type:* *[]*string

An array of index names to query in the stream.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `Search`<sup>Optional</sup> <a name="Search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuery.property.search"></a>

```go
Search DashboardWidgetQueryTableDefinitionRequestQueryEventQuerySearch
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuerySearch">DashboardWidgetQueryTableDefinitionRequestQueryEventQuerySearch</a>

search block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search Dashboard#search}

---

##### `Storage`<sup>Optional</sup> <a name="Storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuery.property.storage"></a>

```go
Storage *string
```

- *Type:* *string

Storage location (private beta).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#storage Dashboard#storage}

---

### DashboardWidgetQueryTableDefinitionRequestQueryEventQueryCompute <a name="DashboardWidgetQueryTableDefinitionRequestQueryEventQueryCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryCompute {
	Aggregation: *string,
	Interval: *f64,
	Metric: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation methods for event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryCompute.property.interval">Interval</a></code> | <code>*f64</code> | A time interval in milliseconds. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryCompute.property.metric">Metric</a></code> | <code>*string</code> | The measurable attribute to compute. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation methods for event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

A time interval in milliseconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

##### `Metric`<sup>Optional</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryCompute.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

The measurable attribute to compute.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

### DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy <a name="DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	Sort: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The event facet. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The number of groups to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy.property.sort">Sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort</a></code> | sort block. |

---

##### `Facet`<sup>Required</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The event facet.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The number of groups to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `Sort`<sup>Optional</sup> <a name="Sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy.property.sort"></a>

```go
Sort DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort</a>

sort block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

### DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort <a name="DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort {
	Aggregation: *string,
	Metric: *string,
	Order: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation methods for the event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort.property.metric">Metric</a></code> | <code>*string</code> | The metric used for sorting group by results. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort.property.order">Order</a></code> | <code>*string</code> | Direction of sort. Valid values are `asc`, `desc`. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation methods for the event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Metric`<sup>Optional</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

The metric used for sorting group by results.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `Order`<sup>Optional</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort.property.order"></a>

```go
Order *string
```

- *Type:* *string

Direction of sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetQueryTableDefinitionRequestQueryEventQuerySearch <a name="DashboardWidgetQueryTableDefinitionRequestQueryEventQuerySearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuerySearch"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuerySearch.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuerySearch {
	Query: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuerySearch.property.query">Query</a></code> | <code>*string</code> | The events search string. |

---

##### `Query`<sup>Required</sup> <a name="Query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuerySearch.property.query"></a>

```go
Query *string
```

- *Type:* *string

The events search string.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetQueryTableDefinitionRequestQueryMetricQuery <a name="DashboardWidgetQueryTableDefinitionRequestQueryMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryMetricQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryMetricQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryTableDefinitionRequestQueryMetricQuery {
	Name: *string,
	Query: *string,
	Aggregator: *string,
	DataSource: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryMetricQuery.property.name">Name</a></code> | <code>*string</code> | The name of the query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryMetricQuery.property.query">Query</a></code> | <code>*string</code> | The metrics query definition. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryMetricQuery.property.aggregator">Aggregator</a></code> | <code>*string</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryMetricQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for metrics queries. |

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryMetricQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of the query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `Query`<sup>Required</sup> <a name="Query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryMetricQuery.property.query"></a>

```go
Query *string
```

- *Type:* *string

The metrics query definition.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `Aggregator`<sup>Optional</sup> <a name="Aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryMetricQuery.property.aggregator"></a>

```go
Aggregator *string
```

- *Type:* *string

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `DataSource`<sup>Optional</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryMetricQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for metrics queries.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

### DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery <a name="DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery {
	DataSource: *string,
	Metric: *string,
	Name: *string,
	Aggregator: *string,
	IsNormalizedCpu: interface{},
	Limit: *f64,
	Sort: *string,
	TagFilters: *[]*string,
	TextFilter: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for process queries. Valid values are `process`, `container`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery.property.metric">Metric</a></code> | <code>*string</code> | The process metric name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery.property.name">Name</a></code> | <code>*string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery.property.aggregator">Aggregator</a></code> | <code>*string</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery.property.isNormalizedCpu">IsNormalizedCpu</a></code> | <code>interface{}</code> | Whether to normalize the CPU percentages. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery.property.limit">Limit</a></code> | <code>*f64</code> | The number of hits to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery.property.sort">Sort</a></code> | <code>*string</code> | The direction of the sort. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery.property.tagFilters">TagFilters</a></code> | <code>*[]*string</code> | An array of tags to filter by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery.property.textFilter">TextFilter</a></code> | <code>*string</code> | The text to use as a filter. |

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for process queries. Valid values are `process`, `container`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `Metric`<sup>Required</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

The process metric name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `Aggregator`<sup>Optional</sup> <a name="Aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery.property.aggregator"></a>

```go
Aggregator *string
```

- *Type:* *string

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `IsNormalizedCpu`<sup>Optional</sup> <a name="IsNormalizedCpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery.property.isNormalizedCpu"></a>

```go
IsNormalizedCpu interface{}
```

- *Type:* interface{}

Whether to normalize the CPU percentages.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_normalized_cpu Dashboard#is_normalized_cpu}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The number of hits to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `Sort`<sup>Optional</sup> <a name="Sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery.property.sort"></a>

```go
Sort *string
```

- *Type:* *string

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `TagFilters`<sup>Optional</sup> <a name="TagFilters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery.property.tagFilters"></a>

```go
TagFilters *[]*string
```

- *Type:* *[]*string

An array of tags to filter by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tag_filters Dashboard#tag_filters}

---

##### `TextFilter`<sup>Optional</sup> <a name="TextFilter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery.property.textFilter"></a>

```go
TextFilter *string
```

- *Type:* *string

The text to use as a filter.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_filter Dashboard#text_filter}

---

### DashboardWidgetQueryTableDefinitionRequestRumQuery <a name="DashboardWidgetQueryTableDefinitionRequestRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryTableDefinitionRequestRumQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryComputeQuery">DashboardWidgetQueryTableDefinitionRequestRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetQueryTableDefinitionRequestRumQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryComputeQuery">DashboardWidgetQueryTableDefinitionRequestRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetQueryTableDefinitionRequestRumQueryComputeQuery <a name="DashboardWidgetQueryTableDefinitionRequestRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBy <a name="DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery <a name="DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetQueryTableDefinitionRequestRumQueryMultiCompute <a name="DashboardWidgetQueryTableDefinitionRequestRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetQueryTableDefinitionRequestSecurityQuery <a name="DashboardWidgetQueryTableDefinitionRequestSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery <a name="DashboardWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBy <a name="DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery <a name="DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute <a name="DashboardWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetQueryValueDefinition <a name="DashboardWidgetQueryValueDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryValueDefinition {
	Autoscale: interface{},
	CustomLink: interface{},
	CustomUnit: *string,
	LiveSpan: *string,
	Precision: *f64,
	Request: interface{},
	TextAlign: *string,
	TimeseriesBackground: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackground,
	Title: *string,
	TitleAlign: *string,
	TitleSize: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.autoscale">Autoscale</a></code> | <code>interface{}</code> | A Boolean indicating whether to automatically scale the tile. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.customLink">CustomLink</a></code> | <code>interface{}</code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.customUnit">CustomUnit</a></code> | <code>*string</code> | The unit for the value displayed in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.liveSpan">LiveSpan</a></code> | <code>*string</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.precision">Precision</a></code> | <code>*f64</code> | The precision to use when displaying the tile. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.request">Request</a></code> | <code>interface{}</code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.textAlign">TextAlign</a></code> | <code>*string</code> | The alignment of the widget's text. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.timeseriesBackground">TimeseriesBackground</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackground">DashboardWidgetQueryValueDefinitionTimeseriesBackground</a></code> | timeseries_background block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.title">Title</a></code> | <code>*string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.titleAlign">TitleAlign</a></code> | <code>*string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.titleSize">TitleSize</a></code> | <code>*string</code> | The size of the widget's title (defaults to 16). |

---

##### `Autoscale`<sup>Optional</sup> <a name="Autoscale" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.autoscale"></a>

```go
Autoscale interface{}
```

- *Type:* interface{}

A Boolean indicating whether to automatically scale the tile.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#autoscale Dashboard#autoscale}

---

##### `CustomLink`<sup>Optional</sup> <a name="CustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.customLink"></a>

```go
CustomLink interface{}
```

- *Type:* interface{}

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `CustomUnit`<sup>Optional</sup> <a name="CustomUnit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.customUnit"></a>

```go
CustomUnit *string
```

- *Type:* *string

The unit for the value displayed in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_unit Dashboard#custom_unit}

---

##### `LiveSpan`<sup>Optional</sup> <a name="LiveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.liveSpan"></a>

```go
LiveSpan *string
```

- *Type:* *string

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `Precision`<sup>Optional</sup> <a name="Precision" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.precision"></a>

```go
Precision *f64
```

- *Type:* *f64

The precision to use when displaying the tile.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#precision Dashboard#precision}

---

##### `Request`<sup>Optional</sup> <a name="Request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.request"></a>

```go
Request interface{}
```

- *Type:* interface{}

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `TextAlign`<sup>Optional</sup> <a name="TextAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.textAlign"></a>

```go
TextAlign *string
```

- *Type:* *string

The alignment of the widget's text. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_align Dashboard#text_align}

---

##### `TimeseriesBackground`<sup>Optional</sup> <a name="TimeseriesBackground" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.timeseriesBackground"></a>

```go
TimeseriesBackground DashboardWidgetQueryValueDefinitionTimeseriesBackground
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackground">DashboardWidgetQueryValueDefinitionTimeseriesBackground</a>

timeseries_background block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeseries_background Dashboard#timeseries_background}

---

##### `Title`<sup>Optional</sup> <a name="Title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.title"></a>

```go
Title *string
```

- *Type:* *string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `TitleAlign`<sup>Optional</sup> <a name="TitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.titleAlign"></a>

```go
TitleAlign *string
```

- *Type:* *string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `TitleSize`<sup>Optional</sup> <a name="TitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.titleSize"></a>

```go
TitleSize *string
```

- *Type:* *string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetQueryValueDefinitionCustomLink <a name="DashboardWidgetQueryValueDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionCustomLink.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryValueDefinitionCustomLink {
	IsHidden: interface{},
	Label: *string,
	Link: *string,
	OverrideLabel: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionCustomLink.property.isHidden">IsHidden</a></code> | <code>interface{}</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionCustomLink.property.label">Label</a></code> | <code>*string</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionCustomLink.property.link">Link</a></code> | <code>*string</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionCustomLink.property.overrideLabel">OverrideLabel</a></code> | <code>*string</code> | The label ID that refers to a context menu link item. |

---

##### `IsHidden`<sup>Optional</sup> <a name="IsHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionCustomLink.property.isHidden"></a>

```go
IsHidden interface{}
```

- *Type:* interface{}

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `Label`<sup>Optional</sup> <a name="Label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionCustomLink.property.label"></a>

```go
Label *string
```

- *Type:* *string

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `Link`<sup>Optional</sup> <a name="Link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionCustomLink.property.link"></a>

```go
Link *string
```

- *Type:* *string

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `OverrideLabel`<sup>Optional</sup> <a name="OverrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionCustomLink.property.overrideLabel"></a>

```go
OverrideLabel *string
```

- *Type:* *string

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetQueryValueDefinitionRequest <a name="DashboardWidgetQueryValueDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryValueDefinitionRequest {
	Aggregator: *string,
	ApmQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQuery,
	AuditQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQuery,
	ConditionalFormats: interface{},
	Formula: interface{},
	LogQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQuery,
	ProcessQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetQueryValueDefinitionRequestProcessQuery,
	Q: *string,
	Query: interface{},
	RumQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQuery,
	SecurityQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.aggregator">Aggregator</a></code> | <code>*string</code> | The aggregator to use for time aggregation. Valid values are `avg`, `last`, `max`, `min`, `sum`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.apmQuery">ApmQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQuery">DashboardWidgetQueryValueDefinitionRequestApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.auditQuery">AuditQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQuery">DashboardWidgetQueryValueDefinitionRequestAuditQuery</a></code> | audit_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.conditionalFormats">ConditionalFormats</a></code> | <code>interface{}</code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.formula">Formula</a></code> | <code>interface{}</code> | formula block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.logQuery">LogQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQuery">DashboardWidgetQueryValueDefinitionRequestLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.processQuery">ProcessQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestProcessQuery">DashboardWidgetQueryValueDefinitionRequestProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.q">Q</a></code> | <code>*string</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.query">Query</a></code> | <code>interface{}</code> | query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.rumQuery">RumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQuery">DashboardWidgetQueryValueDefinitionRequestRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.securityQuery">SecurityQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQuery">DashboardWidgetQueryValueDefinitionRequestSecurityQuery</a></code> | security_query block. |

---

##### `Aggregator`<sup>Optional</sup> <a name="Aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.aggregator"></a>

```go
Aggregator *string
```

- *Type:* *string

The aggregator to use for time aggregation. Valid values are `avg`, `last`, `max`, `min`, `sum`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `ApmQuery`<sup>Optional</sup> <a name="ApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.apmQuery"></a>

```go
ApmQuery DashboardWidgetQueryValueDefinitionRequestApmQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQuery">DashboardWidgetQueryValueDefinitionRequestApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `AuditQuery`<sup>Optional</sup> <a name="AuditQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.auditQuery"></a>

```go
AuditQuery DashboardWidgetQueryValueDefinitionRequestAuditQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQuery">DashboardWidgetQueryValueDefinitionRequestAuditQuery</a>

audit_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#audit_query Dashboard#audit_query}

---

##### `ConditionalFormats`<sup>Optional</sup> <a name="ConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.conditionalFormats"></a>

```go
ConditionalFormats interface{}
```

- *Type:* interface{}

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `Formula`<sup>Optional</sup> <a name="Formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.formula"></a>

```go
Formula interface{}
```

- *Type:* interface{}

formula block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula Dashboard#formula}

---

##### `LogQuery`<sup>Optional</sup> <a name="LogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.logQuery"></a>

```go
LogQuery DashboardWidgetQueryValueDefinitionRequestLogQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQuery">DashboardWidgetQueryValueDefinitionRequestLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `ProcessQuery`<sup>Optional</sup> <a name="ProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.processQuery"></a>

```go
ProcessQuery DashboardWidgetQueryValueDefinitionRequestProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestProcessQuery">DashboardWidgetQueryValueDefinitionRequestProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `Q`<sup>Optional</sup> <a name="Q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.q"></a>

```go
Q *string
```

- *Type:* *string

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `Query`<sup>Optional</sup> <a name="Query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.query"></a>

```go
Query interface{}
```

- *Type:* interface{}

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `RumQuery`<sup>Optional</sup> <a name="RumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.rumQuery"></a>

```go
RumQuery DashboardWidgetQueryValueDefinitionRequestRumQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQuery">DashboardWidgetQueryValueDefinitionRequestRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `SecurityQuery`<sup>Optional</sup> <a name="SecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.securityQuery"></a>

```go
SecurityQuery DashboardWidgetQueryValueDefinitionRequestSecurityQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQuery">DashboardWidgetQueryValueDefinitionRequestSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

### DashboardWidgetQueryValueDefinitionRequestApmQuery <a name="DashboardWidgetQueryValueDefinitionRequestApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryValueDefinitionRequestApmQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryComputeQuery">DashboardWidgetQueryValueDefinitionRequestApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetQueryValueDefinitionRequestApmQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryComputeQuery">DashboardWidgetQueryValueDefinitionRequestApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetQueryValueDefinitionRequestApmQueryComputeQuery <a name="DashboardWidgetQueryValueDefinitionRequestApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBy <a name="DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery <a name="DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetQueryValueDefinitionRequestApmQueryMultiCompute <a name="DashboardWidgetQueryValueDefinitionRequestApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetQueryValueDefinitionRequestAuditQuery <a name="DashboardWidgetQueryValueDefinitionRequestAuditQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryComputeQuery">DashboardWidgetQueryValueDefinitionRequestAuditQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetQueryValueDefinitionRequestAuditQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryComputeQuery">DashboardWidgetQueryValueDefinitionRequestAuditQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetQueryValueDefinitionRequestAuditQueryComputeQuery <a name="DashboardWidgetQueryValueDefinitionRequestAuditQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBy <a name="DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery">DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery">DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery <a name="DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetQueryValueDefinitionRequestAuditQueryMultiCompute <a name="DashboardWidgetQueryValueDefinitionRequestAuditQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetQueryValueDefinitionRequestConditionalFormats <a name="DashboardWidgetQueryValueDefinitionRequestConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats {
	Comparator: *string,
	Palette: *string,
	Value: *f64,
	CustomBgColor: *string,
	CustomFgColor: *string,
	HideValue: interface{},
	ImageUrl: *string,
	Metric: *string,
	Timeframe: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats.property.comparator">Comparator</a></code> | <code>*string</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats.property.palette">Palette</a></code> | <code>*string</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats.property.value">Value</a></code> | <code>*f64</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats.property.customBgColor">CustomBgColor</a></code> | <code>*string</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats.property.customFgColor">CustomFgColor</a></code> | <code>*string</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats.property.hideValue">HideValue</a></code> | <code>interface{}</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats.property.imageUrl">ImageUrl</a></code> | <code>*string</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats.property.metric">Metric</a></code> | <code>*string</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats.property.timeframe">Timeframe</a></code> | <code>*string</code> | Defines the displayed timeframe. |

---

##### `Comparator`<sup>Required</sup> <a name="Comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats.property.comparator"></a>

```go
Comparator *string
```

- *Type:* *string

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `Palette`<sup>Required</sup> <a name="Palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats.property.palette"></a>

```go
Palette *string
```

- *Type:* *string

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `Value`<sup>Required</sup> <a name="Value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats.property.value"></a>

```go
Value *f64
```

- *Type:* *f64

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `CustomBgColor`<sup>Optional</sup> <a name="CustomBgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats.property.customBgColor"></a>

```go
CustomBgColor *string
```

- *Type:* *string

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `CustomFgColor`<sup>Optional</sup> <a name="CustomFgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats.property.customFgColor"></a>

```go
CustomFgColor *string
```

- *Type:* *string

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `HideValue`<sup>Optional</sup> <a name="HideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats.property.hideValue"></a>

```go
HideValue interface{}
```

- *Type:* interface{}

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `ImageUrl`<sup>Optional</sup> <a name="ImageUrl" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats.property.imageUrl"></a>

```go
ImageUrl *string
```

- *Type:* *string

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `Metric`<sup>Optional</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `Timeframe`<sup>Optional</sup> <a name="Timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats.property.timeframe"></a>

```go
Timeframe *string
```

- *Type:* *string

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetQueryValueDefinitionRequestFormula <a name="DashboardWidgetQueryValueDefinitionRequestFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormula"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormula.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryValueDefinitionRequestFormula {
	FormulaExpression: *string,
	Alias: *string,
	CellDisplayMode: *string,
	ConditionalFormats: interface{},
	Limit: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaLimit,
	Style: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaStyle,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormula.property.formulaExpression">FormulaExpression</a></code> | <code>*string</code> | A string expression built from queries, formulas, and functions. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormula.property.alias">Alias</a></code> | <code>*string</code> | An expression alias. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormula.property.cellDisplayMode">CellDisplayMode</a></code> | <code>*string</code> | A list of display modes for each table cell. Valid values are `number`, `bar`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormula.property.conditionalFormats">ConditionalFormats</a></code> | <code>interface{}</code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormula.property.limit">Limit</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaLimit">DashboardWidgetQueryValueDefinitionRequestFormulaLimit</a></code> | limit block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormula.property.style">Style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaStyle">DashboardWidgetQueryValueDefinitionRequestFormulaStyle</a></code> | style block. |

---

##### `FormulaExpression`<sup>Required</sup> <a name="FormulaExpression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormula.property.formulaExpression"></a>

```go
FormulaExpression *string
```

- *Type:* *string

A string expression built from queries, formulas, and functions.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula_expression Dashboard#formula_expression}

---

##### `Alias`<sup>Optional</sup> <a name="Alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormula.property.alias"></a>

```go
Alias *string
```

- *Type:* *string

An expression alias.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `CellDisplayMode`<sup>Optional</sup> <a name="CellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormula.property.cellDisplayMode"></a>

```go
CellDisplayMode *string
```

- *Type:* *string

A list of display modes for each table cell. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `ConditionalFormats`<sup>Optional</sup> <a name="ConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormula.property.conditionalFormats"></a>

```go
ConditionalFormats interface{}
```

- *Type:* interface{}

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormula.property.limit"></a>

```go
Limit DashboardWidgetQueryValueDefinitionRequestFormulaLimit
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaLimit">DashboardWidgetQueryValueDefinitionRequestFormulaLimit</a>

limit block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `Style`<sup>Optional</sup> <a name="Style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormula.property.style"></a>

```go
Style DashboardWidgetQueryValueDefinitionRequestFormulaStyle
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaStyle">DashboardWidgetQueryValueDefinitionRequestFormulaStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats <a name="DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats {
	Comparator: *string,
	Palette: *string,
	Value: *f64,
	CustomBgColor: *string,
	CustomFgColor: *string,
	HideValue: interface{},
	ImageUrl: *string,
	Metric: *string,
	Timeframe: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.comparator">Comparator</a></code> | <code>*string</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.palette">Palette</a></code> | <code>*string</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.value">Value</a></code> | <code>*f64</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.customBgColor">CustomBgColor</a></code> | <code>*string</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.customFgColor">CustomFgColor</a></code> | <code>*string</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.hideValue">HideValue</a></code> | <code>interface{}</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.imageUrl">ImageUrl</a></code> | <code>*string</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.metric">Metric</a></code> | <code>*string</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.timeframe">Timeframe</a></code> | <code>*string</code> | Defines the displayed timeframe. |

---

##### `Comparator`<sup>Required</sup> <a name="Comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.comparator"></a>

```go
Comparator *string
```

- *Type:* *string

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `Palette`<sup>Required</sup> <a name="Palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.palette"></a>

```go
Palette *string
```

- *Type:* *string

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `Value`<sup>Required</sup> <a name="Value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.value"></a>

```go
Value *f64
```

- *Type:* *f64

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `CustomBgColor`<sup>Optional</sup> <a name="CustomBgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.customBgColor"></a>

```go
CustomBgColor *string
```

- *Type:* *string

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `CustomFgColor`<sup>Optional</sup> <a name="CustomFgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.customFgColor"></a>

```go
CustomFgColor *string
```

- *Type:* *string

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `HideValue`<sup>Optional</sup> <a name="HideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.hideValue"></a>

```go
HideValue interface{}
```

- *Type:* interface{}

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `ImageUrl`<sup>Optional</sup> <a name="ImageUrl" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.imageUrl"></a>

```go
ImageUrl *string
```

- *Type:* *string

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `Metric`<sup>Optional</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `Timeframe`<sup>Optional</sup> <a name="Timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.timeframe"></a>

```go
Timeframe *string
```

- *Type:* *string

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetQueryValueDefinitionRequestFormulaLimit <a name="DashboardWidgetQueryValueDefinitionRequestFormulaLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaLimit"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaLimit.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaLimit {
	Count: *f64,
	Order: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaLimit.property.count">Count</a></code> | <code>*f64</code> | The number of results to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaLimit.property.order">Order</a></code> | <code>*string</code> | The direction of the sort. Valid values are `asc`, `desc`. |

---

##### `Count`<sup>Optional</sup> <a name="Count" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaLimit.property.count"></a>

```go
Count *f64
```

- *Type:* *f64

The number of results to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#count Dashboard#count}

---

##### `Order`<sup>Optional</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaLimit.property.order"></a>

```go
Order *string
```

- *Type:* *string

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetQueryValueDefinitionRequestFormulaStyle <a name="DashboardWidgetQueryValueDefinitionRequestFormulaStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaStyle.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaStyle {
	Palette: *string,
	PaletteIndex: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaStyle.property.palette">Palette</a></code> | <code>*string</code> | The color palette used to display the formula. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaStyle.property.paletteIndex">PaletteIndex</a></code> | <code>*f64</code> | Index specifying which color to use within the palette. |

---

##### `Palette`<sup>Optional</sup> <a name="Palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaStyle.property.palette"></a>

```go
Palette *string
```

- *Type:* *string

The color palette used to display the formula.

A guide to the available color palettes can be found at https://docs.datadoghq.com/dashboards/guide/widget_colors

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `PaletteIndex`<sup>Optional</sup> <a name="PaletteIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaStyle.property.paletteIndex"></a>

```go
PaletteIndex *f64
```

- *Type:* *f64

Index specifying which color to use within the palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette_index Dashboard#palette_index}

---

### DashboardWidgetQueryValueDefinitionRequestLogQuery <a name="DashboardWidgetQueryValueDefinitionRequestLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryValueDefinitionRequestLogQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryComputeQuery">DashboardWidgetQueryValueDefinitionRequestLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetQueryValueDefinitionRequestLogQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryComputeQuery">DashboardWidgetQueryValueDefinitionRequestLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetQueryValueDefinitionRequestLogQueryComputeQuery <a name="DashboardWidgetQueryValueDefinitionRequestLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBy <a name="DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery <a name="DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetQueryValueDefinitionRequestLogQueryMultiCompute <a name="DashboardWidgetQueryValueDefinitionRequestLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetQueryValueDefinitionRequestProcessQuery <a name="DashboardWidgetQueryValueDefinitionRequestProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestProcessQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryValueDefinitionRequestProcessQuery {
	Metric: *string,
	FilterBy: *[]*string,
	Limit: *f64,
	SearchBy: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestProcessQuery.property.metric">Metric</a></code> | <code>*string</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestProcessQuery.property.filterBy">FilterBy</a></code> | <code>*[]*string</code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestProcessQuery.property.limit">Limit</a></code> | <code>*f64</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestProcessQuery.property.searchBy">SearchBy</a></code> | <code>*string</code> | Your chosen search term. |

---

##### `Metric`<sup>Required</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestProcessQuery.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `FilterBy`<sup>Optional</sup> <a name="FilterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestProcessQuery.property.filterBy"></a>

```go
FilterBy *[]*string
```

- *Type:* *[]*string

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestProcessQuery.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SearchBy`<sup>Optional</sup> <a name="SearchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestProcessQuery.property.searchBy"></a>

```go
SearchBy *string
```

- *Type:* *string

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetQueryValueDefinitionRequestQuery <a name="DashboardWidgetQueryValueDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryValueDefinitionRequestQuery {
	ApmDependencyStatsQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery,
	ApmResourceStatsQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery,
	EventQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuery,
	MetricQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryMetricQuery,
	ProcessQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQuery.property.apmDependencyStatsQuery">ApmDependencyStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery</a></code> | apm_dependency_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQuery.property.apmResourceStatsQuery">ApmResourceStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery</a></code> | apm_resource_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQuery.property.eventQuery">EventQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuery">DashboardWidgetQueryValueDefinitionRequestQueryEventQuery</a></code> | event_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQuery.property.metricQuery">MetricQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryMetricQuery">DashboardWidgetQueryValueDefinitionRequestQueryMetricQuery</a></code> | metric_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQuery.property.processQuery">ProcessQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery">DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery</a></code> | process_query block. |

---

##### `ApmDependencyStatsQuery`<sup>Optional</sup> <a name="ApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQuery.property.apmDependencyStatsQuery"></a>

```go
ApmDependencyStatsQuery DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery</a>

apm_dependency_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_dependency_stats_query Dashboard#apm_dependency_stats_query}

---

##### `ApmResourceStatsQuery`<sup>Optional</sup> <a name="ApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQuery.property.apmResourceStatsQuery"></a>

```go
ApmResourceStatsQuery DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery</a>

apm_resource_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_resource_stats_query Dashboard#apm_resource_stats_query}

---

##### `EventQuery`<sup>Optional</sup> <a name="EventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQuery.property.eventQuery"></a>

```go
EventQuery DashboardWidgetQueryValueDefinitionRequestQueryEventQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuery">DashboardWidgetQueryValueDefinitionRequestQueryEventQuery</a>

event_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_query Dashboard#event_query}

---

##### `MetricQuery`<sup>Optional</sup> <a name="MetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQuery.property.metricQuery"></a>

```go
MetricQuery DashboardWidgetQueryValueDefinitionRequestQueryMetricQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryMetricQuery">DashboardWidgetQueryValueDefinitionRequestQueryMetricQuery</a>

metric_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric_query Dashboard#metric_query}

---

##### `ProcessQuery`<sup>Optional</sup> <a name="ProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQuery.property.processQuery"></a>

```go
ProcessQuery DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery">DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

### DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery <a name="DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery {
	DataSource: *string,
	Env: *string,
	Name: *string,
	OperationName: *string,
	ResourceName: *string,
	Service: *string,
	Stat: *string,
	IsUpstream: interface{},
	PrimaryTagName: *string,
	PrimaryTagValue: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.env">Env</a></code> | <code>*string</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.name">Name</a></code> | <code>*string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.operationName">OperationName</a></code> | <code>*string</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName">ResourceName</a></code> | <code>*string</code> | APM resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.service">Service</a></code> | <code>*string</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.stat">Stat</a></code> | <code>*string</code> | APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream">IsUpstream</a></code> | <code>interface{}</code> | Determines whether stats for upstream or downstream dependencies should be queried. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName">PrimaryTagName</a></code> | <code>*string</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue">PrimaryTagValue</a></code> | <code>*string</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `Env`<sup>Required</sup> <a name="Env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.env"></a>

```go
Env *string
```

- *Type:* *string

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `OperationName`<sup>Required</sup> <a name="OperationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.operationName"></a>

```go
OperationName *string
```

- *Type:* *string

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `ResourceName`<sup>Required</sup> <a name="ResourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName"></a>

```go
ResourceName *string
```

- *Type:* *string

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

##### `Service`<sup>Required</sup> <a name="Service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.service"></a>

```go
Service *string
```

- *Type:* *string

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `Stat`<sup>Required</sup> <a name="Stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.stat"></a>

```go
Stat *string
```

- *Type:* *string

APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `IsUpstream`<sup>Optional</sup> <a name="IsUpstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream"></a>

```go
IsUpstream interface{}
```

- *Type:* interface{}

Determines whether stats for upstream or downstream dependencies should be queried.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_upstream Dashboard#is_upstream}

---

##### `PrimaryTagName`<sup>Optional</sup> <a name="PrimaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName"></a>

```go
PrimaryTagName *string
```

- *Type:* *string

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `PrimaryTagValue`<sup>Optional</sup> <a name="PrimaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue"></a>

```go
PrimaryTagValue *string
```

- *Type:* *string

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

### DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery <a name="DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery {
	DataSource: *string,
	Env: *string,
	Name: *string,
	Service: *string,
	Stat: *string,
	GroupBy: *[]*string,
	OperationName: *string,
	PrimaryTagName: *string,
	PrimaryTagValue: *string,
	ResourceName: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.env">Env</a></code> | <code>*string</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.name">Name</a></code> | <code>*string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.service">Service</a></code> | <code>*string</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.stat">Stat</a></code> | <code>*string</code> | APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.groupBy">GroupBy</a></code> | <code>*[]*string</code> | Array of fields to group results by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.operationName">OperationName</a></code> | <code>*string</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName">PrimaryTagName</a></code> | <code>*string</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue">PrimaryTagValue</a></code> | <code>*string</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.resourceName">ResourceName</a></code> | <code>*string</code> | APM resource. |

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `Env`<sup>Required</sup> <a name="Env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.env"></a>

```go
Env *string
```

- *Type:* *string

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `Service`<sup>Required</sup> <a name="Service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.service"></a>

```go
Service *string
```

- *Type:* *string

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `Stat`<sup>Required</sup> <a name="Stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.stat"></a>

```go
Stat *string
```

- *Type:* *string

APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.groupBy"></a>

```go
GroupBy *[]*string
```

- *Type:* *[]*string

Array of fields to group results by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `OperationName`<sup>Optional</sup> <a name="OperationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.operationName"></a>

```go
OperationName *string
```

- *Type:* *string

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `PrimaryTagName`<sup>Optional</sup> <a name="PrimaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName"></a>

```go
PrimaryTagName *string
```

- *Type:* *string

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `PrimaryTagValue`<sup>Optional</sup> <a name="PrimaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue"></a>

```go
PrimaryTagValue *string
```

- *Type:* *string

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

##### `ResourceName`<sup>Optional</sup> <a name="ResourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.resourceName"></a>

```go
ResourceName *string
```

- *Type:* *string

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

### DashboardWidgetQueryValueDefinitionRequestQueryEventQuery <a name="DashboardWidgetQueryValueDefinitionRequestQueryEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuery {
	Compute: interface{},
	DataSource: *string,
	Name: *string,
	GroupBy: interface{},
	Indexes: *[]*string,
	Search: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuerySearch,
	Storage: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuery.property.compute">Compute</a></code> | <code>interface{}</code> | compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for event platform-based queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuery.property.name">Name</a></code> | <code>*string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuery.property.indexes">Indexes</a></code> | <code>*[]*string</code> | An array of index names to query in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuery.property.search">Search</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuerySearch">DashboardWidgetQueryValueDefinitionRequestQueryEventQuerySearch</a></code> | search block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuery.property.storage">Storage</a></code> | <code>*string</code> | Storage location (private beta). |

---

##### `Compute`<sup>Required</sup> <a name="Compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuery.property.compute"></a>

```go
Compute interface{}
```

- *Type:* interface{}

compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute Dashboard#compute}

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for event platform-based queries.

Valid values are `logs`, `spans`, `network`, `rum`, `security_signals`, `profiles`, `audit`, `events`, `ci_tests`, `ci_pipelines`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `Indexes`<sup>Optional</sup> <a name="Indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuery.property.indexes"></a>

```go
Indexes *[]*string
```

- *Type:* *[]*string

An array of index names to query in the stream.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `Search`<sup>Optional</sup> <a name="Search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuery.property.search"></a>

```go
Search DashboardWidgetQueryValueDefinitionRequestQueryEventQuerySearch
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuerySearch">DashboardWidgetQueryValueDefinitionRequestQueryEventQuerySearch</a>

search block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search Dashboard#search}

---

##### `Storage`<sup>Optional</sup> <a name="Storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuery.property.storage"></a>

```go
Storage *string
```

- *Type:* *string

Storage location (private beta).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#storage Dashboard#storage}

---

### DashboardWidgetQueryValueDefinitionRequestQueryEventQueryCompute <a name="DashboardWidgetQueryValueDefinitionRequestQueryEventQueryCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryCompute {
	Aggregation: *string,
	Interval: *f64,
	Metric: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation methods for event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryCompute.property.interval">Interval</a></code> | <code>*f64</code> | A time interval in milliseconds. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryCompute.property.metric">Metric</a></code> | <code>*string</code> | The measurable attribute to compute. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation methods for event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

A time interval in milliseconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

##### `Metric`<sup>Optional</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryCompute.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

The measurable attribute to compute.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

### DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy <a name="DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	Sort: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The event facet. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The number of groups to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy.property.sort">Sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort</a></code> | sort block. |

---

##### `Facet`<sup>Required</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The event facet.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The number of groups to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `Sort`<sup>Optional</sup> <a name="Sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy.property.sort"></a>

```go
Sort DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort</a>

sort block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

### DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort <a name="DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort {
	Aggregation: *string,
	Metric: *string,
	Order: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation methods for the event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort.property.metric">Metric</a></code> | <code>*string</code> | The metric used for sorting group by results. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort.property.order">Order</a></code> | <code>*string</code> | Direction of sort. Valid values are `asc`, `desc`. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation methods for the event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Metric`<sup>Optional</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

The metric used for sorting group by results.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `Order`<sup>Optional</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort.property.order"></a>

```go
Order *string
```

- *Type:* *string

Direction of sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetQueryValueDefinitionRequestQueryEventQuerySearch <a name="DashboardWidgetQueryValueDefinitionRequestQueryEventQuerySearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuerySearch"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuerySearch.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuerySearch {
	Query: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuerySearch.property.query">Query</a></code> | <code>*string</code> | The events search string. |

---

##### `Query`<sup>Required</sup> <a name="Query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuerySearch.property.query"></a>

```go
Query *string
```

- *Type:* *string

The events search string.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetQueryValueDefinitionRequestQueryMetricQuery <a name="DashboardWidgetQueryValueDefinitionRequestQueryMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryMetricQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryMetricQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryValueDefinitionRequestQueryMetricQuery {
	Name: *string,
	Query: *string,
	Aggregator: *string,
	DataSource: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryMetricQuery.property.name">Name</a></code> | <code>*string</code> | The name of the query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryMetricQuery.property.query">Query</a></code> | <code>*string</code> | The metrics query definition. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryMetricQuery.property.aggregator">Aggregator</a></code> | <code>*string</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryMetricQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for metrics queries. |

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryMetricQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of the query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `Query`<sup>Required</sup> <a name="Query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryMetricQuery.property.query"></a>

```go
Query *string
```

- *Type:* *string

The metrics query definition.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `Aggregator`<sup>Optional</sup> <a name="Aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryMetricQuery.property.aggregator"></a>

```go
Aggregator *string
```

- *Type:* *string

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `DataSource`<sup>Optional</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryMetricQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for metrics queries.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

### DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery <a name="DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery {
	DataSource: *string,
	Metric: *string,
	Name: *string,
	Aggregator: *string,
	IsNormalizedCpu: interface{},
	Limit: *f64,
	Sort: *string,
	TagFilters: *[]*string,
	TextFilter: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for process queries. Valid values are `process`, `container`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery.property.metric">Metric</a></code> | <code>*string</code> | The process metric name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery.property.name">Name</a></code> | <code>*string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery.property.aggregator">Aggregator</a></code> | <code>*string</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery.property.isNormalizedCpu">IsNormalizedCpu</a></code> | <code>interface{}</code> | Whether to normalize the CPU percentages. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery.property.limit">Limit</a></code> | <code>*f64</code> | The number of hits to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery.property.sort">Sort</a></code> | <code>*string</code> | The direction of the sort. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery.property.tagFilters">TagFilters</a></code> | <code>*[]*string</code> | An array of tags to filter by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery.property.textFilter">TextFilter</a></code> | <code>*string</code> | The text to use as a filter. |

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for process queries. Valid values are `process`, `container`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `Metric`<sup>Required</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

The process metric name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `Aggregator`<sup>Optional</sup> <a name="Aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery.property.aggregator"></a>

```go
Aggregator *string
```

- *Type:* *string

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `IsNormalizedCpu`<sup>Optional</sup> <a name="IsNormalizedCpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery.property.isNormalizedCpu"></a>

```go
IsNormalizedCpu interface{}
```

- *Type:* interface{}

Whether to normalize the CPU percentages.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_normalized_cpu Dashboard#is_normalized_cpu}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The number of hits to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `Sort`<sup>Optional</sup> <a name="Sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery.property.sort"></a>

```go
Sort *string
```

- *Type:* *string

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `TagFilters`<sup>Optional</sup> <a name="TagFilters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery.property.tagFilters"></a>

```go
TagFilters *[]*string
```

- *Type:* *[]*string

An array of tags to filter by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tag_filters Dashboard#tag_filters}

---

##### `TextFilter`<sup>Optional</sup> <a name="TextFilter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery.property.textFilter"></a>

```go
TextFilter *string
```

- *Type:* *string

The text to use as a filter.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_filter Dashboard#text_filter}

---

### DashboardWidgetQueryValueDefinitionRequestRumQuery <a name="DashboardWidgetQueryValueDefinitionRequestRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryValueDefinitionRequestRumQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryComputeQuery">DashboardWidgetQueryValueDefinitionRequestRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetQueryValueDefinitionRequestRumQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryComputeQuery">DashboardWidgetQueryValueDefinitionRequestRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetQueryValueDefinitionRequestRumQueryComputeQuery <a name="DashboardWidgetQueryValueDefinitionRequestRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBy <a name="DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery <a name="DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetQueryValueDefinitionRequestRumQueryMultiCompute <a name="DashboardWidgetQueryValueDefinitionRequestRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetQueryValueDefinitionRequestSecurityQuery <a name="DashboardWidgetQueryValueDefinitionRequestSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery <a name="DashboardWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBy <a name="DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery <a name="DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute <a name="DashboardWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetQueryValueDefinitionTimeseriesBackground <a name="DashboardWidgetQueryValueDefinitionTimeseriesBackground" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackground"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackground.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackground {
	Type: *string,
	Yaxis: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackgroundYaxis,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackground.property.type">Type</a></code> | <code>*string</code> | Whether the Timeseries is made using an area or bars. Valid values are `bars`, `area`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackground.property.yaxis">Yaxis</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackgroundYaxis">DashboardWidgetQueryValueDefinitionTimeseriesBackgroundYaxis</a></code> | yaxis block. |

---

##### `Type`<sup>Required</sup> <a name="Type" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackground.property.type"></a>

```go
Type *string
```

- *Type:* *string

Whether the Timeseries is made using an area or bars. Valid values are `bars`, `area`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#type Dashboard#type}

---

##### `Yaxis`<sup>Optional</sup> <a name="Yaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackground.property.yaxis"></a>

```go
Yaxis DashboardWidgetQueryValueDefinitionTimeseriesBackgroundYaxis
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackgroundYaxis">DashboardWidgetQueryValueDefinitionTimeseriesBackgroundYaxis</a>

yaxis block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#yaxis Dashboard#yaxis}

---

### DashboardWidgetQueryValueDefinitionTimeseriesBackgroundYaxis <a name="DashboardWidgetQueryValueDefinitionTimeseriesBackgroundYaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackgroundYaxis"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackgroundYaxis {
	IncludeZero: interface{},
	Label: *string,
	Max: *string,
	Min: *string,
	Scale: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.property.includeZero">IncludeZero</a></code> | <code>interface{}</code> | Always include zero or fit the axis to the data range. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.property.label">Label</a></code> | <code>*string</code> | The label of the axis to display on the graph. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.property.max">Max</a></code> | <code>*string</code> | Specify the maximum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.property.min">Min</a></code> | <code>*string</code> | Specify the minimum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.property.scale">Scale</a></code> | <code>*string</code> | Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`. |

---

##### `IncludeZero`<sup>Optional</sup> <a name="IncludeZero" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.property.includeZero"></a>

```go
IncludeZero interface{}
```

- *Type:* interface{}

Always include zero or fit the axis to the data range.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#include_zero Dashboard#include_zero}

---

##### `Label`<sup>Optional</sup> <a name="Label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.property.label"></a>

```go
Label *string
```

- *Type:* *string

The label of the axis to display on the graph.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `Max`<sup>Optional</sup> <a name="Max" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.property.max"></a>

```go
Max *string
```

- *Type:* *string

Specify the maximum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#max Dashboard#max}

---

##### `Min`<sup>Optional</sup> <a name="Min" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.property.min"></a>

```go
Min *string
```

- *Type:* *string

Specify the minimum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#min Dashboard#min}

---

##### `Scale`<sup>Optional</sup> <a name="Scale" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.property.scale"></a>

```go
Scale *string
```

- *Type:* *string

Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#scale Dashboard#scale}

---

### DashboardWidgetRunWorkflowDefinition <a name="DashboardWidgetRunWorkflowDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinition.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetRunWorkflowDefinition {
	WorkflowId: *string,
	CustomLink: interface{},
	Input: interface{},
	LiveSpan: *string,
	Title: *string,
	TitleAlign: *string,
	TitleSize: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinition.property.workflowId">WorkflowId</a></code> | <code>*string</code> | Workflow ID. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinition.property.customLink">CustomLink</a></code> | <code>interface{}</code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinition.property.input">Input</a></code> | <code>interface{}</code> | input block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinition.property.liveSpan">LiveSpan</a></code> | <code>*string</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinition.property.title">Title</a></code> | <code>*string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinition.property.titleAlign">TitleAlign</a></code> | <code>*string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinition.property.titleSize">TitleSize</a></code> | <code>*string</code> | The size of the widget's title (defaults to 16). |

---

##### `WorkflowId`<sup>Required</sup> <a name="WorkflowId" id="@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinition.property.workflowId"></a>

```go
WorkflowId *string
```

- *Type:* *string

Workflow ID.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#workflow_id Dashboard#workflow_id}

---

##### `CustomLink`<sup>Optional</sup> <a name="CustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinition.property.customLink"></a>

```go
CustomLink interface{}
```

- *Type:* interface{}

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `Input`<sup>Optional</sup> <a name="Input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinition.property.input"></a>

```go
Input interface{}
```

- *Type:* interface{}

input block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#input Dashboard#input}

---

##### `LiveSpan`<sup>Optional</sup> <a name="LiveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinition.property.liveSpan"></a>

```go
LiveSpan *string
```

- *Type:* *string

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `Title`<sup>Optional</sup> <a name="Title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinition.property.title"></a>

```go
Title *string
```

- *Type:* *string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `TitleAlign`<sup>Optional</sup> <a name="TitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinition.property.titleAlign"></a>

```go
TitleAlign *string
```

- *Type:* *string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `TitleSize`<sup>Optional</sup> <a name="TitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinition.property.titleSize"></a>

```go
TitleSize *string
```

- *Type:* *string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetRunWorkflowDefinitionCustomLink <a name="DashboardWidgetRunWorkflowDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinitionCustomLink.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetRunWorkflowDefinitionCustomLink {
	IsHidden: interface{},
	Label: *string,
	Link: *string,
	OverrideLabel: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinitionCustomLink.property.isHidden">IsHidden</a></code> | <code>interface{}</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinitionCustomLink.property.label">Label</a></code> | <code>*string</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinitionCustomLink.property.link">Link</a></code> | <code>*string</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinitionCustomLink.property.overrideLabel">OverrideLabel</a></code> | <code>*string</code> | The label ID that refers to a context menu link item. |

---

##### `IsHidden`<sup>Optional</sup> <a name="IsHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinitionCustomLink.property.isHidden"></a>

```go
IsHidden interface{}
```

- *Type:* interface{}

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `Label`<sup>Optional</sup> <a name="Label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinitionCustomLink.property.label"></a>

```go
Label *string
```

- *Type:* *string

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `Link`<sup>Optional</sup> <a name="Link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinitionCustomLink.property.link"></a>

```go
Link *string
```

- *Type:* *string

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `OverrideLabel`<sup>Optional</sup> <a name="OverrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinitionCustomLink.property.overrideLabel"></a>

```go
OverrideLabel *string
```

- *Type:* *string

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetRunWorkflowDefinitionInput <a name="DashboardWidgetRunWorkflowDefinitionInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinitionInput"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinitionInput.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetRunWorkflowDefinitionInput {
	Name: *string,
	Value: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinitionInput.property.name">Name</a></code> | <code>*string</code> | Name of the workflow input. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinitionInput.property.value">Value</a></code> | <code>*string</code> | Dashboard template variable. Can be suffixed with `.value` or `.key`. |

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinitionInput.property.name"></a>

```go
Name *string
```

- *Type:* *string

Name of the workflow input.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `Value`<sup>Required</sup> <a name="Value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinitionInput.property.value"></a>

```go
Value *string
```

- *Type:* *string

Dashboard template variable. Can be suffixed with `.value` or `.key`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

### DashboardWidgetScatterplotDefinition <a name="DashboardWidgetScatterplotDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetScatterplotDefinition {
	ColorByGroups: *[]*string,
	CustomLink: interface{},
	LiveSpan: *string,
	Request: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetScatterplotDefinitionRequest,
	Title: *string,
	TitleAlign: *string,
	TitleSize: *string,
	Xaxis: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetScatterplotDefinitionXaxis,
	Yaxis: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetScatterplotDefinitionYaxis,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition.property.colorByGroups">ColorByGroups</a></code> | <code>*[]*string</code> | List of groups used for colors. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition.property.customLink">CustomLink</a></code> | <code>interface{}</code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition.property.liveSpan">LiveSpan</a></code> | <code>*string</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition.property.request">Request</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequest">DashboardWidgetScatterplotDefinitionRequest</a></code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition.property.title">Title</a></code> | <code>*string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition.property.titleAlign">TitleAlign</a></code> | <code>*string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition.property.titleSize">TitleSize</a></code> | <code>*string</code> | The size of the widget's title (defaults to 16). |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition.property.xaxis">Xaxis</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionXaxis">DashboardWidgetScatterplotDefinitionXaxis</a></code> | xaxis block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition.property.yaxis">Yaxis</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionYaxis">DashboardWidgetScatterplotDefinitionYaxis</a></code> | yaxis block. |

---

##### `ColorByGroups`<sup>Optional</sup> <a name="ColorByGroups" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition.property.colorByGroups"></a>

```go
ColorByGroups *[]*string
```

- *Type:* *[]*string

List of groups used for colors.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#color_by_groups Dashboard#color_by_groups}

---

##### `CustomLink`<sup>Optional</sup> <a name="CustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition.property.customLink"></a>

```go
CustomLink interface{}
```

- *Type:* interface{}

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `LiveSpan`<sup>Optional</sup> <a name="LiveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition.property.liveSpan"></a>

```go
LiveSpan *string
```

- *Type:* *string

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `Request`<sup>Optional</sup> <a name="Request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition.property.request"></a>

```go
Request DashboardWidgetScatterplotDefinitionRequest
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequest">DashboardWidgetScatterplotDefinitionRequest</a>

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `Title`<sup>Optional</sup> <a name="Title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition.property.title"></a>

```go
Title *string
```

- *Type:* *string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `TitleAlign`<sup>Optional</sup> <a name="TitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition.property.titleAlign"></a>

```go
TitleAlign *string
```

- *Type:* *string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `TitleSize`<sup>Optional</sup> <a name="TitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition.property.titleSize"></a>

```go
TitleSize *string
```

- *Type:* *string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

##### `Xaxis`<sup>Optional</sup> <a name="Xaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition.property.xaxis"></a>

```go
Xaxis DashboardWidgetScatterplotDefinitionXaxis
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionXaxis">DashboardWidgetScatterplotDefinitionXaxis</a>

xaxis block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#xaxis Dashboard#xaxis}

---

##### `Yaxis`<sup>Optional</sup> <a name="Yaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition.property.yaxis"></a>

```go
Yaxis DashboardWidgetScatterplotDefinitionYaxis
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionYaxis">DashboardWidgetScatterplotDefinitionYaxis</a>

yaxis block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#yaxis Dashboard#yaxis}

---

### DashboardWidgetScatterplotDefinitionCustomLink <a name="DashboardWidgetScatterplotDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionCustomLink.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetScatterplotDefinitionCustomLink {
	IsHidden: interface{},
	Label: *string,
	Link: *string,
	OverrideLabel: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionCustomLink.property.isHidden">IsHidden</a></code> | <code>interface{}</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionCustomLink.property.label">Label</a></code> | <code>*string</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionCustomLink.property.link">Link</a></code> | <code>*string</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionCustomLink.property.overrideLabel">OverrideLabel</a></code> | <code>*string</code> | The label ID that refers to a context menu link item. |

---

##### `IsHidden`<sup>Optional</sup> <a name="IsHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionCustomLink.property.isHidden"></a>

```go
IsHidden interface{}
```

- *Type:* interface{}

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `Label`<sup>Optional</sup> <a name="Label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionCustomLink.property.label"></a>

```go
Label *string
```

- *Type:* *string

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `Link`<sup>Optional</sup> <a name="Link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionCustomLink.property.link"></a>

```go
Link *string
```

- *Type:* *string

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `OverrideLabel`<sup>Optional</sup> <a name="OverrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionCustomLink.property.overrideLabel"></a>

```go
OverrideLabel *string
```

- *Type:* *string

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetScatterplotDefinitionRequest <a name="DashboardWidgetScatterplotDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequest.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetScatterplotDefinitionRequest {
	ScatterplotTable: interface{},
	X: interface{},
	Y: interface{},
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequest.property.scatterplotTable">ScatterplotTable</a></code> | <code>interface{}</code> | scatterplot_table block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequest.property.x">X</a></code> | <code>interface{}</code> | x block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequest.property.y">Y</a></code> | <code>interface{}</code> | y block. |

---

##### `ScatterplotTable`<sup>Optional</sup> <a name="ScatterplotTable" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequest.property.scatterplotTable"></a>

```go
ScatterplotTable interface{}
```

- *Type:* interface{}

scatterplot_table block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#scatterplot_table Dashboard#scatterplot_table}

---

##### `X`<sup>Optional</sup> <a name="X" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequest.property.x"></a>

```go
X interface{}
```

- *Type:* interface{}

x block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#x Dashboard#x}

---

##### `Y`<sup>Optional</sup> <a name="Y" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequest.property.y"></a>

```go
Y interface{}
```

- *Type:* interface{}

y block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#y Dashboard#y}

---

### DashboardWidgetScatterplotDefinitionRequestScatterplotTable <a name="DashboardWidgetScatterplotDefinitionRequestScatterplotTable" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTable"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTable.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTable {
	Formula: interface{},
	Query: interface{},
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTable.property.formula">Formula</a></code> | <code>interface{}</code> | formula block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTable.property.query">Query</a></code> | <code>interface{}</code> | query block. |

---

##### `Formula`<sup>Optional</sup> <a name="Formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTable.property.formula"></a>

```go
Formula interface{}
```

- *Type:* interface{}

formula block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula Dashboard#formula}

---

##### `Query`<sup>Optional</sup> <a name="Query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTable.property.query"></a>

```go
Query interface{}
```

- *Type:* interface{}

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetScatterplotDefinitionRequestScatterplotTableFormula <a name="DashboardWidgetScatterplotDefinitionRequestScatterplotTableFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableFormula"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableFormula.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableFormula {
	Dimension: *string,
	FormulaExpression: *string,
	Alias: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableFormula.property.dimension">Dimension</a></code> | <code>*string</code> | Dimension of the Scatterplot. Valid values are `x`, `y`, `radius`, `color`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableFormula.property.formulaExpression">FormulaExpression</a></code> | <code>*string</code> | A string expression built from queries, formulas, and functions. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableFormula.property.alias">Alias</a></code> | <code>*string</code> | An expression alias. |

---

##### `Dimension`<sup>Required</sup> <a name="Dimension" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableFormula.property.dimension"></a>

```go
Dimension *string
```

- *Type:* *string

Dimension of the Scatterplot. Valid values are `x`, `y`, `radius`, `color`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#dimension Dashboard#dimension}

---

##### `FormulaExpression`<sup>Required</sup> <a name="FormulaExpression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableFormula.property.formulaExpression"></a>

```go
FormulaExpression *string
```

- *Type:* *string

A string expression built from queries, formulas, and functions.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula_expression Dashboard#formula_expression}

---

##### `Alias`<sup>Optional</sup> <a name="Alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableFormula.property.alias"></a>

```go
Alias *string
```

- *Type:* *string

An expression alias.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

### DashboardWidgetScatterplotDefinitionRequestScatterplotTableQuery <a name="DashboardWidgetScatterplotDefinitionRequestScatterplotTableQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQuery {
	ApmDependencyStatsQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery,
	ApmResourceStatsQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery,
	EventQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery,
	MetricQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery,
	ProcessQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQuery.property.apmDependencyStatsQuery">ApmDependencyStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery">DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery</a></code> | apm_dependency_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQuery.property.apmResourceStatsQuery">ApmResourceStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery">DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery</a></code> | apm_resource_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQuery.property.eventQuery">EventQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery">DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery</a></code> | event_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQuery.property.metricQuery">MetricQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery">DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery</a></code> | metric_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQuery.property.processQuery">ProcessQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery">DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery</a></code> | process_query block. |

---

##### `ApmDependencyStatsQuery`<sup>Optional</sup> <a name="ApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQuery.property.apmDependencyStatsQuery"></a>

```go
ApmDependencyStatsQuery DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery">DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery</a>

apm_dependency_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_dependency_stats_query Dashboard#apm_dependency_stats_query}

---

##### `ApmResourceStatsQuery`<sup>Optional</sup> <a name="ApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQuery.property.apmResourceStatsQuery"></a>

```go
ApmResourceStatsQuery DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery">DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery</a>

apm_resource_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_resource_stats_query Dashboard#apm_resource_stats_query}

---

##### `EventQuery`<sup>Optional</sup> <a name="EventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQuery.property.eventQuery"></a>

```go
EventQuery DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery">DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery</a>

event_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_query Dashboard#event_query}

---

##### `MetricQuery`<sup>Optional</sup> <a name="MetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQuery.property.metricQuery"></a>

```go
MetricQuery DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery">DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery</a>

metric_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric_query Dashboard#metric_query}

---

##### `ProcessQuery`<sup>Optional</sup> <a name="ProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQuery.property.processQuery"></a>

```go
ProcessQuery DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery">DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

### DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery <a name="DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery {
	DataSource: *string,
	Env: *string,
	Name: *string,
	OperationName: *string,
	ResourceName: *string,
	Service: *string,
	Stat: *string,
	IsUpstream: interface{},
	PrimaryTagName: *string,
	PrimaryTagValue: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.env">Env</a></code> | <code>*string</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.name">Name</a></code> | <code>*string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.operationName">OperationName</a></code> | <code>*string</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.resourceName">ResourceName</a></code> | <code>*string</code> | APM resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.service">Service</a></code> | <code>*string</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.stat">Stat</a></code> | <code>*string</code> | APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.isUpstream">IsUpstream</a></code> | <code>interface{}</code> | Determines whether stats for upstream or downstream dependencies should be queried. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.primaryTagName">PrimaryTagName</a></code> | <code>*string</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.primaryTagValue">PrimaryTagValue</a></code> | <code>*string</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `Env`<sup>Required</sup> <a name="Env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.env"></a>

```go
Env *string
```

- *Type:* *string

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `OperationName`<sup>Required</sup> <a name="OperationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.operationName"></a>

```go
OperationName *string
```

- *Type:* *string

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `ResourceName`<sup>Required</sup> <a name="ResourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.resourceName"></a>

```go
ResourceName *string
```

- *Type:* *string

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

##### `Service`<sup>Required</sup> <a name="Service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.service"></a>

```go
Service *string
```

- *Type:* *string

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `Stat`<sup>Required</sup> <a name="Stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.stat"></a>

```go
Stat *string
```

- *Type:* *string

APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `IsUpstream`<sup>Optional</sup> <a name="IsUpstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.isUpstream"></a>

```go
IsUpstream interface{}
```

- *Type:* interface{}

Determines whether stats for upstream or downstream dependencies should be queried.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_upstream Dashboard#is_upstream}

---

##### `PrimaryTagName`<sup>Optional</sup> <a name="PrimaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.primaryTagName"></a>

```go
PrimaryTagName *string
```

- *Type:* *string

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `PrimaryTagValue`<sup>Optional</sup> <a name="PrimaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.primaryTagValue"></a>

```go
PrimaryTagValue *string
```

- *Type:* *string

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

### DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery <a name="DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery {
	DataSource: *string,
	Env: *string,
	Name: *string,
	Service: *string,
	Stat: *string,
	GroupBy: *[]*string,
	OperationName: *string,
	PrimaryTagName: *string,
	PrimaryTagValue: *string,
	ResourceName: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.env">Env</a></code> | <code>*string</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.name">Name</a></code> | <code>*string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.service">Service</a></code> | <code>*string</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.stat">Stat</a></code> | <code>*string</code> | APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.groupBy">GroupBy</a></code> | <code>*[]*string</code> | Array of fields to group results by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.operationName">OperationName</a></code> | <code>*string</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.primaryTagName">PrimaryTagName</a></code> | <code>*string</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.primaryTagValue">PrimaryTagValue</a></code> | <code>*string</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.resourceName">ResourceName</a></code> | <code>*string</code> | APM resource. |

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `Env`<sup>Required</sup> <a name="Env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.env"></a>

```go
Env *string
```

- *Type:* *string

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `Service`<sup>Required</sup> <a name="Service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.service"></a>

```go
Service *string
```

- *Type:* *string

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `Stat`<sup>Required</sup> <a name="Stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.stat"></a>

```go
Stat *string
```

- *Type:* *string

APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.groupBy"></a>

```go
GroupBy *[]*string
```

- *Type:* *[]*string

Array of fields to group results by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `OperationName`<sup>Optional</sup> <a name="OperationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.operationName"></a>

```go
OperationName *string
```

- *Type:* *string

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `PrimaryTagName`<sup>Optional</sup> <a name="PrimaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.primaryTagName"></a>

```go
PrimaryTagName *string
```

- *Type:* *string

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `PrimaryTagValue`<sup>Optional</sup> <a name="PrimaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.primaryTagValue"></a>

```go
PrimaryTagValue *string
```

- *Type:* *string

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

##### `ResourceName`<sup>Optional</sup> <a name="ResourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.resourceName"></a>

```go
ResourceName *string
```

- *Type:* *string

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

### DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery <a name="DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery {
	Compute: interface{},
	DataSource: *string,
	Name: *string,
	GroupBy: interface{},
	Indexes: *[]*string,
	Search: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch,
	Storage: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.compute">Compute</a></code> | <code>interface{}</code> | compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for event platform-based queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.name">Name</a></code> | <code>*string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.indexes">Indexes</a></code> | <code>*[]*string</code> | An array of index names to query in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.search">Search</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch">DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch</a></code> | search block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.storage">Storage</a></code> | <code>*string</code> | Storage location (private beta). |

---

##### `Compute`<sup>Required</sup> <a name="Compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.compute"></a>

```go
Compute interface{}
```

- *Type:* interface{}

compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute Dashboard#compute}

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for event platform-based queries.

Valid values are `logs`, `spans`, `network`, `rum`, `security_signals`, `profiles`, `audit`, `events`, `ci_tests`, `ci_pipelines`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `Indexes`<sup>Optional</sup> <a name="Indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.indexes"></a>

```go
Indexes *[]*string
```

- *Type:* *[]*string

An array of index names to query in the stream.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `Search`<sup>Optional</sup> <a name="Search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.search"></a>

```go
Search DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch">DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch</a>

search block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search Dashboard#search}

---

##### `Storage`<sup>Optional</sup> <a name="Storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.storage"></a>

```go
Storage *string
```

- *Type:* *string

Storage location (private beta).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#storage Dashboard#storage}

---

### DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute <a name="DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute {
	Aggregation: *string,
	Interval: *f64,
	Metric: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation methods for event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute.property.interval">Interval</a></code> | <code>*f64</code> | A time interval in milliseconds. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute.property.metric">Metric</a></code> | <code>*string</code> | The measurable attribute to compute. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation methods for event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

A time interval in milliseconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

##### `Metric`<sup>Optional</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

The measurable attribute to compute.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

### DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy <a name="DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	Sort: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The event facet. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The number of groups to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy.property.sort">Sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort">DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort</a></code> | sort block. |

---

##### `Facet`<sup>Required</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The event facet.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The number of groups to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `Sort`<sup>Optional</sup> <a name="Sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy.property.sort"></a>

```go
Sort DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort">DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort</a>

sort block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

### DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort <a name="DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort {
	Aggregation: *string,
	Metric: *string,
	Order: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation methods for the event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort.property.metric">Metric</a></code> | <code>*string</code> | The metric used for sorting group by results. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort.property.order">Order</a></code> | <code>*string</code> | Direction of sort. Valid values are `asc`, `desc`. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation methods for the event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Metric`<sup>Optional</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

The metric used for sorting group by results.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `Order`<sup>Optional</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort.property.order"></a>

```go
Order *string
```

- *Type:* *string

Direction of sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch <a name="DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch {
	Query: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch.property.query">Query</a></code> | <code>*string</code> | The events search string. |

---

##### `Query`<sup>Required</sup> <a name="Query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch.property.query"></a>

```go
Query *string
```

- *Type:* *string

The events search string.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery <a name="DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery {
	Name: *string,
	Query: *string,
	Aggregator: *string,
	DataSource: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery.property.name">Name</a></code> | <code>*string</code> | The name of the query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery.property.query">Query</a></code> | <code>*string</code> | The metrics query definition. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery.property.aggregator">Aggregator</a></code> | <code>*string</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for metrics queries. |

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of the query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `Query`<sup>Required</sup> <a name="Query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery.property.query"></a>

```go
Query *string
```

- *Type:* *string

The metrics query definition.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `Aggregator`<sup>Optional</sup> <a name="Aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery.property.aggregator"></a>

```go
Aggregator *string
```

- *Type:* *string

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `DataSource`<sup>Optional</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for metrics queries.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

### DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery <a name="DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery {
	DataSource: *string,
	Metric: *string,
	Name: *string,
	Aggregator: *string,
	IsNormalizedCpu: interface{},
	Limit: *f64,
	Sort: *string,
	TagFilters: *[]*string,
	TextFilter: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for process queries. Valid values are `process`, `container`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.metric">Metric</a></code> | <code>*string</code> | The process metric name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.name">Name</a></code> | <code>*string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.aggregator">Aggregator</a></code> | <code>*string</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.isNormalizedCpu">IsNormalizedCpu</a></code> | <code>interface{}</code> | Whether to normalize the CPU percentages. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.limit">Limit</a></code> | <code>*f64</code> | The number of hits to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.sort">Sort</a></code> | <code>*string</code> | The direction of the sort. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.tagFilters">TagFilters</a></code> | <code>*[]*string</code> | An array of tags to filter by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.textFilter">TextFilter</a></code> | <code>*string</code> | The text to use as a filter. |

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for process queries. Valid values are `process`, `container`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `Metric`<sup>Required</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

The process metric name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `Aggregator`<sup>Optional</sup> <a name="Aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.aggregator"></a>

```go
Aggregator *string
```

- *Type:* *string

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `IsNormalizedCpu`<sup>Optional</sup> <a name="IsNormalizedCpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.isNormalizedCpu"></a>

```go
IsNormalizedCpu interface{}
```

- *Type:* interface{}

Whether to normalize the CPU percentages.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_normalized_cpu Dashboard#is_normalized_cpu}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The number of hits to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `Sort`<sup>Optional</sup> <a name="Sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.sort"></a>

```go
Sort *string
```

- *Type:* *string

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `TagFilters`<sup>Optional</sup> <a name="TagFilters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.tagFilters"></a>

```go
TagFilters *[]*string
```

- *Type:* *[]*string

An array of tags to filter by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tag_filters Dashboard#tag_filters}

---

##### `TextFilter`<sup>Optional</sup> <a name="TextFilter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.textFilter"></a>

```go
TextFilter *string
```

- *Type:* *string

The text to use as a filter.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_filter Dashboard#text_filter}

---

### DashboardWidgetScatterplotDefinitionRequestX <a name="DashboardWidgetScatterplotDefinitionRequestX" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestX"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestX.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetScatterplotDefinitionRequestX {
	Aggregator: *string,
	ApmQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQuery,
	LogQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQuery,
	ProcessQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetScatterplotDefinitionRequestXProcessQuery,
	Q: *string,
	RumQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQuery,
	SecurityQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestX.property.aggregator">Aggregator</a></code> | <code>*string</code> | Aggregator used for the request. Valid values are `avg`, `last`, `max`, `min`, `sum`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestX.property.apmQuery">ApmQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQuery">DashboardWidgetScatterplotDefinitionRequestXApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestX.property.logQuery">LogQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQuery">DashboardWidgetScatterplotDefinitionRequestXLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestX.property.processQuery">ProcessQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXProcessQuery">DashboardWidgetScatterplotDefinitionRequestXProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestX.property.q">Q</a></code> | <code>*string</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestX.property.rumQuery">RumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQuery">DashboardWidgetScatterplotDefinitionRequestXRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestX.property.securityQuery">SecurityQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQuery">DashboardWidgetScatterplotDefinitionRequestXSecurityQuery</a></code> | security_query block. |

---

##### `Aggregator`<sup>Optional</sup> <a name="Aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestX.property.aggregator"></a>

```go
Aggregator *string
```

- *Type:* *string

Aggregator used for the request. Valid values are `avg`, `last`, `max`, `min`, `sum`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `ApmQuery`<sup>Optional</sup> <a name="ApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestX.property.apmQuery"></a>

```go
ApmQuery DashboardWidgetScatterplotDefinitionRequestXApmQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQuery">DashboardWidgetScatterplotDefinitionRequestXApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `LogQuery`<sup>Optional</sup> <a name="LogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestX.property.logQuery"></a>

```go
LogQuery DashboardWidgetScatterplotDefinitionRequestXLogQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQuery">DashboardWidgetScatterplotDefinitionRequestXLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `ProcessQuery`<sup>Optional</sup> <a name="ProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestX.property.processQuery"></a>

```go
ProcessQuery DashboardWidgetScatterplotDefinitionRequestXProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXProcessQuery">DashboardWidgetScatterplotDefinitionRequestXProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `Q`<sup>Optional</sup> <a name="Q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestX.property.q"></a>

```go
Q *string
```

- *Type:* *string

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `RumQuery`<sup>Optional</sup> <a name="RumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestX.property.rumQuery"></a>

```go
RumQuery DashboardWidgetScatterplotDefinitionRequestXRumQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQuery">DashboardWidgetScatterplotDefinitionRequestXRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `SecurityQuery`<sup>Optional</sup> <a name="SecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestX.property.securityQuery"></a>

```go
SecurityQuery DashboardWidgetScatterplotDefinitionRequestXSecurityQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQuery">DashboardWidgetScatterplotDefinitionRequestXSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

### DashboardWidgetScatterplotDefinitionRequestXApmQuery <a name="DashboardWidgetScatterplotDefinitionRequestXApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryComputeQuery">DashboardWidgetScatterplotDefinitionRequestXApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetScatterplotDefinitionRequestXApmQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryComputeQuery">DashboardWidgetScatterplotDefinitionRequestXApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetScatterplotDefinitionRequestXApmQueryComputeQuery <a name="DashboardWidgetScatterplotDefinitionRequestXApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBy <a name="DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery">DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery">DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery <a name="DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetScatterplotDefinitionRequestXApmQueryMultiCompute <a name="DashboardWidgetScatterplotDefinitionRequestXApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetScatterplotDefinitionRequestXLogQuery <a name="DashboardWidgetScatterplotDefinitionRequestXLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryComputeQuery">DashboardWidgetScatterplotDefinitionRequestXLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetScatterplotDefinitionRequestXLogQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryComputeQuery">DashboardWidgetScatterplotDefinitionRequestXLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetScatterplotDefinitionRequestXLogQueryComputeQuery <a name="DashboardWidgetScatterplotDefinitionRequestXLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBy <a name="DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery">DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery">DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery <a name="DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetScatterplotDefinitionRequestXLogQueryMultiCompute <a name="DashboardWidgetScatterplotDefinitionRequestXLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetScatterplotDefinitionRequestXProcessQuery <a name="DashboardWidgetScatterplotDefinitionRequestXProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXProcessQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetScatterplotDefinitionRequestXProcessQuery {
	Metric: *string,
	FilterBy: *[]*string,
	Limit: *f64,
	SearchBy: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXProcessQuery.property.metric">Metric</a></code> | <code>*string</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXProcessQuery.property.filterBy">FilterBy</a></code> | <code>*[]*string</code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXProcessQuery.property.limit">Limit</a></code> | <code>*f64</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXProcessQuery.property.searchBy">SearchBy</a></code> | <code>*string</code> | Your chosen search term. |

---

##### `Metric`<sup>Required</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXProcessQuery.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `FilterBy`<sup>Optional</sup> <a name="FilterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXProcessQuery.property.filterBy"></a>

```go
FilterBy *[]*string
```

- *Type:* *[]*string

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXProcessQuery.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SearchBy`<sup>Optional</sup> <a name="SearchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXProcessQuery.property.searchBy"></a>

```go
SearchBy *string
```

- *Type:* *string

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetScatterplotDefinitionRequestXRumQuery <a name="DashboardWidgetScatterplotDefinitionRequestXRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryComputeQuery">DashboardWidgetScatterplotDefinitionRequestXRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetScatterplotDefinitionRequestXRumQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryComputeQuery">DashboardWidgetScatterplotDefinitionRequestXRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetScatterplotDefinitionRequestXRumQueryComputeQuery <a name="DashboardWidgetScatterplotDefinitionRequestXRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBy <a name="DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery">DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery">DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery <a name="DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetScatterplotDefinitionRequestXRumQueryMultiCompute <a name="DashboardWidgetScatterplotDefinitionRequestXRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetScatterplotDefinitionRequestXSecurityQuery <a name="DashboardWidgetScatterplotDefinitionRequestXSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery">DashboardWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery">DashboardWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery <a name="DashboardWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy <a name="DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery">DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery">DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery <a name="DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute <a name="DashboardWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetScatterplotDefinitionRequestY <a name="DashboardWidgetScatterplotDefinitionRequestY" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestY"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestY.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetScatterplotDefinitionRequestY {
	Aggregator: *string,
	ApmQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQuery,
	LogQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQuery,
	ProcessQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetScatterplotDefinitionRequestYProcessQuery,
	Q: *string,
	RumQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQuery,
	SecurityQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestY.property.aggregator">Aggregator</a></code> | <code>*string</code> | Aggregator used for the request. Valid values are `avg`, `last`, `max`, `min`, `sum`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestY.property.apmQuery">ApmQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQuery">DashboardWidgetScatterplotDefinitionRequestYApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestY.property.logQuery">LogQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQuery">DashboardWidgetScatterplotDefinitionRequestYLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestY.property.processQuery">ProcessQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYProcessQuery">DashboardWidgetScatterplotDefinitionRequestYProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestY.property.q">Q</a></code> | <code>*string</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestY.property.rumQuery">RumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQuery">DashboardWidgetScatterplotDefinitionRequestYRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestY.property.securityQuery">SecurityQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQuery">DashboardWidgetScatterplotDefinitionRequestYSecurityQuery</a></code> | security_query block. |

---

##### `Aggregator`<sup>Optional</sup> <a name="Aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestY.property.aggregator"></a>

```go
Aggregator *string
```

- *Type:* *string

Aggregator used for the request. Valid values are `avg`, `last`, `max`, `min`, `sum`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `ApmQuery`<sup>Optional</sup> <a name="ApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestY.property.apmQuery"></a>

```go
ApmQuery DashboardWidgetScatterplotDefinitionRequestYApmQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQuery">DashboardWidgetScatterplotDefinitionRequestYApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `LogQuery`<sup>Optional</sup> <a name="LogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestY.property.logQuery"></a>

```go
LogQuery DashboardWidgetScatterplotDefinitionRequestYLogQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQuery">DashboardWidgetScatterplotDefinitionRequestYLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `ProcessQuery`<sup>Optional</sup> <a name="ProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestY.property.processQuery"></a>

```go
ProcessQuery DashboardWidgetScatterplotDefinitionRequestYProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYProcessQuery">DashboardWidgetScatterplotDefinitionRequestYProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `Q`<sup>Optional</sup> <a name="Q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestY.property.q"></a>

```go
Q *string
```

- *Type:* *string

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `RumQuery`<sup>Optional</sup> <a name="RumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestY.property.rumQuery"></a>

```go
RumQuery DashboardWidgetScatterplotDefinitionRequestYRumQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQuery">DashboardWidgetScatterplotDefinitionRequestYRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `SecurityQuery`<sup>Optional</sup> <a name="SecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestY.property.securityQuery"></a>

```go
SecurityQuery DashboardWidgetScatterplotDefinitionRequestYSecurityQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQuery">DashboardWidgetScatterplotDefinitionRequestYSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

### DashboardWidgetScatterplotDefinitionRequestYApmQuery <a name="DashboardWidgetScatterplotDefinitionRequestYApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryComputeQuery">DashboardWidgetScatterplotDefinitionRequestYApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetScatterplotDefinitionRequestYApmQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryComputeQuery">DashboardWidgetScatterplotDefinitionRequestYApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetScatterplotDefinitionRequestYApmQueryComputeQuery <a name="DashboardWidgetScatterplotDefinitionRequestYApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBy <a name="DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery">DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery">DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery <a name="DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetScatterplotDefinitionRequestYApmQueryMultiCompute <a name="DashboardWidgetScatterplotDefinitionRequestYApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetScatterplotDefinitionRequestYLogQuery <a name="DashboardWidgetScatterplotDefinitionRequestYLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryComputeQuery">DashboardWidgetScatterplotDefinitionRequestYLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetScatterplotDefinitionRequestYLogQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryComputeQuery">DashboardWidgetScatterplotDefinitionRequestYLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetScatterplotDefinitionRequestYLogQueryComputeQuery <a name="DashboardWidgetScatterplotDefinitionRequestYLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBy <a name="DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery">DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery">DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery <a name="DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetScatterplotDefinitionRequestYLogQueryMultiCompute <a name="DashboardWidgetScatterplotDefinitionRequestYLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetScatterplotDefinitionRequestYProcessQuery <a name="DashboardWidgetScatterplotDefinitionRequestYProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYProcessQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetScatterplotDefinitionRequestYProcessQuery {
	Metric: *string,
	FilterBy: *[]*string,
	Limit: *f64,
	SearchBy: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYProcessQuery.property.metric">Metric</a></code> | <code>*string</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYProcessQuery.property.filterBy">FilterBy</a></code> | <code>*[]*string</code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYProcessQuery.property.limit">Limit</a></code> | <code>*f64</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYProcessQuery.property.searchBy">SearchBy</a></code> | <code>*string</code> | Your chosen search term. |

---

##### `Metric`<sup>Required</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYProcessQuery.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `FilterBy`<sup>Optional</sup> <a name="FilterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYProcessQuery.property.filterBy"></a>

```go
FilterBy *[]*string
```

- *Type:* *[]*string

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYProcessQuery.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SearchBy`<sup>Optional</sup> <a name="SearchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYProcessQuery.property.searchBy"></a>

```go
SearchBy *string
```

- *Type:* *string

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetScatterplotDefinitionRequestYRumQuery <a name="DashboardWidgetScatterplotDefinitionRequestYRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryComputeQuery">DashboardWidgetScatterplotDefinitionRequestYRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetScatterplotDefinitionRequestYRumQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryComputeQuery">DashboardWidgetScatterplotDefinitionRequestYRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetScatterplotDefinitionRequestYRumQueryComputeQuery <a name="DashboardWidgetScatterplotDefinitionRequestYRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBy <a name="DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery">DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery">DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery <a name="DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetScatterplotDefinitionRequestYRumQueryMultiCompute <a name="DashboardWidgetScatterplotDefinitionRequestYRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetScatterplotDefinitionRequestYSecurityQuery <a name="DashboardWidgetScatterplotDefinitionRequestYSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery">DashboardWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery">DashboardWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery <a name="DashboardWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy <a name="DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery">DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery">DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery <a name="DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute <a name="DashboardWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetScatterplotDefinitionXaxis <a name="DashboardWidgetScatterplotDefinitionXaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionXaxis"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionXaxis.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetScatterplotDefinitionXaxis {
	IncludeZero: interface{},
	Label: *string,
	Max: *string,
	Min: *string,
	Scale: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionXaxis.property.includeZero">IncludeZero</a></code> | <code>interface{}</code> | Always include zero or fit the axis to the data range. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionXaxis.property.label">Label</a></code> | <code>*string</code> | The label of the axis to display on the graph. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionXaxis.property.max">Max</a></code> | <code>*string</code> | Specify the maximum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionXaxis.property.min">Min</a></code> | <code>*string</code> | Specify the minimum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionXaxis.property.scale">Scale</a></code> | <code>*string</code> | Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`. |

---

##### `IncludeZero`<sup>Optional</sup> <a name="IncludeZero" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionXaxis.property.includeZero"></a>

```go
IncludeZero interface{}
```

- *Type:* interface{}

Always include zero or fit the axis to the data range.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#include_zero Dashboard#include_zero}

---

##### `Label`<sup>Optional</sup> <a name="Label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionXaxis.property.label"></a>

```go
Label *string
```

- *Type:* *string

The label of the axis to display on the graph.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `Max`<sup>Optional</sup> <a name="Max" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionXaxis.property.max"></a>

```go
Max *string
```

- *Type:* *string

Specify the maximum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#max Dashboard#max}

---

##### `Min`<sup>Optional</sup> <a name="Min" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionXaxis.property.min"></a>

```go
Min *string
```

- *Type:* *string

Specify the minimum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#min Dashboard#min}

---

##### `Scale`<sup>Optional</sup> <a name="Scale" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionXaxis.property.scale"></a>

```go
Scale *string
```

- *Type:* *string

Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#scale Dashboard#scale}

---

### DashboardWidgetScatterplotDefinitionYaxis <a name="DashboardWidgetScatterplotDefinitionYaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionYaxis"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionYaxis.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetScatterplotDefinitionYaxis {
	IncludeZero: interface{},
	Label: *string,
	Max: *string,
	Min: *string,
	Scale: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionYaxis.property.includeZero">IncludeZero</a></code> | <code>interface{}</code> | Always include zero or fit the axis to the data range. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionYaxis.property.label">Label</a></code> | <code>*string</code> | The label of the axis to display on the graph. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionYaxis.property.max">Max</a></code> | <code>*string</code> | Specify the maximum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionYaxis.property.min">Min</a></code> | <code>*string</code> | Specify the minimum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionYaxis.property.scale">Scale</a></code> | <code>*string</code> | Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`. |

---

##### `IncludeZero`<sup>Optional</sup> <a name="IncludeZero" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionYaxis.property.includeZero"></a>

```go
IncludeZero interface{}
```

- *Type:* interface{}

Always include zero or fit the axis to the data range.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#include_zero Dashboard#include_zero}

---

##### `Label`<sup>Optional</sup> <a name="Label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionYaxis.property.label"></a>

```go
Label *string
```

- *Type:* *string

The label of the axis to display on the graph.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `Max`<sup>Optional</sup> <a name="Max" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionYaxis.property.max"></a>

```go
Max *string
```

- *Type:* *string

Specify the maximum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#max Dashboard#max}

---

##### `Min`<sup>Optional</sup> <a name="Min" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionYaxis.property.min"></a>

```go
Min *string
```

- *Type:* *string

Specify the minimum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#min Dashboard#min}

---

##### `Scale`<sup>Optional</sup> <a name="Scale" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionYaxis.property.scale"></a>

```go
Scale *string
```

- *Type:* *string

Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#scale Dashboard#scale}

---

### DashboardWidgetServiceLevelObjectiveDefinition <a name="DashboardWidgetServiceLevelObjectiveDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetServiceLevelObjectiveDefinition {
	SloId: *string,
	TimeWindows: *[]*string,
	ViewMode: *string,
	ViewType: *string,
	GlobalTimeTarget: *string,
	ShowErrorBudget: interface{},
	Title: *string,
	TitleAlign: *string,
	TitleSize: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition.property.sloId">SloId</a></code> | <code>*string</code> | The ID of the service level objective used by the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition.property.timeWindows">TimeWindows</a></code> | <code>*[]*string</code> | A list of time windows to display in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition.property.viewMode">ViewMode</a></code> | <code>*string</code> | The view mode for the widget. Valid values are `overall`, `component`, `both`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition.property.viewType">ViewType</a></code> | <code>*string</code> | The type of view to use when displaying the widget. Only `detail` is supported. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition.property.globalTimeTarget">GlobalTimeTarget</a></code> | <code>*string</code> | The global time target of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition.property.showErrorBudget">ShowErrorBudget</a></code> | <code>interface{}</code> | Whether to show the error budget or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition.property.title">Title</a></code> | <code>*string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition.property.titleAlign">TitleAlign</a></code> | <code>*string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition.property.titleSize">TitleSize</a></code> | <code>*string</code> | The size of the widget's title (defaults to 16). |

---

##### `SloId`<sup>Required</sup> <a name="SloId" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition.property.sloId"></a>

```go
SloId *string
```

- *Type:* *string

The ID of the service level objective used by the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#slo_id Dashboard#slo_id}

---

##### `TimeWindows`<sup>Required</sup> <a name="TimeWindows" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition.property.timeWindows"></a>

```go
TimeWindows *[]*string
```

- *Type:* *[]*string

A list of time windows to display in the widget.

Valid values are `7d`, `30d`, `90d`, `week_to_date`, `previous_week`, `month_to_date`, `previous_month`, `global_time`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#time_windows Dashboard#time_windows}

---

##### `ViewMode`<sup>Required</sup> <a name="ViewMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition.property.viewMode"></a>

```go
ViewMode *string
```

- *Type:* *string

The view mode for the widget. Valid values are `overall`, `component`, `both`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#view_mode Dashboard#view_mode}

---

##### `ViewType`<sup>Required</sup> <a name="ViewType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition.property.viewType"></a>

```go
ViewType *string
```

- *Type:* *string

The type of view to use when displaying the widget. Only `detail` is supported.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#view_type Dashboard#view_type}

---

##### `GlobalTimeTarget`<sup>Optional</sup> <a name="GlobalTimeTarget" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition.property.globalTimeTarget"></a>

```go
GlobalTimeTarget *string
```

- *Type:* *string

The global time target of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#global_time_target Dashboard#global_time_target}

---

##### `ShowErrorBudget`<sup>Optional</sup> <a name="ShowErrorBudget" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition.property.showErrorBudget"></a>

```go
ShowErrorBudget interface{}
```

- *Type:* interface{}

Whether to show the error budget or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_error_budget Dashboard#show_error_budget}

---

##### `Title`<sup>Optional</sup> <a name="Title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition.property.title"></a>

```go
Title *string
```

- *Type:* *string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `TitleAlign`<sup>Optional</sup> <a name="TitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition.property.titleAlign"></a>

```go
TitleAlign *string
```

- *Type:* *string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `TitleSize`<sup>Optional</sup> <a name="TitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition.property.titleSize"></a>

```go
TitleSize *string
```

- *Type:* *string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetServicemapDefinition <a name="DashboardWidgetServicemapDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinition.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetServicemapDefinition {
	Filters: *[]*string,
	Service: *string,
	CustomLink: interface{},
	Title: *string,
	TitleAlign: *string,
	TitleSize: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinition.property.filters">Filters</a></code> | <code>*[]*string</code> | Your environment and primary tag (or `*` if enabled for your account). |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinition.property.service">Service</a></code> | <code>*string</code> | The ID of the service to map. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinition.property.customLink">CustomLink</a></code> | <code>interface{}</code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinition.property.title">Title</a></code> | <code>*string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinition.property.titleAlign">TitleAlign</a></code> | <code>*string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinition.property.titleSize">TitleSize</a></code> | <code>*string</code> | The size of the widget's title (defaults to 16). |

---

##### `Filters`<sup>Required</sup> <a name="Filters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinition.property.filters"></a>

```go
Filters *[]*string
```

- *Type:* *[]*string

Your environment and primary tag (or `*` if enabled for your account).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filters Dashboard#filters}

---

##### `Service`<sup>Required</sup> <a name="Service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinition.property.service"></a>

```go
Service *string
```

- *Type:* *string

The ID of the service to map.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `CustomLink`<sup>Optional</sup> <a name="CustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinition.property.customLink"></a>

```go
CustomLink interface{}
```

- *Type:* interface{}

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `Title`<sup>Optional</sup> <a name="Title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinition.property.title"></a>

```go
Title *string
```

- *Type:* *string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `TitleAlign`<sup>Optional</sup> <a name="TitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinition.property.titleAlign"></a>

```go
TitleAlign *string
```

- *Type:* *string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `TitleSize`<sup>Optional</sup> <a name="TitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinition.property.titleSize"></a>

```go
TitleSize *string
```

- *Type:* *string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetServicemapDefinitionCustomLink <a name="DashboardWidgetServicemapDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinitionCustomLink.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetServicemapDefinitionCustomLink {
	IsHidden: interface{},
	Label: *string,
	Link: *string,
	OverrideLabel: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinitionCustomLink.property.isHidden">IsHidden</a></code> | <code>interface{}</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinitionCustomLink.property.label">Label</a></code> | <code>*string</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinitionCustomLink.property.link">Link</a></code> | <code>*string</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinitionCustomLink.property.overrideLabel">OverrideLabel</a></code> | <code>*string</code> | The label ID that refers to a context menu link item. |

---

##### `IsHidden`<sup>Optional</sup> <a name="IsHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinitionCustomLink.property.isHidden"></a>

```go
IsHidden interface{}
```

- *Type:* interface{}

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `Label`<sup>Optional</sup> <a name="Label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinitionCustomLink.property.label"></a>

```go
Label *string
```

- *Type:* *string

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `Link`<sup>Optional</sup> <a name="Link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinitionCustomLink.property.link"></a>

```go
Link *string
```

- *Type:* *string

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `OverrideLabel`<sup>Optional</sup> <a name="OverrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinitionCustomLink.property.overrideLabel"></a>

```go
OverrideLabel *string
```

- *Type:* *string

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetSloListDefinition <a name="DashboardWidgetSloListDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinition.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetSloListDefinition {
	Request: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetSloListDefinitionRequest,
	Title: *string,
	TitleAlign: *string,
	TitleSize: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinition.property.request">Request</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinitionRequest">DashboardWidgetSloListDefinitionRequest</a></code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinition.property.title">Title</a></code> | <code>*string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinition.property.titleAlign">TitleAlign</a></code> | <code>*string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinition.property.titleSize">TitleSize</a></code> | <code>*string</code> | The size of the widget's title (defaults to 16). |

---

##### `Request`<sup>Required</sup> <a name="Request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinition.property.request"></a>

```go
Request DashboardWidgetSloListDefinitionRequest
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinitionRequest">DashboardWidgetSloListDefinitionRequest</a>

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `Title`<sup>Optional</sup> <a name="Title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinition.property.title"></a>

```go
Title *string
```

- *Type:* *string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `TitleAlign`<sup>Optional</sup> <a name="TitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinition.property.titleAlign"></a>

```go
TitleAlign *string
```

- *Type:* *string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `TitleSize`<sup>Optional</sup> <a name="TitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinition.property.titleSize"></a>

```go
TitleSize *string
```

- *Type:* *string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetSloListDefinitionRequest <a name="DashboardWidgetSloListDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinitionRequest.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetSloListDefinitionRequest {
	Query: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetSloListDefinitionRequestQuery,
	RequestType: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinitionRequest.property.query">Query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinitionRequestQuery">DashboardWidgetSloListDefinitionRequestQuery</a></code> | query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinitionRequest.property.requestType">RequestType</a></code> | <code>*string</code> | The request type for the SLO List request. Valid values are `slo_list`. |

---

##### `Query`<sup>Required</sup> <a name="Query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinitionRequest.property.query"></a>

```go
Query DashboardWidgetSloListDefinitionRequestQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinitionRequestQuery">DashboardWidgetSloListDefinitionRequestQuery</a>

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `RequestType`<sup>Required</sup> <a name="RequestType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinitionRequest.property.requestType"></a>

```go
RequestType *string
```

- *Type:* *string

The request type for the SLO List request. Valid values are `slo_list`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request_type Dashboard#request_type}

---

### DashboardWidgetSloListDefinitionRequestQuery <a name="DashboardWidgetSloListDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinitionRequestQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetSloListDefinitionRequestQuery {
	QueryString: *string,
	Limit: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinitionRequestQuery.property.queryString">QueryString</a></code> | <code>*string</code> | Widget query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinitionRequestQuery.property.limit">Limit</a></code> | <code>*f64</code> | Maximum number of results to display in the table. |

---

##### `QueryString`<sup>Required</sup> <a name="QueryString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinitionRequestQuery.property.queryString"></a>

```go
QueryString *string
```

- *Type:* *string

Widget query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query_string Dashboard#query_string}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinitionRequestQuery.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

Maximum number of results to display in the table.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

### DashboardWidgetSunburstDefinition <a name="DashboardWidgetSunburstDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetSunburstDefinition {
	CustomLink: interface{},
	HideTotal: interface{},
	LegendInline: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetSunburstDefinitionLegendInline,
	LegendTable: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetSunburstDefinitionLegendTable,
	LiveSpan: *string,
	Request: interface{},
	Title: *string,
	TitleAlign: *string,
	TitleSize: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition.property.customLink">CustomLink</a></code> | <code>interface{}</code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition.property.hideTotal">HideTotal</a></code> | <code>interface{}</code> | Whether or not to show the total value in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition.property.legendInline">LegendInline</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionLegendInline">DashboardWidgetSunburstDefinitionLegendInline</a></code> | legend_inline block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition.property.legendTable">LegendTable</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionLegendTable">DashboardWidgetSunburstDefinitionLegendTable</a></code> | legend_table block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition.property.liveSpan">LiveSpan</a></code> | <code>*string</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition.property.request">Request</a></code> | <code>interface{}</code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition.property.title">Title</a></code> | <code>*string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition.property.titleAlign">TitleAlign</a></code> | <code>*string</code> | The alignment of the widget's title. One of `left`, `center`, or `right`. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition.property.titleSize">TitleSize</a></code> | <code>*string</code> | The size of the widget's title. Default is 16. |

---

##### `CustomLink`<sup>Optional</sup> <a name="CustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition.property.customLink"></a>

```go
CustomLink interface{}
```

- *Type:* interface{}

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `HideTotal`<sup>Optional</sup> <a name="HideTotal" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition.property.hideTotal"></a>

```go
HideTotal interface{}
```

- *Type:* interface{}

Whether or not to show the total value in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_total Dashboard#hide_total}

---

##### `LegendInline`<sup>Optional</sup> <a name="LegendInline" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition.property.legendInline"></a>

```go
LegendInline DashboardWidgetSunburstDefinitionLegendInline
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionLegendInline">DashboardWidgetSunburstDefinitionLegendInline</a>

legend_inline block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#legend_inline Dashboard#legend_inline}

---

##### `LegendTable`<sup>Optional</sup> <a name="LegendTable" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition.property.legendTable"></a>

```go
LegendTable DashboardWidgetSunburstDefinitionLegendTable
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionLegendTable">DashboardWidgetSunburstDefinitionLegendTable</a>

legend_table block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#legend_table Dashboard#legend_table}

---

##### `LiveSpan`<sup>Optional</sup> <a name="LiveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition.property.liveSpan"></a>

```go
LiveSpan *string
```

- *Type:* *string

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `Request`<sup>Optional</sup> <a name="Request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition.property.request"></a>

```go
Request interface{}
```

- *Type:* interface{}

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `Title`<sup>Optional</sup> <a name="Title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition.property.title"></a>

```go
Title *string
```

- *Type:* *string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `TitleAlign`<sup>Optional</sup> <a name="TitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition.property.titleAlign"></a>

```go
TitleAlign *string
```

- *Type:* *string

The alignment of the widget's title. One of `left`, `center`, or `right`. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `TitleSize`<sup>Optional</sup> <a name="TitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition.property.titleSize"></a>

```go
TitleSize *string
```

- *Type:* *string

The size of the widget's title. Default is 16.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetSunburstDefinitionCustomLink <a name="DashboardWidgetSunburstDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionCustomLink.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetSunburstDefinitionCustomLink {
	IsHidden: interface{},
	Label: *string,
	Link: *string,
	OverrideLabel: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionCustomLink.property.isHidden">IsHidden</a></code> | <code>interface{}</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionCustomLink.property.label">Label</a></code> | <code>*string</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionCustomLink.property.link">Link</a></code> | <code>*string</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionCustomLink.property.overrideLabel">OverrideLabel</a></code> | <code>*string</code> | The label ID that refers to a context menu link item. |

---

##### `IsHidden`<sup>Optional</sup> <a name="IsHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionCustomLink.property.isHidden"></a>

```go
IsHidden interface{}
```

- *Type:* interface{}

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `Label`<sup>Optional</sup> <a name="Label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionCustomLink.property.label"></a>

```go
Label *string
```

- *Type:* *string

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `Link`<sup>Optional</sup> <a name="Link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionCustomLink.property.link"></a>

```go
Link *string
```

- *Type:* *string

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `OverrideLabel`<sup>Optional</sup> <a name="OverrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionCustomLink.property.overrideLabel"></a>

```go
OverrideLabel *string
```

- *Type:* *string

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetSunburstDefinitionLegendInline <a name="DashboardWidgetSunburstDefinitionLegendInline" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionLegendInline"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionLegendInline.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetSunburstDefinitionLegendInline {
	Type: *string,
	HidePercent: interface{},
	HideValue: interface{},
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionLegendInline.property.type">Type</a></code> | <code>*string</code> | The type of legend (inline or automatic). Valid values are `inline`, `automatic`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionLegendInline.property.hidePercent">HidePercent</a></code> | <code>interface{}</code> | Whether to hide the percentages of the groups. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionLegendInline.property.hideValue">HideValue</a></code> | <code>interface{}</code> | Whether to hide the values of the groups. |

---

##### `Type`<sup>Required</sup> <a name="Type" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionLegendInline.property.type"></a>

```go
Type *string
```

- *Type:* *string

The type of legend (inline or automatic). Valid values are `inline`, `automatic`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#type Dashboard#type}

---

##### `HidePercent`<sup>Optional</sup> <a name="HidePercent" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionLegendInline.property.hidePercent"></a>

```go
HidePercent interface{}
```

- *Type:* interface{}

Whether to hide the percentages of the groups.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_percent Dashboard#hide_percent}

---

##### `HideValue`<sup>Optional</sup> <a name="HideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionLegendInline.property.hideValue"></a>

```go
HideValue interface{}
```

- *Type:* interface{}

Whether to hide the values of the groups.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

### DashboardWidgetSunburstDefinitionLegendTable <a name="DashboardWidgetSunburstDefinitionLegendTable" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionLegendTable"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionLegendTable.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetSunburstDefinitionLegendTable {
	Type: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionLegendTable.property.type">Type</a></code> | <code>*string</code> | The type of legend (table or none). Valid values are `table`, `none`. |

---

##### `Type`<sup>Required</sup> <a name="Type" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionLegendTable.property.type"></a>

```go
Type *string
```

- *Type:* *string

The type of legend (table or none). Valid values are `table`, `none`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#type Dashboard#type}

---

### DashboardWidgetSunburstDefinitionRequest <a name="DashboardWidgetSunburstDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetSunburstDefinitionRequest {
	ApmQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetSunburstDefinitionRequestApmQuery,
	AuditQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQuery,
	Formula: interface{},
	LogQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetSunburstDefinitionRequestLogQuery,
	NetworkQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQuery,
	ProcessQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetSunburstDefinitionRequestProcessQuery,
	Q: *string,
	Query: interface{},
	RumQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetSunburstDefinitionRequestRumQuery,
	SecurityQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest.property.apmQuery">ApmQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQuery">DashboardWidgetSunburstDefinitionRequestApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest.property.auditQuery">AuditQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQuery">DashboardWidgetSunburstDefinitionRequestAuditQuery</a></code> | audit_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest.property.formula">Formula</a></code> | <code>interface{}</code> | formula block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest.property.logQuery">LogQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQuery">DashboardWidgetSunburstDefinitionRequestLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest.property.networkQuery">NetworkQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQuery">DashboardWidgetSunburstDefinitionRequestNetworkQuery</a></code> | network_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest.property.processQuery">ProcessQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestProcessQuery">DashboardWidgetSunburstDefinitionRequestProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest.property.q">Q</a></code> | <code>*string</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest.property.query">Query</a></code> | <code>interface{}</code> | query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest.property.rumQuery">RumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQuery">DashboardWidgetSunburstDefinitionRequestRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest.property.securityQuery">SecurityQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQuery">DashboardWidgetSunburstDefinitionRequestSecurityQuery</a></code> | security_query block. |

---

##### `ApmQuery`<sup>Optional</sup> <a name="ApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest.property.apmQuery"></a>

```go
ApmQuery DashboardWidgetSunburstDefinitionRequestApmQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQuery">DashboardWidgetSunburstDefinitionRequestApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `AuditQuery`<sup>Optional</sup> <a name="AuditQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest.property.auditQuery"></a>

```go
AuditQuery DashboardWidgetSunburstDefinitionRequestAuditQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQuery">DashboardWidgetSunburstDefinitionRequestAuditQuery</a>

audit_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#audit_query Dashboard#audit_query}

---

##### `Formula`<sup>Optional</sup> <a name="Formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest.property.formula"></a>

```go
Formula interface{}
```

- *Type:* interface{}

formula block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula Dashboard#formula}

---

##### `LogQuery`<sup>Optional</sup> <a name="LogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest.property.logQuery"></a>

```go
LogQuery DashboardWidgetSunburstDefinitionRequestLogQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQuery">DashboardWidgetSunburstDefinitionRequestLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `NetworkQuery`<sup>Optional</sup> <a name="NetworkQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest.property.networkQuery"></a>

```go
NetworkQuery DashboardWidgetSunburstDefinitionRequestNetworkQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQuery">DashboardWidgetSunburstDefinitionRequestNetworkQuery</a>

network_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#network_query Dashboard#network_query}

---

##### `ProcessQuery`<sup>Optional</sup> <a name="ProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest.property.processQuery"></a>

```go
ProcessQuery DashboardWidgetSunburstDefinitionRequestProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestProcessQuery">DashboardWidgetSunburstDefinitionRequestProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `Q`<sup>Optional</sup> <a name="Q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest.property.q"></a>

```go
Q *string
```

- *Type:* *string

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `Query`<sup>Optional</sup> <a name="Query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest.property.query"></a>

```go
Query interface{}
```

- *Type:* interface{}

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `RumQuery`<sup>Optional</sup> <a name="RumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest.property.rumQuery"></a>

```go
RumQuery DashboardWidgetSunburstDefinitionRequestRumQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQuery">DashboardWidgetSunburstDefinitionRequestRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `SecurityQuery`<sup>Optional</sup> <a name="SecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest.property.securityQuery"></a>

```go
SecurityQuery DashboardWidgetSunburstDefinitionRequestSecurityQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQuery">DashboardWidgetSunburstDefinitionRequestSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

### DashboardWidgetSunburstDefinitionRequestApmQuery <a name="DashboardWidgetSunburstDefinitionRequestApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetSunburstDefinitionRequestApmQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryComputeQuery">DashboardWidgetSunburstDefinitionRequestApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetSunburstDefinitionRequestApmQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryComputeQuery">DashboardWidgetSunburstDefinitionRequestApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetSunburstDefinitionRequestApmQueryComputeQuery <a name="DashboardWidgetSunburstDefinitionRequestApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetSunburstDefinitionRequestApmQueryGroupBy <a name="DashboardWidgetSunburstDefinitionRequestApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery <a name="DashboardWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetSunburstDefinitionRequestApmQueryMultiCompute <a name="DashboardWidgetSunburstDefinitionRequestApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetSunburstDefinitionRequestAuditQuery <a name="DashboardWidgetSunburstDefinitionRequestAuditQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetSunburstDefinitionRequestAuditQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryComputeQuery">DashboardWidgetSunburstDefinitionRequestAuditQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetSunburstDefinitionRequestAuditQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryComputeQuery">DashboardWidgetSunburstDefinitionRequestAuditQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetSunburstDefinitionRequestAuditQueryComputeQuery <a name="DashboardWidgetSunburstDefinitionRequestAuditQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBy <a name="DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery">DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery">DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery <a name="DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetSunburstDefinitionRequestAuditQueryMultiCompute <a name="DashboardWidgetSunburstDefinitionRequestAuditQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetSunburstDefinitionRequestFormula <a name="DashboardWidgetSunburstDefinitionRequestFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormula"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormula.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetSunburstDefinitionRequestFormula {
	FormulaExpression: *string,
	Alias: *string,
	CellDisplayMode: *string,
	ConditionalFormats: interface{},
	Limit: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaLimit,
	Style: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaStyle,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormula.property.formulaExpression">FormulaExpression</a></code> | <code>*string</code> | A string expression built from queries, formulas, and functions. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormula.property.alias">Alias</a></code> | <code>*string</code> | An expression alias. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormula.property.cellDisplayMode">CellDisplayMode</a></code> | <code>*string</code> | A list of display modes for each table cell. Valid values are `number`, `bar`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormula.property.conditionalFormats">ConditionalFormats</a></code> | <code>interface{}</code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormula.property.limit">Limit</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaLimit">DashboardWidgetSunburstDefinitionRequestFormulaLimit</a></code> | limit block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormula.property.style">Style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaStyle">DashboardWidgetSunburstDefinitionRequestFormulaStyle</a></code> | style block. |

---

##### `FormulaExpression`<sup>Required</sup> <a name="FormulaExpression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormula.property.formulaExpression"></a>

```go
FormulaExpression *string
```

- *Type:* *string

A string expression built from queries, formulas, and functions.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula_expression Dashboard#formula_expression}

---

##### `Alias`<sup>Optional</sup> <a name="Alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormula.property.alias"></a>

```go
Alias *string
```

- *Type:* *string

An expression alias.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `CellDisplayMode`<sup>Optional</sup> <a name="CellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormula.property.cellDisplayMode"></a>

```go
CellDisplayMode *string
```

- *Type:* *string

A list of display modes for each table cell. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `ConditionalFormats`<sup>Optional</sup> <a name="ConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormula.property.conditionalFormats"></a>

```go
ConditionalFormats interface{}
```

- *Type:* interface{}

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormula.property.limit"></a>

```go
Limit DashboardWidgetSunburstDefinitionRequestFormulaLimit
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaLimit">DashboardWidgetSunburstDefinitionRequestFormulaLimit</a>

limit block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `Style`<sup>Optional</sup> <a name="Style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormula.property.style"></a>

```go
Style DashboardWidgetSunburstDefinitionRequestFormulaStyle
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaStyle">DashboardWidgetSunburstDefinitionRequestFormulaStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats <a name="DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats {
	Comparator: *string,
	Palette: *string,
	Value: *f64,
	CustomBgColor: *string,
	CustomFgColor: *string,
	HideValue: interface{},
	ImageUrl: *string,
	Metric: *string,
	Timeframe: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.comparator">Comparator</a></code> | <code>*string</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.palette">Palette</a></code> | <code>*string</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.value">Value</a></code> | <code>*f64</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.customBgColor">CustomBgColor</a></code> | <code>*string</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.customFgColor">CustomFgColor</a></code> | <code>*string</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.hideValue">HideValue</a></code> | <code>interface{}</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.imageUrl">ImageUrl</a></code> | <code>*string</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.metric">Metric</a></code> | <code>*string</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.timeframe">Timeframe</a></code> | <code>*string</code> | Defines the displayed timeframe. |

---

##### `Comparator`<sup>Required</sup> <a name="Comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.comparator"></a>

```go
Comparator *string
```

- *Type:* *string

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `Palette`<sup>Required</sup> <a name="Palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.palette"></a>

```go
Palette *string
```

- *Type:* *string

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `Value`<sup>Required</sup> <a name="Value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.value"></a>

```go
Value *f64
```

- *Type:* *f64

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `CustomBgColor`<sup>Optional</sup> <a name="CustomBgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.customBgColor"></a>

```go
CustomBgColor *string
```

- *Type:* *string

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `CustomFgColor`<sup>Optional</sup> <a name="CustomFgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.customFgColor"></a>

```go
CustomFgColor *string
```

- *Type:* *string

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `HideValue`<sup>Optional</sup> <a name="HideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.hideValue"></a>

```go
HideValue interface{}
```

- *Type:* interface{}

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `ImageUrl`<sup>Optional</sup> <a name="ImageUrl" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.imageUrl"></a>

```go
ImageUrl *string
```

- *Type:* *string

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `Metric`<sup>Optional</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `Timeframe`<sup>Optional</sup> <a name="Timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.timeframe"></a>

```go
Timeframe *string
```

- *Type:* *string

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetSunburstDefinitionRequestFormulaLimit <a name="DashboardWidgetSunburstDefinitionRequestFormulaLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaLimit"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaLimit.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetSunburstDefinitionRequestFormulaLimit {
	Count: *f64,
	Order: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaLimit.property.count">Count</a></code> | <code>*f64</code> | The number of results to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaLimit.property.order">Order</a></code> | <code>*string</code> | The direction of the sort. Valid values are `asc`, `desc`. |

---

##### `Count`<sup>Optional</sup> <a name="Count" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaLimit.property.count"></a>

```go
Count *f64
```

- *Type:* *f64

The number of results to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#count Dashboard#count}

---

##### `Order`<sup>Optional</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaLimit.property.order"></a>

```go
Order *string
```

- *Type:* *string

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetSunburstDefinitionRequestFormulaStyle <a name="DashboardWidgetSunburstDefinitionRequestFormulaStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaStyle.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetSunburstDefinitionRequestFormulaStyle {
	Palette: *string,
	PaletteIndex: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaStyle.property.palette">Palette</a></code> | <code>*string</code> | The color palette used to display the formula. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaStyle.property.paletteIndex">PaletteIndex</a></code> | <code>*f64</code> | Index specifying which color to use within the palette. |

---

##### `Palette`<sup>Optional</sup> <a name="Palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaStyle.property.palette"></a>

```go
Palette *string
```

- *Type:* *string

The color palette used to display the formula.

A guide to the available color palettes can be found at https://docs.datadoghq.com/dashboards/guide/widget_colors

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `PaletteIndex`<sup>Optional</sup> <a name="PaletteIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaStyle.property.paletteIndex"></a>

```go
PaletteIndex *f64
```

- *Type:* *f64

Index specifying which color to use within the palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette_index Dashboard#palette_index}

---

### DashboardWidgetSunburstDefinitionRequestLogQuery <a name="DashboardWidgetSunburstDefinitionRequestLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetSunburstDefinitionRequestLogQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryComputeQuery">DashboardWidgetSunburstDefinitionRequestLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetSunburstDefinitionRequestLogQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryComputeQuery">DashboardWidgetSunburstDefinitionRequestLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetSunburstDefinitionRequestLogQueryComputeQuery <a name="DashboardWidgetSunburstDefinitionRequestLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetSunburstDefinitionRequestLogQueryGroupBy <a name="DashboardWidgetSunburstDefinitionRequestLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery <a name="DashboardWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetSunburstDefinitionRequestLogQueryMultiCompute <a name="DashboardWidgetSunburstDefinitionRequestLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetSunburstDefinitionRequestNetworkQuery <a name="DashboardWidgetSunburstDefinitionRequestNetworkQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryComputeQuery">DashboardWidgetSunburstDefinitionRequestNetworkQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetSunburstDefinitionRequestNetworkQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryComputeQuery">DashboardWidgetSunburstDefinitionRequestNetworkQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetSunburstDefinitionRequestNetworkQueryComputeQuery <a name="DashboardWidgetSunburstDefinitionRequestNetworkQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBy <a name="DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery">DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery">DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery <a name="DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetSunburstDefinitionRequestNetworkQueryMultiCompute <a name="DashboardWidgetSunburstDefinitionRequestNetworkQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetSunburstDefinitionRequestProcessQuery <a name="DashboardWidgetSunburstDefinitionRequestProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestProcessQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetSunburstDefinitionRequestProcessQuery {
	Metric: *string,
	FilterBy: *[]*string,
	Limit: *f64,
	SearchBy: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestProcessQuery.property.metric">Metric</a></code> | <code>*string</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestProcessQuery.property.filterBy">FilterBy</a></code> | <code>*[]*string</code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestProcessQuery.property.limit">Limit</a></code> | <code>*f64</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestProcessQuery.property.searchBy">SearchBy</a></code> | <code>*string</code> | Your chosen search term. |

---

##### `Metric`<sup>Required</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestProcessQuery.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `FilterBy`<sup>Optional</sup> <a name="FilterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestProcessQuery.property.filterBy"></a>

```go
FilterBy *[]*string
```

- *Type:* *[]*string

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestProcessQuery.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SearchBy`<sup>Optional</sup> <a name="SearchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestProcessQuery.property.searchBy"></a>

```go
SearchBy *string
```

- *Type:* *string

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetSunburstDefinitionRequestQuery <a name="DashboardWidgetSunburstDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetSunburstDefinitionRequestQuery {
	ApmDependencyStatsQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery,
	ApmResourceStatsQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery,
	EventQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuery,
	MetricQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetSunburstDefinitionRequestQueryMetricQuery,
	ProcessQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQuery.property.apmDependencyStatsQuery">ApmDependencyStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery</a></code> | apm_dependency_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQuery.property.apmResourceStatsQuery">ApmResourceStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery</a></code> | apm_resource_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQuery.property.eventQuery">EventQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuery">DashboardWidgetSunburstDefinitionRequestQueryEventQuery</a></code> | event_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQuery.property.metricQuery">MetricQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryMetricQuery">DashboardWidgetSunburstDefinitionRequestQueryMetricQuery</a></code> | metric_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQuery.property.processQuery">ProcessQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery">DashboardWidgetSunburstDefinitionRequestQueryProcessQuery</a></code> | process_query block. |

---

##### `ApmDependencyStatsQuery`<sup>Optional</sup> <a name="ApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQuery.property.apmDependencyStatsQuery"></a>

```go
ApmDependencyStatsQuery DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery</a>

apm_dependency_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_dependency_stats_query Dashboard#apm_dependency_stats_query}

---

##### `ApmResourceStatsQuery`<sup>Optional</sup> <a name="ApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQuery.property.apmResourceStatsQuery"></a>

```go
ApmResourceStatsQuery DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery</a>

apm_resource_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_resource_stats_query Dashboard#apm_resource_stats_query}

---

##### `EventQuery`<sup>Optional</sup> <a name="EventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQuery.property.eventQuery"></a>

```go
EventQuery DashboardWidgetSunburstDefinitionRequestQueryEventQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuery">DashboardWidgetSunburstDefinitionRequestQueryEventQuery</a>

event_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_query Dashboard#event_query}

---

##### `MetricQuery`<sup>Optional</sup> <a name="MetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQuery.property.metricQuery"></a>

```go
MetricQuery DashboardWidgetSunburstDefinitionRequestQueryMetricQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryMetricQuery">DashboardWidgetSunburstDefinitionRequestQueryMetricQuery</a>

metric_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric_query Dashboard#metric_query}

---

##### `ProcessQuery`<sup>Optional</sup> <a name="ProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQuery.property.processQuery"></a>

```go
ProcessQuery DashboardWidgetSunburstDefinitionRequestQueryProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery">DashboardWidgetSunburstDefinitionRequestQueryProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

### DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery <a name="DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery {
	DataSource: *string,
	Env: *string,
	Name: *string,
	OperationName: *string,
	ResourceName: *string,
	Service: *string,
	Stat: *string,
	IsUpstream: interface{},
	PrimaryTagName: *string,
	PrimaryTagValue: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.env">Env</a></code> | <code>*string</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.name">Name</a></code> | <code>*string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.operationName">OperationName</a></code> | <code>*string</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName">ResourceName</a></code> | <code>*string</code> | APM resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.service">Service</a></code> | <code>*string</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.stat">Stat</a></code> | <code>*string</code> | APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream">IsUpstream</a></code> | <code>interface{}</code> | Determines whether stats for upstream or downstream dependencies should be queried. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName">PrimaryTagName</a></code> | <code>*string</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue">PrimaryTagValue</a></code> | <code>*string</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `Env`<sup>Required</sup> <a name="Env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.env"></a>

```go
Env *string
```

- *Type:* *string

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `OperationName`<sup>Required</sup> <a name="OperationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.operationName"></a>

```go
OperationName *string
```

- *Type:* *string

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `ResourceName`<sup>Required</sup> <a name="ResourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName"></a>

```go
ResourceName *string
```

- *Type:* *string

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

##### `Service`<sup>Required</sup> <a name="Service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.service"></a>

```go
Service *string
```

- *Type:* *string

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `Stat`<sup>Required</sup> <a name="Stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.stat"></a>

```go
Stat *string
```

- *Type:* *string

APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `IsUpstream`<sup>Optional</sup> <a name="IsUpstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream"></a>

```go
IsUpstream interface{}
```

- *Type:* interface{}

Determines whether stats for upstream or downstream dependencies should be queried.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_upstream Dashboard#is_upstream}

---

##### `PrimaryTagName`<sup>Optional</sup> <a name="PrimaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName"></a>

```go
PrimaryTagName *string
```

- *Type:* *string

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `PrimaryTagValue`<sup>Optional</sup> <a name="PrimaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue"></a>

```go
PrimaryTagValue *string
```

- *Type:* *string

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

### DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery <a name="DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery {
	DataSource: *string,
	Env: *string,
	Name: *string,
	Service: *string,
	Stat: *string,
	GroupBy: *[]*string,
	OperationName: *string,
	PrimaryTagName: *string,
	PrimaryTagValue: *string,
	ResourceName: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.env">Env</a></code> | <code>*string</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.name">Name</a></code> | <code>*string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.service">Service</a></code> | <code>*string</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.stat">Stat</a></code> | <code>*string</code> | APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.groupBy">GroupBy</a></code> | <code>*[]*string</code> | Array of fields to group results by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.operationName">OperationName</a></code> | <code>*string</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName">PrimaryTagName</a></code> | <code>*string</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue">PrimaryTagValue</a></code> | <code>*string</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.resourceName">ResourceName</a></code> | <code>*string</code> | APM resource. |

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `Env`<sup>Required</sup> <a name="Env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.env"></a>

```go
Env *string
```

- *Type:* *string

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `Service`<sup>Required</sup> <a name="Service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.service"></a>

```go
Service *string
```

- *Type:* *string

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `Stat`<sup>Required</sup> <a name="Stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.stat"></a>

```go
Stat *string
```

- *Type:* *string

APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.groupBy"></a>

```go
GroupBy *[]*string
```

- *Type:* *[]*string

Array of fields to group results by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `OperationName`<sup>Optional</sup> <a name="OperationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.operationName"></a>

```go
OperationName *string
```

- *Type:* *string

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `PrimaryTagName`<sup>Optional</sup> <a name="PrimaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName"></a>

```go
PrimaryTagName *string
```

- *Type:* *string

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `PrimaryTagValue`<sup>Optional</sup> <a name="PrimaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue"></a>

```go
PrimaryTagValue *string
```

- *Type:* *string

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

##### `ResourceName`<sup>Optional</sup> <a name="ResourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.resourceName"></a>

```go
ResourceName *string
```

- *Type:* *string

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

### DashboardWidgetSunburstDefinitionRequestQueryEventQuery <a name="DashboardWidgetSunburstDefinitionRequestQueryEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuery {
	Compute: interface{},
	DataSource: *string,
	Name: *string,
	GroupBy: interface{},
	Indexes: *[]*string,
	Search: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuerySearch,
	Storage: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuery.property.compute">Compute</a></code> | <code>interface{}</code> | compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for event platform-based queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuery.property.name">Name</a></code> | <code>*string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuery.property.indexes">Indexes</a></code> | <code>*[]*string</code> | An array of index names to query in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuery.property.search">Search</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuerySearch">DashboardWidgetSunburstDefinitionRequestQueryEventQuerySearch</a></code> | search block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuery.property.storage">Storage</a></code> | <code>*string</code> | Storage location (private beta). |

---

##### `Compute`<sup>Required</sup> <a name="Compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuery.property.compute"></a>

```go
Compute interface{}
```

- *Type:* interface{}

compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute Dashboard#compute}

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for event platform-based queries.

Valid values are `logs`, `spans`, `network`, `rum`, `security_signals`, `profiles`, `audit`, `events`, `ci_tests`, `ci_pipelines`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `Indexes`<sup>Optional</sup> <a name="Indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuery.property.indexes"></a>

```go
Indexes *[]*string
```

- *Type:* *[]*string

An array of index names to query in the stream.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `Search`<sup>Optional</sup> <a name="Search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuery.property.search"></a>

```go
Search DashboardWidgetSunburstDefinitionRequestQueryEventQuerySearch
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuerySearch">DashboardWidgetSunburstDefinitionRequestQueryEventQuerySearch</a>

search block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search Dashboard#search}

---

##### `Storage`<sup>Optional</sup> <a name="Storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuery.property.storage"></a>

```go
Storage *string
```

- *Type:* *string

Storage location (private beta).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#storage Dashboard#storage}

---

### DashboardWidgetSunburstDefinitionRequestQueryEventQueryCompute <a name="DashboardWidgetSunburstDefinitionRequestQueryEventQueryCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryCompute {
	Aggregation: *string,
	Interval: *f64,
	Metric: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation methods for event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryCompute.property.interval">Interval</a></code> | <code>*f64</code> | A time interval in milliseconds. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryCompute.property.metric">Metric</a></code> | <code>*string</code> | The measurable attribute to compute. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation methods for event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

A time interval in milliseconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

##### `Metric`<sup>Optional</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryCompute.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

The measurable attribute to compute.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

### DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBy <a name="DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	Sort: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The event facet. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The number of groups to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBy.property.sort">Sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort</a></code> | sort block. |

---

##### `Facet`<sup>Required</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The event facet.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The number of groups to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `Sort`<sup>Optional</sup> <a name="Sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBy.property.sort"></a>

```go
Sort DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort</a>

sort block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

### DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort <a name="DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort {
	Aggregation: *string,
	Metric: *string,
	Order: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation methods for the event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort.property.metric">Metric</a></code> | <code>*string</code> | The metric used for sorting group by results. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort.property.order">Order</a></code> | <code>*string</code> | Direction of sort. Valid values are `asc`, `desc`. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation methods for the event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Metric`<sup>Optional</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

The metric used for sorting group by results.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `Order`<sup>Optional</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort.property.order"></a>

```go
Order *string
```

- *Type:* *string

Direction of sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetSunburstDefinitionRequestQueryEventQuerySearch <a name="DashboardWidgetSunburstDefinitionRequestQueryEventQuerySearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuerySearch"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuerySearch.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuerySearch {
	Query: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuerySearch.property.query">Query</a></code> | <code>*string</code> | The events search string. |

---

##### `Query`<sup>Required</sup> <a name="Query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuerySearch.property.query"></a>

```go
Query *string
```

- *Type:* *string

The events search string.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetSunburstDefinitionRequestQueryMetricQuery <a name="DashboardWidgetSunburstDefinitionRequestQueryMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryMetricQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryMetricQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetSunburstDefinitionRequestQueryMetricQuery {
	Name: *string,
	Query: *string,
	Aggregator: *string,
	DataSource: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryMetricQuery.property.name">Name</a></code> | <code>*string</code> | The name of the query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryMetricQuery.property.query">Query</a></code> | <code>*string</code> | The metrics query definition. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryMetricQuery.property.aggregator">Aggregator</a></code> | <code>*string</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryMetricQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for metrics queries. |

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryMetricQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of the query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `Query`<sup>Required</sup> <a name="Query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryMetricQuery.property.query"></a>

```go
Query *string
```

- *Type:* *string

The metrics query definition.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `Aggregator`<sup>Optional</sup> <a name="Aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryMetricQuery.property.aggregator"></a>

```go
Aggregator *string
```

- *Type:* *string

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `DataSource`<sup>Optional</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryMetricQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for metrics queries.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

### DashboardWidgetSunburstDefinitionRequestQueryProcessQuery <a name="DashboardWidgetSunburstDefinitionRequestQueryProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery {
	DataSource: *string,
	Metric: *string,
	Name: *string,
	Aggregator: *string,
	IsNormalizedCpu: interface{},
	Limit: *f64,
	Sort: *string,
	TagFilters: *[]*string,
	TextFilter: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for process queries. Valid values are `process`, `container`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery.property.metric">Metric</a></code> | <code>*string</code> | The process metric name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery.property.name">Name</a></code> | <code>*string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery.property.aggregator">Aggregator</a></code> | <code>*string</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery.property.isNormalizedCpu">IsNormalizedCpu</a></code> | <code>interface{}</code> | Whether to normalize the CPU percentages. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery.property.limit">Limit</a></code> | <code>*f64</code> | The number of hits to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery.property.sort">Sort</a></code> | <code>*string</code> | The direction of the sort. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery.property.tagFilters">TagFilters</a></code> | <code>*[]*string</code> | An array of tags to filter by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery.property.textFilter">TextFilter</a></code> | <code>*string</code> | The text to use as a filter. |

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for process queries. Valid values are `process`, `container`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `Metric`<sup>Required</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

The process metric name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `Aggregator`<sup>Optional</sup> <a name="Aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery.property.aggregator"></a>

```go
Aggregator *string
```

- *Type:* *string

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `IsNormalizedCpu`<sup>Optional</sup> <a name="IsNormalizedCpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery.property.isNormalizedCpu"></a>

```go
IsNormalizedCpu interface{}
```

- *Type:* interface{}

Whether to normalize the CPU percentages.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_normalized_cpu Dashboard#is_normalized_cpu}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The number of hits to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `Sort`<sup>Optional</sup> <a name="Sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery.property.sort"></a>

```go
Sort *string
```

- *Type:* *string

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `TagFilters`<sup>Optional</sup> <a name="TagFilters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery.property.tagFilters"></a>

```go
TagFilters *[]*string
```

- *Type:* *[]*string

An array of tags to filter by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tag_filters Dashboard#tag_filters}

---

##### `TextFilter`<sup>Optional</sup> <a name="TextFilter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery.property.textFilter"></a>

```go
TextFilter *string
```

- *Type:* *string

The text to use as a filter.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_filter Dashboard#text_filter}

---

### DashboardWidgetSunburstDefinitionRequestRumQuery <a name="DashboardWidgetSunburstDefinitionRequestRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetSunburstDefinitionRequestRumQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryComputeQuery">DashboardWidgetSunburstDefinitionRequestRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetSunburstDefinitionRequestRumQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryComputeQuery">DashboardWidgetSunburstDefinitionRequestRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetSunburstDefinitionRequestRumQueryComputeQuery <a name="DashboardWidgetSunburstDefinitionRequestRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetSunburstDefinitionRequestRumQueryGroupBy <a name="DashboardWidgetSunburstDefinitionRequestRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery <a name="DashboardWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetSunburstDefinitionRequestRumQueryMultiCompute <a name="DashboardWidgetSunburstDefinitionRequestRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetSunburstDefinitionRequestSecurityQuery <a name="DashboardWidgetSunburstDefinitionRequestSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetSunburstDefinitionRequestSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetSunburstDefinitionRequestSecurityQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetSunburstDefinitionRequestSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetSunburstDefinitionRequestSecurityQueryComputeQuery <a name="DashboardWidgetSunburstDefinitionRequestSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBy <a name="DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery <a name="DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetSunburstDefinitionRequestSecurityQueryMultiCompute <a name="DashboardWidgetSunburstDefinitionRequestSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetTimeseriesDefinition <a name="DashboardWidgetTimeseriesDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetTimeseriesDefinition {
	CustomLink: interface{},
	Event: interface{},
	LegendColumns: *[]*string,
	LegendLayout: *string,
	LegendSize: *string,
	LiveSpan: *string,
	Marker: interface{},
	Request: interface{},
	RightYaxis: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetTimeseriesDefinitionRightYaxis,
	ShowLegend: interface{},
	Title: *string,
	TitleAlign: *string,
	TitleSize: *string,
	Yaxis: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetTimeseriesDefinitionYaxis,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.customLink">CustomLink</a></code> | <code>interface{}</code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.event">Event</a></code> | <code>interface{}</code> | event block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.legendColumns">LegendColumns</a></code> | <code>*[]*string</code> | A list of columns to display in the legend. Valid values are `value`, `avg`, `sum`, `min`, `max`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.legendLayout">LegendLayout</a></code> | <code>*string</code> | The layout of the legend displayed in the widget. Valid values are `auto`, `horizontal`, `vertical`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.legendSize">LegendSize</a></code> | <code>*string</code> | The size of the legend displayed in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.liveSpan">LiveSpan</a></code> | <code>*string</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.marker">Marker</a></code> | <code>interface{}</code> | marker block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.request">Request</a></code> | <code>interface{}</code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.rightYaxis">RightYaxis</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRightYaxis">DashboardWidgetTimeseriesDefinitionRightYaxis</a></code> | right_yaxis block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.showLegend">ShowLegend</a></code> | <code>interface{}</code> | Whether or not to show the legend on this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.title">Title</a></code> | <code>*string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.titleAlign">TitleAlign</a></code> | <code>*string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.titleSize">TitleSize</a></code> | <code>*string</code> | The size of the widget's title (defaults to 16). |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.yaxis">Yaxis</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionYaxis">DashboardWidgetTimeseriesDefinitionYaxis</a></code> | yaxis block. |

---

##### `CustomLink`<sup>Optional</sup> <a name="CustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.customLink"></a>

```go
CustomLink interface{}
```

- *Type:* interface{}

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `Event`<sup>Optional</sup> <a name="Event" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.event"></a>

```go
Event interface{}
```

- *Type:* interface{}

event block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event Dashboard#event}

---

##### `LegendColumns`<sup>Optional</sup> <a name="LegendColumns" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.legendColumns"></a>

```go
LegendColumns *[]*string
```

- *Type:* *[]*string

A list of columns to display in the legend. Valid values are `value`, `avg`, `sum`, `min`, `max`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#legend_columns Dashboard#legend_columns}

---

##### `LegendLayout`<sup>Optional</sup> <a name="LegendLayout" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.legendLayout"></a>

```go
LegendLayout *string
```

- *Type:* *string

The layout of the legend displayed in the widget. Valid values are `auto`, `horizontal`, `vertical`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#legend_layout Dashboard#legend_layout}

---

##### `LegendSize`<sup>Optional</sup> <a name="LegendSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.legendSize"></a>

```go
LegendSize *string
```

- *Type:* *string

The size of the legend displayed in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#legend_size Dashboard#legend_size}

---

##### `LiveSpan`<sup>Optional</sup> <a name="LiveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.liveSpan"></a>

```go
LiveSpan *string
```

- *Type:* *string

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `Marker`<sup>Optional</sup> <a name="Marker" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.marker"></a>

```go
Marker interface{}
```

- *Type:* interface{}

marker block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#marker Dashboard#marker}

---

##### `Request`<sup>Optional</sup> <a name="Request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.request"></a>

```go
Request interface{}
```

- *Type:* interface{}

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `RightYaxis`<sup>Optional</sup> <a name="RightYaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.rightYaxis"></a>

```go
RightYaxis DashboardWidgetTimeseriesDefinitionRightYaxis
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRightYaxis">DashboardWidgetTimeseriesDefinitionRightYaxis</a>

right_yaxis block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#right_yaxis Dashboard#right_yaxis}

---

##### `ShowLegend`<sup>Optional</sup> <a name="ShowLegend" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.showLegend"></a>

```go
ShowLegend interface{}
```

- *Type:* interface{}

Whether or not to show the legend on this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_legend Dashboard#show_legend}

---

##### `Title`<sup>Optional</sup> <a name="Title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.title"></a>

```go
Title *string
```

- *Type:* *string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `TitleAlign`<sup>Optional</sup> <a name="TitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.titleAlign"></a>

```go
TitleAlign *string
```

- *Type:* *string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `TitleSize`<sup>Optional</sup> <a name="TitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.titleSize"></a>

```go
TitleSize *string
```

- *Type:* *string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

##### `Yaxis`<sup>Optional</sup> <a name="Yaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.yaxis"></a>

```go
Yaxis DashboardWidgetTimeseriesDefinitionYaxis
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionYaxis">DashboardWidgetTimeseriesDefinitionYaxis</a>

yaxis block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#yaxis Dashboard#yaxis}

---

### DashboardWidgetTimeseriesDefinitionCustomLink <a name="DashboardWidgetTimeseriesDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionCustomLink.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetTimeseriesDefinitionCustomLink {
	IsHidden: interface{},
	Label: *string,
	Link: *string,
	OverrideLabel: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionCustomLink.property.isHidden">IsHidden</a></code> | <code>interface{}</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionCustomLink.property.label">Label</a></code> | <code>*string</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionCustomLink.property.link">Link</a></code> | <code>*string</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionCustomLink.property.overrideLabel">OverrideLabel</a></code> | <code>*string</code> | The label ID that refers to a context menu link item. |

---

##### `IsHidden`<sup>Optional</sup> <a name="IsHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionCustomLink.property.isHidden"></a>

```go
IsHidden interface{}
```

- *Type:* interface{}

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `Label`<sup>Optional</sup> <a name="Label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionCustomLink.property.label"></a>

```go
Label *string
```

- *Type:* *string

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `Link`<sup>Optional</sup> <a name="Link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionCustomLink.property.link"></a>

```go
Link *string
```

- *Type:* *string

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `OverrideLabel`<sup>Optional</sup> <a name="OverrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionCustomLink.property.overrideLabel"></a>

```go
OverrideLabel *string
```

- *Type:* *string

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetTimeseriesDefinitionEvent <a name="DashboardWidgetTimeseriesDefinitionEvent" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionEvent"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionEvent.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetTimeseriesDefinitionEvent {
	Q: *string,
	TagsExecution: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionEvent.property.q">Q</a></code> | <code>*string</code> | The event query to use in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionEvent.property.tagsExecution">TagsExecution</a></code> | <code>*string</code> | The execution method for multi-value filters. |

---

##### `Q`<sup>Required</sup> <a name="Q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionEvent.property.q"></a>

```go
Q *string
```

- *Type:* *string

The event query to use in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `TagsExecution`<sup>Optional</sup> <a name="TagsExecution" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionEvent.property.tagsExecution"></a>

```go
TagsExecution *string
```

- *Type:* *string

The execution method for multi-value filters.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tags_execution Dashboard#tags_execution}

---

### DashboardWidgetTimeseriesDefinitionMarker <a name="DashboardWidgetTimeseriesDefinitionMarker" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionMarker"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionMarker.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetTimeseriesDefinitionMarker {
	Value: *string,
	DisplayType: *string,
	Label: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionMarker.property.value">Value</a></code> | <code>*string</code> | A mathematical expression describing the marker, for example: `y > 1`, `-5 < y < 0`, `y = 19`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionMarker.property.displayType">DisplayType</a></code> | <code>*string</code> | How the marker lines are displayed, options are one of {`error`, `warning`, `info`, `ok`} combined with one of {`dashed`, `solid`, `bold`}. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionMarker.property.label">Label</a></code> | <code>*string</code> | A label for the line or range. |

---

##### `Value`<sup>Required</sup> <a name="Value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionMarker.property.value"></a>

```go
Value *string
```

- *Type:* *string

A mathematical expression describing the marker, for example: `y > 1`, `-5 < y < 0`, `y = 19`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `DisplayType`<sup>Optional</sup> <a name="DisplayType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionMarker.property.displayType"></a>

```go
DisplayType *string
```

- *Type:* *string

How the marker lines are displayed, options are one of {`error`, `warning`, `info`, `ok`} combined with one of {`dashed`, `solid`, `bold`}.

Example: `error dashed`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#display_type Dashboard#display_type}

---

##### `Label`<sup>Optional</sup> <a name="Label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionMarker.property.label"></a>

```go
Label *string
```

- *Type:* *string

A label for the line or range.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

### DashboardWidgetTimeseriesDefinitionRequest <a name="DashboardWidgetTimeseriesDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetTimeseriesDefinitionRequest {
	ApmQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQuery,
	AuditQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQuery,
	DisplayType: *string,
	Formula: interface{},
	LogQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQuery,
	Metadata: interface{},
	NetworkQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQuery,
	OnRightYaxis: interface{},
	ProcessQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetTimeseriesDefinitionRequestProcessQuery,
	Q: *string,
	Query: interface{},
	RumQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQuery,
	SecurityQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQuery,
	Style: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetTimeseriesDefinitionRequestStyle,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.apmQuery">ApmQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQuery">DashboardWidgetTimeseriesDefinitionRequestApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.auditQuery">AuditQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQuery">DashboardWidgetTimeseriesDefinitionRequestAuditQuery</a></code> | audit_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.displayType">DisplayType</a></code> | <code>*string</code> | How to display the marker lines. Valid values are `area`, `bars`, `line`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.formula">Formula</a></code> | <code>interface{}</code> | formula block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.logQuery">LogQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQuery">DashboardWidgetTimeseriesDefinitionRequestLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.metadata">Metadata</a></code> | <code>interface{}</code> | metadata block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.networkQuery">NetworkQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQuery">DashboardWidgetTimeseriesDefinitionRequestNetworkQuery</a></code> | network_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.onRightYaxis">OnRightYaxis</a></code> | <code>interface{}</code> | A Boolean indicating whether the request uses the right or left Y-Axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.processQuery">ProcessQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestProcessQuery">DashboardWidgetTimeseriesDefinitionRequestProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.q">Q</a></code> | <code>*string</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.query">Query</a></code> | <code>interface{}</code> | query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.rumQuery">RumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQuery">DashboardWidgetTimeseriesDefinitionRequestRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.securityQuery">SecurityQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQuery">DashboardWidgetTimeseriesDefinitionRequestSecurityQuery</a></code> | security_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.style">Style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestStyle">DashboardWidgetTimeseriesDefinitionRequestStyle</a></code> | style block. |

---

##### `ApmQuery`<sup>Optional</sup> <a name="ApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.apmQuery"></a>

```go
ApmQuery DashboardWidgetTimeseriesDefinitionRequestApmQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQuery">DashboardWidgetTimeseriesDefinitionRequestApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `AuditQuery`<sup>Optional</sup> <a name="AuditQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.auditQuery"></a>

```go
AuditQuery DashboardWidgetTimeseriesDefinitionRequestAuditQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQuery">DashboardWidgetTimeseriesDefinitionRequestAuditQuery</a>

audit_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#audit_query Dashboard#audit_query}

---

##### `DisplayType`<sup>Optional</sup> <a name="DisplayType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.displayType"></a>

```go
DisplayType *string
```

- *Type:* *string

How to display the marker lines. Valid values are `area`, `bars`, `line`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#display_type Dashboard#display_type}

---

##### `Formula`<sup>Optional</sup> <a name="Formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.formula"></a>

```go
Formula interface{}
```

- *Type:* interface{}

formula block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula Dashboard#formula}

---

##### `LogQuery`<sup>Optional</sup> <a name="LogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.logQuery"></a>

```go
LogQuery DashboardWidgetTimeseriesDefinitionRequestLogQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQuery">DashboardWidgetTimeseriesDefinitionRequestLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `Metadata`<sup>Optional</sup> <a name="Metadata" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.metadata"></a>

```go
Metadata interface{}
```

- *Type:* interface{}

metadata block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metadata Dashboard#metadata}

---

##### `NetworkQuery`<sup>Optional</sup> <a name="NetworkQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.networkQuery"></a>

```go
NetworkQuery DashboardWidgetTimeseriesDefinitionRequestNetworkQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQuery">DashboardWidgetTimeseriesDefinitionRequestNetworkQuery</a>

network_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#network_query Dashboard#network_query}

---

##### `OnRightYaxis`<sup>Optional</sup> <a name="OnRightYaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.onRightYaxis"></a>

```go
OnRightYaxis interface{}
```

- *Type:* interface{}

A Boolean indicating whether the request uses the right or left Y-Axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#on_right_yaxis Dashboard#on_right_yaxis}

---

##### `ProcessQuery`<sup>Optional</sup> <a name="ProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.processQuery"></a>

```go
ProcessQuery DashboardWidgetTimeseriesDefinitionRequestProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestProcessQuery">DashboardWidgetTimeseriesDefinitionRequestProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `Q`<sup>Optional</sup> <a name="Q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.q"></a>

```go
Q *string
```

- *Type:* *string

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `Query`<sup>Optional</sup> <a name="Query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.query"></a>

```go
Query interface{}
```

- *Type:* interface{}

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `RumQuery`<sup>Optional</sup> <a name="RumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.rumQuery"></a>

```go
RumQuery DashboardWidgetTimeseriesDefinitionRequestRumQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQuery">DashboardWidgetTimeseriesDefinitionRequestRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `SecurityQuery`<sup>Optional</sup> <a name="SecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.securityQuery"></a>

```go
SecurityQuery DashboardWidgetTimeseriesDefinitionRequestSecurityQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQuery">DashboardWidgetTimeseriesDefinitionRequestSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

##### `Style`<sup>Optional</sup> <a name="Style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.style"></a>

```go
Style DashboardWidgetTimeseriesDefinitionRequestStyle
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestStyle">DashboardWidgetTimeseriesDefinitionRequestStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetTimeseriesDefinitionRequestApmQuery <a name="DashboardWidgetTimeseriesDefinitionRequestApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryComputeQuery">DashboardWidgetTimeseriesDefinitionRequestApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetTimeseriesDefinitionRequestApmQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryComputeQuery">DashboardWidgetTimeseriesDefinitionRequestApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetTimeseriesDefinitionRequestApmQueryComputeQuery <a name="DashboardWidgetTimeseriesDefinitionRequestApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBy <a name="DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery <a name="DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetTimeseriesDefinitionRequestApmQueryMultiCompute <a name="DashboardWidgetTimeseriesDefinitionRequestApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetTimeseriesDefinitionRequestAuditQuery <a name="DashboardWidgetTimeseriesDefinitionRequestAuditQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery">DashboardWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery">DashboardWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery <a name="DashboardWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBy <a name="DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery">DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery">DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery <a name="DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute <a name="DashboardWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetTimeseriesDefinitionRequestFormula <a name="DashboardWidgetTimeseriesDefinitionRequestFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormula"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormula.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetTimeseriesDefinitionRequestFormula {
	FormulaExpression: *string,
	Alias: *string,
	CellDisplayMode: *string,
	ConditionalFormats: interface{},
	Limit: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaLimit,
	Style: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaStyle,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormula.property.formulaExpression">FormulaExpression</a></code> | <code>*string</code> | A string expression built from queries, formulas, and functions. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormula.property.alias">Alias</a></code> | <code>*string</code> | An expression alias. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormula.property.cellDisplayMode">CellDisplayMode</a></code> | <code>*string</code> | A list of display modes for each table cell. Valid values are `number`, `bar`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormula.property.conditionalFormats">ConditionalFormats</a></code> | <code>interface{}</code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormula.property.limit">Limit</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaLimit">DashboardWidgetTimeseriesDefinitionRequestFormulaLimit</a></code> | limit block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormula.property.style">Style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaStyle">DashboardWidgetTimeseriesDefinitionRequestFormulaStyle</a></code> | style block. |

---

##### `FormulaExpression`<sup>Required</sup> <a name="FormulaExpression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormula.property.formulaExpression"></a>

```go
FormulaExpression *string
```

- *Type:* *string

A string expression built from queries, formulas, and functions.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula_expression Dashboard#formula_expression}

---

##### `Alias`<sup>Optional</sup> <a name="Alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormula.property.alias"></a>

```go
Alias *string
```

- *Type:* *string

An expression alias.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `CellDisplayMode`<sup>Optional</sup> <a name="CellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormula.property.cellDisplayMode"></a>

```go
CellDisplayMode *string
```

- *Type:* *string

A list of display modes for each table cell. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `ConditionalFormats`<sup>Optional</sup> <a name="ConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormula.property.conditionalFormats"></a>

```go
ConditionalFormats interface{}
```

- *Type:* interface{}

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormula.property.limit"></a>

```go
Limit DashboardWidgetTimeseriesDefinitionRequestFormulaLimit
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaLimit">DashboardWidgetTimeseriesDefinitionRequestFormulaLimit</a>

limit block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `Style`<sup>Optional</sup> <a name="Style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormula.property.style"></a>

```go
Style DashboardWidgetTimeseriesDefinitionRequestFormulaStyle
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaStyle">DashboardWidgetTimeseriesDefinitionRequestFormulaStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats <a name="DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats {
	Comparator: *string,
	Palette: *string,
	Value: *f64,
	CustomBgColor: *string,
	CustomFgColor: *string,
	HideValue: interface{},
	ImageUrl: *string,
	Metric: *string,
	Timeframe: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.comparator">Comparator</a></code> | <code>*string</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.palette">Palette</a></code> | <code>*string</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.value">Value</a></code> | <code>*f64</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.customBgColor">CustomBgColor</a></code> | <code>*string</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.customFgColor">CustomFgColor</a></code> | <code>*string</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.hideValue">HideValue</a></code> | <code>interface{}</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.imageUrl">ImageUrl</a></code> | <code>*string</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.metric">Metric</a></code> | <code>*string</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.timeframe">Timeframe</a></code> | <code>*string</code> | Defines the displayed timeframe. |

---

##### `Comparator`<sup>Required</sup> <a name="Comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.comparator"></a>

```go
Comparator *string
```

- *Type:* *string

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `Palette`<sup>Required</sup> <a name="Palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.palette"></a>

```go
Palette *string
```

- *Type:* *string

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `Value`<sup>Required</sup> <a name="Value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.value"></a>

```go
Value *f64
```

- *Type:* *f64

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `CustomBgColor`<sup>Optional</sup> <a name="CustomBgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.customBgColor"></a>

```go
CustomBgColor *string
```

- *Type:* *string

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `CustomFgColor`<sup>Optional</sup> <a name="CustomFgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.customFgColor"></a>

```go
CustomFgColor *string
```

- *Type:* *string

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `HideValue`<sup>Optional</sup> <a name="HideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.hideValue"></a>

```go
HideValue interface{}
```

- *Type:* interface{}

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `ImageUrl`<sup>Optional</sup> <a name="ImageUrl" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.imageUrl"></a>

```go
ImageUrl *string
```

- *Type:* *string

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `Metric`<sup>Optional</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `Timeframe`<sup>Optional</sup> <a name="Timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.timeframe"></a>

```go
Timeframe *string
```

- *Type:* *string

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetTimeseriesDefinitionRequestFormulaLimit <a name="DashboardWidgetTimeseriesDefinitionRequestFormulaLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaLimit"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaLimit.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaLimit {
	Count: *f64,
	Order: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaLimit.property.count">Count</a></code> | <code>*f64</code> | The number of results to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaLimit.property.order">Order</a></code> | <code>*string</code> | The direction of the sort. Valid values are `asc`, `desc`. |

---

##### `Count`<sup>Optional</sup> <a name="Count" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaLimit.property.count"></a>

```go
Count *f64
```

- *Type:* *f64

The number of results to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#count Dashboard#count}

---

##### `Order`<sup>Optional</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaLimit.property.order"></a>

```go
Order *string
```

- *Type:* *string

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetTimeseriesDefinitionRequestFormulaStyle <a name="DashboardWidgetTimeseriesDefinitionRequestFormulaStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaStyle.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaStyle {
	Palette: *string,
	PaletteIndex: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaStyle.property.palette">Palette</a></code> | <code>*string</code> | The color palette used to display the formula. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaStyle.property.paletteIndex">PaletteIndex</a></code> | <code>*f64</code> | Index specifying which color to use within the palette. |

---

##### `Palette`<sup>Optional</sup> <a name="Palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaStyle.property.palette"></a>

```go
Palette *string
```

- *Type:* *string

The color palette used to display the formula.

A guide to the available color palettes can be found at https://docs.datadoghq.com/dashboards/guide/widget_colors

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `PaletteIndex`<sup>Optional</sup> <a name="PaletteIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaStyle.property.paletteIndex"></a>

```go
PaletteIndex *f64
```

- *Type:* *f64

Index specifying which color to use within the palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette_index Dashboard#palette_index}

---

### DashboardWidgetTimeseriesDefinitionRequestLogQuery <a name="DashboardWidgetTimeseriesDefinitionRequestLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryComputeQuery">DashboardWidgetTimeseriesDefinitionRequestLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetTimeseriesDefinitionRequestLogQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryComputeQuery">DashboardWidgetTimeseriesDefinitionRequestLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetTimeseriesDefinitionRequestLogQueryComputeQuery <a name="DashboardWidgetTimeseriesDefinitionRequestLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBy <a name="DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery <a name="DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetTimeseriesDefinitionRequestLogQueryMultiCompute <a name="DashboardWidgetTimeseriesDefinitionRequestLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetTimeseriesDefinitionRequestMetadata <a name="DashboardWidgetTimeseriesDefinitionRequestMetadata" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestMetadata"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestMetadata.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetTimeseriesDefinitionRequestMetadata {
	Expression: *string,
	AliasName: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestMetadata.property.expression">Expression</a></code> | <code>*string</code> | The expression name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestMetadata.property.aliasName">AliasName</a></code> | <code>*string</code> | The expression alias. |

---

##### `Expression`<sup>Required</sup> <a name="Expression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestMetadata.property.expression"></a>

```go
Expression *string
```

- *Type:* *string

The expression name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#expression Dashboard#expression}

---

##### `AliasName`<sup>Optional</sup> <a name="AliasName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestMetadata.property.aliasName"></a>

```go
AliasName *string
```

- *Type:* *string

The expression alias.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias_name Dashboard#alias_name}

---

### DashboardWidgetTimeseriesDefinitionRequestNetworkQuery <a name="DashboardWidgetTimeseriesDefinitionRequestNetworkQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery">DashboardWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery">DashboardWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery <a name="DashboardWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy <a name="DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery">DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery">DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery <a name="DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute <a name="DashboardWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetTimeseriesDefinitionRequestProcessQuery <a name="DashboardWidgetTimeseriesDefinitionRequestProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestProcessQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetTimeseriesDefinitionRequestProcessQuery {
	Metric: *string,
	FilterBy: *[]*string,
	Limit: *f64,
	SearchBy: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestProcessQuery.property.metric">Metric</a></code> | <code>*string</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestProcessQuery.property.filterBy">FilterBy</a></code> | <code>*[]*string</code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestProcessQuery.property.limit">Limit</a></code> | <code>*f64</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestProcessQuery.property.searchBy">SearchBy</a></code> | <code>*string</code> | Your chosen search term. |

---

##### `Metric`<sup>Required</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestProcessQuery.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `FilterBy`<sup>Optional</sup> <a name="FilterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestProcessQuery.property.filterBy"></a>

```go
FilterBy *[]*string
```

- *Type:* *[]*string

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestProcessQuery.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SearchBy`<sup>Optional</sup> <a name="SearchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestProcessQuery.property.searchBy"></a>

```go
SearchBy *string
```

- *Type:* *string

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetTimeseriesDefinitionRequestQuery <a name="DashboardWidgetTimeseriesDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetTimeseriesDefinitionRequestQuery {
	ApmDependencyStatsQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery,
	ApmResourceStatsQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery,
	EventQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery,
	MetricQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryMetricQuery,
	ProcessQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQuery.property.apmDependencyStatsQuery">ApmDependencyStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery</a></code> | apm_dependency_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQuery.property.apmResourceStatsQuery">ApmResourceStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery</a></code> | apm_resource_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQuery.property.eventQuery">EventQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery">DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery</a></code> | event_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQuery.property.metricQuery">MetricQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryMetricQuery">DashboardWidgetTimeseriesDefinitionRequestQueryMetricQuery</a></code> | metric_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQuery.property.processQuery">ProcessQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery">DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery</a></code> | process_query block. |

---

##### `ApmDependencyStatsQuery`<sup>Optional</sup> <a name="ApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQuery.property.apmDependencyStatsQuery"></a>

```go
ApmDependencyStatsQuery DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery</a>

apm_dependency_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_dependency_stats_query Dashboard#apm_dependency_stats_query}

---

##### `ApmResourceStatsQuery`<sup>Optional</sup> <a name="ApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQuery.property.apmResourceStatsQuery"></a>

```go
ApmResourceStatsQuery DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery</a>

apm_resource_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_resource_stats_query Dashboard#apm_resource_stats_query}

---

##### `EventQuery`<sup>Optional</sup> <a name="EventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQuery.property.eventQuery"></a>

```go
EventQuery DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery">DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery</a>

event_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_query Dashboard#event_query}

---

##### `MetricQuery`<sup>Optional</sup> <a name="MetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQuery.property.metricQuery"></a>

```go
MetricQuery DashboardWidgetTimeseriesDefinitionRequestQueryMetricQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryMetricQuery">DashboardWidgetTimeseriesDefinitionRequestQueryMetricQuery</a>

metric_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric_query Dashboard#metric_query}

---

##### `ProcessQuery`<sup>Optional</sup> <a name="ProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQuery.property.processQuery"></a>

```go
ProcessQuery DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery">DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

### DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery <a name="DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery {
	DataSource: *string,
	Env: *string,
	Name: *string,
	OperationName: *string,
	ResourceName: *string,
	Service: *string,
	Stat: *string,
	IsUpstream: interface{},
	PrimaryTagName: *string,
	PrimaryTagValue: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.env">Env</a></code> | <code>*string</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.name">Name</a></code> | <code>*string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.operationName">OperationName</a></code> | <code>*string</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName">ResourceName</a></code> | <code>*string</code> | APM resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.service">Service</a></code> | <code>*string</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.stat">Stat</a></code> | <code>*string</code> | APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream">IsUpstream</a></code> | <code>interface{}</code> | Determines whether stats for upstream or downstream dependencies should be queried. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName">PrimaryTagName</a></code> | <code>*string</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue">PrimaryTagValue</a></code> | <code>*string</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `Env`<sup>Required</sup> <a name="Env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.env"></a>

```go
Env *string
```

- *Type:* *string

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `OperationName`<sup>Required</sup> <a name="OperationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.operationName"></a>

```go
OperationName *string
```

- *Type:* *string

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `ResourceName`<sup>Required</sup> <a name="ResourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName"></a>

```go
ResourceName *string
```

- *Type:* *string

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

##### `Service`<sup>Required</sup> <a name="Service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.service"></a>

```go
Service *string
```

- *Type:* *string

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `Stat`<sup>Required</sup> <a name="Stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.stat"></a>

```go
Stat *string
```

- *Type:* *string

APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `IsUpstream`<sup>Optional</sup> <a name="IsUpstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream"></a>

```go
IsUpstream interface{}
```

- *Type:* interface{}

Determines whether stats for upstream or downstream dependencies should be queried.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_upstream Dashboard#is_upstream}

---

##### `PrimaryTagName`<sup>Optional</sup> <a name="PrimaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName"></a>

```go
PrimaryTagName *string
```

- *Type:* *string

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `PrimaryTagValue`<sup>Optional</sup> <a name="PrimaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue"></a>

```go
PrimaryTagValue *string
```

- *Type:* *string

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

### DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery <a name="DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery {
	DataSource: *string,
	Env: *string,
	Name: *string,
	Service: *string,
	Stat: *string,
	GroupBy: *[]*string,
	OperationName: *string,
	PrimaryTagName: *string,
	PrimaryTagValue: *string,
	ResourceName: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.env">Env</a></code> | <code>*string</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.name">Name</a></code> | <code>*string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.service">Service</a></code> | <code>*string</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.stat">Stat</a></code> | <code>*string</code> | APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.groupBy">GroupBy</a></code> | <code>*[]*string</code> | Array of fields to group results by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.operationName">OperationName</a></code> | <code>*string</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName">PrimaryTagName</a></code> | <code>*string</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue">PrimaryTagValue</a></code> | <code>*string</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.resourceName">ResourceName</a></code> | <code>*string</code> | APM resource. |

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `Env`<sup>Required</sup> <a name="Env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.env"></a>

```go
Env *string
```

- *Type:* *string

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `Service`<sup>Required</sup> <a name="Service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.service"></a>

```go
Service *string
```

- *Type:* *string

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `Stat`<sup>Required</sup> <a name="Stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.stat"></a>

```go
Stat *string
```

- *Type:* *string

APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.groupBy"></a>

```go
GroupBy *[]*string
```

- *Type:* *[]*string

Array of fields to group results by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `OperationName`<sup>Optional</sup> <a name="OperationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.operationName"></a>

```go
OperationName *string
```

- *Type:* *string

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `PrimaryTagName`<sup>Optional</sup> <a name="PrimaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName"></a>

```go
PrimaryTagName *string
```

- *Type:* *string

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `PrimaryTagValue`<sup>Optional</sup> <a name="PrimaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue"></a>

```go
PrimaryTagValue *string
```

- *Type:* *string

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

##### `ResourceName`<sup>Optional</sup> <a name="ResourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.resourceName"></a>

```go
ResourceName *string
```

- *Type:* *string

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

### DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery <a name="DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery {
	Compute: interface{},
	DataSource: *string,
	Name: *string,
	GroupBy: interface{},
	Indexes: *[]*string,
	Search: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuerySearch,
	Storage: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery.property.compute">Compute</a></code> | <code>interface{}</code> | compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for event platform-based queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery.property.name">Name</a></code> | <code>*string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery.property.indexes">Indexes</a></code> | <code>*[]*string</code> | An array of index names to query in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery.property.search">Search</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuerySearch">DashboardWidgetTimeseriesDefinitionRequestQueryEventQuerySearch</a></code> | search block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery.property.storage">Storage</a></code> | <code>*string</code> | Storage location (private beta). |

---

##### `Compute`<sup>Required</sup> <a name="Compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery.property.compute"></a>

```go
Compute interface{}
```

- *Type:* interface{}

compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute Dashboard#compute}

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for event platform-based queries.

Valid values are `logs`, `spans`, `network`, `rum`, `security_signals`, `profiles`, `audit`, `events`, `ci_tests`, `ci_pipelines`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `Indexes`<sup>Optional</sup> <a name="Indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery.property.indexes"></a>

```go
Indexes *[]*string
```

- *Type:* *[]*string

An array of index names to query in the stream.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `Search`<sup>Optional</sup> <a name="Search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery.property.search"></a>

```go
Search DashboardWidgetTimeseriesDefinitionRequestQueryEventQuerySearch
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuerySearch">DashboardWidgetTimeseriesDefinitionRequestQueryEventQuerySearch</a>

search block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search Dashboard#search}

---

##### `Storage`<sup>Optional</sup> <a name="Storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery.property.storage"></a>

```go
Storage *string
```

- *Type:* *string

Storage location (private beta).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#storage Dashboard#storage}

---

### DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryCompute <a name="DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryCompute {
	Aggregation: *string,
	Interval: *f64,
	Metric: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation methods for event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryCompute.property.interval">Interval</a></code> | <code>*f64</code> | A time interval in milliseconds. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryCompute.property.metric">Metric</a></code> | <code>*string</code> | The measurable attribute to compute. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation methods for event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

A time interval in milliseconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

##### `Metric`<sup>Optional</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryCompute.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

The measurable attribute to compute.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

### DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy <a name="DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	Sort: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The event facet. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The number of groups to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy.property.sort">Sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort</a></code> | sort block. |

---

##### `Facet`<sup>Required</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The event facet.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The number of groups to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `Sort`<sup>Optional</sup> <a name="Sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy.property.sort"></a>

```go
Sort DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort</a>

sort block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

### DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort <a name="DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort {
	Aggregation: *string,
	Metric: *string,
	Order: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation methods for the event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort.property.metric">Metric</a></code> | <code>*string</code> | The metric used for sorting group by results. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort.property.order">Order</a></code> | <code>*string</code> | Direction of sort. Valid values are `asc`, `desc`. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation methods for the event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Metric`<sup>Optional</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

The metric used for sorting group by results.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `Order`<sup>Optional</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort.property.order"></a>

```go
Order *string
```

- *Type:* *string

Direction of sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetTimeseriesDefinitionRequestQueryEventQuerySearch <a name="DashboardWidgetTimeseriesDefinitionRequestQueryEventQuerySearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuerySearch"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuerySearch.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuerySearch {
	Query: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuerySearch.property.query">Query</a></code> | <code>*string</code> | The events search string. |

---

##### `Query`<sup>Required</sup> <a name="Query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuerySearch.property.query"></a>

```go
Query *string
```

- *Type:* *string

The events search string.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetTimeseriesDefinitionRequestQueryMetricQuery <a name="DashboardWidgetTimeseriesDefinitionRequestQueryMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryMetricQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryMetricQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryMetricQuery {
	Name: *string,
	Query: *string,
	Aggregator: *string,
	DataSource: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryMetricQuery.property.name">Name</a></code> | <code>*string</code> | The name of the query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryMetricQuery.property.query">Query</a></code> | <code>*string</code> | The metrics query definition. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryMetricQuery.property.aggregator">Aggregator</a></code> | <code>*string</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryMetricQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for metrics queries. |

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryMetricQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of the query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `Query`<sup>Required</sup> <a name="Query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryMetricQuery.property.query"></a>

```go
Query *string
```

- *Type:* *string

The metrics query definition.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `Aggregator`<sup>Optional</sup> <a name="Aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryMetricQuery.property.aggregator"></a>

```go
Aggregator *string
```

- *Type:* *string

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `DataSource`<sup>Optional</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryMetricQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for metrics queries.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

### DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery <a name="DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery {
	DataSource: *string,
	Metric: *string,
	Name: *string,
	Aggregator: *string,
	IsNormalizedCpu: interface{},
	Limit: *f64,
	Sort: *string,
	TagFilters: *[]*string,
	TextFilter: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for process queries. Valid values are `process`, `container`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.metric">Metric</a></code> | <code>*string</code> | The process metric name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.name">Name</a></code> | <code>*string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.aggregator">Aggregator</a></code> | <code>*string</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.isNormalizedCpu">IsNormalizedCpu</a></code> | <code>interface{}</code> | Whether to normalize the CPU percentages. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.limit">Limit</a></code> | <code>*f64</code> | The number of hits to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.sort">Sort</a></code> | <code>*string</code> | The direction of the sort. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.tagFilters">TagFilters</a></code> | <code>*[]*string</code> | An array of tags to filter by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.textFilter">TextFilter</a></code> | <code>*string</code> | The text to use as a filter. |

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for process queries. Valid values are `process`, `container`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `Metric`<sup>Required</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

The process metric name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `Aggregator`<sup>Optional</sup> <a name="Aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.aggregator"></a>

```go
Aggregator *string
```

- *Type:* *string

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `IsNormalizedCpu`<sup>Optional</sup> <a name="IsNormalizedCpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.isNormalizedCpu"></a>

```go
IsNormalizedCpu interface{}
```

- *Type:* interface{}

Whether to normalize the CPU percentages.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_normalized_cpu Dashboard#is_normalized_cpu}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The number of hits to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `Sort`<sup>Optional</sup> <a name="Sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.sort"></a>

```go
Sort *string
```

- *Type:* *string

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `TagFilters`<sup>Optional</sup> <a name="TagFilters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.tagFilters"></a>

```go
TagFilters *[]*string
```

- *Type:* *[]*string

An array of tags to filter by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tag_filters Dashboard#tag_filters}

---

##### `TextFilter`<sup>Optional</sup> <a name="TextFilter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.textFilter"></a>

```go
TextFilter *string
```

- *Type:* *string

The text to use as a filter.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_filter Dashboard#text_filter}

---

### DashboardWidgetTimeseriesDefinitionRequestRumQuery <a name="DashboardWidgetTimeseriesDefinitionRequestRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryComputeQuery">DashboardWidgetTimeseriesDefinitionRequestRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetTimeseriesDefinitionRequestRumQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryComputeQuery">DashboardWidgetTimeseriesDefinitionRequestRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetTimeseriesDefinitionRequestRumQueryComputeQuery <a name="DashboardWidgetTimeseriesDefinitionRequestRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBy <a name="DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery <a name="DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetTimeseriesDefinitionRequestRumQueryMultiCompute <a name="DashboardWidgetTimeseriesDefinitionRequestRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetTimeseriesDefinitionRequestSecurityQuery <a name="DashboardWidgetTimeseriesDefinitionRequestSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery <a name="DashboardWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy <a name="DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery <a name="DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute <a name="DashboardWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetTimeseriesDefinitionRequestStyle <a name="DashboardWidgetTimeseriesDefinitionRequestStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestStyle.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetTimeseriesDefinitionRequestStyle {
	LineType: *string,
	LineWidth: *string,
	Palette: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestStyle.property.lineType">LineType</a></code> | <code>*string</code> | The type of lines displayed. Valid values are `dashed`, `dotted`, `solid`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestStyle.property.lineWidth">LineWidth</a></code> | <code>*string</code> | The width of line displayed. Valid values are `normal`, `thick`, `thin`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestStyle.property.palette">Palette</a></code> | <code>*string</code> | A color palette to apply to the widget. The available options are available at: https://docs.datadoghq.com/dashboards/widgets/timeseries/#appearance. |

---

##### `LineType`<sup>Optional</sup> <a name="LineType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestStyle.property.lineType"></a>

```go
LineType *string
```

- *Type:* *string

The type of lines displayed. Valid values are `dashed`, `dotted`, `solid`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#line_type Dashboard#line_type}

---

##### `LineWidth`<sup>Optional</sup> <a name="LineWidth" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestStyle.property.lineWidth"></a>

```go
LineWidth *string
```

- *Type:* *string

The width of line displayed. Valid values are `normal`, `thick`, `thin`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#line_width Dashboard#line_width}

---

##### `Palette`<sup>Optional</sup> <a name="Palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestStyle.property.palette"></a>

```go
Palette *string
```

- *Type:* *string

A color palette to apply to the widget. The available options are available at: https://docs.datadoghq.com/dashboards/widgets/timeseries/#appearance.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

### DashboardWidgetTimeseriesDefinitionRightYaxis <a name="DashboardWidgetTimeseriesDefinitionRightYaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRightYaxis"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRightYaxis.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetTimeseriesDefinitionRightYaxis {
	IncludeZero: interface{},
	Label: *string,
	Max: *string,
	Min: *string,
	Scale: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRightYaxis.property.includeZero">IncludeZero</a></code> | <code>interface{}</code> | Always include zero or fit the axis to the data range. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRightYaxis.property.label">Label</a></code> | <code>*string</code> | The label of the axis to display on the graph. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRightYaxis.property.max">Max</a></code> | <code>*string</code> | Specify the maximum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRightYaxis.property.min">Min</a></code> | <code>*string</code> | Specify the minimum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRightYaxis.property.scale">Scale</a></code> | <code>*string</code> | Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`. |

---

##### `IncludeZero`<sup>Optional</sup> <a name="IncludeZero" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRightYaxis.property.includeZero"></a>

```go
IncludeZero interface{}
```

- *Type:* interface{}

Always include zero or fit the axis to the data range.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#include_zero Dashboard#include_zero}

---

##### `Label`<sup>Optional</sup> <a name="Label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRightYaxis.property.label"></a>

```go
Label *string
```

- *Type:* *string

The label of the axis to display on the graph.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `Max`<sup>Optional</sup> <a name="Max" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRightYaxis.property.max"></a>

```go
Max *string
```

- *Type:* *string

Specify the maximum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#max Dashboard#max}

---

##### `Min`<sup>Optional</sup> <a name="Min" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRightYaxis.property.min"></a>

```go
Min *string
```

- *Type:* *string

Specify the minimum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#min Dashboard#min}

---

##### `Scale`<sup>Optional</sup> <a name="Scale" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRightYaxis.property.scale"></a>

```go
Scale *string
```

- *Type:* *string

Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#scale Dashboard#scale}

---

### DashboardWidgetTimeseriesDefinitionYaxis <a name="DashboardWidgetTimeseriesDefinitionYaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionYaxis"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionYaxis.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetTimeseriesDefinitionYaxis {
	IncludeZero: interface{},
	Label: *string,
	Max: *string,
	Min: *string,
	Scale: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionYaxis.property.includeZero">IncludeZero</a></code> | <code>interface{}</code> | Always include zero or fit the axis to the data range. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionYaxis.property.label">Label</a></code> | <code>*string</code> | The label of the axis to display on the graph. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionYaxis.property.max">Max</a></code> | <code>*string</code> | Specify the maximum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionYaxis.property.min">Min</a></code> | <code>*string</code> | Specify the minimum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionYaxis.property.scale">Scale</a></code> | <code>*string</code> | Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`. |

---

##### `IncludeZero`<sup>Optional</sup> <a name="IncludeZero" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionYaxis.property.includeZero"></a>

```go
IncludeZero interface{}
```

- *Type:* interface{}

Always include zero or fit the axis to the data range.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#include_zero Dashboard#include_zero}

---

##### `Label`<sup>Optional</sup> <a name="Label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionYaxis.property.label"></a>

```go
Label *string
```

- *Type:* *string

The label of the axis to display on the graph.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `Max`<sup>Optional</sup> <a name="Max" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionYaxis.property.max"></a>

```go
Max *string
```

- *Type:* *string

Specify the maximum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#max Dashboard#max}

---

##### `Min`<sup>Optional</sup> <a name="Min" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionYaxis.property.min"></a>

```go
Min *string
```

- *Type:* *string

Specify the minimum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#min Dashboard#min}

---

##### `Scale`<sup>Optional</sup> <a name="Scale" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionYaxis.property.scale"></a>

```go
Scale *string
```

- *Type:* *string

Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#scale Dashboard#scale}

---

### DashboardWidgetToplistDefinition <a name="DashboardWidgetToplistDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinition.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetToplistDefinition {
	CustomLink: interface{},
	LiveSpan: *string,
	Request: interface{},
	Title: *string,
	TitleAlign: *string,
	TitleSize: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinition.property.customLink">CustomLink</a></code> | <code>interface{}</code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinition.property.liveSpan">LiveSpan</a></code> | <code>*string</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinition.property.request">Request</a></code> | <code>interface{}</code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinition.property.title">Title</a></code> | <code>*string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinition.property.titleAlign">TitleAlign</a></code> | <code>*string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinition.property.titleSize">TitleSize</a></code> | <code>*string</code> | The size of the widget's title (defaults to 16). |

---

##### `CustomLink`<sup>Optional</sup> <a name="CustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinition.property.customLink"></a>

```go
CustomLink interface{}
```

- *Type:* interface{}

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `LiveSpan`<sup>Optional</sup> <a name="LiveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinition.property.liveSpan"></a>

```go
LiveSpan *string
```

- *Type:* *string

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `Request`<sup>Optional</sup> <a name="Request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinition.property.request"></a>

```go
Request interface{}
```

- *Type:* interface{}

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `Title`<sup>Optional</sup> <a name="Title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinition.property.title"></a>

```go
Title *string
```

- *Type:* *string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `TitleAlign`<sup>Optional</sup> <a name="TitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinition.property.titleAlign"></a>

```go
TitleAlign *string
```

- *Type:* *string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `TitleSize`<sup>Optional</sup> <a name="TitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinition.property.titleSize"></a>

```go
TitleSize *string
```

- *Type:* *string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetToplistDefinitionCustomLink <a name="DashboardWidgetToplistDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionCustomLink.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetToplistDefinitionCustomLink {
	IsHidden: interface{},
	Label: *string,
	Link: *string,
	OverrideLabel: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionCustomLink.property.isHidden">IsHidden</a></code> | <code>interface{}</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionCustomLink.property.label">Label</a></code> | <code>*string</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionCustomLink.property.link">Link</a></code> | <code>*string</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionCustomLink.property.overrideLabel">OverrideLabel</a></code> | <code>*string</code> | The label ID that refers to a context menu link item. |

---

##### `IsHidden`<sup>Optional</sup> <a name="IsHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionCustomLink.property.isHidden"></a>

```go
IsHidden interface{}
```

- *Type:* interface{}

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `Label`<sup>Optional</sup> <a name="Label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionCustomLink.property.label"></a>

```go
Label *string
```

- *Type:* *string

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `Link`<sup>Optional</sup> <a name="Link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionCustomLink.property.link"></a>

```go
Link *string
```

- *Type:* *string

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `OverrideLabel`<sup>Optional</sup> <a name="OverrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionCustomLink.property.overrideLabel"></a>

```go
OverrideLabel *string
```

- *Type:* *string

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetToplistDefinitionRequest <a name="DashboardWidgetToplistDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetToplistDefinitionRequest {
	ApmQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetToplistDefinitionRequestApmQuery,
	AuditQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetToplistDefinitionRequestAuditQuery,
	ConditionalFormats: interface{},
	Formula: interface{},
	LogQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetToplistDefinitionRequestLogQuery,
	ProcessQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetToplistDefinitionRequestProcessQuery,
	Q: *string,
	Query: interface{},
	RumQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetToplistDefinitionRequestRumQuery,
	SecurityQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQuery,
	Style: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetToplistDefinitionRequestStyle,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.apmQuery">ApmQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQuery">DashboardWidgetToplistDefinitionRequestApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.auditQuery">AuditQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQuery">DashboardWidgetToplistDefinitionRequestAuditQuery</a></code> | audit_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.conditionalFormats">ConditionalFormats</a></code> | <code>interface{}</code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.formula">Formula</a></code> | <code>interface{}</code> | formula block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.logQuery">LogQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQuery">DashboardWidgetToplistDefinitionRequestLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.processQuery">ProcessQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestProcessQuery">DashboardWidgetToplistDefinitionRequestProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.q">Q</a></code> | <code>*string</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.query">Query</a></code> | <code>interface{}</code> | query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.rumQuery">RumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQuery">DashboardWidgetToplistDefinitionRequestRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.securityQuery">SecurityQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQuery">DashboardWidgetToplistDefinitionRequestSecurityQuery</a></code> | security_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.style">Style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestStyle">DashboardWidgetToplistDefinitionRequestStyle</a></code> | style block. |

---

##### `ApmQuery`<sup>Optional</sup> <a name="ApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.apmQuery"></a>

```go
ApmQuery DashboardWidgetToplistDefinitionRequestApmQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQuery">DashboardWidgetToplistDefinitionRequestApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `AuditQuery`<sup>Optional</sup> <a name="AuditQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.auditQuery"></a>

```go
AuditQuery DashboardWidgetToplistDefinitionRequestAuditQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQuery">DashboardWidgetToplistDefinitionRequestAuditQuery</a>

audit_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#audit_query Dashboard#audit_query}

---

##### `ConditionalFormats`<sup>Optional</sup> <a name="ConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.conditionalFormats"></a>

```go
ConditionalFormats interface{}
```

- *Type:* interface{}

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `Formula`<sup>Optional</sup> <a name="Formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.formula"></a>

```go
Formula interface{}
```

- *Type:* interface{}

formula block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula Dashboard#formula}

---

##### `LogQuery`<sup>Optional</sup> <a name="LogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.logQuery"></a>

```go
LogQuery DashboardWidgetToplistDefinitionRequestLogQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQuery">DashboardWidgetToplistDefinitionRequestLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `ProcessQuery`<sup>Optional</sup> <a name="ProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.processQuery"></a>

```go
ProcessQuery DashboardWidgetToplistDefinitionRequestProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestProcessQuery">DashboardWidgetToplistDefinitionRequestProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `Q`<sup>Optional</sup> <a name="Q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.q"></a>

```go
Q *string
```

- *Type:* *string

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `Query`<sup>Optional</sup> <a name="Query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.query"></a>

```go
Query interface{}
```

- *Type:* interface{}

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `RumQuery`<sup>Optional</sup> <a name="RumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.rumQuery"></a>

```go
RumQuery DashboardWidgetToplistDefinitionRequestRumQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQuery">DashboardWidgetToplistDefinitionRequestRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `SecurityQuery`<sup>Optional</sup> <a name="SecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.securityQuery"></a>

```go
SecurityQuery DashboardWidgetToplistDefinitionRequestSecurityQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQuery">DashboardWidgetToplistDefinitionRequestSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

##### `Style`<sup>Optional</sup> <a name="Style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.style"></a>

```go
Style DashboardWidgetToplistDefinitionRequestStyle
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestStyle">DashboardWidgetToplistDefinitionRequestStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetToplistDefinitionRequestApmQuery <a name="DashboardWidgetToplistDefinitionRequestApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetToplistDefinitionRequestApmQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryComputeQuery">DashboardWidgetToplistDefinitionRequestApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetToplistDefinitionRequestApmQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryComputeQuery">DashboardWidgetToplistDefinitionRequestApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetToplistDefinitionRequestApmQueryComputeQuery <a name="DashboardWidgetToplistDefinitionRequestApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetToplistDefinitionRequestApmQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetToplistDefinitionRequestApmQueryGroupBy <a name="DashboardWidgetToplistDefinitionRequestApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetToplistDefinitionRequestApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetToplistDefinitionRequestApmQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetToplistDefinitionRequestApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetToplistDefinitionRequestApmQueryGroupBySortQuery <a name="DashboardWidgetToplistDefinitionRequestApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetToplistDefinitionRequestApmQueryMultiCompute <a name="DashboardWidgetToplistDefinitionRequestApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetToplistDefinitionRequestApmQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetToplistDefinitionRequestAuditQuery <a name="DashboardWidgetToplistDefinitionRequestAuditQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetToplistDefinitionRequestAuditQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryComputeQuery">DashboardWidgetToplistDefinitionRequestAuditQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetToplistDefinitionRequestAuditQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryComputeQuery">DashboardWidgetToplistDefinitionRequestAuditQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetToplistDefinitionRequestAuditQueryComputeQuery <a name="DashboardWidgetToplistDefinitionRequestAuditQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetToplistDefinitionRequestAuditQueryGroupBy <a name="DashboardWidgetToplistDefinitionRequestAuditQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery">DashboardWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery">DashboardWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery <a name="DashboardWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetToplistDefinitionRequestAuditQueryMultiCompute <a name="DashboardWidgetToplistDefinitionRequestAuditQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetToplistDefinitionRequestConditionalFormats <a name="DashboardWidgetToplistDefinitionRequestConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats {
	Comparator: *string,
	Palette: *string,
	Value: *f64,
	CustomBgColor: *string,
	CustomFgColor: *string,
	HideValue: interface{},
	ImageUrl: *string,
	Metric: *string,
	Timeframe: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats.property.comparator">Comparator</a></code> | <code>*string</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats.property.palette">Palette</a></code> | <code>*string</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats.property.value">Value</a></code> | <code>*f64</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats.property.customBgColor">CustomBgColor</a></code> | <code>*string</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats.property.customFgColor">CustomFgColor</a></code> | <code>*string</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats.property.hideValue">HideValue</a></code> | <code>interface{}</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats.property.imageUrl">ImageUrl</a></code> | <code>*string</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats.property.metric">Metric</a></code> | <code>*string</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats.property.timeframe">Timeframe</a></code> | <code>*string</code> | Defines the displayed timeframe. |

---

##### `Comparator`<sup>Required</sup> <a name="Comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats.property.comparator"></a>

```go
Comparator *string
```

- *Type:* *string

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `Palette`<sup>Required</sup> <a name="Palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats.property.palette"></a>

```go
Palette *string
```

- *Type:* *string

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `Value`<sup>Required</sup> <a name="Value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats.property.value"></a>

```go
Value *f64
```

- *Type:* *f64

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `CustomBgColor`<sup>Optional</sup> <a name="CustomBgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats.property.customBgColor"></a>

```go
CustomBgColor *string
```

- *Type:* *string

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `CustomFgColor`<sup>Optional</sup> <a name="CustomFgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats.property.customFgColor"></a>

```go
CustomFgColor *string
```

- *Type:* *string

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `HideValue`<sup>Optional</sup> <a name="HideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats.property.hideValue"></a>

```go
HideValue interface{}
```

- *Type:* interface{}

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `ImageUrl`<sup>Optional</sup> <a name="ImageUrl" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats.property.imageUrl"></a>

```go
ImageUrl *string
```

- *Type:* *string

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `Metric`<sup>Optional</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `Timeframe`<sup>Optional</sup> <a name="Timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats.property.timeframe"></a>

```go
Timeframe *string
```

- *Type:* *string

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetToplistDefinitionRequestFormula <a name="DashboardWidgetToplistDefinitionRequestFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormula"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormula.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetToplistDefinitionRequestFormula {
	FormulaExpression: *string,
	Alias: *string,
	CellDisplayMode: *string,
	ConditionalFormats: interface{},
	Limit: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetToplistDefinitionRequestFormulaLimit,
	Style: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetToplistDefinitionRequestFormulaStyle,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormula.property.formulaExpression">FormulaExpression</a></code> | <code>*string</code> | A string expression built from queries, formulas, and functions. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormula.property.alias">Alias</a></code> | <code>*string</code> | An expression alias. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormula.property.cellDisplayMode">CellDisplayMode</a></code> | <code>*string</code> | A list of display modes for each table cell. Valid values are `number`, `bar`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormula.property.conditionalFormats">ConditionalFormats</a></code> | <code>interface{}</code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormula.property.limit">Limit</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaLimit">DashboardWidgetToplistDefinitionRequestFormulaLimit</a></code> | limit block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormula.property.style">Style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaStyle">DashboardWidgetToplistDefinitionRequestFormulaStyle</a></code> | style block. |

---

##### `FormulaExpression`<sup>Required</sup> <a name="FormulaExpression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormula.property.formulaExpression"></a>

```go
FormulaExpression *string
```

- *Type:* *string

A string expression built from queries, formulas, and functions.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula_expression Dashboard#formula_expression}

---

##### `Alias`<sup>Optional</sup> <a name="Alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormula.property.alias"></a>

```go
Alias *string
```

- *Type:* *string

An expression alias.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `CellDisplayMode`<sup>Optional</sup> <a name="CellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormula.property.cellDisplayMode"></a>

```go
CellDisplayMode *string
```

- *Type:* *string

A list of display modes for each table cell. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `ConditionalFormats`<sup>Optional</sup> <a name="ConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormula.property.conditionalFormats"></a>

```go
ConditionalFormats interface{}
```

- *Type:* interface{}

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormula.property.limit"></a>

```go
Limit DashboardWidgetToplistDefinitionRequestFormulaLimit
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaLimit">DashboardWidgetToplistDefinitionRequestFormulaLimit</a>

limit block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `Style`<sup>Optional</sup> <a name="Style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormula.property.style"></a>

```go
Style DashboardWidgetToplistDefinitionRequestFormulaStyle
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaStyle">DashboardWidgetToplistDefinitionRequestFormulaStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats <a name="DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats {
	Comparator: *string,
	Palette: *string,
	Value: *f64,
	CustomBgColor: *string,
	CustomFgColor: *string,
	HideValue: interface{},
	ImageUrl: *string,
	Metric: *string,
	Timeframe: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats.property.comparator">Comparator</a></code> | <code>*string</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats.property.palette">Palette</a></code> | <code>*string</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats.property.value">Value</a></code> | <code>*f64</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats.property.customBgColor">CustomBgColor</a></code> | <code>*string</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats.property.customFgColor">CustomFgColor</a></code> | <code>*string</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats.property.hideValue">HideValue</a></code> | <code>interface{}</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats.property.imageUrl">ImageUrl</a></code> | <code>*string</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats.property.metric">Metric</a></code> | <code>*string</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats.property.timeframe">Timeframe</a></code> | <code>*string</code> | Defines the displayed timeframe. |

---

##### `Comparator`<sup>Required</sup> <a name="Comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats.property.comparator"></a>

```go
Comparator *string
```

- *Type:* *string

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `Palette`<sup>Required</sup> <a name="Palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats.property.palette"></a>

```go
Palette *string
```

- *Type:* *string

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `Value`<sup>Required</sup> <a name="Value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats.property.value"></a>

```go
Value *f64
```

- *Type:* *f64

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `CustomBgColor`<sup>Optional</sup> <a name="CustomBgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats.property.customBgColor"></a>

```go
CustomBgColor *string
```

- *Type:* *string

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `CustomFgColor`<sup>Optional</sup> <a name="CustomFgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats.property.customFgColor"></a>

```go
CustomFgColor *string
```

- *Type:* *string

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `HideValue`<sup>Optional</sup> <a name="HideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats.property.hideValue"></a>

```go
HideValue interface{}
```

- *Type:* interface{}

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `ImageUrl`<sup>Optional</sup> <a name="ImageUrl" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats.property.imageUrl"></a>

```go
ImageUrl *string
```

- *Type:* *string

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `Metric`<sup>Optional</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `Timeframe`<sup>Optional</sup> <a name="Timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats.property.timeframe"></a>

```go
Timeframe *string
```

- *Type:* *string

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetToplistDefinitionRequestFormulaLimit <a name="DashboardWidgetToplistDefinitionRequestFormulaLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaLimit"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaLimit.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetToplistDefinitionRequestFormulaLimit {
	Count: *f64,
	Order: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaLimit.property.count">Count</a></code> | <code>*f64</code> | The number of results to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaLimit.property.order">Order</a></code> | <code>*string</code> | The direction of the sort. Valid values are `asc`, `desc`. |

---

##### `Count`<sup>Optional</sup> <a name="Count" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaLimit.property.count"></a>

```go
Count *f64
```

- *Type:* *f64

The number of results to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#count Dashboard#count}

---

##### `Order`<sup>Optional</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaLimit.property.order"></a>

```go
Order *string
```

- *Type:* *string

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetToplistDefinitionRequestFormulaStyle <a name="DashboardWidgetToplistDefinitionRequestFormulaStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaStyle.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetToplistDefinitionRequestFormulaStyle {
	Palette: *string,
	PaletteIndex: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaStyle.property.palette">Palette</a></code> | <code>*string</code> | The color palette used to display the formula. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaStyle.property.paletteIndex">PaletteIndex</a></code> | <code>*f64</code> | Index specifying which color to use within the palette. |

---

##### `Palette`<sup>Optional</sup> <a name="Palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaStyle.property.palette"></a>

```go
Palette *string
```

- *Type:* *string

The color palette used to display the formula.

A guide to the available color palettes can be found at https://docs.datadoghq.com/dashboards/guide/widget_colors

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `PaletteIndex`<sup>Optional</sup> <a name="PaletteIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaStyle.property.paletteIndex"></a>

```go
PaletteIndex *f64
```

- *Type:* *f64

Index specifying which color to use within the palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette_index Dashboard#palette_index}

---

### DashboardWidgetToplistDefinitionRequestLogQuery <a name="DashboardWidgetToplistDefinitionRequestLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetToplistDefinitionRequestLogQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryComputeQuery">DashboardWidgetToplistDefinitionRequestLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetToplistDefinitionRequestLogQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryComputeQuery">DashboardWidgetToplistDefinitionRequestLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetToplistDefinitionRequestLogQueryComputeQuery <a name="DashboardWidgetToplistDefinitionRequestLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetToplistDefinitionRequestLogQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetToplistDefinitionRequestLogQueryGroupBy <a name="DashboardWidgetToplistDefinitionRequestLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetToplistDefinitionRequestLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetToplistDefinitionRequestLogQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetToplistDefinitionRequestLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetToplistDefinitionRequestLogQueryGroupBySortQuery <a name="DashboardWidgetToplistDefinitionRequestLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetToplistDefinitionRequestLogQueryMultiCompute <a name="DashboardWidgetToplistDefinitionRequestLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetToplistDefinitionRequestLogQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetToplistDefinitionRequestProcessQuery <a name="DashboardWidgetToplistDefinitionRequestProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestProcessQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetToplistDefinitionRequestProcessQuery {
	Metric: *string,
	FilterBy: *[]*string,
	Limit: *f64,
	SearchBy: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestProcessQuery.property.metric">Metric</a></code> | <code>*string</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestProcessQuery.property.filterBy">FilterBy</a></code> | <code>*[]*string</code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestProcessQuery.property.limit">Limit</a></code> | <code>*f64</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestProcessQuery.property.searchBy">SearchBy</a></code> | <code>*string</code> | Your chosen search term. |

---

##### `Metric`<sup>Required</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestProcessQuery.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `FilterBy`<sup>Optional</sup> <a name="FilterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestProcessQuery.property.filterBy"></a>

```go
FilterBy *[]*string
```

- *Type:* *[]*string

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestProcessQuery.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SearchBy`<sup>Optional</sup> <a name="SearchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestProcessQuery.property.searchBy"></a>

```go
SearchBy *string
```

- *Type:* *string

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetToplistDefinitionRequestQuery <a name="DashboardWidgetToplistDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetToplistDefinitionRequestQuery {
	ApmDependencyStatsQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery,
	ApmResourceStatsQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery,
	EventQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuery,
	MetricQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetToplistDefinitionRequestQueryMetricQuery,
	ProcessQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQuery.property.apmDependencyStatsQuery">ApmDependencyStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery</a></code> | apm_dependency_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQuery.property.apmResourceStatsQuery">ApmResourceStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery</a></code> | apm_resource_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQuery.property.eventQuery">EventQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuery">DashboardWidgetToplistDefinitionRequestQueryEventQuery</a></code> | event_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQuery.property.metricQuery">MetricQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryMetricQuery">DashboardWidgetToplistDefinitionRequestQueryMetricQuery</a></code> | metric_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQuery.property.processQuery">ProcessQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery">DashboardWidgetToplistDefinitionRequestQueryProcessQuery</a></code> | process_query block. |

---

##### `ApmDependencyStatsQuery`<sup>Optional</sup> <a name="ApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQuery.property.apmDependencyStatsQuery"></a>

```go
ApmDependencyStatsQuery DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery</a>

apm_dependency_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_dependency_stats_query Dashboard#apm_dependency_stats_query}

---

##### `ApmResourceStatsQuery`<sup>Optional</sup> <a name="ApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQuery.property.apmResourceStatsQuery"></a>

```go
ApmResourceStatsQuery DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery</a>

apm_resource_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_resource_stats_query Dashboard#apm_resource_stats_query}

---

##### `EventQuery`<sup>Optional</sup> <a name="EventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQuery.property.eventQuery"></a>

```go
EventQuery DashboardWidgetToplistDefinitionRequestQueryEventQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuery">DashboardWidgetToplistDefinitionRequestQueryEventQuery</a>

event_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_query Dashboard#event_query}

---

##### `MetricQuery`<sup>Optional</sup> <a name="MetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQuery.property.metricQuery"></a>

```go
MetricQuery DashboardWidgetToplistDefinitionRequestQueryMetricQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryMetricQuery">DashboardWidgetToplistDefinitionRequestQueryMetricQuery</a>

metric_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric_query Dashboard#metric_query}

---

##### `ProcessQuery`<sup>Optional</sup> <a name="ProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQuery.property.processQuery"></a>

```go
ProcessQuery DashboardWidgetToplistDefinitionRequestQueryProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery">DashboardWidgetToplistDefinitionRequestQueryProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

### DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery <a name="DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery {
	DataSource: *string,
	Env: *string,
	Name: *string,
	OperationName: *string,
	ResourceName: *string,
	Service: *string,
	Stat: *string,
	IsUpstream: interface{},
	PrimaryTagName: *string,
	PrimaryTagValue: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.env">Env</a></code> | <code>*string</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.name">Name</a></code> | <code>*string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.operationName">OperationName</a></code> | <code>*string</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName">ResourceName</a></code> | <code>*string</code> | APM resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.service">Service</a></code> | <code>*string</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.stat">Stat</a></code> | <code>*string</code> | APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream">IsUpstream</a></code> | <code>interface{}</code> | Determines whether stats for upstream or downstream dependencies should be queried. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName">PrimaryTagName</a></code> | <code>*string</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue">PrimaryTagValue</a></code> | <code>*string</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `Env`<sup>Required</sup> <a name="Env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.env"></a>

```go
Env *string
```

- *Type:* *string

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `OperationName`<sup>Required</sup> <a name="OperationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.operationName"></a>

```go
OperationName *string
```

- *Type:* *string

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `ResourceName`<sup>Required</sup> <a name="ResourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName"></a>

```go
ResourceName *string
```

- *Type:* *string

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

##### `Service`<sup>Required</sup> <a name="Service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.service"></a>

```go
Service *string
```

- *Type:* *string

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `Stat`<sup>Required</sup> <a name="Stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.stat"></a>

```go
Stat *string
```

- *Type:* *string

APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `IsUpstream`<sup>Optional</sup> <a name="IsUpstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream"></a>

```go
IsUpstream interface{}
```

- *Type:* interface{}

Determines whether stats for upstream or downstream dependencies should be queried.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_upstream Dashboard#is_upstream}

---

##### `PrimaryTagName`<sup>Optional</sup> <a name="PrimaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName"></a>

```go
PrimaryTagName *string
```

- *Type:* *string

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `PrimaryTagValue`<sup>Optional</sup> <a name="PrimaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue"></a>

```go
PrimaryTagValue *string
```

- *Type:* *string

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

### DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery <a name="DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery {
	DataSource: *string,
	Env: *string,
	Name: *string,
	Service: *string,
	Stat: *string,
	GroupBy: *[]*string,
	OperationName: *string,
	PrimaryTagName: *string,
	PrimaryTagValue: *string,
	ResourceName: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.env">Env</a></code> | <code>*string</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.name">Name</a></code> | <code>*string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.service">Service</a></code> | <code>*string</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.stat">Stat</a></code> | <code>*string</code> | APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.groupBy">GroupBy</a></code> | <code>*[]*string</code> | Array of fields to group results by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.operationName">OperationName</a></code> | <code>*string</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName">PrimaryTagName</a></code> | <code>*string</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue">PrimaryTagValue</a></code> | <code>*string</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.resourceName">ResourceName</a></code> | <code>*string</code> | APM resource. |

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `Env`<sup>Required</sup> <a name="Env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.env"></a>

```go
Env *string
```

- *Type:* *string

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `Service`<sup>Required</sup> <a name="Service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.service"></a>

```go
Service *string
```

- *Type:* *string

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `Stat`<sup>Required</sup> <a name="Stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.stat"></a>

```go
Stat *string
```

- *Type:* *string

APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.groupBy"></a>

```go
GroupBy *[]*string
```

- *Type:* *[]*string

Array of fields to group results by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `OperationName`<sup>Optional</sup> <a name="OperationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.operationName"></a>

```go
OperationName *string
```

- *Type:* *string

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `PrimaryTagName`<sup>Optional</sup> <a name="PrimaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName"></a>

```go
PrimaryTagName *string
```

- *Type:* *string

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `PrimaryTagValue`<sup>Optional</sup> <a name="PrimaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue"></a>

```go
PrimaryTagValue *string
```

- *Type:* *string

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

##### `ResourceName`<sup>Optional</sup> <a name="ResourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.resourceName"></a>

```go
ResourceName *string
```

- *Type:* *string

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

### DashboardWidgetToplistDefinitionRequestQueryEventQuery <a name="DashboardWidgetToplistDefinitionRequestQueryEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuery {
	Compute: interface{},
	DataSource: *string,
	Name: *string,
	GroupBy: interface{},
	Indexes: *[]*string,
	Search: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuerySearch,
	Storage: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuery.property.compute">Compute</a></code> | <code>interface{}</code> | compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for event platform-based queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuery.property.name">Name</a></code> | <code>*string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuery.property.indexes">Indexes</a></code> | <code>*[]*string</code> | An array of index names to query in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuery.property.search">Search</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuerySearch">DashboardWidgetToplistDefinitionRequestQueryEventQuerySearch</a></code> | search block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuery.property.storage">Storage</a></code> | <code>*string</code> | Storage location (private beta). |

---

##### `Compute`<sup>Required</sup> <a name="Compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuery.property.compute"></a>

```go
Compute interface{}
```

- *Type:* interface{}

compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute Dashboard#compute}

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for event platform-based queries.

Valid values are `logs`, `spans`, `network`, `rum`, `security_signals`, `profiles`, `audit`, `events`, `ci_tests`, `ci_pipelines`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `Indexes`<sup>Optional</sup> <a name="Indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuery.property.indexes"></a>

```go
Indexes *[]*string
```

- *Type:* *[]*string

An array of index names to query in the stream.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `Search`<sup>Optional</sup> <a name="Search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuery.property.search"></a>

```go
Search DashboardWidgetToplistDefinitionRequestQueryEventQuerySearch
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuerySearch">DashboardWidgetToplistDefinitionRequestQueryEventQuerySearch</a>

search block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search Dashboard#search}

---

##### `Storage`<sup>Optional</sup> <a name="Storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuery.property.storage"></a>

```go
Storage *string
```

- *Type:* *string

Storage location (private beta).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#storage Dashboard#storage}

---

### DashboardWidgetToplistDefinitionRequestQueryEventQueryCompute <a name="DashboardWidgetToplistDefinitionRequestQueryEventQueryCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryCompute {
	Aggregation: *string,
	Interval: *f64,
	Metric: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation methods for event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryCompute.property.interval">Interval</a></code> | <code>*f64</code> | A time interval in milliseconds. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryCompute.property.metric">Metric</a></code> | <code>*string</code> | The measurable attribute to compute. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation methods for event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

A time interval in milliseconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

##### `Metric`<sup>Optional</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryCompute.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

The measurable attribute to compute.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

### DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBy <a name="DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	Sort: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBySort,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The event facet. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The number of groups to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBy.property.sort">Sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBySort</a></code> | sort block. |

---

##### `Facet`<sup>Required</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The event facet.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The number of groups to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `Sort`<sup>Optional</sup> <a name="Sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBy.property.sort"></a>

```go
Sort DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBySort
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBySort</a>

sort block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

### DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBySort <a name="DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBySort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBySort"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBySort.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBySort {
	Aggregation: *string,
	Metric: *string,
	Order: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBySort.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation methods for the event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBySort.property.metric">Metric</a></code> | <code>*string</code> | The metric used for sorting group by results. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBySort.property.order">Order</a></code> | <code>*string</code> | Direction of sort. Valid values are `asc`, `desc`. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBySort.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation methods for the event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Metric`<sup>Optional</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBySort.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

The metric used for sorting group by results.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `Order`<sup>Optional</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBySort.property.order"></a>

```go
Order *string
```

- *Type:* *string

Direction of sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetToplistDefinitionRequestQueryEventQuerySearch <a name="DashboardWidgetToplistDefinitionRequestQueryEventQuerySearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuerySearch"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuerySearch.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuerySearch {
	Query: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuerySearch.property.query">Query</a></code> | <code>*string</code> | The events search string. |

---

##### `Query`<sup>Required</sup> <a name="Query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuerySearch.property.query"></a>

```go
Query *string
```

- *Type:* *string

The events search string.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetToplistDefinitionRequestQueryMetricQuery <a name="DashboardWidgetToplistDefinitionRequestQueryMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryMetricQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryMetricQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetToplistDefinitionRequestQueryMetricQuery {
	Name: *string,
	Query: *string,
	Aggregator: *string,
	DataSource: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryMetricQuery.property.name">Name</a></code> | <code>*string</code> | The name of the query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryMetricQuery.property.query">Query</a></code> | <code>*string</code> | The metrics query definition. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryMetricQuery.property.aggregator">Aggregator</a></code> | <code>*string</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryMetricQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for metrics queries. |

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryMetricQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of the query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `Query`<sup>Required</sup> <a name="Query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryMetricQuery.property.query"></a>

```go
Query *string
```

- *Type:* *string

The metrics query definition.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `Aggregator`<sup>Optional</sup> <a name="Aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryMetricQuery.property.aggregator"></a>

```go
Aggregator *string
```

- *Type:* *string

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `DataSource`<sup>Optional</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryMetricQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for metrics queries.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

### DashboardWidgetToplistDefinitionRequestQueryProcessQuery <a name="DashboardWidgetToplistDefinitionRequestQueryProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery {
	DataSource: *string,
	Metric: *string,
	Name: *string,
	Aggregator: *string,
	IsNormalizedCpu: interface{},
	Limit: *f64,
	Sort: *string,
	TagFilters: *[]*string,
	TextFilter: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for process queries. Valid values are `process`, `container`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery.property.metric">Metric</a></code> | <code>*string</code> | The process metric name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery.property.name">Name</a></code> | <code>*string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery.property.aggregator">Aggregator</a></code> | <code>*string</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery.property.isNormalizedCpu">IsNormalizedCpu</a></code> | <code>interface{}</code> | Whether to normalize the CPU percentages. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery.property.limit">Limit</a></code> | <code>*f64</code> | The number of hits to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery.property.sort">Sort</a></code> | <code>*string</code> | The direction of the sort. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery.property.tagFilters">TagFilters</a></code> | <code>*[]*string</code> | An array of tags to filter by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery.property.textFilter">TextFilter</a></code> | <code>*string</code> | The text to use as a filter. |

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for process queries. Valid values are `process`, `container`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `Metric`<sup>Required</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

The process metric name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `Aggregator`<sup>Optional</sup> <a name="Aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery.property.aggregator"></a>

```go
Aggregator *string
```

- *Type:* *string

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `IsNormalizedCpu`<sup>Optional</sup> <a name="IsNormalizedCpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery.property.isNormalizedCpu"></a>

```go
IsNormalizedCpu interface{}
```

- *Type:* interface{}

Whether to normalize the CPU percentages.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_normalized_cpu Dashboard#is_normalized_cpu}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The number of hits to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `Sort`<sup>Optional</sup> <a name="Sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery.property.sort"></a>

```go
Sort *string
```

- *Type:* *string

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `TagFilters`<sup>Optional</sup> <a name="TagFilters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery.property.tagFilters"></a>

```go
TagFilters *[]*string
```

- *Type:* *[]*string

An array of tags to filter by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tag_filters Dashboard#tag_filters}

---

##### `TextFilter`<sup>Optional</sup> <a name="TextFilter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery.property.textFilter"></a>

```go
TextFilter *string
```

- *Type:* *string

The text to use as a filter.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_filter Dashboard#text_filter}

---

### DashboardWidgetToplistDefinitionRequestRumQuery <a name="DashboardWidgetToplistDefinitionRequestRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetToplistDefinitionRequestRumQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryComputeQuery">DashboardWidgetToplistDefinitionRequestRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetToplistDefinitionRequestRumQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryComputeQuery">DashboardWidgetToplistDefinitionRequestRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetToplistDefinitionRequestRumQueryComputeQuery <a name="DashboardWidgetToplistDefinitionRequestRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetToplistDefinitionRequestRumQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetToplistDefinitionRequestRumQueryGroupBy <a name="DashboardWidgetToplistDefinitionRequestRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetToplistDefinitionRequestRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetToplistDefinitionRequestRumQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetToplistDefinitionRequestRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetToplistDefinitionRequestRumQueryGroupBySortQuery <a name="DashboardWidgetToplistDefinitionRequestRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetToplistDefinitionRequestRumQueryMultiCompute <a name="DashboardWidgetToplistDefinitionRequestRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetToplistDefinitionRequestRumQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetToplistDefinitionRequestSecurityQuery <a name="DashboardWidgetToplistDefinitionRequestSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetToplistDefinitionRequestSecurityQuery {
	Index: *string,
	ComputeQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryComputeQuery,
	GroupBy: interface{},
	MultiCompute: interface{},
	SearchQuery: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQuery.property.index">Index</a></code> | <code>*string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQuery.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetToplistDefinitionRequestSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQuery.property.multiCompute">MultiCompute</a></code> | <code>interface{}</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQuery.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | The search query to use. |

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQuery.property.index"></a>

```go
Index *string
```

- *Type:* *string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `ComputeQuery`<sup>Optional</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQuery.property.computeQuery"></a>

```go
ComputeQuery DashboardWidgetToplistDefinitionRequestSecurityQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetToplistDefinitionRequestSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `MultiCompute`<sup>Optional</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQuery.property.multiCompute"></a>

```go
MultiCompute interface{}
```

- *Type:* interface{}

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `SearchQuery`<sup>Optional</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQuery.property.searchQuery"></a>

```go
SearchQuery *string
```

- *Type:* *string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetToplistDefinitionRequestSecurityQueryComputeQuery <a name="DashboardWidgetToplistDefinitionRequestSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryComputeQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryComputeQuery {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryComputeQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryComputeQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryComputeQuery.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryComputeQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryComputeQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryComputeQuery.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBy <a name="DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	SortQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBy.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `SortQuery`<sup>Optional</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBy.property.sortQuery"></a>

```go
SortQuery DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery <a name="DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery {
	Aggregation: *string,
	Order: *string,
	Facet: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery.property.order">Order</a></code> | <code>*string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery.property.order"></a>

```go
Order *string
```

- *Type:* *string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetToplistDefinitionRequestSecurityQueryMultiCompute <a name="DashboardWidgetToplistDefinitionRequestSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryMultiCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryMultiCompute {
	Aggregation: *string,
	Facet: *string,
	Interval: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryMultiCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryMultiCompute.property.facet">Facet</a></code> | <code>*string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryMultiCompute.property.interval">Interval</a></code> | <code>*f64</code> | Define the time interval in seconds. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryMultiCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Facet`<sup>Optional</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryMultiCompute.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryMultiCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetToplistDefinitionRequestStyle <a name="DashboardWidgetToplistDefinitionRequestStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestStyle.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetToplistDefinitionRequestStyle {
	Palette: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestStyle.property.palette">Palette</a></code> | <code>*string</code> | A color palette to apply to the widget. The available options are available at: https://docs.datadoghq.com/dashboards/widgets/timeseries/#appearance. |

---

##### `Palette`<sup>Optional</sup> <a name="Palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestStyle.property.palette"></a>

```go
Palette *string
```

- *Type:* *string

A color palette to apply to the widget. The available options are available at: https://docs.datadoghq.com/dashboards/widgets/timeseries/#appearance.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

### DashboardWidgetTopologyMapDefinition <a name="DashboardWidgetTopologyMapDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinition.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetTopologyMapDefinition {
	CustomLink: interface{},
	Request: interface{},
	Title: *string,
	TitleAlign: *string,
	TitleSize: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinition.property.customLink">CustomLink</a></code> | <code>interface{}</code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinition.property.request">Request</a></code> | <code>interface{}</code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinition.property.title">Title</a></code> | <code>*string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinition.property.titleAlign">TitleAlign</a></code> | <code>*string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinition.property.titleSize">TitleSize</a></code> | <code>*string</code> | The size of the widget's title (defaults to 16). |

---

##### `CustomLink`<sup>Optional</sup> <a name="CustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinition.property.customLink"></a>

```go
CustomLink interface{}
```

- *Type:* interface{}

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `Request`<sup>Optional</sup> <a name="Request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinition.property.request"></a>

```go
Request interface{}
```

- *Type:* interface{}

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `Title`<sup>Optional</sup> <a name="Title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinition.property.title"></a>

```go
Title *string
```

- *Type:* *string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `TitleAlign`<sup>Optional</sup> <a name="TitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinition.property.titleAlign"></a>

```go
TitleAlign *string
```

- *Type:* *string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `TitleSize`<sup>Optional</sup> <a name="TitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinition.property.titleSize"></a>

```go
TitleSize *string
```

- *Type:* *string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetTopologyMapDefinitionCustomLink <a name="DashboardWidgetTopologyMapDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionCustomLink.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetTopologyMapDefinitionCustomLink {
	IsHidden: interface{},
	Label: *string,
	Link: *string,
	OverrideLabel: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionCustomLink.property.isHidden">IsHidden</a></code> | <code>interface{}</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionCustomLink.property.label">Label</a></code> | <code>*string</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionCustomLink.property.link">Link</a></code> | <code>*string</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionCustomLink.property.overrideLabel">OverrideLabel</a></code> | <code>*string</code> | The label ID that refers to a context menu link item. |

---

##### `IsHidden`<sup>Optional</sup> <a name="IsHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionCustomLink.property.isHidden"></a>

```go
IsHidden interface{}
```

- *Type:* interface{}

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `Label`<sup>Optional</sup> <a name="Label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionCustomLink.property.label"></a>

```go
Label *string
```

- *Type:* *string

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `Link`<sup>Optional</sup> <a name="Link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionCustomLink.property.link"></a>

```go
Link *string
```

- *Type:* *string

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `OverrideLabel`<sup>Optional</sup> <a name="OverrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionCustomLink.property.overrideLabel"></a>

```go
OverrideLabel *string
```

- *Type:* *string

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetTopologyMapDefinitionRequest <a name="DashboardWidgetTopologyMapDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionRequest.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetTopologyMapDefinitionRequest {
	Query: interface{},
	RequestType: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionRequest.property.query">Query</a></code> | <code>interface{}</code> | query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionRequest.property.requestType">RequestType</a></code> | <code>*string</code> | The request type for the Topology request ('topology'). Valid values are `topology`. |

---

##### `Query`<sup>Required</sup> <a name="Query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionRequest.property.query"></a>

```go
Query interface{}
```

- *Type:* interface{}

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `RequestType`<sup>Required</sup> <a name="RequestType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionRequest.property.requestType"></a>

```go
RequestType *string
```

- *Type:* *string

The request type for the Topology request ('topology'). Valid values are `topology`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request_type Dashboard#request_type}

---

### DashboardWidgetTopologyMapDefinitionRequestQuery <a name="DashboardWidgetTopologyMapDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionRequestQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetTopologyMapDefinitionRequestQuery {
	DataSource: *string,
	Filters: *[]*string,
	Service: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionRequestQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for the Topology request ('service_map' or 'data_streams'). Valid values are `data_streams`, `service_map`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionRequestQuery.property.filters">Filters</a></code> | <code>*[]*string</code> | Your environment and primary tag (or `*` if enabled for your account). |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionRequestQuery.property.service">Service</a></code> | <code>*string</code> | The ID of the service to map. |

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionRequestQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for the Topology request ('service_map' or 'data_streams'). Valid values are `data_streams`, `service_map`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `Filters`<sup>Required</sup> <a name="Filters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionRequestQuery.property.filters"></a>

```go
Filters *[]*string
```

- *Type:* *[]*string

Your environment and primary tag (or `*` if enabled for your account).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filters Dashboard#filters}

---

##### `Service`<sup>Required</sup> <a name="Service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionRequestQuery.property.service"></a>

```go
Service *string
```

- *Type:* *string

The ID of the service to map.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

### DashboardWidgetTraceServiceDefinition <a name="DashboardWidgetTraceServiceDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetTraceServiceDefinition {
	Env: *string,
	Service: *string,
	SpanName: *string,
	DisplayFormat: *string,
	LiveSpan: *string,
	ShowBreakdown: interface{},
	ShowDistribution: interface{},
	ShowErrors: interface{},
	ShowHits: interface{},
	ShowLatency: interface{},
	ShowResourceList: interface{},
	SizeFormat: *string,
	Title: *string,
	TitleAlign: *string,
	TitleSize: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.env">Env</a></code> | <code>*string</code> | APM environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.service">Service</a></code> | <code>*string</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.spanName">SpanName</a></code> | <code>*string</code> | APM span name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.displayFormat">DisplayFormat</a></code> | <code>*string</code> | The number of columns to display. Valid values are `one_column`, `two_column`, `three_column`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.liveSpan">LiveSpan</a></code> | <code>*string</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.showBreakdown">ShowBreakdown</a></code> | <code>interface{}</code> | Whether to show the latency breakdown or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.showDistribution">ShowDistribution</a></code> | <code>interface{}</code> | Whether to show the latency distribution or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.showErrors">ShowErrors</a></code> | <code>interface{}</code> | Whether to show the error metrics or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.showHits">ShowHits</a></code> | <code>interface{}</code> | Whether to show the hits metrics or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.showLatency">ShowLatency</a></code> | <code>interface{}</code> | Whether to show the latency metrics or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.showResourceList">ShowResourceList</a></code> | <code>interface{}</code> | Whether to show the resource list or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.sizeFormat">SizeFormat</a></code> | <code>*string</code> | The size of the widget. Valid values are `small`, `medium`, `large`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.title">Title</a></code> | <code>*string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.titleAlign">TitleAlign</a></code> | <code>*string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.titleSize">TitleSize</a></code> | <code>*string</code> | The size of the widget's title (defaults to 16). |

---

##### `Env`<sup>Required</sup> <a name="Env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.env"></a>

```go
Env *string
```

- *Type:* *string

APM environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `Service`<sup>Required</sup> <a name="Service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.service"></a>

```go
Service *string
```

- *Type:* *string

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `SpanName`<sup>Required</sup> <a name="SpanName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.spanName"></a>

```go
SpanName *string
```

- *Type:* *string

APM span name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#span_name Dashboard#span_name}

---

##### `DisplayFormat`<sup>Optional</sup> <a name="DisplayFormat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.displayFormat"></a>

```go
DisplayFormat *string
```

- *Type:* *string

The number of columns to display. Valid values are `one_column`, `two_column`, `three_column`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#display_format Dashboard#display_format}

---

##### `LiveSpan`<sup>Optional</sup> <a name="LiveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.liveSpan"></a>

```go
LiveSpan *string
```

- *Type:* *string

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `ShowBreakdown`<sup>Optional</sup> <a name="ShowBreakdown" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.showBreakdown"></a>

```go
ShowBreakdown interface{}
```

- *Type:* interface{}

Whether to show the latency breakdown or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_breakdown Dashboard#show_breakdown}

---

##### `ShowDistribution`<sup>Optional</sup> <a name="ShowDistribution" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.showDistribution"></a>

```go
ShowDistribution interface{}
```

- *Type:* interface{}

Whether to show the latency distribution or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_distribution Dashboard#show_distribution}

---

##### `ShowErrors`<sup>Optional</sup> <a name="ShowErrors" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.showErrors"></a>

```go
ShowErrors interface{}
```

- *Type:* interface{}

Whether to show the error metrics or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_errors Dashboard#show_errors}

---

##### `ShowHits`<sup>Optional</sup> <a name="ShowHits" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.showHits"></a>

```go
ShowHits interface{}
```

- *Type:* interface{}

Whether to show the hits metrics or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_hits Dashboard#show_hits}

---

##### `ShowLatency`<sup>Optional</sup> <a name="ShowLatency" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.showLatency"></a>

```go
ShowLatency interface{}
```

- *Type:* interface{}

Whether to show the latency metrics or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_latency Dashboard#show_latency}

---

##### `ShowResourceList`<sup>Optional</sup> <a name="ShowResourceList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.showResourceList"></a>

```go
ShowResourceList interface{}
```

- *Type:* interface{}

Whether to show the resource list or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_resource_list Dashboard#show_resource_list}

---

##### `SizeFormat`<sup>Optional</sup> <a name="SizeFormat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.sizeFormat"></a>

```go
SizeFormat *string
```

- *Type:* *string

The size of the widget. Valid values are `small`, `medium`, `large`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#size_format Dashboard#size_format}

---

##### `Title`<sup>Optional</sup> <a name="Title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.title"></a>

```go
Title *string
```

- *Type:* *string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `TitleAlign`<sup>Optional</sup> <a name="TitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.titleAlign"></a>

```go
TitleAlign *string
```

- *Type:* *string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `TitleSize`<sup>Optional</sup> <a name="TitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.titleSize"></a>

```go
TitleSize *string
```

- *Type:* *string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetTreemapDefinition <a name="DashboardWidgetTreemapDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinition.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetTreemapDefinition {
	Request: interface{},
	Title: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinition.property.request">Request</a></code> | <code>interface{}</code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinition.property.title">Title</a></code> | <code>*string</code> | The title of the widget. |

---

##### `Request`<sup>Optional</sup> <a name="Request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinition.property.request"></a>

```go
Request interface{}
```

- *Type:* interface{}

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `Title`<sup>Optional</sup> <a name="Title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinition.property.title"></a>

```go
Title *string
```

- *Type:* *string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

### DashboardWidgetTreemapDefinitionRequest <a name="DashboardWidgetTreemapDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequest.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetTreemapDefinitionRequest {
	Formula: interface{},
	Query: interface{},
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequest.property.formula">Formula</a></code> | <code>interface{}</code> | formula block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequest.property.query">Query</a></code> | <code>interface{}</code> | query block. |

---

##### `Formula`<sup>Optional</sup> <a name="Formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequest.property.formula"></a>

```go
Formula interface{}
```

- *Type:* interface{}

formula block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula Dashboard#formula}

---

##### `Query`<sup>Optional</sup> <a name="Query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequest.property.query"></a>

```go
Query interface{}
```

- *Type:* interface{}

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetTreemapDefinitionRequestFormula <a name="DashboardWidgetTreemapDefinitionRequestFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormula"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormula.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetTreemapDefinitionRequestFormula {
	FormulaExpression: *string,
	Alias: *string,
	CellDisplayMode: *string,
	ConditionalFormats: interface{},
	Limit: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaLimit,
	Style: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaStyle,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormula.property.formulaExpression">FormulaExpression</a></code> | <code>*string</code> | A string expression built from queries, formulas, and functions. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormula.property.alias">Alias</a></code> | <code>*string</code> | An expression alias. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormula.property.cellDisplayMode">CellDisplayMode</a></code> | <code>*string</code> | A list of display modes for each table cell. Valid values are `number`, `bar`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormula.property.conditionalFormats">ConditionalFormats</a></code> | <code>interface{}</code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormula.property.limit">Limit</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaLimit">DashboardWidgetTreemapDefinitionRequestFormulaLimit</a></code> | limit block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormula.property.style">Style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaStyle">DashboardWidgetTreemapDefinitionRequestFormulaStyle</a></code> | style block. |

---

##### `FormulaExpression`<sup>Required</sup> <a name="FormulaExpression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormula.property.formulaExpression"></a>

```go
FormulaExpression *string
```

- *Type:* *string

A string expression built from queries, formulas, and functions.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula_expression Dashboard#formula_expression}

---

##### `Alias`<sup>Optional</sup> <a name="Alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormula.property.alias"></a>

```go
Alias *string
```

- *Type:* *string

An expression alias.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `CellDisplayMode`<sup>Optional</sup> <a name="CellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormula.property.cellDisplayMode"></a>

```go
CellDisplayMode *string
```

- *Type:* *string

A list of display modes for each table cell. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `ConditionalFormats`<sup>Optional</sup> <a name="ConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormula.property.conditionalFormats"></a>

```go
ConditionalFormats interface{}
```

- *Type:* interface{}

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormula.property.limit"></a>

```go
Limit DashboardWidgetTreemapDefinitionRequestFormulaLimit
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaLimit">DashboardWidgetTreemapDefinitionRequestFormulaLimit</a>

limit block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `Style`<sup>Optional</sup> <a name="Style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormula.property.style"></a>

```go
Style DashboardWidgetTreemapDefinitionRequestFormulaStyle
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaStyle">DashboardWidgetTreemapDefinitionRequestFormulaStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats <a name="DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats {
	Comparator: *string,
	Palette: *string,
	Value: *f64,
	CustomBgColor: *string,
	CustomFgColor: *string,
	HideValue: interface{},
	ImageUrl: *string,
	Metric: *string,
	Timeframe: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.comparator">Comparator</a></code> | <code>*string</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.palette">Palette</a></code> | <code>*string</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.value">Value</a></code> | <code>*f64</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.customBgColor">CustomBgColor</a></code> | <code>*string</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.customFgColor">CustomFgColor</a></code> | <code>*string</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.hideValue">HideValue</a></code> | <code>interface{}</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.imageUrl">ImageUrl</a></code> | <code>*string</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.metric">Metric</a></code> | <code>*string</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.timeframe">Timeframe</a></code> | <code>*string</code> | Defines the displayed timeframe. |

---

##### `Comparator`<sup>Required</sup> <a name="Comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.comparator"></a>

```go
Comparator *string
```

- *Type:* *string

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `Palette`<sup>Required</sup> <a name="Palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.palette"></a>

```go
Palette *string
```

- *Type:* *string

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `Value`<sup>Required</sup> <a name="Value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.value"></a>

```go
Value *f64
```

- *Type:* *f64

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `CustomBgColor`<sup>Optional</sup> <a name="CustomBgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.customBgColor"></a>

```go
CustomBgColor *string
```

- *Type:* *string

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `CustomFgColor`<sup>Optional</sup> <a name="CustomFgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.customFgColor"></a>

```go
CustomFgColor *string
```

- *Type:* *string

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `HideValue`<sup>Optional</sup> <a name="HideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.hideValue"></a>

```go
HideValue interface{}
```

- *Type:* interface{}

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `ImageUrl`<sup>Optional</sup> <a name="ImageUrl" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.imageUrl"></a>

```go
ImageUrl *string
```

- *Type:* *string

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `Metric`<sup>Optional</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `Timeframe`<sup>Optional</sup> <a name="Timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.timeframe"></a>

```go
Timeframe *string
```

- *Type:* *string

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetTreemapDefinitionRequestFormulaLimit <a name="DashboardWidgetTreemapDefinitionRequestFormulaLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaLimit"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaLimit.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetTreemapDefinitionRequestFormulaLimit {
	Count: *f64,
	Order: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaLimit.property.count">Count</a></code> | <code>*f64</code> | The number of results to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaLimit.property.order">Order</a></code> | <code>*string</code> | The direction of the sort. Valid values are `asc`, `desc`. |

---

##### `Count`<sup>Optional</sup> <a name="Count" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaLimit.property.count"></a>

```go
Count *f64
```

- *Type:* *f64

The number of results to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#count Dashboard#count}

---

##### `Order`<sup>Optional</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaLimit.property.order"></a>

```go
Order *string
```

- *Type:* *string

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetTreemapDefinitionRequestFormulaStyle <a name="DashboardWidgetTreemapDefinitionRequestFormulaStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaStyle.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetTreemapDefinitionRequestFormulaStyle {
	Palette: *string,
	PaletteIndex: *f64,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaStyle.property.palette">Palette</a></code> | <code>*string</code> | The color palette used to display the formula. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaStyle.property.paletteIndex">PaletteIndex</a></code> | <code>*f64</code> | Index specifying which color to use within the palette. |

---

##### `Palette`<sup>Optional</sup> <a name="Palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaStyle.property.palette"></a>

```go
Palette *string
```

- *Type:* *string

The color palette used to display the formula.

A guide to the available color palettes can be found at https://docs.datadoghq.com/dashboards/guide/widget_colors

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `PaletteIndex`<sup>Optional</sup> <a name="PaletteIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaStyle.property.paletteIndex"></a>

```go
PaletteIndex *f64
```

- *Type:* *f64

Index specifying which color to use within the palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette_index Dashboard#palette_index}

---

### DashboardWidgetTreemapDefinitionRequestQuery <a name="DashboardWidgetTreemapDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetTreemapDefinitionRequestQuery {
	ApmDependencyStatsQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery,
	ApmResourceStatsQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery,
	EventQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuery,
	MetricQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetTreemapDefinitionRequestQueryMetricQuery,
	ProcessQuery: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQuery.property.apmDependencyStatsQuery">ApmDependencyStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery</a></code> | apm_dependency_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQuery.property.apmResourceStatsQuery">ApmResourceStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery</a></code> | apm_resource_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQuery.property.eventQuery">EventQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuery">DashboardWidgetTreemapDefinitionRequestQueryEventQuery</a></code> | event_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQuery.property.metricQuery">MetricQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryMetricQuery">DashboardWidgetTreemapDefinitionRequestQueryMetricQuery</a></code> | metric_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQuery.property.processQuery">ProcessQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery">DashboardWidgetTreemapDefinitionRequestQueryProcessQuery</a></code> | process_query block. |

---

##### `ApmDependencyStatsQuery`<sup>Optional</sup> <a name="ApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQuery.property.apmDependencyStatsQuery"></a>

```go
ApmDependencyStatsQuery DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery</a>

apm_dependency_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_dependency_stats_query Dashboard#apm_dependency_stats_query}

---

##### `ApmResourceStatsQuery`<sup>Optional</sup> <a name="ApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQuery.property.apmResourceStatsQuery"></a>

```go
ApmResourceStatsQuery DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery</a>

apm_resource_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_resource_stats_query Dashboard#apm_resource_stats_query}

---

##### `EventQuery`<sup>Optional</sup> <a name="EventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQuery.property.eventQuery"></a>

```go
EventQuery DashboardWidgetTreemapDefinitionRequestQueryEventQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuery">DashboardWidgetTreemapDefinitionRequestQueryEventQuery</a>

event_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_query Dashboard#event_query}

---

##### `MetricQuery`<sup>Optional</sup> <a name="MetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQuery.property.metricQuery"></a>

```go
MetricQuery DashboardWidgetTreemapDefinitionRequestQueryMetricQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryMetricQuery">DashboardWidgetTreemapDefinitionRequestQueryMetricQuery</a>

metric_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric_query Dashboard#metric_query}

---

##### `ProcessQuery`<sup>Optional</sup> <a name="ProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQuery.property.processQuery"></a>

```go
ProcessQuery DashboardWidgetTreemapDefinitionRequestQueryProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery">DashboardWidgetTreemapDefinitionRequestQueryProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

### DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery <a name="DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery {
	DataSource: *string,
	Env: *string,
	Name: *string,
	OperationName: *string,
	ResourceName: *string,
	Service: *string,
	Stat: *string,
	IsUpstream: interface{},
	PrimaryTagName: *string,
	PrimaryTagValue: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.env">Env</a></code> | <code>*string</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.name">Name</a></code> | <code>*string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.operationName">OperationName</a></code> | <code>*string</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName">ResourceName</a></code> | <code>*string</code> | APM resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.service">Service</a></code> | <code>*string</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.stat">Stat</a></code> | <code>*string</code> | APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream">IsUpstream</a></code> | <code>interface{}</code> | Determines whether stats for upstream or downstream dependencies should be queried. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName">PrimaryTagName</a></code> | <code>*string</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue">PrimaryTagValue</a></code> | <code>*string</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `Env`<sup>Required</sup> <a name="Env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.env"></a>

```go
Env *string
```

- *Type:* *string

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `OperationName`<sup>Required</sup> <a name="OperationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.operationName"></a>

```go
OperationName *string
```

- *Type:* *string

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `ResourceName`<sup>Required</sup> <a name="ResourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName"></a>

```go
ResourceName *string
```

- *Type:* *string

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

##### `Service`<sup>Required</sup> <a name="Service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.service"></a>

```go
Service *string
```

- *Type:* *string

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `Stat`<sup>Required</sup> <a name="Stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.stat"></a>

```go
Stat *string
```

- *Type:* *string

APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `IsUpstream`<sup>Optional</sup> <a name="IsUpstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream"></a>

```go
IsUpstream interface{}
```

- *Type:* interface{}

Determines whether stats for upstream or downstream dependencies should be queried.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_upstream Dashboard#is_upstream}

---

##### `PrimaryTagName`<sup>Optional</sup> <a name="PrimaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName"></a>

```go
PrimaryTagName *string
```

- *Type:* *string

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `PrimaryTagValue`<sup>Optional</sup> <a name="PrimaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue"></a>

```go
PrimaryTagValue *string
```

- *Type:* *string

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

### DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery <a name="DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery {
	DataSource: *string,
	Env: *string,
	Name: *string,
	Service: *string,
	Stat: *string,
	GroupBy: *[]*string,
	OperationName: *string,
	PrimaryTagName: *string,
	PrimaryTagValue: *string,
	ResourceName: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.env">Env</a></code> | <code>*string</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.name">Name</a></code> | <code>*string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.service">Service</a></code> | <code>*string</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.stat">Stat</a></code> | <code>*string</code> | APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.groupBy">GroupBy</a></code> | <code>*[]*string</code> | Array of fields to group results by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.operationName">OperationName</a></code> | <code>*string</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName">PrimaryTagName</a></code> | <code>*string</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue">PrimaryTagValue</a></code> | <code>*string</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.resourceName">ResourceName</a></code> | <code>*string</code> | APM resource. |

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `Env`<sup>Required</sup> <a name="Env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.env"></a>

```go
Env *string
```

- *Type:* *string

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `Service`<sup>Required</sup> <a name="Service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.service"></a>

```go
Service *string
```

- *Type:* *string

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `Stat`<sup>Required</sup> <a name="Stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.stat"></a>

```go
Stat *string
```

- *Type:* *string

APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.groupBy"></a>

```go
GroupBy *[]*string
```

- *Type:* *[]*string

Array of fields to group results by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `OperationName`<sup>Optional</sup> <a name="OperationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.operationName"></a>

```go
OperationName *string
```

- *Type:* *string

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `PrimaryTagName`<sup>Optional</sup> <a name="PrimaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName"></a>

```go
PrimaryTagName *string
```

- *Type:* *string

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `PrimaryTagValue`<sup>Optional</sup> <a name="PrimaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue"></a>

```go
PrimaryTagValue *string
```

- *Type:* *string

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

##### `ResourceName`<sup>Optional</sup> <a name="ResourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.resourceName"></a>

```go
ResourceName *string
```

- *Type:* *string

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

### DashboardWidgetTreemapDefinitionRequestQueryEventQuery <a name="DashboardWidgetTreemapDefinitionRequestQueryEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuery {
	Compute: interface{},
	DataSource: *string,
	Name: *string,
	GroupBy: interface{},
	Indexes: *[]*string,
	Search: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuerySearch,
	Storage: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuery.property.compute">Compute</a></code> | <code>interface{}</code> | compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for event platform-based queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuery.property.name">Name</a></code> | <code>*string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuery.property.groupBy">GroupBy</a></code> | <code>interface{}</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuery.property.indexes">Indexes</a></code> | <code>*[]*string</code> | An array of index names to query in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuery.property.search">Search</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuerySearch">DashboardWidgetTreemapDefinitionRequestQueryEventQuerySearch</a></code> | search block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuery.property.storage">Storage</a></code> | <code>*string</code> | Storage location (private beta). |

---

##### `Compute`<sup>Required</sup> <a name="Compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuery.property.compute"></a>

```go
Compute interface{}
```

- *Type:* interface{}

compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute Dashboard#compute}

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for event platform-based queries.

Valid values are `logs`, `spans`, `network`, `rum`, `security_signals`, `profiles`, `audit`, `events`, `ci_tests`, `ci_pipelines`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `GroupBy`<sup>Optional</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuery.property.groupBy"></a>

```go
GroupBy interface{}
```

- *Type:* interface{}

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `Indexes`<sup>Optional</sup> <a name="Indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuery.property.indexes"></a>

```go
Indexes *[]*string
```

- *Type:* *[]*string

An array of index names to query in the stream.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `Search`<sup>Optional</sup> <a name="Search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuery.property.search"></a>

```go
Search DashboardWidgetTreemapDefinitionRequestQueryEventQuerySearch
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuerySearch">DashboardWidgetTreemapDefinitionRequestQueryEventQuerySearch</a>

search block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search Dashboard#search}

---

##### `Storage`<sup>Optional</sup> <a name="Storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuery.property.storage"></a>

```go
Storage *string
```

- *Type:* *string

Storage location (private beta).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#storage Dashboard#storage}

---

### DashboardWidgetTreemapDefinitionRequestQueryEventQueryCompute <a name="DashboardWidgetTreemapDefinitionRequestQueryEventQueryCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryCompute.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryCompute {
	Aggregation: *string,
	Interval: *f64,
	Metric: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryCompute.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation methods for event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryCompute.property.interval">Interval</a></code> | <code>*f64</code> | A time interval in milliseconds. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryCompute.property.metric">Metric</a></code> | <code>*string</code> | The measurable attribute to compute. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryCompute.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation methods for event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Interval`<sup>Optional</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryCompute.property.interval"></a>

```go
Interval *f64
```

- *Type:* *f64

A time interval in milliseconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

##### `Metric`<sup>Optional</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryCompute.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

The measurable attribute to compute.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

### DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBy <a name="DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBy.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBy {
	Facet: *string,
	Limit: *f64,
	Sort: github.com/cdktf/cdktf-provider-datadog-go/datadog/v6.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBy.property.facet">Facet</a></code> | <code>*string</code> | The event facet. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBy.property.limit">Limit</a></code> | <code>*f64</code> | The number of groups to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBy.property.sort">Sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort</a></code> | sort block. |

---

##### `Facet`<sup>Required</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBy.property.facet"></a>

```go
Facet *string
```

- *Type:* *string

The event facet.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBy.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The number of groups to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `Sort`<sup>Optional</sup> <a name="Sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBy.property.sort"></a>

```go
Sort DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort</a>

sort block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

### DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort <a name="DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort {
	Aggregation: *string,
	Metric: *string,
	Order: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort.property.aggregation">Aggregation</a></code> | <code>*string</code> | The aggregation methods for the event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort.property.metric">Metric</a></code> | <code>*string</code> | The metric used for sorting group by results. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort.property.order">Order</a></code> | <code>*string</code> | Direction of sort. Valid values are `asc`, `desc`. |

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort.property.aggregation"></a>

```go
Aggregation *string
```

- *Type:* *string

The aggregation methods for the event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `Metric`<sup>Optional</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

The metric used for sorting group by results.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `Order`<sup>Optional</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort.property.order"></a>

```go
Order *string
```

- *Type:* *string

Direction of sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetTreemapDefinitionRequestQueryEventQuerySearch <a name="DashboardWidgetTreemapDefinitionRequestQueryEventQuerySearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuerySearch"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuerySearch.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuerySearch {
	Query: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuerySearch.property.query">Query</a></code> | <code>*string</code> | The events search string. |

---

##### `Query`<sup>Required</sup> <a name="Query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuerySearch.property.query"></a>

```go
Query *string
```

- *Type:* *string

The events search string.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetTreemapDefinitionRequestQueryMetricQuery <a name="DashboardWidgetTreemapDefinitionRequestQueryMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryMetricQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryMetricQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetTreemapDefinitionRequestQueryMetricQuery {
	Name: *string,
	Query: *string,
	Aggregator: *string,
	DataSource: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryMetricQuery.property.name">Name</a></code> | <code>*string</code> | The name of the query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryMetricQuery.property.query">Query</a></code> | <code>*string</code> | The metrics query definition. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryMetricQuery.property.aggregator">Aggregator</a></code> | <code>*string</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryMetricQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for metrics queries. |

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryMetricQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of the query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `Query`<sup>Required</sup> <a name="Query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryMetricQuery.property.query"></a>

```go
Query *string
```

- *Type:* *string

The metrics query definition.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `Aggregator`<sup>Optional</sup> <a name="Aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryMetricQuery.property.aggregator"></a>

```go
Aggregator *string
```

- *Type:* *string

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `DataSource`<sup>Optional</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryMetricQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for metrics queries.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

### DashboardWidgetTreemapDefinitionRequestQueryProcessQuery <a name="DashboardWidgetTreemapDefinitionRequestQueryProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery {
	DataSource: *string,
	Metric: *string,
	Name: *string,
	Aggregator: *string,
	IsNormalizedCpu: interface{},
	Limit: *f64,
	Sort: *string,
	TagFilters: *[]*string,
	TextFilter: *string,
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery.property.dataSource">DataSource</a></code> | <code>*string</code> | The data source for process queries. Valid values are `process`, `container`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery.property.metric">Metric</a></code> | <code>*string</code> | The process metric name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery.property.name">Name</a></code> | <code>*string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery.property.aggregator">Aggregator</a></code> | <code>*string</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery.property.isNormalizedCpu">IsNormalizedCpu</a></code> | <code>interface{}</code> | Whether to normalize the CPU percentages. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery.property.limit">Limit</a></code> | <code>*f64</code> | The number of hits to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery.property.sort">Sort</a></code> | <code>*string</code> | The direction of the sort. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery.property.tagFilters">TagFilters</a></code> | <code>*[]*string</code> | An array of tags to filter by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery.property.textFilter">TextFilter</a></code> | <code>*string</code> | The text to use as a filter. |

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery.property.dataSource"></a>

```go
DataSource *string
```

- *Type:* *string

The data source for process queries. Valid values are `process`, `container`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `Metric`<sup>Required</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery.property.metric"></a>

```go
Metric *string
```

- *Type:* *string

The process metric name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery.property.name"></a>

```go
Name *string
```

- *Type:* *string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `Aggregator`<sup>Optional</sup> <a name="Aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery.property.aggregator"></a>

```go
Aggregator *string
```

- *Type:* *string

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `IsNormalizedCpu`<sup>Optional</sup> <a name="IsNormalizedCpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery.property.isNormalizedCpu"></a>

```go
IsNormalizedCpu interface{}
```

- *Type:* interface{}

Whether to normalize the CPU percentages.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_normalized_cpu Dashboard#is_normalized_cpu}

---

##### `Limit`<sup>Optional</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery.property.limit"></a>

```go
Limit *f64
```

- *Type:* *f64

The number of hits to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `Sort`<sup>Optional</sup> <a name="Sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery.property.sort"></a>

```go
Sort *string
```

- *Type:* *string

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `TagFilters`<sup>Optional</sup> <a name="TagFilters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery.property.tagFilters"></a>

```go
TagFilters *[]*string
```

- *Type:* *[]*string

An array of tags to filter by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tag_filters Dashboard#tag_filters}

---

##### `TextFilter`<sup>Optional</sup> <a name="TextFilter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery.property.textFilter"></a>

```go
TextFilter *string
```

- *Type:* *string

The text to use as a filter.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_filter Dashboard#text_filter}

---

### DashboardWidgetWidgetLayout <a name="DashboardWidgetWidgetLayout" id="@cdktf/provider-datadog.dashboard.DashboardWidgetWidgetLayout"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetWidgetLayout.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

&dashboard.DashboardWidgetWidgetLayout {
	Height: *f64,
	Width: *f64,
	X: *f64,
	Y: *f64,
	IsColumnBreak: interface{},
}
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetWidgetLayout.property.height">Height</a></code> | <code>*f64</code> | The height of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetWidgetLayout.property.width">Width</a></code> | <code>*f64</code> | The width of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetWidgetLayout.property.x">X</a></code> | <code>*f64</code> | The position of the widget on the x (horizontal) axis. Should be greater than or equal to 0. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetWidgetLayout.property.y">Y</a></code> | <code>*f64</code> | The position of the widget on the y (vertical) axis. Should be greater than or equal to 0. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetWidgetLayout.property.isColumnBreak">IsColumnBreak</a></code> | <code>interface{}</code> | Whether the widget should be the first one on the second column in high density or not. |

---

##### `Height`<sup>Required</sup> <a name="Height" id="@cdktf/provider-datadog.dashboard.DashboardWidgetWidgetLayout.property.height"></a>

```go
Height *f64
```

- *Type:* *f64

The height of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#height Dashboard#height}

---

##### `Width`<sup>Required</sup> <a name="Width" id="@cdktf/provider-datadog.dashboard.DashboardWidgetWidgetLayout.property.width"></a>

```go
Width *f64
```

- *Type:* *f64

The width of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#width Dashboard#width}

---

##### `X`<sup>Required</sup> <a name="X" id="@cdktf/provider-datadog.dashboard.DashboardWidgetWidgetLayout.property.x"></a>

```go
X *f64
```

- *Type:* *f64

The position of the widget on the x (horizontal) axis. Should be greater than or equal to 0.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#x Dashboard#x}

---

##### `Y`<sup>Required</sup> <a name="Y" id="@cdktf/provider-datadog.dashboard.DashboardWidgetWidgetLayout.property.y"></a>

```go
Y *f64
```

- *Type:* *f64

The position of the widget on the y (vertical) axis. Should be greater than or equal to 0.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#y Dashboard#y}

---

##### `IsColumnBreak`<sup>Optional</sup> <a name="IsColumnBreak" id="@cdktf/provider-datadog.dashboard.DashboardWidgetWidgetLayout.property.isColumnBreak"></a>

```go
IsColumnBreak interface{}
```

- *Type:* interface{}

Whether the widget should be the first one on the second column in high density or not.

Only for the new dashboard layout and only one widget in the dashboard should have this property set to `true`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_column_break Dashboard#is_column_break}

---

## Classes <a name="Classes" id="Classes"></a>

### DashboardTemplateVariableList <a name="DashboardTemplateVariableList" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardTemplateVariableList(terraformResource IInterpolatingParent, terraformAttribute *string, wrapsSet *bool) DashboardTemplateVariableList
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.Initializer.parameter.wrapsSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.get">Get</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `Get` <a name="Get" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.get"></a>

```go
func Get(index *f64) DashboardTemplateVariableOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.get.parameter.index"></a>

- *Type:* *f64

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardTemplateVariableOutputReference <a name="DashboardTemplateVariableOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardTemplateVariableOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string, complexObjectIndex *f64, complexObjectIsFromSet *bool) DashboardTemplateVariableOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>*f64</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* *f64

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.resetAvailableValues">ResetAvailableValues</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.resetDefault">ResetDefault</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.resetDefaults">ResetDefaults</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.resetPrefix">ResetPrefix</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `ResetAvailableValues` <a name="ResetAvailableValues" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.resetAvailableValues"></a>

```go
func ResetAvailableValues()
```

##### `ResetDefault` <a name="ResetDefault" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.resetDefault"></a>

```go
func ResetDefault()
```

##### `ResetDefaults` <a name="ResetDefaults" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.resetDefaults"></a>

```go
func ResetDefaults()
```

##### `ResetPrefix` <a name="ResetPrefix" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.resetPrefix"></a>

```go
func ResetPrefix()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.availableValuesInput">AvailableValuesInput</a></code> | <code>*[]*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.defaultInput">DefaultInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.defaultsInput">DefaultsInput</a></code> | <code>*[]*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.nameInput">NameInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.prefixInput">PrefixInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.availableValues">AvailableValues</a></code> | <code>*[]*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.default">Default</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.defaults">Defaults</a></code> | <code>*[]*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.name">Name</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.prefix">Prefix</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `AvailableValuesInput`<sup>Optional</sup> <a name="AvailableValuesInput" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.availableValuesInput"></a>

```go
func AvailableValuesInput() *[]*string
```

- *Type:* *[]*string

---

##### `DefaultInput`<sup>Optional</sup> <a name="DefaultInput" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.defaultInput"></a>

```go
func DefaultInput() *string
```

- *Type:* *string

---

##### `DefaultsInput`<sup>Optional</sup> <a name="DefaultsInput" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.defaultsInput"></a>

```go
func DefaultsInput() *[]*string
```

- *Type:* *[]*string

---

##### `NameInput`<sup>Optional</sup> <a name="NameInput" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.nameInput"></a>

```go
func NameInput() *string
```

- *Type:* *string

---

##### `PrefixInput`<sup>Optional</sup> <a name="PrefixInput" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.prefixInput"></a>

```go
func PrefixInput() *string
```

- *Type:* *string

---

##### `AvailableValues`<sup>Required</sup> <a name="AvailableValues" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.availableValues"></a>

```go
func AvailableValues() *[]*string
```

- *Type:* *[]*string

---

##### `Default`<sup>Required</sup> <a name="Default" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.default"></a>

```go
func Default() *string
```

- *Type:* *string

---

##### `Defaults`<sup>Required</sup> <a name="Defaults" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.defaults"></a>

```go
func Defaults() *[]*string
```

- *Type:* *[]*string

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.name"></a>

```go
func Name() *string
```

- *Type:* *string

---

##### `Prefix`<sup>Required</sup> <a name="Prefix" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.prefix"></a>

```go
func Prefix() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardTemplateVariablePresetList <a name="DashboardTemplateVariablePresetList" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardTemplateVariablePresetList(terraformResource IInterpolatingParent, terraformAttribute *string, wrapsSet *bool) DashboardTemplateVariablePresetList
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.Initializer.parameter.wrapsSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.get">Get</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `Get` <a name="Get" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.get"></a>

```go
func Get(index *f64) DashboardTemplateVariablePresetOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.get.parameter.index"></a>

- *Type:* *f64

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardTemplateVariablePresetOutputReference <a name="DashboardTemplateVariablePresetOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardTemplateVariablePresetOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string, complexObjectIndex *f64, complexObjectIsFromSet *bool) DashboardTemplateVariablePresetOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>*f64</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* *f64

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.putTemplateVariable">PutTemplateVariable</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.resetName">ResetName</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.resetTemplateVariable">ResetTemplateVariable</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `PutTemplateVariable` <a name="PutTemplateVariable" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.putTemplateVariable"></a>

```go
func PutTemplateVariable(value interface{})
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.putTemplateVariable.parameter.value"></a>

- *Type:* interface{}

---

##### `ResetName` <a name="ResetName" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.resetName"></a>

```go
func ResetName()
```

##### `ResetTemplateVariable` <a name="ResetTemplateVariable" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.resetTemplateVariable"></a>

```go
func ResetTemplateVariable()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.property.templateVariable">TemplateVariable</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList">DashboardTemplateVariablePresetTemplateVariableList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.property.nameInput">NameInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.property.templateVariableInput">TemplateVariableInput</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.property.name">Name</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `TemplateVariable`<sup>Required</sup> <a name="TemplateVariable" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.property.templateVariable"></a>

```go
func TemplateVariable() DashboardTemplateVariablePresetTemplateVariableList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList">DashboardTemplateVariablePresetTemplateVariableList</a>

---

##### `NameInput`<sup>Optional</sup> <a name="NameInput" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.property.nameInput"></a>

```go
func NameInput() *string
```

- *Type:* *string

---

##### `TemplateVariableInput`<sup>Optional</sup> <a name="TemplateVariableInput" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.property.templateVariableInput"></a>

```go
func TemplateVariableInput() interface{}
```

- *Type:* interface{}

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.property.name"></a>

```go
func Name() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardTemplateVariablePresetTemplateVariableList <a name="DashboardTemplateVariablePresetTemplateVariableList" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardTemplateVariablePresetTemplateVariableList(terraformResource IInterpolatingParent, terraformAttribute *string, wrapsSet *bool) DashboardTemplateVariablePresetTemplateVariableList
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.Initializer.parameter.wrapsSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.get">Get</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `Get` <a name="Get" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.get"></a>

```go
func Get(index *f64) DashboardTemplateVariablePresetTemplateVariableOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.get.parameter.index"></a>

- *Type:* *f64

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardTemplateVariablePresetTemplateVariableOutputReference <a name="DashboardTemplateVariablePresetTemplateVariableOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardTemplateVariablePresetTemplateVariableOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string, complexObjectIndex *f64, complexObjectIsFromSet *bool) DashboardTemplateVariablePresetTemplateVariableOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>*f64</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* *f64

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.resetName">ResetName</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.resetValue">ResetValue</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.resetValues">ResetValues</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `ResetName` <a name="ResetName" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.resetName"></a>

```go
func ResetName()
```

##### `ResetValue` <a name="ResetValue" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.resetValue"></a>

```go
func ResetValue()
```

##### `ResetValues` <a name="ResetValues" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.resetValues"></a>

```go
func ResetValues()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.property.nameInput">NameInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.property.valueInput">ValueInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.property.valuesInput">ValuesInput</a></code> | <code>*[]*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.property.name">Name</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.property.value">Value</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.property.values">Values</a></code> | <code>*[]*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `NameInput`<sup>Optional</sup> <a name="NameInput" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.property.nameInput"></a>

```go
func NameInput() *string
```

- *Type:* *string

---

##### `ValueInput`<sup>Optional</sup> <a name="ValueInput" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.property.valueInput"></a>

```go
func ValueInput() *string
```

- *Type:* *string

---

##### `ValuesInput`<sup>Optional</sup> <a name="ValuesInput" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.property.valuesInput"></a>

```go
func ValuesInput() *[]*string
```

- *Type:* *[]*string

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.property.name"></a>

```go
func Name() *string
```

- *Type:* *string

---

##### `Value`<sup>Required</sup> <a name="Value" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.property.value"></a>

```go
func Value() *string
```

- *Type:* *string

---

##### `Values`<sup>Required</sup> <a name="Values" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.property.values"></a>

```go
func Values() *[]*string
```

- *Type:* *[]*string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetAlertGraphDefinitionOutputReference <a name="DashboardWidgetAlertGraphDefinitionOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetAlertGraphDefinitionOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string) DashboardWidgetAlertGraphDefinitionOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.resetLiveSpan">ResetLiveSpan</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.resetTitle">ResetTitle</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.resetTitleAlign">ResetTitleAlign</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.resetTitleSize">ResetTitleSize</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `ResetLiveSpan` <a name="ResetLiveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.resetLiveSpan"></a>

```go
func ResetLiveSpan()
```

##### `ResetTitle` <a name="ResetTitle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.resetTitle"></a>

```go
func ResetTitle()
```

##### `ResetTitleAlign` <a name="ResetTitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.resetTitleAlign"></a>

```go
func ResetTitleAlign()
```

##### `ResetTitleSize` <a name="ResetTitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.resetTitleSize"></a>

```go
func ResetTitleSize()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.alertIdInput">AlertIdInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.liveSpanInput">LiveSpanInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.titleAlignInput">TitleAlignInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.titleInput">TitleInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.titleSizeInput">TitleSizeInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.vizTypeInput">VizTypeInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.alertId">AlertId</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.liveSpan">LiveSpan</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.title">Title</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.titleAlign">TitleAlign</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.titleSize">TitleSize</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.vizType">VizType</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.internalValue">InternalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinition">DashboardWidgetAlertGraphDefinition</a></code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `AlertIdInput`<sup>Optional</sup> <a name="AlertIdInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.alertIdInput"></a>

```go
func AlertIdInput() *string
```

- *Type:* *string

---

##### `LiveSpanInput`<sup>Optional</sup> <a name="LiveSpanInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.liveSpanInput"></a>

```go
func LiveSpanInput() *string
```

- *Type:* *string

---

##### `TitleAlignInput`<sup>Optional</sup> <a name="TitleAlignInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.titleAlignInput"></a>

```go
func TitleAlignInput() *string
```

- *Type:* *string

---

##### `TitleInput`<sup>Optional</sup> <a name="TitleInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.titleInput"></a>

```go
func TitleInput() *string
```

- *Type:* *string

---

##### `TitleSizeInput`<sup>Optional</sup> <a name="TitleSizeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.titleSizeInput"></a>

```go
func TitleSizeInput() *string
```

- *Type:* *string

---

##### `VizTypeInput`<sup>Optional</sup> <a name="VizTypeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.vizTypeInput"></a>

```go
func VizTypeInput() *string
```

- *Type:* *string

---

##### `AlertId`<sup>Required</sup> <a name="AlertId" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.alertId"></a>

```go
func AlertId() *string
```

- *Type:* *string

---

##### `LiveSpan`<sup>Required</sup> <a name="LiveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.liveSpan"></a>

```go
func LiveSpan() *string
```

- *Type:* *string

---

##### `Title`<sup>Required</sup> <a name="Title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.title"></a>

```go
func Title() *string
```

- *Type:* *string

---

##### `TitleAlign`<sup>Required</sup> <a name="TitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.titleAlign"></a>

```go
func TitleAlign() *string
```

- *Type:* *string

---

##### `TitleSize`<sup>Required</sup> <a name="TitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.titleSize"></a>

```go
func TitleSize() *string
```

- *Type:* *string

---

##### `VizType`<sup>Required</sup> <a name="VizType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.vizType"></a>

```go
func VizType() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.internalValue"></a>

```go
func InternalValue() DashboardWidgetAlertGraphDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinition">DashboardWidgetAlertGraphDefinition</a>

---


### DashboardWidgetAlertValueDefinitionOutputReference <a name="DashboardWidgetAlertValueDefinitionOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetAlertValueDefinitionOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string) DashboardWidgetAlertValueDefinitionOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.resetPrecision">ResetPrecision</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.resetTextAlign">ResetTextAlign</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.resetTitle">ResetTitle</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.resetTitleAlign">ResetTitleAlign</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.resetTitleSize">ResetTitleSize</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.resetUnit">ResetUnit</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `ResetPrecision` <a name="ResetPrecision" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.resetPrecision"></a>

```go
func ResetPrecision()
```

##### `ResetTextAlign` <a name="ResetTextAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.resetTextAlign"></a>

```go
func ResetTextAlign()
```

##### `ResetTitle` <a name="ResetTitle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.resetTitle"></a>

```go
func ResetTitle()
```

##### `ResetTitleAlign` <a name="ResetTitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.resetTitleAlign"></a>

```go
func ResetTitleAlign()
```

##### `ResetTitleSize` <a name="ResetTitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.resetTitleSize"></a>

```go
func ResetTitleSize()
```

##### `ResetUnit` <a name="ResetUnit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.resetUnit"></a>

```go
func ResetUnit()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.alertIdInput">AlertIdInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.precisionInput">PrecisionInput</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.textAlignInput">TextAlignInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.titleAlignInput">TitleAlignInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.titleInput">TitleInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.titleSizeInput">TitleSizeInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.unitInput">UnitInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.alertId">AlertId</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.precision">Precision</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.textAlign">TextAlign</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.title">Title</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.titleAlign">TitleAlign</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.titleSize">TitleSize</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.unit">Unit</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.internalValue">InternalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinition">DashboardWidgetAlertValueDefinition</a></code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `AlertIdInput`<sup>Optional</sup> <a name="AlertIdInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.alertIdInput"></a>

```go
func AlertIdInput() *string
```

- *Type:* *string

---

##### `PrecisionInput`<sup>Optional</sup> <a name="PrecisionInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.precisionInput"></a>

```go
func PrecisionInput() *f64
```

- *Type:* *f64

---

##### `TextAlignInput`<sup>Optional</sup> <a name="TextAlignInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.textAlignInput"></a>

```go
func TextAlignInput() *string
```

- *Type:* *string

---

##### `TitleAlignInput`<sup>Optional</sup> <a name="TitleAlignInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.titleAlignInput"></a>

```go
func TitleAlignInput() *string
```

- *Type:* *string

---

##### `TitleInput`<sup>Optional</sup> <a name="TitleInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.titleInput"></a>

```go
func TitleInput() *string
```

- *Type:* *string

---

##### `TitleSizeInput`<sup>Optional</sup> <a name="TitleSizeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.titleSizeInput"></a>

```go
func TitleSizeInput() *string
```

- *Type:* *string

---

##### `UnitInput`<sup>Optional</sup> <a name="UnitInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.unitInput"></a>

```go
func UnitInput() *string
```

- *Type:* *string

---

##### `AlertId`<sup>Required</sup> <a name="AlertId" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.alertId"></a>

```go
func AlertId() *string
```

- *Type:* *string

---

##### `Precision`<sup>Required</sup> <a name="Precision" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.precision"></a>

```go
func Precision() *f64
```

- *Type:* *f64

---

##### `TextAlign`<sup>Required</sup> <a name="TextAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.textAlign"></a>

```go
func TextAlign() *string
```

- *Type:* *string

---

##### `Title`<sup>Required</sup> <a name="Title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.title"></a>

```go
func Title() *string
```

- *Type:* *string

---

##### `TitleAlign`<sup>Required</sup> <a name="TitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.titleAlign"></a>

```go
func TitleAlign() *string
```

- *Type:* *string

---

##### `TitleSize`<sup>Required</sup> <a name="TitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.titleSize"></a>

```go
func TitleSize() *string
```

- *Type:* *string

---

##### `Unit`<sup>Required</sup> <a name="Unit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.unit"></a>

```go
func Unit() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.internalValue"></a>

```go
func InternalValue() DashboardWidgetAlertValueDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinition">DashboardWidgetAlertValueDefinition</a>

---


### DashboardWidgetChangeDefinitionCustomLinkList <a name="DashboardWidgetChangeDefinitionCustomLinkList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetChangeDefinitionCustomLinkList(terraformResource IInterpolatingParent, terraformAttribute *string, wrapsSet *bool) DashboardWidgetChangeDefinitionCustomLinkList
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.Initializer.parameter.wrapsSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.get">Get</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `Get` <a name="Get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.get"></a>

```go
func Get(index *f64) DashboardWidgetChangeDefinitionCustomLinkOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.get.parameter.index"></a>

- *Type:* *f64

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetChangeDefinitionCustomLinkOutputReference <a name="DashboardWidgetChangeDefinitionCustomLinkOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetChangeDefinitionCustomLinkOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string, complexObjectIndex *f64, complexObjectIsFromSet *bool) DashboardWidgetChangeDefinitionCustomLinkOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>*f64</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* *f64

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.resetIsHidden">ResetIsHidden</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.resetLabel">ResetLabel</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.resetLink">ResetLink</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.resetOverrideLabel">ResetOverrideLabel</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `ResetIsHidden` <a name="ResetIsHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.resetIsHidden"></a>

```go
func ResetIsHidden()
```

##### `ResetLabel` <a name="ResetLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.resetLabel"></a>

```go
func ResetLabel()
```

##### `ResetLink` <a name="ResetLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.resetLink"></a>

```go
func ResetLink()
```

##### `ResetOverrideLabel` <a name="ResetOverrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.resetOverrideLabel"></a>

```go
func ResetOverrideLabel()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.isHiddenInput">IsHiddenInput</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.labelInput">LabelInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.linkInput">LinkInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.overrideLabelInput">OverrideLabelInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.isHidden">IsHidden</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.label">Label</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.link">Link</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.overrideLabel">OverrideLabel</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `IsHiddenInput`<sup>Optional</sup> <a name="IsHiddenInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.isHiddenInput"></a>

```go
func IsHiddenInput() interface{}
```

- *Type:* interface{}

---

##### `LabelInput`<sup>Optional</sup> <a name="LabelInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.labelInput"></a>

```go
func LabelInput() *string
```

- *Type:* *string

---

##### `LinkInput`<sup>Optional</sup> <a name="LinkInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.linkInput"></a>

```go
func LinkInput() *string
```

- *Type:* *string

---

##### `OverrideLabelInput`<sup>Optional</sup> <a name="OverrideLabelInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.overrideLabelInput"></a>

```go
func OverrideLabelInput() *string
```

- *Type:* *string

---

##### `IsHidden`<sup>Required</sup> <a name="IsHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.isHidden"></a>

```go
func IsHidden() interface{}
```

- *Type:* interface{}

---

##### `Label`<sup>Required</sup> <a name="Label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.label"></a>

```go
func Label() *string
```

- *Type:* *string

---

##### `Link`<sup>Required</sup> <a name="Link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.link"></a>

```go
func Link() *string
```

- *Type:* *string

---

##### `OverrideLabel`<sup>Required</sup> <a name="OverrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.overrideLabel"></a>

```go
func OverrideLabel() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetChangeDefinitionOutputReference <a name="DashboardWidgetChangeDefinitionOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetChangeDefinitionOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string) DashboardWidgetChangeDefinitionOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.putCustomLink">PutCustomLink</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.putRequest">PutRequest</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.resetCustomLink">ResetCustomLink</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.resetLiveSpan">ResetLiveSpan</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.resetRequest">ResetRequest</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.resetTitle">ResetTitle</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.resetTitleAlign">ResetTitleAlign</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.resetTitleSize">ResetTitleSize</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `PutCustomLink` <a name="PutCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.putCustomLink"></a>

```go
func PutCustomLink(value interface{})
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.putCustomLink.parameter.value"></a>

- *Type:* interface{}

---

##### `PutRequest` <a name="PutRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.putRequest"></a>

```go
func PutRequest(value interface{})
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.putRequest.parameter.value"></a>

- *Type:* interface{}

---

##### `ResetCustomLink` <a name="ResetCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.resetCustomLink"></a>

```go
func ResetCustomLink()
```

##### `ResetLiveSpan` <a name="ResetLiveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.resetLiveSpan"></a>

```go
func ResetLiveSpan()
```

##### `ResetRequest` <a name="ResetRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.resetRequest"></a>

```go
func ResetRequest()
```

##### `ResetTitle` <a name="ResetTitle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.resetTitle"></a>

```go
func ResetTitle()
```

##### `ResetTitleAlign` <a name="ResetTitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.resetTitleAlign"></a>

```go
func ResetTitleAlign()
```

##### `ResetTitleSize` <a name="ResetTitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.resetTitleSize"></a>

```go
func ResetTitleSize()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.customLink">CustomLink</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList">DashboardWidgetChangeDefinitionCustomLinkList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.request">Request</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList">DashboardWidgetChangeDefinitionRequestList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.customLinkInput">CustomLinkInput</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.liveSpanInput">LiveSpanInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.requestInput">RequestInput</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.titleAlignInput">TitleAlignInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.titleInput">TitleInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.titleSizeInput">TitleSizeInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.liveSpan">LiveSpan</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.title">Title</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.titleAlign">TitleAlign</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.titleSize">TitleSize</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.internalValue">InternalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinition">DashboardWidgetChangeDefinition</a></code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `CustomLink`<sup>Required</sup> <a name="CustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.customLink"></a>

```go
func CustomLink() DashboardWidgetChangeDefinitionCustomLinkList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList">DashboardWidgetChangeDefinitionCustomLinkList</a>

---

##### `Request`<sup>Required</sup> <a name="Request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.request"></a>

```go
func Request() DashboardWidgetChangeDefinitionRequestList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList">DashboardWidgetChangeDefinitionRequestList</a>

---

##### `CustomLinkInput`<sup>Optional</sup> <a name="CustomLinkInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.customLinkInput"></a>

```go
func CustomLinkInput() interface{}
```

- *Type:* interface{}

---

##### `LiveSpanInput`<sup>Optional</sup> <a name="LiveSpanInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.liveSpanInput"></a>

```go
func LiveSpanInput() *string
```

- *Type:* *string

---

##### `RequestInput`<sup>Optional</sup> <a name="RequestInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.requestInput"></a>

```go
func RequestInput() interface{}
```

- *Type:* interface{}

---

##### `TitleAlignInput`<sup>Optional</sup> <a name="TitleAlignInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.titleAlignInput"></a>

```go
func TitleAlignInput() *string
```

- *Type:* *string

---

##### `TitleInput`<sup>Optional</sup> <a name="TitleInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.titleInput"></a>

```go
func TitleInput() *string
```

- *Type:* *string

---

##### `TitleSizeInput`<sup>Optional</sup> <a name="TitleSizeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.titleSizeInput"></a>

```go
func TitleSizeInput() *string
```

- *Type:* *string

---

##### `LiveSpan`<sup>Required</sup> <a name="LiveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.liveSpan"></a>

```go
func LiveSpan() *string
```

- *Type:* *string

---

##### `Title`<sup>Required</sup> <a name="Title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.title"></a>

```go
func Title() *string
```

- *Type:* *string

---

##### `TitleAlign`<sup>Required</sup> <a name="TitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.titleAlign"></a>

```go
func TitleAlign() *string
```

- *Type:* *string

---

##### `TitleSize`<sup>Required</sup> <a name="TitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.titleSize"></a>

```go
func TitleSize() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.internalValue"></a>

```go
func InternalValue() DashboardWidgetChangeDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinition">DashboardWidgetChangeDefinition</a>

---


### DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference <a name="DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string) DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.resetFacet">ResetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.resetInterval">ResetInterval</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `ResetFacet` <a name="ResetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.resetFacet"></a>

```go
func ResetFacet()
```

##### `ResetInterval` <a name="ResetInterval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.resetInterval"></a>

```go
func ResetInterval()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.aggregationInput">AggregationInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.facetInput">FacetInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.intervalInput">IntervalInput</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.aggregation">Aggregation</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.facet">Facet</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.interval">Interval</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.internalValue">InternalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery">DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery</a></code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `AggregationInput`<sup>Optional</sup> <a name="AggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.aggregationInput"></a>

```go
func AggregationInput() *string
```

- *Type:* *string

---

##### `FacetInput`<sup>Optional</sup> <a name="FacetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.facetInput"></a>

```go
func FacetInput() *string
```

- *Type:* *string

---

##### `IntervalInput`<sup>Optional</sup> <a name="IntervalInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.intervalInput"></a>

```go
func IntervalInput() *f64
```

- *Type:* *f64

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.aggregation"></a>

```go
func Aggregation() *string
```

- *Type:* *string

---

##### `Facet`<sup>Required</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.facet"></a>

```go
func Facet() *string
```

- *Type:* *string

---

##### `Interval`<sup>Required</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.interval"></a>

```go
func Interval() *f64
```

- *Type:* *f64

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.internalValue"></a>

```go
func InternalValue() DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery">DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery</a>

---


### DashboardWidgetChangeDefinitionRequestApmQueryGroupByList <a name="DashboardWidgetChangeDefinitionRequestApmQueryGroupByList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetChangeDefinitionRequestApmQueryGroupByList(terraformResource IInterpolatingParent, terraformAttribute *string, wrapsSet *bool) DashboardWidgetChangeDefinitionRequestApmQueryGroupByList
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.Initializer.parameter.wrapsSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.get">Get</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `Get` <a name="Get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.get"></a>

```go
func Get(index *f64) DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.get.parameter.index"></a>

- *Type:* *f64

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference <a name="DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string, complexObjectIndex *f64, complexObjectIsFromSet *bool) DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>*f64</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* *f64

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.putSortQuery">PutSortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.resetFacet">ResetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.resetLimit">ResetLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.resetSortQuery">ResetSortQuery</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `PutSortQuery` <a name="PutSortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.putSortQuery"></a>

```go
func PutSortQuery(value DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.putSortQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery</a>

---

##### `ResetFacet` <a name="ResetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.resetFacet"></a>

```go
func ResetFacet()
```

##### `ResetLimit` <a name="ResetLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.resetLimit"></a>

```go
func ResetLimit()
```

##### `ResetSortQuery` <a name="ResetSortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.resetSortQuery"></a>

```go
func ResetSortQuery()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference">DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.facetInput">FacetInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.limitInput">LimitInput</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.sortQueryInput">SortQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.facet">Facet</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.limit">Limit</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `SortQuery`<sup>Required</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.sortQuery"></a>

```go
func SortQuery() DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference">DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference</a>

---

##### `FacetInput`<sup>Optional</sup> <a name="FacetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.facetInput"></a>

```go
func FacetInput() *string
```

- *Type:* *string

---

##### `LimitInput`<sup>Optional</sup> <a name="LimitInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.limitInput"></a>

```go
func LimitInput() *f64
```

- *Type:* *f64

---

##### `SortQueryInput`<sup>Optional</sup> <a name="SortQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.sortQueryInput"></a>

```go
func SortQueryInput() DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery</a>

---

##### `Facet`<sup>Required</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.facet"></a>

```go
func Facet() *string
```

- *Type:* *string

---

##### `Limit`<sup>Required</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.limit"></a>

```go
func Limit() *f64
```

- *Type:* *f64

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference <a name="DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string) DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.resetFacet">ResetFacet</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `ResetFacet` <a name="ResetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.resetFacet"></a>

```go
func ResetFacet()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.aggregationInput">AggregationInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.facetInput">FacetInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.orderInput">OrderInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.aggregation">Aggregation</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.facet">Facet</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.order">Order</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.internalValue">InternalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery</a></code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `AggregationInput`<sup>Optional</sup> <a name="AggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.aggregationInput"></a>

```go
func AggregationInput() *string
```

- *Type:* *string

---

##### `FacetInput`<sup>Optional</sup> <a name="FacetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.facetInput"></a>

```go
func FacetInput() *string
```

- *Type:* *string

---

##### `OrderInput`<sup>Optional</sup> <a name="OrderInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.orderInput"></a>

```go
func OrderInput() *string
```

- *Type:* *string

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.aggregation"></a>

```go
func Aggregation() *string
```

- *Type:* *string

---

##### `Facet`<sup>Required</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.facet"></a>

```go
func Facet() *string
```

- *Type:* *string

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.order"></a>

```go
func Order() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.internalValue"></a>

```go
func InternalValue() DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery</a>

---


### DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList <a name="DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList(terraformResource IInterpolatingParent, terraformAttribute *string, wrapsSet *bool) DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.Initializer.parameter.wrapsSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.get">Get</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `Get` <a name="Get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.get"></a>

```go
func Get(index *f64) DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.get.parameter.index"></a>

- *Type:* *f64

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference <a name="DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string, complexObjectIndex *f64, complexObjectIsFromSet *bool) DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>*f64</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* *f64

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.resetFacet">ResetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.resetInterval">ResetInterval</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `ResetFacet` <a name="ResetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.resetFacet"></a>

```go
func ResetFacet()
```

##### `ResetInterval` <a name="ResetInterval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.resetInterval"></a>

```go
func ResetInterval()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.aggregationInput">AggregationInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.facetInput">FacetInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.intervalInput">IntervalInput</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.aggregation">Aggregation</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.facet">Facet</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.interval">Interval</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `AggregationInput`<sup>Optional</sup> <a name="AggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.aggregationInput"></a>

```go
func AggregationInput() *string
```

- *Type:* *string

---

##### `FacetInput`<sup>Optional</sup> <a name="FacetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.facetInput"></a>

```go
func FacetInput() *string
```

- *Type:* *string

---

##### `IntervalInput`<sup>Optional</sup> <a name="IntervalInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.intervalInput"></a>

```go
func IntervalInput() *f64
```

- *Type:* *f64

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.aggregation"></a>

```go
func Aggregation() *string
```

- *Type:* *string

---

##### `Facet`<sup>Required</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.facet"></a>

```go
func Facet() *string
```

- *Type:* *string

---

##### `Interval`<sup>Required</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.interval"></a>

```go
func Interval() *f64
```

- *Type:* *f64

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetChangeDefinitionRequestApmQueryOutputReference <a name="DashboardWidgetChangeDefinitionRequestApmQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetChangeDefinitionRequestApmQueryOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string) DashboardWidgetChangeDefinitionRequestApmQueryOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.putComputeQuery">PutComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.putGroupBy">PutGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.putMultiCompute">PutMultiCompute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.resetComputeQuery">ResetComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.resetGroupBy">ResetGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.resetMultiCompute">ResetMultiCompute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.resetSearchQuery">ResetSearchQuery</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `PutComputeQuery` <a name="PutComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.putComputeQuery"></a>

```go
func PutComputeQuery(value DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.putComputeQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery">DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery</a>

---

##### `PutGroupBy` <a name="PutGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.putGroupBy"></a>

```go
func PutGroupBy(value interface{})
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.putGroupBy.parameter.value"></a>

- *Type:* interface{}

---

##### `PutMultiCompute` <a name="PutMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.putMultiCompute"></a>

```go
func PutMultiCompute(value interface{})
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.putMultiCompute.parameter.value"></a>

- *Type:* interface{}

---

##### `ResetComputeQuery` <a name="ResetComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.resetComputeQuery"></a>

```go
func ResetComputeQuery()
```

##### `ResetGroupBy` <a name="ResetGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.resetGroupBy"></a>

```go
func ResetGroupBy()
```

##### `ResetMultiCompute` <a name="ResetMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.resetMultiCompute"></a>

```go
func ResetMultiCompute()
```

##### `ResetSearchQuery` <a name="ResetSearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.resetSearchQuery"></a>

```go
func ResetSearchQuery()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference">DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.groupBy">GroupBy</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList">DashboardWidgetChangeDefinitionRequestApmQueryGroupByList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.multiCompute">MultiCompute</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList">DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.computeQueryInput">ComputeQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery">DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.groupByInput">GroupByInput</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.indexInput">IndexInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.multiComputeInput">MultiComputeInput</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.searchQueryInput">SearchQueryInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.index">Index</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.internalValue">InternalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQuery">DashboardWidgetChangeDefinitionRequestApmQuery</a></code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `ComputeQuery`<sup>Required</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.computeQuery"></a>

```go
func ComputeQuery() DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference">DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference</a>

---

##### `GroupBy`<sup>Required</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.groupBy"></a>

```go
func GroupBy() DashboardWidgetChangeDefinitionRequestApmQueryGroupByList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList">DashboardWidgetChangeDefinitionRequestApmQueryGroupByList</a>

---

##### `MultiCompute`<sup>Required</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.multiCompute"></a>

```go
func MultiCompute() DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList">DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList</a>

---

##### `ComputeQueryInput`<sup>Optional</sup> <a name="ComputeQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.computeQueryInput"></a>

```go
func ComputeQueryInput() DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery">DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery</a>

---

##### `GroupByInput`<sup>Optional</sup> <a name="GroupByInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.groupByInput"></a>

```go
func GroupByInput() interface{}
```

- *Type:* interface{}

---

##### `IndexInput`<sup>Optional</sup> <a name="IndexInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.indexInput"></a>

```go
func IndexInput() *string
```

- *Type:* *string

---

##### `MultiComputeInput`<sup>Optional</sup> <a name="MultiComputeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.multiComputeInput"></a>

```go
func MultiComputeInput() interface{}
```

- *Type:* interface{}

---

##### `SearchQueryInput`<sup>Optional</sup> <a name="SearchQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.searchQueryInput"></a>

```go
func SearchQueryInput() *string
```

- *Type:* *string

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.index"></a>

```go
func Index() *string
```

- *Type:* *string

---

##### `SearchQuery`<sup>Required</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.searchQuery"></a>

```go
func SearchQuery() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.internalValue"></a>

```go
func InternalValue() DashboardWidgetChangeDefinitionRequestApmQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQuery">DashboardWidgetChangeDefinitionRequestApmQuery</a>

---


### DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList <a name="DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList(terraformResource IInterpolatingParent, terraformAttribute *string, wrapsSet *bool) DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.Initializer.parameter.wrapsSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.get">Get</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `Get` <a name="Get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.get"></a>

```go
func Get(index *f64) DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.get.parameter.index"></a>

- *Type:* *f64

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference <a name="DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string, complexObjectIndex *f64, complexObjectIsFromSet *bool) DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>*f64</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* *f64

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetCustomBgColor">ResetCustomBgColor</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetCustomFgColor">ResetCustomFgColor</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetHideValue">ResetHideValue</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetImageUrl">ResetImageUrl</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetMetric">ResetMetric</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetTimeframe">ResetTimeframe</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `ResetCustomBgColor` <a name="ResetCustomBgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetCustomBgColor"></a>

```go
func ResetCustomBgColor()
```

##### `ResetCustomFgColor` <a name="ResetCustomFgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetCustomFgColor"></a>

```go
func ResetCustomFgColor()
```

##### `ResetHideValue` <a name="ResetHideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetHideValue"></a>

```go
func ResetHideValue()
```

##### `ResetImageUrl` <a name="ResetImageUrl" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetImageUrl"></a>

```go
func ResetImageUrl()
```

##### `ResetMetric` <a name="ResetMetric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetMetric"></a>

```go
func ResetMetric()
```

##### `ResetTimeframe` <a name="ResetTimeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetTimeframe"></a>

```go
func ResetTimeframe()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.comparatorInput">ComparatorInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.customBgColorInput">CustomBgColorInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.customFgColorInput">CustomFgColorInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.hideValueInput">HideValueInput</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.imageUrlInput">ImageUrlInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.metricInput">MetricInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.paletteInput">PaletteInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.timeframeInput">TimeframeInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.valueInput">ValueInput</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.comparator">Comparator</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.customBgColor">CustomBgColor</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.customFgColor">CustomFgColor</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.hideValue">HideValue</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.imageUrl">ImageUrl</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.metric">Metric</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.palette">Palette</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.timeframe">Timeframe</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.value">Value</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `ComparatorInput`<sup>Optional</sup> <a name="ComparatorInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.comparatorInput"></a>

```go
func ComparatorInput() *string
```

- *Type:* *string

---

##### `CustomBgColorInput`<sup>Optional</sup> <a name="CustomBgColorInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.customBgColorInput"></a>

```go
func CustomBgColorInput() *string
```

- *Type:* *string

---

##### `CustomFgColorInput`<sup>Optional</sup> <a name="CustomFgColorInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.customFgColorInput"></a>

```go
func CustomFgColorInput() *string
```

- *Type:* *string

---

##### `HideValueInput`<sup>Optional</sup> <a name="HideValueInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.hideValueInput"></a>

```go
func HideValueInput() interface{}
```

- *Type:* interface{}

---

##### `ImageUrlInput`<sup>Optional</sup> <a name="ImageUrlInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.imageUrlInput"></a>

```go
func ImageUrlInput() *string
```

- *Type:* *string

---

##### `MetricInput`<sup>Optional</sup> <a name="MetricInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.metricInput"></a>

```go
func MetricInput() *string
```

- *Type:* *string

---

##### `PaletteInput`<sup>Optional</sup> <a name="PaletteInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.paletteInput"></a>

```go
func PaletteInput() *string
```

- *Type:* *string

---

##### `TimeframeInput`<sup>Optional</sup> <a name="TimeframeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.timeframeInput"></a>

```go
func TimeframeInput() *string
```

- *Type:* *string

---

##### `ValueInput`<sup>Optional</sup> <a name="ValueInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.valueInput"></a>

```go
func ValueInput() *f64
```

- *Type:* *f64

---

##### `Comparator`<sup>Required</sup> <a name="Comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.comparator"></a>

```go
func Comparator() *string
```

- *Type:* *string

---

##### `CustomBgColor`<sup>Required</sup> <a name="CustomBgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.customBgColor"></a>

```go
func CustomBgColor() *string
```

- *Type:* *string

---

##### `CustomFgColor`<sup>Required</sup> <a name="CustomFgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.customFgColor"></a>

```go
func CustomFgColor() *string
```

- *Type:* *string

---

##### `HideValue`<sup>Required</sup> <a name="HideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.hideValue"></a>

```go
func HideValue() interface{}
```

- *Type:* interface{}

---

##### `ImageUrl`<sup>Required</sup> <a name="ImageUrl" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.imageUrl"></a>

```go
func ImageUrl() *string
```

- *Type:* *string

---

##### `Metric`<sup>Required</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.metric"></a>

```go
func Metric() *string
```

- *Type:* *string

---

##### `Palette`<sup>Required</sup> <a name="Palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.palette"></a>

```go
func Palette() *string
```

- *Type:* *string

---

##### `Timeframe`<sup>Required</sup> <a name="Timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.timeframe"></a>

```go
func Timeframe() *string
```

- *Type:* *string

---

##### `Value`<sup>Required</sup> <a name="Value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.value"></a>

```go
func Value() *f64
```

- *Type:* *f64

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference <a name="DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string) DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.resetCount">ResetCount</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.resetOrder">ResetOrder</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `ResetCount` <a name="ResetCount" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.resetCount"></a>

```go
func ResetCount()
```

##### `ResetOrder` <a name="ResetOrder" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.resetOrder"></a>

```go
func ResetOrder()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.countInput">CountInput</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.orderInput">OrderInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.count">Count</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.order">Order</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.internalValue">InternalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimit">DashboardWidgetChangeDefinitionRequestFormulaLimit</a></code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `CountInput`<sup>Optional</sup> <a name="CountInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.countInput"></a>

```go
func CountInput() *f64
```

- *Type:* *f64

---

##### `OrderInput`<sup>Optional</sup> <a name="OrderInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.orderInput"></a>

```go
func OrderInput() *string
```

- *Type:* *string

---

##### `Count`<sup>Required</sup> <a name="Count" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.count"></a>

```go
func Count() *f64
```

- *Type:* *f64

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.order"></a>

```go
func Order() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.internalValue"></a>

```go
func InternalValue() DashboardWidgetChangeDefinitionRequestFormulaLimit
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimit">DashboardWidgetChangeDefinitionRequestFormulaLimit</a>

---


### DashboardWidgetChangeDefinitionRequestFormulaList <a name="DashboardWidgetChangeDefinitionRequestFormulaList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetChangeDefinitionRequestFormulaList(terraformResource IInterpolatingParent, terraformAttribute *string, wrapsSet *bool) DashboardWidgetChangeDefinitionRequestFormulaList
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.Initializer.parameter.wrapsSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.get">Get</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `Get` <a name="Get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.get"></a>

```go
func Get(index *f64) DashboardWidgetChangeDefinitionRequestFormulaOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.get.parameter.index"></a>

- *Type:* *f64

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetChangeDefinitionRequestFormulaOutputReference <a name="DashboardWidgetChangeDefinitionRequestFormulaOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetChangeDefinitionRequestFormulaOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string, complexObjectIndex *f64, complexObjectIsFromSet *bool) DashboardWidgetChangeDefinitionRequestFormulaOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>*f64</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* *f64

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.putConditionalFormats">PutConditionalFormats</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.putLimit">PutLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.putStyle">PutStyle</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.resetAlias">ResetAlias</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.resetCellDisplayMode">ResetCellDisplayMode</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.resetConditionalFormats">ResetConditionalFormats</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.resetLimit">ResetLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.resetStyle">ResetStyle</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `PutConditionalFormats` <a name="PutConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.putConditionalFormats"></a>

```go
func PutConditionalFormats(value interface{})
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.putConditionalFormats.parameter.value"></a>

- *Type:* interface{}

---

##### `PutLimit` <a name="PutLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.putLimit"></a>

```go
func PutLimit(value DashboardWidgetChangeDefinitionRequestFormulaLimit)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.putLimit.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimit">DashboardWidgetChangeDefinitionRequestFormulaLimit</a>

---

##### `PutStyle` <a name="PutStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.putStyle"></a>

```go
func PutStyle(value DashboardWidgetChangeDefinitionRequestFormulaStyle)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.putStyle.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyle">DashboardWidgetChangeDefinitionRequestFormulaStyle</a>

---

##### `ResetAlias` <a name="ResetAlias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.resetAlias"></a>

```go
func ResetAlias()
```

##### `ResetCellDisplayMode` <a name="ResetCellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.resetCellDisplayMode"></a>

```go
func ResetCellDisplayMode()
```

##### `ResetConditionalFormats` <a name="ResetConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.resetConditionalFormats"></a>

```go
func ResetConditionalFormats()
```

##### `ResetLimit` <a name="ResetLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.resetLimit"></a>

```go
func ResetLimit()
```

##### `ResetStyle` <a name="ResetStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.resetStyle"></a>

```go
func ResetStyle()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.conditionalFormats">ConditionalFormats</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList">DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.limit">Limit</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference">DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.style">Style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference">DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.aliasInput">AliasInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.cellDisplayModeInput">CellDisplayModeInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.conditionalFormatsInput">ConditionalFormatsInput</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.formulaExpressionInput">FormulaExpressionInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.limitInput">LimitInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimit">DashboardWidgetChangeDefinitionRequestFormulaLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.styleInput">StyleInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyle">DashboardWidgetChangeDefinitionRequestFormulaStyle</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.alias">Alias</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.cellDisplayMode">CellDisplayMode</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.formulaExpression">FormulaExpression</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `ConditionalFormats`<sup>Required</sup> <a name="ConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.conditionalFormats"></a>

```go
func ConditionalFormats() DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList">DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList</a>

---

##### `Limit`<sup>Required</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.limit"></a>

```go
func Limit() DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference">DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference</a>

---

##### `Style`<sup>Required</sup> <a name="Style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.style"></a>

```go
func Style() DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference">DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference</a>

---

##### `AliasInput`<sup>Optional</sup> <a name="AliasInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.aliasInput"></a>

```go
func AliasInput() *string
```

- *Type:* *string

---

##### `CellDisplayModeInput`<sup>Optional</sup> <a name="CellDisplayModeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.cellDisplayModeInput"></a>

```go
func CellDisplayModeInput() *string
```

- *Type:* *string

---

##### `ConditionalFormatsInput`<sup>Optional</sup> <a name="ConditionalFormatsInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.conditionalFormatsInput"></a>

```go
func ConditionalFormatsInput() interface{}
```

- *Type:* interface{}

---

##### `FormulaExpressionInput`<sup>Optional</sup> <a name="FormulaExpressionInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.formulaExpressionInput"></a>

```go
func FormulaExpressionInput() *string
```

- *Type:* *string

---

##### `LimitInput`<sup>Optional</sup> <a name="LimitInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.limitInput"></a>

```go
func LimitInput() DashboardWidgetChangeDefinitionRequestFormulaLimit
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimit">DashboardWidgetChangeDefinitionRequestFormulaLimit</a>

---

##### `StyleInput`<sup>Optional</sup> <a name="StyleInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.styleInput"></a>

```go
func StyleInput() DashboardWidgetChangeDefinitionRequestFormulaStyle
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyle">DashboardWidgetChangeDefinitionRequestFormulaStyle</a>

---

##### `Alias`<sup>Required</sup> <a name="Alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.alias"></a>

```go
func Alias() *string
```

- *Type:* *string

---

##### `CellDisplayMode`<sup>Required</sup> <a name="CellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.cellDisplayMode"></a>

```go
func CellDisplayMode() *string
```

- *Type:* *string

---

##### `FormulaExpression`<sup>Required</sup> <a name="FormulaExpression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.formulaExpression"></a>

```go
func FormulaExpression() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference <a name="DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string) DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.resetPalette">ResetPalette</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.resetPaletteIndex">ResetPaletteIndex</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `ResetPalette` <a name="ResetPalette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.resetPalette"></a>

```go
func ResetPalette()
```

##### `ResetPaletteIndex` <a name="ResetPaletteIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.resetPaletteIndex"></a>

```go
func ResetPaletteIndex()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.paletteIndexInput">PaletteIndexInput</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.paletteInput">PaletteInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.palette">Palette</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.paletteIndex">PaletteIndex</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.internalValue">InternalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyle">DashboardWidgetChangeDefinitionRequestFormulaStyle</a></code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `PaletteIndexInput`<sup>Optional</sup> <a name="PaletteIndexInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.paletteIndexInput"></a>

```go
func PaletteIndexInput() *f64
```

- *Type:* *f64

---

##### `PaletteInput`<sup>Optional</sup> <a name="PaletteInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.paletteInput"></a>

```go
func PaletteInput() *string
```

- *Type:* *string

---

##### `Palette`<sup>Required</sup> <a name="Palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.palette"></a>

```go
func Palette() *string
```

- *Type:* *string

---

##### `PaletteIndex`<sup>Required</sup> <a name="PaletteIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.paletteIndex"></a>

```go
func PaletteIndex() *f64
```

- *Type:* *f64

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.internalValue"></a>

```go
func InternalValue() DashboardWidgetChangeDefinitionRequestFormulaStyle
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyle">DashboardWidgetChangeDefinitionRequestFormulaStyle</a>

---


### DashboardWidgetChangeDefinitionRequestList <a name="DashboardWidgetChangeDefinitionRequestList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetChangeDefinitionRequestList(terraformResource IInterpolatingParent, terraformAttribute *string, wrapsSet *bool) DashboardWidgetChangeDefinitionRequestList
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.Initializer.parameter.wrapsSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.get">Get</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `Get` <a name="Get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.get"></a>

```go
func Get(index *f64) DashboardWidgetChangeDefinitionRequestOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.get.parameter.index"></a>

- *Type:* *f64

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference <a name="DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string) DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.resetFacet">ResetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.resetInterval">ResetInterval</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `ResetFacet` <a name="ResetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.resetFacet"></a>

```go
func ResetFacet()
```

##### `ResetInterval` <a name="ResetInterval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.resetInterval"></a>

```go
func ResetInterval()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.aggregationInput">AggregationInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.facetInput">FacetInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.intervalInput">IntervalInput</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.aggregation">Aggregation</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.facet">Facet</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.interval">Interval</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.internalValue">InternalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery">DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery</a></code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `AggregationInput`<sup>Optional</sup> <a name="AggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.aggregationInput"></a>

```go
func AggregationInput() *string
```

- *Type:* *string

---

##### `FacetInput`<sup>Optional</sup> <a name="FacetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.facetInput"></a>

```go
func FacetInput() *string
```

- *Type:* *string

---

##### `IntervalInput`<sup>Optional</sup> <a name="IntervalInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.intervalInput"></a>

```go
func IntervalInput() *f64
```

- *Type:* *f64

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.aggregation"></a>

```go
func Aggregation() *string
```

- *Type:* *string

---

##### `Facet`<sup>Required</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.facet"></a>

```go
func Facet() *string
```

- *Type:* *string

---

##### `Interval`<sup>Required</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.interval"></a>

```go
func Interval() *f64
```

- *Type:* *f64

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.internalValue"></a>

```go
func InternalValue() DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery">DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery</a>

---


### DashboardWidgetChangeDefinitionRequestLogQueryGroupByList <a name="DashboardWidgetChangeDefinitionRequestLogQueryGroupByList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetChangeDefinitionRequestLogQueryGroupByList(terraformResource IInterpolatingParent, terraformAttribute *string, wrapsSet *bool) DashboardWidgetChangeDefinitionRequestLogQueryGroupByList
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.Initializer.parameter.wrapsSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.get">Get</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `Get` <a name="Get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.get"></a>

```go
func Get(index *f64) DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.get.parameter.index"></a>

- *Type:* *f64

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference <a name="DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string, complexObjectIndex *f64, complexObjectIsFromSet *bool) DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>*f64</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* *f64

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.putSortQuery">PutSortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.resetFacet">ResetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.resetLimit">ResetLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.resetSortQuery">ResetSortQuery</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `PutSortQuery` <a name="PutSortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.putSortQuery"></a>

```go
func PutSortQuery(value DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.putSortQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery</a>

---

##### `ResetFacet` <a name="ResetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.resetFacet"></a>

```go
func ResetFacet()
```

##### `ResetLimit` <a name="ResetLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.resetLimit"></a>

```go
func ResetLimit()
```

##### `ResetSortQuery` <a name="ResetSortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.resetSortQuery"></a>

```go
func ResetSortQuery()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference">DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.facetInput">FacetInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.limitInput">LimitInput</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.sortQueryInput">SortQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.facet">Facet</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.limit">Limit</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `SortQuery`<sup>Required</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.sortQuery"></a>

```go
func SortQuery() DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference">DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference</a>

---

##### `FacetInput`<sup>Optional</sup> <a name="FacetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.facetInput"></a>

```go
func FacetInput() *string
```

- *Type:* *string

---

##### `LimitInput`<sup>Optional</sup> <a name="LimitInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.limitInput"></a>

```go
func LimitInput() *f64
```

- *Type:* *f64

---

##### `SortQueryInput`<sup>Optional</sup> <a name="SortQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.sortQueryInput"></a>

```go
func SortQueryInput() DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery</a>

---

##### `Facet`<sup>Required</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.facet"></a>

```go
func Facet() *string
```

- *Type:* *string

---

##### `Limit`<sup>Required</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.limit"></a>

```go
func Limit() *f64
```

- *Type:* *f64

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference <a name="DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string) DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.resetFacet">ResetFacet</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `ResetFacet` <a name="ResetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.resetFacet"></a>

```go
func ResetFacet()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.aggregationInput">AggregationInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.facetInput">FacetInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.orderInput">OrderInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.aggregation">Aggregation</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.facet">Facet</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.order">Order</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.internalValue">InternalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery</a></code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `AggregationInput`<sup>Optional</sup> <a name="AggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.aggregationInput"></a>

```go
func AggregationInput() *string
```

- *Type:* *string

---

##### `FacetInput`<sup>Optional</sup> <a name="FacetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.facetInput"></a>

```go
func FacetInput() *string
```

- *Type:* *string

---

##### `OrderInput`<sup>Optional</sup> <a name="OrderInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.orderInput"></a>

```go
func OrderInput() *string
```

- *Type:* *string

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.aggregation"></a>

```go
func Aggregation() *string
```

- *Type:* *string

---

##### `Facet`<sup>Required</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.facet"></a>

```go
func Facet() *string
```

- *Type:* *string

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.order"></a>

```go
func Order() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.internalValue"></a>

```go
func InternalValue() DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery</a>

---


### DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList <a name="DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList(terraformResource IInterpolatingParent, terraformAttribute *string, wrapsSet *bool) DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.wrapsSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.get">Get</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `Get` <a name="Get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.get"></a>

```go
func Get(index *f64) DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.get.parameter.index"></a>

- *Type:* *f64

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference <a name="DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string, complexObjectIndex *f64, complexObjectIsFromSet *bool) DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>*f64</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* *f64

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.resetFacet">ResetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.resetInterval">ResetInterval</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `ResetFacet` <a name="ResetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.resetFacet"></a>

```go
func ResetFacet()
```

##### `ResetInterval` <a name="ResetInterval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.resetInterval"></a>

```go
func ResetInterval()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.aggregationInput">AggregationInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.facetInput">FacetInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.intervalInput">IntervalInput</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.aggregation">Aggregation</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.facet">Facet</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.interval">Interval</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `AggregationInput`<sup>Optional</sup> <a name="AggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.aggregationInput"></a>

```go
func AggregationInput() *string
```

- *Type:* *string

---

##### `FacetInput`<sup>Optional</sup> <a name="FacetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.facetInput"></a>

```go
func FacetInput() *string
```

- *Type:* *string

---

##### `IntervalInput`<sup>Optional</sup> <a name="IntervalInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.intervalInput"></a>

```go
func IntervalInput() *f64
```

- *Type:* *f64

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.aggregation"></a>

```go
func Aggregation() *string
```

- *Type:* *string

---

##### `Facet`<sup>Required</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.facet"></a>

```go
func Facet() *string
```

- *Type:* *string

---

##### `Interval`<sup>Required</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.interval"></a>

```go
func Interval() *f64
```

- *Type:* *f64

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetChangeDefinitionRequestLogQueryOutputReference <a name="DashboardWidgetChangeDefinitionRequestLogQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetChangeDefinitionRequestLogQueryOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string) DashboardWidgetChangeDefinitionRequestLogQueryOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.putComputeQuery">PutComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.putGroupBy">PutGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.putMultiCompute">PutMultiCompute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.resetComputeQuery">ResetComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.resetGroupBy">ResetGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.resetMultiCompute">ResetMultiCompute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.resetSearchQuery">ResetSearchQuery</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `PutComputeQuery` <a name="PutComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.putComputeQuery"></a>

```go
func PutComputeQuery(value DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.putComputeQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery">DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery</a>

---

##### `PutGroupBy` <a name="PutGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.putGroupBy"></a>

```go
func PutGroupBy(value interface{})
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.putGroupBy.parameter.value"></a>

- *Type:* interface{}

---

##### `PutMultiCompute` <a name="PutMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.putMultiCompute"></a>

```go
func PutMultiCompute(value interface{})
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.putMultiCompute.parameter.value"></a>

- *Type:* interface{}

---

##### `ResetComputeQuery` <a name="ResetComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.resetComputeQuery"></a>

```go
func ResetComputeQuery()
```

##### `ResetGroupBy` <a name="ResetGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.resetGroupBy"></a>

```go
func ResetGroupBy()
```

##### `ResetMultiCompute` <a name="ResetMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.resetMultiCompute"></a>

```go
func ResetMultiCompute()
```

##### `ResetSearchQuery` <a name="ResetSearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.resetSearchQuery"></a>

```go
func ResetSearchQuery()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference">DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.groupBy">GroupBy</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList">DashboardWidgetChangeDefinitionRequestLogQueryGroupByList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.multiCompute">MultiCompute</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList">DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.computeQueryInput">ComputeQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery">DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.groupByInput">GroupByInput</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.indexInput">IndexInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.multiComputeInput">MultiComputeInput</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.searchQueryInput">SearchQueryInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.index">Index</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.internalValue">InternalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQuery">DashboardWidgetChangeDefinitionRequestLogQuery</a></code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `ComputeQuery`<sup>Required</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.computeQuery"></a>

```go
func ComputeQuery() DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference">DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference</a>

---

##### `GroupBy`<sup>Required</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.groupBy"></a>

```go
func GroupBy() DashboardWidgetChangeDefinitionRequestLogQueryGroupByList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList">DashboardWidgetChangeDefinitionRequestLogQueryGroupByList</a>

---

##### `MultiCompute`<sup>Required</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.multiCompute"></a>

```go
func MultiCompute() DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList">DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList</a>

---

##### `ComputeQueryInput`<sup>Optional</sup> <a name="ComputeQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.computeQueryInput"></a>

```go
func ComputeQueryInput() DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery">DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery</a>

---

##### `GroupByInput`<sup>Optional</sup> <a name="GroupByInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.groupByInput"></a>

```go
func GroupByInput() interface{}
```

- *Type:* interface{}

---

##### `IndexInput`<sup>Optional</sup> <a name="IndexInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.indexInput"></a>

```go
func IndexInput() *string
```

- *Type:* *string

---

##### `MultiComputeInput`<sup>Optional</sup> <a name="MultiComputeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.multiComputeInput"></a>

```go
func MultiComputeInput() interface{}
```

- *Type:* interface{}

---

##### `SearchQueryInput`<sup>Optional</sup> <a name="SearchQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.searchQueryInput"></a>

```go
func SearchQueryInput() *string
```

- *Type:* *string

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.index"></a>

```go
func Index() *string
```

- *Type:* *string

---

##### `SearchQuery`<sup>Required</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.searchQuery"></a>

```go
func SearchQuery() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.internalValue"></a>

```go
func InternalValue() DashboardWidgetChangeDefinitionRequestLogQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQuery">DashboardWidgetChangeDefinitionRequestLogQuery</a>

---


### DashboardWidgetChangeDefinitionRequestOutputReference <a name="DashboardWidgetChangeDefinitionRequestOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetChangeDefinitionRequestOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string, complexObjectIndex *f64, complexObjectIsFromSet *bool) DashboardWidgetChangeDefinitionRequestOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>*f64</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* *f64

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putApmQuery">PutApmQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putFormula">PutFormula</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putLogQuery">PutLogQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putProcessQuery">PutProcessQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putQuery">PutQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putRumQuery">PutRumQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putSecurityQuery">PutSecurityQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetApmQuery">ResetApmQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetChangeType">ResetChangeType</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetCompareTo">ResetCompareTo</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetFormula">ResetFormula</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetIncreaseGood">ResetIncreaseGood</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetLogQuery">ResetLogQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetOrderBy">ResetOrderBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetOrderDir">ResetOrderDir</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetProcessQuery">ResetProcessQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetQ">ResetQ</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetQuery">ResetQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetRumQuery">ResetRumQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetSecurityQuery">ResetSecurityQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetShowPresent">ResetShowPresent</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `PutApmQuery` <a name="PutApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putApmQuery"></a>

```go
func PutApmQuery(value DashboardWidgetChangeDefinitionRequestApmQuery)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putApmQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQuery">DashboardWidgetChangeDefinitionRequestApmQuery</a>

---

##### `PutFormula` <a name="PutFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putFormula"></a>

```go
func PutFormula(value interface{})
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putFormula.parameter.value"></a>

- *Type:* interface{}

---

##### `PutLogQuery` <a name="PutLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putLogQuery"></a>

```go
func PutLogQuery(value DashboardWidgetChangeDefinitionRequestLogQuery)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putLogQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQuery">DashboardWidgetChangeDefinitionRequestLogQuery</a>

---

##### `PutProcessQuery` <a name="PutProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putProcessQuery"></a>

```go
func PutProcessQuery(value DashboardWidgetChangeDefinitionRequestProcessQuery)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putProcessQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQuery">DashboardWidgetChangeDefinitionRequestProcessQuery</a>

---

##### `PutQuery` <a name="PutQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putQuery"></a>

```go
func PutQuery(value interface{})
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putQuery.parameter.value"></a>

- *Type:* interface{}

---

##### `PutRumQuery` <a name="PutRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putRumQuery"></a>

```go
func PutRumQuery(value DashboardWidgetChangeDefinitionRequestRumQuery)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putRumQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQuery">DashboardWidgetChangeDefinitionRequestRumQuery</a>

---

##### `PutSecurityQuery` <a name="PutSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putSecurityQuery"></a>

```go
func PutSecurityQuery(value DashboardWidgetChangeDefinitionRequestSecurityQuery)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putSecurityQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQuery">DashboardWidgetChangeDefinitionRequestSecurityQuery</a>

---

##### `ResetApmQuery` <a name="ResetApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetApmQuery"></a>

```go
func ResetApmQuery()
```

##### `ResetChangeType` <a name="ResetChangeType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetChangeType"></a>

```go
func ResetChangeType()
```

##### `ResetCompareTo` <a name="ResetCompareTo" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetCompareTo"></a>

```go
func ResetCompareTo()
```

##### `ResetFormula` <a name="ResetFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetFormula"></a>

```go
func ResetFormula()
```

##### `ResetIncreaseGood` <a name="ResetIncreaseGood" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetIncreaseGood"></a>

```go
func ResetIncreaseGood()
```

##### `ResetLogQuery` <a name="ResetLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetLogQuery"></a>

```go
func ResetLogQuery()
```

##### `ResetOrderBy` <a name="ResetOrderBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetOrderBy"></a>

```go
func ResetOrderBy()
```

##### `ResetOrderDir` <a name="ResetOrderDir" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetOrderDir"></a>

```go
func ResetOrderDir()
```

##### `ResetProcessQuery` <a name="ResetProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetProcessQuery"></a>

```go
func ResetProcessQuery()
```

##### `ResetQ` <a name="ResetQ" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetQ"></a>

```go
func ResetQ()
```

##### `ResetQuery` <a name="ResetQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetQuery"></a>

```go
func ResetQuery()
```

##### `ResetRumQuery` <a name="ResetRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetRumQuery"></a>

```go
func ResetRumQuery()
```

##### `ResetSecurityQuery` <a name="ResetSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetSecurityQuery"></a>

```go
func ResetSecurityQuery()
```

##### `ResetShowPresent` <a name="ResetShowPresent" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetShowPresent"></a>

```go
func ResetShowPresent()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.apmQuery">ApmQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference">DashboardWidgetChangeDefinitionRequestApmQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.formula">Formula</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList">DashboardWidgetChangeDefinitionRequestFormulaList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.logQuery">LogQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference">DashboardWidgetChangeDefinitionRequestLogQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.processQuery">ProcessQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference">DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.query">Query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList">DashboardWidgetChangeDefinitionRequestQueryList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.rumQuery">RumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference">DashboardWidgetChangeDefinitionRequestRumQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.securityQuery">SecurityQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference">DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.apmQueryInput">ApmQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQuery">DashboardWidgetChangeDefinitionRequestApmQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.changeTypeInput">ChangeTypeInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.compareToInput">CompareToInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.formulaInput">FormulaInput</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.increaseGoodInput">IncreaseGoodInput</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.logQueryInput">LogQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQuery">DashboardWidgetChangeDefinitionRequestLogQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.orderByInput">OrderByInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.orderDirInput">OrderDirInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.processQueryInput">ProcessQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQuery">DashboardWidgetChangeDefinitionRequestProcessQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.qInput">QInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.queryInput">QueryInput</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.rumQueryInput">RumQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQuery">DashboardWidgetChangeDefinitionRequestRumQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.securityQueryInput">SecurityQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQuery">DashboardWidgetChangeDefinitionRequestSecurityQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.showPresentInput">ShowPresentInput</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.changeType">ChangeType</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.compareTo">CompareTo</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.increaseGood">IncreaseGood</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.orderBy">OrderBy</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.orderDir">OrderDir</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.q">Q</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.showPresent">ShowPresent</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `ApmQuery`<sup>Required</sup> <a name="ApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.apmQuery"></a>

```go
func ApmQuery() DashboardWidgetChangeDefinitionRequestApmQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference">DashboardWidgetChangeDefinitionRequestApmQueryOutputReference</a>

---

##### `Formula`<sup>Required</sup> <a name="Formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.formula"></a>

```go
func Formula() DashboardWidgetChangeDefinitionRequestFormulaList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList">DashboardWidgetChangeDefinitionRequestFormulaList</a>

---

##### `LogQuery`<sup>Required</sup> <a name="LogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.logQuery"></a>

```go
func LogQuery() DashboardWidgetChangeDefinitionRequestLogQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference">DashboardWidgetChangeDefinitionRequestLogQueryOutputReference</a>

---

##### `ProcessQuery`<sup>Required</sup> <a name="ProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.processQuery"></a>

```go
func ProcessQuery() DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference">DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference</a>

---

##### `Query`<sup>Required</sup> <a name="Query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.query"></a>

```go
func Query() DashboardWidgetChangeDefinitionRequestQueryList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList">DashboardWidgetChangeDefinitionRequestQueryList</a>

---

##### `RumQuery`<sup>Required</sup> <a name="RumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.rumQuery"></a>

```go
func RumQuery() DashboardWidgetChangeDefinitionRequestRumQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference">DashboardWidgetChangeDefinitionRequestRumQueryOutputReference</a>

---

##### `SecurityQuery`<sup>Required</sup> <a name="SecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.securityQuery"></a>

```go
func SecurityQuery() DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference">DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference</a>

---

##### `ApmQueryInput`<sup>Optional</sup> <a name="ApmQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.apmQueryInput"></a>

```go
func ApmQueryInput() DashboardWidgetChangeDefinitionRequestApmQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQuery">DashboardWidgetChangeDefinitionRequestApmQuery</a>

---

##### `ChangeTypeInput`<sup>Optional</sup> <a name="ChangeTypeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.changeTypeInput"></a>

```go
func ChangeTypeInput() *string
```

- *Type:* *string

---

##### `CompareToInput`<sup>Optional</sup> <a name="CompareToInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.compareToInput"></a>

```go
func CompareToInput() *string
```

- *Type:* *string

---

##### `FormulaInput`<sup>Optional</sup> <a name="FormulaInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.formulaInput"></a>

```go
func FormulaInput() interface{}
```

- *Type:* interface{}

---

##### `IncreaseGoodInput`<sup>Optional</sup> <a name="IncreaseGoodInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.increaseGoodInput"></a>

```go
func IncreaseGoodInput() interface{}
```

- *Type:* interface{}

---

##### `LogQueryInput`<sup>Optional</sup> <a name="LogQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.logQueryInput"></a>

```go
func LogQueryInput() DashboardWidgetChangeDefinitionRequestLogQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQuery">DashboardWidgetChangeDefinitionRequestLogQuery</a>

---

##### `OrderByInput`<sup>Optional</sup> <a name="OrderByInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.orderByInput"></a>

```go
func OrderByInput() *string
```

- *Type:* *string

---

##### `OrderDirInput`<sup>Optional</sup> <a name="OrderDirInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.orderDirInput"></a>

```go
func OrderDirInput() *string
```

- *Type:* *string

---

##### `ProcessQueryInput`<sup>Optional</sup> <a name="ProcessQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.processQueryInput"></a>

```go
func ProcessQueryInput() DashboardWidgetChangeDefinitionRequestProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQuery">DashboardWidgetChangeDefinitionRequestProcessQuery</a>

---

##### `QInput`<sup>Optional</sup> <a name="QInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.qInput"></a>

```go
func QInput() *string
```

- *Type:* *string

---

##### `QueryInput`<sup>Optional</sup> <a name="QueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.queryInput"></a>

```go
func QueryInput() interface{}
```

- *Type:* interface{}

---

##### `RumQueryInput`<sup>Optional</sup> <a name="RumQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.rumQueryInput"></a>

```go
func RumQueryInput() DashboardWidgetChangeDefinitionRequestRumQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQuery">DashboardWidgetChangeDefinitionRequestRumQuery</a>

---

##### `SecurityQueryInput`<sup>Optional</sup> <a name="SecurityQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.securityQueryInput"></a>

```go
func SecurityQueryInput() DashboardWidgetChangeDefinitionRequestSecurityQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQuery">DashboardWidgetChangeDefinitionRequestSecurityQuery</a>

---

##### `ShowPresentInput`<sup>Optional</sup> <a name="ShowPresentInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.showPresentInput"></a>

```go
func ShowPresentInput() interface{}
```

- *Type:* interface{}

---

##### `ChangeType`<sup>Required</sup> <a name="ChangeType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.changeType"></a>

```go
func ChangeType() *string
```

- *Type:* *string

---

##### `CompareTo`<sup>Required</sup> <a name="CompareTo" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.compareTo"></a>

```go
func CompareTo() *string
```

- *Type:* *string

---

##### `IncreaseGood`<sup>Required</sup> <a name="IncreaseGood" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.increaseGood"></a>

```go
func IncreaseGood() interface{}
```

- *Type:* interface{}

---

##### `OrderBy`<sup>Required</sup> <a name="OrderBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.orderBy"></a>

```go
func OrderBy() *string
```

- *Type:* *string

---

##### `OrderDir`<sup>Required</sup> <a name="OrderDir" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.orderDir"></a>

```go
func OrderDir() *string
```

- *Type:* *string

---

##### `Q`<sup>Required</sup> <a name="Q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.q"></a>

```go
func Q() *string
```

- *Type:* *string

---

##### `ShowPresent`<sup>Required</sup> <a name="ShowPresent" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.showPresent"></a>

```go
func ShowPresent() interface{}
```

- *Type:* interface{}

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference <a name="DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetChangeDefinitionRequestProcessQueryOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string) DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.resetFilterBy">ResetFilterBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.resetLimit">ResetLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.resetSearchBy">ResetSearchBy</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `ResetFilterBy` <a name="ResetFilterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.resetFilterBy"></a>

```go
func ResetFilterBy()
```

##### `ResetLimit` <a name="ResetLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.resetLimit"></a>

```go
func ResetLimit()
```

##### `ResetSearchBy` <a name="ResetSearchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.resetSearchBy"></a>

```go
func ResetSearchBy()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.filterByInput">FilterByInput</a></code> | <code>*[]*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.limitInput">LimitInput</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.metricInput">MetricInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.searchByInput">SearchByInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.filterBy">FilterBy</a></code> | <code>*[]*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.limit">Limit</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.metric">Metric</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.searchBy">SearchBy</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.internalValue">InternalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQuery">DashboardWidgetChangeDefinitionRequestProcessQuery</a></code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `FilterByInput`<sup>Optional</sup> <a name="FilterByInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.filterByInput"></a>

```go
func FilterByInput() *[]*string
```

- *Type:* *[]*string

---

##### `LimitInput`<sup>Optional</sup> <a name="LimitInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.limitInput"></a>

```go
func LimitInput() *f64
```

- *Type:* *f64

---

##### `MetricInput`<sup>Optional</sup> <a name="MetricInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.metricInput"></a>

```go
func MetricInput() *string
```

- *Type:* *string

---

##### `SearchByInput`<sup>Optional</sup> <a name="SearchByInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.searchByInput"></a>

```go
func SearchByInput() *string
```

- *Type:* *string

---

##### `FilterBy`<sup>Required</sup> <a name="FilterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.filterBy"></a>

```go
func FilterBy() *[]*string
```

- *Type:* *[]*string

---

##### `Limit`<sup>Required</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.limit"></a>

```go
func Limit() *f64
```

- *Type:* *f64

---

##### `Metric`<sup>Required</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.metric"></a>

```go
func Metric() *string
```

- *Type:* *string

---

##### `SearchBy`<sup>Required</sup> <a name="SearchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.searchBy"></a>

```go
func SearchBy() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.internalValue"></a>

```go
func InternalValue() DashboardWidgetChangeDefinitionRequestProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQuery">DashboardWidgetChangeDefinitionRequestProcessQuery</a>

---


### DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference <a name="DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string) DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resetIsUpstream">ResetIsUpstream</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resetPrimaryTagName">ResetPrimaryTagName</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resetPrimaryTagValue">ResetPrimaryTagValue</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `ResetIsUpstream` <a name="ResetIsUpstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resetIsUpstream"></a>

```go
func ResetIsUpstream()
```

##### `ResetPrimaryTagName` <a name="ResetPrimaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resetPrimaryTagName"></a>

```go
func ResetPrimaryTagName()
```

##### `ResetPrimaryTagValue` <a name="ResetPrimaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resetPrimaryTagValue"></a>

```go
func ResetPrimaryTagValue()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.dataSourceInput">DataSourceInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.envInput">EnvInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.isUpstreamInput">IsUpstreamInput</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.nameInput">NameInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.operationNameInput">OperationNameInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagNameInput">PrimaryTagNameInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagValueInput">PrimaryTagValueInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.resourceNameInput">ResourceNameInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.serviceInput">ServiceInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.statInput">StatInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.dataSource">DataSource</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.env">Env</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.isUpstream">IsUpstream</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.name">Name</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.operationName">OperationName</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagName">PrimaryTagName</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagValue">PrimaryTagValue</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.resourceName">ResourceName</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.service">Service</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.stat">Stat</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.internalValue">InternalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery</a></code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `DataSourceInput`<sup>Optional</sup> <a name="DataSourceInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.dataSourceInput"></a>

```go
func DataSourceInput() *string
```

- *Type:* *string

---

##### `EnvInput`<sup>Optional</sup> <a name="EnvInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.envInput"></a>

```go
func EnvInput() *string
```

- *Type:* *string

---

##### `IsUpstreamInput`<sup>Optional</sup> <a name="IsUpstreamInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.isUpstreamInput"></a>

```go
func IsUpstreamInput() interface{}
```

- *Type:* interface{}

---

##### `NameInput`<sup>Optional</sup> <a name="NameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.nameInput"></a>

```go
func NameInput() *string
```

- *Type:* *string

---

##### `OperationNameInput`<sup>Optional</sup> <a name="OperationNameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.operationNameInput"></a>

```go
func OperationNameInput() *string
```

- *Type:* *string

---

##### `PrimaryTagNameInput`<sup>Optional</sup> <a name="PrimaryTagNameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagNameInput"></a>

```go
func PrimaryTagNameInput() *string
```

- *Type:* *string

---

##### `PrimaryTagValueInput`<sup>Optional</sup> <a name="PrimaryTagValueInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagValueInput"></a>

```go
func PrimaryTagValueInput() *string
```

- *Type:* *string

---

##### `ResourceNameInput`<sup>Optional</sup> <a name="ResourceNameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.resourceNameInput"></a>

```go
func ResourceNameInput() *string
```

- *Type:* *string

---

##### `ServiceInput`<sup>Optional</sup> <a name="ServiceInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.serviceInput"></a>

```go
func ServiceInput() *string
```

- *Type:* *string

---

##### `StatInput`<sup>Optional</sup> <a name="StatInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.statInput"></a>

```go
func StatInput() *string
```

- *Type:* *string

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.dataSource"></a>

```go
func DataSource() *string
```

- *Type:* *string

---

##### `Env`<sup>Required</sup> <a name="Env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.env"></a>

```go
func Env() *string
```

- *Type:* *string

---

##### `IsUpstream`<sup>Required</sup> <a name="IsUpstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.isUpstream"></a>

```go
func IsUpstream() interface{}
```

- *Type:* interface{}

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.name"></a>

```go
func Name() *string
```

- *Type:* *string

---

##### `OperationName`<sup>Required</sup> <a name="OperationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.operationName"></a>

```go
func OperationName() *string
```

- *Type:* *string

---

##### `PrimaryTagName`<sup>Required</sup> <a name="PrimaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagName"></a>

```go
func PrimaryTagName() *string
```

- *Type:* *string

---

##### `PrimaryTagValue`<sup>Required</sup> <a name="PrimaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagValue"></a>

```go
func PrimaryTagValue() *string
```

- *Type:* *string

---

##### `ResourceName`<sup>Required</sup> <a name="ResourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.resourceName"></a>

```go
func ResourceName() *string
```

- *Type:* *string

---

##### `Service`<sup>Required</sup> <a name="Service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.service"></a>

```go
func Service() *string
```

- *Type:* *string

---

##### `Stat`<sup>Required</sup> <a name="Stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.stat"></a>

```go
func Stat() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.internalValue"></a>

```go
func InternalValue() DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery</a>

---


### DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference <a name="DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string) DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetGroupBy">ResetGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetOperationName">ResetOperationName</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetPrimaryTagName">ResetPrimaryTagName</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetPrimaryTagValue">ResetPrimaryTagValue</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetResourceName">ResetResourceName</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `ResetGroupBy` <a name="ResetGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetGroupBy"></a>

```go
func ResetGroupBy()
```

##### `ResetOperationName` <a name="ResetOperationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetOperationName"></a>

```go
func ResetOperationName()
```

##### `ResetPrimaryTagName` <a name="ResetPrimaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetPrimaryTagName"></a>

```go
func ResetPrimaryTagName()
```

##### `ResetPrimaryTagValue` <a name="ResetPrimaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetPrimaryTagValue"></a>

```go
func ResetPrimaryTagValue()
```

##### `ResetResourceName` <a name="ResetResourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetResourceName"></a>

```go
func ResetResourceName()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.dataSourceInput">DataSourceInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.envInput">EnvInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.groupByInput">GroupByInput</a></code> | <code>*[]*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.nameInput">NameInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.operationNameInput">OperationNameInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagNameInput">PrimaryTagNameInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagValueInput">PrimaryTagValueInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.resourceNameInput">ResourceNameInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.serviceInput">ServiceInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.statInput">StatInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.dataSource">DataSource</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.env">Env</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.groupBy">GroupBy</a></code> | <code>*[]*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.name">Name</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.operationName">OperationName</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagName">PrimaryTagName</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagValue">PrimaryTagValue</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.resourceName">ResourceName</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.service">Service</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.stat">Stat</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.internalValue">InternalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery</a></code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `DataSourceInput`<sup>Optional</sup> <a name="DataSourceInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.dataSourceInput"></a>

```go
func DataSourceInput() *string
```

- *Type:* *string

---

##### `EnvInput`<sup>Optional</sup> <a name="EnvInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.envInput"></a>

```go
func EnvInput() *string
```

- *Type:* *string

---

##### `GroupByInput`<sup>Optional</sup> <a name="GroupByInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.groupByInput"></a>

```go
func GroupByInput() *[]*string
```

- *Type:* *[]*string

---

##### `NameInput`<sup>Optional</sup> <a name="NameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.nameInput"></a>

```go
func NameInput() *string
```

- *Type:* *string

---

##### `OperationNameInput`<sup>Optional</sup> <a name="OperationNameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.operationNameInput"></a>

```go
func OperationNameInput() *string
```

- *Type:* *string

---

##### `PrimaryTagNameInput`<sup>Optional</sup> <a name="PrimaryTagNameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagNameInput"></a>

```go
func PrimaryTagNameInput() *string
```

- *Type:* *string

---

##### `PrimaryTagValueInput`<sup>Optional</sup> <a name="PrimaryTagValueInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagValueInput"></a>

```go
func PrimaryTagValueInput() *string
```

- *Type:* *string

---

##### `ResourceNameInput`<sup>Optional</sup> <a name="ResourceNameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.resourceNameInput"></a>

```go
func ResourceNameInput() *string
```

- *Type:* *string

---

##### `ServiceInput`<sup>Optional</sup> <a name="ServiceInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.serviceInput"></a>

```go
func ServiceInput() *string
```

- *Type:* *string

---

##### `StatInput`<sup>Optional</sup> <a name="StatInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.statInput"></a>

```go
func StatInput() *string
```

- *Type:* *string

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.dataSource"></a>

```go
func DataSource() *string
```

- *Type:* *string

---

##### `Env`<sup>Required</sup> <a name="Env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.env"></a>

```go
func Env() *string
```

- *Type:* *string

---

##### `GroupBy`<sup>Required</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.groupBy"></a>

```go
func GroupBy() *[]*string
```

- *Type:* *[]*string

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.name"></a>

```go
func Name() *string
```

- *Type:* *string

---

##### `OperationName`<sup>Required</sup> <a name="OperationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.operationName"></a>

```go
func OperationName() *string
```

- *Type:* *string

---

##### `PrimaryTagName`<sup>Required</sup> <a name="PrimaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagName"></a>

```go
func PrimaryTagName() *string
```

- *Type:* *string

---

##### `PrimaryTagValue`<sup>Required</sup> <a name="PrimaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagValue"></a>

```go
func PrimaryTagValue() *string
```

- *Type:* *string

---

##### `ResourceName`<sup>Required</sup> <a name="ResourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.resourceName"></a>

```go
func ResourceName() *string
```

- *Type:* *string

---

##### `Service`<sup>Required</sup> <a name="Service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.service"></a>

```go
func Service() *string
```

- *Type:* *string

---

##### `Stat`<sup>Required</sup> <a name="Stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.stat"></a>

```go
func Stat() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.internalValue"></a>

```go
func InternalValue() DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery</a>

---


### DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList <a name="DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList(terraformResource IInterpolatingParent, terraformAttribute *string, wrapsSet *bool) DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.Initializer.parameter.wrapsSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.get">Get</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `Get` <a name="Get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.get"></a>

```go
func Get(index *f64) DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.get.parameter.index"></a>

- *Type:* *f64

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference <a name="DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string, complexObjectIndex *f64, complexObjectIsFromSet *bool) DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>*f64</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* *f64

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.resetInterval">ResetInterval</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.resetMetric">ResetMetric</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `ResetInterval` <a name="ResetInterval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.resetInterval"></a>

```go
func ResetInterval()
```

##### `ResetMetric` <a name="ResetMetric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.resetMetric"></a>

```go
func ResetMetric()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.aggregationInput">AggregationInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.intervalInput">IntervalInput</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.metricInput">MetricInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.aggregation">Aggregation</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.interval">Interval</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.metric">Metric</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `AggregationInput`<sup>Optional</sup> <a name="AggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.aggregationInput"></a>

```go
func AggregationInput() *string
```

- *Type:* *string

---

##### `IntervalInput`<sup>Optional</sup> <a name="IntervalInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.intervalInput"></a>

```go
func IntervalInput() *f64
```

- *Type:* *f64

---

##### `MetricInput`<sup>Optional</sup> <a name="MetricInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.metricInput"></a>

```go
func MetricInput() *string
```

- *Type:* *string

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.aggregation"></a>

```go
func Aggregation() *string
```

- *Type:* *string

---

##### `Interval`<sup>Required</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.interval"></a>

```go
func Interval() *f64
```

- *Type:* *f64

---

##### `Metric`<sup>Required</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.metric"></a>

```go
func Metric() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList <a name="DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList(terraformResource IInterpolatingParent, terraformAttribute *string, wrapsSet *bool) DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.Initializer.parameter.wrapsSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.get">Get</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `Get` <a name="Get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.get"></a>

```go
func Get(index *f64) DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.get.parameter.index"></a>

- *Type:* *f64

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference <a name="DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string, complexObjectIndex *f64, complexObjectIsFromSet *bool) DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>*f64</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* *f64

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.putSort">PutSort</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.resetLimit">ResetLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.resetSort">ResetSort</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `PutSort` <a name="PutSort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.putSort"></a>

```go
func PutSort(value DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.putSort.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort</a>

---

##### `ResetLimit` <a name="ResetLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.resetLimit"></a>

```go
func ResetLimit()
```

##### `ResetSort` <a name="ResetSort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.resetSort"></a>

```go
func ResetSort()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.sort">Sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference">DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.facetInput">FacetInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.limitInput">LimitInput</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.sortInput">SortInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.facet">Facet</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.limit">Limit</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `Sort`<sup>Required</sup> <a name="Sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.sort"></a>

```go
func Sort() DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference">DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference</a>

---

##### `FacetInput`<sup>Optional</sup> <a name="FacetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.facetInput"></a>

```go
func FacetInput() *string
```

- *Type:* *string

---

##### `LimitInput`<sup>Optional</sup> <a name="LimitInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.limitInput"></a>

```go
func LimitInput() *f64
```

- *Type:* *f64

---

##### `SortInput`<sup>Optional</sup> <a name="SortInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.sortInput"></a>

```go
func SortInput() DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort</a>

---

##### `Facet`<sup>Required</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.facet"></a>

```go
func Facet() *string
```

- *Type:* *string

---

##### `Limit`<sup>Required</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.limit"></a>

```go
func Limit() *f64
```

- *Type:* *f64

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference <a name="DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string) DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.resetMetric">ResetMetric</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.resetOrder">ResetOrder</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `ResetMetric` <a name="ResetMetric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.resetMetric"></a>

```go
func ResetMetric()
```

##### `ResetOrder` <a name="ResetOrder" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.resetOrder"></a>

```go
func ResetOrder()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.aggregationInput">AggregationInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.metricInput">MetricInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.orderInput">OrderInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.aggregation">Aggregation</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.metric">Metric</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.order">Order</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.internalValue">InternalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort</a></code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `AggregationInput`<sup>Optional</sup> <a name="AggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.aggregationInput"></a>

```go
func AggregationInput() *string
```

- *Type:* *string

---

##### `MetricInput`<sup>Optional</sup> <a name="MetricInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.metricInput"></a>

```go
func MetricInput() *string
```

- *Type:* *string

---

##### `OrderInput`<sup>Optional</sup> <a name="OrderInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.orderInput"></a>

```go
func OrderInput() *string
```

- *Type:* *string

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.aggregation"></a>

```go
func Aggregation() *string
```

- *Type:* *string

---

##### `Metric`<sup>Required</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.metric"></a>

```go
func Metric() *string
```

- *Type:* *string

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.order"></a>

```go
func Order() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.internalValue"></a>

```go
func InternalValue() DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort</a>

---


### DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference <a name="DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string) DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.putCompute">PutCompute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.putGroupBy">PutGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.putSearch">PutSearch</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.resetGroupBy">ResetGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.resetIndexes">ResetIndexes</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.resetSearch">ResetSearch</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.resetStorage">ResetStorage</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `PutCompute` <a name="PutCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.putCompute"></a>

```go
func PutCompute(value interface{})
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.putCompute.parameter.value"></a>

- *Type:* interface{}

---

##### `PutGroupBy` <a name="PutGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.putGroupBy"></a>

```go
func PutGroupBy(value interface{})
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.putGroupBy.parameter.value"></a>

- *Type:* interface{}

---

##### `PutSearch` <a name="PutSearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.putSearch"></a>

```go
func PutSearch(value DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.putSearch.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch">DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch</a>

---

##### `ResetGroupBy` <a name="ResetGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.resetGroupBy"></a>

```go
func ResetGroupBy()
```

##### `ResetIndexes` <a name="ResetIndexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.resetIndexes"></a>

```go
func ResetIndexes()
```

##### `ResetSearch` <a name="ResetSearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.resetSearch"></a>

```go
func ResetSearch()
```

##### `ResetStorage` <a name="ResetStorage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.resetStorage"></a>

```go
func ResetStorage()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.compute">Compute</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList">DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.groupBy">GroupBy</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList">DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.search">Search</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference">DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.computeInput">ComputeInput</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.dataSourceInput">DataSourceInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.groupByInput">GroupByInput</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.indexesInput">IndexesInput</a></code> | <code>*[]*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.nameInput">NameInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.searchInput">SearchInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch">DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.storageInput">StorageInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.dataSource">DataSource</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.indexes">Indexes</a></code> | <code>*[]*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.name">Name</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.storage">Storage</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.internalValue">InternalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery">DashboardWidgetChangeDefinitionRequestQueryEventQuery</a></code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `Compute`<sup>Required</sup> <a name="Compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.compute"></a>

```go
func Compute() DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList">DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList</a>

---

##### `GroupBy`<sup>Required</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.groupBy"></a>

```go
func GroupBy() DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList">DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList</a>

---

##### `Search`<sup>Required</sup> <a name="Search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.search"></a>

```go
func Search() DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference">DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference</a>

---

##### `ComputeInput`<sup>Optional</sup> <a name="ComputeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.computeInput"></a>

```go
func ComputeInput() interface{}
```

- *Type:* interface{}

---

##### `DataSourceInput`<sup>Optional</sup> <a name="DataSourceInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.dataSourceInput"></a>

```go
func DataSourceInput() *string
```

- *Type:* *string

---

##### `GroupByInput`<sup>Optional</sup> <a name="GroupByInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.groupByInput"></a>

```go
func GroupByInput() interface{}
```

- *Type:* interface{}

---

##### `IndexesInput`<sup>Optional</sup> <a name="IndexesInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.indexesInput"></a>

```go
func IndexesInput() *[]*string
```

- *Type:* *[]*string

---

##### `NameInput`<sup>Optional</sup> <a name="NameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.nameInput"></a>

```go
func NameInput() *string
```

- *Type:* *string

---

##### `SearchInput`<sup>Optional</sup> <a name="SearchInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.searchInput"></a>

```go
func SearchInput() DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch">DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch</a>

---

##### `StorageInput`<sup>Optional</sup> <a name="StorageInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.storageInput"></a>

```go
func StorageInput() *string
```

- *Type:* *string

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.dataSource"></a>

```go
func DataSource() *string
```

- *Type:* *string

---

##### `Indexes`<sup>Required</sup> <a name="Indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.indexes"></a>

```go
func Indexes() *[]*string
```

- *Type:* *[]*string

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.name"></a>

```go
func Name() *string
```

- *Type:* *string

---

##### `Storage`<sup>Required</sup> <a name="Storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.storage"></a>

```go
func Storage() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.internalValue"></a>

```go
func InternalValue() DashboardWidgetChangeDefinitionRequestQueryEventQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery">DashboardWidgetChangeDefinitionRequestQueryEventQuery</a>

---


### DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference <a name="DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string) DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.property.queryInput">QueryInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.property.query">Query</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.property.internalValue">InternalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch">DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch</a></code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `QueryInput`<sup>Optional</sup> <a name="QueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.property.queryInput"></a>

```go
func QueryInput() *string
```

- *Type:* *string

---

##### `Query`<sup>Required</sup> <a name="Query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.property.query"></a>

```go
func Query() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.property.internalValue"></a>

```go
func InternalValue() DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch">DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch</a>

---


### DashboardWidgetChangeDefinitionRequestQueryList <a name="DashboardWidgetChangeDefinitionRequestQueryList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetChangeDefinitionRequestQueryList(terraformResource IInterpolatingParent, terraformAttribute *string, wrapsSet *bool) DashboardWidgetChangeDefinitionRequestQueryList
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.Initializer.parameter.wrapsSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.get">Get</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `Get` <a name="Get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.get"></a>

```go
func Get(index *f64) DashboardWidgetChangeDefinitionRequestQueryOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.get.parameter.index"></a>

- *Type:* *f64

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference <a name="DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string) DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.resetAggregator">ResetAggregator</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.resetDataSource">ResetDataSource</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `ResetAggregator` <a name="ResetAggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.resetAggregator"></a>

```go
func ResetAggregator()
```

##### `ResetDataSource` <a name="ResetDataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.resetDataSource"></a>

```go
func ResetDataSource()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.aggregatorInput">AggregatorInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.dataSourceInput">DataSourceInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.nameInput">NameInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.queryInput">QueryInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.aggregator">Aggregator</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.dataSource">DataSource</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.name">Name</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.query">Query</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.internalValue">InternalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQuery">DashboardWidgetChangeDefinitionRequestQueryMetricQuery</a></code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `AggregatorInput`<sup>Optional</sup> <a name="AggregatorInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.aggregatorInput"></a>

```go
func AggregatorInput() *string
```

- *Type:* *string

---

##### `DataSourceInput`<sup>Optional</sup> <a name="DataSourceInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.dataSourceInput"></a>

```go
func DataSourceInput() *string
```

- *Type:* *string

---

##### `NameInput`<sup>Optional</sup> <a name="NameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.nameInput"></a>

```go
func NameInput() *string
```

- *Type:* *string

---

##### `QueryInput`<sup>Optional</sup> <a name="QueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.queryInput"></a>

```go
func QueryInput() *string
```

- *Type:* *string

---

##### `Aggregator`<sup>Required</sup> <a name="Aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.aggregator"></a>

```go
func Aggregator() *string
```

- *Type:* *string

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.dataSource"></a>

```go
func DataSource() *string
```

- *Type:* *string

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.name"></a>

```go
func Name() *string
```

- *Type:* *string

---

##### `Query`<sup>Required</sup> <a name="Query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.query"></a>

```go
func Query() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.internalValue"></a>

```go
func InternalValue() DashboardWidgetChangeDefinitionRequestQueryMetricQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQuery">DashboardWidgetChangeDefinitionRequestQueryMetricQuery</a>

---


### DashboardWidgetChangeDefinitionRequestQueryOutputReference <a name="DashboardWidgetChangeDefinitionRequestQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetChangeDefinitionRequestQueryOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string, complexObjectIndex *f64, complexObjectIsFromSet *bool) DashboardWidgetChangeDefinitionRequestQueryOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>*f64</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* *f64

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putApmDependencyStatsQuery">PutApmDependencyStatsQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putApmResourceStatsQuery">PutApmResourceStatsQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putEventQuery">PutEventQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putMetricQuery">PutMetricQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putProcessQuery">PutProcessQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.resetApmDependencyStatsQuery">ResetApmDependencyStatsQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.resetApmResourceStatsQuery">ResetApmResourceStatsQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.resetEventQuery">ResetEventQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.resetMetricQuery">ResetMetricQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.resetProcessQuery">ResetProcessQuery</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `PutApmDependencyStatsQuery` <a name="PutApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putApmDependencyStatsQuery"></a>

```go
func PutApmDependencyStatsQuery(value DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putApmDependencyStatsQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery</a>

---

##### `PutApmResourceStatsQuery` <a name="PutApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putApmResourceStatsQuery"></a>

```go
func PutApmResourceStatsQuery(value DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putApmResourceStatsQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery</a>

---

##### `PutEventQuery` <a name="PutEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putEventQuery"></a>

```go
func PutEventQuery(value DashboardWidgetChangeDefinitionRequestQueryEventQuery)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putEventQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery">DashboardWidgetChangeDefinitionRequestQueryEventQuery</a>

---

##### `PutMetricQuery` <a name="PutMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putMetricQuery"></a>

```go
func PutMetricQuery(value DashboardWidgetChangeDefinitionRequestQueryMetricQuery)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putMetricQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQuery">DashboardWidgetChangeDefinitionRequestQueryMetricQuery</a>

---

##### `PutProcessQuery` <a name="PutProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putProcessQuery"></a>

```go
func PutProcessQuery(value DashboardWidgetChangeDefinitionRequestQueryProcessQuery)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putProcessQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery">DashboardWidgetChangeDefinitionRequestQueryProcessQuery</a>

---

##### `ResetApmDependencyStatsQuery` <a name="ResetApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.resetApmDependencyStatsQuery"></a>

```go
func ResetApmDependencyStatsQuery()
```

##### `ResetApmResourceStatsQuery` <a name="ResetApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.resetApmResourceStatsQuery"></a>

```go
func ResetApmResourceStatsQuery()
```

##### `ResetEventQuery` <a name="ResetEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.resetEventQuery"></a>

```go
func ResetEventQuery()
```

##### `ResetMetricQuery` <a name="ResetMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.resetMetricQuery"></a>

```go
func ResetMetricQuery()
```

##### `ResetProcessQuery` <a name="ResetProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.resetProcessQuery"></a>

```go
func ResetProcessQuery()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.apmDependencyStatsQuery">ApmDependencyStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference">DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.apmResourceStatsQuery">ApmResourceStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference">DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.eventQuery">EventQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference">DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.metricQuery">MetricQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference">DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.processQuery">ProcessQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference">DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.apmDependencyStatsQueryInput">ApmDependencyStatsQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.apmResourceStatsQueryInput">ApmResourceStatsQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.eventQueryInput">EventQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery">DashboardWidgetChangeDefinitionRequestQueryEventQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.metricQueryInput">MetricQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQuery">DashboardWidgetChangeDefinitionRequestQueryMetricQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.processQueryInput">ProcessQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery">DashboardWidgetChangeDefinitionRequestQueryProcessQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `ApmDependencyStatsQuery`<sup>Required</sup> <a name="ApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.apmDependencyStatsQuery"></a>

```go
func ApmDependencyStatsQuery() DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference">DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference</a>

---

##### `ApmResourceStatsQuery`<sup>Required</sup> <a name="ApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.apmResourceStatsQuery"></a>

```go
func ApmResourceStatsQuery() DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference">DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference</a>

---

##### `EventQuery`<sup>Required</sup> <a name="EventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.eventQuery"></a>

```go
func EventQuery() DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference">DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference</a>

---

##### `MetricQuery`<sup>Required</sup> <a name="MetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.metricQuery"></a>

```go
func MetricQuery() DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference">DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference</a>

---

##### `ProcessQuery`<sup>Required</sup> <a name="ProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.processQuery"></a>

```go
func ProcessQuery() DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference">DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference</a>

---

##### `ApmDependencyStatsQueryInput`<sup>Optional</sup> <a name="ApmDependencyStatsQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.apmDependencyStatsQueryInput"></a>

```go
func ApmDependencyStatsQueryInput() DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery</a>

---

##### `ApmResourceStatsQueryInput`<sup>Optional</sup> <a name="ApmResourceStatsQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.apmResourceStatsQueryInput"></a>

```go
func ApmResourceStatsQueryInput() DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery</a>

---

##### `EventQueryInput`<sup>Optional</sup> <a name="EventQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.eventQueryInput"></a>

```go
func EventQueryInput() DashboardWidgetChangeDefinitionRequestQueryEventQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery">DashboardWidgetChangeDefinitionRequestQueryEventQuery</a>

---

##### `MetricQueryInput`<sup>Optional</sup> <a name="MetricQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.metricQueryInput"></a>

```go
func MetricQueryInput() DashboardWidgetChangeDefinitionRequestQueryMetricQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQuery">DashboardWidgetChangeDefinitionRequestQueryMetricQuery</a>

---

##### `ProcessQueryInput`<sup>Optional</sup> <a name="ProcessQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.processQueryInput"></a>

```go
func ProcessQueryInput() DashboardWidgetChangeDefinitionRequestQueryProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery">DashboardWidgetChangeDefinitionRequestQueryProcessQuery</a>

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference <a name="DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string) DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.resetAggregator">ResetAggregator</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.resetIsNormalizedCpu">ResetIsNormalizedCpu</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.resetLimit">ResetLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.resetSort">ResetSort</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.resetTagFilters">ResetTagFilters</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.resetTextFilter">ResetTextFilter</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `ResetAggregator` <a name="ResetAggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.resetAggregator"></a>

```go
func ResetAggregator()
```

##### `ResetIsNormalizedCpu` <a name="ResetIsNormalizedCpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.resetIsNormalizedCpu"></a>

```go
func ResetIsNormalizedCpu()
```

##### `ResetLimit` <a name="ResetLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.resetLimit"></a>

```go
func ResetLimit()
```

##### `ResetSort` <a name="ResetSort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.resetSort"></a>

```go
func ResetSort()
```

##### `ResetTagFilters` <a name="ResetTagFilters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.resetTagFilters"></a>

```go
func ResetTagFilters()
```

##### `ResetTextFilter` <a name="ResetTextFilter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.resetTextFilter"></a>

```go
func ResetTextFilter()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.aggregatorInput">AggregatorInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.dataSourceInput">DataSourceInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.isNormalizedCpuInput">IsNormalizedCpuInput</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.limitInput">LimitInput</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.metricInput">MetricInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.nameInput">NameInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.sortInput">SortInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.tagFiltersInput">TagFiltersInput</a></code> | <code>*[]*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.textFilterInput">TextFilterInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.aggregator">Aggregator</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.dataSource">DataSource</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.isNormalizedCpu">IsNormalizedCpu</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.limit">Limit</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.metric">Metric</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.name">Name</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.sort">Sort</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.tagFilters">TagFilters</a></code> | <code>*[]*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.textFilter">TextFilter</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.internalValue">InternalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery">DashboardWidgetChangeDefinitionRequestQueryProcessQuery</a></code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `AggregatorInput`<sup>Optional</sup> <a name="AggregatorInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.aggregatorInput"></a>

```go
func AggregatorInput() *string
```

- *Type:* *string

---

##### `DataSourceInput`<sup>Optional</sup> <a name="DataSourceInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.dataSourceInput"></a>

```go
func DataSourceInput() *string
```

- *Type:* *string

---

##### `IsNormalizedCpuInput`<sup>Optional</sup> <a name="IsNormalizedCpuInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.isNormalizedCpuInput"></a>

```go
func IsNormalizedCpuInput() interface{}
```

- *Type:* interface{}

---

##### `LimitInput`<sup>Optional</sup> <a name="LimitInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.limitInput"></a>

```go
func LimitInput() *f64
```

- *Type:* *f64

---

##### `MetricInput`<sup>Optional</sup> <a name="MetricInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.metricInput"></a>

```go
func MetricInput() *string
```

- *Type:* *string

---

##### `NameInput`<sup>Optional</sup> <a name="NameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.nameInput"></a>

```go
func NameInput() *string
```

- *Type:* *string

---

##### `SortInput`<sup>Optional</sup> <a name="SortInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.sortInput"></a>

```go
func SortInput() *string
```

- *Type:* *string

---

##### `TagFiltersInput`<sup>Optional</sup> <a name="TagFiltersInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.tagFiltersInput"></a>

```go
func TagFiltersInput() *[]*string
```

- *Type:* *[]*string

---

##### `TextFilterInput`<sup>Optional</sup> <a name="TextFilterInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.textFilterInput"></a>

```go
func TextFilterInput() *string
```

- *Type:* *string

---

##### `Aggregator`<sup>Required</sup> <a name="Aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.aggregator"></a>

```go
func Aggregator() *string
```

- *Type:* *string

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.dataSource"></a>

```go
func DataSource() *string
```

- *Type:* *string

---

##### `IsNormalizedCpu`<sup>Required</sup> <a name="IsNormalizedCpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.isNormalizedCpu"></a>

```go
func IsNormalizedCpu() interface{}
```

- *Type:* interface{}

---

##### `Limit`<sup>Required</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.limit"></a>

```go
func Limit() *f64
```

- *Type:* *f64

---

##### `Metric`<sup>Required</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.metric"></a>

```go
func Metric() *string
```

- *Type:* *string

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.name"></a>

```go
func Name() *string
```

- *Type:* *string

---

##### `Sort`<sup>Required</sup> <a name="Sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.sort"></a>

```go
func Sort() *string
```

- *Type:* *string

---

##### `TagFilters`<sup>Required</sup> <a name="TagFilters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.tagFilters"></a>

```go
func TagFilters() *[]*string
```

- *Type:* *[]*string

---

##### `TextFilter`<sup>Required</sup> <a name="TextFilter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.textFilter"></a>

```go
func TextFilter() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.internalValue"></a>

```go
func InternalValue() DashboardWidgetChangeDefinitionRequestQueryProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery">DashboardWidgetChangeDefinitionRequestQueryProcessQuery</a>

---


### DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference <a name="DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string) DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.resetFacet">ResetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.resetInterval">ResetInterval</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `ResetFacet` <a name="ResetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.resetFacet"></a>

```go
func ResetFacet()
```

##### `ResetInterval` <a name="ResetInterval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.resetInterval"></a>

```go
func ResetInterval()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.aggregationInput">AggregationInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.facetInput">FacetInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.intervalInput">IntervalInput</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.aggregation">Aggregation</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.facet">Facet</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.interval">Interval</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.internalValue">InternalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery">DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery</a></code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `AggregationInput`<sup>Optional</sup> <a name="AggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.aggregationInput"></a>

```go
func AggregationInput() *string
```

- *Type:* *string

---

##### `FacetInput`<sup>Optional</sup> <a name="FacetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.facetInput"></a>

```go
func FacetInput() *string
```

- *Type:* *string

---

##### `IntervalInput`<sup>Optional</sup> <a name="IntervalInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.intervalInput"></a>

```go
func IntervalInput() *f64
```

- *Type:* *f64

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.aggregation"></a>

```go
func Aggregation() *string
```

- *Type:* *string

---

##### `Facet`<sup>Required</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.facet"></a>

```go
func Facet() *string
```

- *Type:* *string

---

##### `Interval`<sup>Required</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.interval"></a>

```go
func Interval() *f64
```

- *Type:* *f64

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.internalValue"></a>

```go
func InternalValue() DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery">DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery</a>

---


### DashboardWidgetChangeDefinitionRequestRumQueryGroupByList <a name="DashboardWidgetChangeDefinitionRequestRumQueryGroupByList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetChangeDefinitionRequestRumQueryGroupByList(terraformResource IInterpolatingParent, terraformAttribute *string, wrapsSet *bool) DashboardWidgetChangeDefinitionRequestRumQueryGroupByList
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.Initializer.parameter.wrapsSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.get">Get</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `Get` <a name="Get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.get"></a>

```go
func Get(index *f64) DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.get.parameter.index"></a>

- *Type:* *f64

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference <a name="DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string, complexObjectIndex *f64, complexObjectIsFromSet *bool) DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>*f64</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* *f64

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.putSortQuery">PutSortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.resetFacet">ResetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.resetLimit">ResetLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.resetSortQuery">ResetSortQuery</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `PutSortQuery` <a name="PutSortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.putSortQuery"></a>

```go
func PutSortQuery(value DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.putSortQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery</a>

---

##### `ResetFacet` <a name="ResetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.resetFacet"></a>

```go
func ResetFacet()
```

##### `ResetLimit` <a name="ResetLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.resetLimit"></a>

```go
func ResetLimit()
```

##### `ResetSortQuery` <a name="ResetSortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.resetSortQuery"></a>

```go
func ResetSortQuery()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference">DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.facetInput">FacetInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.limitInput">LimitInput</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.sortQueryInput">SortQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.facet">Facet</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.limit">Limit</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `SortQuery`<sup>Required</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.sortQuery"></a>

```go
func SortQuery() DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference">DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference</a>

---

##### `FacetInput`<sup>Optional</sup> <a name="FacetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.facetInput"></a>

```go
func FacetInput() *string
```

- *Type:* *string

---

##### `LimitInput`<sup>Optional</sup> <a name="LimitInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.limitInput"></a>

```go
func LimitInput() *f64
```

- *Type:* *f64

---

##### `SortQueryInput`<sup>Optional</sup> <a name="SortQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.sortQueryInput"></a>

```go
func SortQueryInput() DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery</a>

---

##### `Facet`<sup>Required</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.facet"></a>

```go
func Facet() *string
```

- *Type:* *string

---

##### `Limit`<sup>Required</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.limit"></a>

```go
func Limit() *f64
```

- *Type:* *f64

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference <a name="DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string) DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.resetFacet">ResetFacet</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `ResetFacet` <a name="ResetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.resetFacet"></a>

```go
func ResetFacet()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.aggregationInput">AggregationInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.facetInput">FacetInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.orderInput">OrderInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.aggregation">Aggregation</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.facet">Facet</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.order">Order</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.internalValue">InternalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery</a></code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `AggregationInput`<sup>Optional</sup> <a name="AggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.aggregationInput"></a>

```go
func AggregationInput() *string
```

- *Type:* *string

---

##### `FacetInput`<sup>Optional</sup> <a name="FacetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.facetInput"></a>

```go
func FacetInput() *string
```

- *Type:* *string

---

##### `OrderInput`<sup>Optional</sup> <a name="OrderInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.orderInput"></a>

```go
func OrderInput() *string
```

- *Type:* *string

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.aggregation"></a>

```go
func Aggregation() *string
```

- *Type:* *string

---

##### `Facet`<sup>Required</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.facet"></a>

```go
func Facet() *string
```

- *Type:* *string

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.order"></a>

```go
func Order() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.internalValue"></a>

```go
func InternalValue() DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery</a>

---


### DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList <a name="DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList(terraformResource IInterpolatingParent, terraformAttribute *string, wrapsSet *bool) DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.Initializer.parameter.wrapsSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.get">Get</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `Get` <a name="Get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.get"></a>

```go
func Get(index *f64) DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.get.parameter.index"></a>

- *Type:* *f64

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference <a name="DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string, complexObjectIndex *f64, complexObjectIsFromSet *bool) DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>*f64</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* *f64

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.resetFacet">ResetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.resetInterval">ResetInterval</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `ResetFacet` <a name="ResetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.resetFacet"></a>

```go
func ResetFacet()
```

##### `ResetInterval` <a name="ResetInterval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.resetInterval"></a>

```go
func ResetInterval()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.aggregationInput">AggregationInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.facetInput">FacetInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.intervalInput">IntervalInput</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.aggregation">Aggregation</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.facet">Facet</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.interval">Interval</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `AggregationInput`<sup>Optional</sup> <a name="AggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.aggregationInput"></a>

```go
func AggregationInput() *string
```

- *Type:* *string

---

##### `FacetInput`<sup>Optional</sup> <a name="FacetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.facetInput"></a>

```go
func FacetInput() *string
```

- *Type:* *string

---

##### `IntervalInput`<sup>Optional</sup> <a name="IntervalInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.intervalInput"></a>

```go
func IntervalInput() *f64
```

- *Type:* *f64

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.aggregation"></a>

```go
func Aggregation() *string
```

- *Type:* *string

---

##### `Facet`<sup>Required</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.facet"></a>

```go
func Facet() *string
```

- *Type:* *string

---

##### `Interval`<sup>Required</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.interval"></a>

```go
func Interval() *f64
```

- *Type:* *f64

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetChangeDefinitionRequestRumQueryOutputReference <a name="DashboardWidgetChangeDefinitionRequestRumQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetChangeDefinitionRequestRumQueryOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string) DashboardWidgetChangeDefinitionRequestRumQueryOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.putComputeQuery">PutComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.putGroupBy">PutGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.putMultiCompute">PutMultiCompute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.resetComputeQuery">ResetComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.resetGroupBy">ResetGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.resetMultiCompute">ResetMultiCompute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.resetSearchQuery">ResetSearchQuery</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `PutComputeQuery` <a name="PutComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.putComputeQuery"></a>

```go
func PutComputeQuery(value DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.putComputeQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery">DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery</a>

---

##### `PutGroupBy` <a name="PutGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.putGroupBy"></a>

```go
func PutGroupBy(value interface{})
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.putGroupBy.parameter.value"></a>

- *Type:* interface{}

---

##### `PutMultiCompute` <a name="PutMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.putMultiCompute"></a>

```go
func PutMultiCompute(value interface{})
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.putMultiCompute.parameter.value"></a>

- *Type:* interface{}

---

##### `ResetComputeQuery` <a name="ResetComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.resetComputeQuery"></a>

```go
func ResetComputeQuery()
```

##### `ResetGroupBy` <a name="ResetGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.resetGroupBy"></a>

```go
func ResetGroupBy()
```

##### `ResetMultiCompute` <a name="ResetMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.resetMultiCompute"></a>

```go
func ResetMultiCompute()
```

##### `ResetSearchQuery` <a name="ResetSearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.resetSearchQuery"></a>

```go
func ResetSearchQuery()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference">DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.groupBy">GroupBy</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList">DashboardWidgetChangeDefinitionRequestRumQueryGroupByList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.multiCompute">MultiCompute</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList">DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.computeQueryInput">ComputeQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery">DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.groupByInput">GroupByInput</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.indexInput">IndexInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.multiComputeInput">MultiComputeInput</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.searchQueryInput">SearchQueryInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.index">Index</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.internalValue">InternalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQuery">DashboardWidgetChangeDefinitionRequestRumQuery</a></code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `ComputeQuery`<sup>Required</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.computeQuery"></a>

```go
func ComputeQuery() DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference">DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference</a>

---

##### `GroupBy`<sup>Required</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.groupBy"></a>

```go
func GroupBy() DashboardWidgetChangeDefinitionRequestRumQueryGroupByList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList">DashboardWidgetChangeDefinitionRequestRumQueryGroupByList</a>

---

##### `MultiCompute`<sup>Required</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.multiCompute"></a>

```go
func MultiCompute() DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList">DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList</a>

---

##### `ComputeQueryInput`<sup>Optional</sup> <a name="ComputeQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.computeQueryInput"></a>

```go
func ComputeQueryInput() DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery">DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery</a>

---

##### `GroupByInput`<sup>Optional</sup> <a name="GroupByInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.groupByInput"></a>

```go
func GroupByInput() interface{}
```

- *Type:* interface{}

---

##### `IndexInput`<sup>Optional</sup> <a name="IndexInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.indexInput"></a>

```go
func IndexInput() *string
```

- *Type:* *string

---

##### `MultiComputeInput`<sup>Optional</sup> <a name="MultiComputeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.multiComputeInput"></a>

```go
func MultiComputeInput() interface{}
```

- *Type:* interface{}

---

##### `SearchQueryInput`<sup>Optional</sup> <a name="SearchQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.searchQueryInput"></a>

```go
func SearchQueryInput() *string
```

- *Type:* *string

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.index"></a>

```go
func Index() *string
```

- *Type:* *string

---

##### `SearchQuery`<sup>Required</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.searchQuery"></a>

```go
func SearchQuery() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.internalValue"></a>

```go
func InternalValue() DashboardWidgetChangeDefinitionRequestRumQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQuery">DashboardWidgetChangeDefinitionRequestRumQuery</a>

---


### DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference <a name="DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string) DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.resetFacet">ResetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.resetInterval">ResetInterval</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `ResetFacet` <a name="ResetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.resetFacet"></a>

```go
func ResetFacet()
```

##### `ResetInterval` <a name="ResetInterval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.resetInterval"></a>

```go
func ResetInterval()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.aggregationInput">AggregationInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.facetInput">FacetInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.intervalInput">IntervalInput</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.aggregation">Aggregation</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.facet">Facet</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.interval">Interval</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.internalValue">InternalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery</a></code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `AggregationInput`<sup>Optional</sup> <a name="AggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.aggregationInput"></a>

```go
func AggregationInput() *string
```

- *Type:* *string

---

##### `FacetInput`<sup>Optional</sup> <a name="FacetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.facetInput"></a>

```go
func FacetInput() *string
```

- *Type:* *string

---

##### `IntervalInput`<sup>Optional</sup> <a name="IntervalInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.intervalInput"></a>

```go
func IntervalInput() *f64
```

- *Type:* *f64

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.aggregation"></a>

```go
func Aggregation() *string
```

- *Type:* *string

---

##### `Facet`<sup>Required</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.facet"></a>

```go
func Facet() *string
```

- *Type:* *string

---

##### `Interval`<sup>Required</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.interval"></a>

```go
func Interval() *f64
```

- *Type:* *f64

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.internalValue"></a>

```go
func InternalValue() DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery</a>

---


### DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList <a name="DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList(terraformResource IInterpolatingParent, terraformAttribute *string, wrapsSet *bool) DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.Initializer.parameter.wrapsSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.get">Get</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `Get` <a name="Get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.get"></a>

```go
func Get(index *f64) DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.get.parameter.index"></a>

- *Type:* *f64

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference <a name="DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string, complexObjectIndex *f64, complexObjectIsFromSet *bool) DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>*f64</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* *f64

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.putSortQuery">PutSortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.resetFacet">ResetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.resetLimit">ResetLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.resetSortQuery">ResetSortQuery</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `PutSortQuery` <a name="PutSortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.putSortQuery"></a>

```go
func PutSortQuery(value DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.putSortQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery</a>

---

##### `ResetFacet` <a name="ResetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.resetFacet"></a>

```go
func ResetFacet()
```

##### `ResetLimit` <a name="ResetLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.resetLimit"></a>

```go
func ResetLimit()
```

##### `ResetSortQuery` <a name="ResetSortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.resetSortQuery"></a>

```go
func ResetSortQuery()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference">DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.facetInput">FacetInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.limitInput">LimitInput</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.sortQueryInput">SortQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.facet">Facet</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.limit">Limit</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `SortQuery`<sup>Required</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.sortQuery"></a>

```go
func SortQuery() DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference">DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference</a>

---

##### `FacetInput`<sup>Optional</sup> <a name="FacetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.facetInput"></a>

```go
func FacetInput() *string
```

- *Type:* *string

---

##### `LimitInput`<sup>Optional</sup> <a name="LimitInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.limitInput"></a>

```go
func LimitInput() *f64
```

- *Type:* *f64

---

##### `SortQueryInput`<sup>Optional</sup> <a name="SortQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.sortQueryInput"></a>

```go
func SortQueryInput() DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery</a>

---

##### `Facet`<sup>Required</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.facet"></a>

```go
func Facet() *string
```

- *Type:* *string

---

##### `Limit`<sup>Required</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.limit"></a>

```go
func Limit() *f64
```

- *Type:* *f64

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference <a name="DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string) DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.resetFacet">ResetFacet</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `ResetFacet` <a name="ResetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.resetFacet"></a>

```go
func ResetFacet()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.aggregationInput">AggregationInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.facetInput">FacetInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.orderInput">OrderInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.aggregation">Aggregation</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.facet">Facet</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.order">Order</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.internalValue">InternalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery</a></code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `AggregationInput`<sup>Optional</sup> <a name="AggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.aggregationInput"></a>

```go
func AggregationInput() *string
```

- *Type:* *string

---

##### `FacetInput`<sup>Optional</sup> <a name="FacetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.facetInput"></a>

```go
func FacetInput() *string
```

- *Type:* *string

---

##### `OrderInput`<sup>Optional</sup> <a name="OrderInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.orderInput"></a>

```go
func OrderInput() *string
```

- *Type:* *string

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.aggregation"></a>

```go
func Aggregation() *string
```

- *Type:* *string

---

##### `Facet`<sup>Required</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.facet"></a>

```go
func Facet() *string
```

- *Type:* *string

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.order"></a>

```go
func Order() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.internalValue"></a>

```go
func InternalValue() DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery</a>

---


### DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList <a name="DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList(terraformResource IInterpolatingParent, terraformAttribute *string, wrapsSet *bool) DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.Initializer.parameter.wrapsSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.get">Get</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `Get` <a name="Get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.get"></a>

```go
func Get(index *f64) DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.get.parameter.index"></a>

- *Type:* *f64

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference <a name="DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string, complexObjectIndex *f64, complexObjectIsFromSet *bool) DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>*f64</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* *f64

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.resetFacet">ResetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.resetInterval">ResetInterval</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `ResetFacet` <a name="ResetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.resetFacet"></a>

```go
func ResetFacet()
```

##### `ResetInterval` <a name="ResetInterval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.resetInterval"></a>

```go
func ResetInterval()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.aggregationInput">AggregationInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.facetInput">FacetInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.intervalInput">IntervalInput</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.aggregation">Aggregation</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.facet">Facet</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.interval">Interval</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `AggregationInput`<sup>Optional</sup> <a name="AggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.aggregationInput"></a>

```go
func AggregationInput() *string
```

- *Type:* *string

---

##### `FacetInput`<sup>Optional</sup> <a name="FacetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.facetInput"></a>

```go
func FacetInput() *string
```

- *Type:* *string

---

##### `IntervalInput`<sup>Optional</sup> <a name="IntervalInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.intervalInput"></a>

```go
func IntervalInput() *f64
```

- *Type:* *f64

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.aggregation"></a>

```go
func Aggregation() *string
```

- *Type:* *string

---

##### `Facet`<sup>Required</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.facet"></a>

```go
func Facet() *string
```

- *Type:* *string

---

##### `Interval`<sup>Required</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.interval"></a>

```go
func Interval() *f64
```

- *Type:* *f64

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference <a name="DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string) DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.putComputeQuery">PutComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.putGroupBy">PutGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.putMultiCompute">PutMultiCompute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.resetComputeQuery">ResetComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.resetGroupBy">ResetGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.resetMultiCompute">ResetMultiCompute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.resetSearchQuery">ResetSearchQuery</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `PutComputeQuery` <a name="PutComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.putComputeQuery"></a>

```go
func PutComputeQuery(value DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.putComputeQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery</a>

---

##### `PutGroupBy` <a name="PutGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.putGroupBy"></a>

```go
func PutGroupBy(value interface{})
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.putGroupBy.parameter.value"></a>

- *Type:* interface{}

---

##### `PutMultiCompute` <a name="PutMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.putMultiCompute"></a>

```go
func PutMultiCompute(value interface{})
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.putMultiCompute.parameter.value"></a>

- *Type:* interface{}

---

##### `ResetComputeQuery` <a name="ResetComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.resetComputeQuery"></a>

```go
func ResetComputeQuery()
```

##### `ResetGroupBy` <a name="ResetGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.resetGroupBy"></a>

```go
func ResetGroupBy()
```

##### `ResetMultiCompute` <a name="ResetMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.resetMultiCompute"></a>

```go
func ResetMultiCompute()
```

##### `ResetSearchQuery` <a name="ResetSearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.resetSearchQuery"></a>

```go
func ResetSearchQuery()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference">DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.groupBy">GroupBy</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList">DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.multiCompute">MultiCompute</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList">DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.computeQueryInput">ComputeQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.groupByInput">GroupByInput</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.indexInput">IndexInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.multiComputeInput">MultiComputeInput</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.searchQueryInput">SearchQueryInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.index">Index</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.internalValue">InternalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQuery">DashboardWidgetChangeDefinitionRequestSecurityQuery</a></code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `ComputeQuery`<sup>Required</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.computeQuery"></a>

```go
func ComputeQuery() DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference">DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference</a>

---

##### `GroupBy`<sup>Required</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.groupBy"></a>

```go
func GroupBy() DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList">DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList</a>

---

##### `MultiCompute`<sup>Required</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.multiCompute"></a>

```go
func MultiCompute() DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList">DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList</a>

---

##### `ComputeQueryInput`<sup>Optional</sup> <a name="ComputeQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.computeQueryInput"></a>

```go
func ComputeQueryInput() DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery</a>

---

##### `GroupByInput`<sup>Optional</sup> <a name="GroupByInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.groupByInput"></a>

```go
func GroupByInput() interface{}
```

- *Type:* interface{}

---

##### `IndexInput`<sup>Optional</sup> <a name="IndexInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.indexInput"></a>

```go
func IndexInput() *string
```

- *Type:* *string

---

##### `MultiComputeInput`<sup>Optional</sup> <a name="MultiComputeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.multiComputeInput"></a>

```go
func MultiComputeInput() interface{}
```

- *Type:* interface{}

---

##### `SearchQueryInput`<sup>Optional</sup> <a name="SearchQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.searchQueryInput"></a>

```go
func SearchQueryInput() *string
```

- *Type:* *string

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.index"></a>

```go
func Index() *string
```

- *Type:* *string

---

##### `SearchQuery`<sup>Required</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.searchQuery"></a>

```go
func SearchQuery() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.internalValue"></a>

```go
func InternalValue() DashboardWidgetChangeDefinitionRequestSecurityQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQuery">DashboardWidgetChangeDefinitionRequestSecurityQuery</a>

---


### DashboardWidgetCheckStatusDefinitionOutputReference <a name="DashboardWidgetCheckStatusDefinitionOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetCheckStatusDefinitionOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string) DashboardWidgetCheckStatusDefinitionOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.resetGroup">ResetGroup</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.resetGroupBy">ResetGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.resetLiveSpan">ResetLiveSpan</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.resetTags">ResetTags</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.resetTitle">ResetTitle</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.resetTitleAlign">ResetTitleAlign</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.resetTitleSize">ResetTitleSize</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `ResetGroup` <a name="ResetGroup" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.resetGroup"></a>

```go
func ResetGroup()
```

##### `ResetGroupBy` <a name="ResetGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.resetGroupBy"></a>

```go
func ResetGroupBy()
```

##### `ResetLiveSpan` <a name="ResetLiveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.resetLiveSpan"></a>

```go
func ResetLiveSpan()
```

##### `ResetTags` <a name="ResetTags" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.resetTags"></a>

```go
func ResetTags()
```

##### `ResetTitle` <a name="ResetTitle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.resetTitle"></a>

```go
func ResetTitle()
```

##### `ResetTitleAlign` <a name="ResetTitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.resetTitleAlign"></a>

```go
func ResetTitleAlign()
```

##### `ResetTitleSize` <a name="ResetTitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.resetTitleSize"></a>

```go
func ResetTitleSize()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.checkInput">CheckInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.groupByInput">GroupByInput</a></code> | <code>*[]*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.groupingInput">GroupingInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.groupInput">GroupInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.liveSpanInput">LiveSpanInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.tagsInput">TagsInput</a></code> | <code>*[]*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.titleAlignInput">TitleAlignInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.titleInput">TitleInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.titleSizeInput">TitleSizeInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.check">Check</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.group">Group</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.groupBy">GroupBy</a></code> | <code>*[]*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.grouping">Grouping</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.liveSpan">LiveSpan</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.tags">Tags</a></code> | <code>*[]*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.title">Title</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.titleAlign">TitleAlign</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.titleSize">TitleSize</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.internalValue">InternalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition">DashboardWidgetCheckStatusDefinition</a></code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `CheckInput`<sup>Optional</sup> <a name="CheckInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.checkInput"></a>

```go
func CheckInput() *string
```

- *Type:* *string

---

##### `GroupByInput`<sup>Optional</sup> <a name="GroupByInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.groupByInput"></a>

```go
func GroupByInput() *[]*string
```

- *Type:* *[]*string

---

##### `GroupingInput`<sup>Optional</sup> <a name="GroupingInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.groupingInput"></a>

```go
func GroupingInput() *string
```

- *Type:* *string

---

##### `GroupInput`<sup>Optional</sup> <a name="GroupInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.groupInput"></a>

```go
func GroupInput() *string
```

- *Type:* *string

---

##### `LiveSpanInput`<sup>Optional</sup> <a name="LiveSpanInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.liveSpanInput"></a>

```go
func LiveSpanInput() *string
```

- *Type:* *string

---

##### `TagsInput`<sup>Optional</sup> <a name="TagsInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.tagsInput"></a>

```go
func TagsInput() *[]*string
```

- *Type:* *[]*string

---

##### `TitleAlignInput`<sup>Optional</sup> <a name="TitleAlignInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.titleAlignInput"></a>

```go
func TitleAlignInput() *string
```

- *Type:* *string

---

##### `TitleInput`<sup>Optional</sup> <a name="TitleInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.titleInput"></a>

```go
func TitleInput() *string
```

- *Type:* *string

---

##### `TitleSizeInput`<sup>Optional</sup> <a name="TitleSizeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.titleSizeInput"></a>

```go
func TitleSizeInput() *string
```

- *Type:* *string

---

##### `Check`<sup>Required</sup> <a name="Check" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.check"></a>

```go
func Check() *string
```

- *Type:* *string

---

##### `Group`<sup>Required</sup> <a name="Group" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.group"></a>

```go
func Group() *string
```

- *Type:* *string

---

##### `GroupBy`<sup>Required</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.groupBy"></a>

```go
func GroupBy() *[]*string
```

- *Type:* *[]*string

---

##### `Grouping`<sup>Required</sup> <a name="Grouping" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.grouping"></a>

```go
func Grouping() *string
```

- *Type:* *string

---

##### `LiveSpan`<sup>Required</sup> <a name="LiveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.liveSpan"></a>

```go
func LiveSpan() *string
```

- *Type:* *string

---

##### `Tags`<sup>Required</sup> <a name="Tags" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.tags"></a>

```go
func Tags() *[]*string
```

- *Type:* *[]*string

---

##### `Title`<sup>Required</sup> <a name="Title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.title"></a>

```go
func Title() *string
```

- *Type:* *string

---

##### `TitleAlign`<sup>Required</sup> <a name="TitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.titleAlign"></a>

```go
func TitleAlign() *string
```

- *Type:* *string

---

##### `TitleSize`<sup>Required</sup> <a name="TitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.titleSize"></a>

```go
func TitleSize() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.internalValue"></a>

```go
func InternalValue() DashboardWidgetCheckStatusDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition">DashboardWidgetCheckStatusDefinition</a>

---


### DashboardWidgetDistributionDefinitionOutputReference <a name="DashboardWidgetDistributionDefinitionOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetDistributionDefinitionOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string) DashboardWidgetDistributionDefinitionOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.putRequest">PutRequest</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.resetLegendSize">ResetLegendSize</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.resetLiveSpan">ResetLiveSpan</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.resetRequest">ResetRequest</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.resetShowLegend">ResetShowLegend</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.resetTitle">ResetTitle</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.resetTitleAlign">ResetTitleAlign</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.resetTitleSize">ResetTitleSize</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `PutRequest` <a name="PutRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.putRequest"></a>

```go
func PutRequest(value interface{})
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.putRequest.parameter.value"></a>

- *Type:* interface{}

---

##### `ResetLegendSize` <a name="ResetLegendSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.resetLegendSize"></a>

```go
func ResetLegendSize()
```

##### `ResetLiveSpan` <a name="ResetLiveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.resetLiveSpan"></a>

```go
func ResetLiveSpan()
```

##### `ResetRequest` <a name="ResetRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.resetRequest"></a>

```go
func ResetRequest()
```

##### `ResetShowLegend` <a name="ResetShowLegend" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.resetShowLegend"></a>

```go
func ResetShowLegend()
```

##### `ResetTitle` <a name="ResetTitle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.resetTitle"></a>

```go
func ResetTitle()
```

##### `ResetTitleAlign` <a name="ResetTitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.resetTitleAlign"></a>

```go
func ResetTitleAlign()
```

##### `ResetTitleSize` <a name="ResetTitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.resetTitleSize"></a>

```go
func ResetTitleSize()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.request">Request</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList">DashboardWidgetDistributionDefinitionRequestList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.legendSizeInput">LegendSizeInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.liveSpanInput">LiveSpanInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.requestInput">RequestInput</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.showLegendInput">ShowLegendInput</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.titleAlignInput">TitleAlignInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.titleInput">TitleInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.titleSizeInput">TitleSizeInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.legendSize">LegendSize</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.liveSpan">LiveSpan</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.showLegend">ShowLegend</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.title">Title</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.titleAlign">TitleAlign</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.titleSize">TitleSize</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.internalValue">InternalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinition">DashboardWidgetDistributionDefinition</a></code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `Request`<sup>Required</sup> <a name="Request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.request"></a>

```go
func Request() DashboardWidgetDistributionDefinitionRequestList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList">DashboardWidgetDistributionDefinitionRequestList</a>

---

##### `LegendSizeInput`<sup>Optional</sup> <a name="LegendSizeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.legendSizeInput"></a>

```go
func LegendSizeInput() *string
```

- *Type:* *string

---

##### `LiveSpanInput`<sup>Optional</sup> <a name="LiveSpanInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.liveSpanInput"></a>

```go
func LiveSpanInput() *string
```

- *Type:* *string

---

##### `RequestInput`<sup>Optional</sup> <a name="RequestInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.requestInput"></a>

```go
func RequestInput() interface{}
```

- *Type:* interface{}

---

##### `ShowLegendInput`<sup>Optional</sup> <a name="ShowLegendInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.showLegendInput"></a>

```go
func ShowLegendInput() interface{}
```

- *Type:* interface{}

---

##### `TitleAlignInput`<sup>Optional</sup> <a name="TitleAlignInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.titleAlignInput"></a>

```go
func TitleAlignInput() *string
```

- *Type:* *string

---

##### `TitleInput`<sup>Optional</sup> <a name="TitleInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.titleInput"></a>

```go
func TitleInput() *string
```

- *Type:* *string

---

##### `TitleSizeInput`<sup>Optional</sup> <a name="TitleSizeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.titleSizeInput"></a>

```go
func TitleSizeInput() *string
```

- *Type:* *string

---

##### `LegendSize`<sup>Required</sup> <a name="LegendSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.legendSize"></a>

```go
func LegendSize() *string
```

- *Type:* *string

---

##### `LiveSpan`<sup>Required</sup> <a name="LiveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.liveSpan"></a>

```go
func LiveSpan() *string
```

- *Type:* *string

---

##### `ShowLegend`<sup>Required</sup> <a name="ShowLegend" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.showLegend"></a>

```go
func ShowLegend() interface{}
```

- *Type:* interface{}

---

##### `Title`<sup>Required</sup> <a name="Title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.title"></a>

```go
func Title() *string
```

- *Type:* *string

---

##### `TitleAlign`<sup>Required</sup> <a name="TitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.titleAlign"></a>

```go
func TitleAlign() *string
```

- *Type:* *string

---

##### `TitleSize`<sup>Required</sup> <a name="TitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.titleSize"></a>

```go
func TitleSize() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.internalValue"></a>

```go
func InternalValue() DashboardWidgetDistributionDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinition">DashboardWidgetDistributionDefinition</a>

---


### DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference <a name="DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string) DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.resetFacet">ResetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.resetInterval">ResetInterval</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `ResetFacet` <a name="ResetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.resetFacet"></a>

```go
func ResetFacet()
```

##### `ResetInterval` <a name="ResetInterval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.resetInterval"></a>

```go
func ResetInterval()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.property.aggregationInput">AggregationInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.property.facetInput">FacetInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.property.intervalInput">IntervalInput</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.property.aggregation">Aggregation</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.property.facet">Facet</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.property.interval">Interval</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.property.internalValue">InternalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery</a></code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `AggregationInput`<sup>Optional</sup> <a name="AggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.property.aggregationInput"></a>

```go
func AggregationInput() *string
```

- *Type:* *string

---

##### `FacetInput`<sup>Optional</sup> <a name="FacetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.property.facetInput"></a>

```go
func FacetInput() *string
```

- *Type:* *string

---

##### `IntervalInput`<sup>Optional</sup> <a name="IntervalInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.property.intervalInput"></a>

```go
func IntervalInput() *f64
```

- *Type:* *f64

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.property.aggregation"></a>

```go
func Aggregation() *string
```

- *Type:* *string

---

##### `Facet`<sup>Required</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.property.facet"></a>

```go
func Facet() *string
```

- *Type:* *string

---

##### `Interval`<sup>Required</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.property.interval"></a>

```go
func Interval() *f64
```

- *Type:* *f64

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.property.internalValue"></a>

```go
func InternalValue() DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery</a>

---


### DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList <a name="DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetDistributionDefinitionRequestApmQueryGroupByList(terraformResource IInterpolatingParent, terraformAttribute *string, wrapsSet *bool) DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.Initializer.parameter.wrapsSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.get">Get</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `Get` <a name="Get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.get"></a>

```go
func Get(index *f64) DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.get.parameter.index"></a>

- *Type:* *f64

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference <a name="DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string, complexObjectIndex *f64, complexObjectIsFromSet *bool) DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>*f64</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* *f64

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.putSortQuery">PutSortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.resetFacet">ResetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.resetLimit">ResetLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.resetSortQuery">ResetSortQuery</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `PutSortQuery` <a name="PutSortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.putSortQuery"></a>

```go
func PutSortQuery(value DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.putSortQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery</a>

---

##### `ResetFacet` <a name="ResetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.resetFacet"></a>

```go
func ResetFacet()
```

##### `ResetLimit` <a name="ResetLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.resetLimit"></a>

```go
func ResetLimit()
```

##### `ResetSortQuery` <a name="ResetSortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.resetSortQuery"></a>

```go
func ResetSortQuery()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference">DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.property.facetInput">FacetInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.property.limitInput">LimitInput</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.property.sortQueryInput">SortQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.property.facet">Facet</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.property.limit">Limit</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `SortQuery`<sup>Required</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.property.sortQuery"></a>

```go
func SortQuery() DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference">DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference</a>

---

##### `FacetInput`<sup>Optional</sup> <a name="FacetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.property.facetInput"></a>

```go
func FacetInput() *string
```

- *Type:* *string

---

##### `LimitInput`<sup>Optional</sup> <a name="LimitInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.property.limitInput"></a>

```go
func LimitInput() *f64
```

- *Type:* *f64

---

##### `SortQueryInput`<sup>Optional</sup> <a name="SortQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.property.sortQueryInput"></a>

```go
func SortQueryInput() DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery</a>

---

##### `Facet`<sup>Required</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.property.facet"></a>

```go
func Facet() *string
```

- *Type:* *string

---

##### `Limit`<sup>Required</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.property.limit"></a>

```go
func Limit() *f64
```

- *Type:* *f64

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference <a name="DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string) DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.resetFacet">ResetFacet</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `ResetFacet` <a name="ResetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.resetFacet"></a>

```go
func ResetFacet()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.aggregationInput">AggregationInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.facetInput">FacetInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.orderInput">OrderInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.aggregation">Aggregation</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.facet">Facet</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.order">Order</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.internalValue">InternalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery</a></code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `AggregationInput`<sup>Optional</sup> <a name="AggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.aggregationInput"></a>

```go
func AggregationInput() *string
```

- *Type:* *string

---

##### `FacetInput`<sup>Optional</sup> <a name="FacetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.facetInput"></a>

```go
func FacetInput() *string
```

- *Type:* *string

---

##### `OrderInput`<sup>Optional</sup> <a name="OrderInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.orderInput"></a>

```go
func OrderInput() *string
```

- *Type:* *string

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.aggregation"></a>

```go
func Aggregation() *string
```

- *Type:* *string

---

##### `Facet`<sup>Required</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.facet"></a>

```go
func Facet() *string
```

- *Type:* *string

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.order"></a>

```go
func Order() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.internalValue"></a>

```go
func InternalValue() DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery</a>

---


### DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList <a name="DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList(terraformResource IInterpolatingParent, terraformAttribute *string, wrapsSet *bool) DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.Initializer.parameter.wrapsSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.get">Get</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `Get` <a name="Get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.get"></a>

```go
func Get(index *f64) DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.get.parameter.index"></a>

- *Type:* *f64

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference <a name="DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string, complexObjectIndex *f64, complexObjectIsFromSet *bool) DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>*f64</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* *f64

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.resetFacet">ResetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.resetInterval">ResetInterval</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `ResetFacet` <a name="ResetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.resetFacet"></a>

```go
func ResetFacet()
```

##### `ResetInterval` <a name="ResetInterval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.resetInterval"></a>

```go
func ResetInterval()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.property.aggregationInput">AggregationInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.property.facetInput">FacetInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.property.intervalInput">IntervalInput</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.property.aggregation">Aggregation</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.property.facet">Facet</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.property.interval">Interval</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `AggregationInput`<sup>Optional</sup> <a name="AggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.property.aggregationInput"></a>

```go
func AggregationInput() *string
```

- *Type:* *string

---

##### `FacetInput`<sup>Optional</sup> <a name="FacetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.property.facetInput"></a>

```go
func FacetInput() *string
```

- *Type:* *string

---

##### `IntervalInput`<sup>Optional</sup> <a name="IntervalInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.property.intervalInput"></a>

```go
func IntervalInput() *f64
```

- *Type:* *f64

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.property.aggregation"></a>

```go
func Aggregation() *string
```

- *Type:* *string

---

##### `Facet`<sup>Required</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.property.facet"></a>

```go
func Facet() *string
```

- *Type:* *string

---

##### `Interval`<sup>Required</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.property.interval"></a>

```go
func Interval() *f64
```

- *Type:* *f64

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference <a name="DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetDistributionDefinitionRequestApmQueryOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string) DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.putComputeQuery">PutComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.putGroupBy">PutGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.putMultiCompute">PutMultiCompute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.resetComputeQuery">ResetComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.resetGroupBy">ResetGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.resetMultiCompute">ResetMultiCompute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.resetSearchQuery">ResetSearchQuery</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `PutComputeQuery` <a name="PutComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.putComputeQuery"></a>

```go
func PutComputeQuery(value DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.putComputeQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery</a>

---

##### `PutGroupBy` <a name="PutGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.putGroupBy"></a>

```go
func PutGroupBy(value interface{})
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.putGroupBy.parameter.value"></a>

- *Type:* interface{}

---

##### `PutMultiCompute` <a name="PutMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.putMultiCompute"></a>

```go
func PutMultiCompute(value interface{})
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.putMultiCompute.parameter.value"></a>

- *Type:* interface{}

---

##### `ResetComputeQuery` <a name="ResetComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.resetComputeQuery"></a>

```go
func ResetComputeQuery()
```

##### `ResetGroupBy` <a name="ResetGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.resetGroupBy"></a>

```go
func ResetGroupBy()
```

##### `ResetMultiCompute` <a name="ResetMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.resetMultiCompute"></a>

```go
func ResetMultiCompute()
```

##### `ResetSearchQuery` <a name="ResetSearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.resetSearchQuery"></a>

```go
func ResetSearchQuery()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference">DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.groupBy">GroupBy</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList">DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.multiCompute">MultiCompute</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList">DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.computeQueryInput">ComputeQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.groupByInput">GroupByInput</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.indexInput">IndexInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.multiComputeInput">MultiComputeInput</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.searchQueryInput">SearchQueryInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.index">Index</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.internalValue">InternalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQuery">DashboardWidgetDistributionDefinitionRequestApmQuery</a></code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `ComputeQuery`<sup>Required</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.computeQuery"></a>

```go
func ComputeQuery() DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference">DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference</a>

---

##### `GroupBy`<sup>Required</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.groupBy"></a>

```go
func GroupBy() DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList">DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList</a>

---

##### `MultiCompute`<sup>Required</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.multiCompute"></a>

```go
func MultiCompute() DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList">DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList</a>

---

##### `ComputeQueryInput`<sup>Optional</sup> <a name="ComputeQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.computeQueryInput"></a>

```go
func ComputeQueryInput() DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery</a>

---

##### `GroupByInput`<sup>Optional</sup> <a name="GroupByInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.groupByInput"></a>

```go
func GroupByInput() interface{}
```

- *Type:* interface{}

---

##### `IndexInput`<sup>Optional</sup> <a name="IndexInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.indexInput"></a>

```go
func IndexInput() *string
```

- *Type:* *string

---

##### `MultiComputeInput`<sup>Optional</sup> <a name="MultiComputeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.multiComputeInput"></a>

```go
func MultiComputeInput() interface{}
```

- *Type:* interface{}

---

##### `SearchQueryInput`<sup>Optional</sup> <a name="SearchQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.searchQueryInput"></a>

```go
func SearchQueryInput() *string
```

- *Type:* *string

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.index"></a>

```go
func Index() *string
```

- *Type:* *string

---

##### `SearchQuery`<sup>Required</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.searchQuery"></a>

```go
func SearchQuery() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.internalValue"></a>

```go
func InternalValue() DashboardWidgetDistributionDefinitionRequestApmQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQuery">DashboardWidgetDistributionDefinitionRequestApmQuery</a>

---


### DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList <a name="DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList(terraformResource IInterpolatingParent, terraformAttribute *string, wrapsSet *bool) DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.Initializer.parameter.wrapsSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.get">Get</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `Get` <a name="Get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.get"></a>

```go
func Get(index *f64) DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.get.parameter.index"></a>

- *Type:* *f64

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference <a name="DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string, complexObjectIndex *f64, complexObjectIsFromSet *bool) DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>*f64</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* *f64

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.resetAlias">ResetAlias</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.resetCellDisplayMode">ResetCellDisplayMode</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.resetOrder">ResetOrder</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `ResetAlias` <a name="ResetAlias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.resetAlias"></a>

```go
func ResetAlias()
```

##### `ResetCellDisplayMode` <a name="ResetCellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.resetCellDisplayMode"></a>

```go
func ResetCellDisplayMode()
```

##### `ResetOrder` <a name="ResetOrder" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.resetOrder"></a>

```go
func ResetOrder()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.aliasInput">AliasInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.cellDisplayModeInput">CellDisplayModeInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.nameInput">NameInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.orderInput">OrderInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.alias">Alias</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.cellDisplayMode">CellDisplayMode</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.name">Name</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.order">Order</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `AliasInput`<sup>Optional</sup> <a name="AliasInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.aliasInput"></a>

```go
func AliasInput() *string
```

- *Type:* *string

---

##### `CellDisplayModeInput`<sup>Optional</sup> <a name="CellDisplayModeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.cellDisplayModeInput"></a>

```go
func CellDisplayModeInput() *string
```

- *Type:* *string

---

##### `NameInput`<sup>Optional</sup> <a name="NameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.nameInput"></a>

```go
func NameInput() *string
```

- *Type:* *string

---

##### `OrderInput`<sup>Optional</sup> <a name="OrderInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.orderInput"></a>

```go
func OrderInput() *string
```

- *Type:* *string

---

##### `Alias`<sup>Required</sup> <a name="Alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.alias"></a>

```go
func Alias() *string
```

- *Type:* *string

---

##### `CellDisplayMode`<sup>Required</sup> <a name="CellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.cellDisplayMode"></a>

```go
func CellDisplayMode() *string
```

- *Type:* *string

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.name"></a>

```go
func Name() *string
```

- *Type:* *string

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.order"></a>

```go
func Order() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference <a name="DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string) DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.putColumns">PutColumns</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.resetColumns">ResetColumns</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.resetResource">ResetResource</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `PutColumns` <a name="PutColumns" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.putColumns"></a>

```go
func PutColumns(value interface{})
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.putColumns.parameter.value"></a>

- *Type:* interface{}

---

##### `ResetColumns` <a name="ResetColumns" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.resetColumns"></a>

```go
func ResetColumns()
```

##### `ResetResource` <a name="ResetResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.resetResource"></a>

```go
func ResetResource()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.columns">Columns</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList">DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.columnsInput">ColumnsInput</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.envInput">EnvInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.nameInput">NameInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.primaryTagInput">PrimaryTagInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.resourceInput">ResourceInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.rowTypeInput">RowTypeInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.serviceInput">ServiceInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.env">Env</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.name">Name</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.primaryTag">PrimaryTag</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.resource">Resource</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.rowType">RowType</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.service">Service</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.internalValue">InternalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery">DashboardWidgetDistributionDefinitionRequestApmStatsQuery</a></code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `Columns`<sup>Required</sup> <a name="Columns" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.columns"></a>

```go
func Columns() DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList">DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList</a>

---

##### `ColumnsInput`<sup>Optional</sup> <a name="ColumnsInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.columnsInput"></a>

```go
func ColumnsInput() interface{}
```

- *Type:* interface{}

---

##### `EnvInput`<sup>Optional</sup> <a name="EnvInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.envInput"></a>

```go
func EnvInput() *string
```

- *Type:* *string

---

##### `NameInput`<sup>Optional</sup> <a name="NameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.nameInput"></a>

```go
func NameInput() *string
```

- *Type:* *string

---

##### `PrimaryTagInput`<sup>Optional</sup> <a name="PrimaryTagInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.primaryTagInput"></a>

```go
func PrimaryTagInput() *string
```

- *Type:* *string

---

##### `ResourceInput`<sup>Optional</sup> <a name="ResourceInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.resourceInput"></a>

```go
func ResourceInput() *string
```

- *Type:* *string

---

##### `RowTypeInput`<sup>Optional</sup> <a name="RowTypeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.rowTypeInput"></a>

```go
func RowTypeInput() *string
```

- *Type:* *string

---

##### `ServiceInput`<sup>Optional</sup> <a name="ServiceInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.serviceInput"></a>

```go
func ServiceInput() *string
```

- *Type:* *string

---

##### `Env`<sup>Required</sup> <a name="Env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.env"></a>

```go
func Env() *string
```

- *Type:* *string

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.name"></a>

```go
func Name() *string
```

- *Type:* *string

---

##### `PrimaryTag`<sup>Required</sup> <a name="PrimaryTag" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.primaryTag"></a>

```go
func PrimaryTag() *string
```

- *Type:* *string

---

##### `Resource`<sup>Required</sup> <a name="Resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.resource"></a>

```go
func Resource() *string
```

- *Type:* *string

---

##### `RowType`<sup>Required</sup> <a name="RowType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.rowType"></a>

```go
func RowType() *string
```

- *Type:* *string

---

##### `Service`<sup>Required</sup> <a name="Service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.service"></a>

```go
func Service() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.internalValue"></a>

```go
func InternalValue() DashboardWidgetDistributionDefinitionRequestApmStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery">DashboardWidgetDistributionDefinitionRequestApmStatsQuery</a>

---


### DashboardWidgetDistributionDefinitionRequestList <a name="DashboardWidgetDistributionDefinitionRequestList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetDistributionDefinitionRequestList(terraformResource IInterpolatingParent, terraformAttribute *string, wrapsSet *bool) DashboardWidgetDistributionDefinitionRequestList
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.Initializer.parameter.wrapsSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.get">Get</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `Get` <a name="Get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.get"></a>

```go
func Get(index *f64) DashboardWidgetDistributionDefinitionRequestOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.get.parameter.index"></a>

- *Type:* *f64

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference <a name="DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string) DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.resetFacet">ResetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.resetInterval">ResetInterval</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `ResetFacet` <a name="ResetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.resetFacet"></a>

```go
func ResetFacet()
```

##### `ResetInterval` <a name="ResetInterval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.resetInterval"></a>

```go
func ResetInterval()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.property.aggregationInput">AggregationInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.property.facetInput">FacetInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.property.intervalInput">IntervalInput</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.property.aggregation">Aggregation</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.property.facet">Facet</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.property.interval">Interval</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.property.internalValue">InternalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery</a></code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `AggregationInput`<sup>Optional</sup> <a name="AggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.property.aggregationInput"></a>

```go
func AggregationInput() *string
```

- *Type:* *string

---

##### `FacetInput`<sup>Optional</sup> <a name="FacetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.property.facetInput"></a>

```go
func FacetInput() *string
```

- *Type:* *string

---

##### `IntervalInput`<sup>Optional</sup> <a name="IntervalInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.property.intervalInput"></a>

```go
func IntervalInput() *f64
```

- *Type:* *f64

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.property.aggregation"></a>

```go
func Aggregation() *string
```

- *Type:* *string

---

##### `Facet`<sup>Required</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.property.facet"></a>

```go
func Facet() *string
```

- *Type:* *string

---

##### `Interval`<sup>Required</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.property.interval"></a>

```go
func Interval() *f64
```

- *Type:* *f64

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.property.internalValue"></a>

```go
func InternalValue() DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery</a>

---


### DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList <a name="DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetDistributionDefinitionRequestLogQueryGroupByList(terraformResource IInterpolatingParent, terraformAttribute *string, wrapsSet *bool) DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.Initializer.parameter.wrapsSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.get">Get</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `Get` <a name="Get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.get"></a>

```go
func Get(index *f64) DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.get.parameter.index"></a>

- *Type:* *f64

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference <a name="DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string, complexObjectIndex *f64, complexObjectIsFromSet *bool) DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>*f64</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* *f64

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.putSortQuery">PutSortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.resetFacet">ResetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.resetLimit">ResetLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.resetSortQuery">ResetSortQuery</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `PutSortQuery` <a name="PutSortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.putSortQuery"></a>

```go
func PutSortQuery(value DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.putSortQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery</a>

---

##### `ResetFacet` <a name="ResetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.resetFacet"></a>

```go
func ResetFacet()
```

##### `ResetLimit` <a name="ResetLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.resetLimit"></a>

```go
func ResetLimit()
```

##### `ResetSortQuery` <a name="ResetSortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.resetSortQuery"></a>

```go
func ResetSortQuery()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference">DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.property.facetInput">FacetInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.property.limitInput">LimitInput</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.property.sortQueryInput">SortQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.property.facet">Facet</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.property.limit">Limit</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `SortQuery`<sup>Required</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.property.sortQuery"></a>

```go
func SortQuery() DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference">DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference</a>

---

##### `FacetInput`<sup>Optional</sup> <a name="FacetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.property.facetInput"></a>

```go
func FacetInput() *string
```

- *Type:* *string

---

##### `LimitInput`<sup>Optional</sup> <a name="LimitInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.property.limitInput"></a>

```go
func LimitInput() *f64
```

- *Type:* *f64

---

##### `SortQueryInput`<sup>Optional</sup> <a name="SortQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.property.sortQueryInput"></a>

```go
func SortQueryInput() DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery</a>

---

##### `Facet`<sup>Required</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.property.facet"></a>

```go
func Facet() *string
```

- *Type:* *string

---

##### `Limit`<sup>Required</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.property.limit"></a>

```go
func Limit() *f64
```

- *Type:* *f64

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference <a name="DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string) DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.resetFacet">ResetFacet</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `ResetFacet` <a name="ResetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.resetFacet"></a>

```go
func ResetFacet()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.aggregationInput">AggregationInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.facetInput">FacetInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.orderInput">OrderInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.aggregation">Aggregation</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.facet">Facet</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.order">Order</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.internalValue">InternalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery</a></code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `AggregationInput`<sup>Optional</sup> <a name="AggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.aggregationInput"></a>

```go
func AggregationInput() *string
```

- *Type:* *string

---

##### `FacetInput`<sup>Optional</sup> <a name="FacetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.facetInput"></a>

```go
func FacetInput() *string
```

- *Type:* *string

---

##### `OrderInput`<sup>Optional</sup> <a name="OrderInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.orderInput"></a>

```go
func OrderInput() *string
```

- *Type:* *string

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.aggregation"></a>

```go
func Aggregation() *string
```

- *Type:* *string

---

##### `Facet`<sup>Required</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.facet"></a>

```go
func Facet() *string
```

- *Type:* *string

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.order"></a>

```go
func Order() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.internalValue"></a>

```go
func InternalValue() DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery</a>

---


### DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList <a name="DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList(terraformResource IInterpolatingParent, terraformAttribute *string, wrapsSet *bool) DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.wrapsSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.get">Get</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `Get` <a name="Get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.get"></a>

```go
func Get(index *f64) DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.get.parameter.index"></a>

- *Type:* *f64

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference <a name="DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string, complexObjectIndex *f64, complexObjectIsFromSet *bool) DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>*f64</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* *f64

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.resetFacet">ResetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.resetInterval">ResetInterval</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `ResetFacet` <a name="ResetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.resetFacet"></a>

```go
func ResetFacet()
```

##### `ResetInterval` <a name="ResetInterval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.resetInterval"></a>

```go
func ResetInterval()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.property.aggregationInput">AggregationInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.property.facetInput">FacetInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.property.intervalInput">IntervalInput</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.property.aggregation">Aggregation</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.property.facet">Facet</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.property.interval">Interval</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `AggregationInput`<sup>Optional</sup> <a name="AggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.property.aggregationInput"></a>

```go
func AggregationInput() *string
```

- *Type:* *string

---

##### `FacetInput`<sup>Optional</sup> <a name="FacetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.property.facetInput"></a>

```go
func FacetInput() *string
```

- *Type:* *string

---

##### `IntervalInput`<sup>Optional</sup> <a name="IntervalInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.property.intervalInput"></a>

```go
func IntervalInput() *f64
```

- *Type:* *f64

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.property.aggregation"></a>

```go
func Aggregation() *string
```

- *Type:* *string

---

##### `Facet`<sup>Required</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.property.facet"></a>

```go
func Facet() *string
```

- *Type:* *string

---

##### `Interval`<sup>Required</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.property.interval"></a>

```go
func Interval() *f64
```

- *Type:* *f64

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference <a name="DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetDistributionDefinitionRequestLogQueryOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string) DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.putComputeQuery">PutComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.putGroupBy">PutGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.putMultiCompute">PutMultiCompute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.resetComputeQuery">ResetComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.resetGroupBy">ResetGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.resetMultiCompute">ResetMultiCompute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.resetSearchQuery">ResetSearchQuery</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `PutComputeQuery` <a name="PutComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.putComputeQuery"></a>

```go
func PutComputeQuery(value DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.putComputeQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery</a>

---

##### `PutGroupBy` <a name="PutGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.putGroupBy"></a>

```go
func PutGroupBy(value interface{})
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.putGroupBy.parameter.value"></a>

- *Type:* interface{}

---

##### `PutMultiCompute` <a name="PutMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.putMultiCompute"></a>

```go
func PutMultiCompute(value interface{})
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.putMultiCompute.parameter.value"></a>

- *Type:* interface{}

---

##### `ResetComputeQuery` <a name="ResetComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.resetComputeQuery"></a>

```go
func ResetComputeQuery()
```

##### `ResetGroupBy` <a name="ResetGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.resetGroupBy"></a>

```go
func ResetGroupBy()
```

##### `ResetMultiCompute` <a name="ResetMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.resetMultiCompute"></a>

```go
func ResetMultiCompute()
```

##### `ResetSearchQuery` <a name="ResetSearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.resetSearchQuery"></a>

```go
func ResetSearchQuery()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference">DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.groupBy">GroupBy</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList">DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.multiCompute">MultiCompute</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList">DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.computeQueryInput">ComputeQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.groupByInput">GroupByInput</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.indexInput">IndexInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.multiComputeInput">MultiComputeInput</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.searchQueryInput">SearchQueryInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.index">Index</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.internalValue">InternalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQuery">DashboardWidgetDistributionDefinitionRequestLogQuery</a></code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `ComputeQuery`<sup>Required</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.computeQuery"></a>

```go
func ComputeQuery() DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference">DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference</a>

---

##### `GroupBy`<sup>Required</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.groupBy"></a>

```go
func GroupBy() DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList">DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList</a>

---

##### `MultiCompute`<sup>Required</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.multiCompute"></a>

```go
func MultiCompute() DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList">DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList</a>

---

##### `ComputeQueryInput`<sup>Optional</sup> <a name="ComputeQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.computeQueryInput"></a>

```go
func ComputeQueryInput() DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery</a>

---

##### `GroupByInput`<sup>Optional</sup> <a name="GroupByInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.groupByInput"></a>

```go
func GroupByInput() interface{}
```

- *Type:* interface{}

---

##### `IndexInput`<sup>Optional</sup> <a name="IndexInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.indexInput"></a>

```go
func IndexInput() *string
```

- *Type:* *string

---

##### `MultiComputeInput`<sup>Optional</sup> <a name="MultiComputeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.multiComputeInput"></a>

```go
func MultiComputeInput() interface{}
```

- *Type:* interface{}

---

##### `SearchQueryInput`<sup>Optional</sup> <a name="SearchQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.searchQueryInput"></a>

```go
func SearchQueryInput() *string
```

- *Type:* *string

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.index"></a>

```go
func Index() *string
```

- *Type:* *string

---

##### `SearchQuery`<sup>Required</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.searchQuery"></a>

```go
func SearchQuery() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.internalValue"></a>

```go
func InternalValue() DashboardWidgetDistributionDefinitionRequestLogQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQuery">DashboardWidgetDistributionDefinitionRequestLogQuery</a>

---


### DashboardWidgetDistributionDefinitionRequestOutputReference <a name="DashboardWidgetDistributionDefinitionRequestOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetDistributionDefinitionRequestOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string, complexObjectIndex *f64, complexObjectIsFromSet *bool) DashboardWidgetDistributionDefinitionRequestOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>*f64</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* *f64

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putApmQuery">PutApmQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putApmStatsQuery">PutApmStatsQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putLogQuery">PutLogQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putProcessQuery">PutProcessQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putRumQuery">PutRumQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putSecurityQuery">PutSecurityQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putStyle">PutStyle</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.resetApmQuery">ResetApmQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.resetApmStatsQuery">ResetApmStatsQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.resetLogQuery">ResetLogQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.resetProcessQuery">ResetProcessQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.resetQ">ResetQ</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.resetRumQuery">ResetRumQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.resetSecurityQuery">ResetSecurityQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.resetStyle">ResetStyle</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `PutApmQuery` <a name="PutApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putApmQuery"></a>

```go
func PutApmQuery(value DashboardWidgetDistributionDefinitionRequestApmQuery)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putApmQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQuery">DashboardWidgetDistributionDefinitionRequestApmQuery</a>

---

##### `PutApmStatsQuery` <a name="PutApmStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putApmStatsQuery"></a>

```go
func PutApmStatsQuery(value DashboardWidgetDistributionDefinitionRequestApmStatsQuery)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putApmStatsQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery">DashboardWidgetDistributionDefinitionRequestApmStatsQuery</a>

---

##### `PutLogQuery` <a name="PutLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putLogQuery"></a>

```go
func PutLogQuery(value DashboardWidgetDistributionDefinitionRequestLogQuery)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putLogQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQuery">DashboardWidgetDistributionDefinitionRequestLogQuery</a>

---

##### `PutProcessQuery` <a name="PutProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putProcessQuery"></a>

```go
func PutProcessQuery(value DashboardWidgetDistributionDefinitionRequestProcessQuery)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putProcessQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQuery">DashboardWidgetDistributionDefinitionRequestProcessQuery</a>

---

##### `PutRumQuery` <a name="PutRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putRumQuery"></a>

```go
func PutRumQuery(value DashboardWidgetDistributionDefinitionRequestRumQuery)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putRumQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQuery">DashboardWidgetDistributionDefinitionRequestRumQuery</a>

---

##### `PutSecurityQuery` <a name="PutSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putSecurityQuery"></a>

```go
func PutSecurityQuery(value DashboardWidgetDistributionDefinitionRequestSecurityQuery)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putSecurityQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQuery">DashboardWidgetDistributionDefinitionRequestSecurityQuery</a>

---

##### `PutStyle` <a name="PutStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putStyle"></a>

```go
func PutStyle(value DashboardWidgetDistributionDefinitionRequestStyle)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putStyle.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyle">DashboardWidgetDistributionDefinitionRequestStyle</a>

---

##### `ResetApmQuery` <a name="ResetApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.resetApmQuery"></a>

```go
func ResetApmQuery()
```

##### `ResetApmStatsQuery` <a name="ResetApmStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.resetApmStatsQuery"></a>

```go
func ResetApmStatsQuery()
```

##### `ResetLogQuery` <a name="ResetLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.resetLogQuery"></a>

```go
func ResetLogQuery()
```

##### `ResetProcessQuery` <a name="ResetProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.resetProcessQuery"></a>

```go
func ResetProcessQuery()
```

##### `ResetQ` <a name="ResetQ" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.resetQ"></a>

```go
func ResetQ()
```

##### `ResetRumQuery` <a name="ResetRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.resetRumQuery"></a>

```go
func ResetRumQuery()
```

##### `ResetSecurityQuery` <a name="ResetSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.resetSecurityQuery"></a>

```go
func ResetSecurityQuery()
```

##### `ResetStyle` <a name="ResetStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.resetStyle"></a>

```go
func ResetStyle()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.apmQuery">ApmQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference">DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.apmStatsQuery">ApmStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference">DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.logQuery">LogQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference">DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.processQuery">ProcessQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference">DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.rumQuery">RumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference">DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.securityQuery">SecurityQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference">DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.style">Style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference">DashboardWidgetDistributionDefinitionRequestStyleOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.apmQueryInput">ApmQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQuery">DashboardWidgetDistributionDefinitionRequestApmQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.apmStatsQueryInput">ApmStatsQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery">DashboardWidgetDistributionDefinitionRequestApmStatsQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.logQueryInput">LogQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQuery">DashboardWidgetDistributionDefinitionRequestLogQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.processQueryInput">ProcessQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQuery">DashboardWidgetDistributionDefinitionRequestProcessQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.qInput">QInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.rumQueryInput">RumQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQuery">DashboardWidgetDistributionDefinitionRequestRumQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.securityQueryInput">SecurityQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQuery">DashboardWidgetDistributionDefinitionRequestSecurityQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.styleInput">StyleInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyle">DashboardWidgetDistributionDefinitionRequestStyle</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.q">Q</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `ApmQuery`<sup>Required</sup> <a name="ApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.apmQuery"></a>

```go
func ApmQuery() DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference">DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference</a>

---

##### `ApmStatsQuery`<sup>Required</sup> <a name="ApmStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.apmStatsQuery"></a>

```go
func ApmStatsQuery() DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference">DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference</a>

---

##### `LogQuery`<sup>Required</sup> <a name="LogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.logQuery"></a>

```go
func LogQuery() DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference">DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference</a>

---

##### `ProcessQuery`<sup>Required</sup> <a name="ProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.processQuery"></a>

```go
func ProcessQuery() DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference">DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference</a>

---

##### `RumQuery`<sup>Required</sup> <a name="RumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.rumQuery"></a>

```go
func RumQuery() DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference">DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference</a>

---

##### `SecurityQuery`<sup>Required</sup> <a name="SecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.securityQuery"></a>

```go
func SecurityQuery() DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference">DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference</a>

---

##### `Style`<sup>Required</sup> <a name="Style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.style"></a>

```go
func Style() DashboardWidgetDistributionDefinitionRequestStyleOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference">DashboardWidgetDistributionDefinitionRequestStyleOutputReference</a>

---

##### `ApmQueryInput`<sup>Optional</sup> <a name="ApmQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.apmQueryInput"></a>

```go
func ApmQueryInput() DashboardWidgetDistributionDefinitionRequestApmQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQuery">DashboardWidgetDistributionDefinitionRequestApmQuery</a>

---

##### `ApmStatsQueryInput`<sup>Optional</sup> <a name="ApmStatsQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.apmStatsQueryInput"></a>

```go
func ApmStatsQueryInput() DashboardWidgetDistributionDefinitionRequestApmStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery">DashboardWidgetDistributionDefinitionRequestApmStatsQuery</a>

---

##### `LogQueryInput`<sup>Optional</sup> <a name="LogQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.logQueryInput"></a>

```go
func LogQueryInput() DashboardWidgetDistributionDefinitionRequestLogQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQuery">DashboardWidgetDistributionDefinitionRequestLogQuery</a>

---

##### `ProcessQueryInput`<sup>Optional</sup> <a name="ProcessQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.processQueryInput"></a>

```go
func ProcessQueryInput() DashboardWidgetDistributionDefinitionRequestProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQuery">DashboardWidgetDistributionDefinitionRequestProcessQuery</a>

---

##### `QInput`<sup>Optional</sup> <a name="QInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.qInput"></a>

```go
func QInput() *string
```

- *Type:* *string

---

##### `RumQueryInput`<sup>Optional</sup> <a name="RumQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.rumQueryInput"></a>

```go
func RumQueryInput() DashboardWidgetDistributionDefinitionRequestRumQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQuery">DashboardWidgetDistributionDefinitionRequestRumQuery</a>

---

##### `SecurityQueryInput`<sup>Optional</sup> <a name="SecurityQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.securityQueryInput"></a>

```go
func SecurityQueryInput() DashboardWidgetDistributionDefinitionRequestSecurityQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQuery">DashboardWidgetDistributionDefinitionRequestSecurityQuery</a>

---

##### `StyleInput`<sup>Optional</sup> <a name="StyleInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.styleInput"></a>

```go
func StyleInput() DashboardWidgetDistributionDefinitionRequestStyle
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyle">DashboardWidgetDistributionDefinitionRequestStyle</a>

---

##### `Q`<sup>Required</sup> <a name="Q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.q"></a>

```go
func Q() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference <a name="DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string) DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.resetFilterBy">ResetFilterBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.resetLimit">ResetLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.resetSearchBy">ResetSearchBy</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `ResetFilterBy` <a name="ResetFilterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.resetFilterBy"></a>

```go
func ResetFilterBy()
```

##### `ResetLimit` <a name="ResetLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.resetLimit"></a>

```go
func ResetLimit()
```

##### `ResetSearchBy` <a name="ResetSearchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.resetSearchBy"></a>

```go
func ResetSearchBy()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.filterByInput">FilterByInput</a></code> | <code>*[]*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.limitInput">LimitInput</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.metricInput">MetricInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.searchByInput">SearchByInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.filterBy">FilterBy</a></code> | <code>*[]*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.limit">Limit</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.metric">Metric</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.searchBy">SearchBy</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.internalValue">InternalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQuery">DashboardWidgetDistributionDefinitionRequestProcessQuery</a></code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `FilterByInput`<sup>Optional</sup> <a name="FilterByInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.filterByInput"></a>

```go
func FilterByInput() *[]*string
```

- *Type:* *[]*string

---

##### `LimitInput`<sup>Optional</sup> <a name="LimitInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.limitInput"></a>

```go
func LimitInput() *f64
```

- *Type:* *f64

---

##### `MetricInput`<sup>Optional</sup> <a name="MetricInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.metricInput"></a>

```go
func MetricInput() *string
```

- *Type:* *string

---

##### `SearchByInput`<sup>Optional</sup> <a name="SearchByInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.searchByInput"></a>

```go
func SearchByInput() *string
```

- *Type:* *string

---

##### `FilterBy`<sup>Required</sup> <a name="FilterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.filterBy"></a>

```go
func FilterBy() *[]*string
```

- *Type:* *[]*string

---

##### `Limit`<sup>Required</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.limit"></a>

```go
func Limit() *f64
```

- *Type:* *f64

---

##### `Metric`<sup>Required</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.metric"></a>

```go
func Metric() *string
```

- *Type:* *string

---

##### `SearchBy`<sup>Required</sup> <a name="SearchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.searchBy"></a>

```go
func SearchBy() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.internalValue"></a>

```go
func InternalValue() DashboardWidgetDistributionDefinitionRequestProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQuery">DashboardWidgetDistributionDefinitionRequestProcessQuery</a>

---


### DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference <a name="DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string) DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.resetFacet">ResetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.resetInterval">ResetInterval</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `ResetFacet` <a name="ResetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.resetFacet"></a>

```go
func ResetFacet()
```

##### `ResetInterval` <a name="ResetInterval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.resetInterval"></a>

```go
func ResetInterval()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.property.aggregationInput">AggregationInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.property.facetInput">FacetInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.property.intervalInput">IntervalInput</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.property.aggregation">Aggregation</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.property.facet">Facet</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.property.interval">Interval</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.property.internalValue">InternalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery</a></code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `AggregationInput`<sup>Optional</sup> <a name="AggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.property.aggregationInput"></a>

```go
func AggregationInput() *string
```

- *Type:* *string

---

##### `FacetInput`<sup>Optional</sup> <a name="FacetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.property.facetInput"></a>

```go
func FacetInput() *string
```

- *Type:* *string

---

##### `IntervalInput`<sup>Optional</sup> <a name="IntervalInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.property.intervalInput"></a>

```go
func IntervalInput() *f64
```

- *Type:* *f64

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.property.aggregation"></a>

```go
func Aggregation() *string
```

- *Type:* *string

---

##### `Facet`<sup>Required</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.property.facet"></a>

```go
func Facet() *string
```

- *Type:* *string

---

##### `Interval`<sup>Required</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.property.interval"></a>

```go
func Interval() *f64
```

- *Type:* *f64

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.property.internalValue"></a>

```go
func InternalValue() DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery</a>

---


### DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList <a name="DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetDistributionDefinitionRequestRumQueryGroupByList(terraformResource IInterpolatingParent, terraformAttribute *string, wrapsSet *bool) DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.Initializer.parameter.wrapsSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.get">Get</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `Get` <a name="Get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.get"></a>

```go
func Get(index *f64) DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.get.parameter.index"></a>

- *Type:* *f64

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference <a name="DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string, complexObjectIndex *f64, complexObjectIsFromSet *bool) DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>*f64</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* *f64

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.putSortQuery">PutSortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.resetFacet">ResetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.resetLimit">ResetLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.resetSortQuery">ResetSortQuery</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `PutSortQuery` <a name="PutSortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.putSortQuery"></a>

```go
func PutSortQuery(value DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.putSortQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery</a>

---

##### `ResetFacet` <a name="ResetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.resetFacet"></a>

```go
func ResetFacet()
```

##### `ResetLimit` <a name="ResetLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.resetLimit"></a>

```go
func ResetLimit()
```

##### `ResetSortQuery` <a name="ResetSortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.resetSortQuery"></a>

```go
func ResetSortQuery()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference">DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.property.facetInput">FacetInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.property.limitInput">LimitInput</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.property.sortQueryInput">SortQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.property.facet">Facet</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.property.limit">Limit</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `SortQuery`<sup>Required</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.property.sortQuery"></a>

```go
func SortQuery() DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference">DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference</a>

---

##### `FacetInput`<sup>Optional</sup> <a name="FacetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.property.facetInput"></a>

```go
func FacetInput() *string
```

- *Type:* *string

---

##### `LimitInput`<sup>Optional</sup> <a name="LimitInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.property.limitInput"></a>

```go
func LimitInput() *f64
```

- *Type:* *f64

---

##### `SortQueryInput`<sup>Optional</sup> <a name="SortQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.property.sortQueryInput"></a>

```go
func SortQueryInput() DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery</a>

---

##### `Facet`<sup>Required</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.property.facet"></a>

```go
func Facet() *string
```

- *Type:* *string

---

##### `Limit`<sup>Required</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.property.limit"></a>

```go
func Limit() *f64
```

- *Type:* *f64

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference <a name="DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string) DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.resetFacet">ResetFacet</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `ResetFacet` <a name="ResetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.resetFacet"></a>

```go
func ResetFacet()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.aggregationInput">AggregationInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.facetInput">FacetInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.orderInput">OrderInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.aggregation">Aggregation</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.facet">Facet</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.order">Order</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.internalValue">InternalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery</a></code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `AggregationInput`<sup>Optional</sup> <a name="AggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.aggregationInput"></a>

```go
func AggregationInput() *string
```

- *Type:* *string

---

##### `FacetInput`<sup>Optional</sup> <a name="FacetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.facetInput"></a>

```go
func FacetInput() *string
```

- *Type:* *string

---

##### `OrderInput`<sup>Optional</sup> <a name="OrderInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.orderInput"></a>

```go
func OrderInput() *string
```

- *Type:* *string

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.aggregation"></a>

```go
func Aggregation() *string
```

- *Type:* *string

---

##### `Facet`<sup>Required</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.facet"></a>

```go
func Facet() *string
```

- *Type:* *string

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.order"></a>

```go
func Order() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.internalValue"></a>

```go
func InternalValue() DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery</a>

---


### DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList <a name="DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList(terraformResource IInterpolatingParent, terraformAttribute *string, wrapsSet *bool) DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.Initializer.parameter.wrapsSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.get">Get</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `Get` <a name="Get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.get"></a>

```go
func Get(index *f64) DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.get.parameter.index"></a>

- *Type:* *f64

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference <a name="DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string, complexObjectIndex *f64, complexObjectIsFromSet *bool) DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>*f64</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* *f64

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.resetFacet">ResetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.resetInterval">ResetInterval</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `ResetFacet` <a name="ResetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.resetFacet"></a>

```go
func ResetFacet()
```

##### `ResetInterval` <a name="ResetInterval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.resetInterval"></a>

```go
func ResetInterval()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.property.aggregationInput">AggregationInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.property.facetInput">FacetInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.property.intervalInput">IntervalInput</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.property.aggregation">Aggregation</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.property.facet">Facet</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.property.interval">Interval</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `AggregationInput`<sup>Optional</sup> <a name="AggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.property.aggregationInput"></a>

```go
func AggregationInput() *string
```

- *Type:* *string

---

##### `FacetInput`<sup>Optional</sup> <a name="FacetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.property.facetInput"></a>

```go
func FacetInput() *string
```

- *Type:* *string

---

##### `IntervalInput`<sup>Optional</sup> <a name="IntervalInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.property.intervalInput"></a>

```go
func IntervalInput() *f64
```

- *Type:* *f64

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.property.aggregation"></a>

```go
func Aggregation() *string
```

- *Type:* *string

---

##### `Facet`<sup>Required</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.property.facet"></a>

```go
func Facet() *string
```

- *Type:* *string

---

##### `Interval`<sup>Required</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.property.interval"></a>

```go
func Interval() *f64
```

- *Type:* *f64

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference <a name="DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetDistributionDefinitionRequestRumQueryOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string) DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.putComputeQuery">PutComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.putGroupBy">PutGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.putMultiCompute">PutMultiCompute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.resetComputeQuery">ResetComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.resetGroupBy">ResetGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.resetMultiCompute">ResetMultiCompute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.resetSearchQuery">ResetSearchQuery</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `PutComputeQuery` <a name="PutComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.putComputeQuery"></a>

```go
func PutComputeQuery(value DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.putComputeQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery</a>

---

##### `PutGroupBy` <a name="PutGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.putGroupBy"></a>

```go
func PutGroupBy(value interface{})
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.putGroupBy.parameter.value"></a>

- *Type:* interface{}

---

##### `PutMultiCompute` <a name="PutMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.putMultiCompute"></a>

```go
func PutMultiCompute(value interface{})
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.putMultiCompute.parameter.value"></a>

- *Type:* interface{}

---

##### `ResetComputeQuery` <a name="ResetComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.resetComputeQuery"></a>

```go
func ResetComputeQuery()
```

##### `ResetGroupBy` <a name="ResetGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.resetGroupBy"></a>

```go
func ResetGroupBy()
```

##### `ResetMultiCompute` <a name="ResetMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.resetMultiCompute"></a>

```go
func ResetMultiCompute()
```

##### `ResetSearchQuery` <a name="ResetSearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.resetSearchQuery"></a>

```go
func ResetSearchQuery()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference">DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.groupBy">GroupBy</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList">DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.multiCompute">MultiCompute</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList">DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.computeQueryInput">ComputeQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.groupByInput">GroupByInput</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.indexInput">IndexInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.multiComputeInput">MultiComputeInput</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.searchQueryInput">SearchQueryInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.index">Index</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.internalValue">InternalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQuery">DashboardWidgetDistributionDefinitionRequestRumQuery</a></code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `ComputeQuery`<sup>Required</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.computeQuery"></a>

```go
func ComputeQuery() DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference">DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference</a>

---

##### `GroupBy`<sup>Required</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.groupBy"></a>

```go
func GroupBy() DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList">DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList</a>

---

##### `MultiCompute`<sup>Required</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.multiCompute"></a>

```go
func MultiCompute() DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList">DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList</a>

---

##### `ComputeQueryInput`<sup>Optional</sup> <a name="ComputeQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.computeQueryInput"></a>

```go
func ComputeQueryInput() DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery</a>

---

##### `GroupByInput`<sup>Optional</sup> <a name="GroupByInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.groupByInput"></a>

```go
func GroupByInput() interface{}
```

- *Type:* interface{}

---

##### `IndexInput`<sup>Optional</sup> <a name="IndexInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.indexInput"></a>

```go
func IndexInput() *string
```

- *Type:* *string

---

##### `MultiComputeInput`<sup>Optional</sup> <a name="MultiComputeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.multiComputeInput"></a>

```go
func MultiComputeInput() interface{}
```

- *Type:* interface{}

---

##### `SearchQueryInput`<sup>Optional</sup> <a name="SearchQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.searchQueryInput"></a>

```go
func SearchQueryInput() *string
```

- *Type:* *string

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.index"></a>

```go
func Index() *string
```

- *Type:* *string

---

##### `SearchQuery`<sup>Required</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.searchQuery"></a>

```go
func SearchQuery() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.internalValue"></a>

```go
func InternalValue() DashboardWidgetDistributionDefinitionRequestRumQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQuery">DashboardWidgetDistributionDefinitionRequestRumQuery</a>

---


### DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference <a name="DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string) DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.resetFacet">ResetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.resetInterval">ResetInterval</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `ResetFacet` <a name="ResetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.resetFacet"></a>

```go
func ResetFacet()
```

##### `ResetInterval` <a name="ResetInterval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.resetInterval"></a>

```go
func ResetInterval()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.property.aggregationInput">AggregationInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.property.facetInput">FacetInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.property.intervalInput">IntervalInput</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.property.aggregation">Aggregation</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.property.facet">Facet</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.property.interval">Interval</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.property.internalValue">InternalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery</a></code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `AggregationInput`<sup>Optional</sup> <a name="AggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.property.aggregationInput"></a>

```go
func AggregationInput() *string
```

- *Type:* *string

---

##### `FacetInput`<sup>Optional</sup> <a name="FacetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.property.facetInput"></a>

```go
func FacetInput() *string
```

- *Type:* *string

---

##### `IntervalInput`<sup>Optional</sup> <a name="IntervalInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.property.intervalInput"></a>

```go
func IntervalInput() *f64
```

- *Type:* *f64

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.property.aggregation"></a>

```go
func Aggregation() *string
```

- *Type:* *string

---

##### `Facet`<sup>Required</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.property.facet"></a>

```go
func Facet() *string
```

- *Type:* *string

---

##### `Interval`<sup>Required</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.property.interval"></a>

```go
func Interval() *f64
```

- *Type:* *f64

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.property.internalValue"></a>

```go
func InternalValue() DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery</a>

---


### DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList <a name="DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList(terraformResource IInterpolatingParent, terraformAttribute *string, wrapsSet *bool) DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.Initializer.parameter.wrapsSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.get">Get</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `Get` <a name="Get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.get"></a>

```go
func Get(index *f64) DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.get.parameter.index"></a>

- *Type:* *f64

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference <a name="DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string, complexObjectIndex *f64, complexObjectIsFromSet *bool) DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>*f64</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* *f64

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.putSortQuery">PutSortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.resetFacet">ResetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.resetLimit">ResetLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.resetSortQuery">ResetSortQuery</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `PutSortQuery` <a name="PutSortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.putSortQuery"></a>

```go
func PutSortQuery(value DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.putSortQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery</a>

---

##### `ResetFacet` <a name="ResetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.resetFacet"></a>

```go
func ResetFacet()
```

##### `ResetLimit` <a name="ResetLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.resetLimit"></a>

```go
func ResetLimit()
```

##### `ResetSortQuery` <a name="ResetSortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.resetSortQuery"></a>

```go
func ResetSortQuery()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference">DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.property.facetInput">FacetInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.property.limitInput">LimitInput</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.property.sortQueryInput">SortQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.property.facet">Facet</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.property.limit">Limit</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `SortQuery`<sup>Required</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.property.sortQuery"></a>

```go
func SortQuery() DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference">DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference</a>

---

##### `FacetInput`<sup>Optional</sup> <a name="FacetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.property.facetInput"></a>

```go
func FacetInput() *string
```

- *Type:* *string

---

##### `LimitInput`<sup>Optional</sup> <a name="LimitInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.property.limitInput"></a>

```go
func LimitInput() *f64
```

- *Type:* *f64

---

##### `SortQueryInput`<sup>Optional</sup> <a name="SortQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.property.sortQueryInput"></a>

```go
func SortQueryInput() DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery</a>

---

##### `Facet`<sup>Required</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.property.facet"></a>

```go
func Facet() *string
```

- *Type:* *string

---

##### `Limit`<sup>Required</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.property.limit"></a>

```go
func Limit() *f64
```

- *Type:* *f64

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference <a name="DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string) DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.resetFacet">ResetFacet</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `ResetFacet` <a name="ResetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.resetFacet"></a>

```go
func ResetFacet()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.aggregationInput">AggregationInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.facetInput">FacetInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.orderInput">OrderInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.aggregation">Aggregation</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.facet">Facet</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.order">Order</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.internalValue">InternalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery</a></code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `AggregationInput`<sup>Optional</sup> <a name="AggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.aggregationInput"></a>

```go
func AggregationInput() *string
```

- *Type:* *string

---

##### `FacetInput`<sup>Optional</sup> <a name="FacetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.facetInput"></a>

```go
func FacetInput() *string
```

- *Type:* *string

---

##### `OrderInput`<sup>Optional</sup> <a name="OrderInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.orderInput"></a>

```go
func OrderInput() *string
```

- *Type:* *string

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.aggregation"></a>

```go
func Aggregation() *string
```

- *Type:* *string

---

##### `Facet`<sup>Required</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.facet"></a>

```go
func Facet() *string
```

- *Type:* *string

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.order"></a>

```go
func Order() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.internalValue"></a>

```go
func InternalValue() DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery</a>

---


### DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList <a name="DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList(terraformResource IInterpolatingParent, terraformAttribute *string, wrapsSet *bool) DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.Initializer.parameter.wrapsSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.get">Get</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `Get` <a name="Get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.get"></a>

```go
func Get(index *f64) DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.get.parameter.index"></a>

- *Type:* *f64

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference <a name="DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string, complexObjectIndex *f64, complexObjectIsFromSet *bool) DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>*f64</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* *f64

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.resetFacet">ResetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.resetInterval">ResetInterval</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `ResetFacet` <a name="ResetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.resetFacet"></a>

```go
func ResetFacet()
```

##### `ResetInterval` <a name="ResetInterval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.resetInterval"></a>

```go
func ResetInterval()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.property.aggregationInput">AggregationInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.property.facetInput">FacetInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.property.intervalInput">IntervalInput</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.property.aggregation">Aggregation</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.property.facet">Facet</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.property.interval">Interval</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `AggregationInput`<sup>Optional</sup> <a name="AggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.property.aggregationInput"></a>

```go
func AggregationInput() *string
```

- *Type:* *string

---

##### `FacetInput`<sup>Optional</sup> <a name="FacetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.property.facetInput"></a>

```go
func FacetInput() *string
```

- *Type:* *string

---

##### `IntervalInput`<sup>Optional</sup> <a name="IntervalInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.property.intervalInput"></a>

```go
func IntervalInput() *f64
```

- *Type:* *f64

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.property.aggregation"></a>

```go
func Aggregation() *string
```

- *Type:* *string

---

##### `Facet`<sup>Required</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.property.facet"></a>

```go
func Facet() *string
```

- *Type:* *string

---

##### `Interval`<sup>Required</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.property.interval"></a>

```go
func Interval() *f64
```

- *Type:* *f64

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference <a name="DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string) DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.putComputeQuery">PutComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.putGroupBy">PutGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.putMultiCompute">PutMultiCompute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.resetComputeQuery">ResetComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.resetGroupBy">ResetGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.resetMultiCompute">ResetMultiCompute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.resetSearchQuery">ResetSearchQuery</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `PutComputeQuery` <a name="PutComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.putComputeQuery"></a>

```go
func PutComputeQuery(value DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.putComputeQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery</a>

---

##### `PutGroupBy` <a name="PutGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.putGroupBy"></a>

```go
func PutGroupBy(value interface{})
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.putGroupBy.parameter.value"></a>

- *Type:* interface{}

---

##### `PutMultiCompute` <a name="PutMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.putMultiCompute"></a>

```go
func PutMultiCompute(value interface{})
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.putMultiCompute.parameter.value"></a>

- *Type:* interface{}

---

##### `ResetComputeQuery` <a name="ResetComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.resetComputeQuery"></a>

```go
func ResetComputeQuery()
```

##### `ResetGroupBy` <a name="ResetGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.resetGroupBy"></a>

```go
func ResetGroupBy()
```

##### `ResetMultiCompute` <a name="ResetMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.resetMultiCompute"></a>

```go
func ResetMultiCompute()
```

##### `ResetSearchQuery` <a name="ResetSearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.resetSearchQuery"></a>

```go
func ResetSearchQuery()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference">DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.groupBy">GroupBy</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList">DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.multiCompute">MultiCompute</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList">DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.computeQueryInput">ComputeQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.groupByInput">GroupByInput</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.indexInput">IndexInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.multiComputeInput">MultiComputeInput</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.searchQueryInput">SearchQueryInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.index">Index</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.internalValue">InternalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQuery">DashboardWidgetDistributionDefinitionRequestSecurityQuery</a></code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `ComputeQuery`<sup>Required</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.computeQuery"></a>

```go
func ComputeQuery() DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference">DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference</a>

---

##### `GroupBy`<sup>Required</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.groupBy"></a>

```go
func GroupBy() DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList">DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList</a>

---

##### `MultiCompute`<sup>Required</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.multiCompute"></a>

```go
func MultiCompute() DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList">DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList</a>

---

##### `ComputeQueryInput`<sup>Optional</sup> <a name="ComputeQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.computeQueryInput"></a>

```go
func ComputeQueryInput() DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery</a>

---

##### `GroupByInput`<sup>Optional</sup> <a name="GroupByInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.groupByInput"></a>

```go
func GroupByInput() interface{}
```

- *Type:* interface{}

---

##### `IndexInput`<sup>Optional</sup> <a name="IndexInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.indexInput"></a>

```go
func IndexInput() *string
```

- *Type:* *string

---

##### `MultiComputeInput`<sup>Optional</sup> <a name="MultiComputeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.multiComputeInput"></a>

```go
func MultiComputeInput() interface{}
```

- *Type:* interface{}

---

##### `SearchQueryInput`<sup>Optional</sup> <a name="SearchQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.searchQueryInput"></a>

```go
func SearchQueryInput() *string
```

- *Type:* *string

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.index"></a>

```go
func Index() *string
```

- *Type:* *string

---

##### `SearchQuery`<sup>Required</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.searchQuery"></a>

```go
func SearchQuery() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.internalValue"></a>

```go
func InternalValue() DashboardWidgetDistributionDefinitionRequestSecurityQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQuery">DashboardWidgetDistributionDefinitionRequestSecurityQuery</a>

---


### DashboardWidgetDistributionDefinitionRequestStyleOutputReference <a name="DashboardWidgetDistributionDefinitionRequestStyleOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetDistributionDefinitionRequestStyleOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string) DashboardWidgetDistributionDefinitionRequestStyleOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.resetPalette">ResetPalette</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `ResetPalette` <a name="ResetPalette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.resetPalette"></a>

```go
func ResetPalette()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.property.paletteInput">PaletteInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.property.palette">Palette</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.property.internalValue">InternalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyle">DashboardWidgetDistributionDefinitionRequestStyle</a></code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `PaletteInput`<sup>Optional</sup> <a name="PaletteInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.property.paletteInput"></a>

```go
func PaletteInput() *string
```

- *Type:* *string

---

##### `Palette`<sup>Required</sup> <a name="Palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.property.palette"></a>

```go
func Palette() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.property.internalValue"></a>

```go
func InternalValue() DashboardWidgetDistributionDefinitionRequestStyle
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyle">DashboardWidgetDistributionDefinitionRequestStyle</a>

---


### DashboardWidgetEventStreamDefinitionOutputReference <a name="DashboardWidgetEventStreamDefinitionOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetEventStreamDefinitionOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string) DashboardWidgetEventStreamDefinitionOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.resetEventSize">ResetEventSize</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.resetLiveSpan">ResetLiveSpan</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.resetTagsExecution">ResetTagsExecution</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.resetTitle">ResetTitle</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.resetTitleAlign">ResetTitleAlign</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.resetTitleSize">ResetTitleSize</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `ResetEventSize` <a name="ResetEventSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.resetEventSize"></a>

```go
func ResetEventSize()
```

##### `ResetLiveSpan` <a name="ResetLiveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.resetLiveSpan"></a>

```go
func ResetLiveSpan()
```

##### `ResetTagsExecution` <a name="ResetTagsExecution" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.resetTagsExecution"></a>

```go
func ResetTagsExecution()
```

##### `ResetTitle` <a name="ResetTitle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.resetTitle"></a>

```go
func ResetTitle()
```

##### `ResetTitleAlign` <a name="ResetTitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.resetTitleAlign"></a>

```go
func ResetTitleAlign()
```

##### `ResetTitleSize` <a name="ResetTitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.resetTitleSize"></a>

```go
func ResetTitleSize()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.eventSizeInput">EventSizeInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.liveSpanInput">LiveSpanInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.queryInput">QueryInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.tagsExecutionInput">TagsExecutionInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.titleAlignInput">TitleAlignInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.titleInput">TitleInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.titleSizeInput">TitleSizeInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.eventSize">EventSize</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.liveSpan">LiveSpan</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.query">Query</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.tagsExecution">TagsExecution</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.title">Title</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.titleAlign">TitleAlign</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.titleSize">TitleSize</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.internalValue">InternalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinition">DashboardWidgetEventStreamDefinition</a></code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `EventSizeInput`<sup>Optional</sup> <a name="EventSizeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.eventSizeInput"></a>

```go
func EventSizeInput() *string
```

- *Type:* *string

---

##### `LiveSpanInput`<sup>Optional</sup> <a name="LiveSpanInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.liveSpanInput"></a>

```go
func LiveSpanInput() *string
```

- *Type:* *string

---

##### `QueryInput`<sup>Optional</sup> <a name="QueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.queryInput"></a>

```go
func QueryInput() *string
```

- *Type:* *string

---

##### `TagsExecutionInput`<sup>Optional</sup> <a name="TagsExecutionInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.tagsExecutionInput"></a>

```go
func TagsExecutionInput() *string
```

- *Type:* *string

---

##### `TitleAlignInput`<sup>Optional</sup> <a name="TitleAlignInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.titleAlignInput"></a>

```go
func TitleAlignInput() *string
```

- *Type:* *string

---

##### `TitleInput`<sup>Optional</sup> <a name="TitleInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.titleInput"></a>

```go
func TitleInput() *string
```

- *Type:* *string

---

##### `TitleSizeInput`<sup>Optional</sup> <a name="TitleSizeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.titleSizeInput"></a>

```go
func TitleSizeInput() *string
```

- *Type:* *string

---

##### `EventSize`<sup>Required</sup> <a name="EventSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.eventSize"></a>

```go
func EventSize() *string
```

- *Type:* *string

---

##### `LiveSpan`<sup>Required</sup> <a name="LiveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.liveSpan"></a>

```go
func LiveSpan() *string
```

- *Type:* *string

---

##### `Query`<sup>Required</sup> <a name="Query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.query"></a>

```go
func Query() *string
```

- *Type:* *string

---

##### `TagsExecution`<sup>Required</sup> <a name="TagsExecution" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.tagsExecution"></a>

```go
func TagsExecution() *string
```

- *Type:* *string

---

##### `Title`<sup>Required</sup> <a name="Title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.title"></a>

```go
func Title() *string
```

- *Type:* *string

---

##### `TitleAlign`<sup>Required</sup> <a name="TitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.titleAlign"></a>

```go
func TitleAlign() *string
```

- *Type:* *string

---

##### `TitleSize`<sup>Required</sup> <a name="TitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.titleSize"></a>

```go
func TitleSize() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.internalValue"></a>

```go
func InternalValue() DashboardWidgetEventStreamDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinition">DashboardWidgetEventStreamDefinition</a>

---


### DashboardWidgetEventTimelineDefinitionOutputReference <a name="DashboardWidgetEventTimelineDefinitionOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetEventTimelineDefinitionOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string) DashboardWidgetEventTimelineDefinitionOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.resetLiveSpan">ResetLiveSpan</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.resetTagsExecution">ResetTagsExecution</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.resetTitle">ResetTitle</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.resetTitleAlign">ResetTitleAlign</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.resetTitleSize">ResetTitleSize</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `ResetLiveSpan` <a name="ResetLiveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.resetLiveSpan"></a>

```go
func ResetLiveSpan()
```

##### `ResetTagsExecution` <a name="ResetTagsExecution" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.resetTagsExecution"></a>

```go
func ResetTagsExecution()
```

##### `ResetTitle` <a name="ResetTitle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.resetTitle"></a>

```go
func ResetTitle()
```

##### `ResetTitleAlign` <a name="ResetTitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.resetTitleAlign"></a>

```go
func ResetTitleAlign()
```

##### `ResetTitleSize` <a name="ResetTitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.resetTitleSize"></a>

```go
func ResetTitleSize()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.liveSpanInput">LiveSpanInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.queryInput">QueryInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.tagsExecutionInput">TagsExecutionInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.titleAlignInput">TitleAlignInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.titleInput">TitleInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.titleSizeInput">TitleSizeInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.liveSpan">LiveSpan</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.query">Query</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.tagsExecution">TagsExecution</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.title">Title</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.titleAlign">TitleAlign</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.titleSize">TitleSize</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.internalValue">InternalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinition">DashboardWidgetEventTimelineDefinition</a></code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `LiveSpanInput`<sup>Optional</sup> <a name="LiveSpanInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.liveSpanInput"></a>

```go
func LiveSpanInput() *string
```

- *Type:* *string

---

##### `QueryInput`<sup>Optional</sup> <a name="QueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.queryInput"></a>

```go
func QueryInput() *string
```

- *Type:* *string

---

##### `TagsExecutionInput`<sup>Optional</sup> <a name="TagsExecutionInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.tagsExecutionInput"></a>

```go
func TagsExecutionInput() *string
```

- *Type:* *string

---

##### `TitleAlignInput`<sup>Optional</sup> <a name="TitleAlignInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.titleAlignInput"></a>

```go
func TitleAlignInput() *string
```

- *Type:* *string

---

##### `TitleInput`<sup>Optional</sup> <a name="TitleInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.titleInput"></a>

```go
func TitleInput() *string
```

- *Type:* *string

---

##### `TitleSizeInput`<sup>Optional</sup> <a name="TitleSizeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.titleSizeInput"></a>

```go
func TitleSizeInput() *string
```

- *Type:* *string

---

##### `LiveSpan`<sup>Required</sup> <a name="LiveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.liveSpan"></a>

```go
func LiveSpan() *string
```

- *Type:* *string

---

##### `Query`<sup>Required</sup> <a name="Query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.query"></a>

```go
func Query() *string
```

- *Type:* *string

---

##### `TagsExecution`<sup>Required</sup> <a name="TagsExecution" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.tagsExecution"></a>

```go
func TagsExecution() *string
```

- *Type:* *string

---

##### `Title`<sup>Required</sup> <a name="Title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.title"></a>

```go
func Title() *string
```

- *Type:* *string

---

##### `TitleAlign`<sup>Required</sup> <a name="TitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.titleAlign"></a>

```go
func TitleAlign() *string
```

- *Type:* *string

---

##### `TitleSize`<sup>Required</sup> <a name="TitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.titleSize"></a>

```go
func TitleSize() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.internalValue"></a>

```go
func InternalValue() DashboardWidgetEventTimelineDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinition">DashboardWidgetEventTimelineDefinition</a>

---


### DashboardWidgetFreeTextDefinitionOutputReference <a name="DashboardWidgetFreeTextDefinitionOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetFreeTextDefinitionOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string) DashboardWidgetFreeTextDefinitionOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.resetColor">ResetColor</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.resetFontSize">ResetFontSize</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.resetTextAlign">ResetTextAlign</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `ResetColor` <a name="ResetColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.resetColor"></a>

```go
func ResetColor()
```

##### `ResetFontSize` <a name="ResetFontSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.resetFontSize"></a>

```go
func ResetFontSize()
```

##### `ResetTextAlign` <a name="ResetTextAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.resetTextAlign"></a>

```go
func ResetTextAlign()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.colorInput">ColorInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.fontSizeInput">FontSizeInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.textAlignInput">TextAlignInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.textInput">TextInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.color">Color</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.fontSize">FontSize</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.text">Text</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.textAlign">TextAlign</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.internalValue">InternalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinition">DashboardWidgetFreeTextDefinition</a></code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `ColorInput`<sup>Optional</sup> <a name="ColorInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.colorInput"></a>

```go
func ColorInput() *string
```

- *Type:* *string

---

##### `FontSizeInput`<sup>Optional</sup> <a name="FontSizeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.fontSizeInput"></a>

```go
func FontSizeInput() *string
```

- *Type:* *string

---

##### `TextAlignInput`<sup>Optional</sup> <a name="TextAlignInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.textAlignInput"></a>

```go
func TextAlignInput() *string
```

- *Type:* *string

---

##### `TextInput`<sup>Optional</sup> <a name="TextInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.textInput"></a>

```go
func TextInput() *string
```

- *Type:* *string

---

##### `Color`<sup>Required</sup> <a name="Color" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.color"></a>

```go
func Color() *string
```

- *Type:* *string

---

##### `FontSize`<sup>Required</sup> <a name="FontSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.fontSize"></a>

```go
func FontSize() *string
```

- *Type:* *string

---

##### `Text`<sup>Required</sup> <a name="Text" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.text"></a>

```go
func Text() *string
```

- *Type:* *string

---

##### `TextAlign`<sup>Required</sup> <a name="TextAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.textAlign"></a>

```go
func TextAlign() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.internalValue"></a>

```go
func InternalValue() DashboardWidgetFreeTextDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinition">DashboardWidgetFreeTextDefinition</a>

---


### DashboardWidgetGeomapDefinitionCustomLinkList <a name="DashboardWidgetGeomapDefinitionCustomLinkList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetGeomapDefinitionCustomLinkList(terraformResource IInterpolatingParent, terraformAttribute *string, wrapsSet *bool) DashboardWidgetGeomapDefinitionCustomLinkList
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.Initializer.parameter.wrapsSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.get">Get</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `Get` <a name="Get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.get"></a>

```go
func Get(index *f64) DashboardWidgetGeomapDefinitionCustomLinkOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.get.parameter.index"></a>

- *Type:* *f64

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetGeomapDefinitionCustomLinkOutputReference <a name="DashboardWidgetGeomapDefinitionCustomLinkOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetGeomapDefinitionCustomLinkOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string, complexObjectIndex *f64, complexObjectIsFromSet *bool) DashboardWidgetGeomapDefinitionCustomLinkOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>*f64</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* *f64

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.resetIsHidden">ResetIsHidden</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.resetLabel">ResetLabel</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.resetLink">ResetLink</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.resetOverrideLabel">ResetOverrideLabel</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `ResetIsHidden` <a name="ResetIsHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.resetIsHidden"></a>

```go
func ResetIsHidden()
```

##### `ResetLabel` <a name="ResetLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.resetLabel"></a>

```go
func ResetLabel()
```

##### `ResetLink` <a name="ResetLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.resetLink"></a>

```go
func ResetLink()
```

##### `ResetOverrideLabel` <a name="ResetOverrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.resetOverrideLabel"></a>

```go
func ResetOverrideLabel()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.isHiddenInput">IsHiddenInput</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.labelInput">LabelInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.linkInput">LinkInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.overrideLabelInput">OverrideLabelInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.isHidden">IsHidden</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.label">Label</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.link">Link</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.overrideLabel">OverrideLabel</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `IsHiddenInput`<sup>Optional</sup> <a name="IsHiddenInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.isHiddenInput"></a>

```go
func IsHiddenInput() interface{}
```

- *Type:* interface{}

---

##### `LabelInput`<sup>Optional</sup> <a name="LabelInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.labelInput"></a>

```go
func LabelInput() *string
```

- *Type:* *string

---

##### `LinkInput`<sup>Optional</sup> <a name="LinkInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.linkInput"></a>

```go
func LinkInput() *string
```

- *Type:* *string

---

##### `OverrideLabelInput`<sup>Optional</sup> <a name="OverrideLabelInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.overrideLabelInput"></a>

```go
func OverrideLabelInput() *string
```

- *Type:* *string

---

##### `IsHidden`<sup>Required</sup> <a name="IsHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.isHidden"></a>

```go
func IsHidden() interface{}
```

- *Type:* interface{}

---

##### `Label`<sup>Required</sup> <a name="Label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.label"></a>

```go
func Label() *string
```

- *Type:* *string

---

##### `Link`<sup>Required</sup> <a name="Link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.link"></a>

```go
func Link() *string
```

- *Type:* *string

---

##### `OverrideLabel`<sup>Required</sup> <a name="OverrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.overrideLabel"></a>

```go
func OverrideLabel() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetGeomapDefinitionOutputReference <a name="DashboardWidgetGeomapDefinitionOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetGeomapDefinitionOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string) DashboardWidgetGeomapDefinitionOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.putCustomLink">PutCustomLink</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.putRequest">PutRequest</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.putStyle">PutStyle</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.putView">PutView</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.resetCustomLink">ResetCustomLink</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.resetLiveSpan">ResetLiveSpan</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.resetRequest">ResetRequest</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.resetStyle">ResetStyle</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.resetTitle">ResetTitle</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.resetTitleAlign">ResetTitleAlign</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.resetTitleSize">ResetTitleSize</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `PutCustomLink` <a name="PutCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.putCustomLink"></a>

```go
func PutCustomLink(value interface{})
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.putCustomLink.parameter.value"></a>

- *Type:* interface{}

---

##### `PutRequest` <a name="PutRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.putRequest"></a>

```go
func PutRequest(value interface{})
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.putRequest.parameter.value"></a>

- *Type:* interface{}

---

##### `PutStyle` <a name="PutStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.putStyle"></a>

```go
func PutStyle(value DashboardWidgetGeomapDefinitionStyle)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.putStyle.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyle">DashboardWidgetGeomapDefinitionStyle</a>

---

##### `PutView` <a name="PutView" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.putView"></a>

```go
func PutView(value DashboardWidgetGeomapDefinitionView)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.putView.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionView">DashboardWidgetGeomapDefinitionView</a>

---

##### `ResetCustomLink` <a name="ResetCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.resetCustomLink"></a>

```go
func ResetCustomLink()
```

##### `ResetLiveSpan` <a name="ResetLiveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.resetLiveSpan"></a>

```go
func ResetLiveSpan()
```

##### `ResetRequest` <a name="ResetRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.resetRequest"></a>

```go
func ResetRequest()
```

##### `ResetStyle` <a name="ResetStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.resetStyle"></a>

```go
func ResetStyle()
```

##### `ResetTitle` <a name="ResetTitle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.resetTitle"></a>

```go
func ResetTitle()
```

##### `ResetTitleAlign` <a name="ResetTitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.resetTitleAlign"></a>

```go
func ResetTitleAlign()
```

##### `ResetTitleSize` <a name="ResetTitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.resetTitleSize"></a>

```go
func ResetTitleSize()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.customLink">CustomLink</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList">DashboardWidgetGeomapDefinitionCustomLinkList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.request">Request</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList">DashboardWidgetGeomapDefinitionRequestList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.style">Style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference">DashboardWidgetGeomapDefinitionStyleOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.view">View</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference">DashboardWidgetGeomapDefinitionViewOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.customLinkInput">CustomLinkInput</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.liveSpanInput">LiveSpanInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.requestInput">RequestInput</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.styleInput">StyleInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyle">DashboardWidgetGeomapDefinitionStyle</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.titleAlignInput">TitleAlignInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.titleInput">TitleInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.titleSizeInput">TitleSizeInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.viewInput">ViewInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionView">DashboardWidgetGeomapDefinitionView</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.liveSpan">LiveSpan</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.title">Title</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.titleAlign">TitleAlign</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.titleSize">TitleSize</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.internalValue">InternalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition">DashboardWidgetGeomapDefinition</a></code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `CustomLink`<sup>Required</sup> <a name="CustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.customLink"></a>

```go
func CustomLink() DashboardWidgetGeomapDefinitionCustomLinkList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList">DashboardWidgetGeomapDefinitionCustomLinkList</a>

---

##### `Request`<sup>Required</sup> <a name="Request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.request"></a>

```go
func Request() DashboardWidgetGeomapDefinitionRequestList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList">DashboardWidgetGeomapDefinitionRequestList</a>

---

##### `Style`<sup>Required</sup> <a name="Style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.style"></a>

```go
func Style() DashboardWidgetGeomapDefinitionStyleOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference">DashboardWidgetGeomapDefinitionStyleOutputReference</a>

---

##### `View`<sup>Required</sup> <a name="View" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.view"></a>

```go
func View() DashboardWidgetGeomapDefinitionViewOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference">DashboardWidgetGeomapDefinitionViewOutputReference</a>

---

##### `CustomLinkInput`<sup>Optional</sup> <a name="CustomLinkInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.customLinkInput"></a>

```go
func CustomLinkInput() interface{}
```

- *Type:* interface{}

---

##### `LiveSpanInput`<sup>Optional</sup> <a name="LiveSpanInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.liveSpanInput"></a>

```go
func LiveSpanInput() *string
```

- *Type:* *string

---

##### `RequestInput`<sup>Optional</sup> <a name="RequestInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.requestInput"></a>

```go
func RequestInput() interface{}
```

- *Type:* interface{}

---

##### `StyleInput`<sup>Optional</sup> <a name="StyleInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.styleInput"></a>

```go
func StyleInput() DashboardWidgetGeomapDefinitionStyle
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyle">DashboardWidgetGeomapDefinitionStyle</a>

---

##### `TitleAlignInput`<sup>Optional</sup> <a name="TitleAlignInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.titleAlignInput"></a>

```go
func TitleAlignInput() *string
```

- *Type:* *string

---

##### `TitleInput`<sup>Optional</sup> <a name="TitleInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.titleInput"></a>

```go
func TitleInput() *string
```

- *Type:* *string

---

##### `TitleSizeInput`<sup>Optional</sup> <a name="TitleSizeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.titleSizeInput"></a>

```go
func TitleSizeInput() *string
```

- *Type:* *string

---

##### `ViewInput`<sup>Optional</sup> <a name="ViewInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.viewInput"></a>

```go
func ViewInput() DashboardWidgetGeomapDefinitionView
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionView">DashboardWidgetGeomapDefinitionView</a>

---

##### `LiveSpan`<sup>Required</sup> <a name="LiveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.liveSpan"></a>

```go
func LiveSpan() *string
```

- *Type:* *string

---

##### `Title`<sup>Required</sup> <a name="Title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.title"></a>

```go
func Title() *string
```

- *Type:* *string

---

##### `TitleAlign`<sup>Required</sup> <a name="TitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.titleAlign"></a>

```go
func TitleAlign() *string
```

- *Type:* *string

---

##### `TitleSize`<sup>Required</sup> <a name="TitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.titleSize"></a>

```go
func TitleSize() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.internalValue"></a>

```go
func InternalValue() DashboardWidgetGeomapDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition">DashboardWidgetGeomapDefinition</a>

---


### DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList <a name="DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList(terraformResource IInterpolatingParent, terraformAttribute *string, wrapsSet *bool) DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.Initializer.parameter.wrapsSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.get">Get</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `Get` <a name="Get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.get"></a>

```go
func Get(index *f64) DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.get.parameter.index"></a>

- *Type:* *f64

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference <a name="DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string, complexObjectIndex *f64, complexObjectIsFromSet *bool) DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>*f64</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* *f64

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.resetCustomBgColor">ResetCustomBgColor</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.resetCustomFgColor">ResetCustomFgColor</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.resetHideValue">ResetHideValue</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.resetImageUrl">ResetImageUrl</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.resetMetric">ResetMetric</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.resetTimeframe">ResetTimeframe</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `ResetCustomBgColor` <a name="ResetCustomBgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.resetCustomBgColor"></a>

```go
func ResetCustomBgColor()
```

##### `ResetCustomFgColor` <a name="ResetCustomFgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.resetCustomFgColor"></a>

```go
func ResetCustomFgColor()
```

##### `ResetHideValue` <a name="ResetHideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.resetHideValue"></a>

```go
func ResetHideValue()
```

##### `ResetImageUrl` <a name="ResetImageUrl" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.resetImageUrl"></a>

```go
func ResetImageUrl()
```

##### `ResetMetric` <a name="ResetMetric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.resetMetric"></a>

```go
func ResetMetric()
```

##### `ResetTimeframe` <a name="ResetTimeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.resetTimeframe"></a>

```go
func ResetTimeframe()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.comparatorInput">ComparatorInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.customBgColorInput">CustomBgColorInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.customFgColorInput">CustomFgColorInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.hideValueInput">HideValueInput</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.imageUrlInput">ImageUrlInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.metricInput">MetricInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.paletteInput">PaletteInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.timeframeInput">TimeframeInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.valueInput">ValueInput</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.comparator">Comparator</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.customBgColor">CustomBgColor</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.customFgColor">CustomFgColor</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.hideValue">HideValue</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.imageUrl">ImageUrl</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.metric">Metric</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.palette">Palette</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.timeframe">Timeframe</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.value">Value</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `ComparatorInput`<sup>Optional</sup> <a name="ComparatorInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.comparatorInput"></a>

```go
func ComparatorInput() *string
```

- *Type:* *string

---

##### `CustomBgColorInput`<sup>Optional</sup> <a name="CustomBgColorInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.customBgColorInput"></a>

```go
func CustomBgColorInput() *string
```

- *Type:* *string

---

##### `CustomFgColorInput`<sup>Optional</sup> <a name="CustomFgColorInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.customFgColorInput"></a>

```go
func CustomFgColorInput() *string
```

- *Type:* *string

---

##### `HideValueInput`<sup>Optional</sup> <a name="HideValueInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.hideValueInput"></a>

```go
func HideValueInput() interface{}
```

- *Type:* interface{}

---

##### `ImageUrlInput`<sup>Optional</sup> <a name="ImageUrlInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.imageUrlInput"></a>

```go
func ImageUrlInput() *string
```

- *Type:* *string

---

##### `MetricInput`<sup>Optional</sup> <a name="MetricInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.metricInput"></a>

```go
func MetricInput() *string
```

- *Type:* *string

---

##### `PaletteInput`<sup>Optional</sup> <a name="PaletteInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.paletteInput"></a>

```go
func PaletteInput() *string
```

- *Type:* *string

---

##### `TimeframeInput`<sup>Optional</sup> <a name="TimeframeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.timeframeInput"></a>

```go
func TimeframeInput() *string
```

- *Type:* *string

---

##### `ValueInput`<sup>Optional</sup> <a name="ValueInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.valueInput"></a>

```go
func ValueInput() *f64
```

- *Type:* *f64

---

##### `Comparator`<sup>Required</sup> <a name="Comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.comparator"></a>

```go
func Comparator() *string
```

- *Type:* *string

---

##### `CustomBgColor`<sup>Required</sup> <a name="CustomBgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.customBgColor"></a>

```go
func CustomBgColor() *string
```

- *Type:* *string

---

##### `CustomFgColor`<sup>Required</sup> <a name="CustomFgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.customFgColor"></a>

```go
func CustomFgColor() *string
```

- *Type:* *string

---

##### `HideValue`<sup>Required</sup> <a name="HideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.hideValue"></a>

```go
func HideValue() interface{}
```

- *Type:* interface{}

---

##### `ImageUrl`<sup>Required</sup> <a name="ImageUrl" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.imageUrl"></a>

```go
func ImageUrl() *string
```

- *Type:* *string

---

##### `Metric`<sup>Required</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.metric"></a>

```go
func Metric() *string
```

- *Type:* *string

---

##### `Palette`<sup>Required</sup> <a name="Palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.palette"></a>

```go
func Palette() *string
```

- *Type:* *string

---

##### `Timeframe`<sup>Required</sup> <a name="Timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.timeframe"></a>

```go
func Timeframe() *string
```

- *Type:* *string

---

##### `Value`<sup>Required</sup> <a name="Value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.value"></a>

```go
func Value() *f64
```

- *Type:* *f64

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference <a name="DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string) DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.resetCount">ResetCount</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.resetOrder">ResetOrder</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `ResetCount` <a name="ResetCount" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.resetCount"></a>

```go
func ResetCount()
```

##### `ResetOrder` <a name="ResetOrder" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.resetOrder"></a>

```go
func ResetOrder()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.property.countInput">CountInput</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.property.orderInput">OrderInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.property.count">Count</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.property.order">Order</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.property.internalValue">InternalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimit">DashboardWidgetGeomapDefinitionRequestFormulaLimit</a></code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `CountInput`<sup>Optional</sup> <a name="CountInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.property.countInput"></a>

```go
func CountInput() *f64
```

- *Type:* *f64

---

##### `OrderInput`<sup>Optional</sup> <a name="OrderInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.property.orderInput"></a>

```go
func OrderInput() *string
```

- *Type:* *string

---

##### `Count`<sup>Required</sup> <a name="Count" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.property.count"></a>

```go
func Count() *f64
```

- *Type:* *f64

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.property.order"></a>

```go
func Order() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.property.internalValue"></a>

```go
func InternalValue() DashboardWidgetGeomapDefinitionRequestFormulaLimit
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimit">DashboardWidgetGeomapDefinitionRequestFormulaLimit</a>

---


### DashboardWidgetGeomapDefinitionRequestFormulaList <a name="DashboardWidgetGeomapDefinitionRequestFormulaList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetGeomapDefinitionRequestFormulaList(terraformResource IInterpolatingParent, terraformAttribute *string, wrapsSet *bool) DashboardWidgetGeomapDefinitionRequestFormulaList
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.Initializer.parameter.wrapsSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.get">Get</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `Get` <a name="Get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.get"></a>

```go
func Get(index *f64) DashboardWidgetGeomapDefinitionRequestFormulaOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.get.parameter.index"></a>

- *Type:* *f64

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetGeomapDefinitionRequestFormulaOutputReference <a name="DashboardWidgetGeomapDefinitionRequestFormulaOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetGeomapDefinitionRequestFormulaOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string, complexObjectIndex *f64, complexObjectIsFromSet *bool) DashboardWidgetGeomapDefinitionRequestFormulaOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>*f64</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* *f64

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.putConditionalFormats">PutConditionalFormats</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.putLimit">PutLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.putStyle">PutStyle</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.resetAlias">ResetAlias</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.resetCellDisplayMode">ResetCellDisplayMode</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.resetConditionalFormats">ResetConditionalFormats</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.resetLimit">ResetLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.resetStyle">ResetStyle</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `PutConditionalFormats` <a name="PutConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.putConditionalFormats"></a>

```go
func PutConditionalFormats(value interface{})
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.putConditionalFormats.parameter.value"></a>

- *Type:* interface{}

---

##### `PutLimit` <a name="PutLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.putLimit"></a>

```go
func PutLimit(value DashboardWidgetGeomapDefinitionRequestFormulaLimit)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.putLimit.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimit">DashboardWidgetGeomapDefinitionRequestFormulaLimit</a>

---

##### `PutStyle` <a name="PutStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.putStyle"></a>

```go
func PutStyle(value DashboardWidgetGeomapDefinitionRequestFormulaStyle)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.putStyle.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyle">DashboardWidgetGeomapDefinitionRequestFormulaStyle</a>

---

##### `ResetAlias` <a name="ResetAlias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.resetAlias"></a>

```go
func ResetAlias()
```

##### `ResetCellDisplayMode` <a name="ResetCellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.resetCellDisplayMode"></a>

```go
func ResetCellDisplayMode()
```

##### `ResetConditionalFormats` <a name="ResetConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.resetConditionalFormats"></a>

```go
func ResetConditionalFormats()
```

##### `ResetLimit` <a name="ResetLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.resetLimit"></a>

```go
func ResetLimit()
```

##### `ResetStyle` <a name="ResetStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.resetStyle"></a>

```go
func ResetStyle()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.conditionalFormats">ConditionalFormats</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList">DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.limit">Limit</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference">DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.style">Style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference">DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.aliasInput">AliasInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.cellDisplayModeInput">CellDisplayModeInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.conditionalFormatsInput">ConditionalFormatsInput</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.formulaExpressionInput">FormulaExpressionInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.limitInput">LimitInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimit">DashboardWidgetGeomapDefinitionRequestFormulaLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.styleInput">StyleInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyle">DashboardWidgetGeomapDefinitionRequestFormulaStyle</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.alias">Alias</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.cellDisplayMode">CellDisplayMode</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.formulaExpression">FormulaExpression</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `ConditionalFormats`<sup>Required</sup> <a name="ConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.conditionalFormats"></a>

```go
func ConditionalFormats() DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList">DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList</a>

---

##### `Limit`<sup>Required</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.limit"></a>

```go
func Limit() DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference">DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference</a>

---

##### `Style`<sup>Required</sup> <a name="Style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.style"></a>

```go
func Style() DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference">DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference</a>

---

##### `AliasInput`<sup>Optional</sup> <a name="AliasInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.aliasInput"></a>

```go
func AliasInput() *string
```

- *Type:* *string

---

##### `CellDisplayModeInput`<sup>Optional</sup> <a name="CellDisplayModeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.cellDisplayModeInput"></a>

```go
func CellDisplayModeInput() *string
```

- *Type:* *string

---

##### `ConditionalFormatsInput`<sup>Optional</sup> <a name="ConditionalFormatsInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.conditionalFormatsInput"></a>

```go
func ConditionalFormatsInput() interface{}
```

- *Type:* interface{}

---

##### `FormulaExpressionInput`<sup>Optional</sup> <a name="FormulaExpressionInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.formulaExpressionInput"></a>

```go
func FormulaExpressionInput() *string
```

- *Type:* *string

---

##### `LimitInput`<sup>Optional</sup> <a name="LimitInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.limitInput"></a>

```go
func LimitInput() DashboardWidgetGeomapDefinitionRequestFormulaLimit
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimit">DashboardWidgetGeomapDefinitionRequestFormulaLimit</a>

---

##### `StyleInput`<sup>Optional</sup> <a name="StyleInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.styleInput"></a>

```go
func StyleInput() DashboardWidgetGeomapDefinitionRequestFormulaStyle
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyle">DashboardWidgetGeomapDefinitionRequestFormulaStyle</a>

---

##### `Alias`<sup>Required</sup> <a name="Alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.alias"></a>

```go
func Alias() *string
```

- *Type:* *string

---

##### `CellDisplayMode`<sup>Required</sup> <a name="CellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.cellDisplayMode"></a>

```go
func CellDisplayMode() *string
```

- *Type:* *string

---

##### `FormulaExpression`<sup>Required</sup> <a name="FormulaExpression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.formulaExpression"></a>

```go
func FormulaExpression() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference <a name="DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string) DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.resetPalette">ResetPalette</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.resetPaletteIndex">ResetPaletteIndex</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `ResetPalette` <a name="ResetPalette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.resetPalette"></a>

```go
func ResetPalette()
```

##### `ResetPaletteIndex` <a name="ResetPaletteIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.resetPaletteIndex"></a>

```go
func ResetPaletteIndex()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.property.paletteIndexInput">PaletteIndexInput</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.property.paletteInput">PaletteInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.property.palette">Palette</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.property.paletteIndex">PaletteIndex</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.property.internalValue">InternalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyle">DashboardWidgetGeomapDefinitionRequestFormulaStyle</a></code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `PaletteIndexInput`<sup>Optional</sup> <a name="PaletteIndexInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.property.paletteIndexInput"></a>

```go
func PaletteIndexInput() *f64
```

- *Type:* *f64

---

##### `PaletteInput`<sup>Optional</sup> <a name="PaletteInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.property.paletteInput"></a>

```go
func PaletteInput() *string
```

- *Type:* *string

---

##### `Palette`<sup>Required</sup> <a name="Palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.property.palette"></a>

```go
func Palette() *string
```

- *Type:* *string

---

##### `PaletteIndex`<sup>Required</sup> <a name="PaletteIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.property.paletteIndex"></a>

```go
func PaletteIndex() *f64
```

- *Type:* *f64

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.property.internalValue"></a>

```go
func InternalValue() DashboardWidgetGeomapDefinitionRequestFormulaStyle
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyle">DashboardWidgetGeomapDefinitionRequestFormulaStyle</a>

---


### DashboardWidgetGeomapDefinitionRequestList <a name="DashboardWidgetGeomapDefinitionRequestList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetGeomapDefinitionRequestList(terraformResource IInterpolatingParent, terraformAttribute *string, wrapsSet *bool) DashboardWidgetGeomapDefinitionRequestList
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.Initializer.parameter.wrapsSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.get">Get</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `Get` <a name="Get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.get"></a>

```go
func Get(index *f64) DashboardWidgetGeomapDefinitionRequestOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.get.parameter.index"></a>

- *Type:* *f64

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference <a name="DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string) DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.resetFacet">ResetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.resetInterval">ResetInterval</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `ResetFacet` <a name="ResetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.resetFacet"></a>

```go
func ResetFacet()
```

##### `ResetInterval` <a name="ResetInterval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.resetInterval"></a>

```go
func ResetInterval()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.property.aggregationInput">AggregationInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.property.facetInput">FacetInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.property.intervalInput">IntervalInput</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.property.aggregation">Aggregation</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.property.facet">Facet</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.property.interval">Interval</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.property.internalValue">InternalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery">DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery</a></code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `AggregationInput`<sup>Optional</sup> <a name="AggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.property.aggregationInput"></a>

```go
func AggregationInput() *string
```

- *Type:* *string

---

##### `FacetInput`<sup>Optional</sup> <a name="FacetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.property.facetInput"></a>

```go
func FacetInput() *string
```

- *Type:* *string

---

##### `IntervalInput`<sup>Optional</sup> <a name="IntervalInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.property.intervalInput"></a>

```go
func IntervalInput() *f64
```

- *Type:* *f64

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.property.aggregation"></a>

```go
func Aggregation() *string
```

- *Type:* *string

---

##### `Facet`<sup>Required</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.property.facet"></a>

```go
func Facet() *string
```

- *Type:* *string

---

##### `Interval`<sup>Required</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.property.interval"></a>

```go
func Interval() *f64
```

- *Type:* *f64

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.property.internalValue"></a>

```go
func InternalValue() DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery">DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery</a>

---


### DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList <a name="DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetGeomapDefinitionRequestLogQueryGroupByList(terraformResource IInterpolatingParent, terraformAttribute *string, wrapsSet *bool) DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.Initializer.parameter.wrapsSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.get">Get</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `Get` <a name="Get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.get"></a>

```go
func Get(index *f64) DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.get.parameter.index"></a>

- *Type:* *f64

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference <a name="DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string, complexObjectIndex *f64, complexObjectIsFromSet *bool) DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>*f64</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* *f64

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.putSortQuery">PutSortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.resetFacet">ResetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.resetLimit">ResetLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.resetSortQuery">ResetSortQuery</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `PutSortQuery` <a name="PutSortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.putSortQuery"></a>

```go
func PutSortQuery(value DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.putSortQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery</a>

---

##### `ResetFacet` <a name="ResetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.resetFacet"></a>

```go
func ResetFacet()
```

##### `ResetLimit` <a name="ResetLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.resetLimit"></a>

```go
func ResetLimit()
```

##### `ResetSortQuery` <a name="ResetSortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.resetSortQuery"></a>

```go
func ResetSortQuery()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference">DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.property.facetInput">FacetInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.property.limitInput">LimitInput</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.property.sortQueryInput">SortQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.property.facet">Facet</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.property.limit">Limit</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `SortQuery`<sup>Required</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.property.sortQuery"></a>

```go
func SortQuery() DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference">DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference</a>

---

##### `FacetInput`<sup>Optional</sup> <a name="FacetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.property.facetInput"></a>

```go
func FacetInput() *string
```

- *Type:* *string

---

##### `LimitInput`<sup>Optional</sup> <a name="LimitInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.property.limitInput"></a>

```go
func LimitInput() *f64
```

- *Type:* *f64

---

##### `SortQueryInput`<sup>Optional</sup> <a name="SortQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.property.sortQueryInput"></a>

```go
func SortQueryInput() DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery</a>

---

##### `Facet`<sup>Required</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.property.facet"></a>

```go
func Facet() *string
```

- *Type:* *string

---

##### `Limit`<sup>Required</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.property.limit"></a>

```go
func Limit() *f64
```

- *Type:* *f64

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference <a name="DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string) DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.resetFacet">ResetFacet</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `ResetFacet` <a name="ResetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.resetFacet"></a>

```go
func ResetFacet()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.aggregationInput">AggregationInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.facetInput">FacetInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.orderInput">OrderInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.aggregation">Aggregation</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.facet">Facet</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.order">Order</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.internalValue">InternalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery</a></code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `AggregationInput`<sup>Optional</sup> <a name="AggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.aggregationInput"></a>

```go
func AggregationInput() *string
```

- *Type:* *string

---

##### `FacetInput`<sup>Optional</sup> <a name="FacetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.facetInput"></a>

```go
func FacetInput() *string
```

- *Type:* *string

---

##### `OrderInput`<sup>Optional</sup> <a name="OrderInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.orderInput"></a>

```go
func OrderInput() *string
```

- *Type:* *string

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.aggregation"></a>

```go
func Aggregation() *string
```

- *Type:* *string

---

##### `Facet`<sup>Required</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.facet"></a>

```go
func Facet() *string
```

- *Type:* *string

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.order"></a>

```go
func Order() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.internalValue"></a>

```go
func InternalValue() DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery</a>

---


### DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList <a name="DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList(terraformResource IInterpolatingParent, terraformAttribute *string, wrapsSet *bool) DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.wrapsSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.get">Get</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `Get` <a name="Get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.get"></a>

```go
func Get(index *f64) DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.get.parameter.index"></a>

- *Type:* *f64

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference <a name="DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string, complexObjectIndex *f64, complexObjectIsFromSet *bool) DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>*f64</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* *f64

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.resetFacet">ResetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.resetInterval">ResetInterval</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `ResetFacet` <a name="ResetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.resetFacet"></a>

```go
func ResetFacet()
```

##### `ResetInterval` <a name="ResetInterval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.resetInterval"></a>

```go
func ResetInterval()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.property.aggregationInput">AggregationInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.property.facetInput">FacetInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.property.intervalInput">IntervalInput</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.property.aggregation">Aggregation</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.property.facet">Facet</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.property.interval">Interval</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `AggregationInput`<sup>Optional</sup> <a name="AggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.property.aggregationInput"></a>

```go
func AggregationInput() *string
```

- *Type:* *string

---

##### `FacetInput`<sup>Optional</sup> <a name="FacetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.property.facetInput"></a>

```go
func FacetInput() *string
```

- *Type:* *string

---

##### `IntervalInput`<sup>Optional</sup> <a name="IntervalInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.property.intervalInput"></a>

```go
func IntervalInput() *f64
```

- *Type:* *f64

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.property.aggregation"></a>

```go
func Aggregation() *string
```

- *Type:* *string

---

##### `Facet`<sup>Required</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.property.facet"></a>

```go
func Facet() *string
```

- *Type:* *string

---

##### `Interval`<sup>Required</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.property.interval"></a>

```go
func Interval() *f64
```

- *Type:* *f64

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference <a name="DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetGeomapDefinitionRequestLogQueryOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string) DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.putComputeQuery">PutComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.putGroupBy">PutGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.putMultiCompute">PutMultiCompute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.resetComputeQuery">ResetComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.resetGroupBy">ResetGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.resetMultiCompute">ResetMultiCompute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.resetSearchQuery">ResetSearchQuery</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `PutComputeQuery` <a name="PutComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.putComputeQuery"></a>

```go
func PutComputeQuery(value DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.putComputeQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery">DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery</a>

---

##### `PutGroupBy` <a name="PutGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.putGroupBy"></a>

```go
func PutGroupBy(value interface{})
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.putGroupBy.parameter.value"></a>

- *Type:* interface{}

---

##### `PutMultiCompute` <a name="PutMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.putMultiCompute"></a>

```go
func PutMultiCompute(value interface{})
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.putMultiCompute.parameter.value"></a>

- *Type:* interface{}

---

##### `ResetComputeQuery` <a name="ResetComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.resetComputeQuery"></a>

```go
func ResetComputeQuery()
```

##### `ResetGroupBy` <a name="ResetGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.resetGroupBy"></a>

```go
func ResetGroupBy()
```

##### `ResetMultiCompute` <a name="ResetMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.resetMultiCompute"></a>

```go
func ResetMultiCompute()
```

##### `ResetSearchQuery` <a name="ResetSearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.resetSearchQuery"></a>

```go
func ResetSearchQuery()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference">DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.groupBy">GroupBy</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList">DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.multiCompute">MultiCompute</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList">DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.computeQueryInput">ComputeQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery">DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.groupByInput">GroupByInput</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.indexInput">IndexInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.multiComputeInput">MultiComputeInput</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.searchQueryInput">SearchQueryInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.index">Index</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.internalValue">InternalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQuery">DashboardWidgetGeomapDefinitionRequestLogQuery</a></code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `ComputeQuery`<sup>Required</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.computeQuery"></a>

```go
func ComputeQuery() DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference">DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference</a>

---

##### `GroupBy`<sup>Required</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.groupBy"></a>

```go
func GroupBy() DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList">DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList</a>

---

##### `MultiCompute`<sup>Required</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.multiCompute"></a>

```go
func MultiCompute() DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList">DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList</a>

---

##### `ComputeQueryInput`<sup>Optional</sup> <a name="ComputeQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.computeQueryInput"></a>

```go
func ComputeQueryInput() DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery">DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery</a>

---

##### `GroupByInput`<sup>Optional</sup> <a name="GroupByInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.groupByInput"></a>

```go
func GroupByInput() interface{}
```

- *Type:* interface{}

---

##### `IndexInput`<sup>Optional</sup> <a name="IndexInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.indexInput"></a>

```go
func IndexInput() *string
```

- *Type:* *string

---

##### `MultiComputeInput`<sup>Optional</sup> <a name="MultiComputeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.multiComputeInput"></a>

```go
func MultiComputeInput() interface{}
```

- *Type:* interface{}

---

##### `SearchQueryInput`<sup>Optional</sup> <a name="SearchQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.searchQueryInput"></a>

```go
func SearchQueryInput() *string
```

- *Type:* *string

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.index"></a>

```go
func Index() *string
```

- *Type:* *string

---

##### `SearchQuery`<sup>Required</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.searchQuery"></a>

```go
func SearchQuery() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.internalValue"></a>

```go
func InternalValue() DashboardWidgetGeomapDefinitionRequestLogQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQuery">DashboardWidgetGeomapDefinitionRequestLogQuery</a>

---


### DashboardWidgetGeomapDefinitionRequestOutputReference <a name="DashboardWidgetGeomapDefinitionRequestOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetGeomapDefinitionRequestOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string, complexObjectIndex *f64, complexObjectIsFromSet *bool) DashboardWidgetGeomapDefinitionRequestOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>*f64</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* *f64

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.putFormula">PutFormula</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.putLogQuery">PutLogQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.putQuery">PutQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.putRumQuery">PutRumQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.resetFormula">ResetFormula</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.resetLogQuery">ResetLogQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.resetQ">ResetQ</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.resetQuery">ResetQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.resetRumQuery">ResetRumQuery</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `PutFormula` <a name="PutFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.putFormula"></a>

```go
func PutFormula(value interface{})
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.putFormula.parameter.value"></a>

- *Type:* interface{}

---

##### `PutLogQuery` <a name="PutLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.putLogQuery"></a>

```go
func PutLogQuery(value DashboardWidgetGeomapDefinitionRequestLogQuery)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.putLogQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQuery">DashboardWidgetGeomapDefinitionRequestLogQuery</a>

---

##### `PutQuery` <a name="PutQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.putQuery"></a>

```go
func PutQuery(value interface{})
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.putQuery.parameter.value"></a>

- *Type:* interface{}

---

##### `PutRumQuery` <a name="PutRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.putRumQuery"></a>

```go
func PutRumQuery(value DashboardWidgetGeomapDefinitionRequestRumQuery)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.putRumQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQuery">DashboardWidgetGeomapDefinitionRequestRumQuery</a>

---

##### `ResetFormula` <a name="ResetFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.resetFormula"></a>

```go
func ResetFormula()
```

##### `ResetLogQuery` <a name="ResetLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.resetLogQuery"></a>

```go
func ResetLogQuery()
```

##### `ResetQ` <a name="ResetQ" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.resetQ"></a>

```go
func ResetQ()
```

##### `ResetQuery` <a name="ResetQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.resetQuery"></a>

```go
func ResetQuery()
```

##### `ResetRumQuery` <a name="ResetRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.resetRumQuery"></a>

```go
func ResetRumQuery()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.formula">Formula</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList">DashboardWidgetGeomapDefinitionRequestFormulaList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.logQuery">LogQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference">DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.query">Query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList">DashboardWidgetGeomapDefinitionRequestQueryList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.rumQuery">RumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference">DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.formulaInput">FormulaInput</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.logQueryInput">LogQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQuery">DashboardWidgetGeomapDefinitionRequestLogQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.qInput">QInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.queryInput">QueryInput</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.rumQueryInput">RumQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQuery">DashboardWidgetGeomapDefinitionRequestRumQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.q">Q</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `Formula`<sup>Required</sup> <a name="Formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.formula"></a>

```go
func Formula() DashboardWidgetGeomapDefinitionRequestFormulaList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList">DashboardWidgetGeomapDefinitionRequestFormulaList</a>

---

##### `LogQuery`<sup>Required</sup> <a name="LogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.logQuery"></a>

```go
func LogQuery() DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference">DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference</a>

---

##### `Query`<sup>Required</sup> <a name="Query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.query"></a>

```go
func Query() DashboardWidgetGeomapDefinitionRequestQueryList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList">DashboardWidgetGeomapDefinitionRequestQueryList</a>

---

##### `RumQuery`<sup>Required</sup> <a name="RumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.rumQuery"></a>

```go
func RumQuery() DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference">DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference</a>

---

##### `FormulaInput`<sup>Optional</sup> <a name="FormulaInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.formulaInput"></a>

```go
func FormulaInput() interface{}
```

- *Type:* interface{}

---

##### `LogQueryInput`<sup>Optional</sup> <a name="LogQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.logQueryInput"></a>

```go
func LogQueryInput() DashboardWidgetGeomapDefinitionRequestLogQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQuery">DashboardWidgetGeomapDefinitionRequestLogQuery</a>

---

##### `QInput`<sup>Optional</sup> <a name="QInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.qInput"></a>

```go
func QInput() *string
```

- *Type:* *string

---

##### `QueryInput`<sup>Optional</sup> <a name="QueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.queryInput"></a>

```go
func QueryInput() interface{}
```

- *Type:* interface{}

---

##### `RumQueryInput`<sup>Optional</sup> <a name="RumQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.rumQueryInput"></a>

```go
func RumQueryInput() DashboardWidgetGeomapDefinitionRequestRumQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQuery">DashboardWidgetGeomapDefinitionRequestRumQuery</a>

---

##### `Q`<sup>Required</sup> <a name="Q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.q"></a>

```go
func Q() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference <a name="DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string) DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resetIsUpstream">ResetIsUpstream</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resetPrimaryTagName">ResetPrimaryTagName</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resetPrimaryTagValue">ResetPrimaryTagValue</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `ResetIsUpstream` <a name="ResetIsUpstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resetIsUpstream"></a>

```go
func ResetIsUpstream()
```

##### `ResetPrimaryTagName` <a name="ResetPrimaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resetPrimaryTagName"></a>

```go
func ResetPrimaryTagName()
```

##### `ResetPrimaryTagValue` <a name="ResetPrimaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resetPrimaryTagValue"></a>

```go
func ResetPrimaryTagValue()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.dataSourceInput">DataSourceInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.envInput">EnvInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.isUpstreamInput">IsUpstreamInput</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.nameInput">NameInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.operationNameInput">OperationNameInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagNameInput">PrimaryTagNameInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagValueInput">PrimaryTagValueInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.resourceNameInput">ResourceNameInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.serviceInput">ServiceInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.statInput">StatInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.dataSource">DataSource</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.env">Env</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.isUpstream">IsUpstream</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.name">Name</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.operationName">OperationName</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagName">PrimaryTagName</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagValue">PrimaryTagValue</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.resourceName">ResourceName</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.service">Service</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.stat">Stat</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.internalValue">InternalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery</a></code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `DataSourceInput`<sup>Optional</sup> <a name="DataSourceInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.dataSourceInput"></a>

```go
func DataSourceInput() *string
```

- *Type:* *string

---

##### `EnvInput`<sup>Optional</sup> <a name="EnvInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.envInput"></a>

```go
func EnvInput() *string
```

- *Type:* *string

---

##### `IsUpstreamInput`<sup>Optional</sup> <a name="IsUpstreamInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.isUpstreamInput"></a>

```go
func IsUpstreamInput() interface{}
```

- *Type:* interface{}

---

##### `NameInput`<sup>Optional</sup> <a name="NameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.nameInput"></a>

```go
func NameInput() *string
```

- *Type:* *string

---

##### `OperationNameInput`<sup>Optional</sup> <a name="OperationNameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.operationNameInput"></a>

```go
func OperationNameInput() *string
```

- *Type:* *string

---

##### `PrimaryTagNameInput`<sup>Optional</sup> <a name="PrimaryTagNameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagNameInput"></a>

```go
func PrimaryTagNameInput() *string
```

- *Type:* *string

---

##### `PrimaryTagValueInput`<sup>Optional</sup> <a name="PrimaryTagValueInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagValueInput"></a>

```go
func PrimaryTagValueInput() *string
```

- *Type:* *string

---

##### `ResourceNameInput`<sup>Optional</sup> <a name="ResourceNameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.resourceNameInput"></a>

```go
func ResourceNameInput() *string
```

- *Type:* *string

---

##### `ServiceInput`<sup>Optional</sup> <a name="ServiceInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.serviceInput"></a>

```go
func ServiceInput() *string
```

- *Type:* *string

---

##### `StatInput`<sup>Optional</sup> <a name="StatInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.statInput"></a>

```go
func StatInput() *string
```

- *Type:* *string

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.dataSource"></a>

```go
func DataSource() *string
```

- *Type:* *string

---

##### `Env`<sup>Required</sup> <a name="Env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.env"></a>

```go
func Env() *string
```

- *Type:* *string

---

##### `IsUpstream`<sup>Required</sup> <a name="IsUpstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.isUpstream"></a>

```go
func IsUpstream() interface{}
```

- *Type:* interface{}

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.name"></a>

```go
func Name() *string
```

- *Type:* *string

---

##### `OperationName`<sup>Required</sup> <a name="OperationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.operationName"></a>

```go
func OperationName() *string
```

- *Type:* *string

---

##### `PrimaryTagName`<sup>Required</sup> <a name="PrimaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagName"></a>

```go
func PrimaryTagName() *string
```

- *Type:* *string

---

##### `PrimaryTagValue`<sup>Required</sup> <a name="PrimaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagValue"></a>

```go
func PrimaryTagValue() *string
```

- *Type:* *string

---

##### `ResourceName`<sup>Required</sup> <a name="ResourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.resourceName"></a>

```go
func ResourceName() *string
```

- *Type:* *string

---

##### `Service`<sup>Required</sup> <a name="Service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.service"></a>

```go
func Service() *string
```

- *Type:* *string

---

##### `Stat`<sup>Required</sup> <a name="Stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.stat"></a>

```go
func Stat() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.internalValue"></a>

```go
func InternalValue() DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery</a>

---


### DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference <a name="DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string) DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetGroupBy">ResetGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetOperationName">ResetOperationName</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetPrimaryTagName">ResetPrimaryTagName</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetPrimaryTagValue">ResetPrimaryTagValue</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetResourceName">ResetResourceName</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `ResetGroupBy` <a name="ResetGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetGroupBy"></a>

```go
func ResetGroupBy()
```

##### `ResetOperationName` <a name="ResetOperationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetOperationName"></a>

```go
func ResetOperationName()
```

##### `ResetPrimaryTagName` <a name="ResetPrimaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetPrimaryTagName"></a>

```go
func ResetPrimaryTagName()
```

##### `ResetPrimaryTagValue` <a name="ResetPrimaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetPrimaryTagValue"></a>

```go
func ResetPrimaryTagValue()
```

##### `ResetResourceName` <a name="ResetResourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetResourceName"></a>

```go
func ResetResourceName()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.dataSourceInput">DataSourceInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.envInput">EnvInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.groupByInput">GroupByInput</a></code> | <code>*[]*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.nameInput">NameInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.operationNameInput">OperationNameInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagNameInput">PrimaryTagNameInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagValueInput">PrimaryTagValueInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.resourceNameInput">ResourceNameInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.serviceInput">ServiceInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.statInput">StatInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.dataSource">DataSource</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.env">Env</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.groupBy">GroupBy</a></code> | <code>*[]*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.name">Name</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.operationName">OperationName</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagName">PrimaryTagName</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagValue">PrimaryTagValue</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.resourceName">ResourceName</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.service">Service</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.stat">Stat</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.internalValue">InternalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery</a></code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `DataSourceInput`<sup>Optional</sup> <a name="DataSourceInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.dataSourceInput"></a>

```go
func DataSourceInput() *string
```

- *Type:* *string

---

##### `EnvInput`<sup>Optional</sup> <a name="EnvInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.envInput"></a>

```go
func EnvInput() *string
```

- *Type:* *string

---

##### `GroupByInput`<sup>Optional</sup> <a name="GroupByInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.groupByInput"></a>

```go
func GroupByInput() *[]*string
```

- *Type:* *[]*string

---

##### `NameInput`<sup>Optional</sup> <a name="NameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.nameInput"></a>

```go
func NameInput() *string
```

- *Type:* *string

---

##### `OperationNameInput`<sup>Optional</sup> <a name="OperationNameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.operationNameInput"></a>

```go
func OperationNameInput() *string
```

- *Type:* *string

---

##### `PrimaryTagNameInput`<sup>Optional</sup> <a name="PrimaryTagNameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagNameInput"></a>

```go
func PrimaryTagNameInput() *string
```

- *Type:* *string

---

##### `PrimaryTagValueInput`<sup>Optional</sup> <a name="PrimaryTagValueInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagValueInput"></a>

```go
func PrimaryTagValueInput() *string
```

- *Type:* *string

---

##### `ResourceNameInput`<sup>Optional</sup> <a name="ResourceNameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.resourceNameInput"></a>

```go
func ResourceNameInput() *string
```

- *Type:* *string

---

##### `ServiceInput`<sup>Optional</sup> <a name="ServiceInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.serviceInput"></a>

```go
func ServiceInput() *string
```

- *Type:* *string

---

##### `StatInput`<sup>Optional</sup> <a name="StatInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.statInput"></a>

```go
func StatInput() *string
```

- *Type:* *string

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.dataSource"></a>

```go
func DataSource() *string
```

- *Type:* *string

---

##### `Env`<sup>Required</sup> <a name="Env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.env"></a>

```go
func Env() *string
```

- *Type:* *string

---

##### `GroupBy`<sup>Required</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.groupBy"></a>

```go
func GroupBy() *[]*string
```

- *Type:* *[]*string

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.name"></a>

```go
func Name() *string
```

- *Type:* *string

---

##### `OperationName`<sup>Required</sup> <a name="OperationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.operationName"></a>

```go
func OperationName() *string
```

- *Type:* *string

---

##### `PrimaryTagName`<sup>Required</sup> <a name="PrimaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagName"></a>

```go
func PrimaryTagName() *string
```

- *Type:* *string

---

##### `PrimaryTagValue`<sup>Required</sup> <a name="PrimaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagValue"></a>

```go
func PrimaryTagValue() *string
```

- *Type:* *string

---

##### `ResourceName`<sup>Required</sup> <a name="ResourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.resourceName"></a>

```go
func ResourceName() *string
```

- *Type:* *string

---

##### `Service`<sup>Required</sup> <a name="Service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.service"></a>

```go
func Service() *string
```

- *Type:* *string

---

##### `Stat`<sup>Required</sup> <a name="Stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.stat"></a>

```go
func Stat() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.internalValue"></a>

```go
func InternalValue() DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery</a>

---


### DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList <a name="DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList(terraformResource IInterpolatingParent, terraformAttribute *string, wrapsSet *bool) DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.Initializer.parameter.wrapsSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.get">Get</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `Get` <a name="Get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.get"></a>

```go
func Get(index *f64) DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.get.parameter.index"></a>

- *Type:* *f64

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference <a name="DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string, complexObjectIndex *f64, complexObjectIsFromSet *bool) DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>*f64</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* *f64

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.resetInterval">ResetInterval</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.resetMetric">ResetMetric</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `ResetInterval` <a name="ResetInterval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.resetInterval"></a>

```go
func ResetInterval()
```

##### `ResetMetric` <a name="ResetMetric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.resetMetric"></a>

```go
func ResetMetric()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.property.aggregationInput">AggregationInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.property.intervalInput">IntervalInput</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.property.metricInput">MetricInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.property.aggregation">Aggregation</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.property.interval">Interval</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.property.metric">Metric</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `AggregationInput`<sup>Optional</sup> <a name="AggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.property.aggregationInput"></a>

```go
func AggregationInput() *string
```

- *Type:* *string

---

##### `IntervalInput`<sup>Optional</sup> <a name="IntervalInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.property.intervalInput"></a>

```go
func IntervalInput() *f64
```

- *Type:* *f64

---

##### `MetricInput`<sup>Optional</sup> <a name="MetricInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.property.metricInput"></a>

```go
func MetricInput() *string
```

- *Type:* *string

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.property.aggregation"></a>

```go
func Aggregation() *string
```

- *Type:* *string

---

##### `Interval`<sup>Required</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.property.interval"></a>

```go
func Interval() *f64
```

- *Type:* *f64

---

##### `Metric`<sup>Required</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.property.metric"></a>

```go
func Metric() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList <a name="DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList(terraformResource IInterpolatingParent, terraformAttribute *string, wrapsSet *bool) DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.Initializer.parameter.wrapsSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.get">Get</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `Get` <a name="Get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.get"></a>

```go
func Get(index *f64) DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.get.parameter.index"></a>

- *Type:* *f64

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference <a name="DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string, complexObjectIndex *f64, complexObjectIsFromSet *bool) DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>*f64</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* *f64

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.putSort">PutSort</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.resetLimit">ResetLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.resetSort">ResetSort</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `PutSort` <a name="PutSort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.putSort"></a>

```go
func PutSort(value DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.putSort.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort</a>

---

##### `ResetLimit` <a name="ResetLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.resetLimit"></a>

```go
func ResetLimit()
```

##### `ResetSort` <a name="ResetSort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.resetSort"></a>

```go
func ResetSort()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.property.sort">Sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference">DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.property.facetInput">FacetInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.property.limitInput">LimitInput</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.property.sortInput">SortInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.property.facet">Facet</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.property.limit">Limit</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `Sort`<sup>Required</sup> <a name="Sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.property.sort"></a>

```go
func Sort() DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference">DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference</a>

---

##### `FacetInput`<sup>Optional</sup> <a name="FacetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.property.facetInput"></a>

```go
func FacetInput() *string
```

- *Type:* *string

---

##### `LimitInput`<sup>Optional</sup> <a name="LimitInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.property.limitInput"></a>

```go
func LimitInput() *f64
```

- *Type:* *f64

---

##### `SortInput`<sup>Optional</sup> <a name="SortInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.property.sortInput"></a>

```go
func SortInput() DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort</a>

---

##### `Facet`<sup>Required</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.property.facet"></a>

```go
func Facet() *string
```

- *Type:* *string

---

##### `Limit`<sup>Required</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.property.limit"></a>

```go
func Limit() *f64
```

- *Type:* *f64

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference <a name="DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string) DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.resetMetric">ResetMetric</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.resetOrder">ResetOrder</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `ResetMetric` <a name="ResetMetric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.resetMetric"></a>

```go
func ResetMetric()
```

##### `ResetOrder` <a name="ResetOrder" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.resetOrder"></a>

```go
func ResetOrder()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.aggregationInput">AggregationInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.metricInput">MetricInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.orderInput">OrderInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.aggregation">Aggregation</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.metric">Metric</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.order">Order</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.internalValue">InternalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort</a></code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `AggregationInput`<sup>Optional</sup> <a name="AggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.aggregationInput"></a>

```go
func AggregationInput() *string
```

- *Type:* *string

---

##### `MetricInput`<sup>Optional</sup> <a name="MetricInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.metricInput"></a>

```go
func MetricInput() *string
```

- *Type:* *string

---

##### `OrderInput`<sup>Optional</sup> <a name="OrderInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.orderInput"></a>

```go
func OrderInput() *string
```

- *Type:* *string

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.aggregation"></a>

```go
func Aggregation() *string
```

- *Type:* *string

---

##### `Metric`<sup>Required</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.metric"></a>

```go
func Metric() *string
```

- *Type:* *string

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.order"></a>

```go
func Order() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.internalValue"></a>

```go
func InternalValue() DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort</a>

---


### DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference <a name="DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string) DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.putCompute">PutCompute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.putGroupBy">PutGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.putSearch">PutSearch</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.resetGroupBy">ResetGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.resetIndexes">ResetIndexes</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.resetSearch">ResetSearch</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.resetStorage">ResetStorage</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `PutCompute` <a name="PutCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.putCompute"></a>

```go
func PutCompute(value interface{})
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.putCompute.parameter.value"></a>

- *Type:* interface{}

---

##### `PutGroupBy` <a name="PutGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.putGroupBy"></a>

```go
func PutGroupBy(value interface{})
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.putGroupBy.parameter.value"></a>

- *Type:* interface{}

---

##### `PutSearch` <a name="PutSearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.putSearch"></a>

```go
func PutSearch(value DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.putSearch.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch">DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch</a>

---

##### `ResetGroupBy` <a name="ResetGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.resetGroupBy"></a>

```go
func ResetGroupBy()
```

##### `ResetIndexes` <a name="ResetIndexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.resetIndexes"></a>

```go
func ResetIndexes()
```

##### `ResetSearch` <a name="ResetSearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.resetSearch"></a>

```go
func ResetSearch()
```

##### `ResetStorage` <a name="ResetStorage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.resetStorage"></a>

```go
func ResetStorage()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.compute">Compute</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList">DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.groupBy">GroupBy</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList">DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.search">Search</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference">DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.computeInput">ComputeInput</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.dataSourceInput">DataSourceInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.groupByInput">GroupByInput</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.indexesInput">IndexesInput</a></code> | <code>*[]*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.nameInput">NameInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.searchInput">SearchInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch">DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.storageInput">StorageInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.dataSource">DataSource</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.indexes">Indexes</a></code> | <code>*[]*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.name">Name</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.storage">Storage</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.internalValue">InternalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery">DashboardWidgetGeomapDefinitionRequestQueryEventQuery</a></code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `Compute`<sup>Required</sup> <a name="Compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.compute"></a>

```go
func Compute() DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList">DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList</a>

---

##### `GroupBy`<sup>Required</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.groupBy"></a>

```go
func GroupBy() DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList">DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList</a>

---

##### `Search`<sup>Required</sup> <a name="Search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.search"></a>

```go
func Search() DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference">DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference</a>

---

##### `ComputeInput`<sup>Optional</sup> <a name="ComputeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.computeInput"></a>

```go
func ComputeInput() interface{}
```

- *Type:* interface{}

---

##### `DataSourceInput`<sup>Optional</sup> <a name="DataSourceInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.dataSourceInput"></a>

```go
func DataSourceInput() *string
```

- *Type:* *string

---

##### `GroupByInput`<sup>Optional</sup> <a name="GroupByInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.groupByInput"></a>

```go
func GroupByInput() interface{}
```

- *Type:* interface{}

---

##### `IndexesInput`<sup>Optional</sup> <a name="IndexesInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.indexesInput"></a>

```go
func IndexesInput() *[]*string
```

- *Type:* *[]*string

---

##### `NameInput`<sup>Optional</sup> <a name="NameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.nameInput"></a>

```go
func NameInput() *string
```

- *Type:* *string

---

##### `SearchInput`<sup>Optional</sup> <a name="SearchInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.searchInput"></a>

```go
func SearchInput() DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch">DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch</a>

---

##### `StorageInput`<sup>Optional</sup> <a name="StorageInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.storageInput"></a>

```go
func StorageInput() *string
```

- *Type:* *string

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.dataSource"></a>

```go
func DataSource() *string
```

- *Type:* *string

---

##### `Indexes`<sup>Required</sup> <a name="Indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.indexes"></a>

```go
func Indexes() *[]*string
```

- *Type:* *[]*string

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.name"></a>

```go
func Name() *string
```

- *Type:* *string

---

##### `Storage`<sup>Required</sup> <a name="Storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.storage"></a>

```go
func Storage() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.internalValue"></a>

```go
func InternalValue() DashboardWidgetGeomapDefinitionRequestQueryEventQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery">DashboardWidgetGeomapDefinitionRequestQueryEventQuery</a>

---


### DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference <a name="DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string) DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.property.queryInput">QueryInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.property.query">Query</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.property.internalValue">InternalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch">DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch</a></code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `QueryInput`<sup>Optional</sup> <a name="QueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.property.queryInput"></a>

```go
func QueryInput() *string
```

- *Type:* *string

---

##### `Query`<sup>Required</sup> <a name="Query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.property.query"></a>

```go
func Query() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.property.internalValue"></a>

```go
func InternalValue() DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch">DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch</a>

---


### DashboardWidgetGeomapDefinitionRequestQueryList <a name="DashboardWidgetGeomapDefinitionRequestQueryList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetGeomapDefinitionRequestQueryList(terraformResource IInterpolatingParent, terraformAttribute *string, wrapsSet *bool) DashboardWidgetGeomapDefinitionRequestQueryList
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.Initializer.parameter.wrapsSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.get">Get</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `Get` <a name="Get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.get"></a>

```go
func Get(index *f64) DashboardWidgetGeomapDefinitionRequestQueryOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.get.parameter.index"></a>

- *Type:* *f64

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference <a name="DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string) DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.resetAggregator">ResetAggregator</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.resetDataSource">ResetDataSource</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `ResetAggregator` <a name="ResetAggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.resetAggregator"></a>

```go
func ResetAggregator()
```

##### `ResetDataSource` <a name="ResetDataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.resetDataSource"></a>

```go
func ResetDataSource()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.aggregatorInput">AggregatorInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.dataSourceInput">DataSourceInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.nameInput">NameInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.queryInput">QueryInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.aggregator">Aggregator</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.dataSource">DataSource</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.name">Name</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.query">Query</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.internalValue">InternalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQuery">DashboardWidgetGeomapDefinitionRequestQueryMetricQuery</a></code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `AggregatorInput`<sup>Optional</sup> <a name="AggregatorInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.aggregatorInput"></a>

```go
func AggregatorInput() *string
```

- *Type:* *string

---

##### `DataSourceInput`<sup>Optional</sup> <a name="DataSourceInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.dataSourceInput"></a>

```go
func DataSourceInput() *string
```

- *Type:* *string

---

##### `NameInput`<sup>Optional</sup> <a name="NameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.nameInput"></a>

```go
func NameInput() *string
```

- *Type:* *string

---

##### `QueryInput`<sup>Optional</sup> <a name="QueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.queryInput"></a>

```go
func QueryInput() *string
```

- *Type:* *string

---

##### `Aggregator`<sup>Required</sup> <a name="Aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.aggregator"></a>

```go
func Aggregator() *string
```

- *Type:* *string

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.dataSource"></a>

```go
func DataSource() *string
```

- *Type:* *string

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.name"></a>

```go
func Name() *string
```

- *Type:* *string

---

##### `Query`<sup>Required</sup> <a name="Query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.query"></a>

```go
func Query() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.internalValue"></a>

```go
func InternalValue() DashboardWidgetGeomapDefinitionRequestQueryMetricQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQuery">DashboardWidgetGeomapDefinitionRequestQueryMetricQuery</a>

---


### DashboardWidgetGeomapDefinitionRequestQueryOutputReference <a name="DashboardWidgetGeomapDefinitionRequestQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetGeomapDefinitionRequestQueryOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string, complexObjectIndex *f64, complexObjectIsFromSet *bool) DashboardWidgetGeomapDefinitionRequestQueryOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>*f64</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* *f64

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putApmDependencyStatsQuery">PutApmDependencyStatsQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putApmResourceStatsQuery">PutApmResourceStatsQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putEventQuery">PutEventQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putMetricQuery">PutMetricQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putProcessQuery">PutProcessQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.resetApmDependencyStatsQuery">ResetApmDependencyStatsQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.resetApmResourceStatsQuery">ResetApmResourceStatsQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.resetEventQuery">ResetEventQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.resetMetricQuery">ResetMetricQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.resetProcessQuery">ResetProcessQuery</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `PutApmDependencyStatsQuery` <a name="PutApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putApmDependencyStatsQuery"></a>

```go
func PutApmDependencyStatsQuery(value DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putApmDependencyStatsQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery</a>

---

##### `PutApmResourceStatsQuery` <a name="PutApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putApmResourceStatsQuery"></a>

```go
func PutApmResourceStatsQuery(value DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putApmResourceStatsQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery</a>

---

##### `PutEventQuery` <a name="PutEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putEventQuery"></a>

```go
func PutEventQuery(value DashboardWidgetGeomapDefinitionRequestQueryEventQuery)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putEventQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery">DashboardWidgetGeomapDefinitionRequestQueryEventQuery</a>

---

##### `PutMetricQuery` <a name="PutMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putMetricQuery"></a>

```go
func PutMetricQuery(value DashboardWidgetGeomapDefinitionRequestQueryMetricQuery)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putMetricQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQuery">DashboardWidgetGeomapDefinitionRequestQueryMetricQuery</a>

---

##### `PutProcessQuery` <a name="PutProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putProcessQuery"></a>

```go
func PutProcessQuery(value DashboardWidgetGeomapDefinitionRequestQueryProcessQuery)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putProcessQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery">DashboardWidgetGeomapDefinitionRequestQueryProcessQuery</a>

---

##### `ResetApmDependencyStatsQuery` <a name="ResetApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.resetApmDependencyStatsQuery"></a>

```go
func ResetApmDependencyStatsQuery()
```

##### `ResetApmResourceStatsQuery` <a name="ResetApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.resetApmResourceStatsQuery"></a>

```go
func ResetApmResourceStatsQuery()
```

##### `ResetEventQuery` <a name="ResetEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.resetEventQuery"></a>

```go
func ResetEventQuery()
```

##### `ResetMetricQuery` <a name="ResetMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.resetMetricQuery"></a>

```go
func ResetMetricQuery()
```

##### `ResetProcessQuery` <a name="ResetProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.resetProcessQuery"></a>

```go
func ResetProcessQuery()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.apmDependencyStatsQuery">ApmDependencyStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference">DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.apmResourceStatsQuery">ApmResourceStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference">DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.eventQuery">EventQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference">DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.metricQuery">MetricQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference">DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.processQuery">ProcessQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference">DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.apmDependencyStatsQueryInput">ApmDependencyStatsQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.apmResourceStatsQueryInput">ApmResourceStatsQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.eventQueryInput">EventQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery">DashboardWidgetGeomapDefinitionRequestQueryEventQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.metricQueryInput">MetricQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQuery">DashboardWidgetGeomapDefinitionRequestQueryMetricQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.processQueryInput">ProcessQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery">DashboardWidgetGeomapDefinitionRequestQueryProcessQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `ApmDependencyStatsQuery`<sup>Required</sup> <a name="ApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.apmDependencyStatsQuery"></a>

```go
func ApmDependencyStatsQuery() DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference">DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference</a>

---

##### `ApmResourceStatsQuery`<sup>Required</sup> <a name="ApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.apmResourceStatsQuery"></a>

```go
func ApmResourceStatsQuery() DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference">DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference</a>

---

##### `EventQuery`<sup>Required</sup> <a name="EventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.eventQuery"></a>

```go
func EventQuery() DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference">DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference</a>

---

##### `MetricQuery`<sup>Required</sup> <a name="MetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.metricQuery"></a>

```go
func MetricQuery() DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference">DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference</a>

---

##### `ProcessQuery`<sup>Required</sup> <a name="ProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.processQuery"></a>

```go
func ProcessQuery() DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference">DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference</a>

---

##### `ApmDependencyStatsQueryInput`<sup>Optional</sup> <a name="ApmDependencyStatsQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.apmDependencyStatsQueryInput"></a>

```go
func ApmDependencyStatsQueryInput() DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery</a>

---

##### `ApmResourceStatsQueryInput`<sup>Optional</sup> <a name="ApmResourceStatsQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.apmResourceStatsQueryInput"></a>

```go
func ApmResourceStatsQueryInput() DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery</a>

---

##### `EventQueryInput`<sup>Optional</sup> <a name="EventQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.eventQueryInput"></a>

```go
func EventQueryInput() DashboardWidgetGeomapDefinitionRequestQueryEventQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery">DashboardWidgetGeomapDefinitionRequestQueryEventQuery</a>

---

##### `MetricQueryInput`<sup>Optional</sup> <a name="MetricQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.metricQueryInput"></a>

```go
func MetricQueryInput() DashboardWidgetGeomapDefinitionRequestQueryMetricQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQuery">DashboardWidgetGeomapDefinitionRequestQueryMetricQuery</a>

---

##### `ProcessQueryInput`<sup>Optional</sup> <a name="ProcessQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.processQueryInput"></a>

```go
func ProcessQueryInput() DashboardWidgetGeomapDefinitionRequestQueryProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery">DashboardWidgetGeomapDefinitionRequestQueryProcessQuery</a>

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference <a name="DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string) DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.resetAggregator">ResetAggregator</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.resetIsNormalizedCpu">ResetIsNormalizedCpu</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.resetLimit">ResetLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.resetSort">ResetSort</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.resetTagFilters">ResetTagFilters</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.resetTextFilter">ResetTextFilter</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `ResetAggregator` <a name="ResetAggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.resetAggregator"></a>

```go
func ResetAggregator()
```

##### `ResetIsNormalizedCpu` <a name="ResetIsNormalizedCpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.resetIsNormalizedCpu"></a>

```go
func ResetIsNormalizedCpu()
```

##### `ResetLimit` <a name="ResetLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.resetLimit"></a>

```go
func ResetLimit()
```

##### `ResetSort` <a name="ResetSort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.resetSort"></a>

```go
func ResetSort()
```

##### `ResetTagFilters` <a name="ResetTagFilters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.resetTagFilters"></a>

```go
func ResetTagFilters()
```

##### `ResetTextFilter` <a name="ResetTextFilter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.resetTextFilter"></a>

```go
func ResetTextFilter()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.aggregatorInput">AggregatorInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.dataSourceInput">DataSourceInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.isNormalizedCpuInput">IsNormalizedCpuInput</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.limitInput">LimitInput</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.metricInput">MetricInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.nameInput">NameInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.sortInput">SortInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.tagFiltersInput">TagFiltersInput</a></code> | <code>*[]*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.textFilterInput">TextFilterInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.aggregator">Aggregator</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.dataSource">DataSource</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.isNormalizedCpu">IsNormalizedCpu</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.limit">Limit</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.metric">Metric</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.name">Name</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.sort">Sort</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.tagFilters">TagFilters</a></code> | <code>*[]*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.textFilter">TextFilter</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.internalValue">InternalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery">DashboardWidgetGeomapDefinitionRequestQueryProcessQuery</a></code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `AggregatorInput`<sup>Optional</sup> <a name="AggregatorInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.aggregatorInput"></a>

```go
func AggregatorInput() *string
```

- *Type:* *string

---

##### `DataSourceInput`<sup>Optional</sup> <a name="DataSourceInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.dataSourceInput"></a>

```go
func DataSourceInput() *string
```

- *Type:* *string

---

##### `IsNormalizedCpuInput`<sup>Optional</sup> <a name="IsNormalizedCpuInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.isNormalizedCpuInput"></a>

```go
func IsNormalizedCpuInput() interface{}
```

- *Type:* interface{}

---

##### `LimitInput`<sup>Optional</sup> <a name="LimitInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.limitInput"></a>

```go
func LimitInput() *f64
```

- *Type:* *f64

---

##### `MetricInput`<sup>Optional</sup> <a name="MetricInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.metricInput"></a>

```go
func MetricInput() *string
```

- *Type:* *string

---

##### `NameInput`<sup>Optional</sup> <a name="NameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.nameInput"></a>

```go
func NameInput() *string
```

- *Type:* *string

---

##### `SortInput`<sup>Optional</sup> <a name="SortInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.sortInput"></a>

```go
func SortInput() *string
```

- *Type:* *string

---

##### `TagFiltersInput`<sup>Optional</sup> <a name="TagFiltersInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.tagFiltersInput"></a>

```go
func TagFiltersInput() *[]*string
```

- *Type:* *[]*string

---

##### `TextFilterInput`<sup>Optional</sup> <a name="TextFilterInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.textFilterInput"></a>

```go
func TextFilterInput() *string
```

- *Type:* *string

---

##### `Aggregator`<sup>Required</sup> <a name="Aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.aggregator"></a>

```go
func Aggregator() *string
```

- *Type:* *string

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.dataSource"></a>

```go
func DataSource() *string
```

- *Type:* *string

---

##### `IsNormalizedCpu`<sup>Required</sup> <a name="IsNormalizedCpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.isNormalizedCpu"></a>

```go
func IsNormalizedCpu() interface{}
```

- *Type:* interface{}

---

##### `Limit`<sup>Required</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.limit"></a>

```go
func Limit() *f64
```

- *Type:* *f64

---

##### `Metric`<sup>Required</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.metric"></a>

```go
func Metric() *string
```

- *Type:* *string

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.name"></a>

```go
func Name() *string
```

- *Type:* *string

---

##### `Sort`<sup>Required</sup> <a name="Sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.sort"></a>

```go
func Sort() *string
```

- *Type:* *string

---

##### `TagFilters`<sup>Required</sup> <a name="TagFilters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.tagFilters"></a>

```go
func TagFilters() *[]*string
```

- *Type:* *[]*string

---

##### `TextFilter`<sup>Required</sup> <a name="TextFilter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.textFilter"></a>

```go
func TextFilter() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.internalValue"></a>

```go
func InternalValue() DashboardWidgetGeomapDefinitionRequestQueryProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery">DashboardWidgetGeomapDefinitionRequestQueryProcessQuery</a>

---


### DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference <a name="DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string) DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.resetFacet">ResetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.resetInterval">ResetInterval</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `ResetFacet` <a name="ResetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.resetFacet"></a>

```go
func ResetFacet()
```

##### `ResetInterval` <a name="ResetInterval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.resetInterval"></a>

```go
func ResetInterval()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.property.aggregationInput">AggregationInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.property.facetInput">FacetInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.property.intervalInput">IntervalInput</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.property.aggregation">Aggregation</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.property.facet">Facet</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.property.interval">Interval</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.property.internalValue">InternalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery">DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery</a></code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `AggregationInput`<sup>Optional</sup> <a name="AggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.property.aggregationInput"></a>

```go
func AggregationInput() *string
```

- *Type:* *string

---

##### `FacetInput`<sup>Optional</sup> <a name="FacetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.property.facetInput"></a>

```go
func FacetInput() *string
```

- *Type:* *string

---

##### `IntervalInput`<sup>Optional</sup> <a name="IntervalInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.property.intervalInput"></a>

```go
func IntervalInput() *f64
```

- *Type:* *f64

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.property.aggregation"></a>

```go
func Aggregation() *string
```

- *Type:* *string

---

##### `Facet`<sup>Required</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.property.facet"></a>

```go
func Facet() *string
```

- *Type:* *string

---

##### `Interval`<sup>Required</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.property.interval"></a>

```go
func Interval() *f64
```

- *Type:* *f64

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.property.internalValue"></a>

```go
func InternalValue() DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery">DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery</a>

---


### DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList <a name="DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetGeomapDefinitionRequestRumQueryGroupByList(terraformResource IInterpolatingParent, terraformAttribute *string, wrapsSet *bool) DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.Initializer.parameter.wrapsSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.get">Get</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `Get` <a name="Get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.get"></a>

```go
func Get(index *f64) DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.get.parameter.index"></a>

- *Type:* *f64

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference <a name="DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string, complexObjectIndex *f64, complexObjectIsFromSet *bool) DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>*f64</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* *f64

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.putSortQuery">PutSortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.resetFacet">ResetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.resetLimit">ResetLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.resetSortQuery">ResetSortQuery</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `PutSortQuery` <a name="PutSortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.putSortQuery"></a>

```go
func PutSortQuery(value DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.putSortQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery</a>

---

##### `ResetFacet` <a name="ResetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.resetFacet"></a>

```go
func ResetFacet()
```

##### `ResetLimit` <a name="ResetLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.resetLimit"></a>

```go
func ResetLimit()
```

##### `ResetSortQuery` <a name="ResetSortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.resetSortQuery"></a>

```go
func ResetSortQuery()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference">DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.property.facetInput">FacetInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.property.limitInput">LimitInput</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.property.sortQueryInput">SortQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.property.facet">Facet</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.property.limit">Limit</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `SortQuery`<sup>Required</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.property.sortQuery"></a>

```go
func SortQuery() DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference">DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference</a>

---

##### `FacetInput`<sup>Optional</sup> <a name="FacetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.property.facetInput"></a>

```go
func FacetInput() *string
```

- *Type:* *string

---

##### `LimitInput`<sup>Optional</sup> <a name="LimitInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.property.limitInput"></a>

```go
func LimitInput() *f64
```

- *Type:* *f64

---

##### `SortQueryInput`<sup>Optional</sup> <a name="SortQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.property.sortQueryInput"></a>

```go
func SortQueryInput() DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery</a>

---

##### `Facet`<sup>Required</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.property.facet"></a>

```go
func Facet() *string
```

- *Type:* *string

---

##### `Limit`<sup>Required</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.property.limit"></a>

```go
func Limit() *f64
```

- *Type:* *f64

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference <a name="DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string) DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.resetFacet">ResetFacet</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `ResetFacet` <a name="ResetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.resetFacet"></a>

```go
func ResetFacet()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.aggregationInput">AggregationInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.facetInput">FacetInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.orderInput">OrderInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.aggregation">Aggregation</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.facet">Facet</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.order">Order</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.internalValue">InternalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery</a></code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `AggregationInput`<sup>Optional</sup> <a name="AggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.aggregationInput"></a>

```go
func AggregationInput() *string
```

- *Type:* *string

---

##### `FacetInput`<sup>Optional</sup> <a name="FacetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.facetInput"></a>

```go
func FacetInput() *string
```

- *Type:* *string

---

##### `OrderInput`<sup>Optional</sup> <a name="OrderInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.orderInput"></a>

```go
func OrderInput() *string
```

- *Type:* *string

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.aggregation"></a>

```go
func Aggregation() *string
```

- *Type:* *string

---

##### `Facet`<sup>Required</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.facet"></a>

```go
func Facet() *string
```

- *Type:* *string

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.order"></a>

```go
func Order() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.internalValue"></a>

```go
func InternalValue() DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery</a>

---


### DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList <a name="DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList(terraformResource IInterpolatingParent, terraformAttribute *string, wrapsSet *bool) DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.Initializer.parameter.wrapsSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.get">Get</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `Get` <a name="Get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.get"></a>

```go
func Get(index *f64) DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.get.parameter.index"></a>

- *Type:* *f64

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference <a name="DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string, complexObjectIndex *f64, complexObjectIsFromSet *bool) DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>*f64</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* *f64

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.resetFacet">ResetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.resetInterval">ResetInterval</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `ResetFacet` <a name="ResetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.resetFacet"></a>

```go
func ResetFacet()
```

##### `ResetInterval` <a name="ResetInterval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.resetInterval"></a>

```go
func ResetInterval()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.property.aggregationInput">AggregationInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.property.facetInput">FacetInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.property.intervalInput">IntervalInput</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.property.aggregation">Aggregation</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.property.facet">Facet</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.property.interval">Interval</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `AggregationInput`<sup>Optional</sup> <a name="AggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.property.aggregationInput"></a>

```go
func AggregationInput() *string
```

- *Type:* *string

---

##### `FacetInput`<sup>Optional</sup> <a name="FacetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.property.facetInput"></a>

```go
func FacetInput() *string
```

- *Type:* *string

---

##### `IntervalInput`<sup>Optional</sup> <a name="IntervalInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.property.intervalInput"></a>

```go
func IntervalInput() *f64
```

- *Type:* *f64

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.property.aggregation"></a>

```go
func Aggregation() *string
```

- *Type:* *string

---

##### `Facet`<sup>Required</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.property.facet"></a>

```go
func Facet() *string
```

- *Type:* *string

---

##### `Interval`<sup>Required</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.property.interval"></a>

```go
func Interval() *f64
```

- *Type:* *f64

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference <a name="DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetGeomapDefinitionRequestRumQueryOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string) DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.putComputeQuery">PutComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.putGroupBy">PutGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.putMultiCompute">PutMultiCompute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.resetComputeQuery">ResetComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.resetGroupBy">ResetGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.resetMultiCompute">ResetMultiCompute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.resetSearchQuery">ResetSearchQuery</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `PutComputeQuery` <a name="PutComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.putComputeQuery"></a>

```go
func PutComputeQuery(value DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.putComputeQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery">DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery</a>

---

##### `PutGroupBy` <a name="PutGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.putGroupBy"></a>

```go
func PutGroupBy(value interface{})
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.putGroupBy.parameter.value"></a>

- *Type:* interface{}

---

##### `PutMultiCompute` <a name="PutMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.putMultiCompute"></a>

```go
func PutMultiCompute(value interface{})
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.putMultiCompute.parameter.value"></a>

- *Type:* interface{}

---

##### `ResetComputeQuery` <a name="ResetComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.resetComputeQuery"></a>

```go
func ResetComputeQuery()
```

##### `ResetGroupBy` <a name="ResetGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.resetGroupBy"></a>

```go
func ResetGroupBy()
```

##### `ResetMultiCompute` <a name="ResetMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.resetMultiCompute"></a>

```go
func ResetMultiCompute()
```

##### `ResetSearchQuery` <a name="ResetSearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.resetSearchQuery"></a>

```go
func ResetSearchQuery()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference">DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.groupBy">GroupBy</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList">DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.multiCompute">MultiCompute</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList">DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.computeQueryInput">ComputeQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery">DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.groupByInput">GroupByInput</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.indexInput">IndexInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.multiComputeInput">MultiComputeInput</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.searchQueryInput">SearchQueryInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.index">Index</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.internalValue">InternalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQuery">DashboardWidgetGeomapDefinitionRequestRumQuery</a></code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `ComputeQuery`<sup>Required</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.computeQuery"></a>

```go
func ComputeQuery() DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference">DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference</a>

---

##### `GroupBy`<sup>Required</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.groupBy"></a>

```go
func GroupBy() DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList">DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList</a>

---

##### `MultiCompute`<sup>Required</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.multiCompute"></a>

```go
func MultiCompute() DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList">DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList</a>

---

##### `ComputeQueryInput`<sup>Optional</sup> <a name="ComputeQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.computeQueryInput"></a>

```go
func ComputeQueryInput() DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery">DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery</a>

---

##### `GroupByInput`<sup>Optional</sup> <a name="GroupByInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.groupByInput"></a>

```go
func GroupByInput() interface{}
```

- *Type:* interface{}

---

##### `IndexInput`<sup>Optional</sup> <a name="IndexInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.indexInput"></a>

```go
func IndexInput() *string
```

- *Type:* *string

---

##### `MultiComputeInput`<sup>Optional</sup> <a name="MultiComputeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.multiComputeInput"></a>

```go
func MultiComputeInput() interface{}
```

- *Type:* interface{}

---

##### `SearchQueryInput`<sup>Optional</sup> <a name="SearchQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.searchQueryInput"></a>

```go
func SearchQueryInput() *string
```

- *Type:* *string

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.index"></a>

```go
func Index() *string
```

- *Type:* *string

---

##### `SearchQuery`<sup>Required</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.searchQuery"></a>

```go
func SearchQuery() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.internalValue"></a>

```go
func InternalValue() DashboardWidgetGeomapDefinitionRequestRumQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQuery">DashboardWidgetGeomapDefinitionRequestRumQuery</a>

---


### DashboardWidgetGeomapDefinitionStyleOutputReference <a name="DashboardWidgetGeomapDefinitionStyleOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetGeomapDefinitionStyleOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string) DashboardWidgetGeomapDefinitionStyleOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.property.paletteFlipInput">PaletteFlipInput</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.property.paletteInput">PaletteInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.property.palette">Palette</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.property.paletteFlip">PaletteFlip</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.property.internalValue">InternalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyle">DashboardWidgetGeomapDefinitionStyle</a></code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `PaletteFlipInput`<sup>Optional</sup> <a name="PaletteFlipInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.property.paletteFlipInput"></a>

```go
func PaletteFlipInput() interface{}
```

- *Type:* interface{}

---

##### `PaletteInput`<sup>Optional</sup> <a name="PaletteInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.property.paletteInput"></a>

```go
func PaletteInput() *string
```

- *Type:* *string

---

##### `Palette`<sup>Required</sup> <a name="Palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.property.palette"></a>

```go
func Palette() *string
```

- *Type:* *string

---

##### `PaletteFlip`<sup>Required</sup> <a name="PaletteFlip" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.property.paletteFlip"></a>

```go
func PaletteFlip() interface{}
```

- *Type:* interface{}

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.property.internalValue"></a>

```go
func InternalValue() DashboardWidgetGeomapDefinitionStyle
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyle">DashboardWidgetGeomapDefinitionStyle</a>

---


### DashboardWidgetGeomapDefinitionViewOutputReference <a name="DashboardWidgetGeomapDefinitionViewOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetGeomapDefinitionViewOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string) DashboardWidgetGeomapDefinitionViewOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.property.focusInput">FocusInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.property.focus">Focus</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.property.internalValue">InternalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionView">DashboardWidgetGeomapDefinitionView</a></code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `FocusInput`<sup>Optional</sup> <a name="FocusInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.property.focusInput"></a>

```go
func FocusInput() *string
```

- *Type:* *string

---

##### `Focus`<sup>Required</sup> <a name="Focus" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.property.focus"></a>

```go
func Focus() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.property.internalValue"></a>

```go
func InternalValue() DashboardWidgetGeomapDefinitionView
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionView">DashboardWidgetGeomapDefinitionView</a>

---


### DashboardWidgetGroupDefinitionOutputReference <a name="DashboardWidgetGroupDefinitionOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetGroupDefinitionOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string) DashboardWidgetGroupDefinitionOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.putWidget">PutWidget</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.resetBackgroundColor">ResetBackgroundColor</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.resetBannerImg">ResetBannerImg</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.resetShowTitle">ResetShowTitle</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.resetTitle">ResetTitle</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.resetWidget">ResetWidget</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `PutWidget` <a name="PutWidget" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.putWidget"></a>

```go
func PutWidget(value interface{})
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.putWidget.parameter.value"></a>

- *Type:* interface{}

---

##### `ResetBackgroundColor` <a name="ResetBackgroundColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.resetBackgroundColor"></a>

```go
func ResetBackgroundColor()
```

##### `ResetBannerImg` <a name="ResetBannerImg" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.resetBannerImg"></a>

```go
func ResetBannerImg()
```

##### `ResetShowTitle` <a name="ResetShowTitle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.resetShowTitle"></a>

```go
func ResetShowTitle()
```

##### `ResetTitle` <a name="ResetTitle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.resetTitle"></a>

```go
func ResetTitle()
```

##### `ResetWidget` <a name="ResetWidget" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.resetWidget"></a>

```go
func ResetWidget()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.widget">Widget</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetList">DashboardWidgetGroupDefinitionWidgetList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.backgroundColorInput">BackgroundColorInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.bannerImgInput">BannerImgInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.layoutTypeInput">LayoutTypeInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.showTitleInput">ShowTitleInput</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.titleInput">TitleInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.widgetInput">WidgetInput</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.backgroundColor">BackgroundColor</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.bannerImg">BannerImg</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.layoutType">LayoutType</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.showTitle">ShowTitle</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.title">Title</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.internalValue">InternalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinition">DashboardWidgetGroupDefinition</a></code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `Widget`<sup>Required</sup> <a name="Widget" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.widget"></a>

```go
func Widget() DashboardWidgetGroupDefinitionWidgetList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetList">DashboardWidgetGroupDefinitionWidgetList</a>

---

##### `BackgroundColorInput`<sup>Optional</sup> <a name="BackgroundColorInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.backgroundColorInput"></a>

```go
func BackgroundColorInput() *string
```

- *Type:* *string

---

##### `BannerImgInput`<sup>Optional</sup> <a name="BannerImgInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.bannerImgInput"></a>

```go
func BannerImgInput() *string
```

- *Type:* *string

---

##### `LayoutTypeInput`<sup>Optional</sup> <a name="LayoutTypeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.layoutTypeInput"></a>

```go
func LayoutTypeInput() *string
```

- *Type:* *string

---

##### `ShowTitleInput`<sup>Optional</sup> <a name="ShowTitleInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.showTitleInput"></a>

```go
func ShowTitleInput() interface{}
```

- *Type:* interface{}

---

##### `TitleInput`<sup>Optional</sup> <a name="TitleInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.titleInput"></a>

```go
func TitleInput() *string
```

- *Type:* *string

---

##### `WidgetInput`<sup>Optional</sup> <a name="WidgetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.widgetInput"></a>

```go
func WidgetInput() interface{}
```

- *Type:* interface{}

---

##### `BackgroundColor`<sup>Required</sup> <a name="BackgroundColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.backgroundColor"></a>

```go
func BackgroundColor() *string
```

- *Type:* *string

---

##### `BannerImg`<sup>Required</sup> <a name="BannerImg" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.bannerImg"></a>

```go
func BannerImg() *string
```

- *Type:* *string

---

##### `LayoutType`<sup>Required</sup> <a name="LayoutType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.layoutType"></a>

```go
func LayoutType() *string
```

- *Type:* *string

---

##### `ShowTitle`<sup>Required</sup> <a name="ShowTitle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.showTitle"></a>

```go
func ShowTitle() interface{}
```

- *Type:* interface{}

---

##### `Title`<sup>Required</sup> <a name="Title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.title"></a>

```go
func Title() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.internalValue"></a>

```go
func InternalValue() DashboardWidgetGroupDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinition">DashboardWidgetGroupDefinition</a>

---


### DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference <a name="DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string) DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.resetLiveSpan">ResetLiveSpan</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.resetTitle">ResetTitle</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.resetTitleAlign">ResetTitleAlign</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.resetTitleSize">ResetTitleSize</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `ResetLiveSpan` <a name="ResetLiveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.resetLiveSpan"></a>

```go
func ResetLiveSpan()
```

##### `ResetTitle` <a name="ResetTitle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.resetTitle"></a>

```go
func ResetTitle()
```

##### `ResetTitleAlign` <a name="ResetTitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.resetTitleAlign"></a>

```go
func ResetTitleAlign()
```

##### `ResetTitleSize` <a name="ResetTitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.resetTitleSize"></a>

```go
func ResetTitleSize()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.alertIdInput">AlertIdInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.liveSpanInput">LiveSpanInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.titleAlignInput">TitleAlignInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.titleInput">TitleInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.titleSizeInput">TitleSizeInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.vizTypeInput">VizTypeInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.alertId">AlertId</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.liveSpan">LiveSpan</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.title">Title</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.titleAlign">TitleAlign</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.titleSize">TitleSize</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.vizType">VizType</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.internalValue">InternalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition">DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition</a></code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `AlertIdInput`<sup>Optional</sup> <a name="AlertIdInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.alertIdInput"></a>

```go
func AlertIdInput() *string
```

- *Type:* *string

---

##### `LiveSpanInput`<sup>Optional</sup> <a name="LiveSpanInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.liveSpanInput"></a>

```go
func LiveSpanInput() *string
```

- *Type:* *string

---

##### `TitleAlignInput`<sup>Optional</sup> <a name="TitleAlignInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.titleAlignInput"></a>

```go
func TitleAlignInput() *string
```

- *Type:* *string

---

##### `TitleInput`<sup>Optional</sup> <a name="TitleInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.titleInput"></a>

```go
func TitleInput() *string
```

- *Type:* *string

---

##### `TitleSizeInput`<sup>Optional</sup> <a name="TitleSizeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.titleSizeInput"></a>

```go
func TitleSizeInput() *string
```

- *Type:* *string

---

##### `VizTypeInput`<sup>Optional</sup> <a name="VizTypeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.vizTypeInput"></a>

```go
func VizTypeInput() *string
```

- *Type:* *string

---

##### `AlertId`<sup>Required</sup> <a name="AlertId" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.alertId"></a>

```go
func AlertId() *string
```

- *Type:* *string

---

##### `LiveSpan`<sup>Required</sup> <a name="LiveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.liveSpan"></a>

```go
func LiveSpan() *string
```

- *Type:* *string

---

##### `Title`<sup>Required</sup> <a name="Title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.title"></a>

```go
func Title() *string
```

- *Type:* *string

---

##### `TitleAlign`<sup>Required</sup> <a name="TitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.titleAlign"></a>

```go
func TitleAlign() *string
```

- *Type:* *string

---

##### `TitleSize`<sup>Required</sup> <a name="TitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.titleSize"></a>

```go
func TitleSize() *string
```

- *Type:* *string

---

##### `VizType`<sup>Required</sup> <a name="VizType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.vizType"></a>

```go
func VizType() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.internalValue"></a>

```go
func InternalValue() DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition">DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition</a>

---


### DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference <a name="DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string) DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.resetPrecision">ResetPrecision</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.resetTextAlign">ResetTextAlign</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.resetTitle">ResetTitle</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.resetTitleAlign">ResetTitleAlign</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.resetTitleSize">ResetTitleSize</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.resetUnit">ResetUnit</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `ResetPrecision` <a name="ResetPrecision" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.resetPrecision"></a>

```go
func ResetPrecision()
```

##### `ResetTextAlign` <a name="ResetTextAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.resetTextAlign"></a>

```go
func ResetTextAlign()
```

##### `ResetTitle` <a name="ResetTitle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.resetTitle"></a>

```go
func ResetTitle()
```

##### `ResetTitleAlign` <a name="ResetTitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.resetTitleAlign"></a>

```go
func ResetTitleAlign()
```

##### `ResetTitleSize` <a name="ResetTitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.resetTitleSize"></a>

```go
func ResetTitleSize()
```

##### `ResetUnit` <a name="ResetUnit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.resetUnit"></a>

```go
func ResetUnit()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.alertIdInput">AlertIdInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.precisionInput">PrecisionInput</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.textAlignInput">TextAlignInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.titleAlignInput">TitleAlignInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.titleInput">TitleInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.titleSizeInput">TitleSizeInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.unitInput">UnitInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.alertId">AlertId</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.precision">Precision</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.textAlign">TextAlign</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.title">Title</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.titleAlign">TitleAlign</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.titleSize">TitleSize</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.unit">Unit</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.internalValue">InternalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinition">DashboardWidgetGroupDefinitionWidgetAlertValueDefinition</a></code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `AlertIdInput`<sup>Optional</sup> <a name="AlertIdInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.alertIdInput"></a>

```go
func AlertIdInput() *string
```

- *Type:* *string

---

##### `PrecisionInput`<sup>Optional</sup> <a name="PrecisionInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.precisionInput"></a>

```go
func PrecisionInput() *f64
```

- *Type:* *f64

---

##### `TextAlignInput`<sup>Optional</sup> <a name="TextAlignInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.textAlignInput"></a>

```go
func TextAlignInput() *string
```

- *Type:* *string

---

##### `TitleAlignInput`<sup>Optional</sup> <a name="TitleAlignInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.titleAlignInput"></a>

```go
func TitleAlignInput() *string
```

- *Type:* *string

---

##### `TitleInput`<sup>Optional</sup> <a name="TitleInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.titleInput"></a>

```go
func TitleInput() *string
```

- *Type:* *string

---

##### `TitleSizeInput`<sup>Optional</sup> <a name="TitleSizeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.titleSizeInput"></a>

```go
func TitleSizeInput() *string
```

- *Type:* *string

---

##### `UnitInput`<sup>Optional</sup> <a name="UnitInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.unitInput"></a>

```go
func UnitInput() *string
```

- *Type:* *string

---

##### `AlertId`<sup>Required</sup> <a name="AlertId" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.alertId"></a>

```go
func AlertId() *string
```

- *Type:* *string

---

##### `Precision`<sup>Required</sup> <a name="Precision" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.precision"></a>

```go
func Precision() *f64
```

- *Type:* *f64

---

##### `TextAlign`<sup>Required</sup> <a name="TextAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.textAlign"></a>

```go
func TextAlign() *string
```

- *Type:* *string

---

##### `Title`<sup>Required</sup> <a name="Title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.title"></a>

```go
func Title() *string
```

- *Type:* *string

---

##### `TitleAlign`<sup>Required</sup> <a name="TitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.titleAlign"></a>

```go
func TitleAlign() *string
```

- *Type:* *string

---

##### `TitleSize`<sup>Required</sup> <a name="TitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.titleSize"></a>

```go
func TitleSize() *string
```

- *Type:* *string

---

##### `Unit`<sup>Required</sup> <a name="Unit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.unit"></a>

```go
func Unit() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.internalValue"></a>

```go
func InternalValue() DashboardWidgetGroupDefinitionWidgetAlertValueDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinition">DashboardWidgetGroupDefinitionWidgetAlertValueDefinition</a>

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList(terraformResource IInterpolatingParent, terraformAttribute *string, wrapsSet *bool) DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.Initializer.parameter.wrapsSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.get">Get</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `Get` <a name="Get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.get"></a>

```go
func Get(index *f64) DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.get.parameter.index"></a>

- *Type:* *f64

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string, complexObjectIndex *f64, complexObjectIsFromSet *bool) DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>*f64</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* *f64

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.resetIsHidden">ResetIsHidden</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.resetLabel">ResetLabel</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.resetLink">ResetLink</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.resetOverrideLabel">ResetOverrideLabel</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `ResetIsHidden` <a name="ResetIsHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.resetIsHidden"></a>

```go
func ResetIsHidden()
```

##### `ResetLabel` <a name="ResetLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.resetLabel"></a>

```go
func ResetLabel()
```

##### `ResetLink` <a name="ResetLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.resetLink"></a>

```go
func ResetLink()
```

##### `ResetOverrideLabel` <a name="ResetOverrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.resetOverrideLabel"></a>

```go
func ResetOverrideLabel()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.isHiddenInput">IsHiddenInput</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.labelInput">LabelInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.linkInput">LinkInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.overrideLabelInput">OverrideLabelInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.isHidden">IsHidden</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.label">Label</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.link">Link</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.overrideLabel">OverrideLabel</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `IsHiddenInput`<sup>Optional</sup> <a name="IsHiddenInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.isHiddenInput"></a>

```go
func IsHiddenInput() interface{}
```

- *Type:* interface{}

---

##### `LabelInput`<sup>Optional</sup> <a name="LabelInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.labelInput"></a>

```go
func LabelInput() *string
```

- *Type:* *string

---

##### `LinkInput`<sup>Optional</sup> <a name="LinkInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.linkInput"></a>

```go
func LinkInput() *string
```

- *Type:* *string

---

##### `OverrideLabelInput`<sup>Optional</sup> <a name="OverrideLabelInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.overrideLabelInput"></a>

```go
func OverrideLabelInput() *string
```

- *Type:* *string

---

##### `IsHidden`<sup>Required</sup> <a name="IsHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.isHidden"></a>

```go
func IsHidden() interface{}
```

- *Type:* interface{}

---

##### `Label`<sup>Required</sup> <a name="Label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.label"></a>

```go
func Label() *string
```

- *Type:* *string

---

##### `Link`<sup>Required</sup> <a name="Link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.link"></a>

```go
func Link() *string
```

- *Type:* *string

---

##### `OverrideLabel`<sup>Required</sup> <a name="OverrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.overrideLabel"></a>

```go
func OverrideLabel() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string) DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.putCustomLink">PutCustomLink</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.putRequest">PutRequest</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.resetCustomLink">ResetCustomLink</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.resetLiveSpan">ResetLiveSpan</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.resetRequest">ResetRequest</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.resetTitle">ResetTitle</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.resetTitleAlign">ResetTitleAlign</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.resetTitleSize">ResetTitleSize</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `PutCustomLink` <a name="PutCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.putCustomLink"></a>

```go
func PutCustomLink(value interface{})
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.putCustomLink.parameter.value"></a>

- *Type:* interface{}

---

##### `PutRequest` <a name="PutRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.putRequest"></a>

```go
func PutRequest(value interface{})
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.putRequest.parameter.value"></a>

- *Type:* interface{}

---

##### `ResetCustomLink` <a name="ResetCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.resetCustomLink"></a>

```go
func ResetCustomLink()
```

##### `ResetLiveSpan` <a name="ResetLiveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.resetLiveSpan"></a>

```go
func ResetLiveSpan()
```

##### `ResetRequest` <a name="ResetRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.resetRequest"></a>

```go
func ResetRequest()
```

##### `ResetTitle` <a name="ResetTitle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.resetTitle"></a>

```go
func ResetTitle()
```

##### `ResetTitleAlign` <a name="ResetTitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.resetTitleAlign"></a>

```go
func ResetTitleAlign()
```

##### `ResetTitleSize` <a name="ResetTitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.resetTitleSize"></a>

```go
func ResetTitleSize()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.customLink">CustomLink</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList">DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.request">Request</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.customLinkInput">CustomLinkInput</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.liveSpanInput">LiveSpanInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.requestInput">RequestInput</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.titleAlignInput">TitleAlignInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.titleInput">TitleInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.titleSizeInput">TitleSizeInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.liveSpan">LiveSpan</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.title">Title</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.titleAlign">TitleAlign</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.titleSize">TitleSize</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.internalValue">InternalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinition">DashboardWidgetGroupDefinitionWidgetChangeDefinition</a></code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `CustomLink`<sup>Required</sup> <a name="CustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.customLink"></a>

```go
func CustomLink() DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList">DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList</a>

---

##### `Request`<sup>Required</sup> <a name="Request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.request"></a>

```go
func Request() DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList</a>

---

##### `CustomLinkInput`<sup>Optional</sup> <a name="CustomLinkInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.customLinkInput"></a>

```go
func CustomLinkInput() interface{}
```

- *Type:* interface{}

---

##### `LiveSpanInput`<sup>Optional</sup> <a name="LiveSpanInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.liveSpanInput"></a>

```go
func LiveSpanInput() *string
```

- *Type:* *string

---

##### `RequestInput`<sup>Optional</sup> <a name="RequestInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.requestInput"></a>

```go
func RequestInput() interface{}
```

- *Type:* interface{}

---

##### `TitleAlignInput`<sup>Optional</sup> <a name="TitleAlignInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.titleAlignInput"></a>

```go
func TitleAlignInput() *string
```

- *Type:* *string

---

##### `TitleInput`<sup>Optional</sup> <a name="TitleInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.titleInput"></a>

```go
func TitleInput() *string
```

- *Type:* *string

---

##### `TitleSizeInput`<sup>Optional</sup> <a name="TitleSizeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.titleSizeInput"></a>

```go
func TitleSizeInput() *string
```

- *Type:* *string

---

##### `LiveSpan`<sup>Required</sup> <a name="LiveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.liveSpan"></a>

```go
func LiveSpan() *string
```

- *Type:* *string

---

##### `Title`<sup>Required</sup> <a name="Title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.title"></a>

```go
func Title() *string
```

- *Type:* *string

---

##### `TitleAlign`<sup>Required</sup> <a name="TitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.titleAlign"></a>

```go
func TitleAlign() *string
```

- *Type:* *string

---

##### `TitleSize`<sup>Required</sup> <a name="TitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.titleSize"></a>

```go
func TitleSize() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.internalValue"></a>

```go
func InternalValue() DashboardWidgetGroupDefinitionWidgetChangeDefinition
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinition">DashboardWidgetGroupDefinitionWidgetChangeDefinition</a>

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string) DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.resetFacet">ResetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.resetInterval">ResetInterval</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `ResetFacet` <a name="ResetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.resetFacet"></a>

```go
func ResetFacet()
```

##### `ResetInterval` <a name="ResetInterval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.resetInterval"></a>

```go
func ResetInterval()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.aggregationInput">AggregationInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.facetInput">FacetInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.intervalInput">IntervalInput</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.aggregation">Aggregation</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.facet">Facet</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.interval">Interval</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.internalValue">InternalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery</a></code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `AggregationInput`<sup>Optional</sup> <a name="AggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.aggregationInput"></a>

```go
func AggregationInput() *string
```

- *Type:* *string

---

##### `FacetInput`<sup>Optional</sup> <a name="FacetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.facetInput"></a>

```go
func FacetInput() *string
```

- *Type:* *string

---

##### `IntervalInput`<sup>Optional</sup> <a name="IntervalInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.intervalInput"></a>

```go
func IntervalInput() *f64
```

- *Type:* *f64

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.aggregation"></a>

```go
func Aggregation() *string
```

- *Type:* *string

---

##### `Facet`<sup>Required</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.facet"></a>

```go
func Facet() *string
```

- *Type:* *string

---

##### `Interval`<sup>Required</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.interval"></a>

```go
func Interval() *f64
```

- *Type:* *f64

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.internalValue"></a>

```go
func InternalValue() DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery</a>

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList(terraformResource IInterpolatingParent, terraformAttribute *string, wrapsSet *bool) DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.Initializer.parameter.wrapsSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.get">Get</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `Get` <a name="Get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.get"></a>

```go
func Get(index *f64) DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.get.parameter.index"></a>

- *Type:* *f64

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string, complexObjectIndex *f64, complexObjectIsFromSet *bool) DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>*f64</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* *f64

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.putSortQuery">PutSortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.resetFacet">ResetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.resetLimit">ResetLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.resetSortQuery">ResetSortQuery</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `PutSortQuery` <a name="PutSortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.putSortQuery"></a>

```go
func PutSortQuery(value DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.putSortQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery</a>

---

##### `ResetFacet` <a name="ResetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.resetFacet"></a>

```go
func ResetFacet()
```

##### `ResetLimit` <a name="ResetLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.resetLimit"></a>

```go
func ResetLimit()
```

##### `ResetSortQuery` <a name="ResetSortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.resetSortQuery"></a>

```go
func ResetSortQuery()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.facetInput">FacetInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.limitInput">LimitInput</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.sortQueryInput">SortQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.facet">Facet</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.limit">Limit</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `SortQuery`<sup>Required</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.sortQuery"></a>

```go
func SortQuery() DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference</a>

---

##### `FacetInput`<sup>Optional</sup> <a name="FacetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.facetInput"></a>

```go
func FacetInput() *string
```

- *Type:* *string

---

##### `LimitInput`<sup>Optional</sup> <a name="LimitInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.limitInput"></a>

```go
func LimitInput() *f64
```

- *Type:* *f64

---

##### `SortQueryInput`<sup>Optional</sup> <a name="SortQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.sortQueryInput"></a>

```go
func SortQueryInput() DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery</a>

---

##### `Facet`<sup>Required</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.facet"></a>

```go
func Facet() *string
```

- *Type:* *string

---

##### `Limit`<sup>Required</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.limit"></a>

```go
func Limit() *f64
```

- *Type:* *f64

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string) DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.resetFacet">ResetFacet</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `ResetFacet` <a name="ResetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.resetFacet"></a>

```go
func ResetFacet()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.aggregationInput">AggregationInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.facetInput">FacetInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.orderInput">OrderInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.aggregation">Aggregation</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.facet">Facet</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.order">Order</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.internalValue">InternalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery</a></code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `AggregationInput`<sup>Optional</sup> <a name="AggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.aggregationInput"></a>

```go
func AggregationInput() *string
```

- *Type:* *string

---

##### `FacetInput`<sup>Optional</sup> <a name="FacetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.facetInput"></a>

```go
func FacetInput() *string
```

- *Type:* *string

---

##### `OrderInput`<sup>Optional</sup> <a name="OrderInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.orderInput"></a>

```go
func OrderInput() *string
```

- *Type:* *string

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.aggregation"></a>

```go
func Aggregation() *string
```

- *Type:* *string

---

##### `Facet`<sup>Required</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.facet"></a>

```go
func Facet() *string
```

- *Type:* *string

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.order"></a>

```go
func Order() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.internalValue"></a>

```go
func InternalValue() DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery</a>

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList(terraformResource IInterpolatingParent, terraformAttribute *string, wrapsSet *bool) DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.Initializer.parameter.wrapsSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.get">Get</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `Get` <a name="Get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.get"></a>

```go
func Get(index *f64) DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.get.parameter.index"></a>

- *Type:* *f64

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string, complexObjectIndex *f64, complexObjectIsFromSet *bool) DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>*f64</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* *f64

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.resetFacet">ResetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.resetInterval">ResetInterval</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `ResetFacet` <a name="ResetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.resetFacet"></a>

```go
func ResetFacet()
```

##### `ResetInterval` <a name="ResetInterval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.resetInterval"></a>

```go
func ResetInterval()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.aggregationInput">AggregationInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.facetInput">FacetInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.intervalInput">IntervalInput</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.aggregation">Aggregation</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.facet">Facet</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.interval">Interval</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `AggregationInput`<sup>Optional</sup> <a name="AggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.aggregationInput"></a>

```go
func AggregationInput() *string
```

- *Type:* *string

---

##### `FacetInput`<sup>Optional</sup> <a name="FacetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.facetInput"></a>

```go
func FacetInput() *string
```

- *Type:* *string

---

##### `IntervalInput`<sup>Optional</sup> <a name="IntervalInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.intervalInput"></a>

```go
func IntervalInput() *f64
```

- *Type:* *f64

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.aggregation"></a>

```go
func Aggregation() *string
```

- *Type:* *string

---

##### `Facet`<sup>Required</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.facet"></a>

```go
func Facet() *string
```

- *Type:* *string

---

##### `Interval`<sup>Required</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.interval"></a>

```go
func Interval() *f64
```

- *Type:* *f64

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string) DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.putComputeQuery">PutComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.putGroupBy">PutGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.putMultiCompute">PutMultiCompute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.resetComputeQuery">ResetComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.resetGroupBy">ResetGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.resetMultiCompute">ResetMultiCompute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.resetSearchQuery">ResetSearchQuery</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `PutComputeQuery` <a name="PutComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.putComputeQuery"></a>

```go
func PutComputeQuery(value DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.putComputeQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery</a>

---

##### `PutGroupBy` <a name="PutGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.putGroupBy"></a>

```go
func PutGroupBy(value interface{})
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.putGroupBy.parameter.value"></a>

- *Type:* interface{}

---

##### `PutMultiCompute` <a name="PutMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.putMultiCompute"></a>

```go
func PutMultiCompute(value interface{})
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.putMultiCompute.parameter.value"></a>

- *Type:* interface{}

---

##### `ResetComputeQuery` <a name="ResetComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.resetComputeQuery"></a>

```go
func ResetComputeQuery()
```

##### `ResetGroupBy` <a name="ResetGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.resetGroupBy"></a>

```go
func ResetGroupBy()
```

##### `ResetMultiCompute` <a name="ResetMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.resetMultiCompute"></a>

```go
func ResetMultiCompute()
```

##### `ResetSearchQuery` <a name="ResetSearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.resetSearchQuery"></a>

```go
func ResetSearchQuery()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.groupBy">GroupBy</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.multiCompute">MultiCompute</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.computeQueryInput">ComputeQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.groupByInput">GroupByInput</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.indexInput">IndexInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.multiComputeInput">MultiComputeInput</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.searchQueryInput">SearchQueryInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.index">Index</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.internalValue">InternalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery</a></code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `ComputeQuery`<sup>Required</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.computeQuery"></a>

```go
func ComputeQuery() DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference</a>

---

##### `GroupBy`<sup>Required</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.groupBy"></a>

```go
func GroupBy() DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList</a>

---

##### `MultiCompute`<sup>Required</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.multiCompute"></a>

```go
func MultiCompute() DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList</a>

---

##### `ComputeQueryInput`<sup>Optional</sup> <a name="ComputeQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.computeQueryInput"></a>

```go
func ComputeQueryInput() DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery</a>

---

##### `GroupByInput`<sup>Optional</sup> <a name="GroupByInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.groupByInput"></a>

```go
func GroupByInput() interface{}
```

- *Type:* interface{}

---

##### `IndexInput`<sup>Optional</sup> <a name="IndexInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.indexInput"></a>

```go
func IndexInput() *string
```

- *Type:* *string

---

##### `MultiComputeInput`<sup>Optional</sup> <a name="MultiComputeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.multiComputeInput"></a>

```go
func MultiComputeInput() interface{}
```

- *Type:* interface{}

---

##### `SearchQueryInput`<sup>Optional</sup> <a name="SearchQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.searchQueryInput"></a>

```go
func SearchQueryInput() *string
```

- *Type:* *string

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.index"></a>

```go
func Index() *string
```

- *Type:* *string

---

##### `SearchQuery`<sup>Required</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.searchQuery"></a>

```go
func SearchQuery() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.internalValue"></a>

```go
func InternalValue() DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery</a>

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList(terraformResource IInterpolatingParent, terraformAttribute *string, wrapsSet *bool) DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.Initializer.parameter.wrapsSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.get">Get</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `Get` <a name="Get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.get"></a>

```go
func Get(index *f64) DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.get.parameter.index"></a>

- *Type:* *f64

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string, complexObjectIndex *f64, complexObjectIsFromSet *bool) DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>*f64</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* *f64

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetCustomBgColor">ResetCustomBgColor</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetCustomFgColor">ResetCustomFgColor</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetHideValue">ResetHideValue</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetImageUrl">ResetImageUrl</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetMetric">ResetMetric</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetTimeframe">ResetTimeframe</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `ResetCustomBgColor` <a name="ResetCustomBgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetCustomBgColor"></a>

```go
func ResetCustomBgColor()
```

##### `ResetCustomFgColor` <a name="ResetCustomFgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetCustomFgColor"></a>

```go
func ResetCustomFgColor()
```

##### `ResetHideValue` <a name="ResetHideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetHideValue"></a>

```go
func ResetHideValue()
```

##### `ResetImageUrl` <a name="ResetImageUrl" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetImageUrl"></a>

```go
func ResetImageUrl()
```

##### `ResetMetric` <a name="ResetMetric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetMetric"></a>

```go
func ResetMetric()
```

##### `ResetTimeframe` <a name="ResetTimeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetTimeframe"></a>

```go
func ResetTimeframe()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.comparatorInput">ComparatorInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.customBgColorInput">CustomBgColorInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.customFgColorInput">CustomFgColorInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.hideValueInput">HideValueInput</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.imageUrlInput">ImageUrlInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.metricInput">MetricInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.paletteInput">PaletteInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.timeframeInput">TimeframeInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.valueInput">ValueInput</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.comparator">Comparator</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.customBgColor">CustomBgColor</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.customFgColor">CustomFgColor</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.hideValue">HideValue</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.imageUrl">ImageUrl</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.metric">Metric</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.palette">Palette</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.timeframe">Timeframe</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.value">Value</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `ComparatorInput`<sup>Optional</sup> <a name="ComparatorInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.comparatorInput"></a>

```go
func ComparatorInput() *string
```

- *Type:* *string

---

##### `CustomBgColorInput`<sup>Optional</sup> <a name="CustomBgColorInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.customBgColorInput"></a>

```go
func CustomBgColorInput() *string
```

- *Type:* *string

---

##### `CustomFgColorInput`<sup>Optional</sup> <a name="CustomFgColorInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.customFgColorInput"></a>

```go
func CustomFgColorInput() *string
```

- *Type:* *string

---

##### `HideValueInput`<sup>Optional</sup> <a name="HideValueInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.hideValueInput"></a>

```go
func HideValueInput() interface{}
```

- *Type:* interface{}

---

##### `ImageUrlInput`<sup>Optional</sup> <a name="ImageUrlInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.imageUrlInput"></a>

```go
func ImageUrlInput() *string
```

- *Type:* *string

---

##### `MetricInput`<sup>Optional</sup> <a name="MetricInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.metricInput"></a>

```go
func MetricInput() *string
```

- *Type:* *string

---

##### `PaletteInput`<sup>Optional</sup> <a name="PaletteInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.paletteInput"></a>

```go
func PaletteInput() *string
```

- *Type:* *string

---

##### `TimeframeInput`<sup>Optional</sup> <a name="TimeframeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.timeframeInput"></a>

```go
func TimeframeInput() *string
```

- *Type:* *string

---

##### `ValueInput`<sup>Optional</sup> <a name="ValueInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.valueInput"></a>

```go
func ValueInput() *f64
```

- *Type:* *f64

---

##### `Comparator`<sup>Required</sup> <a name="Comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.comparator"></a>

```go
func Comparator() *string
```

- *Type:* *string

---

##### `CustomBgColor`<sup>Required</sup> <a name="CustomBgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.customBgColor"></a>

```go
func CustomBgColor() *string
```

- *Type:* *string

---

##### `CustomFgColor`<sup>Required</sup> <a name="CustomFgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.customFgColor"></a>

```go
func CustomFgColor() *string
```

- *Type:* *string

---

##### `HideValue`<sup>Required</sup> <a name="HideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.hideValue"></a>

```go
func HideValue() interface{}
```

- *Type:* interface{}

---

##### `ImageUrl`<sup>Required</sup> <a name="ImageUrl" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.imageUrl"></a>

```go
func ImageUrl() *string
```

- *Type:* *string

---

##### `Metric`<sup>Required</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.metric"></a>

```go
func Metric() *string
```

- *Type:* *string

---

##### `Palette`<sup>Required</sup> <a name="Palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.palette"></a>

```go
func Palette() *string
```

- *Type:* *string

---

##### `Timeframe`<sup>Required</sup> <a name="Timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.timeframe"></a>

```go
func Timeframe() *string
```

- *Type:* *string

---

##### `Value`<sup>Required</sup> <a name="Value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.value"></a>

```go
func Value() *f64
```

- *Type:* *f64

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string) DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.resetCount">ResetCount</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.resetOrder">ResetOrder</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `ResetCount` <a name="ResetCount" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.resetCount"></a>

```go
func ResetCount()
```

##### `ResetOrder` <a name="ResetOrder" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.resetOrder"></a>

```go
func ResetOrder()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.countInput">CountInput</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.orderInput">OrderInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.count">Count</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.order">Order</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.internalValue">InternalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit</a></code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `CountInput`<sup>Optional</sup> <a name="CountInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.countInput"></a>

```go
func CountInput() *f64
```

- *Type:* *f64

---

##### `OrderInput`<sup>Optional</sup> <a name="OrderInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.orderInput"></a>

```go
func OrderInput() *string
```

- *Type:* *string

---

##### `Count`<sup>Required</sup> <a name="Count" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.count"></a>

```go
func Count() *f64
```

- *Type:* *f64

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.order"></a>

```go
func Order() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.internalValue"></a>

```go
func InternalValue() DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit</a>

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList(terraformResource IInterpolatingParent, terraformAttribute *string, wrapsSet *bool) DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.Initializer.parameter.wrapsSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.get">Get</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `Get` <a name="Get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.get"></a>

```go
func Get(index *f64) DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.get.parameter.index"></a>

- *Type:* *f64

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string, complexObjectIndex *f64, complexObjectIsFromSet *bool) DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>*f64</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* *f64

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.putConditionalFormats">PutConditionalFormats</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.putLimit">PutLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.putStyle">PutStyle</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.resetAlias">ResetAlias</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.resetCellDisplayMode">ResetCellDisplayMode</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.resetConditionalFormats">ResetConditionalFormats</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.resetLimit">ResetLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.resetStyle">ResetStyle</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `PutConditionalFormats` <a name="PutConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.putConditionalFormats"></a>

```go
func PutConditionalFormats(value interface{})
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.putConditionalFormats.parameter.value"></a>

- *Type:* interface{}

---

##### `PutLimit` <a name="PutLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.putLimit"></a>

```go
func PutLimit(value DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.putLimit.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit</a>

---

##### `PutStyle` <a name="PutStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.putStyle"></a>

```go
func PutStyle(value DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.putStyle.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle</a>

---

##### `ResetAlias` <a name="ResetAlias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.resetAlias"></a>

```go
func ResetAlias()
```

##### `ResetCellDisplayMode` <a name="ResetCellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.resetCellDisplayMode"></a>

```go
func ResetCellDisplayMode()
```

##### `ResetConditionalFormats` <a name="ResetConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.resetConditionalFormats"></a>

```go
func ResetConditionalFormats()
```

##### `ResetLimit` <a name="ResetLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.resetLimit"></a>

```go
func ResetLimit()
```

##### `ResetStyle` <a name="ResetStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.resetStyle"></a>

```go
func ResetStyle()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.conditionalFormats">ConditionalFormats</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.limit">Limit</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.style">Style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.aliasInput">AliasInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.cellDisplayModeInput">CellDisplayModeInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.conditionalFormatsInput">ConditionalFormatsInput</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.formulaExpressionInput">FormulaExpressionInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.limitInput">LimitInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.styleInput">StyleInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.alias">Alias</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.cellDisplayMode">CellDisplayMode</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.formulaExpression">FormulaExpression</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `ConditionalFormats`<sup>Required</sup> <a name="ConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.conditionalFormats"></a>

```go
func ConditionalFormats() DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList</a>

---

##### `Limit`<sup>Required</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.limit"></a>

```go
func Limit() DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference</a>

---

##### `Style`<sup>Required</sup> <a name="Style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.style"></a>

```go
func Style() DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference</a>

---

##### `AliasInput`<sup>Optional</sup> <a name="AliasInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.aliasInput"></a>

```go
func AliasInput() *string
```

- *Type:* *string

---

##### `CellDisplayModeInput`<sup>Optional</sup> <a name="CellDisplayModeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.cellDisplayModeInput"></a>

```go
func CellDisplayModeInput() *string
```

- *Type:* *string

---

##### `ConditionalFormatsInput`<sup>Optional</sup> <a name="ConditionalFormatsInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.conditionalFormatsInput"></a>

```go
func ConditionalFormatsInput() interface{}
```

- *Type:* interface{}

---

##### `FormulaExpressionInput`<sup>Optional</sup> <a name="FormulaExpressionInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.formulaExpressionInput"></a>

```go
func FormulaExpressionInput() *string
```

- *Type:* *string

---

##### `LimitInput`<sup>Optional</sup> <a name="LimitInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.limitInput"></a>

```go
func LimitInput() DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit</a>

---

##### `StyleInput`<sup>Optional</sup> <a name="StyleInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.styleInput"></a>

```go
func StyleInput() DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle</a>

---

##### `Alias`<sup>Required</sup> <a name="Alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.alias"></a>

```go
func Alias() *string
```

- *Type:* *string

---

##### `CellDisplayMode`<sup>Required</sup> <a name="CellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.cellDisplayMode"></a>

```go
func CellDisplayMode() *string
```

- *Type:* *string

---

##### `FormulaExpression`<sup>Required</sup> <a name="FormulaExpression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.formulaExpression"></a>

```go
func FormulaExpression() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string) DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.resetPalette">ResetPalette</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.resetPaletteIndex">ResetPaletteIndex</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `ResetPalette` <a name="ResetPalette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.resetPalette"></a>

```go
func ResetPalette()
```

##### `ResetPaletteIndex` <a name="ResetPaletteIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.resetPaletteIndex"></a>

```go
func ResetPaletteIndex()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.paletteIndexInput">PaletteIndexInput</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.paletteInput">PaletteInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.palette">Palette</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.paletteIndex">PaletteIndex</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.internalValue">InternalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle</a></code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `PaletteIndexInput`<sup>Optional</sup> <a name="PaletteIndexInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.paletteIndexInput"></a>

```go
func PaletteIndexInput() *f64
```

- *Type:* *f64

---

##### `PaletteInput`<sup>Optional</sup> <a name="PaletteInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.paletteInput"></a>

```go
func PaletteInput() *string
```

- *Type:* *string

---

##### `Palette`<sup>Required</sup> <a name="Palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.palette"></a>

```go
func Palette() *string
```

- *Type:* *string

---

##### `PaletteIndex`<sup>Required</sup> <a name="PaletteIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.paletteIndex"></a>

```go
func PaletteIndex() *f64
```

- *Type:* *f64

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.internalValue"></a>

```go
func InternalValue() DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle</a>

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList(terraformResource IInterpolatingParent, terraformAttribute *string, wrapsSet *bool) DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.Initializer.parameter.wrapsSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.get">Get</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `Get` <a name="Get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.get"></a>

```go
func Get(index *f64) DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.get.parameter.index"></a>

- *Type:* *f64

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string) DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.resetFacet">ResetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.resetInterval">ResetInterval</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `ResetFacet` <a name="ResetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.resetFacet"></a>

```go
func ResetFacet()
```

##### `ResetInterval` <a name="ResetInterval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.resetInterval"></a>

```go
func ResetInterval()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.aggregationInput">AggregationInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.facetInput">FacetInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.intervalInput">IntervalInput</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.aggregation">Aggregation</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.facet">Facet</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.interval">Interval</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.internalValue">InternalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery</a></code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `AggregationInput`<sup>Optional</sup> <a name="AggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.aggregationInput"></a>

```go
func AggregationInput() *string
```

- *Type:* *string

---

##### `FacetInput`<sup>Optional</sup> <a name="FacetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.facetInput"></a>

```go
func FacetInput() *string
```

- *Type:* *string

---

##### `IntervalInput`<sup>Optional</sup> <a name="IntervalInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.intervalInput"></a>

```go
func IntervalInput() *f64
```

- *Type:* *f64

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.aggregation"></a>

```go
func Aggregation() *string
```

- *Type:* *string

---

##### `Facet`<sup>Required</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.facet"></a>

```go
func Facet() *string
```

- *Type:* *string

---

##### `Interval`<sup>Required</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.interval"></a>

```go
func Interval() *f64
```

- *Type:* *f64

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.internalValue"></a>

```go
func InternalValue() DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery</a>

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList(terraformResource IInterpolatingParent, terraformAttribute *string, wrapsSet *bool) DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.Initializer.parameter.wrapsSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.get">Get</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `Get` <a name="Get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.get"></a>

```go
func Get(index *f64) DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.get.parameter.index"></a>

- *Type:* *f64

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string, complexObjectIndex *f64, complexObjectIsFromSet *bool) DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>*f64</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* *f64

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.putSortQuery">PutSortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.resetFacet">ResetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.resetLimit">ResetLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.resetSortQuery">ResetSortQuery</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `PutSortQuery` <a name="PutSortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.putSortQuery"></a>

```go
func PutSortQuery(value DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.putSortQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery</a>

---

##### `ResetFacet` <a name="ResetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.resetFacet"></a>

```go
func ResetFacet()
```

##### `ResetLimit` <a name="ResetLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.resetLimit"></a>

```go
func ResetLimit()
```

##### `ResetSortQuery` <a name="ResetSortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.resetSortQuery"></a>

```go
func ResetSortQuery()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.sortQuery">SortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.facetInput">FacetInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.limitInput">LimitInput</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.sortQueryInput">SortQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.facet">Facet</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.limit">Limit</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `SortQuery`<sup>Required</sup> <a name="SortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.sortQuery"></a>

```go
func SortQuery() DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference</a>

---

##### `FacetInput`<sup>Optional</sup> <a name="FacetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.facetInput"></a>

```go
func FacetInput() *string
```

- *Type:* *string

---

##### `LimitInput`<sup>Optional</sup> <a name="LimitInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.limitInput"></a>

```go
func LimitInput() *f64
```

- *Type:* *f64

---

##### `SortQueryInput`<sup>Optional</sup> <a name="SortQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.sortQueryInput"></a>

```go
func SortQueryInput() DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery</a>

---

##### `Facet`<sup>Required</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.facet"></a>

```go
func Facet() *string
```

- *Type:* *string

---

##### `Limit`<sup>Required</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.limit"></a>

```go
func Limit() *f64
```

- *Type:* *f64

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string) DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.resetFacet">ResetFacet</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `ResetFacet` <a name="ResetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.resetFacet"></a>

```go
func ResetFacet()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.aggregationInput">AggregationInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.facetInput">FacetInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.orderInput">OrderInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.aggregation">Aggregation</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.facet">Facet</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.order">Order</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.internalValue">InternalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery</a></code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `AggregationInput`<sup>Optional</sup> <a name="AggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.aggregationInput"></a>

```go
func AggregationInput() *string
```

- *Type:* *string

---

##### `FacetInput`<sup>Optional</sup> <a name="FacetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.facetInput"></a>

```go
func FacetInput() *string
```

- *Type:* *string

---

##### `OrderInput`<sup>Optional</sup> <a name="OrderInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.orderInput"></a>

```go
func OrderInput() *string
```

- *Type:* *string

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.aggregation"></a>

```go
func Aggregation() *string
```

- *Type:* *string

---

##### `Facet`<sup>Required</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.facet"></a>

```go
func Facet() *string
```

- *Type:* *string

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.order"></a>

```go
func Order() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.internalValue"></a>

```go
func InternalValue() DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery</a>

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList(terraformResource IInterpolatingParent, terraformAttribute *string, wrapsSet *bool) DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.wrapsSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList.get">Get</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `Get` <a name="Get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList.get"></a>

```go
func Get(index *f64) DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList.get.parameter.index"></a>

- *Type:* *f64

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string, complexObjectIndex *f64, complexObjectIsFromSet *bool) DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>*f64</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* *f64

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.resetFacet">ResetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.resetInterval">ResetInterval</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `ResetFacet` <a name="ResetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.resetFacet"></a>

```go
func ResetFacet()
```

##### `ResetInterval` <a name="ResetInterval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.resetInterval"></a>

```go
func ResetInterval()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.aggregationInput">AggregationInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.facetInput">FacetInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.intervalInput">IntervalInput</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.aggregation">Aggregation</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.facet">Facet</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.interval">Interval</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `AggregationInput`<sup>Optional</sup> <a name="AggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.aggregationInput"></a>

```go
func AggregationInput() *string
```

- *Type:* *string

---

##### `FacetInput`<sup>Optional</sup> <a name="FacetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.facetInput"></a>

```go
func FacetInput() *string
```

- *Type:* *string

---

##### `IntervalInput`<sup>Optional</sup> <a name="IntervalInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.intervalInput"></a>

```go
func IntervalInput() *f64
```

- *Type:* *f64

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.aggregation"></a>

```go
func Aggregation() *string
```

- *Type:* *string

---

##### `Facet`<sup>Required</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.facet"></a>

```go
func Facet() *string
```

- *Type:* *string

---

##### `Interval`<sup>Required</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.interval"></a>

```go
func Interval() *f64
```

- *Type:* *f64

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string) DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.putComputeQuery">PutComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.putGroupBy">PutGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.putMultiCompute">PutMultiCompute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.resetComputeQuery">ResetComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.resetGroupBy">ResetGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.resetMultiCompute">ResetMultiCompute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.resetSearchQuery">ResetSearchQuery</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `PutComputeQuery` <a name="PutComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.putComputeQuery"></a>

```go
func PutComputeQuery(value DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.putComputeQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery</a>

---

##### `PutGroupBy` <a name="PutGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.putGroupBy"></a>

```go
func PutGroupBy(value interface{})
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.putGroupBy.parameter.value"></a>

- *Type:* interface{}

---

##### `PutMultiCompute` <a name="PutMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.putMultiCompute"></a>

```go
func PutMultiCompute(value interface{})
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.putMultiCompute.parameter.value"></a>

- *Type:* interface{}

---

##### `ResetComputeQuery` <a name="ResetComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.resetComputeQuery"></a>

```go
func ResetComputeQuery()
```

##### `ResetGroupBy` <a name="ResetGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.resetGroupBy"></a>

```go
func ResetGroupBy()
```

##### `ResetMultiCompute` <a name="ResetMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.resetMultiCompute"></a>

```go
func ResetMultiCompute()
```

##### `ResetSearchQuery` <a name="ResetSearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.resetSearchQuery"></a>

```go
func ResetSearchQuery()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.property.computeQuery">ComputeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.property.groupBy">GroupBy</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.property.multiCompute">MultiCompute</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.property.computeQueryInput">ComputeQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.property.groupByInput">GroupByInput</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.property.indexInput">IndexInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.property.multiComputeInput">MultiComputeInput</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.property.searchQueryInput">SearchQueryInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.property.index">Index</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.property.searchQuery">SearchQuery</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.property.internalValue">InternalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery</a></code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `ComputeQuery`<sup>Required</sup> <a name="ComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.property.computeQuery"></a>

```go
func ComputeQuery() DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference</a>

---

##### `GroupBy`<sup>Required</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.property.groupBy"></a>

```go
func GroupBy() DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList</a>

---

##### `MultiCompute`<sup>Required</sup> <a name="MultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.property.multiCompute"></a>

```go
func MultiCompute() DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList</a>

---

##### `ComputeQueryInput`<sup>Optional</sup> <a name="ComputeQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.property.computeQueryInput"></a>

```go
func ComputeQueryInput() DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery</a>

---

##### `GroupByInput`<sup>Optional</sup> <a name="GroupByInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.property.groupByInput"></a>

```go
func GroupByInput() interface{}
```

- *Type:* interface{}

---

##### `IndexInput`<sup>Optional</sup> <a name="IndexInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.property.indexInput"></a>

```go
func IndexInput() *string
```

- *Type:* *string

---

##### `MultiComputeInput`<sup>Optional</sup> <a name="MultiComputeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.property.multiComputeInput"></a>

```go
func MultiComputeInput() interface{}
```

- *Type:* interface{}

---

##### `SearchQueryInput`<sup>Optional</sup> <a name="SearchQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.property.searchQueryInput"></a>

```go
func SearchQueryInput() *string
```

- *Type:* *string

---

##### `Index`<sup>Required</sup> <a name="Index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.property.index"></a>

```go
func Index() *string
```

- *Type:* *string

---

##### `SearchQuery`<sup>Required</sup> <a name="SearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.property.searchQuery"></a>

```go
func SearchQuery() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.property.internalValue"></a>

```go
func InternalValue() DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery</a>

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string, complexObjectIndex *f64, complexObjectIsFromSet *bool) DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>*f64</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* *f64

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.putApmQuery">PutApmQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.putFormula">PutFormula</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.putLogQuery">PutLogQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.putProcessQuery">PutProcessQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.putQuery">PutQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.putRumQuery">PutRumQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.putSecurityQuery">PutSecurityQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resetApmQuery">ResetApmQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resetChangeType">ResetChangeType</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resetCompareTo">ResetCompareTo</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resetFormula">ResetFormula</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resetIncreaseGood">ResetIncreaseGood</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resetLogQuery">ResetLogQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resetOrderBy">ResetOrderBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resetOrderDir">ResetOrderDir</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resetProcessQuery">ResetProcessQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resetQ">ResetQ</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resetQuery">ResetQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resetRumQuery">ResetRumQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resetSecurityQuery">ResetSecurityQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resetShowPresent">ResetShowPresent</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `PutApmQuery` <a name="PutApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.putApmQuery"></a>

```go
func PutApmQuery(value DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.putApmQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery</a>

---

##### `PutFormula` <a name="PutFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.putFormula"></a>

```go
func PutFormula(value interface{})
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.putFormula.parameter.value"></a>

- *Type:* interface{}

---

##### `PutLogQuery` <a name="PutLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.putLogQuery"></a>

```go
func PutLogQuery(value DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.putLogQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery</a>

---

##### `PutProcessQuery` <a name="PutProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.putProcessQuery"></a>

```go
func PutProcessQuery(value DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.putProcessQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery</a>

---

##### `PutQuery` <a name="PutQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.putQuery"></a>

```go
func PutQuery(value interface{})
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.putQuery.parameter.value"></a>

- *Type:* interface{}

---

##### `PutRumQuery` <a name="PutRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.putRumQuery"></a>

```go
func PutRumQuery(value DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.putRumQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery</a>

---

##### `PutSecurityQuery` <a name="PutSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.putSecurityQuery"></a>

```go
func PutSecurityQuery(value DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.putSecurityQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery</a>

---

##### `ResetApmQuery` <a name="ResetApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resetApmQuery"></a>

```go
func ResetApmQuery()
```

##### `ResetChangeType` <a name="ResetChangeType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resetChangeType"></a>

```go
func ResetChangeType()
```

##### `ResetCompareTo` <a name="ResetCompareTo" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resetCompareTo"></a>

```go
func ResetCompareTo()
```

##### `ResetFormula` <a name="ResetFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resetFormula"></a>

```go
func ResetFormula()
```

##### `ResetIncreaseGood` <a name="ResetIncreaseGood" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resetIncreaseGood"></a>

```go
func ResetIncreaseGood()
```

##### `ResetLogQuery` <a name="ResetLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resetLogQuery"></a>

```go
func ResetLogQuery()
```

##### `ResetOrderBy` <a name="ResetOrderBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resetOrderBy"></a>

```go
func ResetOrderBy()
```

##### `ResetOrderDir` <a name="ResetOrderDir" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resetOrderDir"></a>

```go
func ResetOrderDir()
```

##### `ResetProcessQuery` <a name="ResetProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resetProcessQuery"></a>

```go
func ResetProcessQuery()
```

##### `ResetQ` <a name="ResetQ" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resetQ"></a>

```go
func ResetQ()
```

##### `ResetQuery` <a name="ResetQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resetQuery"></a>

```go
func ResetQuery()
```

##### `ResetRumQuery` <a name="ResetRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resetRumQuery"></a>

```go
func ResetRumQuery()
```

##### `ResetSecurityQuery` <a name="ResetSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resetSecurityQuery"></a>

```go
func ResetSecurityQuery()
```

##### `ResetShowPresent` <a name="ResetShowPresent" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resetShowPresent"></a>

```go
func ResetShowPresent()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.apmQuery">ApmQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.formula">Formula</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.logQuery">LogQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.processQuery">ProcessQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.query">Query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryList">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.rumQuery">RumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.securityQuery">SecurityQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.apmQueryInput">ApmQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.changeTypeInput">ChangeTypeInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.compareToInput">CompareToInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.formulaInput">FormulaInput</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.increaseGoodInput">IncreaseGoodInput</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.logQueryInput">LogQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.orderByInput">OrderByInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.orderDirInput">OrderDirInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.processQueryInput">ProcessQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.qInput">QInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.queryInput">QueryInput</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.rumQueryInput">RumQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.securityQueryInput">SecurityQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.showPresentInput">ShowPresentInput</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.changeType">ChangeType</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.compareTo">CompareTo</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.increaseGood">IncreaseGood</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.orderBy">OrderBy</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.orderDir">OrderDir</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.q">Q</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.showPresent">ShowPresent</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `ApmQuery`<sup>Required</sup> <a name="ApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.apmQuery"></a>

```go
func ApmQuery() DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference</a>

---

##### `Formula`<sup>Required</sup> <a name="Formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.formula"></a>

```go
func Formula() DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList</a>

---

##### `LogQuery`<sup>Required</sup> <a name="LogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.logQuery"></a>

```go
func LogQuery() DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference</a>

---

##### `ProcessQuery`<sup>Required</sup> <a name="ProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.processQuery"></a>

```go
func ProcessQuery() DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference</a>

---

##### `Query`<sup>Required</sup> <a name="Query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.query"></a>

```go
func Query() DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryList">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryList</a>

---

##### `RumQuery`<sup>Required</sup> <a name="RumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.rumQuery"></a>

```go
func RumQuery() DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference</a>

---

##### `SecurityQuery`<sup>Required</sup> <a name="SecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.securityQuery"></a>

```go
func SecurityQuery() DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference</a>

---

##### `ApmQueryInput`<sup>Optional</sup> <a name="ApmQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.apmQueryInput"></a>

```go
func ApmQueryInput() DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery</a>

---

##### `ChangeTypeInput`<sup>Optional</sup> <a name="ChangeTypeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.changeTypeInput"></a>

```go
func ChangeTypeInput() *string
```

- *Type:* *string

---

##### `CompareToInput`<sup>Optional</sup> <a name="CompareToInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.compareToInput"></a>

```go
func CompareToInput() *string
```

- *Type:* *string

---

##### `FormulaInput`<sup>Optional</sup> <a name="FormulaInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.formulaInput"></a>

```go
func FormulaInput() interface{}
```

- *Type:* interface{}

---

##### `IncreaseGoodInput`<sup>Optional</sup> <a name="IncreaseGoodInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.increaseGoodInput"></a>

```go
func IncreaseGoodInput() interface{}
```

- *Type:* interface{}

---

##### `LogQueryInput`<sup>Optional</sup> <a name="LogQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.logQueryInput"></a>

```go
func LogQueryInput() DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery</a>

---

##### `OrderByInput`<sup>Optional</sup> <a name="OrderByInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.orderByInput"></a>

```go
func OrderByInput() *string
```

- *Type:* *string

---

##### `OrderDirInput`<sup>Optional</sup> <a name="OrderDirInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.orderDirInput"></a>

```go
func OrderDirInput() *string
```

- *Type:* *string

---

##### `ProcessQueryInput`<sup>Optional</sup> <a name="ProcessQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.processQueryInput"></a>

```go
func ProcessQueryInput() DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery</a>

---

##### `QInput`<sup>Optional</sup> <a name="QInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.qInput"></a>

```go
func QInput() *string
```

- *Type:* *string

---

##### `QueryInput`<sup>Optional</sup> <a name="QueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.queryInput"></a>

```go
func QueryInput() interface{}
```

- *Type:* interface{}

---

##### `RumQueryInput`<sup>Optional</sup> <a name="RumQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.rumQueryInput"></a>

```go
func RumQueryInput() DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery</a>

---

##### `SecurityQueryInput`<sup>Optional</sup> <a name="SecurityQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.securityQueryInput"></a>

```go
func SecurityQueryInput() DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery</a>

---

##### `ShowPresentInput`<sup>Optional</sup> <a name="ShowPresentInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.showPresentInput"></a>

```go
func ShowPresentInput() interface{}
```

- *Type:* interface{}

---

##### `ChangeType`<sup>Required</sup> <a name="ChangeType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.changeType"></a>

```go
func ChangeType() *string
```

- *Type:* *string

---

##### `CompareTo`<sup>Required</sup> <a name="CompareTo" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.compareTo"></a>

```go
func CompareTo() *string
```

- *Type:* *string

---

##### `IncreaseGood`<sup>Required</sup> <a name="IncreaseGood" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.increaseGood"></a>

```go
func IncreaseGood() interface{}
```

- *Type:* interface{}

---

##### `OrderBy`<sup>Required</sup> <a name="OrderBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.orderBy"></a>

```go
func OrderBy() *string
```

- *Type:* *string

---

##### `OrderDir`<sup>Required</sup> <a name="OrderDir" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.orderDir"></a>

```go
func OrderDir() *string
```

- *Type:* *string

---

##### `Q`<sup>Required</sup> <a name="Q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.q"></a>

```go
func Q() *string
```

- *Type:* *string

---

##### `ShowPresent`<sup>Required</sup> <a name="ShowPresent" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.showPresent"></a>

```go
func ShowPresent() interface{}
```

- *Type:* interface{}

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string) DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.resetFilterBy">ResetFilterBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.resetLimit">ResetLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.resetSearchBy">ResetSearchBy</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `ResetFilterBy` <a name="ResetFilterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.resetFilterBy"></a>

```go
func ResetFilterBy()
```

##### `ResetLimit` <a name="ResetLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.resetLimit"></a>

```go
func ResetLimit()
```

##### `ResetSearchBy` <a name="ResetSearchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.resetSearchBy"></a>

```go
func ResetSearchBy()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.property.filterByInput">FilterByInput</a></code> | <code>*[]*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.property.limitInput">LimitInput</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.property.metricInput">MetricInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.property.searchByInput">SearchByInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.property.filterBy">FilterBy</a></code> | <code>*[]*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.property.limit">Limit</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.property.metric">Metric</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.property.searchBy">SearchBy</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.property.internalValue">InternalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery</a></code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `FilterByInput`<sup>Optional</sup> <a name="FilterByInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.property.filterByInput"></a>

```go
func FilterByInput() *[]*string
```

- *Type:* *[]*string

---

##### `LimitInput`<sup>Optional</sup> <a name="LimitInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.property.limitInput"></a>

```go
func LimitInput() *f64
```

- *Type:* *f64

---

##### `MetricInput`<sup>Optional</sup> <a name="MetricInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.property.metricInput"></a>

```go
func MetricInput() *string
```

- *Type:* *string

---

##### `SearchByInput`<sup>Optional</sup> <a name="SearchByInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.property.searchByInput"></a>

```go
func SearchByInput() *string
```

- *Type:* *string

---

##### `FilterBy`<sup>Required</sup> <a name="FilterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.property.filterBy"></a>

```go
func FilterBy() *[]*string
```

- *Type:* *[]*string

---

##### `Limit`<sup>Required</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.property.limit"></a>

```go
func Limit() *f64
```

- *Type:* *f64

---

##### `Metric`<sup>Required</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.property.metric"></a>

```go
func Metric() *string
```

- *Type:* *string

---

##### `SearchBy`<sup>Required</sup> <a name="SearchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.property.searchBy"></a>

```go
func SearchBy() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.property.internalValue"></a>

```go
func InternalValue() DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery</a>

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string) DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resetIsUpstream">ResetIsUpstream</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resetPrimaryTagName">ResetPrimaryTagName</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resetPrimaryTagValue">ResetPrimaryTagValue</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `ResetIsUpstream` <a name="ResetIsUpstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resetIsUpstream"></a>

```go
func ResetIsUpstream()
```

##### `ResetPrimaryTagName` <a name="ResetPrimaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resetPrimaryTagName"></a>

```go
func ResetPrimaryTagName()
```

##### `ResetPrimaryTagValue` <a name="ResetPrimaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resetPrimaryTagValue"></a>

```go
func ResetPrimaryTagValue()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.dataSourceInput">DataSourceInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.envInput">EnvInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.isUpstreamInput">IsUpstreamInput</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.nameInput">NameInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.operationNameInput">OperationNameInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagNameInput">PrimaryTagNameInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagValueInput">PrimaryTagValueInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.resourceNameInput">ResourceNameInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.serviceInput">ServiceInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.statInput">StatInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.dataSource">DataSource</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.env">Env</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.isUpstream">IsUpstream</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.name">Name</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.operationName">OperationName</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagName">PrimaryTagName</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagValue">PrimaryTagValue</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.resourceName">ResourceName</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.service">Service</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.stat">Stat</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.internalValue">InternalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery</a></code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `DataSourceInput`<sup>Optional</sup> <a name="DataSourceInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.dataSourceInput"></a>

```go
func DataSourceInput() *string
```

- *Type:* *string

---

##### `EnvInput`<sup>Optional</sup> <a name="EnvInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.envInput"></a>

```go
func EnvInput() *string
```

- *Type:* *string

---

##### `IsUpstreamInput`<sup>Optional</sup> <a name="IsUpstreamInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.isUpstreamInput"></a>

```go
func IsUpstreamInput() interface{}
```

- *Type:* interface{}

---

##### `NameInput`<sup>Optional</sup> <a name="NameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.nameInput"></a>

```go
func NameInput() *string
```

- *Type:* *string

---

##### `OperationNameInput`<sup>Optional</sup> <a name="OperationNameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.operationNameInput"></a>

```go
func OperationNameInput() *string
```

- *Type:* *string

---

##### `PrimaryTagNameInput`<sup>Optional</sup> <a name="PrimaryTagNameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagNameInput"></a>

```go
func PrimaryTagNameInput() *string
```

- *Type:* *string

---

##### `PrimaryTagValueInput`<sup>Optional</sup> <a name="PrimaryTagValueInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagValueInput"></a>

```go
func PrimaryTagValueInput() *string
```

- *Type:* *string

---

##### `ResourceNameInput`<sup>Optional</sup> <a name="ResourceNameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.resourceNameInput"></a>

```go
func ResourceNameInput() *string
```

- *Type:* *string

---

##### `ServiceInput`<sup>Optional</sup> <a name="ServiceInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.serviceInput"></a>

```go
func ServiceInput() *string
```

- *Type:* *string

---

##### `StatInput`<sup>Optional</sup> <a name="StatInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.statInput"></a>

```go
func StatInput() *string
```

- *Type:* *string

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.dataSource"></a>

```go
func DataSource() *string
```

- *Type:* *string

---

##### `Env`<sup>Required</sup> <a name="Env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.env"></a>

```go
func Env() *string
```

- *Type:* *string

---

##### `IsUpstream`<sup>Required</sup> <a name="IsUpstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.isUpstream"></a>

```go
func IsUpstream() interface{}
```

- *Type:* interface{}

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.name"></a>

```go
func Name() *string
```

- *Type:* *string

---

##### `OperationName`<sup>Required</sup> <a name="OperationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.operationName"></a>

```go
func OperationName() *string
```

- *Type:* *string

---

##### `PrimaryTagName`<sup>Required</sup> <a name="PrimaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagName"></a>

```go
func PrimaryTagName() *string
```

- *Type:* *string

---

##### `PrimaryTagValue`<sup>Required</sup> <a name="PrimaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagValue"></a>

```go
func PrimaryTagValue() *string
```

- *Type:* *string

---

##### `ResourceName`<sup>Required</sup> <a name="ResourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.resourceName"></a>

```go
func ResourceName() *string
```

- *Type:* *string

---

##### `Service`<sup>Required</sup> <a name="Service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.service"></a>

```go
func Service() *string
```

- *Type:* *string

---

##### `Stat`<sup>Required</sup> <a name="Stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.stat"></a>

```go
func Stat() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.internalValue"></a>

```go
func InternalValue() DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery</a>

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string) DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetGroupBy">ResetGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetOperationName">ResetOperationName</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetPrimaryTagName">ResetPrimaryTagName</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetPrimaryTagValue">ResetPrimaryTagValue</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetResourceName">ResetResourceName</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `ResetGroupBy` <a name="ResetGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetGroupBy"></a>

```go
func ResetGroupBy()
```

##### `ResetOperationName` <a name="ResetOperationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetOperationName"></a>

```go
func ResetOperationName()
```

##### `ResetPrimaryTagName` <a name="ResetPrimaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetPrimaryTagName"></a>

```go
func ResetPrimaryTagName()
```

##### `ResetPrimaryTagValue` <a name="ResetPrimaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetPrimaryTagValue"></a>

```go
func ResetPrimaryTagValue()
```

##### `ResetResourceName` <a name="ResetResourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetResourceName"></a>

```go
func ResetResourceName()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.dataSourceInput">DataSourceInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.envInput">EnvInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.groupByInput">GroupByInput</a></code> | <code>*[]*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.nameInput">NameInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.operationNameInput">OperationNameInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagNameInput">PrimaryTagNameInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagValueInput">PrimaryTagValueInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.resourceNameInput">ResourceNameInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.serviceInput">ServiceInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.statInput">StatInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.dataSource">DataSource</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.env">Env</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.groupBy">GroupBy</a></code> | <code>*[]*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.name">Name</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.operationName">OperationName</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagName">PrimaryTagName</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagValue">PrimaryTagValue</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.resourceName">ResourceName</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.service">Service</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.stat">Stat</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.internalValue">InternalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery</a></code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `DataSourceInput`<sup>Optional</sup> <a name="DataSourceInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.dataSourceInput"></a>

```go
func DataSourceInput() *string
```

- *Type:* *string

---

##### `EnvInput`<sup>Optional</sup> <a name="EnvInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.envInput"></a>

```go
func EnvInput() *string
```

- *Type:* *string

---

##### `GroupByInput`<sup>Optional</sup> <a name="GroupByInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.groupByInput"></a>

```go
func GroupByInput() *[]*string
```

- *Type:* *[]*string

---

##### `NameInput`<sup>Optional</sup> <a name="NameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.nameInput"></a>

```go
func NameInput() *string
```

- *Type:* *string

---

##### `OperationNameInput`<sup>Optional</sup> <a name="OperationNameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.operationNameInput"></a>

```go
func OperationNameInput() *string
```

- *Type:* *string

---

##### `PrimaryTagNameInput`<sup>Optional</sup> <a name="PrimaryTagNameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagNameInput"></a>

```go
func PrimaryTagNameInput() *string
```

- *Type:* *string

---

##### `PrimaryTagValueInput`<sup>Optional</sup> <a name="PrimaryTagValueInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagValueInput"></a>

```go
func PrimaryTagValueInput() *string
```

- *Type:* *string

---

##### `ResourceNameInput`<sup>Optional</sup> <a name="ResourceNameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.resourceNameInput"></a>

```go
func ResourceNameInput() *string
```

- *Type:* *string

---

##### `ServiceInput`<sup>Optional</sup> <a name="ServiceInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.serviceInput"></a>

```go
func ServiceInput() *string
```

- *Type:* *string

---

##### `StatInput`<sup>Optional</sup> <a name="StatInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.statInput"></a>

```go
func StatInput() *string
```

- *Type:* *string

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.dataSource"></a>

```go
func DataSource() *string
```

- *Type:* *string

---

##### `Env`<sup>Required</sup> <a name="Env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.env"></a>

```go
func Env() *string
```

- *Type:* *string

---

##### `GroupBy`<sup>Required</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.groupBy"></a>

```go
func GroupBy() *[]*string
```

- *Type:* *[]*string

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.name"></a>

```go
func Name() *string
```

- *Type:* *string

---

##### `OperationName`<sup>Required</sup> <a name="OperationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.operationName"></a>

```go
func OperationName() *string
```

- *Type:* *string

---

##### `PrimaryTagName`<sup>Required</sup> <a name="PrimaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagName"></a>

```go
func PrimaryTagName() *string
```

- *Type:* *string

---

##### `PrimaryTagValue`<sup>Required</sup> <a name="PrimaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagValue"></a>

```go
func PrimaryTagValue() *string
```

- *Type:* *string

---

##### `ResourceName`<sup>Required</sup> <a name="ResourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.resourceName"></a>

```go
func ResourceName() *string
```

- *Type:* *string

---

##### `Service`<sup>Required</sup> <a name="Service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.service"></a>

```go
func Service() *string
```

- *Type:* *string

---

##### `Stat`<sup>Required</sup> <a name="Stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.stat"></a>

```go
func Stat() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.internalValue"></a>

```go
func InternalValue() DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery</a>

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList(terraformResource IInterpolatingParent, terraformAttribute *string, wrapsSet *bool) DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList.Initializer.parameter.wrapsSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList.get">Get</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `Get` <a name="Get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList.get"></a>

```go
func Get(index *f64) DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList.get.parameter.index"></a>

- *Type:* *f64

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string, complexObjectIndex *f64, complexObjectIsFromSet *bool) DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>*f64</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* *f64

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.resetInterval">ResetInterval</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.resetMetric">ResetMetric</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `ResetInterval` <a name="ResetInterval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.resetInterval"></a>

```go
func ResetInterval()
```

##### `ResetMetric` <a name="ResetMetric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.resetMetric"></a>

```go
func ResetMetric()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.aggregationInput">AggregationInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.intervalInput">IntervalInput</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.metricInput">MetricInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.aggregation">Aggregation</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.interval">Interval</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.metric">Metric</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `AggregationInput`<sup>Optional</sup> <a name="AggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.aggregationInput"></a>

```go
func AggregationInput() *string
```

- *Type:* *string

---

##### `IntervalInput`<sup>Optional</sup> <a name="IntervalInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.intervalInput"></a>

```go
func IntervalInput() *f64
```

- *Type:* *f64

---

##### `MetricInput`<sup>Optional</sup> <a name="MetricInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.metricInput"></a>

```go
func MetricInput() *string
```

- *Type:* *string

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.aggregation"></a>

```go
func Aggregation() *string
```

- *Type:* *string

---

##### `Interval`<sup>Required</sup> <a name="Interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.interval"></a>

```go
func Interval() *f64
```

- *Type:* *f64

---

##### `Metric`<sup>Required</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.metric"></a>

```go
func Metric() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList(terraformResource IInterpolatingParent, terraformAttribute *string, wrapsSet *bool) DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList.Initializer.parameter.wrapsSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList.get">Get</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `Get` <a name="Get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList.get"></a>

```go
func Get(index *f64) DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList.get.parameter.index"></a>

- *Type:* *f64

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string, complexObjectIndex *f64, complexObjectIsFromSet *bool) DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>*f64</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* *f64

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.putSort">PutSort</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.resetLimit">ResetLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.resetSort">ResetSort</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `PutSort` <a name="PutSort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.putSort"></a>

```go
func PutSort(value DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.putSort.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort</a>

---

##### `ResetLimit` <a name="ResetLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.resetLimit"></a>

```go
func ResetLimit()
```

##### `ResetSort` <a name="ResetSort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.resetSort"></a>

```go
func ResetSort()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.sort">Sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.facetInput">FacetInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.limitInput">LimitInput</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.sortInput">SortInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.facet">Facet</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.limit">Limit</a></code> | <code>*f64</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `Sort`<sup>Required</sup> <a name="Sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.sort"></a>

```go
func Sort() DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference</a>

---

##### `FacetInput`<sup>Optional</sup> <a name="FacetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.facetInput"></a>

```go
func FacetInput() *string
```

- *Type:* *string

---

##### `LimitInput`<sup>Optional</sup> <a name="LimitInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.limitInput"></a>

```go
func LimitInput() *f64
```

- *Type:* *f64

---

##### `SortInput`<sup>Optional</sup> <a name="SortInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.sortInput"></a>

```go
func SortInput() DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort</a>

---

##### `Facet`<sup>Required</sup> <a name="Facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.facet"></a>

```go
func Facet() *string
```

- *Type:* *string

---

##### `Limit`<sup>Required</sup> <a name="Limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.limit"></a>

```go
func Limit() *f64
```

- *Type:* *f64

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string) DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.resetMetric">ResetMetric</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.resetOrder">ResetOrder</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `ResetMetric` <a name="ResetMetric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.resetMetric"></a>

```go
func ResetMetric()
```

##### `ResetOrder` <a name="ResetOrder" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.resetOrder"></a>

```go
func ResetOrder()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.aggregationInput">AggregationInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.metricInput">MetricInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.orderInput">OrderInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.aggregation">Aggregation</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.metric">Metric</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.order">Order</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.internalValue">InternalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort</a></code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `AggregationInput`<sup>Optional</sup> <a name="AggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.aggregationInput"></a>

```go
func AggregationInput() *string
```

- *Type:* *string

---

##### `MetricInput`<sup>Optional</sup> <a name="MetricInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.metricInput"></a>

```go
func MetricInput() *string
```

- *Type:* *string

---

##### `OrderInput`<sup>Optional</sup> <a name="OrderInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.orderInput"></a>

```go
func OrderInput() *string
```

- *Type:* *string

---

##### `Aggregation`<sup>Required</sup> <a name="Aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.aggregation"></a>

```go
func Aggregation() *string
```

- *Type:* *string

---

##### `Metric`<sup>Required</sup> <a name="Metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.metric"></a>

```go
func Metric() *string
```

- *Type:* *string

---

##### `Order`<sup>Required</sup> <a name="Order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.order"></a>

```go
func Order() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.internalValue"></a>

```go
func InternalValue() DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort</a>

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string) DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.putCompute">PutCompute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.putGroupBy">PutGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.putSearch">PutSearch</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.resetGroupBy">ResetGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.resetIndexes">ResetIndexes</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.resetSearch">ResetSearch</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.resetStorage">ResetStorage</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `PutCompute` <a name="PutCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.putCompute"></a>

```go
func PutCompute(value interface{})
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.putCompute.parameter.value"></a>

- *Type:* interface{}

---

##### `PutGroupBy` <a name="PutGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.putGroupBy"></a>

```go
func PutGroupBy(value interface{})
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.putGroupBy.parameter.value"></a>

- *Type:* interface{}

---

##### `PutSearch` <a name="PutSearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.putSearch"></a>

```go
func PutSearch(value DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.putSearch.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch</a>

---

##### `ResetGroupBy` <a name="ResetGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.resetGroupBy"></a>

```go
func ResetGroupBy()
```

##### `ResetIndexes` <a name="ResetIndexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.resetIndexes"></a>

```go
func ResetIndexes()
```

##### `ResetSearch` <a name="ResetSearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.resetSearch"></a>

```go
func ResetSearch()
```

##### `ResetStorage` <a name="ResetStorage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.resetStorage"></a>

```go
func ResetStorage()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.compute">Compute</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.groupBy">GroupBy</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.search">Search</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.computeInput">ComputeInput</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.dataSourceInput">DataSourceInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.groupByInput">GroupByInput</a></code> | <code>interface{}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.indexesInput">IndexesInput</a></code> | <code>*[]*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.nameInput">NameInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.searchInput">SearchInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.storageInput">StorageInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.dataSource">DataSource</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.indexes">Indexes</a></code> | <code>*[]*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.name">Name</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.storage">Storage</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.internalValue">InternalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery</a></code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `Compute`<sup>Required</sup> <a name="Compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.compute"></a>

```go
func Compute() DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList</a>

---

##### `GroupBy`<sup>Required</sup> <a name="GroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.groupBy"></a>

```go
func GroupBy() DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList</a>

---

##### `Search`<sup>Required</sup> <a name="Search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.search"></a>

```go
func Search() DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference</a>

---

##### `ComputeInput`<sup>Optional</sup> <a name="ComputeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.computeInput"></a>

```go
func ComputeInput() interface{}
```

- *Type:* interface{}

---

##### `DataSourceInput`<sup>Optional</sup> <a name="DataSourceInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.dataSourceInput"></a>

```go
func DataSourceInput() *string
```

- *Type:* *string

---

##### `GroupByInput`<sup>Optional</sup> <a name="GroupByInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.groupByInput"></a>

```go
func GroupByInput() interface{}
```

- *Type:* interface{}

---

##### `IndexesInput`<sup>Optional</sup> <a name="IndexesInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.indexesInput"></a>

```go
func IndexesInput() *[]*string
```

- *Type:* *[]*string

---

##### `NameInput`<sup>Optional</sup> <a name="NameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.nameInput"></a>

```go
func NameInput() *string
```

- *Type:* *string

---

##### `SearchInput`<sup>Optional</sup> <a name="SearchInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.searchInput"></a>

```go
func SearchInput() DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch</a>

---

##### `StorageInput`<sup>Optional</sup> <a name="StorageInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.storageInput"></a>

```go
func StorageInput() *string
```

- *Type:* *string

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.dataSource"></a>

```go
func DataSource() *string
```

- *Type:* *string

---

##### `Indexes`<sup>Required</sup> <a name="Indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.indexes"></a>

```go
func Indexes() *[]*string
```

- *Type:* *[]*string

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.name"></a>

```go
func Name() *string
```

- *Type:* *string

---

##### `Storage`<sup>Required</sup> <a name="Storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.storage"></a>

```go
func Storage() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.internalValue"></a>

```go
func InternalValue() DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery</a>

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string) DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.property.queryInput">QueryInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.property.query">Query</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.property.internalValue">InternalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch</a></code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `QueryInput`<sup>Optional</sup> <a name="QueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.property.queryInput"></a>

```go
func QueryInput() *string
```

- *Type:* *string

---

##### `Query`<sup>Required</sup> <a name="Query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.property.query"></a>

```go
func Query() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.property.internalValue"></a>

```go
func InternalValue() DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch</a>

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryList <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryList.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryList(terraformResource IInterpolatingParent, terraformAttribute *string, wrapsSet *bool) DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryList
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryList.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryList.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryList.Initializer.parameter.wrapsSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryList.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryList.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryList.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryList.get">Get</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryList.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryList.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryList.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryList.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `Get` <a name="Get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryList.get"></a>

```go
func Get(index *f64) DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryList.get.parameter.index"></a>

- *Type:* *f64

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryList.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryList.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryList.property.internalValue">InternalValue</a></code> | <code>interface{}</code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryList.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryList.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryList.property.internalValue"></a>

```go
func InternalValue() interface{}
```

- *Type:* interface{}

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string) DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.resetAggregator">ResetAggregator</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.resetDataSource">ResetDataSource</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `ResetAggregator` <a name="ResetAggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.resetAggregator"></a>

```go
func ResetAggregator()
```

##### `ResetDataSource` <a name="ResetDataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.resetDataSource"></a>

```go
func ResetDataSource()
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.creationStack">CreationStack</a></code> | <code>*[]*string</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.fqn">Fqn</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.aggregatorInput">AggregatorInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.dataSourceInput">DataSourceInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.nameInput">NameInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.queryInput">QueryInput</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.aggregator">Aggregator</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.dataSource">DataSource</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.name">Name</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.query">Query</a></code> | <code>*string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.internalValue">InternalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery</a></code> | *No description.* |

---

##### `CreationStack`<sup>Required</sup> <a name="CreationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.creationStack"></a>

```go
func CreationStack() *[]*string
```

- *Type:* *[]*string

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `Fqn`<sup>Required</sup> <a name="Fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.fqn"></a>

```go
func Fqn() *string
```

- *Type:* *string

---

##### `AggregatorInput`<sup>Optional</sup> <a name="AggregatorInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.aggregatorInput"></a>

```go
func AggregatorInput() *string
```

- *Type:* *string

---

##### `DataSourceInput`<sup>Optional</sup> <a name="DataSourceInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.dataSourceInput"></a>

```go
func DataSourceInput() *string
```

- *Type:* *string

---

##### `NameInput`<sup>Optional</sup> <a name="NameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.nameInput"></a>

```go
func NameInput() *string
```

- *Type:* *string

---

##### `QueryInput`<sup>Optional</sup> <a name="QueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.queryInput"></a>

```go
func QueryInput() *string
```

- *Type:* *string

---

##### `Aggregator`<sup>Required</sup> <a name="Aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.aggregator"></a>

```go
func Aggregator() *string
```

- *Type:* *string

---

##### `DataSource`<sup>Required</sup> <a name="DataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.dataSource"></a>

```go
func DataSource() *string
```

- *Type:* *string

---

##### `Name`<sup>Required</sup> <a name="Name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.name"></a>

```go
func Name() *string
```

- *Type:* *string

---

##### `Query`<sup>Required</sup> <a name="Query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.query"></a>

```go
func Query() *string
```

- *Type:* *string

---

##### `InternalValue`<sup>Optional</sup> <a name="InternalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.internalValue"></a>

```go
func InternalValue() DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery</a>

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.Initializer"></a>

```go
import "github.com/cdktf/cdktf-provider-datadog-go/datadog/v6/dashboard"

dashboard.NewDashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference(terraformResource IInterpolatingParent, terraformAttribute *string, complexObjectIndex *f64, complexObjectIsFromSet *bool) DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>*string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>*f64</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>*bool</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* *string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* *f64

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* *bool

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.computeFqn">ComputeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.getAnyMapAttribute">GetAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.getBooleanAttribute">GetBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.getBooleanMapAttribute">GetBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.getListAttribute">GetListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.getNumberAttribute">GetNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.getNumberListAttribute">GetNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.getNumberMapAttribute">GetNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.getStringAttribute">GetStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.getStringMapAttribute">GetStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.interpolationForAttribute">InterpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.resolve">Resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.toString">ToString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.putApmDependencyStatsQuery">PutApmDependencyStatsQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.putApmResourceStatsQuery">PutApmResourceStatsQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.putEventQuery">PutEventQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.putMetricQuery">PutMetricQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.putProcessQuery">PutProcessQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.resetApmDependencyStatsQuery">ResetApmDependencyStatsQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.resetApmResourceStatsQuery">ResetApmResourceStatsQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.resetEventQuery">ResetEventQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.resetMetricQuery">ResetMetricQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.resetProcessQuery">ResetProcessQuery</a></code> | *No description.* |

---

##### `ComputeFqn` <a name="ComputeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.computeFqn"></a>

```go
func ComputeFqn() *string
```

##### `GetAnyMapAttribute` <a name="GetAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.getAnyMapAttribute"></a>

```go
func GetAnyMapAttribute(terraformAttribute *string) *map[string]interface{}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanAttribute` <a name="GetBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.getBooleanAttribute"></a>

```go
func GetBooleanAttribute(terraformAttribute *string) IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetBooleanMapAttribute` <a name="GetBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.getBooleanMapAttribute"></a>

```go
func GetBooleanMapAttribute(terraformAttribute *string) *map[string]*bool
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetListAttribute` <a name="GetListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.getListAttribute"></a>

```go
func GetListAttribute(terraformAttribute *string) *[]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberAttribute` <a name="GetNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.getNumberAttribute"></a>

```go
func GetNumberAttribute(terraformAttribute *string) *f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberListAttribute` <a name="GetNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.getNumberListAttribute"></a>

```go
func GetNumberListAttribute(terraformAttribute *string) *[]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetNumberMapAttribute` <a name="GetNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.getNumberMapAttribute"></a>

```go
func GetNumberMapAttribute(terraformAttribute *string) *map[string]*f64
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringAttribute` <a name="GetStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.getStringAttribute"></a>

```go
func GetStringAttribute(terraformAttribute *string) *string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `GetStringMapAttribute` <a name="GetStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.getStringMapAttribute"></a>

```go
func GetStringMapAttribute(terraformAttribute *string) *map[string]*string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* *string

---

##### `InterpolationForAttribute` <a name="InterpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.interpolationForAttribute"></a>

```go
func InterpolationForAttribute(property *string) IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* *string

---

##### `Resolve` <a name="Resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.resolve"></a>

```go
func Resolve(_context IResolveContext) interface{}
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.resolve.parameter._context"></a>

- *Type:* github.com/hashicorp/terraform-cdk-go/cdktf.IResolveContext

---

##### `ToString` <a name="ToString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.toString"></a>

```go
func ToString() *string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `PutApmDependencyStatsQuery` <a name="PutApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.putApmDependencyStatsQuery"></a>

```go
func PutApmDependencyStatsQuery(value DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.putApmDependencyStatsQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery</a>

---

##### `PutApmResourceStatsQuery` <a name="PutApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.putApmResourceStatsQuery"></a>

```go
func PutApmResourceStatsQuery(value DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.putApmResourceStatsQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery</a>

---

##### `PutEventQuery` <a name="PutEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.putEventQuery"></a>

```go
func PutEventQuery(value DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.putEventQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery</a>

---

##### `PutMetricQuery` <a name="PutMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.putMetricQuery"></a>

```go
func PutMetricQuery(value DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.putMetricQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery</a>

---

##### `PutProcessQuery` <a name="PutProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.putProcessQuery"></a>

```go
func PutProcessQuery(value DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery)
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.putProcessQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery</a>

---

##### `ResetApmDependencyStatsQuery` <a name="ResetApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.resetApmDependencyStatsQuery"></a>

```go
func ResetApmDependencyStatsQuery()
```

##### `ResetApmResourceStatsQuery` <a name="ResetApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.resetApmResourceStatsQuery"></a>

```go
func ResetApmResourceStatsQuery()
```

##### `ResetEventQuery` <a name="ResetEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.resetEventQuery"></a>

```go
func ResetEventQuery()
```

##### `ResetMetricQuery` <a name="ResetMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.resetMetricQuery"></a>

```go
func ResetMetricQuery()
```

##### `ResetProcessQuery` <a name="ResetProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.resetProcessQuery"></a>

```go
func ResetProcessQuery()
```


